<%@ page session="true" import="com.sas.ep.sascoder.utilities.*,
			org.springframework.context.ApplicationContext,
			com.sas.ep.sascoder.web.SessionController,
			com.sas.ep.sascoder.rest.representations.RestSession,
			com.sas.ep.sascoder.webdms.service.sas.SasWorkspaceService,
		    java.util.*,
			java.net.*"
			contentType="text/html;charset=UTF-8"%>
<%

	RestSession restSession = JspUtilities.extractPendingRestSession(request);
	if (null == restSession)
	{
		// If there is no pending session, send the user back to the login page.
		response.sendRedirect("index");
		return;
	}

	JspUtilities jspUtilities = new JspUtilities(restSession, request, response);

	if (jspUtilities.redirectUnsupportedUserAgents()) {
		return; // redirect sent, so just return
	}

	if (jspUtilities.redirectIfNoAllowedActions("AccessSASStudio")) {
		jspUtilities.closeSession();
		return; // redirect sent, so just return
	}


	Locale locale = jspUtilities.getLocale();
	ResourceBundle bundle = NLSUtils.getResourceBundle(null, locale);


	ApplicationContext ctxt=SessionController.getApplicationContext();
	SasWorkspaceService sasWorkspaceService=(SasWorkspaceService)ctxt.getBean("sasWorkspaceService");
	String sasMode = sasWorkspaceService.getSasMode();
	String sasHost = (String)request.getParameter("host");
%>
<!DOCTYPE html>
<html>

<head>
<meta http-equiv="X-UA-Compatible" content="IE=11; IE=10; IE=9; IE=EDGE" /><!-- THIS MUST BE THE FIRST TAG IN HEAD ELEMENT -->

<%if (sasMode!=null && sasMode.equalsIgnoreCase("wip"))
{%>

<script type="text/javascript">
var sasstudio_timeout = function() {
	appDMS.signOut(true);
};
</script>
<%}%>

<meta charset="UTF-8">
<meta itemprop="image" content="favicon.ico" type="image/x-icon">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="cleartype" content="on">
<title><%=bundle.getString("ProductPageTitle.txt")%></title>
<link href="favicon.ico" rel="shortcut icon" type="image/x-icon">

<style>

<!--
Remove when Rebecca has a real style for this.
-->

.InteractiveModeOffButton
{
 background-color: #fefefe;
  background: #fefefe;
  background-image: none;
  border: 1px solid #787b7d;
  /*
background-color: @default-button-hover-background-color;
background: @default-button-hover-background;
*/

  -webkit-box-shadow: 0 1px 0 rgba(255, 255, 255, 0.2) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
  box-shadow: 0 1px 0 rgba(255, 255, 255, 0.2) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
  color: #222222;

  /* border: @default-button-hover-border; */

}

.InteractiveModeOffButton .dijitButtonNode
{
  background-color: #fefefe!important;
  background: #fefefe!important;
}

<!--Status bar styles moved to dojo/dijit/themes/corporate/css/webdms.css-->


</style>

<!-- SECTION 1 -->
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/help.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/corporate.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/webdms.css" />
<!--<link media="screen" rel="stylesheet" href="resources/js/com/sas/commons/controls/codeEditor/css/sce.css" />-->
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/sce.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/images/sasIcons/sasdark/sasdark_commonIcons.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/widget/ColorPicker/ColorPicker.css" />

<!--[if gte IE 9]>
        <link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/webdms_ie.css" />
<![endif]-->


<script type="text/javascript">
var sasInternalHostName=<%=Util.getJavascriptStringLiteral(sasHost)%>;
var jspTime=new Date();
var javaVersion=<%=Util.getJavascriptStringLiteral(System.getProperty("java.version"))%>;
<%
jspUtilities.writeJavascriptVariables(out);
jspUtilities.writeJavascriptDojoConfig(out);
%>
</script>
<script type="text/javascript" src="resources/js/dojo/dojo/dojo.js"  >

</script>
<!--[if lte IE 9]>
    <script type="text/javascript">
    var splashUpdateInterval;
	(function(){
		var count=0;
		splashUpdateInterval = setInterval(function(){
	    count++;
	    var elm=document.getElementById('sas-hc-splash-headerText')
	    if(elm){
	        elm.innerHTML = "<%=bundle.getString("SplashScreenInitializing.txt")%>" + new Array(count % 5).join('.');
	    }else{
	        window.clearInterval(splashUpdateInterval);
	    }
	}, 300);
	}())
    </script>
<![endif]-->

<!-- This is for the process flow control (used in query) -->
<script type="text/javascript" src="resources/js/custom/gfx/layout/dagre.js"></script>

    <!-- fav and touch icons -->
<!--     <link rel="shortcut icon" href="assets/ico/favicon.ico">
    <link rel="apple-touch-icon" href="assets/ico/apple-touch-icon.png">
    <link rel="apple-touch-icon" sizes="72x72" href="assets/ico/apple-touch-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="114x114" href="assets/ico/apple-touch-icon-114x114.png">

 -->

<link href="favicon.ico" rel="shortcut icon" type="image/x-icon">
<!-- Standard iPhone -->
<link rel="apple-touch-icon" sizes="57x57" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-iphone-114.png" />
<!-- Retina iPhone -->
<link rel="apple-touch-icon" sizes="114x114" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-iphone-114.png" />
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />

<!-- data-dojo-type = "" -->
<script type="text/javascript">
	require(["dojo/parser",
			"dijit/layout/BorderContainer",
	"dijit/layout/SplitContainer",
	"dijit/layout/ContentPane",
	"dijit/layout/AccordionContainer",
	"dijit/Toolbar",
	"dijit/form/Button",
	"dijit/form/ToggleButton",
	"dijit/ToolbarSeparator",
	"dijit/Dialog",
	"dijit/form/TextBox",
	"dijit/Menu",
	"dijit/Tree",
    "dojo/keys",
    "dojo/has",
	"dijit/form/DropDownButton",
	"dojo/text!./resources/js/webdms/templates/DMSDropDownButton.html",
	"dojox/mobile/View",
	"dijit/form/Form",
	"dijit/form/ValidationTextBox",
	"dojox/mobile/Heading",
	"dijit/form/DateTextBox",
	"dojox/widget/Toaster"],					// for Toaster, see comment below for more info (search for "Toaster")

   function(parser,
         BorderContainer,
         SplitContainer,
         ContentPane,
         AccordionContainer,
         Toolbar,
         Button,
         ToggleButton,
         ToolbarSeparator,
         Dialog,
         TextBox,
         Menu,
         Tree,
         Keys,
         Has,
         DropDownButton,
         dropDownButtonTemplate,
         View,
         Form,
         ValidationTextBox,
         Heading,
         DateTextBox,
		 Toaster					// for Toaster, see comment below for more info (search for "Toaster")
         ){

	      //use custom template for drop down button
	      dojo.extend(DropDownButton,{templateString: dropDownButtonTemplate});

	      //To fix IE a11y issue S0888242
         dojo.extend(Tree,
           {
                treeNodeLastKeyHovered: null,
                onKeyDownHover:function(evt){
                //var oldKeyDownMethod = Tree.prototype.onKeyDown;
                  if(Has("ie")){
                   if(evt.keyCode == Keys.UP_ARROW || evt.keyCode == Keys.DOWN_ARROW){
                      //in IE lastFocused does not return the current focus, it returns the previous focus
                      //so using the document.activeElement
                      //var treeNodeLastFocused = this.attr("lastFocused").domNode;
                      var treeNodeLastFocused = document.activeElement;

                      //remove previous selection
                      if(this.treeNodeLastKeyHovered != null){
                         dojo.removeClass(this.treeNodeLastKeyHovered, "dijitTreeRowHover");
                      }
                      //add the TreeRowHover effect to the node that is currently focused
                      dojo.addClass(treeNodeLastFocused,"dijitTreeRowHover");
                      this.treeNodeLastKeyHovered = treeNodeLastFocused;
                   }
                  }
                  // call the old method for the original functionality*
                  //it seems default action occurs anyways, so commenting
                  //oldKeyDownMethod.apply(this, arguments);
                 }
           }
      )

	}
 );
/**
dojo.require("dijit/layout/BorderContainer");
	dojo.require("dijit/layout/SplitContainer");
	dojo.require("dijit/layout/ContentPane");
	dojo.require("dijit/layout/AccordionContainer");
	dojo.require("dojo/domReady!");
	dojo.require("dojo/parser");
	dojo.require("dijit/Toolbar");
	dojo.require("dijit/form/Button");
	dojo.require("dijit/form/ToggleButton");
	dojo.require("dijit/ToolbarSeparator");
	dojo.require("dijit/Dialog");
	dojo.require("dijit/form/TextBox");
	dojo.require("dijit/Menu");
*/
</script>

<script>
require(["dojo/dom", "dojo/dom-attr","dojo/has","dojo/dom-construct","dojo/domReady!"], function(dom,domAttr,has,domConstruct){
   //if NOT firefox, add invisible label for Screen Readers
   //in safari buttons are larger with these label, also JAWS/INSERT+F5 does not list the focusable elements in safari
   //so, exclude  these labels for safari
   if(!has("ff") && !has("safari")){
      domConstruct.create("label", { style: "font-size:0", innerHTML: "More" },"moreDDBspan","last");
      domConstruct.create("label", { style: "font-size:0", innerHTML: "Help" },"helpDDBspan","last");
   }

});
</script>

<div id="splash" class="bg" style="z-index:10000!important;">
<div id="sas-hc-splash"  class="radiance" style="z-index:12000!important;">
    <div id="sas-hc-splash-content">
        <div class="SplashContentTable">
            <div class="SplashContentTableCell">
                <div class="SplashContentTableCellInner">
                <div id="sas-hc-splash-headerText" class="SplashHeader SplashLoaderDots"><%=bundle.getString("SplashScreenInitializing.txt")%></div>
                    <div class="SplashCircleContainer">
                        <div class="SplashCircle SplashCircle1">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<%--     <footer>
        <div class="SplashFooterInnerContainer">
            <div class="SplashFooter"><%=bundle.getString("SplashScreenCopyright.txt")%></div>
        </div>
    </footer> --%>
</div>
</div>

<!--[if lte IE 9]>
    <script src="resources/js/webdms/IE9/animation-legacy-support.js"></script>
<![endif]-->

</head>

<body class="corporate" style="margin:0 auto !important; line-height: normal !important;">

<!--div class="wrapper" id="wrapper" style="position:absolute"-->
<!--div class="row-fluid" data-dojo-type="dijit/layout/BorderContainer" design="headline"  style="height:100%;width:100%" id="bigKahuna"-->
<div class="row-fluid" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="design:'headline', gutters:false"
     style="height:100%;width:100%;position:fixed!important;display:none;"  id="bigKahuna">

<div data-dojo-type="dijit/layout/ContentPane" region="top" splitter="false" style="margins:0px;overflow:hidden;display:none"
     id="searchHeadContainer">
	<div class = "embeddedHidden">
		<div id="entireSearchBanner">
			<div class="row-fluid">
				<div id="closeBannerButton">
					<button id="closeSearchButton" data-dojo-type="dijit/form/Button">
						<!--%=bundle.getString("SignOutButton.txt")%-->
						Close
					</button>
				</div>

				<div id="searchBannerButtons">
					<table style="width:100%;">
					   <tr>
							<td>

								<input id="searchInputField" data-dojo-type="dijit/form/ComboBox" hasDownArrow="false" autoComplete="false"
										 placeholder="Search whatever" style="width:82%;height:100%;float:left;font-size:16px;">
								</input>

								<button id="clearSearchButton" data-dojo-type="dijit/form/Button" type="button"
										  data-dojo-props="showLabel: true"
										  style="float:left;background-color:white;">
											<img id="clearSearchButtonIcon" src="resources/js/dojo/dijit/themes/corporate/images/sasIcons/sasdark/16_png/ClearSearch.png"
												style="visibility:hidden;" alt="Clear Search"/>
								</button>

								<button id="searchImageButton" data-dojo-type="dijit/form/Button" type="button"
										  data-dojo-props="showLabel: true"
										  style="float:left;">
									<img src="resources/js/dojo/dijit/themes/corporate/images/sasIcons/sasdark/16_png/Search.png"
											alt="Search"/>
								</button>
							</td>
							<td>
								<button id="showLogButton" data-dojo-type="dijit/form/Button" type="button"
										  data-dojo-props="showLabel: true">
									  Show Log
								</button>
							</td>
							<td>
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<div data-dojo-type="dijit/layout/ContentPane" region="top" splitter="false" style="margins:0px;overflow: hidden"
     id="headContainer">

<!-- //////////////// ************ START HEADER ************** //////////////// -->
<!--header-->
<!-- *** hide when Web Editor is embedded within a PaaS application *** -->
<div class = "embeddedHidden">
<!-- *** START HEADER CONTAINER *** -->
<!-- *** START ROW *** -->
<div id="entireBanner">
<!-- *** START ROW *** -->
<div class="row-fluid">

<div id="mainBannerHeader"><div id="mainBanner"><%=bundle.getString("ProductBannerLabel.txt")%></div></div>
<!-- *** START SPAN 8 *** -->
<div id="mainBannerButtons" class="span8">

<!-- *** Search button *** -->

<span>
	<button id="searchButton" data-dojo-type="dijit/form/Button" data-dojo-props="iconClass:'sasSearchIcon_lt'" type="button">
	</button>
</span>

<span>
	<button id="openFileButton" data-dojo-type="dijit/form/Button" data-dojo-props="iconClass:'sasOpenIcon_lt'" type="button">
	</button>
</span>

<div id="newDDBdiv" data-dojo-type="dijit/form/DropDownButton"  class="sasStudioBannerIconDropDownButton" aria-labelledby="" aria-label="New Options">
<span class="dijitReset dijitInline dijitIcon sasFrequentActionsLightIcon" data-dojo-attach-point="iconNode"></span>

<div data-dojo-type="dijit/Menu" id="newMenu">
<div data-dojo-type="dijit/MenuItem" id="newProgramMain"></div>
<div data-dojo-type="dijit/MenuItem" id="newImportMain"></div>
<div data-dojo-type="dijit/MenuItem" id="newQueryMain"></div>
<div data-dojo-type="dijit/MenuItem" id="newProcessFlowMain"></div>
<div data-dojo-type="dijit/MenuItem" id="newXMLMain"></div>
<div data-dojo-type="dijit/MenuSeparator"></div>
<div data-dojo-type="dijit/MenuItem" id="closeAllTabsMain"><%=bundle.getString("CloseAllTabs.txt")%></div>
<div data-dojo-type="dijit/MenuItem" id="maxViewMain"><%=bundle.getString("MaximizeView.txt")%></div>

</div>
</div>

<!-- perspectives label/button -->
<div id="perspectivesDDB"></div>

<!-- *** START MOREDDBDIV *** -->
<div id="moreDDBdiv" data-dojo-type="dijit/form/DropDownButton" class="sasStudioBannerIconDropDownButton" aria-labelledby="" aria-label="<%=bundle.getString("MoreOptions.txt")%>">
<span class="dijitReset dijitInline dijitIcon sasMoreIcon_lt" data-dojo-attach-point="iconNode"></span>
<span id="moreDDBspan"></span><!-- used for screen readers. See line265 -->

<!-- *** START DIJIT MENU *** -->
<div data-dojo-type="dijit/Menu" id="mainMenu">
      <div data-dojo-type="dijit/MenuItem" id="editAutoExec"><%=bundle.getString("EditAutoExecFile.txt")%></div>
      <div data-dojo-type="dijit/MenuItem" id="casAdmin"><%=bundle.getString("CASAdmin.txt")%></div>
	  <div data-dojo-type="dijit/PopupMenuItem" id="autoExecPopupSubMenu">
        <span>View</span>
      	 <div data-dojo-type="dijit/DropDownMenu" id="editAutoExecDropDown"></div>
      </div>
	  <div data-dojo-type="dijit/PopupMenuItem" id="viewPopupSubMenu">
        <span>View</span>
      	 <div data-dojo-type="dijit/DropDownMenu" id="viewSubMenu"></div>
      </div>
      <div data-dojo-type="dijit/MenuSeparator" id="viewMenuSeparator1"></div>
      <div data-dojo-type="dijit/MenuItem" id="showOptionsDialog"><%=bundle.getString("PreferencesMenu.txt")%></div>
      <div data-dojo-type="dijit/MenuSeparator" id="installGraphicsEditorSeparator"></div>
      <div data-dojo-type="dijit/PopupMenuItem" id="toolsPopupSubMenu">
        <span>Tools</span>
      	 <div data-dojo-type="dijit/DropDownMenu" id="toolsSubMenu"></div>
      </div>
      <div data-dojo-type="dijit/MenuSeparator" id="installGraphicsEditorSeparator2"></div>
      <!-- <div data-dojo-type="dijit/MenuSeparator" id="mainMenuSeparator"></div> -->
      <!-- <div data-dojo-type="dijit/MenuItem" id="closeAllTabs"><%=bundle.getString("CloseAllTabs.txt")%></div> -->
      <div data-dojo-type="dijit/MenuItem" id="batchSubmissions">Batch Submission Log</div>
      <div data-dojo-type="dijit/MenuItem" id="resetSession"><%=bundle.getString("ResetSession.txt")%></div>
      <!--<div data-dojo-type="dijit/MenuSeparator" id="makePretty"></div>-->
      <!--<div data-dojo-type="dijit/MenuItem" id="maxView"><%=bundle.getString("MaximizeView.txt")%></div>-->
      <!--<div data-dojo-type="dijit/MenuItem" id="changePassword"><%=bundle.getString("ChangePasswordMenu.txt")%></div>-->
 </div>
 <!-- *** END DIJIT MENU *** -->

 </div>
 <!-- *** END MOREDDBDIV *** -->


<!-- *** End Search button *** -->

<!-- *** START HELPDDBDIV *** -->
<div id="helpDDBdiv" data-dojo-type="dijit/form/DropDownButton" class="sasStudioBannerIconDropDownButton" aria-labelledby="" aria-label="<%=bundle.getString("HelpAriaLabel.txt")%>">
<span class="dijitReset dijitInline dijitIcon sasHelpButtonIcon_lt" data-dojo-attach-point="iconNode"></span>
<span id="helpDDBspan"></span>
<div data-dojo-type="dijit/Menu">
<div data-dojo-type="dijit/MenuItem" id="internalHelp" style="display:none">Internal Help</div>
<div data-dojo-type="dijit/MenuItem" id="webdmsHelp"><%=bundle.getString("WebEditorHelp.txt")%></div>
<!--div data-dojo-type="dijit/MenuItem" id="sasHelp"--><!--%=bundle.getString("SASProductionDocumentation.txt")%--><!--/div-->
<div data-dojo-type="dijit/MenuItem" id="communityHelp"><%=bundle.getString("CommunityHelp.txt")%></div>
<div data-dojo-type="dijit/MenuSeparator"></div>
<div data-dojo-type="dijit/MenuItem" id="keyboardShortcutsHelp"><%=bundle.getString("KeyboardShortcuts.txt")%></div>
<div data-dojo-type="dijit/MenuSeparator"></div>
<div data-dojo-type="dijit/MenuItem" id="aboutWebdms"><%=bundle.getString("AboutSASWebEditor.txt")%></div>
</div>
</div>
<!-- ***END HELPDDBDIV *** -->
<span><button id="logoffButton" data-dojo-type="dijit/form/Button"><%=bundle.getString("SignOutButton.txt")%></button></span>

<!-- *** END SPAN 8 *** -->
</div>
<!-- *** END ROW *** -->

</div>
<!-- *** END CONTAINER *** -->
<!--/div-->
<!-- ** END  "embeddedHidden" -->
<!--/header-->
<!-- //////////////// ************ END HEADER ************** //////////////// -->
</div>
</div>
</div>

<div data-dojo-type="dijit/layout/ContentPane" region="center" splitter="false" style="height:90%;margins:0px;overflow: hidden" id="bodyContainer">


<!-- //////////////// ************ START MAIN CONTAINER ************** //////////////////////// -->
<!--div class="container-fluid keymain" id="bigContainerHolder" style="height:92%"-->

<!-- ****************  START ROW ******************** -->
<div class="row-fluid" data-dojo-type="dijit/layout/BorderContainer" design="headline"  style="height:100%;width:100%" id="bigContainer">

<!-- ****************  START LEFT COLUMN (was 4) ******************** -->
<div class="leftcolumn" data-dojo-type="dijit/layout/BorderContainer" region="left" minSize="240" splitter="true" style="margins:0px;overflow: hidden" id="accordionContainer">

<!-- *** START ACCORDION *** -->
<div class="accordion" data-dojo-type="dijit/layout/AccordionContainer" region="center" duration="80" id="accContainer">

<!--  Search Pane  -->
<!--div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("Search.txt")%>" id='searchPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:0; overflow:hidden">
<div id='searchBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
   <span>
	  <input id="searchInputDesktop" data-dojo-type="dijit/form/TextBox"
	         placeholder="<%=bundle.getString("SearchPlaceHolder.txt")%>" style="width:70%">
	  </input>

	  <button id="searchClearButton" data-dojo-type="dijit/form/Button" type="button"
			  data-dojo-props="iconClass:'sasClearSearchIcon', showLabel: false">
		  Clear the search text
	  </button>

	  <button id="searchFilterButton" data-dojo-type="dijit/form/Button" type="button"
			  data-dojo-props="iconClass:'sasOptionsIcon', showLabel: false">
		  Search options
	  </button>
   </span>
      <div id='searchResultsMessage' style="color:black;font-size:x-small;height:40x;width:100%"></div>
   <div style="width:100%">
   	  <button id='searchSasLogButton' type='button' style="display:none;">Debug Log</button>
   </div>
	<div id='searchBlocker' style='z-index:-1;position:absolute; top:40px;left:0;width:100%;height:100%; background-color:white;opacity:0.4'></div>
</div==>

<!--  Projects  -->
<div class="element" data-dojo-type="dijit/layout/ContentPane"  selected="true" title="<%=bundle.getString("ProjectsTitle.txt")%>" id='projectsPane' style="height:100%; margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden">

<%-- <div class="element" data-dojo-type="dijit/layout/ContentPane"  selected="true" title="<%=bundle.getString("ProjectsTitle.txt")%>" id='projectsPaneInner' style="height:100%;margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:0; overflow:hidden">
 --%><div id='projectsBlocker' style='z-index:-1;position:absolute; top:40px;left:0;width:100%;height:100%; background-color:white;opacity:0.4'></div>
<%@ include file="ProjectsMenu.html"%>
</div>
<!-- </div> -->

<!--  Tasks Pane  -->
<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("TasksTitle.txt")%>" id='tasksPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden">
<div id='tasksBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
<!--<%@ include file="tasksmenu.html"%>-->
<!--div id="templatesView"></div-->
</div>

<!-- Snippets pane -->
<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("SnippetsTitle.txt")%>" id='templatesPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden">
<div id='templatesBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
<!--<%@ include file="templatesmenu.html"%>-->
<!--div id="templatesView"></div-->
</div>

<!--  Library Pane  -->
<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("LibrariesTitle.txt")%>" id='libraryPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden">
<div id='librariesBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
<%@ include file="librariesmenu.html"%>
<!--div id="libraryView"></div-->
</div>

<!--  File Shortcuts  -->
<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("FileShortcutsTitle.txt")%>" id='filerefsPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden" role="grid">
<div id='filesBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
<%@ include file="filesmenu.html"%>
<!--div id="fileView"></div-->
</div>

<!--  disk explorer Shortcuts  -->
<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("LocalDrivesTitle.txt")%>" id='diskExplorerPane' style="margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden;">
<div id='diskBlocker' style='z-index:-1;position:absolute; top:0;left:0;width:100%;height:100%;background-color:white;opacity:0.4'></div>
<%@ include file="diskexplorermenu.html"%>
<!--div id="fileView"></div-->
</div>

<div class="element" data-dojo-type="dijit/layout/ContentPane" title="<%=bundle.getString("SASFoldersTitle.txt")%>" id='bipTreePane' style="height:100%; margins:0px; padding-top:8; padding-left:8; padding-right:8; padding-bottom:30px; overflow:hidden">

<div id='bipTreeBlocker' style='z-index:-1;position:absolute; top:40px;left:0;width:100%;height:100%; background-color:white;opacity:0.4'></div>
<%@ include file="BIPTreeMenu.html"%>
</div>

</div>
<!-- *** END ACCORDION *** -->


<!--/div-->
<!-- ****************  END LEFT COLUMN ******************** -->

</div>
<!-- ****************  START RIGHT COLUMN ******************** -->
<div data-dojo-type="dijit/layout/ContentPane" region="center" splitter="false" style="width:100%;overflow:hidden" id="editTabContentPane">
	<div id="tabsBC" class="tabs"></div>
<!-- ****************  RIGHT COLUMN ENDS ******************** -->
</div>
<!-- ****************  END ROW  ******************** -->

</div>
</div>

<div data-dojo-type="dijit/layout/ContentPane" class="statusBar" tabindex="0" id="studio_status_bar" style="width:100%;overflow:hidden" region="bottom">

	<div class="statusBarMessage" style="float:left;display:inline-block;" id="status_message"> &nbsp; </div>
	
<!-- 	<button id="statusBarBatchSubmissionButton" 
			data-dojo-type="dijit/form/Button" 
			data-dojo-props="iconClass:'sasActionIcon'" style="float:right;">Batch submission status</button> -->
			
	<div class="statusBarUser" id="status_user" style="float:right;display:inline-block;"> &nbsp; </div> 
	<button id="statusBarMessagesButton" 
		data-dojo-type="dijit/form/Button" 
		data-dojo-props="iconClass:'sasInformationIcon'" style="float:right;margin-right:20px;">Messages</button>
</div>

<!-- //////////////// ************ END MAIN CONTAINER ************** //////////////// -->

<!--/div-->
<!-- *** END WRAPPER *** -->

<%@ include file="editmenu.html"%>
<%@ include file="about.html"%>
<!--%@ include file="dialogs.html"%-->

	<!-- Le javascript
 ================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="resources/js/studio/itr.js"></script>
	<script src="resources/js/studio/ods.js"></script>
	<script src="resources/js/studio/webdms.js"></script>
	<!--<script src="resources/js/onlinedoc/SASDoc_window.js"></script>-->

</body>
</html>
