<%@taglib uri='http://www.sas.com/taglib/sas-uis' prefix='sas-uis' %>
<%@ page session="true" import="com.sas.ep.sascoder.utilities.*,
			java.util.*,
			com.sas.ep.sascoder.webdms.service.sas.SasWorkspaceService,
			com.sas.ep.sascoder.rest.representations.RestSession,
			com.sas.ep.sascoder.web.SessionController,
			org.springframework.context.ApplicationContext"
			
	contentType="text/html;charset=UTF-8"%>

<%
RestSession restSession = JspUtilities.extractPendingRestSession(request);
if (null == restSession)
{
	// If there is no pending session, send the user back to the login page.
	response.sendRedirect("mobile");
	return;
}
JspUtilities jspUtilities = new JspUtilities(restSession, request, response);

if (jspUtilities.redirectIfNoAllowedActions("AccessSASStudio")) {
	jspUtilities.closeSession();
	return; // redirect sent, so just return
}

jspUtilities.addDojoPackage("mobile", "webdms/mobile/webdms");

Locale locale = jspUtilities.getLocale();
ResourceBundle bundle = NLSUtils.getResourceBundle(null, locale);

String userAgent= Util.getSafeString((String) request.getHeader("User-Agent"));
ApplicationContext ctxt=SessionController.getApplicationContext();
SasWorkspaceService sasWorkspaceService=(SasWorkspaceService)ctxt.getBean("sasWorkspaceService");
String sasMode = sasWorkspaceService.getSasMode();

// 2014-07-23 sasjkx  Note that this logic differs from what is in most of the
//	other jsp's, which also send low versions of IE (and any version of surface)
//	to not_supported.  Not sure at the moment whether this is intentional for
//	tablet.jsp or not.  I suspect this should be updated to match other jsp's,
//	but am leaving as-is for now.
if (userAgent.indexOf("&lt;")>-1 && userAgent.indexOf("&gt;")>-1)
{
	response.sendRedirect("not_supported");
	return;
}

// 2014-07-23 sasjkx  java variable "background" does not appear to be used
//	anywhere, so commenting this out.
//String background="resources/js/dojo/dijit/themes/corporate/images/backgrounds/splashScreen.png";
//if (userAgent.indexOf("Silk")!=-1)
//	background="resources/js/dojo/dijit/themes/corporate/images/gradients/titlebar.png";
%>

<!DOCTYPE html>

<%if ("wip".equalsIgnoreCase(sasMode))
{%>

<script type="text/javascript">
var sasstudio_timeout = function() {
	appDMS.signOut();
};
</script>

<sas-uis:Timeout function="sasstudio_timeout()"/>
<%}%>

<html>
<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0 maximum-scale=1.0 user-scalable = no">
<meta http-equiv="X-UA-Compatible" content="IE=9" />
 <title><%=bundle.getString("ProductPageTitle.txt")%></title>
<link rel="shortcut icon"  href="favicon.ico" />

<!-- SECTION 1 -->
<!--link media="screen" rel="stylesheet"
	href="resources/js/dojo/dijit/themes/corporate/css/frame-enhanced.css" /-->
<!--link media="screen" rel="stylesheet"
	href="resources/js/dojo/dijit/themes/corporate/css/sasIcons.css" /-->
<!--link media="screen" rel="stylesheet"
	href="resources/js/dojo/dijit/themes/corporate/css/explorer.css" /-->
<link media="screen" rel="stylesheet"
	href="resources/js/dojo/dijit/themes/corporate/corporate.css" />
<link media="screen" rel="stylesheet"
	href="resources/js/dojo/dojox/grid/resources/Grid.css" />
<link media="screen" rel="stylesheet"
	href="resources/js/dojo/dojox/grid/resources/claroGrid.css" />
<link media="screen" rel="stylesheet"
	href="resources/js/dojo/dijit/themes/corporate/css/webdms.css" />
<link media="screen" rel="stylesheet"
	href="resources/js/dojo/dojox/mobile/themes/corporate/css/Mobilewebdms.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/sce.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/help.css" />


<!--[if gte IE 9]>
  <style type="text/css">
    .gradient {
       filter: none;
    }
  </style>
<![endif]-->

<style>
.mblToolBarButtonDisabled {
	opacity: 0.5;
}

.corporate td.dijitMenuItemLabel
{
	text-shadow: none!important;
	font-family: 'Open Sans', Verdana, Arial, Helvetica, sans-serif;
	<!-- font-weight: bold; -->
}

.mblProgressIndicator
{
	z-index: 10000;
}
</style>

<script type="text/javascript">
var jspTime=new Date();
<%
jspUtilities.writeJavascriptVariables(out);
jspUtilities.writeJavascriptDojoConfig(out);
%>
</script>
<script type="text/javascript"
	src="resources/js/dojo/dojox/mobile/deviceTheme.js"></script>
<script type="text/javascript" src="resources/js/dojo/dojo/dojo.js"></script>

<!-- fav and touch icons -->
<!-- <link rel="shortcut icon" href="assets/ico/favicon.ico">
<link rel="apple-touch-icon" href="assets/ico/apple-touch-icon.png">
<link rel="apple-touch-icon" sizes="72x72"
	href="assets/ico/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon" sizes="114x114"
	href="assets/ico/apple-touch-icon-114x114.png"> -->
<link href="resources/js/dojo/dijit/themes/corporate/images/ico/favicon.ico" rel="shortcut icon" type="image/x-icon">
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />




<!-- data-dojo-type = "" -->
<script type="text/javascript">
	require([
	"dojox/mobile/parser",
 						"dojox/mobile",
						"dojox/mobile/compat",
						"dojox/mobile/TabBar",
						"dojox/mobile/ContentPane",
						"dojox/mobile/Button",
						"dojox/mobile/FixedSplitter",
						"dojox/mobile/Pane",
						"dojox/mobile/SimpleDialog",
						"dojox/mobile/ComboBox",
						"dijit/form/DataList",
						"dijit/Menu",
						"dijit/MenuItem",
						"dijit/form/DropDownButton",
						"dijit/form/ValidationTextBox",
						"dijit/form/TextBox",
						"dojo/fx",
						"dojo/fx/easing",
						"dojox/mobile/IconMenu",
						"dojox/mobile/Accordion",
						"dojox/mobile/SearchBox",
						"dojox/mobile/SwapView",
						"dojox/mobile/TextBox"
		]);
</script>
<script src="resources/js/webdms/mobile/webdms.js"></script>

<div id="splash">
<div id="sas-hc-splash">
    <div id="sas-hc-splash-content">
        <div class="SplashContentTable">
            <div class="SplashContentTableCell">
                <div class="SplashContentTableCellInner">
                <div id="sas-hc-splash-headerText" class="SplashHeader SplashLoaderDots"><%=bundle.getString("SplashScreenLoading.txt")%></div>
                    <div class="SplashCircleContainer">
                        <div class="SplashCircle SplashCircle1">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <footer>
        <div class="SplashFooterInnerContainer">
            <div class="SplashFooter"><%=bundle.getString("SplashScreenCopyright.txt")%></div>
        </div>
    </footer>
</div>
</div>

<style>
.mblIconContainer {
    margin: 0px 0px !important;
}
</style>
</head>

<body class="corporate">

<div class="mobileWrapper">

<!-- //////////////// ************ START HEADER ************** //////////////// -->

<header>

<!-- *** START HEADER CONTAINER *** -->

<div class="container-fluid" id="mainBanner"><!-- *** START ROW *** -->
<div class="row-fluid" data-dojo-type="dojox/mobile/Heading"
	data-dojo-props='fixed:"top"'>

<div class="span4">
<h1><%=bundle.getString("ProductBannerLabel.txt")%></h1>
</div>

<div id="mainBannerButtons" class="span8" style="margin-top:.4em">

<div id="appMenuDiv" data-dojo-type="dijit/form/DropDownButton" class="sasStudioBannerIconDropDownButton" aria-labelledby="" aria-label="<%=bundle.getString("MoreOptions.txt")%>">
<span id="moreDDBspan"></span>

  <div data-dojo-type="dijit/Menu" id="moreDDBMenu" data-dojo-props="autoFocus: true">
      <div data-dojo-type="dijit/MenuItem" id="editAutoExec"><%=bundle.getString("EditAutoExecFile.txt")%></div>
      <div data-dojo-type="dijit/MenuItem" id="closeAllTabs"><%=bundle.getString("CloseAllTabs.txt")%></div>
      <div data-dojo-type="dijit/MenuSeparator"></div>
      <div data-dojo-type="dijit/MenuItem" id="showOptionsDialog"><%=bundle.getString("PreferencesMenu.txt")%></div>
      <div data-dojo-type="dijit/MenuSeparator"></div>
      <div data-dojo-type="dijit/MenuItem" id="resetSession"><%=bundle.getString("ResetSession.txt")%></div>
      <div data-dojo-type="dijit/MenuItem" id="changePassword"><%=bundle.getString("ChangePasswordMenu.txt")%></div>
    </div>
</div>

<div id="helpDDBdivMobile" data-dojo-type="dijit/form/DropDownButton" class="sasStudioBannerIconDropDownButton" aria-labelledby="" aria-label="<%=bundle.getString("HelpAriaLabel.txt")%>">
   <span id="helpDDBspan"></span>
   <div data-dojo-type="dijit/Menu" id="helpDDBMenu" data-dojo-props="autoFocus: true">
      <div data-dojo-type="dijit/MenuItem" id="webdmsHelp"><%=bundle.getString("WebEditorHelp.txt")%></div>
      <div data-dojo-type="dijit/MenuItem" id="communityHelp"><%=bundle.getString("CommunityHelp.txt")%></div>
      <div data-dojo-type="dijit/MenuItem" id="aboutWebdms"><%=bundle.getString("AboutSASWebEditor.txt")%></div>
   </div>
</div>


   <button id="logoffButton" data-dojo-type="dojox/mobile/Button"><%=bundle.getString("SignOutButton.txt")%></button>


</div>

</div>
<!-- *** END ROW *** -->
</div>
<!-- *** END CONTAINER *** -->

</header>
<!-- //////////////// ************ END HEADER ************** //////////////// -->



<!-- //////////////// ************ START MAIN CONTAINER ************** //////////////////////// -->

<div id="main" class="container-fluid mobile_keymain" style="height: 100%" /><!-- ****************  START ROW ******************** -->



<!-- ****************  START COLUMN (was 4) ******************** -->

<div id="appView" data-dojo-type="dojox/mobile/View" style="height: 100%; width: 100%;">

<!-- launch lists that Jennifer created in the "other" prototype -->

<div data-dojo-type="dojox/mobile/Heading" data-dojo-props='fixed:"top"' id="bigHead" class="dijitHidden"
	style="background-color: #F2F2F2; background-image: none; border-color: gray; border-right-style: solid; border-right-width: 3px;border-left-style: solid; border-left-width: 3px; border-bottom-width: 1px;border-bottom-color: lightgray; height:46px">


    <span data-dojo-type="dojox/mobile/ToolBarButton" id="navButtonPrev" class="dijitHidden"  > <!-- style="background-image:-webkit-gradient(linear, 0% 0%, 0% 100%, from(rgb(237, 242, 247)), to(rgb(208, 223, 234)));" -->
	  <%=bundle.getString("MobileBrowseButton.txt")%>
    </span>

    <span id="objectPath"
	       style="float:left; color: rgb(35, 51, 81); font-size: 16px; font-weight: bold;width:600px; white-space:nowrap;
		   overflow:hidden; text-overflow:ellipses;font-size:16px" >
    </span>

    <span data-dojo-type="dojox/mobile/ToolBarButton" id="closeButton"  > <!-- style="float:right;font-size:16px;margin-right: 10px;background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(rgb(237, 242, 247)), to(rgb(208, 223, 234)));" -->
       <%=bundle.getString("CloseButton.txt")%>
	</span>

</div>



<div class="dijitHidden" id="editorHolder"
	data-dojo-type="dojox/mobile/Container" style="height: 572px;"></div>
<div data-dojo-type="dojox/mobile/FixedSplitter" id="workspaceSplitter"
	data-dojo-props='orientation:"H"'
	style="position: relative; background-color: #F2F2F2; background-image: none">
<div data-dojo-type="dojox/mobile/FixedSplitter" id="gutterSplitter"
	data-dojo-props='orientation:"H"' style="width: 678px;"> <!-- height:100% -->

<div data-dojo-type="dojox/mobile/Pane" id="detailList"
	style="width: 360px; height:100%; background-color: #F2F2F2; background-image: none">
<!-- , fixedHeight:true' height="300px" -->
<div data-dojo-type="dojox/mobile/Accordion" data-dojo-props='singleOpen:true' id="explorerAccordion">



   <div data-dojo-type="dojox/mobile/ContentPane" id="searchItemsContainer"
        label="<%=bundle.getString("Search.txt")%>">

       <div data-dojo-type="dojox/mobile/Heading" data-dojo-props='fixed:"top"'
	           id='searchHead'>
			  <input data-dojo-type="dojox/mobile/TextBox"
                     id="searchInput"
                     placeholder="<%=bundle.getString("SearchPlaceHolder.txt")%>"
			         onkeypress="searchKeyPress(event);"/>

			  <button id="searchClearButtonMobile" data-dojo-type="dijit/form/Button" type="button"
			  			data-dojo-props="iconClass:'sasClearSearchIcon24', showLabel: false">
		  				Clear the search text
	  		  </button>

		      <button data-dojo-type="dijit/form/Button" type="button" id="searchFilterButtonMobile"
			          data-dojo-props="iconClass:'sasOptionsIcon24', showLabel: false">
					  Search options
			  </button>

       </div>
	   <div data-dojo-type="dojox/mobile/Heading" data-dojo-props='fixed:"top"'
	           id='searchResults'>
			  <div id='searchResultsMessage'>
		      </div>
       </div>

      <div id="searchDiv" data-dojo-type="dojox/mobile/ScrollableView">

         <div id="searchContainer" data-dojo-type="dojox/mobile/View">
 		     <ul data-dojo-type="dojox/mobile/EdgeToEdgeList" id="searchList" data-dojo-props='variableHeight:true'>
			 </ul>
       </div>

	  </div>
	</div>


   <div data-dojo-type="dojox/mobile/ContentPane" id="projectsContentPane" data-dojo-props='selected:true' label="<%=bundle.getString("ProjectsTitle.txt")%>">
		<div id="projectsContainer" data-dojo-type="dojox/mobile/View">
			<%@ include file="mobile_ProjectsMenu.html"%>
			<div id="breadCrumbs" data-dojo-type="dojox/mobile/Heading" data-dojo-props='fixed:"top"'></div>
		</div>
   </div>

   <div data-dojo-type="dojox/mobile/ContentPane" id="librefView" label="<%=bundle.getString("LibrariesTitle.txt")%>">
		<div id="librefContainer" data-dojo-type="dojox/mobile/View">
			<%@ include file="mobile_LibraryMenu.html"%>
			<div id="libBreadCrumbs" data-dojo-type="dojox/mobile/Heading" data-dojo-props='fixed:"top"'></div>
		</div>
   </div>



   <div data-dojo-type="dojox/mobile/ContentPane" id="fileView" label="<%=bundle.getString("FileShortcutsTitle.txt")%>" height="460px">
	  <%@ include file="mobile_FileMenu.html"%>
      <div id="filerefContainer" data-dojo-type="dojox/mobile/ScrollableView">
     </div>
   </div>

   <div data-dojo-type="dojox/mobile/ContentPane" id="openItemsContainer" label="<%=bundle.getString("CurrentlyOpenItems.txt")%>"
		height="460px">
      <div id="openItemsDiv" data-dojo-type="dojox/mobile/ScrollableView">
        <!--div data-dojo-type="dojox/mobile/ScrollablePane" data-dojo-props='height:"100%",roundCornerMask:true'-->
				<ul data-dojo-type="dojox/mobile/EdgeToEdgeList" id="launchList"  data-dojo-props='variableHeight:true'></ul>
	  	<!--/div-->
		</div>
	</div>

</div>




</div>
</div>
<div data-dojo-type="dojox/mobile/ContentPane"
	id='rightPane'>
   <%@ include file="mobile_EditMenu.html"%>

</div>



</div>
</div>
</div>
<!-- end 'main' div -->

<!-- //////////////// ************ END MAIN CONTAINER ************** //////////////// -->

<!--  ***Now mobile_dialogs.html is having a copy of dialogs.html (as of 01/24/2014). This gets included only in case of 'mobile'(from tablet.jsp)
	  *** this is required to make dialogs work on mobile because we removed lot of dialogs from
	  *** dialogs.html(after 01/24/14) for desktop version as part of dynamic loading of dialogs*** -->

<%@ include file="mobile_dialogs.html"%>
<!--  *** include file="dialogs.html-->
<%@ include file="editmenu.html"%>
<%@ include file="about.html"%>

<!-- Placed at the end of the document so the pages load faster -->

</body>
</html>
