define(['dojo/query', 'dojo/on', 'dojo/dom-style', 'dojo/dom-construct', 'dojo/dom-attr' , 'dojo/dom-class'],
    function(query, on, domStyle, domConstruct, domAttr , domClass){
SAS.AutoCompleteHelper = function (v, c) {

    var container, helper, resizer, view, resizerContainer, KEY,
        width, height, isResizing, isDisplayed, isFocused, suppressHide,
        RESIZE_ICON_WIDTH, RESIZE_ICON_HEIGHT, MIN_WIDTH, MIN_HEIGHT, PLACE_HOLDER, ORIGIN_WIDTH, ORIGIN_HEIGHT, RESIZER_CONTAINER_HEIGHT, RESIZER_MARGIN,
        computedStyle, onDismiss, onRollBackFocus, resizeListener, self;

    container = c;
    view = v;
    isDisplayed = false;
    isFocused = false;
    suppressHide = false;
    helper = domConstruct.create('div', {'class': 'sce-helper-main'}, container);
    helper.dojoClick = false;
    resizerContainer = domConstruct.create('div', {'class' : 'sce-helper-resizer-container'}, container);
    resizerContainer.dojoClick = false;
    resizer = domConstruct.create('div', {'class': 'sce-helper-resize'}, resizerContainer);
    function _init() {
        computedStyle = domStyle.getComputedStyle(helper);
        RESIZER_MARGIN = _removePX(domStyle.getComputedStyle(resizer).marginRight);
        //RESIZER_CONTAINER_HEIGHT = resizerContainer.clientHeight;
        RESIZER_CONTAINER_HEIGHT = domStyle.get(resizerContainer, 'height');
        ORIGIN_WIDTH = width = _removePX(computedStyle.width);
        ORIGIN_HEIGHT = height = _removePX(computedStyle.height);
        MIN_WIDTH = _removePX(computedStyle.minWidth);
        MIN_HEIGHT = _removePX(computedStyle.minHeight);
        PLACE_HOLDER = {
            horizontal: _removePX(computedStyle.borderLeftWidth) + _removePX(computedStyle.borderRightWidth) + _removePX(computedStyle.paddingLeft) + _removePX(computedStyle.paddingRight),
            vertical: _removePX(computedStyle.borderTopWidth) + _removePX(computedStyle.borderBottomWidth) + _removePX(computedStyle.paddingTop) + _removePX(computedStyle.paddingBottom)
        };
        RESIZE_ICON_WIDTH = domStyle.get(resizer, 'width');
        RESIZE_ICON_HEIGHT = domStyle.get(resizer, 'height');
    }
    /*NOTE: There are some regression issues by calling _init() in show(), 
     * and the old issue can not be fixed thoroughly, e.g. S1078170 and S1065000,
     * the reason is the width value is not consistent when calling _init.
     * All can be fixed by calling _init() with delay.
     */
    window.setTimeout(function(){
        _init();
    },500);
    if (SAS.Browser.ipad()) {
        domStyle.set(resizer, 'display', 'none');
        domStyle.set(resizerContainer, 'display', 'none');
        domClass.add(helper, 'sce-helper-main-ex');
    }
    KEY = SAS.Utils.KEY;
    resizeListener = {};
    self = this;
    onDismiss = new SAS.Event();
    onRollBackFocus = new SAS.Event();

    domAttr.set(helper, 'tabIndex', -1);
    on(helper, 'keydown', function(e) {
        if (isDisplayed) {
            if (e.keyCode === KEY.TAB) {
                suppressHide = true;
                if (e.shiftKey) onRollBackFocus.raise();
                else view.focus();
                return SAS.Utils.stopEvent(e);
            } else if (e.keyCode === KEY.ESC) {
                self.hide();
                if(SAS.Browser.msie()){
                    window.setTimeout(view.focus, 0);
                }else {
                    view.focus();
                }
            } else if ((e.ctrlKey || e.metaKey) && e.keyCode === KEY.A) { // Select all content
                if (SAS.Browser.msie()) {
                    suppressHide = true; //FIXID S1067987: must be here
                }
                var range = document.createRange();
                range.selectNodeContents(helper);
                var sel = window.getSelection();
                sel.removeAllRanges();
                sel.addRange(range);
                if (SAS.Browser.msie()) {
                    //suppressHide = true;
                    helper.focus();
                } // IE would focus out.
                return SAS.Utils.stopEvent(e);
            } else if (e.keyCode === KEY.DOWN) {
                var scrollTop = helper.scrollTop,
                    scrollHeight = helper.scrollHeight,
                    clientHeight = helper.clientHeight;
                if ((scrollHeight - scrollTop) === clientHeight) {
                    return SAS.Utils.stopEvent(e);
                }
            } else if (e.keyCode === KEY.UP) {
                var scrollTop = helper.scrollTop;
                if (scrollTop === 0) {
                    return SAS.Utils.stopEvent(e);
                }
            }
        }
    });
    on(helper, 'focusin, mousedown', function(){
        isFocused = true;
        domClass.add(container,'sce-helper-focus');
        if(SAS.Browser.ff()) {
            domClass.add(resizerContainer , 'sce-helper-focus-ex');
            domClass.add(helper, 'sce-helper-focus-ex');
        }
    });
    on(resizerContainer, 'mousedown' , function(e){
        e.preventDefault(e);
        if(!isFocused) self.focus();
    });
    on(helper, 'focusout', function(){
        if (suppressHide) {
            suppressHide = false;
        } else if (on.emit(helper, 'attemptFocusOut', {cancelable: true})) {
            self.hide();
        }
        _unfocusState();
    });
    on(helper, 'contextmenu', function(e) {
        return SAS.Utils.stopEvent(e);
    });
    function _unfocusState() {
        isFocused = false;
        domClass.remove(container,'sce-helper-focus');
        if(SAS.Browser.ff()) {
            domClass.remove(resizerContainer , 'sce-helper-focus-ex');
            domClass.remove(helper, 'sce-helper-focus-ex');
        }
    }
    function _listenLinks() {//FIXID S1004009: 
        query(".sce-helper-main a").on('mousedown',function(e){
            suppressHide = true;
        });
        query(".sce-helper-main a").on('mouseup',function(e) {
            suppressHide = true;
        });
        if (SAS.Browser.ipad()) {
            query(".sce-helper-main a").on('touchstart',function(e){
                suppressHide = true;
            });
            query(".sce-helper-main a").on('touchend',function(e) {
                suppressHide = true;
            });
        }
    }
    function _getLocation (x, y) {
        var left = x,
            top = y,
            parentWidth = (SAS.Browser.ipad() ? window.innerWidth : document.body.clientWidth) + window.pageXOffset,
            parentHeight = window.innerHeight + window.pageYOffset;
        if (y + height + RESIZE_ICON_HEIGHT + PLACE_HOLDER.vertical > parentHeight) {
            top = y - height - view.getLineHeight() - PLACE_HOLDER.vertical - RESIZER_CONTAINER_HEIGHT;
            if (top < window.pageYOffset && y - window.pageYOffset - view.getLineHeight() < window.innerHeight - y + window.pageYOffset) top = y;
        }
        if (x + width + RESIZE_ICON_WIDTH + PLACE_HOLDER.horizontal > parentWidth) {
            left = parentWidth - width - PLACE_HOLDER.horizontal - RESIZE_ICON_WIDTH;
        }
        if (left < window.pageXOffset) left = window.pageXOffset;
        return {left: left, top: top};
    }

    function _removePX (str) {
        return Math.round(parseFloat(str.slice(0, -2), 10));
    }

    function _enableResize () {
        resizeListener.mousedown = on(document, 'mousedown', function(e) {
            if (e.target === resizer) {
                isResizing = {x: domStyle.get(container, 'left'), y: domStyle.get(container, 'top')};
                if (!isFocused) self.focus();
                e.stopImmediatePropagation();
                return SAS.Utils.stopEvent(e);
            }
        });
        resizeListener.mousemove = on(document, 'mousemove', function(e) {
            if (isResizing) {
                var w = e.pageX - isResizing.x + RESIZE_ICON_WIDTH/2 + RESIZER_MARGIN - PLACE_HOLDER.horizontal,
                    h = e.pageY - isResizing.y - RESIZE_ICON_HEIGHT/2 - PLACE_HOLDER.vertical - RESIZER_MARGIN;
                if (w < MIN_WIDTH) {
                    w = MIN_WIDTH;
                }
                if (h < MIN_HEIGHT) {
                    h = MIN_HEIGHT;
                }
                _changeSize(w, h);
                e.stopImmediatePropagation();
                return SAS.Utils.stopEvent(e);
            }
        });
        resizeListener.mouseup = on(document, 'mouseup', function(e) {
            if (isResizing) {
                isResizing = null;
            }
        });
    }

    function _disableResize () {
        if (!!resizeListener.mouseup) {
            resizeListener.mouseup.remove();
            resizeListener.mouseup = null;
        }
        if (!!resizeListener.mousedown) {
            resizeListener.mousedown.remove();
            resizeListener.mousedown = null;
        }
        if (!!resizeListener.mousemove) {
            resizeListener.mousemove.remove();
            resizeListener.mousemove = null;
        }
        if (isResizing) {
            isResizing = null;
        }
    }

    function _changeSize (w, h) {
        width = w;
        height = h;
        domStyle.set(helper, {
            'width': width + 'px',
            'height': height + 'px'
        });
        domStyle.set(resizer, {
            left: (width + PLACE_HOLDER.horizontal - RESIZER_MARGIN - RESIZE_ICON_WIDTH) + 'px',
            top: (height + PLACE_HOLDER.vertical + RESIZER_MARGIN) + 'px'
        });
        domStyle.set(container, {
            width: (PLACE_HOLDER.horizontal + width) + 'px',
            height: (PLACE_HOLDER.vertical + height + RESIZER_CONTAINER_HEIGHT) + 'px'
        });
    }

    this.isDisplayed = function () {
        return isDisplayed;
    }

    this.show = function (content, left, top, auto) {
        var location;
        helper.scrollTop = 0;
        helper.scrollLeft = 0;
        //_init(); //added for fixing S1065000
        if (!SAS.Browser.msie()) { //S1122987
            _init();
        }
        if (arguments.length === 1) {
            helper.innerHTML = content;
        } else {
            if (!!content) {
                helper.innerHTML = content;
            }
            domStyle.set(container, 'display', 'block');
            if (auto) {
                var offset = view._clientDiv.getBoundingClientRect(), tempLeft, tempTop;
                if (SAS.Browser.msie() || SAS.Browser.ff()) {
                    tempLeft = document.documentElement.scrollLeft;
                    tempTop = document.documentElement.scrollTop;
                } else {
                    tempLeft = document.body.scrollLeft;
                    tempTop = document.body.scrollTop;
                }
                left += offset.left + tempLeft;
                top += offset.top + tempTop;
                location = _getLocation(left, top);
                left = location.left;
                top = location.top;
            }
            domStyle.set(container, {
                top: top + 'px',
                left: left + 'px'
            });
            if (!isDisplayed && !SAS.Browser.ipad()) {
                _enableResize();
            }
            isDisplayed = true;
        }
        _listenLinks();
    };

    this.hide = function () {
        helper.innerHTML = '';
        helper.scrollTop = 0;
        helper.scrollLeft = 0;
        width = ORIGIN_WIDTH;
        height = ORIGIN_HEIGHT;
        container.style.removeProperty('width');
        container.style.removeProperty('height');
        helper.style.removeProperty('width');
        helper.style.removeProperty('height');
        resizer.style.removeProperty('left');
        resizer.style.removeProperty('top');
        domStyle.set(container, 'display', 'none');
        isDisplayed = false;
        _unfocusState();
        onDismiss.raise();
        _disableResize();
        //view.focus();
    };

    this.getSize = function () {
        return {width: PLACE_HOLDER.horizontal + width, height: PLACE_HOLDER.vertical + height};
    };
    this.getPosition = function() {
        return {left:container.offsetLeft, top: container.offsetTop, width: container.offsetWidth, height: container.offsetHeight};
    }
    this.getContainer = function () {
        return container;
    };
    
    this.getHelper = function () {
        return helper;
    };

    this.focus = function () {
        isFocused = true;
        helper.focus();
    };

    this.isFocused = function () {
        return isFocused;
    };

    this.isResizing = function () {
        return isResizing;
    };

    this.setOnDismissListener = function (l) {
        onDismiss.add(l);
    };

    this.setOnRollBackFocusListener = function (l) {
        onRollBackFocus.add(l);
    };
    this.enlarge = function() {
        _changeSize(width + 10, height + 10);
    }
    this.narrow = function() {
        _changeSize(width - 10, height - 10);
    }
    this.canHide = function() {
        return (suppressHide === false);
    }
}
return SAS.AutoCompleteHelper;
    }
);