define(['dojo/request', 'dojo/json', 'dojo/io/script', 'dojo/dom', 'dojo/_base/array', 'dojo/domReady!'],function(http, json, script, dom, arrayUtil) {
SAS = window.SAS || {};
SAS.AutoCompleteLoader = function () {
    var self = this,
        keywords = {},
        userQue = {},
        enableWebServ = false,
        //servUrl = 'http://scnbiz.apac.sas.com:8081/exist/rest/db/PubsHelp.xq';
        //servUrl = 'http://scnbiz.apac.sas.com:8081/exist/rest/db/EGLikeHelp.xq';
        //servUrl = 'http://sgdm605m.na.sas.com:8080/exist/rest/db/EGLikeHelp.xq';
        //servUrl = 'http://scnbiz.apac.sas.com:8984/restxq/ceachelp-eglike';
        servUrl = 'http://sgdm605m.na.sas.com:8984/restxq/ceachelp-eglike',
        libService;

    function _regExp(s) {
        var p = (s[s.length - 1] === '=') ?
                ('(^' + s + '\\||\\|' + s + '\\||\\|' + s + '$|^' + s +'$)') :
                ('(^' + s + '\\||\\|' + s + '\\||\\|' + s + '$|^' + s +'$|^' + s + '=\\||\\|' + s + '=\\||\\|' + s + '=$|' + '^' + s + '=$)');
        return new RegExp(p, 'gi');
    }
    function _uniq(arr) {
        var a=[], o={}, i, v, len = arr.length;
        if (len<2) {
            return arr;
        }
        for (i=0; i<len; i++) {
            v = arr[i];
            if (!o[v]) {
                a.push(v);
                o[v] = true;
            }
        }
        return a;
    }
    function _createUrl(options) {
        var opts = '',s = '?';
        for(var opt in options) {
            opts += s + opt+'='+encodeURIComponent(options[opt]);
            s = '&';
        }
        return servUrl + opts;
    }
    function _notify(cb,data,delay) {
        if (cb !== undefined) {
            if (delay === true) {
                window.setTimeout(function(){
                    cb(data);
                },0);
            } else {
                cb(data);
            }
        }
    }
    function _string2Array(s) {
        return s ? s.replace(/\|/g,';').split(';') : null;
    }
    function _string2Array2(s) {
        return s ? s.replace(/\|/g,':').split(':') : null;
    }
    function _loadKeywords(type, cb, stmtName) {
        /*if (keywords[type] !== undefined) {
            //return keywords[type];
            _notify(cb, _string2Array(keywords[type]),true);
        } else {
            var fileName = 'Basic.json', url = null, key = null;
            switch (type) {
            case 'colorValues':
                fileName = 'ColorValues.json';
                break;
            case 'formats':
                fileName = 'Formats.json';
                break;
            case 'informats':
                fileName = 'Informats.json';
                break;
            case 'styleAttributes':
            case 'styleElements':
            case 'styleLocations':
                fileName = 'Style.json';
                break;
            case 'datasetOptions':
            case 'datasetStatements':
                fileName = 'DSOptions.json';
                break;
            }
            //_loadKeywords(fileName,cb);
            url = SAS.Utils.getBaseUrl() + '/sas-commons/control/_codeEditor/data/' + fileName;
            //handle multiple requests to a same url at same time
            key = fileName;
            userQue[key] = userQue[key] || [];
            userQue[key].push({cb:cb,type:type});
            if (userQue[key].length > 1) {
                return;
            }
            // send actual request
            http.get(url, {
                handleAs: 'json',
                headers: {'Cache-Control': 'no-cache'}
            }).then(function(data){
                var i = 0, req = userQue[key], len = req.length;
                dojo.mixin(keywords, data);
                
                for (; i<len; i++){
                    _notify(req[i].cb, _string2Array(keywords[req[i].type]));
                }
                userQue[key] = [];
            },function(error){
                console.log(error);
                _notify(cb, null);
            });
        }*/
        var url = _resolveURL(type, stmtName);
        if (type === 'stmt-option') type += stmtName.toUpperCase();
        if (keywords.keywordPool && keywords.keywordPool[type]) {
            _notify(cb, keywords.keywordPool[type], true);
        } else if (url) {
            SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
                if (data && data.Keywords) {
                    var list = data.Keywords.Keyword;
                    keywords.keywordPool = keywords.keywordPool || {};
                    if (keywords.keywordPool[type] === undefined) {
                        keywords.keywordPool[type] = [];
                        for (var i = 0; i < list.length; i++) {
                            if (!list[i]['Name']) continue;
                            var nameList = list[i]['Name'].split('|');
                            for (var j = 0; j < nameList.length; j++) {
                                (keywords.keywordPool[type]).push(nameList[j]);
                            }
                        }
                    }
                    _notify(cb, keywords.keywordPool[type]);
                } else {
                    cb(null);
                }
            });
        }
    }
    // FIXID S0995807: disable BaseX service
    function _send(url, handle, error) {
        if (enableWebServ) {
            SAS.AutoCompleteLoader.ReqMgr.send(url, handle, error);
        } else {
            _notify(handle, {}, true);
        }
    }
    function _loadKeywordInfo(qp, cb) { //query parameter
        var url = _createUrl(qp);
        
        _send(url, function(data){
            var kwHelp = data.Keyword, ret = {
                name:null,
                type:null,
                help:null,
                tooltips:null,
                values:null,
                statements:null,
                subOptionsKeywords: null
            };
            if (data.Keyword instanceof Array){
                kwHelp = data.Keyword[0];
            }
            if (kwHelp) {
                ret = {
                    name: kwHelp.Name,
                    type: kwHelp.Type,
                    help: (kwHelp.Help instanceof Array)?kwHelp.Help.toString():kwHelp.Help
                };
            }
            _notify(cb, ret);
        }, function(data){
            _notify(cb, ret);
        });
    }
    function _loadProcedureInfo(procName,cb) {
        var url = null, key = null, opts = null, stmts = null;
        procName = procName.toUpperCase();
        if (keywords.procPool !== undefined) {
            if (keywords.procPool[procName]) {
                opts = _string2Array(keywords.procPool[procName].option);
                stmts = _string2Array(keywords.procPool[procName].stmt);
            }
            _notify(cb, {'syntax':null, 
                'help':null, 
                'option': opts, 
                'stmt': stmts}, true)
            return;
        }
        url = SAS.Utils.getBaseUrl() + '/data/Procedures.json';
        //handle multiple requests to a same url at the same
        key = 'Procedures.json';
        userQue[key] = userQue[key] || [];
        userQue[key].push({cb:cb});
        if (userQue[key].length > 1) {
            return;
        }
        //send real request
        http.get(url, {
            handleAs: 'json',
            headers: {'Cache-Control': 'no-cache'}
        }).then(function(data){
            var obj = {'procPool': {}}, i, len = data.proc.length, req = null;
            for(i=0; i<len; i++) {
                obj.procPool[data.proc[i].n] = {'option': data.proc[i].o, 'stmt': data.proc[i].s};
            }
            dojo.mixin(keywords, obj);
            req = userQue[key];
            len = req.length;
            if (keywords.procPool[procName]) {
                opts = _string2Array(keywords.procPool[procName].option);
                stmts = _string2Array(keywords.procPool[procName].stmt);
            }
            for(i=0; i<len; i++){
                _notify(req[i].cb, {'syntax':null, 
                    'help':null, 
                    'option': opts, 
                    'stmt': stmts});
            }
            userQue[key] = [];
            req = null;
        },function(error){
            console.log(error);
            _notify(cb, null);
        });
    }
    // FIXID S0995807: After removing BaseX, add this function to get help. not merge to procPool.
    function _loadProcedureHelp(procName,cb) {
        var url = null, key = null, help = null;
        procName = procName.toUpperCase();
        if (keywords.procHelp !== undefined) {
            if (keywords.procHelp[procName]) {
                help = keywords.procHelp[procName].help;
            }
            _notify(cb, {'syntax':null, 
                'help':help}, true);
            return;
        }
        url = SAS.Utils.getBaseUrl() + '/data/ProcHelp.json';
        //handle multiple requests to a same url at the same
        key = 'ProcHelp.json';
        userQue[key] = userQue[key] || [];
        userQue[key].push({cb:cb});
        if (userQue[key].length > 1) {
            return;
        }
        //send real request
        http.get(url, {
            handleAs: 'json',
            headers: {'Cache-Control': 'no-cache'}
        }).then(function(data){
            var obj = {'procHelp': {}}, i, len = data.proc.length, req = null;
            for(i=0; i<len; i++) {
                obj.procHelp[data.proc[i].n] = {'help': data.proc[i].h};
            }
            dojo.mixin(keywords, obj);
            req = userQue[key];
            len = req.length;
            if (keywords.procHelp[procName]) {
                help = keywords.procHelp[procName].help;
            }
            for(i=0; i<len; i++){
                _notify(req[i].cb, {'syntax':null, 
                    'help':help});
            }
            userQue[key] = [];
            req = null;
        },function(error){
            console.log(error);
            _notify(cb, null);
        });
    }
    function _resolveURL(type, stmtName) {
        var url = SAS.Utils.getBaseUrl() + '/data/';
        switch (type) {
            case 'formats':
                url += 'SASFormats.json';
                break;
            case 'informats':
                url += 'SASInformats.json';
                break;
            case 'macro-func':
                url += 'SASMacroFunctions.json';
                break;
            case 'macro-stmt':
                url += 'SASMacroStatements.json';
                break;
            case 'macro-def-opt':
                url += 'MacroDefinitionOptions.json';
                break;
            case 'ods-tagsets':
                url += 'ODS_Tagsets.json';
                break;
            case 'auto-var':
                url += 'SASAutoVariables.json';
                break;
            case 'autocall-macro':
                url += 'SASAutocallMacros.json';
                break;
            case 'arm-macro':
                url += 'SASARMMacros.json';
                break;
            case 'call-routines':
                url += 'SASCallRoutines.json';
                break;
            case 'hash-pack-method':
                url += 'HashPackageMethods.json';
                break;
            case 'stat-kw':
                url += 'StatisticsKeywords.json';
                break;
            case 'style-loc':
                url += 'StyleLocations.json';
                break;
            case 'style-att':
                url += 'StyleAttributes.json';
                break;
            case 'style-ele':
                url += 'StyleElements.json';
                break;
            case 'func':
                url += 'SASFunctions.json';
                break;
            case 'ds-stmt':
                url += 'SASDataStepStatements.json';
                break;
            case 'ds-option':
                url += 'SASDataSetOptions.json';
                break;
            case 'gbl-stmt':
                url += 'SASGlobalStatements.json';
                break;
            case 'gbl-proc-stmt':
                url += 'SASGlobalProcedureStatements.json';
                break;
            case 'proc':
                url += 'SASProcedures.json';
                break;
            case 'stmt-option':
                url += 'Statements/' + stmtName.toUpperCase() + '.json';
                break;
            default:
                url = null;
        }
        return url;
    }
    function _loadKeywordHelp(name, cb, type, stmtName) {
        //if (type != 'style-ele' && type != 'formats' && type != 'informats') {
            name = name.toUpperCase();
        //}
        name = name.replace('=', '');
        var url = _resolveURL(type, stmtName);
        if (type === 'stmt-option') type += stmtName.toUpperCase();
        if (keywords.keywordHelp && keywords.keywordHelp[type]) {
            _notify(cb, keywords.keywordHelp[type][name], true);
        } else if (url) {
            SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
                if (data && data.Keywords) {
                    var list = data.Keywords.Keyword;
                    keywords.keywordHelp = keywords.keywordHelp || {};
                    keywords.keywordHelp[type] = keywords.keywordHelp[type] || [];
                    for (var i = 0; i < list.length; i++) {
                        if (!list[i]['Name']) continue;
                        var nameList = list[i]['Name'].split('|');
                        for (var j = 0; j < nameList.length; j++) {
                            var n = nameList[j].replace('=', '').toUpperCase();
                            keywords.keywordHelp[type][n] = list[i]['Help'] ? list[i]['Help']['#cdata'] : null;
                        }
                    }
                    _notify(cb, keywords.keywordHelp[type][name]);
                } else {
                    cb(null);
                }
            });
        }
    }
    function _loadProcedureStatementOptions (procName, stmtName, cb) {
        var url = _createUrl({
            't':'proc-stmt',
            'n':procName,
            'sn':stmtName
        });
        _send(url, function(data){
            var opts = null, count = 0, i = 0, names = [], helps = [];
            if (data.ProcedureStatement 
                    && data.ProcedureStatement.StatementOptions) {
                opts = data.ProcedureStatement.StatementOptions.StatementOption;
                if (opts) {
                    count = opts.length;
                }
                for (; i<count; i++){
                    names.push(opts[i].StatementOptionName);
                    //names = names.concat(opts[i].StatementOptionName.split('|'));//handle alias
                    helps.push(opts[i].StatementOptionHelp);
                }
            }
            _notify(cb, {names:names, helps:helps});
        }, function(data){
            _notify(cb, null);
        });
    }
    function _loadProcedure(procName, cb) {
        var url = SAS.Utils.getBaseUrl() + '/data/Procedures/' + procName + '.json';
        if (cb instanceof Function) {
            var callback = function(data) {
                cb(data ? data.Procedure : null);
            };
        }
        var re = SAS.AutoCompleteLoader.ReqMgr.send2(url, callback);
        if (re) return re.Procedure;
        return null;
    }
    function _loadProcedureStatement(procName, stmtName, cb) {
        procName = procName.toUpperCase();
        stmtName = stmtName.toUpperCase().replace("=", '');
        function callback(data) {
            if (data && data.ProcedureStatements && data.ProcedureStatements.ProcedureStatement) {
                var list = data.ProcedureStatements.ProcedureStatement;
                if (!(list instanceof Array)) list = [list];
                for (var i = 0; i < list.length; i++) {
                    var nameList = list[i]['StatementName'].split('|');
                    for (var j = 0; j < nameList.length; j++) {
                        if (nameList[j].toUpperCase().replace('=', '') == stmtName) {
                            if (cb) cb(list[i]);
                            return list[i];
                        }
                    }
                }
            }
            if (cb) cb(null);
            return null;
        }
        if (cb === undefined) return callback(_loadProcedure(procName));
        _loadProcedure(procName, callback);
    }
    /* ************************************************************************
     * PUBLIC INTERFACES
     * ************************************************************************/
    this.setServUrl = function(url) {
        servUrl = url; 
    }
    this.setLibService = function(fn) {
        libService = fn;
    }
    this.getProcedures = function(cb) { _loadKeywords(/*'procedures'*/'proc', cb);}
    
    this.getProcedureSyntax = function(procName,cb) {
        _loadProcedureInfo(procName, function(data){
            _notify(cb, data.syntax);
        });
    }
    this.getProcedureHelp = function(procName,cb) {
        /*_loadProcedureInfo(procName, function(data){
            _notify(cb, data.help);
        });*/
        // BaseX method
        /*
        var url = _createUrl({
            't': 'proc-help',
            'n': procName
        });
        _send(url, function(data){
            _notify(cb, {data:data.ProcedureHelp, key:procName});
        }, function(data){
            _notify(cb, null);
        });
        */
        /*// Local method
        _loadProcedureHelp(procName, function(data){
            _notify(cb, {data:data.help, key:procName});
        });*/
        _loadProcedure(procName.toUpperCase(), function(data) {
            _notify(cb, {data:data ? data['ProcedureHelp']['#cdata'] : null, key:procName});
        });
    }
  //TODO:  
    //only get option list
    this.getProcedureOptions = function(procName,cb) {
        /*_loadProcedureInfo(procName, function(data){
            _notify(cb, data.option);
        });*/
        _loadProcedure(procName.toUpperCase(), function(data) {
            if (data && data.ProcedureOptions && data.ProcedureOptions.ProcedureOption) {
                var list = data.ProcedureOptions.ProcedureOption,
                    result = [];
                if (!(list instanceof Array)) list = [list];
                for (var i = 0; i < list.length; i++) {
                    if (!list[i]['ProcedureOptionName']) continue;
                    var re = list[i]['ProcedureOptionName'].split('|');
                    if (re[re.length - 1] == "") re.pop();
                    result = result.concat(re);
                }
                cb(result);
            }
        });
    }
    //TODO: 
    this.getProcedureOptionHelp = function(procName, optName, cb) {
        /*var url = _createUrl({
            't':'proc-option',
            'n':procName
        });
        _send(url, function(data){
            var i = 0, count = 0, option = null;
            count = data.ProcedureOption ? data.ProcedureOption.length : 0;
            
            for(; i<count; i++) {
                option = data.ProcedureOption[i];
                optName = optName.replace('=', '').toUpperCase();
                if (option.ProcedureOptionName.replace(/=/g,'').split('|').indexOf(optName) !== -1) {
                    //found
                    //_notify(cb, {help:option.ProcedureOptionHelp, type:option.ProcedureOptionType});
                    _notify(cb, {data:option.ProcedureOptionHelp, key:optName});
                    return;
                }
            }
            _notify(cb, {key:optName,data:null});
        }, function(data){
            _notify(cb, {key:optName,data:null});
        });*/
       procName = procName.toUpperCase();
       _loadProcedure(procName, function(data) {
           if (data && data.ProcedureOptions && data.ProcedureOptions.ProcedureOption) {
               var list = data.ProcedureOptions.ProcedureOption,
                   opt = optName.replace('=', '').toUpperCase();
               if (!(list instanceof Array)) list = [list];
               for (var i = 0; i < list.length; i++) {
                   if (!list[i]['ProcedureOptionName']) continue;
                   var nameList = list[i]['ProcedureOptionName'].split('|');
                   for (var j = 0; j < nameList.length; j++) {
                       if (nameList[j].replace('=', '') == opt) {
                           cb({data:list[i]['ProcedureOptionHelp'] ? list[i]['ProcedureOptionHelp']['#cdata'] : null,
                               key: optName});
                           keywords.procOptType = keywords.procOptType || {};
                           keywords.procOptType[procName] = keywords.procOptType[procName] || {};
                           keywords.procOptType[procName][opt] = list[i]['ProcedureOptionType'];
                           return;
                       }
                   }
               }
           }
           cb(null);
       });
    }
    this.getProcedureOptionType = function(procName, optName) {
        procName = procName.toUpperCase();
        optName = optName.replace('=', '').toUpperCase();
        if (keywords.procOptType && keywords.procOptType[procName] && keywords.procOptType[procName][optName]) {
            return keywords.procOptType[procName][optName];
        }
        return null;
    }
    this.getProcedureOptionItem = function(procName, optName, cb) {
        /*var url = _createUrl({
                't':'proc-option',
                'n':procName
            });
        _send(url, function(data){
            var i = 0, j = 1, count = 0, option = null, 
            values = null, tooltips = null, valuesO = [], tooltipsO = [],
            valueName;
            count = data.ProcedureOption ? data.ProcedureOption.length : 0;
            for (i=0; i < count; i++){
                option = data.ProcedureOption[i];
                if (option.ProcedureOptionName.split('|').indexOf(optName) !== -1) {
                    values = option.ProcedureOptionValues;
                    tooltips = option.ProcedureOptionToolTips;
                    if (values) {
                        valueName = 'Value' + j;
                        while(values[valueName]) {
                            valuesO.push(values[valueName]);
                            tooltipsO.push((tooltips)?tooltips['ToolTip' + j]:null);
                            //result.push({value:values[value], tooltip: (tooltips !== undefined)?tooltips['ToolTip' + j]:null});
                            j++;
                            valueName = 'Value' + j;
                        }
                    }
                    _notify(cb, {names:valuesO, helps:tooltipsO});
                    break;//found
                }
            }
        }, function(data){
            _notify(cb, null);
        });*/
        procName = procName.toUpperCase();
        optName = optName.replace('=', '').toUpperCase();
        if (keywords.procOptItem && keywords.procOptItem[procName] && keywords.procOptItem[procName][optName]) {
            _notify(cb, keywords.procOptItem[procName][optName], true);
            return;
        }
        _loadProcedure(procName, function(data) {
            if (data && data.ProcedureOptions && data.ProcedureOptions.ProcedureOption) {
                var list = data.ProcedureOptions.ProcedureOption,
                    values = [], tooltips = [];
                if (!(list instanceof Array)) list = [list];
                for (var i = 0; i < list.length; i++) {
                    if (!list[i]['ProcedureOptionName']) continue;
                    var nameList = list[i]['ProcedureOptionName'].split('|');
                    for (var j = 0; j < nameList.length; j++) {
                        if (nameList[j].replace('=', '') == optName) {
                            keywords.procOptItem = keywords.procOptItem || {};
                            keywords.procOptItem[procName] = keywords.procOptItem[procName] || {};
                            if (/\bC\b/.test(list[i]['ProcedureOptionType'])) { // color value
                                self.getSasColors(function(data) {
                                    keywords.procOptItem[procName][optName] = {values: data, type: list[i]['ProcedureOptionType']};
                                    cb(keywords.procOptItem[procName][optName]);
                                });
                            } else if (/\bDV\b/.test(list[i]['ProcedureOptionType'])) { // library value
                                self.getLibraryList(cb, list[i]['ProcedureOptionType']);
                            } else if (list[i]['ProcedureOptionValues']) {
                                var optValues = list[i]['ProcedureOptionValues'],
                                    optTooltips = list[i]['ProcedureOptionToolTips'],
                                    k = 1;
                                while (optValues['@Value' + k]) {
                                    var valueList = optValues['@Value' + k].split('|');
                                    for (var m = 0; m < valueList.length; m++) {
                                        values.push(valueList[m]);
                                        tooltips[valueList[m].toUpperCase()] = optTooltips['@ToolTip' + k];
                                    }
                                    k++;
                                }
                                keywords.procOptItem[procName][optName] = {values:values, tooltips:tooltips, type:list[i]['ProcedureOptionType']};
                                _notify(cb, keywords.procOptItem[procName][optName]);
                            } else {
                                _notify(cb, null);
                            }
                            return;
                        }
                    }
                }
            }
        });
    }
    // only get list
    this.getProcedureStatements = function(procName,cb) {
        /*_loadProcedureInfo(procName, function(data){
            self.getGlobalProcedureStatements(function(gpsData) {
                _notify(cb, (data.stmt===null )? gpsData : _uniq(gpsData.concat(data.stmt)));
            });
        });*/
        function callback(data) {
            var result = [];
            if (data && data.ProcedureStatements && data.ProcedureStatements.ProcedureStatement) {
                var list = data.ProcedureStatements.ProcedureStatement;
                if (!(list instanceof Array)) list = [list];
                for (var i = 0; i < list.length; i++) {
                    var re = list[i]['StatementName'].split('|');
                    if (re[re.length - 1] == "") re.pop(); 
                    result = result.concat(re);
                }
                if (cb === undefined) return result;
            }
            if (cb === undefined) return null;
            self.getGlobalProcedureStatements(function(gpsData) {
                cb(_uniq(gpsData.concat(result)));
            });
        }
        if (cb === undefined) return callback(_loadProcedure(procName.toUpperCase()));
        _loadProcedure(procName.toUpperCase(), callback);
    }
    this.getProcedureStatementHelp = function(procName, stmtName, cb) {
        /*var url = _createUrl({
            't':'proc-stmt',
            'n':procName,
            'sn':stmtName
        });
        _send(url, function(data){
            var help = null;
            if (data.ProcedureStatement) {
                help = data.ProcedureStatement.StatementHelp;
                _notify(cb, {data:help, key:stmtName, isGlobal:false});
            } else {
                self.getKeywordHelp(stmtName, function(data){
                    data.isGlobal = true;
                    _notify(cb, data);
                }, 'gbl-proc-stmt');
            }
        },function(data){
            _notify(cb, {key:stmtName,data:null});
        });*/
        if (cb === undefined) {
            var re = _loadProcedureStatement(procName, stmtName);
            if (re) return {data: re['StatementHelp']['#cdata'], key:stmtName};
            return null;
        }
        _loadProcedureStatement(procName, stmtName, function(data) {
            if (data) {
                cb({data:data['StatementHelp']['#cdata'], key:stmtName});
            } else {
                self.getKeywordHelp(stmtName, function(data){
                    data.isGlobal = true;
                    cb(data);
                }, 'gbl-proc-stmt');
            }
        });
    }
    this.getProcedureStatementOptions = function(procName, stmtName, cb) {
        /*_loadProcedureInfo(procName, function(data) {//check if this is a procedure statement
            stmtName = stmtName.toUpperCase();
            if(data.stmt && data.stmt.indexOf(stmtName) !== -1) { // procedure statement
                _loadProcedureStatementOptions(procName, stmtName, function(data) {
                    var names = null, count = 0, i = 0;
                    if (data && data.names) {
                        names = [];
                        count = data.names.length;
                        for(; i<count; i++) {
                            names = names.concat(data.names[i].split('|'));
                        }
                    }
                    _notify(cb, names);
                });
            } else {
                //TODO: global procedure statement
                //_notify(cb, null);
                self.getStatementOptions(stmtName, cb);
            }
        });*/
        _loadProcedureStatement(procName, stmtName, function(data) {
            if (data) {
                var options = [];
                if (data['StatementOptions'] && data['StatementOptions']['StatementOption']) {
                    var optList = data['StatementOptions']['StatementOption'];
                    if (!(optList instanceof Array)) optList = [optList];
                    for (var k = 0; k < optList.length; k++) {
                        if (optList[k]['StatementOptionName']) {
                            var re = optList[k]['StatementOptionName'].split('|');
                            if (re[re.length - 1] == "") re.pop();
                            options = options.concat(re);
                        }
                    }
                }
                cb(options);
            } else {
                self.getStatementOptions(stmtName, cb);
            }
        });
    }
    this.getProcedureStatementOptionHelp = function(procName, stmtName, optName, cb) {
        /*_loadProcedureInfo(procName, function(data){//check if this is a procedure statement
            stmtName = stmtName.toUpperCase();
            if (data.stmt && data.stmt.indexOf(stmtName) !== -1) { // procedure statement
                _loadProcedureStatementOptions(procName, stmtName, function(data) {
                    var i = 0, len = 0, regExp = _regExp(optName);
                    if (data) {
                        len = data.names.length;
                        while(i<len) {
                            if (regExp.test(data.names[i])) {
                                _notify(cb, {data:data.helps[i], key:optName, isGlobal:false});
                                return;
                            }
                            i++;
                        }
                    }
                    _notify(cb, {key:optName,data:null})
                });
            } else {
                // TODO: global procedure statement
                //_notify(cb, null);
                self.getStatementOptionHelp(stmtName,optName, cb);
            }
        });*/
        _loadProcedureStatement(procName, stmtName, function(data) {
            if (data && data['StatementOptions'] && data['StatementOptions']['StatementOption']) {
                var optList = data['StatementOptions']['StatementOption'];
                if (!(optList instanceof Array)) optList = [optList];
                for (var k = 0; k < optList.length; k++) {
                    if (_regExp(optName.toUpperCase()).test(optList[k]['StatementOptionName'])) {
                        cb({data:(optList[k]['StatementOptionHelp'] ? optList[k]['StatementOptionHelp']['#cdata'] : null), key:optName});
                        stmtName = stmtName.toUpperCase();
                        procName = procName.toUpperCase();
                        optName = optName.replace('=', '').toUpperCase();
                        keywords.procStmtOptType = keywords.procStmtOptType || {};
                        keywords.procStmtOptType[procName] = keywords.procStmtOptType[procName] || {};
                        keywords.procStmtOptType[procName][stmtName] = keywords.procStmtOptType[procName][stmtName] || {};
                        keywords.procStmtOptType[procName][stmtName][optName] = optList[k]['StatementOptionType'];
                        return;
                    }
                }
                cb(null);
            } else {
               // didn't found in the proc stmt
               self.getStatementOptionHelp(stmtName, optName, cb);
            }
        });
    }
    this.getProcedureStatementOptionType = function(procName, stmtName, optName) {
        stmtName = stmtName.toUpperCase();
        procName = procName.toUpperCase();
        optName = optName.replace('=', '').toUpperCase();
        if (keywords.procStmtOptType && keywords.procStmtOptType[procName] && keywords.procStmtOptType[procName][stmtName] && keywords.procStmtOptType[procName][stmtName][optName]) {
            return keywords.procStmtOptType[procName][stmtName][optName];
        }
        return null;
    }
    this.getProcedureStatementOptionItem = function(procName, stmtName, optName, cb) {
        stmtName = stmtName.toUpperCase();
        procName = procName.toUpperCase();
        optName = optName.toUpperCase();
        if (keywords.procStmtOptItem && keywords.procStmtOptItem[procName] && keywords.procStmtOptItem[procName][stmtName] && keywords.procStmtOptItem[procName][stmtName][optName]) {
            _notify(cb, keywords.procStmtOptItem[procName][stmtName][optName], true);
            return;
        }
        _loadProcedureStatement(procName, stmtName, function(data) {
            if (data && data['StatementOptions'] && data['StatementOptions']['StatementOption']) {
                var optList = data['StatementOptions']['StatementOption'],
                    optReg = _regExp(optName),
                    values = [], tooltips = [];
                if (!(optList instanceof Array)) optList = [optList];
                for (var k = 0; k < optList.length; k++) {
                    if (optReg.test(optList[k]['StatementOptionName'])) {
                        keywords.procStmtOptItem = keywords.procStmtOptItem || {};
                        keywords.procStmtOptItem[procName] = keywords.procStmtOptItem[procName] || {};
                        keywords.procStmtOptItem[procName][stmtName] = keywords.procStmtOptItem[procName][stmtName] || {};
                        if (/\bC\b/.test(optList[k]['StatementOptionType'])) { // color value
                            self.getSasColors(function(data) {
                                keywords.procStmtOptItem[procName][stmtName][optName] = {values:data, type:optList[k]['StatementOptionType']};
                                cb(keywords.procStmtOptItem[procName][stmtName][optName]);
                            });
                        } else if (/\bDV\b/.test(optList[k]['StatementOptionType'])) { // library value
                            self.getLibraryList(cb, optList[k]['StatementOptionType']);
                        } else if (optList[k]['StatementOptionValues']) {
                            var optValues = optList[k]['StatementOptionValues'],
                                optTooltips = optList[k]['StatementOptionToolTips'],
                                n = 1;
                            while (optValues['@Value' + n]) {
                                var valueList = optValues['@Value' + n].split('|');
                                for (var m = 0; m < valueList.length; m++) {
                                    values.push(valueList[m]);
                                    tooltips[valueList[m].toUpperCase()] = optTooltips['@ToolTip' + n];
                                }
                                n++;
                            }
                            keywords.procStmtOptItem[procName][stmtName][optName] = {values:values, tooltips:tooltips, type:optList[k]['StatementOptionType']};
                            cb(keywords.procStmtOptItem[procName][stmtName][optName]);
                        } else {
                            cb(null);
                        }
                        return;
                    }
                }
            }
            // global stmt
            self.getStatementOptionItem(stmtName, optName, cb);
        });
    }
    this.addUserDefinedAbbr = function(abbr) {
        //TODO: 
    }
    this.getUserDefinedAbbr = function() {
        //TODO:
    }
    this.getFilenameOrLibnameOptions = function() {
        //TODO:
    }
    /*
     * How to use parameter 'type'?
     * The caller may use 'type' parameter or not, if to set this parameter, please use the following values :
     *      automatic_variable
     *      c  //not used
     *      call_routine
     *      datapassword_option_v
     *      dataset_option_cv
     *      dataset_option_v
     *      datasetindex_option_s
     *      datastep_definition
     *      datastep_option
     *      datastep_option_v
     *      datastep_or_proc_statement
     *      datastep_statement
     *      dataviewpgm_option_s
     *      gbl-stmt //global_statement
     *      gbl-proc-stmt //added
     *      hash_package
     *      hashiterator_package
     *      hashorhiter_package
     *      macro_arm
     *      macro_autocall
     *      macro_definition_option
     *      macro_function
     *      macrodefonly
     *      opencode
     *      opencode_or_macrodef
     *      package_method
     *      s  //not used
     *      s|v  //not used
     *      sas_formats
     *      sas_function
     *      sas_informat
     *      sas_procedure
     *      setkey_option_s
     *      setstatement_option_v
     *      special_saskeyword
     *      table_option
     *      v //not used
     *      validanywhere
     *    
     */
    // access Statements/*.xml, mainly global statements or global procedure statements
    this.getStatementOptions = function(stmtName, cb) {
        /*var url = _createUrl({
            't':'stmt-opts',
            'sn':stmtName
        });
        _send(url, function(data){
            _notify(cb, _string2Array2(data.opts));
        }, function(data){
            _notify(cb, null);
        });*/
       _loadKeywords('stmt-option', cb, stmtName);
    }
    // access Statements/*.xml, mainly global statements or global procedure statements
    this.getStatementOptionHelp = function(stmtName, optName, cb) {
        /*_loadKeywordInfo({
            't':'stmt-opt',
            'sn':stmtName,
            'n': optName
        }, function(data){
            _notify(cb, {data:data.help, key:optName, isGlobal:true});
        });*/
       _loadKeywordHelp(optName, function(data) {
           if (!data) {
               _loadKeywordHelp(optName + '=', function(data) {
                   cb({data:data, key:optName});
               }, 'stmt-option', stmtName);
           } else {
               cb({data:data, key:optName});
           }
       }, 'stmt-option', stmtName);
    }
    this.getStatementOptionItem = function(stmtName, optName, cb) {
        stmtName = stmtName.toUpperCase();
        optName = optName.toUpperCase();
        if (keywords.StmtOptItem && keywords.StmtOptItem[stmtName] && keywords.StmtOptItem[stmtName][optName]) {
            _notify(cb, keywords.StmtOptItem[stmtName][optName], true);
            return;
        }
        var url = SAS.Utils.getBaseUrl() + '/data/';
        if (stmtName === 'DATA-SET') url += 'SASDataSetOptions';
        else if (stmtName === 'DATA-STEP') url += 'SASDataStepOptions';
        else url += 'Statements/' + stmtName;
        url += '.json';
        SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
            if (!data || !data.Keywords) {
                cb(null);
                return;
            }
            var list = data.Keywords.Keyword,
                optReg = _regExp(optName),
                values = [], tooltips = [];
            for (var i = 0; i < list.length; i++) {
                if (optReg.test(list[i]['Name'])) {
                    var optValues = list[i]['Values'],
                        optTooltips = list[i]['ToolTips'],
                        n = 1;
                    keywords.StmtOptItem = keywords.StmtOptItem || {};
                    keywords.StmtOptItem[stmtName] = keywords.StmtOptItem[stmtName] || {};
                    if (/\bC\b/.test(list[i]['Type'])) { // color value
                        self.getSasColors(function(data) {
                            keywords.StmtOptItem[stmtName][optName] = {values:data, type:list[i]['Type']};
                            cb(keywords.StmtOptItem[stmtName][optName]);
                        });
                    } else if (/\bDV\b/.test(list[i]['Type'])) { // library value
                        self.getLibraryList(cb, list[i]['Type']);
                    } else if (optValues) {
                        while (optValues['@Value' + n]) {
                            var valueList = optValues['@Value' + n].split('|');
                            for (var m = 0; m < valueList.length; m++) {
                                values.push(valueList[m]);
                                tooltips[valueList[m].toUpperCase()] = optTooltips['@ToolTip' + n];
                            }
                            n++;
                        }
                        keywords.StmtOptItem[stmtName][optName] = {values:values, tooltips:tooltips, type:list[i]['Type']};
                        cb(keywords.StmtOptItem[stmtName][optName]);
                    } else {
                        cb(null);
                    }
                    return;
                }
            }
        });
    }
    this.getStatementSyntax = function(stmtName, cb) {
        //TODO:
    }
    this.getDataStepOptions = function(cb) {
        var url = SAS.Utils.getBaseUrl() + '/data/SASDataStepOptions.json';
        SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
            var list = data.Keywords.Keyword,
                opts = [];
            for (var i = 0; i < list.length; i++) {
                opts = opts.concat(list[i]['Name'].split('|'));
            }
            cb(opts);
        });
    }
    this.getDataStepOptionHelp = function(optName, cb, type) {
        var url = SAS.Utils.getBaseUrl() + '/data/SASDataStepOptions.json';
        if (type === 'datastep-option2') url = SAS.Utils.getBaseUrl() + '/data/SASDataStepOptions2.json';
        SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
            var list = data.Keywords.Keyword,
                opt = optName.replace('=', '').toUpperCase();
            for (var i = 0; i < list.length; i++) {
                var nameList = list[i]['Name'].split('|');
                for (var j = 0; j < nameList.length; j++) {
                    if (nameList[j].replace('=', '') == opt) {
                        cb({data:list[i]['Help']['#cdata'], key: optName});
                        return;
                    }
                }
            }
            cb(null);
        });
    }
    this.getDataStepOptionItem = function(optName, cb) {
        self.getStatementOptionItem('data-step', optName, cb);
    }
    this.getDataSetOptionItem = function(optName, cb) {
        self.getStatementOptionItem('data-set', optName, cb);
    }
    // get all keyword's help, not only global statement, or global procedure statement
    this.getKeywordHelp = function(name, cb, type) {
        /**
         * // comment BaseX method
         *var qp = {
                't':'kw-help',
                'n':name,
                'kt':(type)?type:''
            };
        switch(type) {
        case 'formats':
        case 'informats':
        case 'macro-func':
        case 'stat-kw':
        case 'style-loc':
        case 'style-att':
        case 'style-ele':
        case 'func':
            qp = {
                't':type,
                'n':name
            };
            break;
        case 'ds-stmt':
        case 'gbl-stmt':
        case 'gbl-proc-stmt':
            qp = {
                     't':type,
                     'sn': name,
                 };
            break;
        }
        _loadKeywordInfo(qp, function(data){
            if (data.help === null && type === 'ds-stmt'){
                _loadKeywordInfo({'t':'gbl-stmt-ex','sn':name}, function(data){
                    _notify(cb, {data:data.help, key:name});
                });
            } else {
                _notify(cb, {data:data.help, key:name});
            }
        });*/
       if (type === 'datastep-option') {
           self.getDataStepOptionHelp(name, function(data) {
               if (!data) self.getDataStepOptionHelp(name, cb, 'datastep-option2');
               else cb(data);
           });
           return;
       }
       _loadKeywordHelp(name, function(data) {
           if (!data && type === 'ds-stmt') {
               _loadKeywordHelp(name, function(data) {
                   _notify(cb, {data:data, key:name, isGlobal:true});
               }, 'gbl-stmt');
           } else if (!data && type === 'macro-stmt') {
               _loadKeywordHelp(name, function(data) {
                   _notify(cb, {data:data, key:name});
               }, 'arm-macro');
           } else {
               _notify(cb, {data:data, key:name});
           }
       }, type);
    }
    // the name parameter can be the name of call routines or functions
    this.getContextPrompt = function(name, cb) {
        /*var url = _createUrl({
            't':'func-prompt',
            'n':name
        });
        _send(url, function(data){
            var func = data.Function, 
                paramsO = [], 
                helpsO = [], 
                paramName = 'Parameter', 
                helpName = 'Description', 
                i = 1, 
                def = null,
                len = 0;
            if (func instanceof Array) {
                func = func[0];
            }
            if (func) {
                while(func[paramName + i]) { //For EG XML
                    paramsO.push(func[paramName+i]);
                    helpsO.push(func[helpName+i]);
                    i++;
                }
                def = func.Definition;
                // For Publications
                if (func.Parameters) { 
                    if (func.Parameters instanceof Array) {
                        i = 0;
                        len = func.Parameters.length;
                        for (; i<len; i++) {
                            paramsO.push(func.Parameters[i].Name);
                            helpsO.push(func.Parameters[i].Help);
                        }
                    } else {
                        paramsO.push(func.Parameters.Name);
                        helpsO.push(func.Parameters.Help);
                    }
                }
            }
            _notify(cb, {'def':def, 'params': paramsO, 'helps': helpsO});
        }, function(data){
            _notify(cb, null);
        });*/
        var url = SAS.Utils.getBaseUrl() + '/data/SASContextPrompt.json';
        SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
            var list = data.ContextPrompt.Function,
                result = [];
            for (var i = 0; i < list.length; i++) {
                if (list[i]['Name'].split('*')[0] == name.toUpperCase()) {
                    var params = [], helps = [], j = 1;
                    while (list[i]['Parameter' + j]) {
                        params.push(list[i]['Parameter' + j]);
                        helps.push(list[i]['Description' + j]);
                        j++;
                    }
                    result.push({params: params, helps: helps});
                } else if (result.length > 0) {
                    _notify(cb, result);
                    return;
                }
            }
            _notify(cb, null);
        });
    }
    this.getSasColors = function(cb) {/*_loadKeywords('colorValues',cb);*/
        var url = SAS.Utils.getBaseUrl() + '/data/SASColorValues.json';
        SAS.AutoCompleteLoader.ReqMgr.send2(url, function(data) {
            var list = data.Color.Values,
                result = [], n = 1;
            while (list['@Value' + n]) {
                result.push(list['@Value' + n]);
                n++;
            }
            cb(result);
        });
    }
    //ODS tagsets
    this.getODSTagsets = function(cb) {_loadKeywords(/*'ODSTagsets'*/'ods-tagsets',cb);}
    //Style
    this.getStyleAttributes = function(cb) {_loadKeywords(/*'styleAttributes'*/'style-att',cb);}
    this.getStyleElements = function(cb) {_loadKeywords(/*'styleElements'*/'style-ele',cb);}
    this.getStyleLocations = function(cb) {_loadKeywords(/*'styleLocations'*/'style-loc',cb);}
    // macro 
    this.getARMMacros = function(cb) {_loadKeywords(/*'ARMMacros'*/'arm-macro',cb);}
    this.getAutocallMacros = function(cb) {_loadKeywords(/*'autocallMacros'*/'autocall-macro',cb);}
    this.getAutoVariables = function(cb) {_loadKeywords(/*'autoVariables'*/'auto-var',cb);}
    this.getMacroDefinitionOptions = function(cb) {_loadKeywords('macro-def-opt', cb);}
    this.getGlobalStatements = function(cb) {_loadKeywords(/*'globalStatements'*/'gbl-stmt',cb);}
    this.getGlobalProcedureStatements = function(cb){_loadKeywords(/*'globalProcedureStatements'*/'gbl-proc-stmt',cb);}
    this.getMacroStatements = function(cb) {_loadKeywords(/*'macroStatements'*/'macro-stmt',cb);}
    this.getFunctions = function(cb) {_loadKeywords(/*'functions'*/'func',cb);}
    this.getCallRoutines = function(cb) {_loadKeywords(/*'callRoutines'*/'call-routines',cb);}
    this.getMacroFunctions = function(cb) {_loadKeywords(/*'macroFunctions'*/'macro-func',cb);}
    this.getHashPackageMethods = function(cb) {_loadKeywords(/*'hashPackageMethods'*/'hash-pack-method',cb);}
    this.getFormats = function(cb) {_loadKeywords('formats',cb);}
    this.getInformats = function(cb) {_loadKeywords('informats',cb);}
    this.getStatisticsKeywords = function(cb) {_loadKeywords(/*'statisticsKeywords'*/'stat-kw',cb);}
    this.getDSStatements = function(cb) {
        _loadKeywords(/*'datasetStatements'*/'ds-stmt',function(dss){
            self.getGlobalStatements(function(gs){
                _notify(cb, _uniq(dss.concat(gs)));
            });
        });
    }
    this.getDSOptions = function(cb) {_loadKeywords(/*'datasetOptions'*/'ds-option',cb);}
    this.getDSOptionHelp = function(optName, cb) {
       _loadKeywordHelp(optName, function(data) {
           if (!data) {
               _loadKeywordHelp(optName + '=', function(data) {
                   cb({data:data, key:optName});
               }, 'ds-option');
           } else {
               cb({data:data, key:optName});
           }
       }, 'ds-option');
    }
    this.getDS2Keywords = function(cb) {
        //TODO:
    }
    this.getDS2Functions = function(cb) {
        //TODO:
    }
    this.getLibraryList = function(cb, type) {
        if (typeof libService === 'function') {
            libService(null, function(data) {
                cb({values: data, type: type});
            });
        } else {
            cb({values: [], type: type});
        }
    }
    this.getDataSetNames = function(libId, cb) {
        if (libId && typeof libService === 'function') {
            libService(libId, function(data) {
                if (data && data.length !== 0) {
                    cb(data);
                    return;
                }
                cb(null);
            })
        }
    }
    this.getDocumentVariables = function() {
      //TODO:
    }
    this.getMacroDefinitions = function() {
      //TODO:
    }
    this.getMacroVariables = function() {
      //TODO:
    }
    this.test = function() {
        this.getGlobalStatements(function(data){
            console.log('[getGlobalStatements]\n'+data);
        });
        this.getARMMacros(function(data){
            console.log('[getARMMacros]\n'+data);
        });
        this.getAutocallMacros(function(data){
            console.log('[getAutocallMacros]\n'+data);
        });
        this.getAutoVariables(function(data){
            console.log('[getAutoVariables]\n'+data);
        });
        this.getCallRoutines(function(data){
            console.log('[getCallRoutines]\n'+data);
        });
        this.getDSOptions(function(data){
            console.log('[getDSOptions]\n'+data);
        });
        this.getDSStatements(function(data){
            console.log('[getDSStatements]\n'+data);
        });
        this.getFormats(function(data){
            console.log('[getFormats]\n'+data);
        });
        this.getInformats(function(data){
            console.log('[getInformates]\n'+data);
        });
        this.getFunctions(function(data){
            console.log('[getFunctions]\n'+data);
        });
        this.getGlobalProcedureStatements(function(data){
            console.log('[getGlobalProcedureStatements]\n'+data);
        });
        this.getGlobalStatements(function(data){
            console.log('[getGlobalStatements]\n'+data);
        });
        this.getHashPackageMethods(function(data){
            console.log('[getHashPackageMethods]\n'+data);
        });
        this.getMacroDefinitionOptions(function(data){
            console.log('[getMacroDefinitionOptions]\n'+data);
        });
        this.getMacroFunctions(function(data){
            console.log('[getMacroFunctions]\n'+data);
        });
        this.getMacroStatements(function(data){
            console.log('[getMacroStatements]\n'+data);
        });
        this.getODSTagsets(function(data){
            console.log('[getODSTagsets]\n'+data);
        });
        this.getSasColors(function(data){
            console.log('[getSasColors]\n'+data);
        });
        this.getStatisticsKeywords(function(data){
            console.log('[getStatisticsKeywords]\n'+data);
        });
        this.getStyleAttributes(function(data){
            console.log('[getStyleAttributes]\n'+data);
        });
        this.getStyleElements(function(data){
            console.log('[getStyleElements]\n'+data);
        });
        this.getStyleLocations(function(data){
            console.log('[getStyleLocations]\n'+data);
        });
        this.getProcedureSyntax('PRINT', function(data){
            console.log('[getProcedureSyntax PRINT]\n'+data);
        });
        this.getProcedureHelp('PRINT', function(data){
            console.log('[getProcedureHelp PRINT]\n'+data);
        });
        this.getProcedureOptions('PRINT', function(data){
            console.log('[getProcedureOptions PRINT]\n'+data);
        });
        this.getProcedureOptionItem('PRINT', 'STYLE', function(data){
            console.log('[getProcedureOptionItem PRINT STYLE]\n');
            console.log(data);
        });
        this.getProcedures(function(data){
            console.log('[getProcedures]\n'+data);
        });
        this.getProcedureStatements('PRINT', function(data){
            console.log('[getProcedureStatements PRINT]\n'+data);
        });
        this.getProcedureStatementOptions('PRINT', 'BY', function(data){
            console.log('[getProcedureStatementOptions PRINT BY]\n');
            console.log(data);
        });
        this.getProcedureStatementOptionItem('PRINT', 'BY', 'XXX', function(data){
            console.log('[getProcedureStatementOptionItem PRINT BY ]\n'+data);
        });
        this.getStatementSyntax('ARSIN', function(data){
            console.log('[getStatementSyntax ARSIN]\n');
            console.log(data);
        }, 'f');
        this.getKeywordHelp('ARSIN', function(data){
            console.log('[getKeywordHelp ARSIN]\n'+data);
        }, 'f');
        this.getKeywordHelp('%ARMEND', function(data){
            console.log('[getKeywordHelp %ARMEND]\n'+data);
        }, 'f');
        this.getStatementOptions('ARSIN', function(data){
            console.log('[getStatementOptions ARSIN]\n'+data);
        });
        this.getStatementOptionItem('ARSIN', function(data){
            console.log('[getStatementOptionItem ARSIN]\n');
            console.log('[getStatementOptonItem ARSIN]\n'+data);
        }, 'f');
        this.getProcedureOptionItem('PRINT', 'HEADING=', function(data){
            console.log('[getProcedureOptionItem PRINT HEADING=]\n');
            console.log(data);
        });
        this.getProcedureStatementOptions('ACCESS', 'AN=', function(data){
            console.log('[getProcedureStatementOptions ACCESS AN=]\n');
            console.log(data);
        });
        this.getProcedureOptionHelp('ACCESS', 'AD=', function(data){
            console.log('[getProcedureOptionHelp ACCESS AD=]\n');
            console.log(data);
        });
        this.getProcedureStatementHelp('ACCESS', 'AN=', function(data){
            console.log('[getProcedureStatementHelp ACCESS AN=]\n');
            console.log(data);
        });
        this.getContextPrompt('ARSIN', function(data){
            console.log('[getContextPrompt ARSIN]\n');
            console.log(data);
        });
    }
};

SAS.JsonmlTranslator = function() {
    function _mixin(target, obj) {
        var i, tmp;
        for (i in obj) {
            if(target[i] instanceof Array) {
                target[i].push(obj[i]);
            } else if(target[i] instanceof Object) {
                tmp = target[i];
                target[i] = [];
                target[i].push(obj[i]);
                target[i].push(tmp);
            } else {
                //$.extend(target,obj);
                dojo.mixin(target,obj);
            }
        }
    }
    function _trans(jsonml) {
        var obj = {}, i, len = 0, subObj = null, key = null;
        if (jsonml instanceof Array) {
            len = jsonml.length;
            key = jsonml[0];
            if (len === 1) {
                obj[key] = null;
                return obj;
            }
            obj[key] = {};
            for (i=1;i<len;i++){
                subObj = _trans(jsonml[i]);
                if (subObj instanceof Object) {
                    //dojo.mixin(obj[key], subObj);
                    _mixin(obj[key], subObj);
                } else {
                    obj[key] = subObj;
                }
            }
        } else return jsonml;
        return obj;
    }
    this.trans = function(jsonml) {
        return _trans(jsonml);
    }
}

SAS.RequestManager = function(){
    var id = 0, queue = [], cache = {}, userQue={}, translator = new SAS.JsonmlTranslator();
    function _key(url) {
        return url.match(/\?.+/)[0];
    }
    this.send = function(url,handle,error) {
        var dfd = null,
            key = _key(url),
            cacheItem = cache[key], 
            i = 0, 
            len = 0, 
            req = null;
        if (cacheItem !== undefined) {
            window.setTimeout(function(){handle(cacheItem)},100);
            return;
        }
        userQue[key] = userQue[key] || [];
        userQue[key].push({handle:handle,error:error});
        if (userQue[key].length > 1) {
            return;
        }
        // send a real request
        id++;
        dfd = script.get({
            url: url+'&id='+id,
            preventCache: true,
            handleAs: 'json',
            jsonp: 'jsonpcallback',
            /*load: function(data){
                console.log('load');
            },*/
            handle: function(data){
                //console.log('handle');
                cache[key] = data;
                //handle(data);
                req = userQue[key];
                len = req.length;
                for (i=0; i<len; i++) {
                    req[i].handle(data);
                }
                userQue[key] = [];
                req = null;
            },
            error: function(data){
                //console.log('error');
                //error(data);
                req = userQue[key];
                len = req.length;
                for (i=0; i<len; i++) {
                    req[i].error(data);
                }
                userQue[key] = [];
                req = null;
            }
        });
        queue[id]= {
            id: id,
            dfd: dojo.io.script['jsonp_'+dfd.ioArgs.id]
        };
    }
    this.handleReceived = function(json) {
        var json1 = translator.trans(json).json;
        json = json1?json1:json;//for all kinds of service
        queue[json.id].dfd._jsonpCallback(json);
    }
    this.send2 = function(url, cb) {
        var cacheItem = cache[url];
        if (cacheItem !== undefined) {
            if (cb === undefined) return cacheItem;
            window.setTimeout(function(){cb(cacheItem);}, 0);
            return;
        }
        var req = userQue[url] = userQue[url] || [];
        req.push({cb:cb});
        if (req.length > 1) return;
        http.get(url, {
            handleAs: 'json'/*,
            headers: {'Cache-Control': 'no-cache'}*/
        }).then(function(data){
            cache[url] = data;
            var req = userQue[url];
            len = req.length;
            for(i = 0; i < len; i++){
                if (req[i].cb) req[i].cb(data);
            }
            userQue[url] = [];
        },function(error){
            console.log(error);
            cache[url] = null;
            if (cb) cb(null);
        });
        return null;
    }
};
SAS.AutoCompleteLoader.ReqMgr = new SAS.RequestManager();
SAS.AutoCompleteLoader.JsonpCallback = SAS.AutoCompleteLoader.ReqMgr.handleReceived;
});