define(['dojo/dom', 'dojo/on', 'dojo/dom-construct', 'dojo/dom-style', 'dojo/dom-class', 'dojo/dom-attr', 'dojo/query', 'dojo/aspect', 'dojo/_base/fx', 'dojo/fx/easing', 'dijit/Tooltip', './AutoCompleteHelper'],
    function(dom, on, domConstruct, domStyle, domClass, domAttr, query, aspect, coreFx, easing, Tooltip, Helper){
SAS.AutoCompletePopup = function (v, popupCont) {
    
    var popupContainer, popupListContainer, nvgt, navigatorList, dot,
        list, filtered, items, pageSize, selected,
        isDisplayed, isVerticalReversed, isFocused, doNotHide,
        tooltipDelay, animation, titleTooltip, titleBuddy, maxItem='',
        ITEM_HEIGHT, ITEM_STATES, ITEM_STATES_CSS, PLACE_HOLDER, SCROLLBAR_WIDTH, PADDING = 20,
        view, tooltip, TOOLTIP_MARGIN, onItemSelected, onCommited, onDismiss, self;
    
    list = [];
    filtered = {start: 0, end: 99999};
    items = [];
    selected = -1;
    isDisplayed = false;
    isFocused = false;
    doNotHide = false;
    popupContainer = popupCont;
    view = v;
    ITEM_STATES = {DEFAULT: 'default', FOCUSED: 'focused', SELECTED: 'selected'};
    ITEM_STATES_CSS = 'item-default item-focused item-selected';
    nvgt = domConstruct.toDom(
        '<div class="sce-ac-navigator" onselectstart="return false;">' +
            '<table style="width:100%;border-spacing:0px;"><tr><td>'+
            '<span class="sce-ac-navigator-btn sce-ac-navigator-previous"><</span>' +
            '</td><td>'+
            '<span class="sce-ac-navigator-title"></span>' +
            '</td><td>'+
            '<span class="sce-ac-navigator-btn sce-ac-navigator-next">></span>' +
            '</td></tr></table></div>'
    );
    tooltip = new Helper(view, domConstruct.create('div', {'class': 'sce-helper', 'dir': 'ltr'}, popupContainer, 'after'));
    tooltipDelay = null;
    titleTooltip = new Tooltip();
    TOOLTIP_MARGIN = 3;
    SCROLLBAR_WIDTH = 11;
    onItemSelected = new SAS.Event();
    onCommited = new SAS.Event();
    onDismiss = new SAS.Event();
    self = this;

    domAttr.set(popupContainer, 'tabIndex', -1);
    domConstruct.place(nvgt, popupContainer);
    titleBuddy = query('span.sce-ac-navigator-title-buddy');
    if(titleBuddy.length === 0) {
        titleBuddy = domConstruct.toDom(
            '<span class="sce-ac-navigator-title-buddy"></span>'
        );
        domConstruct.place(titleBuddy, query('body')[0]);
    } else {
        titleBuddy = titleBuddy[0];
    }
    popupListContainer = domConstruct.create('ul', {'class': 'sce-ac-list'}, popupContainer);
    popupListContainer.dojoClick = false;

    dot = domConstruct.create('div', {
        'class': "sce-ac-navigator-dot",
        onselect: "return false;"
    }, popupContainer);
    on(popupContainer, 'mousedown, focusin', _focusin);
    on(popupContainer, 'focusout', _focusout);
    on(popupListContainer, 'li:mousedown', function(e){
        var id = parseInt(domAttr.get(e.target, 'item_index'));
        _moveTo(id);
        onItemSelected.raise();
        if (self.isFocused()) doNotHide = true;
        view.focus();
        return SAS.Utils.stopEvent(e); //suppress selection when dragging horizontally
    });
    on(popupContainer, "contextmenu", function(e) {
        SAS.Utils.stopEvent(e);
    });
    on(popupContainer, 'keydown', function(e) {
        if (e.keyCode === SAS.Utils.KEY.TAB) {
            doNotHide = true;
        }
    });
    
    on(tooltip.getHelper(), 'attemptFocusOut', function(e) {
        if (!isFocused && !doNotHide) {
            onDismiss.raise();
        }
        doNotHide = false;
        e.preventDefault();
        return false;
    });
    
    function _focusin (e) {
        isFocused = true;
        if (SAS.Browser.msie()
            && (e.type == 'mousedown')) {
            popupContainer.focus();
            SAS.Utils.stopEvent(e);
        }
    }

    function _focusout () {
        if (doNotHide) {
            doNotHide = false;
        } else if (!tooltip.isFocused()) {
            self.hide();
        }
        isFocused = false;
    }

    function _updateList (set, type) {
        var img, length, row, style = type, color, colorLength;
        length = set.length;
        if (!style) {
            style = 'sce-it-stmt';
        }
        for(var i = 0;i < length;i++) {
            if (type === SAS.AutoCompletePopup.ITEM_TYPE.LIB) {
                switch (set[i].type) {
                case 'DATA':
                    style = SAS.AutoCompletePopup.ITEM_TYPE.DATA_SET;
                    break;
                case 'VIEW':
                    style = SAS.AutoCompletePopup.ITEM_TYPE.DATA_VIEW;
                    break;
                default:
                    style = type;
                    break;
                }
                set[i] = set[i].name;
            }
            row = domConstruct.create('li', {
                innerHTML:'',
                content: set[i].toUpperCase(),
                item_index: i,
                'class': style,
                onselectstart: 'return false;'
            }, popupListContainer);
            if (type == SAS.AutoCompletePopup.ITEM_TYPE.COLOR) {
                colorLength = set[i].length;
                color = set[i].substr(colorLength-6, 6);
                domConstruct.create('div', {
                    item_index: i,
                    'class': 'color-block',
                    style:{ backgroundColor: "#" + color }
                }, row);
            }
            if ((type == SAS.AutoCompletePopup.ITEM_TYPE.MACRO_STMT)
                && (set[i].StartsWith('%'))) {
                row.innerHTML += ' ' + set[i].substr(1);
            }
            else {
                row.innerHTML += ' '+set[i].replace('<','&lt');
            }
            items.push(row);
        }
        if (isNaN(ITEM_HEIGHT) && !!row) {
            ITEM_HEIGHT = domStyle.get(row, 'height');
        }
        popupListContainer.scrollTop = 0;
    }

    function _resetPopup () {
        popupListContainer.scrollTop = 0;
        domConstruct.empty(popupListContainer);
        items = [];
        selected = -1;
    }

    function _setItemState (id, state) {
        state = 'item-' + state;
        domClass.replace(items[id], state, ITEM_STATES_CSS);
    }

    function _getLocation (x, y) {
        var left, top, width, height, parentWidth, parentHeight, computedStyle;
        if (!PLACE_HOLDER) {
            computedStyle = domStyle.getComputedStyle(popupContainer);
            PLACE_HOLDER = {
                horizontal: _removePX(computedStyle.borderLeftWidth) + _removePX(computedStyle.borderRightWidth) + 
                                _removePX(computedStyle.paddingLeft) + _removePX(computedStyle.paddingRight),
                vertical: _removePX(computedStyle.borderTopWidth) + _removePX(computedStyle.borderBottomWidth) + 
                                _removePX(computedStyle.paddingTop) + _removePX(computedStyle.paddingBottom)
            };
        }
        left = x; top = y;
        width = domStyle.get(popupContainer, 'width');
        height = domStyle.get(popupContainer, 'height');
        parentWidth = (SAS.Browser.ipad() ? window.innerWidth : document.body.clientWidth) + window.pageXOffset;
        parentHeight = window.innerHeight + window.pageYOffset;
        if (y + height + PLACE_HOLDER.vertical + SCROLLBAR_WIDTH > parentHeight) {
            top = y - height - view.getLineHeight() - PLACE_HOLDER.vertical;
            if (top < window.pageYOffset && y - window.pageYOffset - view.getLineHeight() < window.innerHeight - y + window.pageYOffset) top = y;
        }
        if (x + width + PLACE_HOLDER.horizontal > parentWidth) {
            left = parentWidth - width - PLACE_HOLDER.horizontal;
        }
        return {left: left, top: top};
    }

    function _removePX (str) {
        return Math.round(parseFloat(str.slice(0, -2), 10));
    }

    function _moveTo (target) {
        if (selected > -1 ) {
            _setItemState(selected, ITEM_STATES.DEFAULT);
        }
        selected = target;
        if (selected > filtered.end) {
            selected = filtered.end;
        }
        if (selected >= filtered.start) {
            _setItemState(selected, ITEM_STATES.SELECTED);
            onItemSelected.raise();
        }
    }

    function _wipeIn () {
        var h, w, top, property;
        h = domStyle.get(popupContainer, 'height');
        w = domStyle.get(popupContainer, 'width');
        property = {height: h, width: w};
        if (isVerticalReversed) {
            top = domStyle.get(popupContainer, 'top');
            domStyle.set(popupContainer, 'top', (top + h) + 'px');
            property.top = top;
        }
        domStyle.set(popupContainer, {width: 0, height: 0});
        domStyle.set(popupContainer, "overflow-x: auto; overflow-y: auto");
        animation = coreFx.animateProperty({
        
            node: popupContainer,
            properties: property,
            easing: easing.linear,
            duration: SAS.Browser.msafari() ? 0 : 150,
            onEnd: function () {
                if (tooltipDelay !== null) {
                    self.updateTooltip(tooltipDelay);
                    tooltipDelay = null;
                }
                domStyle.set(popupContainer, "overflow-x: visible; overflow-y: visible");
            },
            onStop: function () {
                domStyle.set(popupContainer, 'height', h + 'px');
            }
        });
        animation.play();
    }

    function _wipeOut () {
        var h = domStyle.get(popupContainer, 'height'),
            top = domStyle.get(popupContainer, 'top'),
            property;
        function _disappear () {
            domStyle.set(popupContainer, 'height', h + 'px'); //wipe out will enlarge the node by twice border width
            domStyle.set(popupContainer, 'display', 'none');
        }
        property = {height: 0}
        if (isVerticalReversed) {
            property.top = top + h;
        }
        animation = coreFx.animateProperty({
            node: popupContainer,
            properties: property,
            duration: 100,
            onStop: _disappear,
            onEnd: _disappear
        });
        animation.play();
    }

    function _updateWidth () {
        var scrollbarWidth, titleWidth, listWidth, minWidth = domStyle.get(popupContainer, 'min-width'), 
            oldWidth = domStyle.get(popupContainer, 'width'), width;
        scrollbarWidth = popupListContainer.offsetWidth - popupListContainer.clientWidth;
        titleWidth = _calcTitleWidth(_getCurrTitle());
        listWidth = _calcListWidth(maxItem);
        width = (titleWidth > listWidth) ? titleWidth : listWidth;
        width += PADDING;
        if (width < minWidth) {
            width = minWidth;
        }
        /*if (isDisplayed && width < oldWidth) { // not narrow down when it has been displayed
            width = oldWidth;
            scrollbarWidth = 0;
        }*/
        domStyle.set(popupContainer, 'width',  (width + scrollbarWidth) + 'px');
        // adjust the title's width to the real
        _updateTitle();
        if (tooltip.isDisplayed()) {
            self.updateTooltip();
        }
    }
    function _getRelativePosition(offset) {
        var x, y, c, screenOffset;
        var caretLocation = view.getLocationAtOffset(view.getCaretOffset() - offset);
        view.convert(caretLocation, "document", "page");
        x = caretLocation.x;
        y = caretLocation.y + view.getLineHeight();
        if (SAS.Browser.msie() || SAS.Browser.ff()) {
            x += document.documentElement.scrollLeft;
            y += document.documentElement.scrollTop;
        } else {
            x += document.body.scrollLeft;
            y += document.body.scrollTop;
        }
        return {x:x,y:y};
    }
    function _updatePosition(offset) { //x,y, width, height
        var pos = _getRelativePosition(offset), location;
        _updateWidth();
        location = _getLocation(pos.x, pos.y);
        domStyle.set(popupContainer, {
            top: location.top + 'px',
            left: location.left + 'px'
        });
        isVerticalReversed = (pos.y < location.top);
    }
    function _getCurrTitle() {
        return query('span.sce-ac-navigator-title', nvgt)[0].innerHTML;
    }
    function _calcTitleWidth(title) {
        titleBuddy.innerHTML = title;
        return titleBuddy.clientWidth;
    }
    function _calcListWidth(text) {
        return _calcTitleWidth(text); //It's ok to use titleBuddy
    }
    function _setTitleWidth(width) {
        var title = query('span.sce-ac-navigator-title', nvgt)[0];
        domStyle.set(title, 'width', width + 'px');
    }
    function _updateTitle(name) {
        var title = query('span.sce-ac-navigator-title', nvgt)[0], width;
        if (name === undefined){
            name = title.innerHTML;
        }
        title.innerHTML = name;
        width = domStyle.get(popupContainer, 'width');
        if (navigatorList.length > 1) {
            width -= (2 * query('span.sce-ac-navigator-btn', nvgt).style('width')[0]) + 12;
        }
        domStyle.set(title, 'width', width + 'px'); 
        // The Safari on the Mac supports to show tooltip for tags displayed with ellipsis.
        if (!(SAS.Browser.mac() && SAS.Browser.safari())) {
            titleTooltip.close();
            titleTooltip.removeTarget(title);
            if(_calcTitleWidth(name) > width) { //enable tooltip
                titleTooltip.addTarget(title);
                titleTooltip.set('label',name);
            }
            aspect.after(titleTooltip, 'onShow', function(){
                window.setTimeout(function(){
                    titleTooltip.close();
                },10000);//Same to Mac safari
            });
        }
    }
    // single page mode / multiple pages mode
    function _updatePageMark(index) {
        query('span', dot).removeClass('sce-ac-navigator-dot-color-enable');
        query('span[item_index="'+index+'"]', dot).addClass('sce-ac-navigator-dot-color-enable');
        if (navigatorList.length > 1) {
            query('span.sce-ac-navigator-btn', nvgt).style('display', 'block');
            domStyle.set(dot, 'display', 'block');
            domStyle.set(popupListContainer, 'height', (domStyle.get(popupContainer, 'height') - domStyle.get(nvgt, 'height') - domStyle.get(dot, 'height')) + 'px');
            domClass.remove(popupContainer, 'sce-ac-adaptive');
            domClass.add(popupContainer, 'sce-ac-max');
        } else {
            query('span.sce-ac-navigator-btn', nvgt).style('display', 'none');
            domStyle.set(dot, 'display', 'none');
            domStyle.set(popupListContainer, 'height', (domStyle.get(popupContainer, 'height') - domStyle.get(nvgt, 'height')) + 'px');
            domClass.remove(popupContainer, 'sce-ac-max');
            domClass.add(popupContainer, 'sce-ac-adaptive');
        }
        pageSize = Math.round(domStyle.get(popupListContainer,'height') / ITEM_HEIGHT);
    }
    this.show = function (array, offset, index, filterPrefix, type) {
        var pos, listInfo = navigatorList[index], width;
        //init data
        maxItem = '';
        if (!!animation && animation.status() !== 'stopped') {
            animation.stop();
        }
        list = array.sort(function(a, b) {
            if (type === SAS.AutoCompletePopup.ITEM_TYPE.LIB) {
                a = a.name;
                b = b.name;
            }
            if (!a.match(/^</) && !b.match(/^</)) {
                a = a.toUpperCase();
                b = b.toUpperCase();
                if (a < b) return -1;
                if (a > b) return 1;
                return 0;
            } else return 0;
        });
        array.forEach(function(item){
            if (type === SAS.AutoCompletePopup.ITEM_TYPE.LIB) {
                item = item.name;
            }
            if(item.length > maxItem.length) {
                maxItem = item;
            }
        });
        _resetPopup();
        // update
        domStyle.set(popupContainer, 'display', 'block');
        _updateList(list, type?type:listInfo.type);
        self.filter(filterPrefix);
        _updatePageMark(index);
        _updateTitle(type === SAS.AutoCompletePopup.ITEM_TYPE.LIB ? '' : listInfo.name);
        _updatePosition(offset);
        // check special condition
        if (!isDisplayed) {
            _wipeIn();
        }
        isDisplayed = true;
    };
    this.update = function (offset) {
        _updatePosition(offset);
    }
    this.filter = function (prefix) {
        var filteredList;
        if (!prefix) {
            filtered.start = 0;
            filtered.end = list.length - 1;
            _moveTo(-1);
            if (tooltip.isDisplayed()) tooltip.hide();
            query('li', popupListContainer).style('display', 'block');
            selected = -1;
            return true;
        }
        if (!(/"/).test(prefix)) {
            prefix = prefix.toUpperCase();
            try {
                filteredList = query('li[content^="'+prefix+'"]', popupListContainer);
            } catch(e) {
                console.log(e);
            }
            if (filteredList && filteredList.length > 0) {
                query('li', popupListContainer).style('display', 'none');
                filteredList.style('display', 'block');
                filtered.start = parseInt(domAttr.get(filteredList[0], 'item_index'));
                filtered.end = parseInt(domAttr.get(filteredList[filteredList.length - 1], 'item_index'));
                _moveTo(filtered.start);
                return true;
            }
        }
        return false;
    };

    this.hide = function () {
        if (!!animation && animation.status() !== 'stopped') {
            animation.stop();
        }
        _wipeOut();
        tooltip.hide();
        isDisplayed = false;
    };

    this.updateTooltip = function (content) {
        var popupLeft, popupWidth, toolTipLeft, tooltipWidth, parentWidth;
        if (!isDisplayed) {
            return;
        }
        if (animation.status() !== 'stopped') {
            tooltipDelay = content;
            return;
        }
        popupWidth = popupContainer.offsetWidth;
        popupLeft = domStyle.get(popupContainer, 'left');
        tooltipWidth = tooltip.getSize().width;
        parentWidth = (SAS.Browser.ipad() ? window.innerWidth : document.body.clientWidth) + window.pageXOffset;
        toolTipLeft = (popupLeft + popupWidth + tooltipWidth > parentWidth && // overflow right
                     !(popupLeft - tooltipWidth - TOOLTIP_MARGIN < window.pageXOffset && // overflow left
                       popupLeft - window.pageXOffset < parentWidth - popupLeft - popupWidth - TOOLTIP_MARGIN)) ? // left space less than right
            popupLeft - tooltipWidth - TOOLTIP_MARGIN // place left
            : popupLeft + popupWidth + TOOLTIP_MARGIN; // place right
        tooltip.show(content, toolTipLeft, domStyle.get(popupContainer, 'top'), false);
    };

    this.setMouseHandler = function (hover, out, dblclick) {
        var hoverTimeout = null, hoverInfo = null, hovering = false;
        on(popupListContainer, 'li:mousemove', function (e) {
            if (hovering) {
                return true;
            }
            if (hoverTimeout !== null) {
                window.clearTimeout(hoverTimeout);
            }
            hoverTimeout = window.setTimeout(_hoverHandler, 1500);
            function _hoverHandler () {
                hoverInfo = {
                    left: e.layerX + domStyle.get(popupContainer, 'left'),
                    top: e.layerY + domStyle.get(popupContainer, 'top') + 13,
                    text: list[domAttr.get(e.target, 'item_index')]
                };
                hovering = true;
                hover(hoverInfo);
            }
        });
        aspect.after(self, 'hide', function(){
            if (hoverTimeout !== null) {
                window.clearTimeout(hoverTimeout);
                hoverTimeout = null;
            }
        });
        on(popupListContainer, 'li:mouseout', function(e) {
            hovering = false;
            if (hoverTimeout !== null) {
                window.clearTimeout(hoverTimeout);
                hoverTimeout = null;
            }
            out();
        });
        on(popupListContainer, 'li:dblclick', dblclick);
    };
    
    this.prepareNavigator = function (list) {
        var row, length, style;
        navigatorList = list;
        domConstruct.empty(dot);
        for(var i = 0;i < navigatorList.length;i++) {
            row = domConstruct.create('span', {
                innerHTML:'&bull;',
                item_index: i,
                'class': 'sce-ac-navigator-dot-color',
                onselectstart: 'return false;'
            }, dot);
        }
    };

    this.setOnItemSelectedListener = function (l) {
        onItemSelected.add(l);
    };

    this.setOnDbClickListener = function (l) {
        on(popupListContainer, 'li:dblclick', l);
    };

    this.setNavigatorListener = function (listeners) {
        var startX = 0, startY = 0, state = 'none';
        on(popupListContainer, 'touchstart', function(e) {
            startX = e.screenX;
            startY = e.screenY;
            state = 'none';
        });
        on(popupListContainer, 'touchmove', function(e) {
            var endX = e.screenX, 
                endY = e.screenY,
                touchOffsetX = endX - startX,
                touchOffsetY = endY - startY;
            if (Math.abs(touchOffsetX) > Math.abs(touchOffsetY)) {
                if (touchOffsetX > 0) {
                    state = 'prev';
                } else {
                    state = 'next';
                }
                SAS.Utils.stopEvent(e);
            }
        });
        on(popupListContainer, 'touchend', function(e) {
            if (state === 'prev') { 
                listeners.previous();
            } else if(state === 'next') {
                listeners.next();
            }
        });
        on(nvgt, 'span.sce-ac-navigator-previous:click', listeners.previous);
        on(nvgt, 'span.sce-ac-navigator-next:click', listeners.next);
    };

    this.isDisplayed = function () {
        return isDisplayed;
    };

    this.isFocused = function () {
        return isFocused || tooltip.isFocused();
    };

    this.focus = function () {
        isFocused = true;
        popupContainer.focus();
    };

    this.focusTooltip = function () {
        tooltip.focus();
    };

    this.move = function (mode) {
        var target;
        if (isNaN(mode)) {
            return;
        }    
        if (mode === 1 || mode === -1) {
            target = selected + mode;
        } else if (mode === 3) {
            target = filtered.end;
        } else if (mode === -3) {
            target = filtered.start;
        } else {
            target = selected + pageSize * mode / Math.abs(mode);
        }
        if (target < filtered.start) {
            target = filtered.start;
        }
        _moveTo(target);
        //scroll
        var top = popupListContainer.scrollTop;
        var offset = selected - filtered.start;
        if (top / ITEM_HEIGHT > offset) { // scroll up
            popupListContainer.scrollTop = offset * ITEM_HEIGHT;
        } else if (top / ITEM_HEIGHT + pageSize - 1 < offset) { // scroll down
            if (target >= filtered.end) {
                popupListContainer.scrollTop = popupListContainer.scrollHeight - popupListContainer.clientHeight; // defect S0993081.
            } else {
                popupListContainer.scrollTop = (offset - pageSize + 1) * ITEM_HEIGHT;
            }
        }
    };
    
    this.moveTo = function (index) {
        if (typeof index === 'string') {
            index = SAS.Utils.getIndex(list, index);
        } else if (isNaN(index)) {
            return;
        }
        _moveTo(index);
        if (selected >= filtered.start) {
            //scroll to top
            popupListContainer.scrollTop = selected * ITEM_HEIGHT;
        }
    };

    this.getCurrentKeyword = function () {
        return selected === -1 ? list[selected] : list[selected];
    };

    this.getTooltip = function () {
        return tooltip;
    };
    
    this.setOnCommitedListener = function (l) {
        onCommited.add(l);
    };

    this.setOnDismissListener = function (l) {
        onDismiss.add(l);
    };

    this.setOnKeyDownListener = function (l) {
        on(popupContainer, 'keydown', l);
    };
    this.canHide = function() {
        return tooltip.canHide();
    }

    tooltip.setOnRollBackFocusListener(self.focus.bind(self));
};
SAS.AutoCompletePopup.ITEM_TYPE = {
    COLOR:'sce-it-color-val', 
    DATA_SET:'sce-it-ds',
    DATA_VIEW:'sce-it-data-view',
    FORMAT:'sce-it-format', 
    LIB: 'sce-it-lib',
    STAT_KW: 'sce-it-stat-kw', 
    STYLE: 'sce-it-style-kw', 
    ABBR: 'sce-it-abbr', 
    FUNC: 'sce-it-func',
    MACRO_STMT: 'sce-it-macro-stmt', 
    PROC: 'sce-it-proc', 
    STMT: 'sce-it-stmt', 
    STMT_OPT: 'sce-it-stmt-opt',
    OPT_VALUE: 'sce-it-opt-val',
    MACRO_VAR: 'sce-it-macro-var'
};
    return SAS.AutoCompletePopup;
});