define(["dojo/on", "dojo/dom-construct", "./AutoCompletePopup", "./AutoCompleteHelper", "./SasLanguageService", "./CodeZoneManager"],
function(on, domConstruct, AutoCompletePopup, AutoCompleteHelper, SasLanguageService, CodeZoneManager){
SAS = window.SAS || {};
SAS.AutoCompleter = function (control, v, m) {
    
    var model, popup, hint, view, self, domPopup, domHint,
        loader, settings, langServ, czMgr,ZONE_TYPE,ITEM_TYPE, KEY,
        prefix, pos, currentZone,listeners = {}, resourceBundle, popupContext = {}, hintContext = {},
        needPrefix, ignoreCaretMove, committed, preparingHelper, suppressContextMenu,
        FIXED_LIST, activedList, currentList, hintInfo, KW_MAP, prepareHelperTimer,
        macroDefList, macroVarList, LIST_MAP, tagsets, datasetList, libref, firstOptForSET, hoverListener = {};

    self = this;
    domPopup = domConstruct.create('div', {'class': 'sce-ac', 'dir': 'ltr'}, document.body);
    domPopup.dojoClick = false;
    domHint = domConstruct.create('div', {'class': 'sce-helper', 'dir': 'ltr'}, document.body);
    domHint.dojoClick = false;
    
    popup = new AutoCompletePopup(v, domPopup);
    hint = new AutoCompleteHelper(v, domHint);
    model = m;
    ZONE_TYPE = CodeZoneManager.ZONE_TYPE;
    ITEM_TYPE = SAS.AutoCompletePopup.ITEM_TYPE;
    view = v;
    settings = control.settings;
    resourceBundle = SAS.Utils.getResourceBundle("AutoCompleter_nls");
    committed = false;
    ignoreCaretMove = false;
    preparingHelper = false;
    suppressContextMenu = false;
    prepareHelperTimer = null;
    macroDefList = null;
    macroVarList = null;
    datasetList = null;
    libref = null;
    firstOptForSET = false;
    needPrefix = true;
    KEY = SAS.Utils.KEY;
    loader = new SasLanguageService();
    langServ = control.mode().getHighlight();
    czMgr = new CodeZoneManager(model,loader,langServ);
    hintInfo = {};
    //TODO: please improve tagsets, that's dup.
    tagsets = SAS.Utils.arrayToMap(['CHTML','CORE','CSV','CSVALL','CVSBYLINE','DEFAULT','DOCBOOK','EXCELXP','HTML4','HTMLCSS','HTMLPANEL','HTMLSCROLL','IMODE','MSOFFICE2K','MVSHTML','PHTML','PYX','RTF','SASREPORT','SQL','SUPERMAP','TABLEEDITOR','WML','WMLOLIST','XBRL','XHTML','EVENT_HTML','NAMEDHTML','SHORT_MAP','STYLE_DISPLAY','STYLE_POPUP','TEXT_MAP','TPL_STYLE_LIST','TPL_STYLE_MAP']);
    FIXED_LIST = [ZONE_TYPE.COLOR, ZONE_TYPE.FORMAT, ZONE_TYPE.INFORMAT, ZONE_TYPE.MACRO_FUNC, 
                  ZONE_TYPE.SAS_FUNC, ZONE_TYPE.STAT_KW, ZONE_TYPE.STYLE_ELEMENT, ZONE_TYPE.STYLE_ATTR];
    LIST_MAP = [[ZONE_TYPE.COLOR,resourceBundle.colors,ITEM_TYPE.COLOR],
                [ZONE_TYPE.FORMAT,resourceBundle.formats,ITEM_TYPE.FORMAT],
                [ZONE_TYPE.INFORMAT,resourceBundle.informats,ITEM_TYPE.FORMAT],
                [ZONE_TYPE.MACRO_FUNC,resourceBundle.macro_functions,ITEM_TYPE.FUNC],
                [ZONE_TYPE.SAS_FUNC,resourceBundle.sas_functions,ITEM_TYPE.FUNC],
                [ZONE_TYPE.STAT_KW,resourceBundle.statistics_keywords,ITEM_TYPE.STAT_KW],
                [ZONE_TYPE.STYLE_ELEMENT,resourceBundle.style_elements,ITEM_TYPE.STYLE],
                [ZONE_TYPE.STYLE_ATTR,resourceBundle.style_attributes,ITEM_TYPE.STYLE],
                [ZONE_TYPE.STYLE_LOC,resourceBundle.style_locations,ITEM_TYPE.STYLE],//only here all uppercase, FIXID:S1019981
                [ZONE_TYPE.GBL_STMT,resourceBundle.global_statements,ITEM_TYPE.STMT],
                [ZONE_TYPE.GBL_STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.GBL_STMT_OPT_VALUE, resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.PROC_DEF,resourceBundle.procedures,ITEM_TYPE.PROC],
                [ZONE_TYPE.PROC_OPT,resourceBundle.procedure_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.PROC_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.PROC_STMT,resourceBundle.procedure_statements,ITEM_TYPE.STMT],
                [ZONE_TYPE.PROC_STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.PROC_STMT_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.DATA_STEP_STMT,resourceBundle.data_step_statements,ITEM_TYPE.STMT],
                [ZONE_TYPE.DATA_STEP_STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.DATA_STEP_DEF_OPT,resourceBundle.definition_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.DATA_STEP_OPT_NAME,resourceBundle.options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.DATA_STEP_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.DATA_SET_OPT_NAME,resourceBundle.data_set_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.DATA_SET_OPT_VALUE,resourceBundle.data_set_option_values,ITEM_TYPE.OPT_VALUE],
                //[ZONE_TYPE.VIEW_OR_DATA_SET_NAME,'Data Step Definition Options',ITEM_TYPE.STMT_OPT],//!
                [ZONE_TYPE.VIEW_OR_PGM_OPT_NAME,resourceBundle.password_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.VIEW_OR_PGM_OPT_VALUE,resourceBundle.password_option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.VIEW_OR_PGM_SUB_OPT_NAME,resourceBundle.options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.MACRO_DEF_OPT,resourceBundle.macro_definition_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.MACRO_STMT,resourceBundle.macro_statements,ITEM_TYPE.MACRO_STMT],
                [ZONE_TYPE.MACRO_STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.MACRO_STMT_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.CALL_ROUTINE,resourceBundle.call_routines,ITEM_TYPE.FUNC],
                [ZONE_TYPE.TAGSETS_NAME,resourceBundle.tagset_names,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.ODS_STMT,resourceBundle.ods_statements,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.ODS_STMT_OPT,resourceBundle.statement_options,ITEM_TYPE.STMT_OPT],
                [ZONE_TYPE.ODS_STMT_OPT_VALUE,resourceBundle.option_values,ITEM_TYPE.OPT_VALUE],
                [ZONE_TYPE.MACRO_VAR,resourceBundle.macro_variables,ITEM_TYPE.MACRO_VAR]
                ];
    // build map
    function _buildMap() {
        var map = {};
        LIST_MAP.forEach(function(item){
            map[item[0]] = {'name':item[1],'type':item[2], 'zone': item[0]};
        });
        return map;
    }
    LIST_MAP = _buildMap();
    // build fixed list
    function _buildFixedList() {
        var list = [], item;
        FIXED_LIST.forEach(function(i){
            item = LIST_MAP[i];
            item['zone'] = i;
            list.push(item);
        });
        return list;
    }
    FIXED_LIST = _buildFixedList();
    activedList = [];
    currentList = 0;
    KW_MAP = [[ZONE_TYPE.FORMAT,'formats'],
              [ZONE_TYPE.INFORMAT,'informats'],
              [ZONE_TYPE.MACRO_FUNC, 'macro-func'],
              [ZONE_TYPE.MACRO_STMT, 'macro-stmt'],
              [ZONE_TYPE.AUTO_MACRO_VAR, 'auto-var'],
              [ZONE_TYPE.MACRO_VAR, 'auto-var'],
              [ZONE_TYPE.CALL_ROUTINE, 'call-routines'],
              [ZONE_TYPE.SAS_FUNC, 'func'],
              [ZONE_TYPE.STAT_KW, 'stat-kw'],
              [ZONE_TYPE.STYLE_LOC, 'style-loc'],
              [ZONE_TYPE.STYLE_ELEMENT, 'style-ele'],
              [ZONE_TYPE.STYLE_ATTR, 'style-att'],
              [ZONE_TYPE.GBL_STMT, 'gbl-stmt'],
              [ZONE_TYPE.DATA_STEP_STMT, 'ds-stmt'],
              [ZONE_TYPE.DATA_SET_OPT_NAME, 'ds-option'],
              [ZONE_TYPE.DATA_SET_OPT_VALUE, 'ds-option'],
              [ZONE_TYPE.TAGSETS_NAME, 'ods-tagsets']];
    function _buildKwMap() {
        var map = {};
        KW_MAP.forEach(function(item){
            map[item[0]] = item[1];
        });
        return map;
    }
    KW_MAP = _buildKwMap();

    this.isDisplayed = function () {
        return popup.isDisplayed();
    };

    this.isHintDisplayed = function () {
        return hint.isDisplayed();
    };

    this.hide = function () {
        pos = null;
        preparingHelper = false;
        currentList = 0;
        prefix = null;
        needPrefix = true;
        popup.hide();
    };

    this.hideHint = function () {
        preparingHelper = false;
        hint.hide();
    };

    this.hideAll = function () {
        preparingHelper = false;
        if (self.isDisplayed()) {
            self.hide();
        }
        if (hint.isDisplayed()) {
            hint.hide();
        }
    };

    this.bindModelTA = function (mta) {
        modelTA = mta;
        modelTA.bind('caretMoved', _onCaretMoved);
        modelTA.bind('selectionChanged', _onCaretMoved);
        modelTA.bind('textChanged', _onTextChanged);
    };
    this.getPopup = function() {
        return popup;
    };
    this.getHint = function() {
        return hint;
    };
    this.loadHint = function (key, needFocus) {
        hintInfo = {
            zone: key.type === 'format' ? 'Formats' : _getZone(key.line, key.column+1),
            text: key.text,
            line: key.line,
            column: key.column,
            focus: needFocus,
            x: key.x,
            y: key.y
        };
        if (hintInfo.zone) {
            _prepareHelper(_getOptionName(hintInfo), hintInfo.zone, 'hint');
        }
    };

    this.enableHint = function(enable) {
        if (!enable) {
            self.setHoverListener();
        } else {
            self.setHoverListener(function (hintInfo) {
                if (hint.isFocused()) {
                    hint.hide();
                }
                self.loadHint(hintInfo);
            }, function () {
                if (self.isHintDisplayed()) {
//                    window.setTimeout(autoCompleter.hideHint, 600);
                	self.hideHint();
                }
            });
        }
    };
    this.setHoverListener = function (hover, out) {
        var hoverTimeout = null,
            hoverInfo, hovering = false;

        function onHoverMove(e) {
            var nTime = new Date().getTime();
            if (hovering) {
                if (!hint.isResizing() && (e.x < hoverInfo.minX || e.x > hoverInfo.maxX ||
                    e.y < hoverInfo.minY ||e.y > hoverInfo.maxY)) {
                    hovering = false;
                    if (!hint.isFocused()) {
                        out();
                    }
                } else {
                    return true;
                }
            }
            if(hoverTimeout !== null) {
                window.clearTimeout(hoverTimeout);
            }
            hoverTimeout = window.setTimeout(_hoverHandler, 500);
            function _hoverHandler () {
                //var pos = getCursorPositionInView(e);
                //if ((pos.y > view._clientDiv.clientHeight) || (pos.x > view._clientDiv.clientWidth)) {
                //    return;
                //}
                hoverInfo = getWordInfoByXY(e.x, e.y);
                if (!!hoverInfo && _hasSyntaxHelp(hoverInfo)) {
                    hovering = true;
                    hover(hoverInfo);
                }
            }
        }
        function onHoverOut() {
            if(hoverTimeout !== null) {
                window.clearTimeout(hoverTimeout);
                hoverTimeout = null;
            }
        }

        if (arguments.length === 0) {
            if (SAS.Browser.ipad()) {
                view.removeEventListener('TouchStart', hoverListener.onHoverMove);
                view.removeEventListener('TouchMove', hoverListener.onHoverOut);
            } else {
                view.removeEventListener('MouseMove', hoverListener.onHoverMove);
                view.removeEventListener('Scroll', hoverListener.onHoverOut);
                view.removeEventListener('MouseOut', hoverListener.onHoverOut);
            }
            return;
        }

        if (SAS.Browser.ipad()) {
            view.addEventListener('TouchStart', onHoverMove);
            view.addEventListener('TouchMove', onHoverOut);
        } else {
            view.addEventListener('MouseMove', onHoverMove);
            view.addEventListener('Scroll', onHoverOut);
            view.addEventListener('MouseOut', onHoverOut);
        }
        hoverListener.onHoverMove = onHoverMove;
        hoverListener.onHoverOut = onHoverOut;
    };
    function _getWordInfo() {
        var offset, node, spanNode, lineIndex, line, col = 0;
        offset = view.getSelection().start;
        lineIndex = view.getLineAtOffset(offset);
        line = view._getLine(lineIndex);
        node  = line.getNodeOffset(offset);
        if(node && node.node){
            spanNode = node.node.parentNode;
        }
        var lineStart = view.getModel().getLineStart(lineIndex);
        col = offset - lineStart - node.offset;
        offset = view.getModel().mapOffset(offset);
        lineIndex = view.getModel().getBaseModel().getLineAtOffset(offset);
        return !spanNode ? null : {
            text: spanNode.textContent,//spanList[i].innerHTML,
            type: spanNode.className,
            line: lineIndex,
            column: col,
            x: spanNode.offsetLeft,
            y: spanNode.offsetTop + spanNode.offsetHeight
        };
    }
    this.tryLoadHint = function() {
        var wordInfo = _getWordInfo();
        if (wordInfo !== null) {
            self.loadHint(wordInfo, true);
        }
    };
    this.canSyntaxHelp = function() {
        var wordInfo = _getWordInfo();
        return _hasSyntaxHelp(wordInfo);
    };
    this.setLibService = function(fn) {
        loader.setLibService(fn);
    };

    function getWordInfoByXY(x, y){
        if(!view.isValidTextPosition(x, y)){
            return;
        }
        var offset, node, spanNode, lineIndex, line, col = 0;
        offset = view.getOffsetAtLocation(x, y);
        lineIndex = view.getLineAtOffset(offset);
        line = view._getLine(lineIndex);
        node  = line.getNodeOffset(offset);
        if(node && node.node){
            spanNode = node.node.parentNode;
        }
        var lineStart = view.getModel().getLineStart(lineIndex);
        col = offset - lineStart - node.offset;
        var nodePosition = view.getLocationAtOffset(offset - node.offset);
        offset = view.getModel().mapOffset(offset);
        lineIndex = view.getModel().getBaseModel().getLineAtOffset(offset);
        return !spanNode ? null : {
            text: spanNode.textContent,//spanList[i].innerHTML,
            type: spanNode.className,
            line: lineIndex,
            column: col,
            maxX: nodePosition.x + spanNode.offsetWidth,
            minX: nodePosition.x,
            minY: nodePosition.y,
            maxY: nodePosition.y + spanNode.offsetHeight,
            x: spanNode.offsetLeft,
            y: spanNode.offsetTop + spanNode.offsetHeight,
        };
    }
    function _hasSyntaxHelp(wordInfo) {
        var hasHelp = false;
        if (wordInfo) {
            if ((wordInfo.type && wordInfo.type.indexOf('keyword') > -1)) {
                hasHelp = true;
            } else {
                //TODO: how to differ formats from informats here
                var zone = (wordInfo.type === "format") ? ZONE_TYPE.FORMAT : _getZone(wordInfo.line, wordInfo.column);
                var context = {
                    keyword: wordInfo.text,
                    type: wordInfo.type,
                    zone: zone,
                    procName: czMgr.getProcName(),
                    stmtName: czMgr.getStmtName(),
                    optName: czMgr.getOptionName()
                };
                hasHelp = !!_loadHelp(context);
            }
        }
        return hasHelp;
    }
    function _canSyntaxHelp(type, text) {
        return ((type === 'text' && text.match(/[^\s]/)) || (type && type.indexOf('keyword') > -1) || type === 'format');
    }
    function _onKeyDownFromOrion(orionEvent){
        if(!_onKeyDown(orionEvent.event)){
            orionEvent.preventDefault();
        }
    }
    function _onKeyDown (e) {
        var r = true, source = e.originalTarget || e.srcElement;
        if (hint.isDisplayed() && e.keyCode === KEY.TAB) {
            hint.focus();
            e.stopImmediatePropagation();
            Utils.stopEvent(e);
            r = false;
            return r;
        }
        if (hint.isDisplayed()) {
            hint.hide();
        }
        if ((e.ctrlKey || e.metaKey) && e.keyCode === KEY.SPACE) {
            suppressContextMenu = SAS.Browser.mac() && SAS.Browser.ff();
            if (!self.isDisplayed()) {
                var offset = view.getCaretOffset();
                offset = view.getModel().mapOffset(offset);
                pos = model.toTextPosition(offset);
                //view.scrollTo(pos.line, pos.column);
                if (!prefix) prefix = _calculatePrefix(pos.line, pos.column);
                var _zone = _getZone(pos.line, pos.column, prefix);
                _setCurrentZone(_zone);
                libref = null;
                if (_zone === ZONE_TYPE.PROC_OPT_VALUE || _zone === ZONE_TYPE.PROC_STMT_OPT_VALUE || _zone === ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE) {
                    _findLibRef(pos);
                }
                if (!_loadAutoCompleteItems(currentZone)) {
                    needPrefix = false;
                    activedList = FIXED_LIST;
                    _switchList(e.shiftKey ? activedList.length - 1 : 0);
                }
                popup.prepareNavigator(activedList);
            } else if (e.shiftKey) {
                _previousList();
            } else {
                _nextList();
            }
            r = false;
        } else if (self.isDisplayed()) {
            if (!e.shiftKey) {
                if (((e.ctrlKey && e.keyCode !== KEY.CTRL && e.keyCode !== KEY.IME && e.keyCode !== 0)/* && (source.localName.toUpperCase() == "TEXTAREA")*/) || e.keyCode === KEY.ESC) {
                    self.hide();
                    view.focus();
                } else if (e.keyCode === KEY.ENTER) {
                    r = _commit(e.keyCode);
                } else if (e.keyCode === KEY.UP || e.keyCode === KEY.DOWN || e.keyCode === KEY.PAGE_UP || e.keyCode === KEY.PAGE_DOWN
                        || e.keyCode === KEY.HOME || e.keyCode === KEY.END) {
                    //TODO: Shift+up/down
                    r = _move(e.keyCode);
                }
            } else {
                if (e.keyCode === KEY.ENTER) {
                    r= false;
                }
            }
            if (e.keyCode === KEY.TAB) {
                var cycle = [view, popup], index, target;
                if (popup.getTooltip().isDisplayed()) cycle.push(popup.getTooltip());
                if (!popup.isFocused()) index = 0;
                else if (popup.getTooltip().isFocused()) index = 2;
                else index = 1;
                target = (cycle.length + index + (e.shiftKey ? -1 : 1)) % cycle.length;
                if (target < 2) cycle[target].focus();
                else popup.focusTooltip();
                r = false;
            }
        }

        if (!r/* || (source.localName.toUpperCase() !== "TEXTAREA")*/) {
            SAS.Utils.stopEvent(e);
            e.stopImmediatePropagation();
            // dojo function for event object, prevent the event from firing other handlers, replace e.consumed
        }
        return r;
    }

    function _onContextMenu (e) {
        if (suppressContextMenu) {
            suppressContextMenu = false;
            e.stopImmediatePropagation();
            return SAS.Utils.stopEvent(e);
        }
    }

    function _onCaretMoved (e) {
        if (popup.isDisplayed()) {
            var baseModel = view.getModel().getBaseModel();
            var newOffset = e.newValue.caret? e.newValue.start: e.newValue.end;
            var oldOffset = e.oldValue.caret? e.oldValue.start: e.oldValue.end;
            newOffset = view.getModel().mapOffset(newOffset);
            oldOffset = view.getModel().mapOffset(oldOffset);
            var newLineIndex = baseModel.getLineAtOffset(newOffset);
            var oldLineIndex = baseModel.getLineAtOffset(oldOffset);

            if (newLineIndex === oldLineIndex) {
                if ((newOffset - oldOffset === 1 || newOffset - oldOffset === -1) &&
                    baseModel.getText(newOffset, oldOffset).search(/[\. \t\*=;]/) === -1) {
                    var data = model.toTextPosition(newOffset);
                    prefix = _calculatePrefix(data.line, data.column);
                    pos = data;
                    if (!_filter(prefix)) {
                        self.hide();
                    } else {
                        popup.update(prefix.length);
                    }
                } else if (newOffset !== oldOffset) {
                    self.hide();
                }
            } else {
                self.hide();
            }
        }
    }
    function _filter (prefix) {
        return popup.filter(currentZone === ZONE_TYPE.MACRO_VAR && prefix.StartsWith('&') ? prefix.substring(1) : prefix);
    }
    function _onTextChanged (e) {
        var activeAutoComplete = true, hideIt = false;
        needPrefix = true;
        if (popup.isDisplayed()) {
	    // check if hide
            activeAutoComplete = false;
            if (/*e.type === 'regular' && */e.text.length === 1) {
                ignoreCaretMove = true;
                prefix += e.text;
                if (e.text.match(/[ \.=]/) || !_filter(prefix)) {// === ' ' || e.text === '.') {
                    activeAutoComplete = true;
                    hideIt = true;
                }
            } else if (e.type === 'delete' && e.removedText.length === 1 && !model.isEmpty()) {
                ignoreCaretMove = true;
                if (e.removedText.search(/[ \t\*\n;]/) > -1) {
                    hideIt = true;
                } else {
                    prefix = _calculatePrefix(e.newRange.end.line, e.newRange.end.column);
                    if ((prefix === '' && e.newRange.end.column === 0) || !_filter(prefix)) {
                        hideIt = true;
                    }
                }
            } else {
                hideIt = true;
            }
            // do
            if (hideIt) {
                self.hide();
            } else {
                popup.update(prefix.length);
            }
        }
        // try to popup it
        if (!popup.isDisplayed() && activeAutoComplete && settings.autoCompleteEnabled() && (e.addedCharCount === 1 || committed)) {
            prefix = _calculatePrefix(e.newRange.end.line, e.newRange.end.column);
            if (_checkForCompletion(prefix, e.newRange, e.text)) {
                pos = new SAS.TextPosition(e.newRange.end);
                _setCurrentZone(_getZone(pos.line, pos.column, prefix));
                if (_loadAutoCompleteItems(currentZone)) {
                    popup.prepareNavigator(activedList);
                } else {
                    prefix = null;
                }
            } else {
                prefix = null;
            }
        }
    }

    function _libMatched(list, prf) {
        var r = new RegExp(prf, 'i');
        for (var i = 0; i < list.length; i++) {
            if (list[i].name.search(r) === 0) {
                return true;
            }
        }
        return false;
    }

    function _onLoadCompleted (list) {
        var prf = prefix, itemType = null;
        if (currentZone===ZONE_TYPE.COLOR) {
            itemType = ITEM_TYPE.COLOR;
        } else if (currentZone===ZONE_TYPE.LIB) {
            itemType = ITEM_TYPE.LIB;
        }
        if (!!list && list.length > 0) {
            if (needPrefix && !!prf && prf.StartsWith('&')) {
                prf = prf.substring(1);
            }
            if (!needPrefix || (prf !== null && (prf.length === 0 ||
                (currentZone===ZONE_TYPE.LIB ? _libMatched(list, prf) : SAS.Utils.getIndex(list, prf) >= 0)))) {
                popup.show(list, needPrefix ? prf.length : 0, currentList, needPrefix ? prf : '', itemType);
            } else {
                prefix = null;
            }
        } else {
            prefix = null;
        }
    }

    function _onTooltipLoadCompleted (content) {
        if (preparingHelper && !!content) {
            if (macroDefList && SAS.Utils.indexOfArray(macroDefList,content.key,false) > -1) {
                popup.updateTooltip(resourceBundle.macro_def_name);
            } else if (macroVarList && SAS.Utils.indexOfArray(macroVarList,content.key,false) > -1) {
                popup.updateTooltip(resourceBundle.user_macro_var);
            } else {
                popup.updateTooltip(_addLinkContext(currentZone, content, 'tooltip'));
            }
        }
        if (content === null || (typeof preparingHelper === 'string' && preparingHelper.toUpperCase() === content.key.toUpperCase())) preparingHelper = false;
    }

    function _onHintLoadComplete (content) {
        if (preparingHelper && !!content && content.data) {
            hint.show(_addLinkContext(hintInfo.zone, content, 'hint'), hintInfo.x, hintInfo.y, true);
            if (hintInfo.focus) hint.focus();
        }
        preparingHelper = false;
    }

    function _getOptionName(hintInfo) {
        //TODO: this is temp
        if(hintInfo.line === undefined) return hintInfo.text;
        //
        var line = hintInfo.line,
            maxLine = model.getLineCount(),
            name =hintInfo.text,
            lineText = model.getLine(hintInfo.line).substring(hintInfo.column + name.length);
        do {
            lineText = lineText.replace(/\s*/g, "");
            if (lineText.length !==0) {
                if (lineText[0] === '=') {
                    name += '=';
                }
                break;
            }
            line++;
            lineText = model.getLine(line);
        } while(line < maxLine);
        return name;
    }

    function _getContextMain(zone, keyword) {
        var context, wd = keyword.toUpperCase(),
            resourceBundle = SAS.Utils.getResourceBundle("AutoCompleter_nls");
        switch (zone) {
            case ZONE_TYPE.GBL_STMT:
            case ZONE_TYPE.DATA_STEP_STMT:
            case ZONE_TYPE.PROC_STMT:
            case ZONE_TYPE.MACRO_STMT:
            case ZONE_TYPE.ODS_STMT:
                context = resourceBundle.statement.replace('${0}', wd);
                break;
            case ZONE_TYPE.PROC_DEF:
                context = resourceBundle.proc.replace('${0}', wd);
                break;
            case ZONE_TYPE.GBL_STMT_OPT_VALUE:
            case ZONE_TYPE.PROC_OPT_VALUE:
            case ZONE_TYPE.PROC_STMT_OPT_VALUE:
            case ZONE_TYPE.VIEW_OR_PGM_OPT_VALUE:
            case ZONE_TYPE.DATA_STEP_OPT_VALUE:
            case ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE:
            case ZONE_TYPE.DATA_SET_OPT_VALUE:
            case ZONE_TYPE.MACRO_STMT_OPT_VALUE:
            case ZONE_TYPE.ODS_STMT_OPT_VALUE:
            case ZONE_TYPE.OPT_VALUE:
                context = wd;
                break;
            default:
                context = resourceBundle.option.replace('${0}', wd);
        }
        return context;
    }

    function _getMacroDef() {
        macroDefList = model.getAllText().match(/%macro\s+[a-zA-Z_]\w*(\s*|\s*\([^;]*\)\s*);/mgi);
        if (macroDefList) {
            macroDefList.forEach(function(item, index) {
                macroDefList[index] = '%' + item.match(/%macro\s+(\w+)/mi)[1];
            });
        }
    }

    function _getMacroVar() {
        macroVarList = [];
        var flag = 0, varName = '';
        for (var line = 0; line < model.getLineCount(); line++) {
            var syntax = langServ.getSyntax(line),
                lineText = model.getLine(line),
                count = syntax.length;
            for (var i = 0; i < count; i++) {
                var token = i + 1 < count ? lineText.slice(syntax[i].start, syntax[i + 1].start) : lineText.slice(syntax[i].start);
                if (syntax[i].style === 'comment' || syntax[i].style === 'macro-comment' || // just comment, do nothing
                    (syntax[i].style === 'text' && (token === '' || token.search(/\s/) !== -1))) { // just blanks, do nothing
                } else if (flag === 0 && syntax[i].style === 'macro-keyword' && token.toUpperCase() === '%LET') {
                    flag = 1; // Found %let
                } else if (flag === 1 && syntax[i].style === 'text') {
                    varName = token;
                    flag = 2; // found variable name
                } else if (flag === 2 && syntax[i].style === 'sep' && token === '=') {
                    flag = 3; // wait for ;
                } else if (flag === 3) { // anything between = and ; are considered as macro variable value
                    if (syntax[i].style === 'sep' && token === ';') {
                        macroVarList.push(varName);
                        flag = 0;
                    }
                } else if (flag === 0 && syntax[i].style === 'keyword' && token.toUpperCase() === 'CALL') {
                    flag = 4; // found call
                } else if (flag === 4 && syntax[i].style === 'text' && token.toUpperCase() === 'SYMPUT') {
                    flag = 5; // found symput
                } else if (flag === 5 && syntax[i].style === 'sep' && token === '(') {
                    flag = 6; // found (
                } else if (flag === 6 && syntax[i].style === 'string') {
                    varName = token.replace(/['"]/g, '');
                    flag = 7; // found variable name
                } else if (flag === 7 && syntax[i].style === 'sep' && token === ',' && varName) {
                    flag = 3; // wait fot ;
                } else {
                    flag = 0;
                }
            }
        }
        /*var re = textarea.value.match(/%let\s+\w+(?=\s*=)/mgi);
        if (re) {
            re.forEach(function(item) {
                macroVarList.push(item.match(/%let\s+(\w+)/mi)[1]);
            });
        }
        re = textarea.value.match(/call\s+symput\s*\(\s*('\w+'|"\w+")(?=\s*,)/mgi);
        if (re) {
            re.forEach(function(item) {
                macroVarList.push(item.match(/call\s+symput\s*\(\s*['"](\w+)['"]/mi)[1]);
            });
        }*/
    }

    function _getDatasetNames() {
        datasetList = [];
        var flag = 0;
        for (var line = 0; line < model.getLineCount(); line++) {
            var syntax = langServ.getSyntax(line),
                lineText = model.getLine(line),
                count = syntax.length;
            for (var i = 0; i < count; i++) {
                var token = i + 1 < count ? lineText.slice(syntax[i].start, syntax[i + 1].start) : lineText.slice(syntax[i].start);
                if (syntax[i].style === 'comment' || syntax[i].style === 'macro-comment' || // just comment, do nothing
                    (syntax[i].style === 'text' && (token === '' || token.search(/\s/) !== -1))) { // just blanks, do nothing
                } else if (flag === 0 && syntax[i].style === 'sec-keyword' && token.toUpperCase() === 'DATA'){
                    flag = 1; // found data
                } else if (flag === 1 && syntax[i].style === 'text' && token.toUpperCase() !== '_NULL_') {
                    datasetList.push({name: token, type: 'DATA'});
                } else if (flag === 1 && syntax[i].style === 'sep' && token === '(') {
                    flag = 2; // dataset options
                } else if (flag === 2) {
                    if (syntax[i].style === 'sep' && token === ')') flag = 1;
                } else {
                    flag = 0;
                }
            }
        }
    }

    function _cleanUpKeyword(keyword) {
        if (keyword === undefined) {//TODO: this check will be removed in the future.
            return keyword;
        }
        keyword = keyword.replace(/(^\s+|\s+$)/g,'');
        if (/^(TITLE|FOOTNOTE|AXIS|LEGEND|PATTERN|SYMBOL)\d{0,}$/i.test(keyword)) {
            var results = keyword.match(/^(TITLE|FOOTNOTE|AXIS|LEGEND|PATTERN|SYMBOL)|\d{0,}$/gi), nbr = 0, upperLimit;
            nbr = parseInt(results[1],10);
            switch(results[0].toUpperCase()){
            case 'TITLE':
            case 'FOOTNOTE':
                upperLimit = 10;
                break;
            case 'AXIS':
            case 'LEGEND':
                upperLimit = 99;
                break;
            case 'PATTERN':
            case 'SYMBOL':
                upperLimit = 255;
                break;
            }
            if ((nbr > 0) && (nbr <= upperLimit)) {
                keyword = results[0];
            }
        }
        return keyword.toUpperCase();
    }
    function _prepareHelper (key, zone, type) {
        if (prepareHelperTimer) {
            window.clearTimeout(prepareHelperTimer);
        }
        if (preparingHelper) {
            prepareHelperTimer = window.setTimeout(function() {
                _prepareHelper(key, zone, type);
            }, 100);
        } else {
            _getHelp(key, zone, type);
            if (zone === ZONE_TYPE.ODS_STMT ||
                    (zone === ZONE_TYPE.PROC_STMT && czMgr.getProcName() === 'ODS')) preparingHelper = 'ODS ' + key;
            else preparingHelper = key;
        }
    }

    function _insert (text, offset) {
        var caretOffset = view.getCaretOffset();
        var start;
        if (!isNaN(offset)) {
            start = caretOffset - offset;
        }else{
            start = caretOffset;
        }
        view.setText(text, start, caretOffset);
    }

    function _manageKeywordCase(keyword, prf) {
        if (prf.indexOf('&') === 0) prf = prf.slice(1);
        if (prf.length === 0) return keyword.toLowerCase();
        if (keyword.slice(0, prf.length) === prf) return keyword;
        if (prf !== prf.toUpperCase()) return keyword.toLowerCase();
        return keyword.toUpperCase();
    }

    function _commit (code) {
        var keyword = popup.getCurrentKeyword(),
            extra = '', prf = prefix;
        //e.consumed = true;
        //TODO: remove the selected keyword(s) from popup list, as EG does.
        self.hide();
        if (!keyword) {
            return true;
        }
        if (!isNaN(code)) {
            switch(code) {
            case KEY.SPACE:
                extra = keyword.lastIndexOf('=') === keyword.length - 1 ? '' : ' ';
                break;
            case KEY.SEMICOLON:
                extra = ';';
                break;
            case KEY.PERIOD:
                extra = '.';
                break;
            case KEY.EQUAL:
                //extra = '=';
                if (keyword.lastIndexOf('=') !== keyword.length - 1) {
                    return true;
                }
                break;
            }
        }
        committed = true;
        if (!needPrefix) {
            prf = '';
            needPrefix = true;
        }
        keyword = keyword.replace(/(&lt;|&gt;)/g,function(word) {
            return word==='&lt;'? '<' : '>';
        });
        if (currentZone === ZONE_TYPE.COLOR) {
            keyword = keyword.substring(0, keyword.indexOf('='));
        }
        keyword = _manageKeywordCase(keyword, prf);
        if (currentZone === ZONE_TYPE.MACRO_VAR) keyword = '&' + keyword;
        if (prf.length > 0 && keyword.search(new RegExp(prf, 'i')) === 0) {
            _insert(keyword.substring(prf.length) + extra);
            return false;
        }
        _insert(keyword + extra, prf.length);
        return false;
    }

    function _move (code) {
        var step;
        switch (code) {
        case KEY.UP:
            step = -1;
            break;
        case KEY.DOWN:
            step = 1;
            break;
        case KEY.PAGE_UP:
            step = -2;
            break;
        case KEY.PAGE_DOWN:
            step = 2;
            break;
        case KEY.HOME:
            step = -3;
            break;
        case KEY.END:
            step = 3;
            break;
        }
        //e.consumed = true;
        popup.move(step);
        return false;
    }

    function _switchList (index) {
        currentList = index;
        currentZone = activedList[currentList].zone;
        _loadAutoCompleteItems(currentZone);
    }

    function _previousList () {
        var target = currentList - 1;
        if (target < 0) target = activedList.length - 1;
        _switchList(target);
    }

    function _nextList () {
        var target = currentList + 1;
        if (activedList.length === 1) return;
        if (target === activedList.length) target = 0;
        _switchList(target);
    }

    function _calculatePrefix (line, column) {
        var textBeforeCaret = model.getLine(line).substring(0, column),
            lastWorldStart = textBeforeCaret.search(/[%&](\w|[^\x00-\xff])*$|(\w|[^\x00-\xff])+$/);
        return (lastWorldStart === -1) ? '' : textBeforeCaret.substring(lastWorldStart);
    }

    function _checkForCompletion (pfx, range, text) {
        //Same line, and input only one charactor
        var r = false, line, tagsets = 'TAGSETS', tmpPrefix;
        libref = null;
        if (committed && text.match(/[ =]$/gi)) {
            r = true;
        } else if (!committed && range.start.line === range.end.line && range.start.column === range.end.column - 1) {
            if (pfx.length >= settings.autoCompletePrefixLength()) {
                r = true;
            } else if (text === ' ') {
                line = model.getLine(range.start.line);
                if (line.substring(line.lastIndexOf(';', range.start.column) + 1, range.start.column).search(/\S/) > -1) {
                    r = true;

                    var zone = _getZone(range.end.line, range.end.column, pfx);
                    if (zone === ZONE_TYPE.DATA_STEP_STMT_OPT) {
                        var stmtName = _cleanUpKeyword(czMgr.getStmtName());
                        if (stmtName === 'SET') {
                            if (line.substring(line.toUpperCase().indexOf('SET') + 3, range.start.column).search(/\S/) === -1) {
                                firstOptForSET = true; // dataset
                            } else {
                                firstOptForSET = false;
                            }
                        }
                    }
                }
            } else if (text === '.') {
                line = model.getLine(range.start.line);
                if (range.start.column >= tagsets.length) {
                    tmpPrefix = line.substring(range.start.column - tagsets.length, range.start.column).toUpperCase();
                    if (tmpPrefix === tagsets) {
                        r = true;
                    }
                }
                if (!r) {
                    var zone = _getZone(range.end.line, range.end.column, pfx);
                    if (zone === ZONE_TYPE.PROC_OPT_VALUE || zone === ZONE_TYPE.PROC_STMT_OPT_VALUE || zone === ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE
                        || (zone === ZONE_TYPE.DATA_STEP_STMT_OPT && _cleanUpKeyword(czMgr.getStmtName()) === 'SET')) {
                        _findLibRef(range.end);
                        if (libref) { // potential dataset completion
                            r = true;
                        }
                    }
                }
            } else if (text.match(/^[=\(\[]$/)) {
                r = true;
                var zone = _getZone(range.end.line, range.end.column, pfx);
                if ((zone === ZONE_TYPE.PROC_STMT || zone === ZONE_TYPE.GBL_STMT || zone === ZONE_TYPE.DATA_STEP_STMT || zone === ZONE_TYPE.MACRO_STMT || zone === ZONE_TYPE.ODS_STMT)
                && (needPrefix && (!pfx || pfx.length === 0))) {
                        r = false;
                }
            }
        }
        committed = false;
        return r;
    }

    function _findLibRef(pos) {
        var syntax = langServ.getSyntax(pos.line),
            count = syntax.length, end;
        for (var i = count - 1; i > 0; i--) {
            if (syntax[i].start < pos.column) {
                var line = model.getLine(pos.line);
                if (!syntax[i+1]) {
                    end = line.length - 1;
                } else {
                    end = syntax[i + 1].start - 1;
                }
                if (syntax[i].style === "format") { // data=<libref>.
                    libref = line.slice(syntax[i].start, end);
                } else { // data=<libref>.|...
                    var dotIndex = line.slice(syntax[i].start, end).indexOf('.');
                    if (dotIndex > 0 && syntax[i].start + dotIndex < pos.column) {
                        libref = line.slice(syntax[i].start, syntax[i].start + dotIndex);
                    }
                }
                break;
            }
        }
    }

    function _getZone (line, column, prefix) {
        var zone = czMgr.getCurrentZone(line, column);// zoneManager.getCurrentZone(line, column);
        return (!!prefix && prefix.StartsWith('&') && zone != ZONE_TYPE.COMMENT && zone != ZONE_TYPE.DATALINES) ? ZONE_TYPE.MACRO_VAR : zone;
    }

    function _setCurrentZone (zone) {
        currentZone = zone;
        activedList = [LIST_MAP[currentZone]];
    }

    function _distinctList(list) {
        var newList = [], obj = {};
        for (var i = 0; i < list.length; i++) {
            var item = list[i].toUpperCase();
            if (!obj[item]) {
                newList.push(list[i]);
                obj[item] = true;
            }
        }
        return newList;
    }
    function _notify(cb, data) {
        window.setTimeout(function(){
            cb(data);
        }, 100);
    }
    function _notifyOptValue(cb, data) {
        if (data) {
            if(data.type.indexOf('C') !== -1) {
                _setCurrentZone(ZONE_TYPE.COLOR);
            } else if(data.type.indexOf('DV') !== -1) {
                _setCurrentZone(ZONE_TYPE.LIB);
                if (libref) {
                    libref = libref.toUpperCase();
                    for (var i = 0; i < data.values.length; i++) {
                        if (libref === data.values[i].name.toUpperCase()) {
                            loader.getDataSetNames(data.values[i].id, cb);
                            break;
                        }
                    }
                } else {
                    _getDatasetNames();
                    cb(data.values.concat(datasetList));
                }
                return;
            } else if (data.type.indexOf('DV') === -1 && libref) { // wrong guess, should not popup
                return;
            }
            cb(data.values);
        } else {
            cb(null);
        }
    }
    function _cleanUpODSStmts(oldStmts) {
        var stmts = [];
        if (oldStmts) {
            oldStmts.forEach(function(item){
                if (item.indexOf('ODS ') !== -1){
                    stmts.push(item.replace('ODS ', ''));
                }
            });
        }
        return stmts;
    }
    function _cleanUpODSStmtName(name) {
        name = name.replace(/(ODS\s*)/gi,'');
        if (name.indexOf('TAGSETS.') !== -1 && name.indexOf('TAGSETS.RTF') === -1) {
            name = name.replace('TAGSETS.','');
            if (tagsets[name]) {
                name = 'MARKUP';
            }
        }
        return 'ODS ' + name;
    }
    function _cleanUpStmtOpts(data) {
        var stmtName = czMgr.getStmtName();
        if (stmtName === 'LIBNAME') {
            data = _distinctList(data);
        }
        return data;
    }
    function _loadAutoCompleteItems (zone) {
        var cb = _onLoadCompleted, stmtName = _cleanUpKeyword(czMgr.getStmtName()),
            optName = _cleanUpKeyword(czMgr.getOptionName()),
            procName = _cleanUpKeyword(czMgr.getProcName());
        popupContext.procName = procName;
        popupContext.stmtName = stmtName;
        popupContext.optName = optName;
        switch (zone) {
            case ZONE_TYPE.PROC_DEF:
                loader.getProcedures(cb);
                break;
            case ZONE_TYPE.PROC_OPT:
                loader.getProcedureOptions(procName, cb);
                break;
            case ZONE_TYPE.PROC_OPT_VALUE:
                loader.getProcedureOptionValues(procName, optName+"=",
                        function(data) {
                    _notifyOptValue(cb, data);
                });
                break;
            case ZONE_TYPE.PROC_STMT:
                loader.getProcedureStatements(procName, function(data){
                    if(procName === 'ODS') {
                        cb(_cleanUpODSStmts(data));
                    } else {
                        cb(data);
                    }
                });
                break;
            case ZONE_TYPE.PROC_STMT_OPT:
                if (procName === 'ODS') {
                    stmtName = 'ODS ' + stmtName;
                }
                loader.getProcedureStatementOptions(procName, stmtName, function(data){
                    cb(_cleanUpStmtOpts(data));
                });
                break;
            case ZONE_TYPE.PROC_STMT_OPT_VALUE:
                if (procName === 'ODS') {
                    stmtName = 'ODS ' + stmtName;
                }
                loader.getProcedureStatementOptionValues(procName,
                        stmtName, optName,function(data){
                    _notifyOptValue(cb, data);
                });
                break;
            case ZONE_TYPE.STYLE_ELEMENT:
                loader.getStyleElements(cb);
                break;
            case ZONE_TYPE.STYLE_ATTR:
                loader.getStyleAttributes(cb);
                break;
            case ZONE_TYPE.STYLE_LOC:
                loader.getStyleLocations(cb);
                break;
            case ZONE_TYPE.DATA_STEP_STMT:
                loader.getDSStatements(function(dsStmts){
                    loader.getProcedureStatements('DATA', function(data){
                        cb(_distinctList(dsStmts.concat(data)));
                    });
                });
            break;
            case ZONE_TYPE.DATA_STEP_DEF_OPT:
            //case ZONE_TYPE.VIEW_OR_DATA_SET_NAME:
                _notify(cb,['_NULL_','VIEW=', 'PGM=']);
                break;
            case ZONE_TYPE.DATA_SET_OPT_NAME:
                loader.getDSOptions(cb);
                break;
            case ZONE_TYPE.DATA_SET_OPT_VALUE:
                loader.getDataSetOptionValues(optName, function(data) {
                    cb(data?data.values:null);
                });
                break;
            case ZONE_TYPE.DATA_STEP_OPT_NAME:
                _notify(cb,['DEBUG','NESTING', 'STACK=','VIEW=','SOURCE=','NOLIST','PGM=']);
                break;
            case ZONE_TYPE.VIEW_OR_PGM_OPT_NAME:
                _notify(cb,['ALTER=','READ=', 'PW=','SOURCE=']);
                break;
            case ZONE_TYPE.VIEW_OR_PGM_OPT_VALUE:
            case ZONE_TYPE.DATA_STEP_OPT_VALUE:
                if (optName === 'SOURCE') {
                    _notify(cb,['SAVE','ENCRYPT', 'NOSAVE']);
                }
                break;
            case ZONE_TYPE.VIEW_OR_PGM_SUB_OPT_NAME:
                _notify(cb,['NOLIST']);
                break;
            case ZONE_TYPE.OPT_NAME:
                break;
            case ZONE_TYPE.OPT_VALUE:
                break;
            case ZONE_TYPE.DATA_STEP_STMT_OPT:
                if (stmtName === 'SET') {
                    if (firstOptForSET || libref) {
                        loader.getLibraryList(function(data){
                            if (data.values.length === 0) { // no service
                                _notify(function(data){
                                    _notifyOptValue(cb, data);
                                }, data);
                            } else {
                                _notifyOptValue(cb, data);
                            }
                        }, 'DV');
                    } else {
                        _notify(cb,['END=','KEY=','INDSNAME=','NOBS=','OPEN=','POINT=']);
                    }
                } else {
                    loader.getStatementOptions(stmtName, function(data){
                        if(!data) {
                            loader.getProcedureStatementOptions('DATA', stmtName, cb);
                        } else {
                            cb(_cleanUpStmtOpts(data));
                        }
                    });
                }
                break;
            case ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE:
                if (stmtName === 'SET' && optName === 'OPEN') {
                    _notify(cb,['IMMEDIATE','DEFER']);
                } else {
                    loader.getProcedureStatementOptionValues('DATA', stmtName, optName, function(data){
                        if (data) {
                            _notifyOptValue(cb, data);
                        } else {
                            loader.getStatementOptionValues(stmtName, optName, function(data){
                                _notifyOptValue(cb, data);
                            });
                        }
                    });
                }
                break;
            case ZONE_TYPE.MACRO_STMT:
                loader.getMacroStatements(function(macroStmts){
                    loader.getARMMacros(function(armMacros){
                        if (macroDefList) macroStmts = macroStmts.concat(macroDefList);
                        cb(_distinctList(armMacros.concat(macroStmts)));
                    });
                });
                _getMacroDef();
                break;
            case ZONE_TYPE.MACRO_DEF:
                loader.getMacroDefinitions(cb);
                break;
            case ZONE_TYPE.MACRO_DEF_OPT:
                loader.getProcedureOptions('MACRO', cb);
                break;
            case ZONE_TYPE.MACRO_STMT_OPT:
                loader.getProcedureStatementOptions('MACRO', stmtName, cb);
                break;
            case ZONE_TYPE.MACRO_STMT_OPT_VALUE:
                loader.getProcedureStatementOptionValues('MACRO', stmtName, optName, function(data){
                    _notifyOptValue(cb, data);
                });
                break;
            case ZONE_TYPE.CALL_ROUTINE:
                loader.getCallRoutines(cb);
                break;
            case ZONE_TYPE.GBL_STMT:
                if (prefix.StartsWith('%')) {
                    _setCurrentZone(ZONE_TYPE.MACRO_STMT);
                    loader.getMacroStatements(cb);
                } else {
                    loader.getGlobalStatements(cb);
                }
                break;
            case ZONE_TYPE.GBL_STMT_OPT:
                loader.getStatementOptions(stmtName, function(data){
                    cb(_cleanUpStmtOpts(data));
                });
                break;
            case ZONE_TYPE.GBL_STMT_OPT_VALUE:
                loader.getStatementOptionValues(stmtName, optName,
                        function(data){
                    _notifyOptValue(cb, data);
                });
                break;
            case ZONE_TYPE.COLOR:
                loader.getSasColors(cb);
                break;
            case ZONE_TYPE.DATA_SET_NAME:
                //TODO:
                break;
            case ZONE_TYPE.FORMAT:
                loader.getFormats(cb);
                break;
            case ZONE_TYPE.INFORMAT:
                loader.getInformats(cb);
                break;
            case ZONE_TYPE.TAGSETS_NAME:
                loader.getODSTagsets(cb);
                break;
            case ZONE_TYPE.ODS_STMT:
                loader.getProcedureStatements('ODS', function(data){
                    cb(_cleanUpODSStmts(data));
                });
                break;
            case ZONE_TYPE.ODS_STMT_OPT:
                loader.getProcedureStatementOptions('ODS', _cleanUpODSStmtName(stmtName), cb);
                break;
            case ZONE_TYPE.ODS_STMT_OPT_VALUE:
                loader.getProcedureStatementOptionValues('ODS', _cleanUpODSStmtName(stmtName), optName, function(data){
                    _notifyOptValue(cb, data);
                });
                break;
            case ZONE_TYPE.LIB:
                //TODO:
                break;
            case ZONE_TYPE.MACRO_FUNC:
                loader.getMacroFunctions(cb);
                break;
            case ZONE_TYPE.SAS_FUNC:
                loader.getFunctions(cb);
                break;
            case ZONE_TYPE.STAT_KW:
                loader.getStatisticsKeywords(cb);
                break;
            case ZONE_TYPE.AUTO_MACRO_VAR:
                loader.getAutoVariables(cb);
                break;
            case ZONE_TYPE.MACRO_VAR:
                loader.getAutoVariables(function(autoVar) {
                    if (macroVarList) autoVar = _distinctList(autoVar.concat(macroVarList));
                    cb(autoVar);
                });
                _getMacroVar();
                break;
            default:
                return false;
        }
        return true;
    }
    function _loadHelp (context) {
        var keyword = _cleanUpKeyword(context.keyword), help = null,
            zone = context.zone, cb = context.cb, type = context.type;

        switch (zone) {
        case ZONE_TYPE.PROC_DEF:
            help = loader.getProcedureHelp(keyword, cb);
            break;
        case ZONE_TYPE.PROC_OPT:
            help = loader.getProcedureOptionHelp(context.procName, keyword, cb);
            break;
        case ZONE_TYPE.PROC_OPT_VALUE:
            help = loader.getProcedureOptionValueHelp(context.procName, context.optName, keyword, cb);
            break;
        case ZONE_TYPE.PROC_STMT:
            if (type === 'hint') keyword = _cleanUpKeyword(context.stmtName);//not use the real parameter value for hint
            if (context.procName === 'ODS') {
                keyword = 'ODS ' + keyword;
            }
            help = loader.getProcedureStatementHelp(context.procName, keyword, cb);
            break;
        case ZONE_TYPE.PROC_STMT_OPT:
            context.stmtName = _cleanUpKeyword(context.stmtName);
            if (context.procName === 'ODS') {
                context.stmtName = 'ODS ' + context.stmtName;
            }
            help = loader.getProcedureStatementOptionHelp(context.procName, context.stmtName, keyword, cb);
            break;
        case ZONE_TYPE.PROC_STMT_OPT_VALUE:
            if (context.procName === 'ODS') {
                context.stmtName = 'ODS ' + context.stmtName;
            }
            help = loader.getProcedureStatementOptionValueHelp(context.procName, context.stmtName, context.optName, keyword, cb);
            break;
        case ZONE_TYPE.GBL_STMT_OPT:
            help = loader.getStatementOptionHelp(_cleanUpKeyword(context.stmtName), keyword, cb);
            break;
        case ZONE_TYPE.GBL_STMT_OPT_VALUE:
            help = loader.getStatementOptionValueHelp(context.stmtName, context.optName, keyword, cb);
            break;
        case ZONE_TYPE.DATA_STEP_STMT:
            help = loader.getKeywordHelp(keyword, undefined, KW_MAP[zone]); // always sync
            if (help) {
                _notify(cb, help);
            } else {
                help = loader.getProcedureStatementHelp('DATA', keyword, cb);
            }
            break;
        case ZONE_TYPE.DATA_STEP_STMT_OPT:
            //optName = context.optName;
            if (context.stmtName === 'SET') {
                help = loader.getDataStepOptionHelp(keyword, cb, 'datastep-option');
            } else {
                help = loader.getProcedureStatementOptionHelp('DATA', context.stmtName, keyword); // always sync
                if (help) {
                    _notify(cb, help);
                } else {
                    help = loader.getStatementOptionHelp(context.stmtName, keyword, cb);
                }
            }
            break;
        case ZONE_TYPE.DATA_STEP_STMT_OPT_VALUE:
            if (context.stmtName === 'SET') {
                help = loader.getDataStepOptionValueHelp(context.optName, keyword, cb);
            } else {
                help = loader.getProcedureStatementOptionValueHelp('DATA', context.stmtName, context.optName, keyword); // sync
                if (!help) {
                    help = loader.getStatementOptionValueHelp(context.stmtName, context.optName, keyword, cb);
                } else {
                    _notify(cb, help);
                }
            }
            break;
        case ZONE_TYPE.DATA_SET_OPT_VALUE:
            help = loader.getDataSetOptionValueHelp(context.optName, keyword, cb);
            break;
        case ZONE_TYPE.DATA_STEP_DEF_OPT:
        case ZONE_TYPE.VIEW_OR_PGM_OPT_NAME:
            help = loader.getDataStepOptionHelp(keyword, cb, 'datastep-option2');
            break;
        case ZONE_TYPE.DATA_STEP_OPT_NAME:
            help = loader.getDataStepOptionHelp(keyword, cb, 'datastep-option');
            break;
        case ZONE_TYPE.DATA_STEP_OPT_VALUE:
        case ZONE_TYPE.VIEW_OR_PGM_OPT_VALUE:
            help = loader.getDataStepOptionValueHelp(context.optName, keyword, cb);
            break;
        case ZONE_TYPE.MACRO_DEF_OPT:
            help = loader.getProcedureOptionHelp('MACRO', keyword, cb);
            break;
        case ZONE_TYPE.MACRO_STMT_OPT:
            help = loader.getProcedureStatementOptionHelp('MACRO', context.stmtName, keyword, cb);
            break;
        case ZONE_TYPE.MACRO_STMT_OPT_VALUE:
            help = loader.getProcedureStatementOptionValueHelp('MACRO', context.stmtName, context.optName, keyword, cb);
            break;
        case ZONE_TYPE.ODS_STMT:
            keyword = _cleanUpODSStmtName(keyword);
            if (keyword === 'ODS MARKUP') {
                preparingHelper = name; //TODO: this is not very good!
            }
            help = loader.getProcedureStatementHelp('ODS', keyword, cb);
            break;
        case ZONE_TYPE.ODS_STMT_OPT:
            var stmtName = _cleanUpODSStmtName(context.stmtName);
            help = loader.getProcedureStatementOptionHelp('ODS', stmtName, keyword, cb);
            //stmtName = context.stmtName.replace('TAGSETS.','');
            //loader.getProcedureStatementOptionHelp('ODS', stmtName, keyword, cb);
            break;
        case ZONE_TYPE.ODS_STMT_OPT_VALUE:
            var stmtName = _cleanUpODSStmtName(context.stmtName);
            help = loader.getProcedureStatementOptionValueHelp('ODS', stmtName, context.optName, keyword, cb);
            break;
        default: {
            if (KW_MAP[zone] === undefined){
                if (cb) {
                    _notify(cb, null);
                }
            } else {
                help = loader.getKeywordHelp(keyword, cb, KW_MAP[zone]);
            }
        }
        }
        return help;
    }

    function _getHelp (keyword, zone, type) {
        var cb = _onTooltipLoadCompleted, context = popupContext;
        if (type === 'hint') {
            hintContext.procName = czMgr.getProcName();
            hintContext.stmtName = czMgr.getStmtName();
            hintContext.optName = czMgr.getOptionName();
            cb = _onHintLoadComplete;
            context = hintContext;
        }
        context.keyword = keyword;
        context.zone = zone;
        context.type = type;
        context.cb = cb;

        _loadHelp(context);
    }

    function _addLinkContext (zone, content, type) {
        var context = popupContext, contextText, linkTail, keyword, productDocumentation, sasNote, papers,tmpHintInfo, help, alias = '';
        keyword = _cleanUpKeyword(content.key).toUpperCase();
        tmpHintInfo = {
                text: keyword,
                line: pos?pos.line:hintInfo.line,
                column: pos?pos.column:hintInfo.column
            };
        if (type === 'hint') {
            hintContext.procName = czMgr.getProcName();
            hintContext.stmtName = czMgr.getStmtName();
            hintContext.optName = czMgr.getOptionName();
            context = hintContext;
        }
        switch (zone) {
        case ZONE_TYPE.GBL_STMT:
            contextText = resourceBundle.global_statement;
            linkTail = '%22' + keyword + '+STATEMENT%22';
            break;
        case ZONE_TYPE.GBL_STMT_OPT:
            contextText = resourceBundle.statement.replace('${0}', context.stmtName);
            linkTail = '%22SYSTEM+' + context.stmtName.toUpperCase() +'%22+'+ keyword;
            break;
        case ZONE_TYPE.GBL_STMT_OPT_VALUE:
            contextText = resourceBundle.option.replace('${0}', context.optName + '=');
            linkTail = '%22SYSTEM+' + context.stmtName +'%22+'+ context.optName + '= ' + keyword;
            break;
        case ZONE_TYPE.PROC_DEF:
            contextText = resourceBundle.procedure_definition;
            linkTail = '%22PROC ' + keyword + '%22';
            break;
        case ZONE_TYPE.PROC_OPT:
        case ZONE_TYPE.PROC_STMT:
            if (content.isGlobal) {
                contextText = resourceBundle.global_statement;
                linkTail = '%22' + keyword + '+STATEMENT%22';
            } else {
                contextText = resourceBundle.proc.replace('${0}', czMgr.getProcName());
                linkTail = 'PROC+' + context.procName + '+' + keyword;
            }
            break;
        case ZONE_TYPE.PROC_OPT_VALUE:
            contextText = resourceBundle.proc.replace('${0}', context.procName) + ', ' + resourceBundle.option.replace('${0}', context.optName + '=');
            linkTail = '%22PROC+' + context.procName +'%22+%22' + context.optName + '= ' +keyword+'%22';
            break;
        case ZONE_TYPE.PROC_STMT_OPT:
            if (content.isGlobal) {
                contextText = resourceBundle.statement.replace('${0}', context.stmtName);
                linkTail = '%22' + context.stmtName + '+STATEMENT%22';
            } else {
                contextText = resourceBundle.proc.replace('${0}', context.procName) + ', ' + resourceBundle.statement.replace('${0}', context.stmtName);
                linkTail = '%22PROC+' + context.procName + '%22+%22' + context.stmtName + '+STATEMENT%22+' + keyword;
            }
            break;
        case ZONE_TYPE.PROC_STMT_OPT_VALUE:
            if (content.isGlobal) {
                contextText = resourceBundle.global_statement + ', ' + resourceBundle.option.replace('${0}', context.optName + '=');
                linkTail = '%22SYSTEM+' + context.stmtName +'%22+'+ context.optName + '= ' + keyword;
            } else {
                contextText = resourceBundle.proc.replace('${0}', context.procName) + ', ' + resourceBundle.statement.replace('${0}', context.stmtName) + ', ' + resourceBundle.option.replace('${0}', context.optName + '=');
                linkTail = 'PROC+' + context.procName + '+' + context.stmtName + '+STATEMENT+' + context.optName + '= ' + keyword;
            }
            break;
        case ZONE_TYPE.DATA_STEP_STMT:
            contextText = resourceBundle.data_step;
            linkTail = "%22DATA+STEP%22+%22" + keyword + '+' + 'STATEMENT%22';
            break;
        case ZONE_TYPE.DATA_STEP_OPT_NAME:
        case ZONE_TYPE.DATA_STEP_DEF_OPT:
            contextText = resourceBundle.data_step;
            linkTail = "%22DATA STATEMENT%22 " + _getOptionName(tmpHintInfo);
            break;
        case ZONE_TYPE.DATA_STEP_OPT_VALUE:
            contextText = resourceBundle.data_step_option_value;
            linkTail = "%22DATA STATEMENT%22 " + context.optName + '= ' + keyword;
            break;
        case ZONE_TYPE.VIEW_OR_PGM_OPT_NAME:
            contextText = resourceBundle.data_step;
            linkTail = "%22DATA STEP PASSWORD= OPTION%22 " + _getOptionName(tmpHintInfo);
        break;
        case ZONE_TYPE.VIEW_OR_PGM_OPT_VALUE:
            contextText = resourceBundle.data_step;
            linkTail = "%22DATA STEP PASSWORD= OPTION%22 " + context.optName + "= " + keyword;
        break;
        // case ZONE_TYPE.VIEW_OR_PGM_SUB_OPT_NAME:
            // contextText = 'DATA STEP VIEW PGM SUB OPTION NAME';
            // var nameParts = _getContextMain(zone, _cleanUpKeyword(_getOptionName(tmpHintInfo))).split(' ');
            // linkTail = "%22DATA STEP%22" + "%OPTIONS%22"+"%22" + nameParts[0] + "%22";
            // break;
        case ZONE_TYPE.DATA_SET_OPT_NAME:
            contextText = resourceBundle.data_set_option;
            linkTail = "%22DATA SET OPTIONS%22 " + _getOptionName(tmpHintInfo);
            break;
        case ZONE_TYPE.DATA_SET_OPT_VALUE:
            contextText = resourceBundle.data_set_option_value;
            linkTail = "%22DATA SET OPTIONS%22 " + context.optName + '= '+ keyword;
            break;
        case ZONE_TYPE.MACRO_DEF:
            contextText = resourceBundle.macro_definition;
            break;
        case ZONE_TYPE.MACRO_STMT:
            contextText = resourceBundle.macro_statement;
            linkTail = '%22' + keyword.replace('%','') + '+STATEMENT%22';
            break;
        case ZONE_TYPE.MACRO_DEF_OPT:
            contextText = resourceBundle.macro_definition_option;
            linkTail = '%22' +context.stmtName.toUpperCase().replace('%','') + ' ' + keyword.replace('%','') + '%22';
            break;
        case ZONE_TYPE.MACRO_STMT_OPT:
            contextText = resourceBundle.macro_statement_option;
            linkTail = '%22' +context.stmtName.toUpperCase().replace('%','') + ' ' + keyword.replace('%','') + '%22';
            break;
        case ZONE_TYPE.ODS_STMT:
            contextText = resourceBundle.ods;
            linkTail = keyword;
            break;
        case ZONE_TYPE.ODS_STMT_OPT:
            contextText = _cleanUpODSStmtName(context.stmtName);
            linkTail = contextText + '+' +keyword;
            contextText = resourceBundle.statement.replace('${0}', contextText);
            break;
        case ZONE_TYPE.ODS_STMT_OPT_VALUE:
            contextText = _cleanUpODSStmtName(context.stmtName);
            linkTail = contextText + '+' +context.optName + '= ' +keyword;
            contextText = resourceBundle.statement.replace('${0}', contextText) + ', ' + resourceBundle.option.replace('${0}', context.optName + '=');
            break;
        case ZONE_TYPE.TAGSETS_NAME:
            contextText = resourceBundle.ods_markup;
            linkTail = 'ODS ' + keyword;
            break;
        case ZONE_TYPE.CALL_ROUTINE:
            contextText = resourceBundle.call_routine;
            break;
        case ZONE_TYPE.STYLE_LOC:
            contextText = resourceBundle.style_option;
            linkTail = 'STYLE%28' +keyword+'%29%22';
            break;
        case ZONE_TYPE.STYLE_ELEMENT:
            contextText = resourceBundle.style_option;
            linkTail = 'STYLE ' +keyword;
            break;
        case ZONE_TYPE.STYLE_ATTR:
            contextText = resourceBundle.style_option;
            linkTail = 'STYLE ' +keyword;
            break;
        // case ZONE_TYPE.MACRO_STMT:
            // contextText = 'MACRO STATEMENT';
            // linkTail = '%22' + keyword + '+STATEMENT%22';
            // break;
        default:
            contextText = '';//zone;
            linkTail = keyword.replace('%','');
        }
        keyword = "<a href = \'http://www.google.com/search?hl=" + dojoConfig.locale + "&q=site%3Asupport.sas.com+" + linkTail + "\' target = \'_blank\'>" + _cleanUpKeyword(content.key.toUpperCase()) + "</a>";
        productDocumentation = "<a href = \'http://support.sas.com/dsearch?ct=5210&qt=" + linkTail + "\' target = \'_blank\'>" + resourceBundle.product_documentation +"</a>";
        sasNote = "<a href = \'http://support.sas.com//kb/?Find=Search&ct=51000&qt=" + linkTail + "\' target = \'_blank\'>" + resourceBundle.samples_and_sas_notes + "</a>";
        papers = "<a href = \'http://support.sas.com/dsearch?ct=5240&qt=" + linkTail + "\' target = \'_blank\'>" + resourceBundle.papers + "</a>";
        contextText = contextText.toUpperCase();
        if (contextText === '') {
            contextText = '<br/>';
        } else {
            contextText = '<b>' + resourceBundle.context + ': [' + contextText + '] ' + _getContextMain(zone, _cleanUpKeyword(_getOptionName(tmpHintInfo))) + '</b>\n<br />';
        }
        if (content.alias && content.alias.length) {
            alias = resourceBundle.alias + ': ' + content.alias.join(', ') + '<br/>';
        }
        help = content.data ? content.data.replace(/\</g,"&lt;"): '&lt;no help>';
        return resourceBundle.keyword + ':  ' + keyword + '\n' +
               alias +
               contextText +
               help + '\n<br />' +
               resourceBundle.search + ':   ' + productDocumentation + '     ' + sasNote + '     ' + papers;
    }

    //function _onKeyUp (e) {
    //    var r = true;
    //    if (self.isDisplayed()) {
    //        if (e.keyCode === KEY.ARROW_LEFT || e.keyCode === KEY.ARROW_RIGHT) {
    //            _onCaretMoved(e);
    //        }
    //    }else if (hint.isDisplayed()) {
    //        hint.hide();
    //    }
    //    return r;
    //}

    function _onMouseDown (e) {
        if (SAS.Browser.msie() && (hint.isDisplayed() || popup.isFocused())) {
            view.focus(); //S1160091, S1252502
        }
        self.hideAll();
    }

    //Init
    view.addEventListener('KeyDown', _onKeyDownFromOrion);
    //view.addEventListener('KeyUp', _onKeyUpFromOrion);
    view.addEventListener('Scroll', _onMouseDown);
    view.addEventListener('MouseDown', _onMouseDown);
    view.addEventListener('Selection', _onCaretMoved);
    jQuery(view._clientDiv)
        .on('focusout', function () {
            if (popup.isDisplayed()) {
                if (!popup.isFocused()) {
                    self.hide();
                    if(SAS.Browser.msafari()){
                        self.hide();
                    }
                }
            }
            if(hint.isDisplayed()) {
                if(SAS.Browser.ipad() && hint.canHide()) {
                    hint.hide();
                }
            }
        })
        .on(SAS.Browser.ff() ? 'DOMMouseScroll' : 'mousewheel', function () {
            self.hideAll();
        });
    if (SAS.Browser.mac() && SAS.Browser.ff()) {
        jQuery(view._clientDiv).on('contextmenu', _onContextMenu);
    }

    jQuery(control.core()).on('textChanged', function(e) {
        _onTextChanged(e);
    });

        if(SAS.Browser.msafari()){
            on(document, 'touchend', function(e){
                var className = e.target.className;
                if(popup.isDisplayed() && className.indexOf('sce-ac') === -1 && className.indexOf('sce-it') === -1 && className.indexOf('sce-help') === -1){
                    if (popup.canHide()) {
                        self.hide();
                    }
                }
                if(hint.isDisplayed() && className.indexOf('sce-ac') === -1 && className.indexOf('sce-it') === -1 && className.indexOf('sce-help') === -1){
                    if (hint.canHide()) {
                        hint.hide();
                    }
                }
            });
        } else {
            var _isMouseOnHint = function(x,y) {
                var pos = hint.getPosition();
                return (x>=pos.left && x<=pos.left+pos.width && y>=pos.top && y<=pos.top+pos.height);
            };
            on(document, 'mousemove', function(e) {
                if(hint.isDisplayed() && !hint.isFocused() && e.target.parentNode.parentNode !== view._clientDiv && !_isMouseOnHint(e.pageX, e.pageY) && hint.canHide()) {
                    hint.hide();
                }
            });
        }
        popup.setOnItemSelectedListener(function(){
            _prepareHelper(popup.getCurrentKeyword(), currentZone, 'tooltip');
        });
        popup.setOnDbClickListener(_commit);
        popup.setOnCommitedListener(_commit);
        popup.setOnDismissListener(self.hide);
        popup.setNavigatorListener({
            previous: _previousList,
            next: _nextList
        });
        popup.getTooltip().setOnDismissListener(function () {
            preparingHelper = false;
        });
        popup.setOnKeyDownListener(_onKeyDown);
  //  });

};
return SAS.AutoCompleter;
});