define(['dojo/dom', 'dojo/on', 'dojo/_base/lang', 'dojo/_base/connect', 'dojo/dom-construct', 'dojo/dom-style', 'dojo/dom-class', 'dojo/_base/window', 'dojo/dom-attr', 'dojo/dom-geometry', 'dojo/query'],
function (dom, on, lang, connect, domConstruct, domStyle, domClass, win, domAttr, domGeo, query) {
SAS = window.SAS || {};
SAS.EditorView = function (id, model) {
    var self = this,
        frm = dom.byId(id),
        textarea,taCalWid=0,
        mateTextarea,
        mateTextSample = '1\n2\n3\n4\n5\n6\n7\n8\n9\n0\na\nb\nc\nd\ne\nf\ng\nh\ni\nj\nk\nl\nm\nn\no\np\nq\nr\ns\nt\nu\nv\nw\nx\ny\nz\nA\nB\nC\nD\nE\nF\nG\nH\nI\nJ\nK\nL\nM\nN\nO\nP\nQ\nR\nS\nT\nU\nV\nW\nX\nY\nZ',
        mateTextLineCount = 62,
        mateLineNbr,
        mateText,
        viewCont,
        sidebarCont,sidebar,
        renderCont,pre,
        findCont,
        selectionBgCont,
        selectionFgCont,
        imeWrapper,
        focusLine,isFocus=false,
        blockMarkCont,
        cursor,cursorLine=0,cursorCol=0,cursorState=true,
        listeners = {},
        viewInfo = {},
        oldViewInfo = {startLine:0,endLine:0,leftOffset:0,topOffset:0},
        currLine=null,
        lastTextWid=0,
        cursorTimer=null,
        syntaxService = model.getLanguageService(),
        settings = SAS.Settings.getInstance(),
        lineNbrEnabled = settings.lineNumber(),
        highlightingEnabled = settings.syntaxHighlighting(),
        theFound = [],
        lineCal=0,
        prompt=null,
        updateRange = {start:0, end:0},
        textCache = {}, textCacheSize = 0,
        lineHeightCache = {}, lineTopCache = {}, resetCache = true,
        sidebarWid = 0, maxLineCount = -1,
        validRange = {startLine:0, startColumn:0, endLine:0, endColumn:0, startOffset:0, endOffset:0},
        selectedRange = validRange,
        scrollContext = null,
        KEY = SAS.Utils.KEY,
        isDBCSProcessMode = false,
        slider = null, _updateSlider = function() {} //only for ipad
        ;
     
    // private functions
    // event handlers
    function _onTextChanging (e) {
        //console.log('_onTextChanging');
    }
    function _onTextChanged1 (e) {
        updateRange.start = (e.oldRange.start.line > e.newRange.start.line)?e.newRange.start.line:e.oldRange.start.line,
        updateRange.end = (e.oldRange.end.line > e.newRange.end.line)?e.oldRange.end.line:e.newRange.end.line;
        //console.log('_onTextChanged1');
        if (!isDBCSProcessMode && (SAS.Browser.chrome() || SAS.Browser.msie() === 11)) {
            // The algorithm clears cache for each update, so here we comment the below statement. 
            // If we keep cache as long as possible, we may uncomment this and do more other improvement.
            // _resetLineCache(updateRange.start);
            
            if (/[^\x00-\xff]/g.test(e.text)) {
                isDBCSProcessMode = true;
                _startDBCSProcess();
            }
        }
        if (_sidebarWidthChanged()) {
            _syncViewCompsPos();
        }
        _checkPrompt();
        if (settings.syntaxHighlighting() === false) {
            _updateForTextChanged();
        }
    }
    function _onCaretMoved (position) {
        var line = position.line, col = position.column;
        //console.log('_onCaretMoved, line:'+line+',col:'+col+'----------------');
        //_clearFound();
        _scrollTo(line, col);
        if (line === cursorLine && col === cursorCol){ //TODO: this will be improved in the module to send this event.
            return;
        }
        _update(textarea.clientHeight===textarea.scrollHeight?true:false);
        //_updateFocusLine(line);
        _updateCursor(true,line, col);
        if (SAS.Browser.msafari()) {
            _clearSelection();
        }
    }
    function _resetSelectedRange() {
        selectedRange = validRange;
    }
    function _validRange(range) {
        return range.startLine !== range.endLine || range.startColumn !== range.endColumn;
    }
    function _updateWithoutGhosting() {
        var offset = _getOffsetRange(), start, end;
        if (offset.startOffset === offset.endOffset)  {
            return false;
        }
        
        start = model.toTextPosition(offset.startOffset);
        end = model.toTextPosition(offset.endOffset);
        selectedRange = {startLine:start.line, startColumn:start.column, endLine:end.line, endColumn:end.column, startOffset:offset.startOffset, endOffset:offset.endOffset};
        _update(true);
        return true;
    }
    function _onSelected (e) {
        //console.log('_onSelected');
        _clearFound();
        _clearSelection();
        window.setTimeout(function(){ // For 'format code' feature
            _update(true);
            if (e && e.start) {
                _updateCursor(true, e.start.line, e.start.column);
            }
            //_updateFocusLine(cursorLine);//please don't change the update order
        },50);
    }
    function _onScroll (e) {
        _saveScrollContext();
        _update();
        _updateFocusLine(cursorLine);//please don't change the update order
        _updateSlider();
        imeWrapper.style.left = self.getX(cursorLine, cursorCol) + viewInfo.leftOffset + lineCal + 'px';
        //console.log('_onScroll,cursorLine:'+cursorLine+'-------------');
    }
    function _onResize(e) {
        _checkReady();
    }
    function _onFocusIn(e){
        //console.log('_onFocusIn');
        isFocus = true;
        _enableCursor(true);
        if (!SAS.Browser.msafari()) {
            _clearSelection();
        }
        if (_validRange(selectedRange)){
            _update(true);
            _resetSelectedRange();
        }
    }
    function _onFocusOut(e) {
        //console.log('_onFocusOut');
        isFocus = false;
        _saveScrollContext();
        _enableCursor(false);
        _updateWithoutGhosting();
        //_updateSelection();
    }
    function _saveScrollContext() {
        if (SAS.Browser.msie() === 11) {
            scrollContext = {};
            scrollContext.top = textarea.scrollTop;
            scrollContext.left = textarea.scrollLeft;
        }
    }
    function _restoreScrollContext() {
        if (SAS.Browser.msie() === 11 && scrollContext !== null) {
            textarea.scrollTop = scrollContext.top;
            textarea.scrollLeft = scrollContext.left;
        }
    }

    function _onTimeout () {
        //console.log('_onTimeout');
        _updateCursor(cursorState);
        cursorState = !cursorState;
    }
    function _onSettingsChanged(e) {
        if (e.promptText !== undefined && prompt !== null) {
            prompt.innerHTML = e.promptText;
        }
        if (e.fontSize !== undefined) {
            //resetLineInfoCache = true;
            //_resetCache();
            //_syncViewCompsPos();
            //_update(true);
            //_updateFocusLine(cursorLine);
            //_updateSlider();
            _refresh();
        }
        if (e.tabSize !== undefined) {
            _updateTabSize(e.tabSize);
            _refresh();
        }
    }
    function onParsingState (state) {
        //console.log('parsingState:'+state.state);
        if (!settings.syntaxHighlighting()) {
            return; 
        }
        if (state.state === SAS.LanguageService.ParsingState.STARTING) {
            _pauseHighlighting();
        } else if (state.state === SAS.LanguageService.ParsingState.ENDED) {
            _resumeHighlighting();
            _updateForTextChanged();
        }
    }
    function _onKeyDown(e) {
        var cursor;
        if (e.shiftKey === true && e.ctrlKey === false && e.altKey === false) {
            if(e.keyCode === KEY.LEFT) {
                cursor = model.toTextPosition(textarea.selectionStart);
                _clearFound();
                _updateCursor(true, cursor.line, cursor.column);
            } else if(e.keyCode === KEY.RIGHT) {
                cursor = model.toTextPosition(textarea.selectionEnd);
                _clearFound();
                _updateCursor(true, cursor.line, cursor.column);
            }
        }
    }
    function _onCompStart() {
        imeWrapper.style.left = self.getX(cursorLine, cursorCol) + viewInfo.leftOffset + lineCal + 'px';
        imeWrapper.style.top = (cursorLine - viewInfo.startLine) * viewInfo.lineHei + viewInfo.topOffset + 'px';
        domStyle.set(imeWrapper, 'display', 'block');
    }
    function _onCompUpdate(e) {
        if (e.pos) {
            imeWrapper.style.left = self.getX(e.pos.line, e.pos.column) + viewInfo.leftOffset + lineCal + 'px';
        }
        if (!/^\s*$/.test(e.text)) imeWrapper.innerHTML = e.text;
        else imeWrapper.innerHTML = '';
    }
    function _onCompEnd() {
        domStyle.set(imeWrapper, 'display', 'none');
        imeWrapper.innerHTML = '';
    }
    // general
    function _checkPrompt() {
        if (prompt !== null) {
            domConstruct.destroy(prompt);
            prompt = null;
        }
    }
    function _updateForTextChanged() {
        var cursor = null;
        //console.log('_updateForTextChanged');
        //_clearFound();
        //if (SAS.Browser.msafari()) {
            _clearSelection();
        //}
        cursor = model.toTextPosition(textarea.selectionEnd);//(textarea.cursorPos);//(textarea.selectionStart);
        _scrollTo(cursor.line, cursor.column);
        _update(true,updateRange.start, updateRange.end);
        //_updateFocusLine(cursor.line);
        _updateCursor(true,cursor.line,cursor.column);
        _updateSlider();
    }
    function _getTextPositionByPixelCoord(x, y) { // offsetX, 
        var line, col = 0, realX, sumLeft = 0,
            nodes, lineNode, i, width, count;
        line = Math.floor(y / viewInfo.lineHei);
        realX = x - lineCal;
        lineNode = dom.byId(_getLineId(line));
        if (!lineNode) {
            return null;
        }
        nodes = query('span', lineNode);
        for(i = 0; i < nodes.length; i++) {
            width = nodes[i].offsetWidth;
            count = nodes[i].innerHTML.length;
            sumLeft += width;
            if (sumLeft > realX) {
                col += Math.round((realX - sumLeft + width) * count / width);
                break;
            }
            col += count;
        }
        return {line:line,column:col};
    }
    function _pauseHighlighting() {
        domClass.remove(textarea, 'sce-editing');
        //domClass.remove(textarea, 'sce-highContrast');
        domClass.remove(textarea, 'sce-normal');
        domClass.add(textarea, 'sce-editing');
    }
    function _resumeHighlighting() {
        domClass.remove(textarea, 'sce-editing');
        domClass.remove(textarea, 'sce-normal');
        //domClass.remove(textarea, 'sce-highContrast');
        domClass.add(textarea, 'sce-normal');
    }

    function _resetCache () {
        textCache = {};
        textCacheSize = 0;
        sidebarWid = 0;
        maxLineCount = -1;
        lineHeightCache = {};
        lineTopCache = {};
    }
    function _isCursor() {
        return (textarea.selectionStart === textarea.selectionEnd);
    }
    function _getLineId(line) {
        return id + '_' + line;
    }
    function _sidebarWidthChanged() {
        var oldWid = sidebarWid;
        sidebarWid = _getSidebarWidth();
        return (oldWid !== sidebarWid);
    }
    function _getSidebarWidth (){
        /* ATTENTION: not do special things for side bar width without checking by the character count of line number. 
         * 1. some characters have different width for some fonts
         * 2. mateLineNbr.clientWidth equals 0 in unactivated editors in IE, so it needs more code to handle
         * 3. _resetCache is more complex. 
         */
        if (lineNbrEnabled){
            var lineCount = model.getLineCount();
            if (maxLineCount !== lineCount || sidebarWid === 0) {
                mateLineNbr.innerHTML = lineCount;
                maxLineCount = lineCount;
                sidebarWid = mateLineNbr.clientWidth;
            }
            return sidebarWid;
        }else {
            return 0;
        }
    }
    function _handleEntities(text) {
        return text.replace(/(<|&)/gi, function(word){
            if(word==='<') {
                return '&lt;';
            } else {
                return '&amp;';
            }
        });
    }
    function _getX (line,col) {
        var text = model.getLine(line).substring(0, col);
        if (textCache[text] === undefined) {
            mateText.innerHTML = _handleEntities(text);
            textCache[text] = mateText.clientWidth;
            textCacheSize++;
        }
        return textCache[text];
    }
    function _measureText (text) {
        if (textCache[text] === undefined) {
            mateText.innerHTML = text;
            if (textCacheSize > 1000) {
                textCache = {};
                textCacheSize = 0;
            }
            textCache[text] = mateText.clientWidth;
            textCacheSize++;
        }
        return textCache[text];
    }
    function _getX4IE (line,col) {
        var lineObj = dom.byId(_getLineId(line)), x=0, strTmp,
            str = model.getLine(line).substring(0, col);
        
        if (lineObj) {
            var strPart="", i = 0, count = lineObj.childNodes.length, nodes=lineObj.childNodes, len=0, lastLen=0, currLen=0;
            //strTmp = str;
            //if (textCache[strTmp] !== undefined) {
            //    return textCache[str];
            //} 
            //ATTENTION: we cannot cache these values, because x is not precise value in some conditions.
            //str = _handleEntities(str);
            len = str.length;            
            for (;i<count;i++) {
                //strPart = nodes[i].innerHTML;
                strPart = nodes[i].textContent;
                currLen += strPart.length;
                if (currLen > len) {
                    strPart = strPart.substr(0,len-lastLen);
                    mateText.innerHTML = _handleEntities(strPart);
                    x += mateText.clientWidth;
                    break;
                }else if(currLen === len) {//just it
                    x += nodes[i].offsetWidth;
                    break;
                }
                x += nodes[i].offsetWidth;
                lastLen = currLen;
            }
            if (currLen < len) {
                strPart = str.substr(currLen);
                mateText.innerHTML = _handleEntities(strPart);
                x += mateText.clientWidth;
            }
        } else {
            lastTextWid = 0;
            x = _addToken(str, '');
        }
        
        //textCache[strTmp] = x;
        //textCacheSize++;
        return x;
    }
    function _regListeners () {
        //listeners.textChanging = connect.subscribe(id + '/core/onTextChanging', lang.hitch(self, _onTextChanging));
        //listeners.textChanged = connect.subscribe(id + '/core/onTextChanged', lang.hitch(self, _onTextChanged));
        listeners.onCaretMoved = connect.subscribe(id + '/core/caretMoved', lang.hitch(self, _onCaretMoved));
        listeners.onSelected = connect.subscribe(id + '/core/selectionChanged', lang.hitch(self, _onSelected));
        listeners.onCompStart = connect.subscribe(id + '/core/onCompStart', lang.hitch(self, _onCompStart));
        listeners.onCompUpdate = connect.subscribe(id + '/core/onCompUpdate', lang.hitch(self, _onCompUpdate));
        listeners.onCompEnd = connect.subscribe(id + '/core/onCompEnd', lang.hitch(self, _onCompEnd));
        listeners.onScroll = on(textarea, 'scroll', lang.hitch(self, _onScroll));
        listeners.onFocusIn = on(textarea, 'focusin', lang.hitch(self, _onFocusIn));
        listeners.onFocusOut = on(textarea, 'focusout', lang.hitch(self, _onFocusOut));
        listeners.onKeyDown = on(textarea, 'keydown', lang.hitch(self, _onKeyDown));
        listeners.onResize = on(window, 'resize', lang.hitch(self, _onResize));
    }
    function _unregListeners () {
        //connect.unsubscribe(listeners.textChanging);
        //connect.unsubscribe(listeners.textChanged);
        connect.unsubscribe(listeners.onCaretMoved);
        connect.unsubscribe(listeners.onSelected);
        connect.unsubscribe(listeners.onCompStart);
        connect.unsubscribe(listeners.onCompUpdate);
        connect.unsubscribe(listeners.onCompEnd);
        listeners.onScroll.remove();
        listeners.onFocusIn.remove();
        listeners.onFocusOut.remove();
        listeners.onKeyDown.remove();
        listeners.onResize.remove();
    }
    function _syncViewCompsPos(){
        var sbWid = _getSidebarWidth(),
            contWid = domStyle.get(frm, 'width'),
            sbWidStyleVal = sbWid + 'px',
            taWidStyleVal = (contWid - sbWid + taCalWid) + 'px';
        domStyle.set(viewCont, {left: sbWidStyleVal, width: taWidStyleVal});
        domStyle.set(sidebarCont, 'width', sbWidStyleVal);
    }
    function _scrollTo(line,col) {
        var x, len, left = textarea.scrollLeft, top = textarea.scrollTop;
        if (viewInfo.startLine === undefined) {
            return;//ignore
        }
        if (line <= viewInfo.startLine) {
            top = _getLineTop((line < 1) ? 0: (line - 1));//scroll upward
        } else if (line >= viewInfo.endLine || (_getLineTopInView(line) + _getLineHeight(line)) > textarea.clientHeight) {
            top = _getLineTop(line) + _getLineHeight(line);// scroll downward
            top -= textarea.clientHeight;
        }
        len = _getX(line, col);
        x = Math.round(len + viewInfo.leftOffset);
        if (x < 0 || x >= viewInfo.width) {
            left = len - viewInfo.width / 2;
            if (left < 0) {
                left = 0;
            } else if (left > (textarea.scrollWidth - textarea.clientWidth)) {
                left = textarea.scrollWidth - textarea.clientWidth;
            }
        }
        window.setTimeout(function() {//FIXID S1137073
            if (textarea.scrollTop !== top) {
                textarea.scrollTop = top;
            }
            if (textarea.scrollLeft !== left) {
                textarea.scrollLeft = left;
            }
        }, 0);
    }

    function viewNotChanged(view) {
        var ret = (oldViewInfo.startLine === view.startLine 
                  && oldViewInfo.endLine === view.endLine 
                  && oldViewInfo.leftOffset === view.leftOffset 
                  && oldViewInfo.topOffset === view.topOffset);
        oldViewInfo.startLine = view.startLine;
        oldViewInfo.endLine = view.endLine;
        oldViewInfo.leftOffset = view.leftOffset;
        oldViewInfo.topOffset = view.topOffset;
        return ret;
    }
    function _refresh() {
        _resetCache();
        _syncViewCompsPos();
        _update(true);
        //_updateFocusLine(cursorLine);
    }
    var updateQue = [], updateTimer = null;
    function _getUpdateInterval() {
        var interval = 0, lineCount = textarea.modelTA.getLineCount();
        if (isDBCSProcessMode) {//e.g. Chinese
            if (lineCount > 20000) {
                interval = 100;
            }
        } else {
            if (lineCount > 50000) {
                interval = 100;
            }
        }
        return interval;
    }
    function _update(force, start, end) {
        updateQue.push({force: force, start:start, end:end});
        if (!updateTimer) {
            updateTimer = window.setTimeout(function(){
                var force = false;
                updateQue.forEach(function(item) {
                    force = (force || item.force);
                });
                var last = updateQue.pop();
                updateQue = [];
                updateTimer = null;
                    
                //var oldTime = new Date().getTime();
                _doUpdate(force, last.start, last.end);
                _updateFocusLine(cursorLine);
                //console.log('###################### update time: '+ (new Date().getTime() - oldTime));
            }, _getUpdateInterval());
        }
    }
    function _doUpdate(force, start, end) {
        var i, startLine, endLine;
        _refreshViewInfo();
        if (force !== true && viewNotChanged(viewInfo) === true) {
            return;
        }
        startLine = viewInfo.startLine;
        endLine = viewInfo.endLine;
        //if (startLine < start) { startLine = start; }
        if (lineNbrEnabled) {
            _updateLineNbr(startLine,endLine);
        }
        if (highlightingEnabled) {
            _startRender(startLine, endLine);
            for (i = startLine; i <= endLine; i++) {
                _renderLineEx(i);
            }
            _endRender();
            _updateBlockMarks();
        }
        _updateFound();
        //_updateBlockMarks();
        if (!isFocus) {
            _updateSelection();
        }
        //console.log('update');
    }
    function _getHTML (option) {
        var lineCount = model.getLineCount(), i, html, range = selectedRange,
            startLine=0, endLine = lineCount - 1, 
            fontSize = SAS.Settings.getInstance().fontSize(), 
            sidebarWid = _measureText(lineCount);
        
        if (option && option.onlyVisible) {
            startLine = viewInfo.startLine;
            endLine = viewInfo.endLine;
            lineCount = endLine - startLine+1;
        }
        _resetSelectedRange();
        html = '<div class="sce-html-export">';
        html += '<pre class="sce-render" style="font-size:'+fontSize+'px;">'; 
        for (i=startLine; i<=endLine; i++) {
            currLine = '';
            _renderLine(i);
            if (option && option.lineNumber) { //TODO: performance
                html += '<span class="line-nbr" style="width:' + sidebarWid + 'px;">' + (i + 1) + '</span>';
            }
            html += currLine;
            html += '<br/>';
        }
        html += '</pre></div>';
        selectedRange = range;
        return html;
    }
    function _updateFocusLine (line) {
        //console.log('_updateFocusLine:'+line);
        if (_isCursor()) {
            domStyle.set(focusLine, {
                height: viewInfo.lineHei + 'px',
                top: _getLineTopInView(line) + 'px'
            });
        } else {
            domStyle.set(focusLine, {height:'0px'});//hide
        }
    }
    function _updateBlockMarks () {
        var block = null,
            i = viewInfo.startLine,
            html='',
            top,
            guessStartLine=-1,
            lastLineNbr = model.getLineCount()-1;
        do{
            block = syntaxService.getFoldingBlock(i);
            if (block) {
                if (block.startLine >= viewInfo.startLine && block.startLine !== guessStartLine && block.startLine !== 0) {
                        top = _getLineTopInView(block.startLine);
                    html += '<span class="block-mark" style="top:' + top + 'px;"></span>';
                }
                if (block.endLine <= viewInfo.endLine) {
                    if (block.endLine !== lastLineNbr) {
                            top = _getLineTopInView(block.endLine+1);
                        html += '<span class="block-mark" style="top:' + top + 'px;"></span>';
                    }
                    i = block.endLine + 1;
                    guessStartLine = i;
                } else {
                    break;
                }
            } else {
                i++;
            }
            if (i > viewInfo.endLine){
                break;
            }
        } while(1);
        blockMarkCont.innerHTML = html;
    }
    function _updateTabSize(size) {
        dojo.query('*', frm).style({
                'MozTabSize': size,
                'tabSize': size
         });
    }
    function _updateFound () {
        var count = theFound.length, i=0, item, left, right, start, end, root='';
        if (count) {
            _clearSelection();
            //domConstruct.empty(findCont);
            //root = domConstruct.create('pre', {class: 'sce-view-find'})
            root = '<pre class="sce-view-find">';
            for (; i < count; i++) {
                item = theFound[i];
                start = item.start;
                end = item.end;
                if (end.line < viewInfo.startLine ||
                end.line !== start.line) { //not support cross multiple lines
                    continue; //next item
                }
                if (start.line > viewInfo.endLine) {
                    break;
                }//end
                left = _getX(start.line, start.column);
                right = _getX(end.line, end.column);
                /*domConstruct.create('span', {
                    class:'sce-find-item',
                    style:{
                    left: left + 'px',
                    top: Math.round(viewInfo.topOffset + (start.line - viewInfo.startLine) * viewInfo.lineHei) + 'px',
                    width: (right - left) + 'px',
                    height: viewInfo.lineHei + 'px'
                }}, root);*/
                root += '<span class="sce-find-item" style="left:' + Math.round(viewInfo.leftOffset + left) + 'px;' +
                        'top:' + _getLineTopInView(start.line) + 'px;' +
                'width:' + (right - left) + 'px;' + 
                'height:' + viewInfo.lineHei + 'px;"></span>';
            }
            root += '</pre>';
            //domConstruct.place(root, findCont);
            findCont.innerHTML = root;
        }
    }
    function _clearFound() {
        theFound = [];
        domConstruct.empty(findCont);
//       _updateCursor();
    }
    function _getOffsetRange() {
        /*if (SAS.Browser.msie() || (model.readOnly() && SAS.Browser.webkit())) {
            startPos = textarea.selectionState.selectionStart;
            endPos = textarea.selectionState.selectionEnd;
        } else {
            startPos = textarea.selectionStart;
            endPos = textarea.selectionEnd;
        }
        return {startOffset:startPos, endOffset:endPos};*/
        var range = textarea.modelTA.getSelectionRange();
        return {startOffset: range.start, endOffset: range.end};
    }
    function _updateSelection() {
        var startPos, endPos, offset = _getOffsetRange();
        startPos = offset.startOffset;
        endPos = offset.endOffset;
        if (startPos === endPos) {
            if (SAS.Browser.msie() && selectionBgCont.innerHTML !== '') {
                _clearSelection();
            }
            return;
        }
        var range = model.toCoreRange({
                start:{line: viewInfo.startLine, column: 0}, 
                end: {line: viewInfo.endLine, column: model.getLine(viewInfo.endLine).length}
            });
        if (range.start > startPos) {
            startPos = range.start;
        }
        if (range.end < endPos) {
            endPos = range.end;
        }
        
        var textBeforeStart = textarea.value.slice(0, startPos).split('\n'),
            textSelected = textarea.value.slice(startPos, endPos).split('\n'),
            startLine = textBeforeStart.length - 1,
            startColumn = textBeforeStart[startLine].length,
            endLine = startLine + textSelected.length - 1,
            endColumn = textSelected[textSelected.length - 1].length,
            selectionBgHtml = '', selectionFgHtml = '', left = 0, right = 0;

        // foreground -- first line
        left = _getX(startLine, startColumn);
        if (SAS.Browser.msie()) {
            lastTextWid = 0;
            _addToken(textBeforeStart[startLine], '');
            currLine = '';
            _addToken(textSelected[0], '');
            selectionFgHtml += '<pre class="sce-render" style="left:' + Math.round(viewInfo.leftOffset + left) + 'px;'
                + 'top:' + _getLineTopInView(startLine) + 'px;">'
                + currLine + '</pre>';
        } else {
            selectionFgHtml += '<pre class="sce-render" style="left:' + Math.round(viewInfo.leftOffset + lineCal) + 'px;'
                + 'top:' + _getLineTopInView(startLine) + 'px;">'
                + '<span style="color:transparent">' + _handleEntities(textBeforeStart[startLine]) + '</span>'
                + _handleEntities(textSelected[0]) + '</pre>';
        }
        
        if (startLine === endLine) { // selection within single line
            endColumn += startColumn;
            right = _getX(endLine, endColumn);
            selectionBgHtml += '<span class="sce-selection-item" style="left:' + Math.round(viewInfo.leftOffset + left) + 'px;'
                + 'top:' + _getLineTopInView(startLine) + 'px;'
                + 'width:' + (right - left) + 'px;'
                + 'height:' + _getLineHeight(startLine) + 'px;"></span>';
        } else {
            // first line
            selectionBgHtml += '<span class="sce-selection-item" style="left:' + Math.round(viewInfo.leftOffset + left) + 'px;'
                + 'top:' + _getLineTopInView(startLine) + 'px;'
                + 'width:' + (viewInfo.width - viewInfo.leftOffset - left) + 'px;'
                + 'height:' + _getLineHeight(startLine) + 'px;"></span>';
            if (++startLine < endLine) { // middle part
                var top = /*_getLineTopInView(startLine)*/_getLineTopInView(startLine-1) + _getLineHeight(startLine-1);
                selectionBgHtml += '<span class="sce-selection-item" style="left:' + Math.round(viewInfo.leftOffset) + 'px;'
                    + 'top:' + top + 'px;'
                    + 'width:' + Math.round(viewInfo.width - viewInfo.leftOffset) + 'px;'
                    + 'height:' + (_getLineTopInView(endLine) - top) + 'px;"></span>';
            }
            // foreground -- middle part
            var i = startLine < viewInfo.startLine ? viewInfo.startLine - startLine : 1,
                end = endLine > viewInfo.endLine ? textSelected.length - endLine + viewInfo.endLine : textSelected.length;
            for (; i < end; i++) {
                selectionFgHtml += '<pre class="sce-render" style="left:' + Math.round(viewInfo.leftOffset + lineCal) + 'px;'
                    + 'top:' + _getLineTopInView(startLine+i-1) + 'px;">';
                if (SAS.Browser.msie()) {
                    lastTextWid = 0;
                    currLine = '';
                    _addToken(textSelected[i], '');
                } else {
                    currLine = _handleEntities(textSelected[i]);
                }
                selectionFgHtml += currLine + '</pre>';
            }
            right = _getX(endLine, endColumn);
            // last line
            selectionBgHtml += '<span class="sce-selection-item" style="left:' + Math.round(viewInfo.leftOffset) + 'px;'
                + 'top:' + _getLineTopInView(endLine) + 'px;'
                + 'width:' + right + 'px;'
                + 'height:' + _getLineHeight(endLine) + 'px;"></span>';
        }
        
        selectionBgCont.innerHTML = selectionBgHtml;
        if (highlightingEnabled) {
            selectionFgCont.innerHTML = selectionFgHtml;
        }
    }
    function _clearSelection() {
        domConstruct.empty(selectionBgCont);
        domConstruct.empty(selectionFgCont);
        _resetSelectedRange();
    }
    function _updateCursor (state,line,col){
        if (line !== undefined) {
            cursorLine=line;
        }
        if (col !== undefined) {
            cursorCol = col;
        }
        //if (_isCursor()) {return;}
        if (state && isFocus && highlightingEnabled === true) {
            if (_isCursor()) {
                var maxLineIndex = model.getLineCount()-1,cal = 0;//SAS.Browser.chrome() ? -1 : 0;
                if (cursorLine > maxLineIndex) {
                    cursorLine = maxLineIndex;
                }
                cursor.style.backgroundColor = 'black';
                cursor.style.top = _getLineTopInView(cursorLine) + 'px';
                cursor.style.left = Math.round(_getX(cursorLine, cursorCol) + viewInfo.leftOffset + cal) + 'px';
                cursor.style.height = viewInfo.lineHei + 'px';
            }
        } else {
            cursor.style.backgroundColor = 'transparent';
        }
    }
    function _updateCursor4IE (state,line,col){
        if (line !== undefined) {
            cursorLine=line;
        }
        if (col !== undefined) {
            cursorCol = col;
        }
    }
    function _enableCursor (enable) {
        if (enable && highlightingEnabled){
            if (cursorTimer === null) {
                cursorTimer = window.setInterval(function(){
                    _onTimeout();
                },500);
                _updateCursor(true);//force 
            }
        }else {
            if (cursorTimer !== null) {
                window.clearInterval(cursorTimer);
                cursorTimer = null;
                _updateCursor(false);//force
            }
        }
    }
    function _enableCursor4IE (enable) {
    } //do nothing
    function _updateLineNbr(start, end){
        var i,html='';
        //start++;
        //end++;
        //i = start > 0 ? start : 1;
        i = start < 0 ? 0 : start;
        /*domConstruct.empty(sidebarCont);
        sidebar = domConstruct.create('pre', {class: 'sce-sb'});
        for (; i <= end; i++) {
            domConstruct.create('span', {
                class: 'line-nbr',
                style: {
                    top: Math.round(viewInfo.topOffset + (i - start) * viewInfo.lineHei) + 'px'
                },
                innerHTML: i
            }, sidebar);
        }
        domConstruct.place(sidebar, sidebarCont);*/
       html += "<pre class='sce-sb'>";
       for (; i <= end; i++){
           html += "<span class='line-nbr' style='top:" 
                + _getLineTopInView(i) + "px;'>" + (i+1) + "</span>";
       }
       html += "</pre>";
       sidebarCont.innerHTML = html;
    }
    var _getLineHeight = function(line) {
        return viewInfo.lineHei;
    };
    var _getLineTop = function(line) {
        return viewInfo.lineHei * line;
    };
    var _getLineTopInView = function(line) {
        return Math.round(viewInfo.topOffset + (line - viewInfo.startLine) * viewInfo.lineHei);
    };
    var _getLineNbrByY = function (y) {
        return Math.floor(y / viewInfo.lineHei);
    };
    var _refreshLineInfoCache = function() {
    };
    var _adjustViewInfo = function() {
    };
    // In IE, if last line is blank, scrollHeight will no include it
    var _patchText = function(text, lines) { //lines and text have same content, only different presentation
        if (SAS.Browser.msie()) {
            if (lines.length === (text.length + 1) 
                || lines[lines.length-1] === '' 
                || text === '') {
                text += 'a';
            }
        }
        return text;
    };
    var _resetLineCache = function() {
    };
    function _startDBCSProcess() {        
        _getLineHeight = function(line) {
            if (lineHeightCache[line] === undefined) {
                var clusterSize = 4, lines = null, start = line, end = line + clusterSize, text;
                if (lineHeightCache[line+1]) {
                    if (lineHeightCache[line-1] === undefined) {
                        start = line - clusterSize + 1;
                        if (start < 0) {    
                            start = 0;
                        }
                    }
                    end = line + 1;
                }
                lines = textarea.modelTA.getLines(start,end);
                text = _patchText(lines.join('\n'), lines);
                mateTextarea.innerHTML = text;
                    
                var hei = mateTextarea.scrollHeight / lines.length;
                    
                if (hei === 0) {
                    console.log('cannot get right line height currently.');
                    return viewInfo.lineHei;
                }
                for(var i=0; i< lines.length; i++) {
                    lineHeightCache[start + i] = hei;
                }
            }
            return lineHeightCache[line];
        };/*
        _getLineTop = function(line) {
            if (line === 0) return 0;
            else if (lineTopCache[line] === undefined) {
                var i = line - 1,j;
                while(lineTopCache[i] === undefined)i--;
                i++;
                for(;i<=line;i++) {
                    j = i - 1;
                    lineTopCache[i] = _getLineTop(j) + _getLineHeight(j);
                }
                //lineTopCache[line] = _getLineTop(i) + _getLineHeight(i);  //stack may overflow
            } 
            return lineTopCache[line];
        };*/
        //_getLineHeight = function(line) {
        //    return _getLineTop(line+1) - _getLineTop(line);
        //};
        function _getHeightBetween(start, end) {
            var hei = 0, line = start;
            while(line < end) {
                hei += _getLineHeight(line);
                line++;
            }
            return hei;
        }
        function _getMiddleLine() {
            return Math.floor((viewInfo.startLine + viewInfo.endLine) / 2);
        }
        _getLineTop = function(line) {
            if (line === 0) {
                lineTopCache[line] = {val:0, acc: true}; // acc: accurate
            }else if (lineTopCache[line] === undefined) {// has performance issue, but alignment is ok.
                var mid = _getMiddleLine();
                if (line === mid) {
                    //var oldTime = new Date().getTime();
                    var lines = textarea.modelTA.getLines(0,line);
                    mateTextarea.innerHTML = _patchText(lines.join('\n'), lines);
                    lineTopCache[line] = {val:mateTextarea.scrollHeight, acc: true};
                    //console.log('################### calculate the middle line################# ----'+ (line+1) + "TIME COST:"+(new Date().getTime() - oldTime));
                } else {
                    if (lineTopCache[mid] === undefined) { 
                        _getLineTop(mid);// initialize middle line
                    }
                    // middle line is ready
                    var top = lineTopCache[mid].val;
                    if (line > mid) {
                        top += _getHeightBetween(mid, line);
                    } else if (line < mid) {
                        top -= _getHeightBetween(line, mid);
                    }
                    lineTopCache[line] = {val: top, acc: false};
                }
            }
            return lineTopCache[line].val;
        };
        _resetLineCache = function (start, end) {
            var i = start; 
            if (start) {
                if (end === undefined) {
                    end = model.getLineCount() - 1;
                }
                for (; i <= end; i++) {
                    lineHeightCache[i] = undefined;
                    lineTopCache[i] = undefined;
                }
            } else {
                lineHeightCache = {};
                lineTopCache = {};
            }
        };
        _refreshLineInfoCache = function() {
            var mid = _getMiddleLine(), all = true;
            _resetLineCache();
            if (lineTopCache[mid] === undefined || lineTopCache[mid].acc === false) {// not refresh
                lineTopCache[mid] = undefined;
                all = true;
                for (var i = mid - 1; i >= viewInfo.startLine; i--) {
                    if (lineTopCache[i] === undefined || lineTopCache[i].acc === false) { 
                        lineTopCache[i] = {val: _getLineTop(i+1) - _getLineHeight(i), acc: false};
                    }
                }
            }
            // always update the back part
            for (i = mid+1; i <= viewInfo.endLine; i++) {
                if (lineTopCache[i] === undefined || (all && lineTopCache[i].acc === false)) { 
                    lineTopCache[i] = {val: _getLineTop(i-1) + _getLineHeight(i), acc: false};
                }
            }
            //FIXID S1143334. Adjust for DBCS
            _adjustViewInfo();
        };
        _adjustViewInfo = function() {
            var top = viewInfo.scrollTop, lineCount = textarea.modelTA.getLineCount(), line;
            line = viewInfo.startLine;
            while (line >= 0 && top < _getLineTop(line)) {
                line--;
            }
            viewInfo.startLine = line;
            if (!_noScrollbar()) {
                top += textarea.clientHeight;
                line = viewInfo.endLine;

                while (top > _getLineTop(line)) {
                        line++;
                }
                if (line >= lineCount) {
                    line = lineCount - 1;
                }
                viewInfo.endLine = line;
            }
            viewInfo.viewLineCount = viewInfo.endLine - viewInfo.startLine + 1;
        };
            
        _getLineTopInView = function(line) {
            return _getLineTop(line) - viewInfo.scrollTop;
        };
        _getLineNbrByY = function (y) {
            var left = viewInfo.startLine, right = viewInfo.endLine+1, mid, top;
            if (y < _getLineTop(left) || y > (_getLineTop(viewInfo.endLine) + _getLineHeight(viewInfo.endLine))) {
                return undefined;
            }
            do {
                mid = Math.floor((left+right)/2);
                if (mid === left) {
                    console.log('error occurs.');
                    return mid;
                }
                top = _getLineTop(mid);
                if (y >= top && y <= top + _getLineHeight(mid)) {
                    return mid;
                } else if (y <= top) {
                    right = mid;
                } else {
                    left = mid;
                }
            } while(1);
        };
    }
    function _renderLine (line) {
        var lineText = model.getLine(line),
            count, len, syntax, tokenText, i, start;
        lastTextWid=0;
        syntax = syntaxService.getSyntax(line);
        count = syntax.length;
        for (i = 1; i < count; i++) {
            start = syntax[i - 1].start;
            tokenText = lineText.substr(start, syntax[i].start - start);
            _handleToken(tokenText, syntax[i-1].style, line, start);
        } 
        if (count > 0 && count === i) {
            start = syntax[i - 1].start;
            if (start < lineText.length) {
                _handleToken(lineText.substr(start, lineText.length), syntax[i - 1].style, line, start);
            }
        }
    }
    function _renderLineEx(line) {
        /*currLine = domConstruct.create('pre', {
            //class: 'sce-line',
            id: _getLineId(line),
            style: {
                top: Math.round(viewInfo.topOffset + (line-viewInfo.startLine) * viewInfo.lineHei) + 'px',
                left: viewInfo.leftOffset + 'px'
            }
        }, pre);*/
        currLine = '';
        _renderLine(line);
        pre += '<pre class="line" id="' + _getLineId(line) + '" style="top:' 
                + _getLineTopInView(line) + 'px;left:'
                + (viewInfo.leftOffset+lineCal) + 'px;">';
        pre += currLine;
        pre += '</pre>';
    }
    function _addToken4IE (text, type) {
        /*Attention: we create a span node to render a tab. 
         * Before this, I try to use the left attribute of a normal node to render, 
         * no creating span nodes, but it does not work. 
         */
        var start = 0, tabIndex, subText, TAB_WID = 64, wid, node, totalWidth = 0;
        tabIndex = text.indexOf('\t', start);
        while (tabIndex > -1) {
            subText = text.substring(start, tabIndex);
            if (subText !== '') {
                wid = TAB_WID - ((_measureText(subText)+lastTextWid) % TAB_WID);
                //domConstruct.create('span', {class: type,innerHTML: subText}, currLine);
                subText = _handleEntities(subText);
                currLine += '<span class="' + type + '">'+subText+'</span>';
                //
            } else {//'\t', just it
                wid = TAB_WID - (lastTextWid % TAB_WID);
            }
            //domConstruct.create('span', {class: 'tab',innerHTML: '\t',style: {width: wid + 'px'}}, currLine);
            currLine += '<span class="tab" style="width:' + wid + 'px;">\t</span>';
            //
            lastTextWid = 0;
            start = tabIndex + 1;
            tabIndex = text.indexOf('\t', start);
            totalWidth += wid + _measureText(subText);
        }
        if (start < text.length) {
            subText = text.substr(start);
            //domConstruct.create('span', {class: type,innerHTML: subText}, currLine);
            subText = _handleEntities(subText);
            currLine += '<span class="' + type + '">'+subText+'</span>';
            //
            lastTextWid += _measureText(subText);
            totalWidth += lastTextWid;
        }
        return totalWidth;
    }
    function _addToken (text, type) {
        //domConstruct.create('span', {class: type,innerHTML: text}, currLine);
        text = _handleEntities(text);
        currLine += '<span class="' + type + '">'+text+'</span>';
    }
    function _handleToken(text, type, line, col) {
        if (line !== undefined && _validRange(selectedRange)) {//TODO: improve in the future
           if (line === selectedRange.startLine) {
               if (selectedRange.startLine === selectedRange.endLine) {
                    if (selectedRange.startColumn>=col && selectedRange.endColumn<=(col+text.length)) {
                        var index1 = selectedRange.startColumn - col, 
                            index2 = selectedRange.endColumn - col,
                            part1 = text.substring(0, index1),
                            part2 = text.substring(index1, index2);
                        _addToken(part1, type);
                        _addToken(part2, 'text');
                        text = text.substring(index2);
                    } else if (selectedRange.startColumn<=col && selectedRange.endColumn>= (col+text.length)) {
                        type = 'text';
                    } else if (selectedRange.startColumn>col && selectedRange.endColumn>= (col+text.length)) {
                        var index1 = selectedRange.startColumn - col, 
                            part1= text.substring(0, index1);
                        _addToken(part1, type);
                        type = 'text';
                        text = text.substring(index1);
                    } else if (selectedRange.startColumn<=col && selectedRange.endColumn< (col+text.length)) {
                        var index1 = selectedRange.endColumn - col,
                            part1 = text.substring(0, index1);
                        _addToken(part1, 'text');
                        text = text.substring(index1);
                    }
                } else if (selectedRange.startColumn <= col) {//
                    type = 'text';
                } else if (selectedRange.startColumn > col && selectedRange.startColumn < (col+text.length)) {
                    var index1 = selectedRange.startColumn-col,
                        part1 = text.substring(0, index1);
                    _addToken(part1, type);
                    text = text.substring(index1);
                    type = 'text';
                }
            } else if (line === selectedRange.endLine) {
                if (selectedRange.endColumn >= col+text.length) {
                    type = 'text';
                } else if (selectedRange.endColumn > col && selectedRange.endColumn < (col+text.length)){
                    var part1 = text.substring(0, selectedRange.endColumn-col),
                        text = text.substring(selectedRange.endColumn-col);
                    _addToken(part1, 'text');
                }
            } else if (line < selectedRange.endLine && line > selectedRange.startLine) {
               type = 'text';
           }
        }
        _addToken(text, type);
    }
    function _startRender (start, end) {
        //method1        
        //domConstruct.empty(renderCont);
        //pre = domConstruct.create('pre', {class: 'sce-render'});
        //method2
        pre = '<pre class="sce-render">';
    }
    function _endRender () {
        _updateCursor(true);
        //domConstruct.place(pre, renderCont);
        pre += '</pre>';
        renderCont.innerHTML = pre;
        //
    }
    function _checkReady () {
        // check whether textarea is ready
        var clientHeight = textarea.clientHeight;
        var count = 30, i = 0, tolerance = 5;
        var checker = window.setInterval(function(){
            var widthDiff = Math.abs(domStyle.get(frm, 'width') - domStyle.get(viewCont, 'width') - domStyle.get(sidebarCont, 'width'));//Math.abs(frm.width() - viewCont.width() - sidebarCont.width());
            if (clientHeight !== textarea.clientHeight || widthDiff > tolerance) {
                clientHeight = textarea.clientHeight;
                _refresh();
            }
            i++;
            if (i > count) {
                window.clearInterval(checker);
            }
        }, 1000);
    }
    function _noScrollbar() {
        return ((textarea.scrollHeight === textarea.clientHeight )
            || (SAS.Browser.chrome() && ((textarea.scrollHeight === textarea.clientHeight + 1) || (textarea.scrollHeight + 1 === textarea.clientHeight))));
    }
    function _refreshViewInfo () {
        var docLineCount = textarea.modelTA.getLineCount(), startLine, endLine, lineCount = 0, //TODO: temporarily implement
            lineHei = textarea.scrollHeight / docLineCount, start, remaining;
        if (_noScrollbar()) {
            // FIXID S1143288: The textarea cannot correctly calculate scrollHeight in IE11 on Win8. 
            // The fixing is used for all browsers.
            var text = textarea.value;
            text = _patchText(text, text.split('\n'));
            // END FIXID S1143288 
            mateTextarea.innerHTML = text;
            lineHei = mateTextarea.scrollHeight / docLineCount;
        }
        if (lineHei <= 0) {//if textarea.value has only blank lines, lineHei will be zero, so error occurs
            lineHei = 16; //any value
        }
        start = textarea.scrollTop / lineHei;
        lineCount = textarea.clientHeight / lineHei;
        startLine = Math.floor(start); 
        remaining = (start - startLine) * lineHei;
        endLine = Math.ceil(start + lineCount - 1);
        if (endLine >= docLineCount) {
            endLine = docLineCount - 1;
        }
        if (endLine < startLine) {
            endLine = startLine;
        }
        //console.log('start:'+start+'lineCount:'+lineCount+'remaining:'+remaining+'left:'+textarea.scrollLeft);
        viewInfo = {
            startLine: startLine,
            endLine: endLine,
            lineHei: lineHei,
            topOffset: -Math.round(remaining),
            leftOffset: -textarea.scrollLeft,
            viewLineCount: lineCount,
            width: textarea.clientWidth,
            scrollTop: textarea.scrollTop,
            scrollLeft: textarea.scrollLeft
        };
        _refreshLineInfoCache();
        return viewInfo;
    }
    self.focus = function () {
        self.refresh();
        if (textarea.focusin){
            textarea.focusin();
        }else {
            textarea.focus();
        }
    };
    self.blur = function() {
        textarea.blur();
    };
    self.hangeFocus = function() {
        var previous = document.activeElement;
        if (previous === textarea || !previous.focus) {
            return;
        }
        textarea.focus();
        previous.focus();
    };
    function _create() {
        var textareaCont, mateTextareaCont, sliderCont, panel;
        domClass.add(frm, 'sce');
        domClass.add(frm, 'sce-' + settings.theme());
        // please don't change the creating order
        // frame components
        mateTextarea = dojo.query('.sce .mate-textarea');
        if (mateTextarea.length === 0) {
            mateTextareaCont = domConstruct.create('div', {
                'class': 'sce',
                'style':'visibility:hidden;width:200px;height:10px;position:fixed;left:-200px;'
            }, document.body);
            mateTextarea = domConstruct.create('textarea',{
                'class':'mate-textarea',
                'style':'left:-2000px;width:200px;height:10px;min-height:10px',
                innerHTML:mateTextSample,
                readOnly: true,
                tabIndex: -1,
                wrap: 'off'
            }, mateTextareaCont);
        } else {
            mateTextarea = mateTextarea[0];
        }
        mateLineNbr = domConstruct.create('span',{'class':'mate-line-nbr',innerHTML:'123456'}, frm);
        mateText = domConstruct.create('span',{'class':'mate-text'}, frm);
        viewCont = domConstruct.create('pre',{'class':'sce-view'},frm);
        sidebarCont = domConstruct.create('pre', {'class': 'sce-sb-c'}, frm);
        sidebarCont.dojoClick = false;
        // view components
        focusLine = domConstruct.create('pre',{'class':'focus-line'}, viewCont);
        blockMarkCont = domConstruct.create('pre',{'class':'block-mark-c'},viewCont); 
        findCont = domConstruct.create('pre',{'class':'sce-find-c'}, viewCont);
        selectionBgCont = domConstruct.create('pre',{'class':'sce-selection-c'}, viewCont);
        renderCont = domConstruct.create('pre', {'class': 'sce-render-c'}, viewCont);
        selectionFgCont = domConstruct.create('pre', {'class': 'sce-selection-fg'}, viewCont);
        prompt = domConstruct.create('pre', {
            'class': 'sce-prompt-text',
            innerHTML: SAS.Settings.getInstance().promptText()
        }, viewCont);
        domClass.add(viewCont, 'sce-'+model.langMode());
        if (SAS.Browser.msie()) {//this will improve condition check in presentation
            if (SAS.Browser.msie() < 11) {
                _addToken = _addToken4IE;
                _getX = _getX4IE;
            }
            _updateCursor = _updateCursor4IE;
            _enableCursor = _enableCursor4IE;
            /* ATTENTION: taCalWid is used for calibrating the width of textarea to solve the problem
             * that all components in CE(div=id) will move to left side correctly when hitting 'end' key at a line with horizontal bar. 
             */
            taCalWid=-1;
            
        } else if(SAS.Browser.msafari()) {
            _updateCursor = _updateCursor4IE;//same to IE
            _enableCursor = _enableCursor4IE;
            lineCal = 3;//for fixing the overlap problems on iPad's safari
            
        } else {
            cursor = domConstruct.create('pre', {'class': 'sce-cursor' }, viewCont);
        }
        textareaCont = domConstruct.create('label', {'class':'sce-ta-c'}, viewCont);
        textarea = domConstruct.create('textarea', {
            'class':'sce-ta dijitPopup',
            spellcheck: false,
            wrap: 'off'
        }, textareaCont);
        textarea.dojoClick = false;
        _updateTabSize(settings.tabSize());
        if (SAS.Browser.msafari()) {
            domAttr.set(textarea, 'autocorrect', 'off');
            domAttr.set(textarea, 'autocapitalize', 'off');
            domAttr.set(textarea, 'autocomplete', 'off');
        }
        /*if (SAS.Browser.msafari()) { //disable slider on iPad, because webDMS need not it. 
            sliderCont = domConstruct.create('pre',{class:'sce-slider'}, viewCont);
            slider = new SAS.Slider(self,sliderCont);
            _updateSlider = function() {
                slider.update();
            }
        }*/
        imeWrapper = domConstruct.create('span', {'class': 'sce-imewrapper'}, viewCont);
        // register listener to model
        _regListeners();
        model.textChanged.add(_onTextChanged1.bind(self));
        model.getLanguageService().parsingStateEvent.add(onParsingState.bind(self));
        settings.settingChanged.add(_onSettingsChanged.bind(self));
        // start to checking whether textarea is ready
        _checkReady();
    }
    // initialize
    _create();
    // add 
    self.getTextOffset = function(x,y) { // (x,y) is a pixel coord relative to the upper-top position of the document
        var pos = _getTextPositionByPixelCoord(x,y);
        return pos ? model.toTextOffset(pos.line,pos.column) : -1;
    };
    // public APIs
    self.getTextarea  = function () {
        return textarea;
    };
    self.getSidebar = function () {
        return sidebarCont;
    };
    self.getViewCont = function() {
        return viewCont;
    };
    self.resize = function(wid, hei){
        //if (isNaN(wid) || isNaN(hei)) {
        //    wid = domStyle.get(frm, 'width');
        //    hei = domStyle.get(frm, 'height');
        //}
        if (renderCont.width !== wid || renderCont.height !== hei) {
            domStyle.set(frm, 'width', wid + 'px');
            domStyle.set(frm, 'height', hei + 'px');
            _syncViewCompsPos();
        }
        _update(true);
    };
    /*self.getViewLineCount = function () {
        return viewInfo.viewLineCount;
    }*/
    self.getHeight = function () {
        return textarea.clientHeight;
    };
    self.getLineHeight = function () {
        return viewInfo.lineHei;
    };
    self.activate = function () {
        if (SAS.Browser.msie()) {
            _restoreScrollContext(); // S1174356
            self.hangeFocus();
        }
        self.refresh();
    };
    self.refresh = function () {
        window.setTimeout(function() {
            _restoreScrollContext(); // S1174356
            _refresh();
        }, 0);
    };
    self.freeResources = function () {
        _unregListeners();
    };
    self.enableLineNbr = function (enable) {
        if (typeof enable === 'boolean' && lineNbrEnabled != enable) {
            lineNbrEnabled = enable;
            if (enable === false){
                domConstruct.empty(sidebarCont);
            }
            _syncViewCompsPos();
            _update(true);
        }
        return lineNbrEnabled;
    };
    self.enableHighlighting = function (enable) {
        if (highlightingEnabled != enable) {
            highlightingEnabled = enable;
            if (enable === false) {//ignore true
                _enableCursor(false);
                domConstruct.empty(renderCont);
                domConstruct.empty(blockMarkCont);
                _pauseHighlighting();
                //domClass.add(textarea, 'sce-editing');
                //domClass.remove(textarea, 'sce-normal');
            } else {
                _resumeHighlighting();
                if (isFocus) {
                    _enableCursor(true);
                }
                //domClass.add(textarea, 'sce-normal');
                //domClass.remove(textarea, 'sce-editing');
            }
            _update(true);
        }
    };
    self.setFound = function (found) {
        //console.log('setFound');
        theFound = found;
        if (SAS.Browser.ff()) {
            _clearSelection();
            _update(true);
        } else {
            _updateFound();
        }
    };
    self.clearFound = _clearFound;
    self.getHTML = _getHTML;
    self.getX = function (l, c) {
        return _getX(l, c);
    };
    self.getViewAttr = function (attr) {
        if (attr === 'size') return {width: domStyle.get(viewCont, 'width'), height: domStyle.get(viewCont, 'height')};
        if (attr === 'screenOffset') return textarea.getBoundingClientRect();
        return viewInfo[attr];
    };
    self.getCursorPosition = function () {
        return {line: cursorLine, column: cursorCol};
    };
    self.getWordInfo = function (l, c) {
        return _getWordByLC(l, c);
    };
    self.getWordInfoByXY = function (layerX, layerY) {
        return _getWordByXY(layerX, layerY);
    };
    self.scrollTo = function (line, col) {
        _scrollTo(line, col);
    };
    self.scrollByDelta = function (deltaX, deltaY) {
        if (!isNaN(deltaX)) {
            textarea.scrollLeft += deltaX; 
        }
        if (!isNaN(deltaY)) {
            textarea.scrollTop += deltaY; 
        }
    };
    self.scrollToByCoord = function(top, left) {
        if (!isNaN(top)) {
            textarea.scrollTop = top;
        }
        if (!isNaN(left)) { 
            textarea.scrollLeft = left;
        }
    };
    function _getWordByXY (layerX, layerY) {
        var line, col = 0,
            realX, sumLeft = 0,
            spanList, preLine, i,
            maxX, minY;
        line = _getLineNbrByY(layerY+viewInfo.scrollTop);
        realX = layerX - viewInfo.leftOffset - lineCal;
        preLine = dom.byId(id+'_'+line);
        if (!preLine) {
            return null;
        }
        spanList = query('span', preLine);
        for(i = 0; i < spanList.length; i++) {
            sumLeft = spanList[i].offsetLeft + spanList[i].offsetWidth;
            if (sumLeft > realX) {
                break;
            }
            col += spanList[i].textContent.length;//spanList[i].innerHTML.length;
        }
        maxX = sumLeft + viewInfo.leftOffset + lineCal;
        minY = domStyle.get(preLine, 'top');
        return !spanList[i] ? null : {
            text: spanList[i].textContent,//spanList[i].innerHTML,
            type: spanList[i].className,
            line: line,
            column: col,
            maxX: maxX,
            minX: maxX - spanList[i].offsetWidth,
            minY: minY,
            maxY: minY + viewInfo.lineHei
        };
    }
    function _getWordByLC (line, column) {
        var preLine, spanList, sumLeft = 0, i;
        preLine = dom.byId(id+'_'+line);
        if (!preLine) {
            return null;
        }
        spanList = query('span', preLine);
        for(i = 0; i < spanList.length; i++) {
            sumLeft += spanList[i].innerHTML.length;
            if (sumLeft > column) {
                break;
            }
        }
        return !spanList[i] ? null : {
            text: spanList[i].innerHTML,
            type: spanList[i].className,
            line: line,
            column: sumLeft - spanList[i].innerHTML.length
        };
    }
};//end constructor
return SAS.EditorView;
});//end define