define([], function() {
    var EventMgr = function(){
        this.listeners = [];
    };
    EventMgr.prototype = {
    notify: function (event, data){
        var container = this.listeners[event], i, len;
        if (container){
            len = container.length;
            for (i = 0; i < len; i++){
                container[i]({type: event, data:data});
            }
        }
    },    
    bind: function (events, listener){
        var i=0, events = events.split(" "), event;
        for (i = 0; i < events.length; i++){
            event = events[i];
            if (event != " "){ //textChanged, selectionChanged, caretMoved, editAttempted
                this.listeners[event] = this.listeners[event] || [];
                if (listener instanceof Function) {
                    this.listeners[event].push(listener);
                }
            }
        }        
    },
    unbind: function (events, listener){
        var i = 0, events = events.split(" "), event, container, len, j;
        for (i = 0; i < events.length; i++){
            event = events[i];
            if (event != " "){
                container = this.listeners[event]; 
                if (container){
                    j = 0;
                    len = container.length;
                    do {
                        if (container[j] === listener){
                            container.splice(j,1);
                            len = container.length;
                        }else {
                            j++;
                        }
                    } while(j < len);
                }
            }
        }
    }
    };
    return EventMgr;
});