define(["dojo/dom", "dojo/dom-style", "dojo/dom-construct", "dijit/Dialog", "dijit/form/Button", "dijit/form/SimpleTextarea", "dijit/registry","dojo/query", "dojo/window", "dijit/form/RadioButton", "dijit/form/CheckBox", "dijit/form/Form"], 
function(dom, domStyle, domConstruct, Dialog, Button, Textarea, registry, query, winUtils) {
SAS.FindAndReplaceDialog = function() {
    SAS = window.SAS || {}; // SAS namespace.
    // var dialog = null;
    var instance, userCallbacks = [], readOnly = false;

    function disableButtons(disable) {
        registry.byId("find_button").attr("disabled", disable);
        registry.byId("find_all").attr("disabled", disable);
        if (readOnly) disable = true;
        registry.byId("replace_button").attr("disabled", disable);
        registry.byId("replace_all").attr("disabled", disable);
    }
    
    function setReplaceState(disable) {
        if (disable) {
            document.getElementById('find_replace_dlg_title').innerHTML = SAS.Utils.getResourceBundle("FindAndReplaceDialog_nls").find;
            document.getElementById('form_replace_section').style.display='none';
        } else {
            document.getElementById('find_replace_dlg_title').innerHTML = SAS.Utils.getResourceBundle("FindAndReplaceDialog_nls").find_replace;
            document.getElementById('form_replace_section').style.display='table-row';
        }
    }
    
    function adjustButtons() {
        var w1 = domStyle.get("find_button", "width"),
            w2 = domStyle.get("find_all", "width"),
            w3 = domStyle.get("replace_button", "width"),
            w4 = domStyle.get("replace_all", "width"),
            w5 = domStyle.get("SAS.CE.FR.btnClose", "width"),
            max = Math.max(90, w1, w2, w3, w4, w5);
        max += 'px';
        dom.byId("find_button").style.minWidth = max;
        dom.byId("find_all").style.minWidth = max;
        dom.byId("replace_button").style.minWidth = max;
        dom.byId("replace_all").style.minWidth = max;
        dom.byId("SAS.CE.FR.btnClose").style.minWidth = max;
    }
    
    function dispatchEvent (e) {
        dom.byId('SAS.CE.FR.feedBack').innerHTML = "&nbsp;";
        var i = 0, len = userCallbacks.length;
        for (; i<len; i++) {
            userCallbacks[i](e);
        }
    }    
  
    function createInstance() {
            var resourceBundle = SAS.Utils.getResourceBundle("FindAndReplaceDialog_nls"),
                commonBundle = SAS.Utils.getResourceBundle("common_nls"),
                contents = '<div data-dojo-id="frDialog">' +
                        '<form id="find_form" data-dojo-type="dijit.form.Form">' +
                            '<br/>' +
                             '<table>' +
                                '<tr>' + 
                                    '<td style="vertical-align:top;padding-top:3px;"><label for = "id_find_string" style = "display:inline;margin-left:12px;float:none">'+resourceBundle.find_what+'</label></td>' +
                                    '<td><input data-dojo-type="dijit.form.SimpleTextarea" style = "width: 200px; height: 58px; resize :none; white-space: pre" name = "find" id = "id_find_string" /></td>' +
                                    '<td><input dojoType="dijit.form.Button" style = "margin:3px 10px" type="submit" id="find_button" label = "'+resourceBundle.find_next+'"><br/>' +
                                    '<input dojoType="dijit.form.Button" style = "margin: 3px 10px" type="button" id="find_all" label = "'+resourceBundle.find_all+'" > </td>' +
                                '</tr>' +
                                '<tr id="form_replace_section">' +
                                    '<td style="vertical-align:top;padding-top:3px;"><label for = "replace" style = "top:3px;display:inline; margin-left:12px;white-space: nowrap;margin-right:14px">'+resourceBundle.replace_with+'</label></td>' +
                                    '<td><input data-dojo-type="dijit.form.SimpleTextarea" style = "width: 200px; height: 58px; resize :none" name="replace" id="replace" /></td>'+
                                    '<td><input dojoType="dijit.form.Button" style = "margin: 3px 10px" type="button" id="replace_button" label = "'+resourceBundle.replace+'"><br/>' +
                                    '<input dojoType="dijit.form.Button" style = "margin: 3px 10px" type="button" id="replace_all" label = "'+resourceBundle.replace_all+'"></td>' +
                                '</tr>' +
                                '<tr>'+
                                    '<td colspan="2">'+
                                    '<input id="case" name="case" style = "margin-left:12px" data-dojo-type="dijit.form.CheckBox" checked="false"/>'+
                                        '<label for="case" style = "display: inline;">'+resourceBundle.match_case+'</label><br/>' +
                                    '</td>'+
                                    '<td></td>'+
                                '</tr>'+
                                '<tr>'+
                                    '<td style = "white-space: nowrap;" colspan="2">'+
                                    '<input id="SAS.CE.FR.wholeWord" style = "margin-left:12px" data-dojo-type="dijit.form.CheckBox" checked="false"/>'+
                                        '<label for="SAS.CE.FR.wholeWord" style = "display: inline;">'+resourceBundle.whole_word+'</label><br/>' +
                                    '</td>'+
                                    '<td><input dojoType="dijit.form.Button" style = "margin-left: 10px;margin-right: 8px;" type="button" id="SAS.CE.FR.btnClose" label = "'+commonBundle.item_close+'"></td>'+
                                '</tr>'+
                                // '<tr class = "dijitDialogPaneActionBar">'+
                                    // '<td class = "dijitDialogPaneActionBar"></td>'+
                                    // '<td class = "dijitDialogPaneActionBar"></td>'+
                                    // '<td class = "dijitDialogPaneActionBar"><input dojoType="dijit.form.Button" style = "margin-left: 10px;margin-right: 10px;" type="button" id="close" label = "Close"></td>'+
                                // '</tr>'+
                            '</table>' +
                            '<div class = "dijitDialogPaneActionBar" style="text-align: left; text-align: start;">' +
                                '<label id="SAS.CE.FR.feedBack" style="margin-left: 15px;">&nbsp;</label>' +
                            '</div>'+
                        '</form>' +
                   '</div>',

            config = {
                        direction: "forward",
                        wrapped: true,
                        all: false,
                        matchCase: false,
                        wholeWord: false
                },
            dialog = new Dialog({
                        id: 'find_replace_dlg',
                        title: resourceBundle.find_replace,
                        content: contents,
                        style: "width: auto",
                        'class': "non-modal"
                });
            // dojo.query(".dijitDialogUnderlayWrapper").style({"display":"none"})
            dialog.titleBar.style.width = "100%";
            dialog.titleBar.style.display = "inline-block";
            disableButtons(true);
            dom.byId("SAS.CE.FR.btnClose").style.minWidth = '90px';
            dialog.closeButtonNode.title = commonBundle.item_close;
            //registry.byId("id_find_string").attr("intermediateChanges", true);
            // monitor input textbox

            registry.byId("id_find_string").on("input", function() {
                window.setTimeout(function(){
                    var box = document.getElementById("id_find_string"),
                        index = box.value.indexOf('\n');
                    if(index != -1) {
                        box.value = box.value.substring(0, index);
                    }
                    if (box.value == "") {
                        disableButtons(true);
                    } else {
                        disableButtons(false);
                    }
                }, 0);
            });
            //defect S0889798

            registry.byId("replace_button").on("click", function() {
                config.matchCase = dom.byId("case").checked;
                config.wholeWord = dom.byId("SAS.CE.FR.wholeWord").checked;
                config.all = false;
                dispatchEvent({
                    type : 'replace',
                    findValue : document.getElementById("id_find_string").value,
                    replaceValue : document.getElementById("replace").value,
                    config : config
                });
                //TODO:

            });

            registry.byId("find_all").on("click", function() {
                config.all = true;
                config.matchCase = dom.byId("case").checked;
                config.wholeWord = dom.byId("SAS.CE.FR.wholeWord").checked;
                dispatchEvent({
                    type : 'findall',
                    findValue : document.getElementById("id_find_string").value,
                    config : config
                });
                //TODO:
            });

            registry.byId("replace_all").on("click", function() {
                config.all = true;
                config.matchCase = dom.byId("case").checked;
                config.wholeWord = dom.byId("SAS.CE.FR.wholeWord").checked;
                dispatchEvent({
                    type : 'replaceall',
                    findValue : document.getElementById("id_find_string").value,
                    replaceValue : document.getElementById("replace").value,
                    config : config
                });
                //TODO:
            });
            
            registry.byId("id_find_string").on("keydown", function(e) {
                var key = e.keyCode;
                if(key ==13) {
                    registry.byId("find_form").submit();
                    e.preventDefault();
                }
            });
            
            registry.byId("find_form").on("submit", function(e) {
                if (e) {
                    SAS.Utils.stopEvent(e);
                }
                if (!registry.byId("find_button").disabled) {
                    config.matchCase = dom.byId("case").checked;
                    config.wholeWord = dom.byId("SAS.CE.FR.wholeWord").checked;
                    config.all = false;
                    dispatchEvent({
                        type : 'find',
                        findValue : document.getElementById("id_find_string").value,//displayedValue,
                        config : config
                    });
                    //TODO:
                    registry.byId('find_button').focus();
                }
                return false
            });
            
            registry.byId("SAS.CE.FR.btnClose").on("click", function(e) {
                  SAS.Utils.stopEvent(e);
                  dialog.hide();
              });

            // S1117047
            var fnDialogHide = dialog.hide;
            dialog.hide = function() {
                var pos = dialog._relativePosition;
                fnDialogHide.apply(dialog);
                dialog._relativePosition = pos;
            };
           
           dojo.connect(dialog,"hide", function(e){
                  if (e) {
                       SAS.Utils.stopEvent(e);
                  }
                  SAS.ReplacingContext.key = "";
                  SAS.ReplacingContext.isFound = 0;
                  dispatchEvent({
                      type: 'hide'
                  });
                  
                  // FindAndReplaceDialog.dialog.destroy();
           });
           
           dialog.on("keydown", function(e) {
        	   if(e.keyCode == 9) {
             	   if((SAS.Browser.msie() == 10) && registry.byId("SAS.CE.FR.btnClose").focused) {
             		   SAS.Utils.stopEvent(e);
             		   registry.byId("id_find_string").focus();
             	   }
        	   }
           })

        // defect S0889446 add this function
        return {
            attach: function (cb) {
                userCallbacks.push(cb);
            },
            detach: function (cb) {
                var i = 0;
                for (; i<userCallbacks.length; i++){
                    if (cb === userCallbacks[i]) {
                        userCallbacks.splice(i, 1);
                    }
                }
            },
            show: function (config) {
                if(config.findValue != '' && config.findValue != undefined) {
                    var findBox = document.getElementById("id_find_string");
                    findBox.value = config.findValue;
                    findBox.displayValue = config.findValue;
                    window.setTimeout(function(){findBox.select();}, 0);
                }
                readOnly = config.readOnly;
                disableButtons(document.getElementById("id_find_string").value === '');

                dialog.show();
                adjustButtons();
                var IEversion = SAS.Browser.msie();
                if(IEversion == 10) {
                	window.setTimeout(function(){registry.byId("id_find_string").focus()}, 400);
                }
                if (dialog._relativePosition) {
                    // adjust position to prevent out of screen
                    dialog._endDrag();
                }
                // dojo.query(".dijitDialogUnderlayWrapper").style({"display":"none"});
                // require(["dojo/dom-construct"], function(domConstruct){
                    // if (dojo.query(".dijitDialogUnderlayWrapper").length) {
                        // domConstruct.destroy(dojo.query(".dijitDialogUnderlayWrapper")[0]);
                    // }
                // })
            },
            hide: function () {
                dialog.hide();
            },
            readOnly: function(_readOnly) {
                if (typeof _readOnly === 'boolean') {
                    readOnly = _readOnly;
                    disableButtons(document.getElementById("id_find_string").value === '');
                    setReplaceState(readOnly);
                }
            },
            setFeedBack: function(sFeedBack) {
                dom.byId('SAS.CE.FR.feedBack').innerHTML = sFeedBack;
            },
			displayed: function() {
				return dialog.open;
			}
        }

    }
    return {
        getInstance: function() {
            if(!instance) {
                instance = createInstance();//show(search, replace, focusin, selection)
            }
            return instance;
        }
    }
}();

//SAS.FindAndReplaceDialog.getInstance();


SAS.PromptDialog = function() {};
SAS.PromptDialog.dialog = null;
SAS.PromptDialog.show =  function(title, content) {
    //require(["dijit/Dialog", "dojo/dom-style", "dojo/window"], function(Dialog, domStyle, winUtils) {
        var commonBundle = SAS.Utils.getResourceBundle("common_nls"),
            contents = '<div class="dijitDialogPaneContentArea" id="SAS.CE.prompt.content">' + content + '</div>' +
                       '<div class="dijitDialogPaneActionBar">' +
                           '<input data-dojo-type="dijit.form.Button" type="button" id="SAS.CE.prompt.btnClose" label="'+commonBundle.item_close+'" onclick="SAS.PromptDialog.dialog.hide()" />' +
                       '</div>';
        var dialog = SAS.PromptDialog.dialog;
        if (dialog == null) {
            dialog = new Dialog({
                title: title,
                content: contents,
                style: "width: 450px;"
            });
            dialog.closeButtonNode.title = commonBundle.item_close;
            SAS.PromptDialog.dialog = dialog;
        } else {
            dialog.set("title", title);
            dialog.set("content", contents);
        }
        dialog.show();
    //});
}
SAS.PromptDialog.hide =  function() {
    var dialog = SAS.PromptDialog.dialog;
	if (dialog !== null) {
		dialog.set("title", '');
		dialog.set("content", '');
		dialog.hide();
	}
}

});//end define