﻿define(['dojo/dom-construct', 'dojo/query', "dijit/Dialog", "dijit/form/Button", "dijit/form/ValidationTextBox", "dijit/registry", "dijit/form/Form","dojo/dom-attr"], function(domConstruct, $, Dialog, Button, TextBox, registry){
SAS.GoToLineDialog = function(){
    var instance, userCallbacks = [], lineCount, lastLine;
    function dispatchEvent(event) {
        var i = 0, len = userCallbacks.length;
        for (; i<len; i++) {
            userCallbacks[i](event);
        }        
    }

    function createDlg() {
        var resourceBundle = SAS.Utils.getResourceBundle("GoToLineDialog_nls"),
            commonBundle = SAS.Utils.getResourceBundle("common_nls"),
            contents = '<div data-dojo-id="SAS.GoToLineDialog">' +
                        '<form id="gotoline_form" data-dojo-type="dijit.form.Form">' +
                            '<table class="dijitDialogPaneContentArea">'+
                                '<tr style = "white-space: nowrap;">'+
                                    '<td><label for="line" style = "margin-right: 8px">'+resourceBundle.line+'</label></td>'+
                                    '<td><input type="tel" data-dojo-type="dijit.form.ValidationTextBox" name="line" id="goto_line" ></td>'+
                                '</tr>' +
                                '<tr>' +
                                '</tr>' +
                                '<tr>' +
                                '</tr>'+    
                            '</table>'+
                            '<div class="dijitDialogPaneActionBar">'+
                            '<input data-dojo-type="dijit.form.Button" type="button" id="gotocancel" label=' + (SAS.Browser.ipad() ? resourceBundle.go : commonBundle.item_close) +' />'+
                            '</div>' +
                        '</form></div>',
                
                dialog = new Dialog({
                    id: 'goto_line_dlg',
                    title: resourceBundle.go_to_line,
                    content: contents,
                    style: "width: auto; height: auto;"
                });
//                if(SAS.Browser.msie()){
                    dojo.query(".dijitDialogTitleBar").on("mousedown", function(e){
                    registry.byId("goto_line").displayMessage();
                    });
//                }
                registry.byId("goto_line").invalidMessage = resourceBundle.invalid_message;
                registry.byId("goto_line").validate();
                
                dijit.byId("goto_line").validator = function(value, constraints) {
                   // var line = parseInt(value, 10);
                   // if(line <= lineCount && line > 0 && value == line || value == ""){
                       // return true;
                   // } else {
                       // return false;
                   // }
                   return isValid(getTargetLine(value)) || value == "";
                }

                dialog.closeButtonNode.title = commonBundle.item_close;
                registry.byId("gotocancel").on("click", function(e) {
                    e.preventDefault();
                    dojo.stopEvent(e);
                    if (SAS.Browser.ipad()) {
                        registry.byId("gotoline_form").submit();
                    } else {
                        dialog.hide();
                    }
                });
                dojo.connect(dialog,"hide", function(){
                    document.getElementById("goto_line").value = "";
                    dispatchEvent({type:'hide'});
                });
                
                dialog.on("keydown", function(e) {
               	  if(e.keyCode == 9 && (SAS.Browser.msie() == 10) && registry.byId("gotocancel").focused) {
               		 SAS.Utils.stopEvent(e);
               		 registry.byId("goto_line").focus();
               	  }
                 })

                // registry.byId("goto_line").attr("intermediateChanges" ,true);
                // dojo.connect(registry.byId("goto_line"), "onChange", function(value) {
                    // goTo(parseInt(value, 10));
                // });

                registry.byId("goto_line").on("keydown", function(e) {
                    var key = e.keyCode;
                    if(key ==13) {
                        registry.byId("gotoline_form").submit();
                        e.preventDefault();
                    }
                });

                registry.byId("goto_line").on("keyup", function(e) {
                    var key = e.keyCode;
                    if(key !=13 && !SAS.Browser.ipad()) {
                        goTo();
                        e.preventDefault();
                    }
                });                

                registry.byId("gotoline_form").on("submit", function(e){
                    if(e) {
                        e.preventDefault();
                    }
                    var line = getTargetLine();
                    if(isValid(line)) {
                        if (SAS.Browser.ipad()) {
                            dispatchEvent({type: 'gotoline', lineNumber: line});
                        }
                        dialog.hide();
                    }
                    return false;
                });

                function goTo() {
                    var domLine = document.getElementById("goto_line"),
                        line = getTargetLine(domLine.value);
                    if(isValid(line) && line !== lastLine) {
                        var length = domLine.value.length;
                        dispatchEvent({type: 'gotoline', lineNumber: line});
                        registry.byId("goto_line").focus();
                        domLine.selectionStart = length;
                        domLine.selectionEnd = length;
                        lastLine = line;
                    }
               }

               function getTargetLine (value) {
                   var line = !!value ? value : document.getElementById("goto_line").value;
                   if (line.match(/^\d+$/)) {
                       return parseInt(line, 10);
                   } else return 0;
               }
               
               function isValid (line) {
                   return line <= lineCount && line > 0;
               }

        return {
           attach: function (cb) {
           userCallbacks.push(cb);
           },
           detach: function (cb) {
               var i = 0;
               for (; i<userCallbacks.length; i++){
                   if (cb === userCallbacks[i]) {
                       userCallbacks.splice(i, 1);
                   }
               }
           },
           show: function(lc) {
               lineCount = lc;
               lastLine = 0;
               document.getElementById("goto_line").value = "";
               dialog.show();
               var IEversion = SAS.Browser.msie();
               if(IEversion == 10) {
               	window.setTimeout(function(){registry.byId("goto_line").focus()}, 400);
               }
           },
		   hide:function() {
		       dialog.hide();
		   },
		   displayed: function() {
			   return dialog.open;
		   }
        }
    }
    return {
        getInstance: function() {
            if(!instance) {
                instance = createDlg();
            }
            return instance;
        }
    }
}();


SAS.GoToLineDialog.getInstance();
});