define([], function() {
SAS = window.SAS || {};
SAS.Slider = function (viewObj, sliderNode) {
    var self = this,
        view = viewObj,
        slider = sliderNode,
        isDragging = true,
        startY = 0,
        _domStyle = null,
        touchStartObj, touchEndObj, touchMoveObj;
    
    function _disableEvent(e) {
        e.preventDefault();
        e.stopPropagation();
        return false;
    }
    function _onTouchStart(e) {
        isDragging = true;
        startY = e.touches[0].pageY;
        return _disableEvent(e);
    }
    function _onTouchEnd(e) {
        isDragging = false;
        return _disableEvent(e);
    }
    function _onTouchMove(e) {        
        if (isDragging) {
            //scroll
            _scroll(e.touches[0].pageY - startY);
            startY = e.touches[0].pageY;
            //update slider immediately
            self.update();
        }
        return _disableEvent(e);
    }
    function _scroll(deltaY) {
        var top= _domStyle('top') + deltaY,
            scrollTop = 0,
            textarea = view.getTextarea(),
            maxSliderScrollHei = textarea.clientHeight - _domStyle('height');
        if (top < 0) {
            top = 0;
        } else if (top > maxSliderScrollHei) {
            top = maxSliderScrollHei;
        }
        if (deltaY !== 0) {
            scrollTop = (textarea.scrollHeight - textarea.clientHeight) * top / maxSliderScrollHei;
            textarea.scrollTop = scrollTop;
        }
    }
    function _freeResources() {
        touchStartObj.remove();
        touchEndObj.remove();
        touchMoveObj.remove();
    }
    
    require(['dojo/dom', 'dojo/dom-construct', 'dojo/on', 'dojo/_base/lang', 'dojo/dom-style'], 
        function(dom, domConstruct, on, lang, domStyle){
            touchStartObj = on(slider, 'touchstart', lang.hitch(self,_onTouchStart));
            touchEndObj = on(slider, 'touchend', lang.hitch(self,_onTouchEnd));
            touchMoveObj = on(slider, 'touchmove', lang.hitch(self,_onTouchMove));
            _domStyle = function (name,value) {
                if(value!=undefined) {
                    domStyle.set(slider,name,value);
                }
                return domStyle.get(slider,name);
            }
            window.setTimeout(function(){self.update();},50);
        });
    //public API
    self.update = function(){
        var textarea = view.getTextarea(), 
            maxScrollHei = textarea.scrollHeight - textarea.clientHeight,
            maxSliderScrollHei = textarea.clientHeight - _domStyle('height');
        if (textarea.clientHeight + 2 * view.getLineHeight() >= textarea.scrollHeight){
            _domStyle('left', textarea.clientWidth + 'px');
        } else {
            _domStyle('left', (textarea.clientWidth - _domStyle('width')) + 'px');
            _domStyle('top', (maxSliderScrollHei * (textarea.scrollTop / maxScrollHei))+'px');
        }
    }
}
return SAS.Slider;
});