define(["dojo/_base/declare", "./SasSyntaxColor", "./LogListSyntaxColor", "./XmlSyntaxColor", "./RSyntaxColor"],  //TODO: should not load all
    function(declare, SasSyntaxColor, LogListSyntaxColor, XmlSyntaxColor, RSyntaxColor) {
var SyntaxColorerFactory = declare("", null, {
    constructor: function() {
    }
});

SyntaxColorerFactory.createSyntaxColorer = function(langMode, model) {
    switch(langMode){
        case SAS.Editor.LanguageMode.Log: return new LogListSyntaxColor(model);
        case SAS.Editor.LanguageMode.Xml: return new XmlSyntaxColor(model);
        case SAS.Editor.LanguageMode.R: return new RSyntaxColor(model);
        default: { 
            return new SasSyntaxColor(model);
        }
    }
};

return SyntaxColorerFactory;

});