/**
 * @author scnbwa
 * sas script code showed when editor is loaded.
 * default theme.
 */
define([], function() {
SAS = window.SAS || {};

SAS.Themes = {
    def: {
        "name": "default",
        "font-family": "Courier New, Menlo,Lucida Console",
        "font-size": "15",
        "background-color": "#FFFFFF",
        "background-blur-color": "#CCCCCC",
        "selection-color": "#CCCCCC",
        "selection-blur-color": "#CCCCCC",
        "cursor-color": "#000000",
        "cursor-background-color": "#CCCCCC",
        "editor-padding-left": "0",
        "editor-padding-top": "0",
        "text-style": "#000000",
        "comment-style": "#008000 italic",
        "literal-style": "#997777",
        "keyword-style": "#0000FF",
        "double-click-select": "#00FFFF",
        "punctuation-style": "#888888",
        "declaration-style": "#FFFFFF italic",
        "error-style": "AA0000 bold",
        "element-style": "#0000AA bold",
        "attribute-style": "#0000AA italic",
        "found-color": "#aaeeff",
        "sidebar-background-color": "#CCCCCC",
        "sidebar-padding": "4",
        "line-number-length": "4",
        "line-number-font": "New Time Romas",
        "collapse-icon-width": "9",
        "line-number-style": "#000000",
        "sec-keyword-style": "#000080 bold",
        "sep-style": "#000000",
        "macro-sec-keyword-style" : "#000080 bold",
        "macro-comment-style" : "#006000",
        "macro-keyword-style": "#0000FF",
        "string-style": "#800080",
        "date-style": "#FF0000",
        "time-style": "#FF0000",
        "dt-style": "#FF0000",
        "bitmask-style": "#FF0000",
        "namelit-style": "#FF0000",
        "hex-style": "#FF0000",
        "numeric-style": "#18A7C6",
        "cards-data-style": "#bb9905",
        "llbyline-style": "#000000",
        "lldata-style": "#FFFF00",
        "llerror-style": "#FF0000",
        "llfootnote-style": "#0000FF",
        "llheader-style": "#0000FF",
        "llmessage-style": "#00FFFF",
        "llnote-style": "#348716",
        "llsource-style": "#000000",
        "lltitle-style": "#0000FF",
        "llwarn-style": "#CDCDCD"
    },

    highContrast_1: {
        "name": "highContrast_1",
        "font-family": "Courier New, Menlo,Lucida Console",
        "font-size": "15",
        "editor-padding-left": "0",
        "editor-padding-top": "0",
        "background-color": "#000000",
        "background-blur-color": "#000000",
        "text-style": "#FFFFFF bold",
        "punctuation-style": "#FFFFFF",
        "comment-style": "#008000 italic",
        "keyword-style": "#33CCFF bold",
        "macro-keyword-style": "#33CCFF",
        "sep-style": "#FFFFFF",
        "literal-style": "#FFFFFF bold",
        "element-style": "#FFFFFF bold",
        "attribute-style": "#FFFFFF bold",
        "string-style": "#CC0099",
        "cards-data-style": "#bb9905",
        "error-style": "#FF0000 bold",
        "declaration-style": "#FFFFFF bold",
        "found-color": "#005858",
        "double-click-select": "#213654",
        "selection-color": "#213654",
        "selection-blur-color": "#213654",
        "cursor-color": "#FFFFFF",
        "cursor-background-color": "#213654",
        "sidebar-background-color": "#213654",
        "sidebar-padding": "4",
        "line-number-length": "4",
        "line-number-font": "New Time Romas",
        "collapse-icon-width": "9",
        "line-number-style": "#ffffff",
        "sec-keyword-style": "#FF0099 bold",
        "macro-sec-keyword-style" : "#FF0099 bold",
        "comment-style": "#00C000 italic"
    },

    highContrast_2: {
        "name": "highContrast_2",
        "font-family": "Courier New, Menlo,Lucida Console",
        "font-size": "15",
        "editor-padding-left": "0",
        "editor-padding-top": "0",
        "sidebar-background-color": "#000000",
        "sidebar-padding": "4",
        "line-number-length": "4",
        "line-number-font": "New Time Romas",
        "collapse-icon-width": "9",
        "line-number-style": "#32CD32",
        "background-color": "#000000",
        "background-blur-color": "#000000",
        "text-style": "#32CD32 bold",
        "string-style": "#CC0099",
        "cards-data-style": "#bb9905",
        "punctuation-style": "#32CD32",
        "comment-style": "#32CD32 italic",
        "keyword-style": "#F0E68C bold",
        "macro-keyword-style": "#F0E68C",
        "sep-style": "#32CD32",
        "literal-style": "#32CD32 bold",
        "element-style": "#32CD32 bold",
        "attribute-style": "#32CD32 bold",
        "error-style": "#F0E68C bold",
        "declaration-style": "#32CD32 bold",
        "found-color": "#0000CC",
        "double-click-select": "#0000CC",
        "selection-color": "#0000CC",
        "selection-blur-color": "#0000CC",
        "cursor-color": "#32CD32",
        "cursor-background-color": "#0000CC",
        "sec-keyword-style": "#FF9900 bold",
        "macro-sec-keyword-style" : "#FF9900 bold",
        "comment-style": "#00C0C0 italic"
    },

    highContrast_3: {
        "name": "highContrast_3",
        "font-family": "Courier New, Menlo,Lucida Console",
        "font-size": "15",
        "editor-padding-left": "0",
        "editor-padding-top": "0",
        "sidebar-background-color": "#000000",
        "sidebar-padding": "4",
        "line-number-length": "4",
        "line-number-font": "New Time Romas",
        "collapse-icon-width": "9",
        "line-number-style": "#FFFF00",
        "background-color": "#000000",
        "background-blur-color": "#000000",
        "text-style": "#FFFF00 bold",
        "string-style": "#CC0099",
        "cards-data-style": "#18b7f6",
        "punctuation-style": "#FFFF00",
        "comment-style": "#FFFF00 italic",
        "keyword-style": "#99FF99 bold",
        "macro-keyword-style": "#99FF99",
        "sep-style": "#FFFF00",
        "literal-style": "#FFFF00 bold",
        "element-style": "#FFFF00 bold",
        "attribute-style": "#FFFF00 bold",
        "error-style": "#FF0000 bold",
        "declaration-style": "#FFFF00 bold",
        "found-color": "#004000",
        "double-click-select": "#004000",
        "selection-color": "#004000",
        "selection-blur-color": "#004000",
        "cursor-color": "#FFFF00",
        "cursor-background-color": "#004000",
        "sec-keyword-style": "#FF9900 bold",
        "macro-sec-keyword-style" : "#FF9900 bold",
        "comment-style": "#AAAAAA italic"
    }
};
return SAS.Themes;
});