define(["dojo/_base/declare", "./EditContext", "./TransDriver"], function(declare, EditContext, TransDriver) {
    var TransBase = declare("", null, {
        KEY: SAS.Utils.KEY,
        RETURN_CHAR: '\n',
        constructor: function(config) {
            this.modelTA = config.modelTA;
            this.textarea = this.modelTA.getTextarea();
            this.model = config.model;
            this.preContext = config.context;
            this.control = config.control;
            this.view = config.view;
            this.endTimestamp = 0;
            this.state = TransBase.TS.IDLE;
            this.onEnd = config.onEnd;
            this.name = "";
            this.watchDogTimer = null;
            this.allowedEvents = {
                'input':true,
                'keypress':true,
                'keyup':true
            };
            this.config = config;
            //this.startWatchDog(5000); // Note: Enabling this will have impact on IME.
        },
        /*saveContext: function() {
            this.textarea.selectionState.update();
            this.preContext.selection = this.modelTA.getSelectionRange();
            this.preContext.selectedText = this.modelTA.getSelectedText();
            this.preContext.length = this.textarea.value.length;
        },*/
        startWatchDog: function(ms,condition,doAction) {
            if (this.watchDogTimer === null) {
                var self = this;
                this.watchDogTimer = window.setTimeout(function(){
                    if (condition === undefined || condition()) {
                        self.end();
                        if (doAction) doAction();
                    }
                },ms);
            }
        },
        stopWatchDog: function() {
            if (this.watchDogTimer) {
                window.clearTimeout(this.watchDogTimer);
                this.watchDogTimer = null;
            }
        },
        restartWatchDog: function(ms,condition) {
            this.stopWatchDog();
            this.startWatchDog();
        },
        stop: function(e) {
            if (e && e.preventDefault) {
                e.preventDefault();
                e.stopPropagation();
            }
            return false;
        },
        end: function() {
            this.onEnd();
            this.stopWatchDog();
        },
        allow: function(e) {
            return this.allowedEvents[e.type];
        },
        destroy: function() {
        },
        exec: function(e) {
            this.onEnd(e);
        },
        delay: function(handler,ms) {
            var self = this;
            if (isNaN(ms)) {
                ms = 0;
            }
            window.setTimeout(function(e){
                handler.apply(self,arguments);
            },ms);
        }/*,
        wait: function(){
            this.state = TransBase.TS.WAITING;
        },
        start: function() {
            this.state = TransBase.TS.DOING;
        },
        end: function() {
            this.state = TransBase.TS.END;
        },
        isWaiting: function() {
            return this.state === TransBase.TS.WAITING;
        },
        isDoing: function() {
            return this.state === TransBase.TS.DOING;
        },
        isEnd: function() {
            return this.state === TransBase.TS.END;
        }*/
    });
    TransBase.TS = {
        IDLE: 1,
        WAITING: 2,
        DOING: 3,
        END: 4,
        INIT: 5,
        INPUT: 6,
        IN_COMP: 7,
        COMP_END: 8
    };
    (function () {
        TransDriver.HANDLERS.forEach(function(item){
            if (TransBase.prototype[item] === undefined){ 
                TransBase.prototype[item] = function(e) {
                    //console.log('event:'+item);
                    this.disableFunction(e);
                };
            }
        });
    })();
    return TransBase;
});