// (c) 2014, SAS Institute Inc.

define(["./../LanguageService", "./../ace/ace"],
function(LanguageService) {
    "use strict";

var SyntaxColorerAdapter = function(mode) {
    
        var EditSession = ace.require('ace/edit_session').EditSession;
        var editSession = new EditSession('', mode),
            bgTokenizer = editSession.bgTokenizer,
            blockCache = [];
        editSession.setUseWorker(false);

    function renameLineToRow(range) {
        range.start.row = range.start.line;
        range.end.row = range.end.line;
        return range;
    }

    //TODO: implement in the future
    function handleStyle(type) {
        var types = type.split('.');
        var style = '';
        types.forEach(function(item){
            style += ' ' + item;
        });
        return style;
    }
    this.getSyntax = function(line){
        //var lines = bgTokenizer.getTokens(line,line);
        //var state = lines[0].state, tokens = lines[0].tokens, i = 0, len = tokens.length, start = 0;
        var tokens = bgTokenizer.getTokens(line), i = 0, len = tokens.length, start = 0;
        var syntax = [];
        for(;i<len;i++) {
            syntax.push({
            style: handleStyle(tokens[i].type),
            start: start
            });
            start += tokens[i].value.length;
        }
        //return defaultSyntax;
        return syntax;
    };
    this.getFoldingBlock = function(line, col){
        var block = editSession.getFoldLine(line);
        if (block) {
            block.startLine = block.start.row;
            block.endFoldingLine = block.end.row;
            block.collapsed = true;
        } else if (blockCache[line]) {
            block = blockCache[line];
            block.collapsed = false;
        }
        return block;
    };
    this.toggleFoldWidget = function(line, options) {
        return editSession.$toggleFoldWidget(line, options || {});
    };
    this.add = function(change){
        var parsingState = LanguageService.ParsingState.STARTING;
        jQuery(this).triggerHandler({type: "parsingStateEvent", state: parsingState, change: change});
        editSession.replace(renameLineToRow(change.oldRange), change.text);

        blockCache = [];
        //if (editSession.getFoldWidget) {
            var len = editSession.getLength(), blocks = [];
            for (var i = 0; i < len; i++) {
                var block = null;
                bgTokenizer.getTokens(i);
                /*if (editSession.getFoldWidget(i) === 'start') {
                    block = editSession.getFoldWidgetRange(i);
                    if (block) {
                        block.startLine = block.start.row;
                        block.endFoldingLine = block.end.row;
                        blocks.push(block);
                    }
                } else if (blocks.length > 0) {
                    var lastBlock = block = blocks[blocks.length - 1];
                    while (lastBlock && lastBlock.end.row === i) {
                        blocks.pop();
                        lastBlock = blocks[blocks.length - 1];
                    }
                }
                blockCache[i] = block;*/
            }
        //}

        parsingState = LanguageService.ParsingState.ENDED;
        jQuery(this).triggerHandler({type: "parsingStateEvent", state:parsingState});
    };
    this.type = function(line,col) {
        return 'text';
    };
    //TODO: This is ugly, to be improved in the future.
    this.getCurrentZone = function(line, col) {
        return null;
    };
    this.getProcName = function(){
        return null;
    };
    this.getStmtName = function(){
        return null;
    };
    this.getParseRange = function() {
        return null;
    };
};
return SyntaxColorerAdapter;
});
