require([
		    "dojo/query",
			"dojo/_base/array",
			"dojo/dom",
			"dojo/dom-construct",
			"dojo/dom-style",
			"dojo/dom-attr",
			"dojo/on",
			"dojo/parser",
			"doh/runner",
			"com/sas/dm/common/util/Action", 
			"com/sas/dm/common/components/ActionToggleButton",
			"dijit/Toolbar",
			"dijit/form/Button",
			
			"dijit/ToolbarSeparator",
			"dijit/Declaration",
			"dijit/form/DropDownButton",
			"dijit/form/ComboButton",
			"dijit/form/ToggleButton",
	
			"dijit/ColorPalette",
			"dijit/TooltipDialog",
			"dijit/form/TextBox",
	
			"dijit/Menu",
			"dijit/MenuItem",
	
			"dojo/NodeList-manipulate",
			"dojo/domReady!"
		], function(query, array, dom, domConstruct, domStyle, domAttr, on, parser, doh, Action, ActionToggleButton, Toolbar, Button){
			var toolbarId = "toolbar";
			var body = query("body")[0];
			var idCounter = 0;
			var clickCounter = 0;
			var setup = function(testName){
				clickCounter = 0;
				var title = domConstruct.create("h3", {"innerHTML": testName});
				domConstruct.place(title, body);
            	var toolbarDiv = domConstruct.create("div", {"id":"toolbar_"+idCounter++});
            	domConstruct.place(toolbarDiv, body);
            	var toolbar = new Toolbar({}, toolbarDiv);
              	var action = new Action("Action"+idCounter, 
              			function(){ 
              				console.log("increment click counter");
              				clickCounter++;
              			}, "sasActionIcon");
              	var actionButton = new ActionToggleButton({}, null, action);
              	toolbar.addChild(actionButton);
              	return {"action":action, "actionButton":actionButton};
            };

			//  test to ensure that an Action that is applied to an ActionToggleButton has its properties reflected through the ActionButton
			var basicApplyAction = {
	          	_vars: null,
            	name: "Basic Apply Action",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
	              	doh.assertTrue(_vars.actionButton.get("iconClass") == _vars.action.get("iconClass"));
	              	doh.assertTrue(_vars.actionButton.get("isVisible") == _vars.action.get("isVisible"));
	              	doh.assertTrue(_vars.actionButton.get("isEnabled") == _vars.action.get("isEnabled"));
	              	doh.assertTrue(_vars.actionButton.get("tooltip") == _vars.action.get("tooltip"));
	              	_vars.action.handler();
	              	doh.assertTrue(clickCounter == 1);
	              	 on.emit(_vars.actionButton.domNode, "click", {"bubbles":true, "cancelable":true});
	              	doh.assertTrue(clickCounter == 2);
	            },
	            tearDown: function(){
	            	_vars = null;
	            }
            };

            //  test to ensure that an the label is hidden when showLabel is set to false
            var showLabelFalse = {
                _vars: null,
                name: "Show label set to false",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                    doh.assertFalse(_vars == null);
                    doh.assertFalse(_vars.actionButton == null);
                    doh.assertFalse(_vars.action == null);
                    doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
                    _vars.actionButton.set("showLabel", false);
                    console.log(_vars.action.get("tooltip"));
                   _vars.action.set("tooltip", "this tooltip has been changed");
                    doh.assertTrue(_vars.actionButton.get("showLabel") == false);
                    doh.assertTrue(_vars.actionButton.get("tooltip") == _vars.action.get("tooltip"));
                    doh.assertTrue(_vars.actionButton.get("title") == _vars.action.get("tooltip"));

                },
                tearDown: function(){
                    _vars = null;
                }
            };
            
            var showLabelFalseAndBack = {
                _vars: null,
                name: "Show label set to false and back to true",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                    doh.assertFalse(_vars == null);
                    doh.assertFalse(_vars.actionButton == null);
                    doh.assertFalse(_vars.action == null);
                    doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
                    _vars.actionButton.set("showLabel", false);
                    //doh.assertTrue(_vars.actionButton.get("label") == "");
                    doh.assertFalse(_vars.actionButton.get("tooltip") == "");
                    _vars.actionButton.set("showLabel", true);
                    doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
                    
                },
                tearDown: function(){
                    _vars = null;
                }
            };
              

			// test that an update to the isVisible property on an action results in a change to the isVisible property on the ActionToggleButton
			var updateActionVisible = {
            	_vars: null,
	            name: "Update Action Visible",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	            	doh.assertTrue(_vars.actionButton.get("isVisible") == _vars.action.get("isVisible"));
	            	doh.assertTrue(_vars.actionButton.get("isVisible") == true);
	              	var originalStyle = domStyle.get(_vars.actionButton.domNode, "display");
	              	console.log("setting action.isVisible to false");
	              	_vars.action.set("isVisible", false); 
	              	var updatedStyle = domStyle.get(_vars.actionButton.domNode, "display");
	            	doh.assertFalse(originalStyle == updatedStyle);
	            	doh.assertTrue(_vars.actionButton.get("isVisible") == false);
	            	console.log("setting action.isVisible back to true");
	            	_vars.action.set("isVisible", true);
	            	var resetStyle = domStyle.get(_vars.actionButton.domNode, "display");
	            	doh.assertTrue(originalStyle == resetStyle);
	            	doh.assertTrue(_vars.actionButton.get("isVisible") == true);
	            },
	            tearDown: function(){
	            	_vars = null;
	            }	
			};
			
			// test that an update to the isEnabled property on an action results in a change to the isEnabled property on the ActionToggleButton
			var updateActionEnabled = {
            	_vars: null,
	            name: "Update Action Enabled",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	            	doh.assertTrue(_vars.actionButton.get("isEnabled") == _vars.action.get("isEnabled"));
	            	doh.assertTrue(_vars.actionButton.get("isEnabled") == true);
	              	console.log("setting action.isEnabled to false");
	              	_vars.action.set("isEnabled", false); 
	            	doh.assertTrue(_vars.actionButton.get("isEnabled") == false);
	            	console.log("setting action.isEnabled back to true");
	              	_vars.action.set("isEnabled", true); 
	            	doh.assertTrue(_vars.actionButton.get("isEnabled") == true);
	            	},
	            tearDown: function(){
	            	_vars = null;
	            }	
			};
			
			// test that an update to the label property on an action results in a change to the label property on the ActionToggleButton
			var updateActionLabel = {
            	_vars: null,
	            name: "Update Action Label",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	            	doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
	              	_vars.action.set("label", "ActionTestChanged");
	            	doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
	            },
	            tearDown: function(){
	            	_vars = null;
	            }	
			};
			
			// test that an update to the tooltip property on an action results in a change to the tooltip property on the ActionToggleButton
			var updateTooltip = {
            	_vars: null,
	            name: "Update Tooltip",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	            	doh.assertTrue(_vars.actionButton.get("tooltip") == _vars.action.get("tooltip"));
	              	_vars.action.set("tooltip", "new tooltip here");
	            	doh.assertTrue(_vars.actionButton.get("tooltip") == _vars.action.get("tooltip"));
	            	// changing the title property on the action button will deviate the tooltip from the action
	            	_vars.actionButton.set("title", "tooltip changed again");
	            	doh.assertFalse(_vars.actionButton.get("title") == _vars.action.get("tooltip"));
	            	_vars.action.set("tooltip", "resynced tooltip");
	            	doh.assertTrue(_vars.actionButton.get("tooltip") == _vars.action.get("tooltip"));
	            },
	            tearDown: function(){
	            	_vars = null;
	            }	
			};
			
			// test that an assignment of a new action is reflected in the ActionToggleButton
			var updateAction = {
            	_vars: null,
	            name: "Assign New Action",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	            	doh.assertTrue(_vars.actionButton.get("label") == _vars.action.get("label"));
	            	on.emit(_vars.actionButton.domNode, "click", {"bubbles":true, "cancelable":true});
	            	doh.assertTrue(clickCounter == 1);
	            	// create a new action.  The handler for this one will decrement the counter, vs. the original handler
	            	// which incremented the counter
	            	var newAction = new Action("ActionNew", function(){
	            												console.log("decrement click counter");
	            												clickCounter--;
	            											}, "sasAddColumnIcon");
	              	_vars.actionButton.set("action", newAction);
	            	doh.assertTrue(_vars.actionButton.get("label") == newAction.get("label"));
	            	on.emit(_vars.actionButton.domNode, "click", {"bubbles":true, "cancelable":true});
	            	doh.assertTrue(clickCounter == 0);
	            },
	            tearDown: function(){
	            	_vars = null;
	            }	
			};
			
			doh.register("ActionToggleButtonTests", [
            basicApplyAction,
            showLabelFalse,
            showLabelFalseAndBack,
            updateActionVisible,
            updateActionEnabled,
            updateActionLabel,
            updateTooltip,
            updateAction
            
          ]);
		  doh.run();
		});