require([
		    "dojo/query",
			"dojo/_base/array",
			"dojo/dom",
			"dojo/dom-construct",
			"dojo/dom-style",
			"dojo/dom-attr",
			"dojo/on",
			"dojo/parser",
			"doh/runner",
			"com/sas/dm/common/util/Action",
			"com/sas/dm/common/components/ActionListToolbar",
			
			"dijit/ToolbarSeparator",
			"dijit/Declaration",
			"dijit/form/DropDownButton",
			"dijit/form/ComboButton",
			"dijit/form/ToggleButton",
	
			"dijit/ColorPalette",
			"dijit/TooltipDialog",
			"dijit/form/TextBox",
	
			"dijit/Menu",
			"dijit/MenuItem",
	
			"dojo/NodeList-manipulate",
			"dojo/domReady!"
		], function(query, array, dom, domConstruct, domStyle, domAttr, on, parser, doh, Action, ActionListToolbar){
			var body = query("body")[0];
			var idCounter = 0;
			var clickCounter = 0;
			var setup = function(testName){
				clickCounter = 0;
				var title = domConstruct.create("h3", {"innerHTML": testName});
				domConstruct.place(title, body);
            	var toolbarDiv = domConstruct.create("div", {"id":"toolbar_"+idCounter++});
            	domConstruct.place(toolbarDiv, body);
            	var actionList = [
            	                  {
            	                   "action":new Action("Action 1",function(){console.log("clicked");}, "sasActionIcon", "Action 1 tooltip", true, true),
            	                   "params":{"showLabel":false}
            	                  },
            	                  "SEPARATOR",
            	                  new Action("Action 2",function(){console.log("clicked");}, "sasActionIcon", "Action 2 tooltip", true, true),
            	                  new Action("Action 3",function(){console.log("clicked");}, "sasActionIcon", "Action 3 tooltip", false, true),
            	                  new Action("Action 4",function(){console.log("clicked");}, "sasActionIcon", "Action 4 tooltip", false, true),
            	                  ];
            	return {"toolbarDiv":toolbarDiv, "actionList":actionList};
            };
            
            var findFirstAction = function(/*Array*/list /*uint startIndex (Optional)*/){
        		if(list == null){
        			return null;
        		}
        		var listLength = list.length;
        		var startIndex = 0;
        		if(arguments.length > 1){
        			if(arguments[1] < listLength){
        				startIndex = arguments[1];
        			}
        		}
        		for(var i=startIndex; i<listLength; i++){
        			var action = list[i];
        			if(action == null){
        				continue;
        			}
        			if(action instanceof Action){
        				return action;
        			}else if(action.hasOwnProperty("action")){
        				if(action["action"] != null && action["action"] instanceof Action){
        					return action["action"];
        				}
        			}            			
        		}
        		return null;
        	};

			//  test to ensure that an item in the toolbar is created for each action
			var basicApplyActions = {
				_vars:null,
            	name: "Basic construction test",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	
	              	doh.assertTrue(toolbar.getChildren().length == _vars.actionList.length);

	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var addButton = {
					_vars:null,
	            	name: "Test adding a button to the front of the list",
		            setUp: function(){
		            	_vars = setup(this.name);
		            },
		            runTest: function(){
		            	doh.assertFalse(_vars == null);
		            	doh.assertFalse(_vars.toolbarDiv == null);
		            	doh.assertFalse(_vars.actionList == null);
		            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
		            	var list = toolbar.get("actionList");
		            	doh.assertFalse(toolbar == null);
		            	var newAction = new Action("New Action", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true);
		            	list.splice(0, 0, newAction);
		            	doh.assertTrue(toolbar.getChildren().length == list.length);
		            	doh.assertTrue(findFirstAction(toolbar.get("actionList")).get("id") == newAction.get("id"));
		            },
		            tearDown: function(){
		            	_toolbarDiv = null;
		            }
	            };
			
		//  test removal of buttons from the toolbar through the actionList
			var removeButton = {
				_vars:null,
            	name: "Test removing a button",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var list = toolbar.get("actionList");
	            	doh.assertFalse(toolbar == null);
	            	var removedAction = list.splice(0, 1);
	            	doh.assertTrue(toolbar.getChildren().length == list.length);
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList")).get("id") == findFirstAction(_vars.actionList, 1).get("id"));
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };

			var replaceButton = {
				_vars:null,
            	name: "Test replacing the first button in the list",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var list = toolbar.get("actionList");
	            	doh.assertFalse(toolbar == null);
	            	var newAction = new Action("New Action", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true);
	            	list.splice(0, 1, newAction);
	            	doh.assertTrue(toolbar.getChildren().length == list.length);
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList")).get("id") == newAction.get("id"));
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList"),1).get("id") == findFirstAction(list, 2).get("id"));
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var replaceButtonThenAdd = {
				_vars:null,
            	name: "Test replacing the first button and separator with two new buttons",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var list = toolbar.get("actionList");
	            	doh.assertFalse(toolbar == null);
	            	var newAction = new Action("New Action", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true);
	            	var newAction2 = {"action":new Action("New Action 2", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true), "params":{"showLabel":false}};
	            	list.splice(0, 2, newAction, newAction2);
	            	doh.assertTrue(toolbar.getChildren().length == list.length);
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList")).get("id") == newAction.get("id"));
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList"),1).get("id") == newAction2.action.get("id"));
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			
			var testBindings = {
				_vars:null,
            	name: "Ensure binding is working with old and newly added buttons",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var list = toolbar.get("actionList");
	            	doh.assertFalse(toolbar == null);
	            	var newAction = new Action("New Action", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true);
	            	var newAction2 = {"action":new Action("New Action 2", function(){console.log("clicked");}, "sasAddColumnIcon", "New Action tooltip", true, true), "params":{"showLabel":false}};
	            	list.splice(0, 2, newAction, newAction2);
	            	doh.assertTrue(toolbar.getChildren().length == list.length);
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList")).get("id") == newAction.get("id"));
	            	doh.assertTrue(findFirstAction(toolbar.get("actionList"),1).get("id") == newAction2.action.get("id"));
	            	newAction2.action.set("iconClass","sasActionIcon");
	            	doh.assertTrue(toolbar.getChildren()[1].iconClass == newAction2.action.get("iconClass"));
	            	newAction.set("label","Changing labels...");
	            	doh.assertTrue(toolbar.getChildren()[0].label == newAction.get("label"));
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var testReplace = {
				_vars:null,
            	name: "Test replace with reversed actions array",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var reverseActionList = new Array();
	            	var actionListLength = _vars.actionList.length;
	            	for(var i=actionListLength-1; i>=0; i--){
	            		reverseActionList[reverseActionList.length] = _vars.actionList[i];
	            	}
	            	doh.assertFalse(toolbar == null);
	            	toolbar.replace(reverseActionList);
	            	var updatedActionList = toolbar.get("actionList");
	            	doh.assertTrue(updatedActionList[0] == _vars.actionList[_vars.actionList.length-1]);
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var testReplaceAndAdd = {
				_vars:null,
            	name: "Test replace with reversed actions array plus one new action",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var reverseActionList = new Array();
	            	var actionListLength = _vars.actionList.length;
	            	for(var i=actionListLength-1; i>=0; i--){
	            		reverseActionList[reverseActionList.length] = _vars.actionList[i];
	            	}
	            	var newAction = new Action("Added Action", function(){console.log("added action clicked");}, "sasAddColumnIcon", "Custom tooltip");
	            	reverseActionList.unshift(newAction);
	            	doh.assertFalse(toolbar == null);
	            	toolbar.replace(reverseActionList);
	            	var updatedActionList = toolbar.get("actionList");
	            	doh.assertTrue(updatedActionList.length == _vars.actionList.length+1);
	            	doh.assertTrue(updatedActionList[1] == _vars.actionList[_vars.actionList.length-1]);
	            	doh.assertTrue(updatedActionList[0] == newAction);
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var testReplaceAndRemove = {
				_vars:null,
            	name: "Test replace with reversed actions array removing an action",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.toolbarDiv == null);
	            	doh.assertFalse(_vars.actionList == null);
	            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
	            	var reverseActionList = new Array();
	            	var actionListLength = _vars.actionList.length;
	            	for(var i=actionListLength-1; i>=0; i--){
	            		if(i != 2){
	            			reverseActionList[reverseActionList.length] = _vars.actionList[i];
	            		}
	            	}
	            	doh.assertFalse(toolbar == null);
	            	toolbar.replace(reverseActionList);
	            	var updatedActionList = toolbar.get("actionList");
	            	var updatedActionListLength = updatedActionList.length; 
	            	doh.assertTrue(updatedActionListLength == _vars.actionList.length-1);
	            	for(var j=0; j<updatedActionListLength; j++){
	            		doh.assertFalse(updatedActionList[j] == _vars.actionList[2]);
	            	}
	            	
	            },
	            tearDown: function(){
	            	_toolbarDiv = null;
	            }
            };
			
			var testReplaceRemoveAndAdd = {
					_vars:null,
	            	name: "Test replace with reversed actions array removing an action and adding an action",
		            setUp: function(){
		            	_vars = setup(this.name);
		            },
		            runTest: function(){
		            	doh.assertFalse(_vars == null);
		            	doh.assertFalse(_vars.toolbarDiv == null);
		            	doh.assertFalse(_vars.actionList == null);
		            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
		            	var reverseActionList = new Array();
		            	var actionListLength = _vars.actionList.length;
		            	for(var i=actionListLength-1; i>=0; i--){
		            		if(i != 2){
		            			reverseActionList[reverseActionList.length] = _vars.actionList[i];
		            		}
		            	}
		            	doh.assertFalse(toolbar == null);
		            	var newAction = new Action("Added Action", function(){console.log("added action clicked");}, "sasAddColumnIcon", "Custom tooltip");
		            	reverseActionList.unshift(newAction);
		            	toolbar.replace(reverseActionList);
		            	var updatedActionList = toolbar.get("actionList");
		            	var updatedActionListLength = updatedActionList.length; 
		            	doh.assertTrue(updatedActionListLength == _vars.actionList.length);
		            	for(var j=0; j<updatedActionListLength; j++){
		            		doh.assertFalse(updatedActionList[j] == _vars.actionList[2]);
		            	}
		            	
		            	doh.assertTrue(updatedActionList[1] == _vars.actionList[_vars.actionList.length-1]);
		            	doh.assertTrue(updatedActionList[0] == newAction);
		            },
		            tearDown: function(){
		            	_toolbarDiv = null;
		            }
	            };
			
			var testDirectModificationOfListArray = {
					_vars:null,
	            	name: "Test modifying the arrayList that is passed in as a parameter.",
		            setUp: function(){
		            	_vars = setup(this.name);
		            },
		            runTest: function(){
		            	doh.assertFalse(_vars == null);
		            	doh.assertFalse(_vars.toolbarDiv == null);
		            	doh.assertFalse(_vars.actionList == null);
		            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, _vars.actionList);
		            	var listCopyForComparison = _vars.actionList.concat();
		            	toolbar.replace(_vars.actionList.splice(0,3));
		            	var updatedActionList = toolbar.get("actionList");
		            	var updatedActionListLength = updatedActionList.length; 
		            	doh.assertTrue(updatedActionListLength == 3);
		            	doh.assertTrue(updatedActionList[0] == listCopyForComparison[0]);
		            	doh.assertTrue(updatedActionList[1] == listCopyForComparison[1]);
		            	doh.assertTrue(updatedActionList[2] == listCopyForComparison[2]);
		            },
		            tearDown: function(){
		            	_toolbarDiv = null;
		            }
	        };
			
			var testRelaplacingAnEmptyList = {
					_vars:null,
	            	name: "Test replacing an empty action list.",
		            setUp: function(){
		            	_vars = setup(this.name);
		            },
		            runTest: function(){
		            	doh.assertFalse(_vars == null);
		            	doh.assertFalse(_vars.toolbarDiv == null);
		            	doh.assertFalse(_vars.actionList == null);
		            	var toolbar = new ActionListToolbar({}, _vars.toolbarDiv, null);
		            	var listCopyForComparison = _vars.actionList.concat();
		            	toolbar.replace(_vars.actionList);
		            	var updatedActionList = toolbar.get("actionList");
		            	var updatedActionListLength = updatedActionList.length; 
		            	doh.assertTrue(updatedActionListLength == _vars.actionList.length);
		            	
		            },
		            tearDown: function(){
		            	_toolbarDiv = null;
		            }
			};
			
			doh.register("ActionListToolbarTests", [
            basicApplyActions,
            removeButton,
            addButton,
            replaceButton,
            replaceButtonThenAdd,
            testBindings,
            testReplace,
            testReplaceAndAdd,
            testReplaceAndRemove,
            testReplaceRemoveAndAdd,
            testDirectModificationOfListArray,
            testRelaplacingAnEmptyList
            
          ]);
		  doh.run();
		});