require([
		    "dojo/query",
			"dojo/_base/array",
			"dojo/dom",
			"dojo/dom-construct",
			"dojo/dom-style",
			"dojo/dom-attr",
			"dojo/on",
			"dojo/parser",
			"doh/runner",
			"com/sas/dm/common/util/Action",
			"com/sas/dm/common/util/NestedAction",
			"com/sas/dm/common/util/MenuAction",
			"com/sas/dm/common/components/MenuButton",
			"dijit/Toolbar",
			"dijit/form/Button",
			"dojox/mvc/StatefulArray",
			"dojo/domReady!"
		], function(query, array, dom, domConstruct, domStyle, domAttr, on, parser, doh, Action, NestedAction, MenuAction, MenuButton, Toolbar, Button, StatefulArray){
			var toolbarId = "toolbar";
			var body = query("body")[0];
			var idCounter = 0;
			var clickCounter = 0;
			var setup = function(testName){
				clickCounter = 0;
				var title = domConstruct.create("h3", {"innerHTML": testName});
				domConstruct.place(title, body);
            	var toolbarDiv = domConstruct.create("div", {"id":"toolbar_"+idCounter++});
            	domConstruct.place(toolbarDiv, body);
            	var toolbar = new Toolbar({}, toolbarDiv);
              	var action = new MenuAction("Action"+idCounter, 
              			function(){ 
              				console.log("increment click counter");
              				clickCounter++;
              			}, "sasActionIcon");
              	var subAction1 = new Action("Menu Action "+idCounter, function(){
              		console.log("increment click counter");
      				clickCounter++;
              	}, "sasActionIcon" );
              	var subAction2 = new Action("Menu Action "+idCounter + " - 2", function(){
              		console.log("increment click counter");
      				clickCounter++;
              	}, "sasActionIcon" );
              	action.subActions = [subAction1, subAction2];
              	var actionButton = new MenuButton({}, null, action);
              	toolbar.addChild(actionButton);
              	return {"action":action, "actionButton":actionButton};
            };

			//  test to ensure that a MenuAction that is applied to a MenuButton has its properties reflected through the MenuButton
			var basicApplyAction = {
	          	_vars: null,
            	name: "Basic Apply Action",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].get("label") == _vars.action.get("subActions")[0].get("label"), "dropdown label matches action label");
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].get("iconClass") == _vars.action.get("subActions")[0].get("iconClass"), "dropdown iconClass matches action iconClass");
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].disabled != _vars.action.get("subActions")[0].get("isEnabled"), "dropdown isEnabled matches action isEnabled");
	              	var originalClickCounter = clickCounter;
	              	// simulate a click on the menu item
	              	_vars.actionButton.dropDown.getChildren()[0].onClick();
	              	doh.assertTrue(clickCounter > originalClickCounter, "click handler should increment counter");
	            },
	            tearDown: function(){
	            	_vars = null;
	            }
            };

            //  test to ensure that the menu item isn't displayed when isVisible is set to false.
            var isVisibleFalse = {
                _vars: null,
                name: "isVisible set to false",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	_vars.action.get("subActions")[0].set("isVisible", false);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].domNode.style.display == "none");
	            	_vars.action.get("subActions")[0].set("isVisible", true);
	            	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].domNode.style.display != "none");

                },
                tearDown: function(){
                    _vars = null;
                }
            };
            
            
            //  test to ensure that setting a new click handler on an menuitem's action is being surfaced when the item is clicked
            var updatedClickHandler = {
                _vars: null,
                name: "click handler updated",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	var originalClickCounter = clickCounter;
	              	// simulate a click on the menu item
	              	_vars.actionButton.dropDown.getChildren()[0].onClick();
	              	doh.assertTrue(clickCounter > originalClickCounter, "click handler should increment counter");
	              	_vars.action.get("subActions")[0].set("handler", function(){
	              		console.log("decrement click count");
	              		// executing in global scope since we didn't use hitch when setting the handler
	              		clickCounter--;
	              	});
	              	// simulate a click on the menu item
	              	_vars.actionButton.dropDown.getChildren()[0].onClick();
	              	doh.assertTrue(clickCounter <= originalClickCounter);
                },
                tearDown: function(){
                    _vars = null;
                }
            };
            

            //  test to ensure that the menu item is disabled when isEnabled is set to false.
            var isEnabledFalse = {
                _vars: null,
                name: "isEnabled set to false",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	_vars.action.get("subActions")[0].set("isEnabled", false);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].disabled == true);
	            	_vars.action.get("subActions")[0].set("isEnabled", true);
	            	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[0].disabled == false);

                },
                tearDown: function(){
                    _vars = null;
                }
            };
            
            
            //  test for adding an additional action to the subactions list.
            var addAction = {
                _vars: null,
                name: "adding Action",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	_vars.action.set("subActions", _vars.action.subActions.concat(new Action("additional Action", {}, "sasActionIcon")));
	              	_vars.actionButton.set("action", _vars.action);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);

                },
                tearDown: function(){
                    _vars = null;
                }
            };

            //  test using a StatefulArray as the subaction list
            var statefulActionList = {
                _vars: null,
                name: "updating Stateful subaction list",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	var originalLength = _vars.action.get("subActions").length;
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	var updatedActionsList = new StatefulArray(_vars.action.subActions.concat(new Action("additional Action", {}, "sasActionIcon")));
	              	_vars.action.set("subActions", updatedActionsList);
	              	_vars.actionButton.set("action", _vars.action);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == originalLength+1);
	              	updatedActionsList.splice(updatedActionsList.length-1, 1);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == originalLength);
	              	updatedActionsList.splice(0, 0, new Action("another action", {}, "sasMissingIcon"));
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == originalLength+1);
                },
                tearDown: function(){
                    _vars = null;
                }
            };
            
        //  test supplying a cascading menu
            var cascadingMenu = {
                _vars: null,
                name: "inserting cascading menu",
                setUp: function(){
                    _vars = setup(this.name);
                },
                runTest: function(){
                	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.actionButton == null);
	            	doh.assertFalse(_vars.action == null);
	              	doh.assertTrue(_vars.actionButton.dropDown != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren().length == _vars.action.get("subActions").length);
	              	var cascadingAction = new NestedAction("nestedAction", function(){}, "sasActionIcon");
	              	var updatedActionsList = new StatefulArray(_vars.action.subActions.concat(new Action("additional Action", {}, "sasActionIcon")));
	              	cascadingAction.set("subActions", updatedActionsList);
	              	_vars.action.set("subActions", _vars.action.get("subActions").concat(cascadingAction));
	              	_vars.actionButton.set("action", _vars.action);
	              	var updatedLength = _vars.actionButton.dropDown.getChildren().length;
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[updatedLength-1].popup != null);
	              	doh.assertTrue(_vars.actionButton.dropDown.getChildren()[updatedLength-1].popup.getChildren().length == cascadingAction.get("subActions").length);
	              	
                },
                tearDown: function(){
                    _vars = null;
                }
            };

			
			doh.register("ActionMenuItemTests", [
            basicApplyAction,
            isVisibleFalse,
            isEnabledFalse,
            updatedClickHandler,
            addAction,
            statefulActionList,
            cascadingMenu
            
          ]);
		  doh.run();
		});