require([
		    "dojo/query",
			"dojo/_base/array",
			"dojo/_base/lang",
			"dojo/dom",
			"dojo/dom-construct",
			"dojo/dom-style",
			"dojo/dom-attr",
			"dojo/on",
			"dojo/parser",
			"doh/runner",

			"com/sas/dm/common/components/breadcrumb/Breadcrumb",
			"com/sas/dm/common/components/breadcrumb/BreadcrumbModel",
	
			
			"dojo/domReady!"
		], function(query, array, _lang, dom, domConstruct, domStyle, domAttr, on, parser, doh, Breadcrumb, BreadcrumbModel){
			var body = query("body")[0];
			var idCounter = 0;
			var clickCounter = 0;
			var setup = function(testName){
				clickCounter = 0;
				var title = domConstruct.create("h3", {"innerHTML": testName});
				domConstruct.place(title, body);
            	var breadcrumbDiv = domConstruct.create("div", {"id":"breadcrumb_"+idCounter++});
            	domConstruct.place(breadcrumbDiv, body);
            	var m = new BreadcrumbModel({"label":"Breadcrumb Button 1", "handler":function(){console.log("Breadcrumb Button 1 clicked");}});
            	var modelList = [
            	                  new BreadcrumbModel({"label":"Breadcrumb Button 1", "handler":function(){console.log("Breadcrumb Button 1 clicked");}}),
            	                  new BreadcrumbModel({"label":"Breadcrumb Button 2", "handler":function(){console.log("Breadcrumb Button 2 clicked");}}),
            	                  new BreadcrumbModel({"label":"Breadcrumb Button 3", "handler":function(){console.log("Breadcrumb Button 3 clicked");}})
            	                  ];
            	return {"breadcrumbDiv": breadcrumbDiv, "modelList":modelList};
            };
            
            //  test to ensure that an item in the breadcrumb is created for each model
			var basicBreadcrumbConstructionTest = {
				_vars:null,
            	name: "Basic construction test",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length == _vars.modelList.length);
	              	doh.assertTrue(breadcrumbChildren[0].get("isFirst") == true, "breadcrumbChildren[0] was not first");
	              	if(breadcrumbChildren.length > 1){
	              		doh.assertTrue(breadcrumbChildren[0].get("isLast") == false, "breadcrumbChildren[0] was last");
	              		if(breadcrumbChildren.length > 2){
	              			doh.assertTrue(breadcrumbChildren[1].get("isFirst") == false, "breadcrumbChildren[1] was first");
	              			doh.assertTrue(breadcrumbChildren[1].get("isLast") == false, "breadcrumbChildren[1] was last");
	              		}
	              	}
	              	doh.assertTrue(breadcrumbChildren[_vars.modelList.length-1].get("isLast") == true, "Last breadcrumb button was not last");
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			 //  test to ensure that assigning a new array of models updates the breadcrumb
			var newArrayAssignmentTest = {
				_vars:null,
            	name: "Model reassignment test",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length == _vars.modelList.length);
	              	doh.assertTrue(breadcrumbChildren[0].get("label") == _vars.modelList[0].get("label"), "original label of the first breadcrumb should match the label from the initial model");
	              	var newModelList = [
											new BreadcrumbModel({"label":"Breadcrumb Button 4", "handler":function(){console.log("Breadcrumb Button 4 clicked");}}),
											new BreadcrumbModel({"label":"Breadcrumb Button 5", "handler":function(){console.log("Breadcrumb Button 5 clicked");}}),
											new BreadcrumbModel({"label":"Breadcrumb Button 6", "handler":function(){console.log("Breadcrumb Button 6 clicked");}}),
											new BreadcrumbModel({"label":"Breadcrumb Button 7", "handler":function(){console.log("Breadcrumb Button 7 clicked");}})
	              	                    ];
	              	breadcrumb.set("modelList", newModelList);
	              	doh.assertTrue(breadcrumb.getChildren().length == newModelList.length, "breadcrumb should contain as many elements as the replacement list");
	              	doh.assertTrue(breadcrumb.getChildren()[0].get("label") == newModelList[0].get("label"), "label of the first breadcrumb should reflect the new array");
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			//  test model label change
			var modelLabelChangeTest = {
				_vars:null,
            	name: "Test post construction label change",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	var firstChild = breadcrumbChildren[0];
	              	doh.assertTrue(firstChild != null, "missing first item in breadcrumb");
	              	doh.assertTrue(firstChild.get("label") == _vars.modelList[0].get("label"), "unexpected value for pre-label update");
	              	var newLabel = "Updated label";
	              	var firstModel = firstChild.get("model");
	              	doh.assertTrue(firstModel != null, "first child model property is unexpectedly null");
	              	firstModel.set("label", newLabel);
	              	firstModel.set("isActive", true);
	              	doh.assertTrue(firstChild.get("label") == newLabel, "Unexpected value after label update");
	              	doh.assertTrue(firstChild.get("isActive") == true, "Updated child should be marked as active");
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			//  test add new models
			var addModelTest = {
				_vars:null,
            	name: "Test adding additional models",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length == _vars.modelList.length, "unaltered breadcrumb should have same length as unaltered model list");
	              	var breadcrumbModels = breadcrumb.get("modelList");
	              	doh.assertFalse(breadcrumbModels == _vars.modelList, "breadcrumb should not share a reference to the original model list");
	              	var newModel = new BreadcrumbModel({"label":"Additional Button", "handler":function(){console.log("Added Breadcrumb Button clicked");}});
	              	breadcrumbModels.push(newModel);
	              	var updatedBreadcrumbChildren = breadcrumb.getChildren();
	              	var newChildrenLength = updatedBreadcrumbChildren.length;
	              	doh.assertTrue(newChildrenLength == _vars.modelList.length +1, "breadcrumb should have an additional button");
	              	var additionalButton = updatedBreadcrumbChildren[newChildrenLength-1];
	              	doh.assertTrue(additionalButton.get("label") == newModel.get("label"), "new button has same label as new model");
	              	doh.assertTrue(additionalButton.get("isLast"), "new button is last");
	              	doh.assertFalse(updatedBreadcrumbChildren[newChildrenLength-2].get("isLast"), "previous last button is no longer last");
	              	
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			//  test removing models
			var removeModelTest = {
				_vars:null,
            	name: "Test removing models from breadcrumb's modelList",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length == _vars.modelList.length, "unaltered breadcrumb should have same length as unaltered model list");
	              	var breadcrumbModels = breadcrumb.get("modelList");
	              	doh.assertFalse(breadcrumbModels == _vars.modelList, "breadcrumb should not share a reference to the original model list");
	              	breadcrumbModels.splice(breadcrumbModels.length-1, 1);
	              	var updatedBreadcrumbChildren = breadcrumb.getChildren();
	              	var newChildrenLength = updatedBreadcrumbChildren.length;
	              	doh.assertTrue(newChildrenLength == _vars.modelList.length -1, "breadcrumb should have one fewer buttons");
	              	doh.assertTrue(updatedBreadcrumbChildren[newChildrenLength-1].get("isLast"), "last button in the new list should be last");
	              	
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			//  test single model
			var singleButtonTest = {
				_vars:null,
            	name: "Test single button breadcrumb",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":[new BreadcrumbModel({"label":"Single Button", "handler":function(){console.log("Single Breadcrumb Button clicked");}})]}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length == 1, "breadcrumb should contain one child");
	              	doh.assertTrue(breadcrumbChildren[0].get("isLast"), "only breadcrumb button should be last");
	              	doh.assertTrue(breadcrumbChildren[0].get("isFirst"), "only breadcrumb button should be first");
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			
			//  test emit
			var emitEventTest = {
				_vars:null,
            	name: "Test event emit",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	breadcrumb.on("buttonClick", _lang.hitch(this, function(evt){
	            		evt.detail.model.set("label","clicked");
	            	}));
	            	var breadcrumbChildren = breadcrumb.getChildren(); 
	              	doh.assertTrue(breadcrumbChildren.length >= 1, "breadcrumb should contain at least one child");
	              	// simulate a click on one of the buttons in the breadcrumb
	              	breadcrumbChildren[0].__onClick(new MouseEvent('click'));
	              	doh.assertTrue(breadcrumbChildren[0].get("label") == "clicked");
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			//  test updating button click handler
			var clickHandlerChangeTest = {
				_vars:null,
            	name: "Test changing model click handler",
	            setUp: function(){
	            	_vars = setup(this.name);
	            },
	            runTest: function(){
	            	doh.assertFalse(_vars == null);
	            	doh.assertFalse(_vars.modelList == null);
	            	doh.assertFalse(_vars.breadcrumbDiv == null);
	            	var breadcrumb = new Breadcrumb({"modelList":_vars.modelList}, _vars.breadcrumbDiv);
	            	var breadcrumbChildren = breadcrumb.getChildren();
	            	doh.assertTrue(breadcrumbChildren.length > 0, "at least one child expected");
	            	var firstModel = breadcrumbChildren[0].get("model");
	            	firstModel.set("handler", _lang.hitch(breadcrumbChildren[0], function(){
	            		this.get("model").set("label", "abc");
	            	}));
	            	breadcrumbChildren[0].__onClick(new MouseEvent('click'));
	            	doh.assertTrue(breadcrumbChildren[0].get("label") == "abc", "click handler expected to fire due to override");
	              	
	            },
	            tearDown: function(){
	            	
	            }
            };
			
			
			doh.register("BreadcumbTests", [
            basicBreadcrumbConstructionTest,
            newArrayAssignmentTest,
            modelLabelChangeTest,
            addModelTest,
            removeModelTest,
            singleButtonTest,
            emitEventTest,
            clickHandlerChangeTest
            
          ]);
		  doh.run();
		});