define({root:
({
     "NameKey": "Estimate Within-Cluster Covariances",
     "DescriptionKey": "The Estimate Within-Cluster Covariances task uses the Art, Gnanadesikan, and Kettenring method to estimate within-cluster covariances. This approach may result in more spherical clusters when the resulting canonical variables are clustered.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The ACECLUS Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "methodDetailsGroupKey": "Details",
     "nCanKey": "Number of canonical variables:",
     "nCan_AllKey": "All",
     "nCanSpecifyKey": "Use custom value",
     "nCanValueKey": "Canonical variables:",
     "nCanValueMissingKey": "Enter an integer greater than zero and less or equal to the number of variables to be clustered for the number of canonical variables",
     "nCanValueInvalidsKey": "Enter an integer greater than zero and less or equal to the number of variables to be clustered for the number of canonical variables",
     "nCanValuePromptKey": "Enter an integer greater than zero and less or equal to the number of variables to be clustered for the number of canonical variables",
     "nCanValueRangeKey": "Enter an integer greater than zero and less or equal to the number of variables to be clustered for the number of canonical variables",
     "includePairsComboKey": "Pairs of observations to include:",
     "proportionChoiceKey": "Proportion of pairs",
     "thresholdChoiceKey": "Cutoff value for distance between pairs",
     "mpairsChoiceKey": "Number of pairs",
     "proportionKey": "Proportion:",
     "proportionMissingKey": "Enter a number greater than 0 and less than 1 for the proportion of pairs to be included in the estimation",
     "proportionInvalidKey": "Enter a number greater than 0 and less than 1 for the proportion of pairs to be included in the estimation",
     "proportionPromptKey": "Enter a number greater than 0 and less than 1 for the proportion of pairs to be included in the estimation",
     "proportionRangeKey": "Enter a number greater than 0 and less than 1 for the proportion of pairs to be included in the estimation",
     "thresholdKey": "Cutoff value:",
     "thresholdMissingKey": "Enter a number greater than 0 for the cutoff value for including pairs of observations",
     "thresholdInvalidKey": "Enter a number greater than 0 for the cutoff value for including pairs of observations",
     "thresholdPromptKey": "Enter a number greater than 0 for the cutoff value for including pairs of observations",
     "thresholdRangeKey": "Enter a number greater than 0 for the cutoff value for including pairs of observations",
     "mpairsKey": "Number of pairs to include:",
     "mpairsMissingKey": "Enter an integer greater than 0 for the number of pairs to be included in the estimation of the within-cluster covariance matrix",
     "mpairsInvalidKey": "Enter an integer greater than 0 for the number of pairs to be included in the estimation of the within-cluster covariance matrix",
     "mpairsPromptKey": "Enter an integer greater than 0 for the number of pairs to be included in the estimation of the within-cluster covariance matrix",
     "mpairsRangeKey": "Enter an integer greater than 0 for the number of pairs to be included in the estimation of the within-cluster covariance matrix",
     "initialComboKey": "Initial estimate of covariance matrix:",
     "diagonalChoiceKey": "Diagonal matrix of variances",
     "fullChoiceKey": "Total-sample covariance matrix (default)",
     "identityChoiceKey": "Identity matrix",
     "specifyMaxiterKey": "Maximum number of iterations",
     "maxiterKey": "Iterations:",
     "maxiterMissingKey": "Enter an integer greater than or equal to 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter an integer greater than or equal to 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter an integer greater than or equal to 0 for the maximum number of iterations",
     "maxiterRangeKey": "Enter an integer greater than or equal to 0 for the maximum number of iterations",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "selectedPlotChoiceKey": "Selected plots",
     "noplotsChoiceKey": "No plots",
     "ppPlotKey": "PP probability plot of distances",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outDSKey": "Create canonical variables data set",
     "outDSNameKey": "Data set name:",
     "statDSKey": "Create statistics data set",
     "statDSNameKey": "Data set name:",
     "usePrefixKey": "Specify a prefix for the canonical variable names",
     "prefixKey": "Prefix:",
     "prefixMissingKey": "Enter a valid SAS variable name for the prefix",
     "prefixInvalidKey": "Enter a valid SAS variable name for the prefix",
     "analysisVariablesKey": "Variables to use in clustering:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
