define({root:
({
     "NameKey": "Analysis of Covariance",
     "DescriptionKey": "The Analysis of Covariance task fits a linear model that combines continuous and categorical predictors of a continuous dependent variable and produces graphics for interpreting the results.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "The GLM Procedure",
     "LinkKey6": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "centerSelectKey": "Center covariate",
     "optionsTabKey": "OPTIONS",
     "modelGroupKey": "MODEL",
     "interceptSelectKey": "Intercepts:",
     "equalIntsKey": "Equal",
     "unequalIntsKey": "Unequal",
     "slopeSelectKey": "Slopes:",
     "equalSlopesKey": "Equal",
     "unequalSlopesKey": "Unequal",
     "paramComboKey": "Type of estimate:",
     "param1Key": "Direct",
     "param2Key": "Reference level",
     "refLevelComboKey": "Categorical reference level:",
     "showEstimatesKey": "Show parameter estimates",
     "statGroupKey": "MULTIPLE COMPARISONS",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareComboKey": "Method:",
     "bonferroniChoiceKey": "Bonferroni",
     "dunnettChoiceKey": "Dunnett",
     "nelsonChoiceKey": "Nelson",
     "scheffeChoiceKey": "Scheffe",
     "sidakChoiceKey": "Sidak",
     "tukeyChoiceKey": "Tukey",
     "dunnettControlLevelKey": "Control level:",
     "alphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "specifyAlphaKey": "Specify value",
     "alphaValueKey": "Custom significance level:",
     "alphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "covariateValueKey": "Covariate value:",
     "atMeanKey": "Mean",
     "atValueKey": "Specify value",
     "covValueKey": "Specify covariate value",
     "covValueMissingKey": "Enter a value of the covariate to use for multiple comparisons",
     "covValueInvalidKey": "Enter a value of the covariate to use for multiple comparisons",
     "covValuePromptKey": "Enter a value of the covariate to use for multiple comparisons",
     "plotGroupKey": "PLOTS",
     "plotsComboKey": "Display plots:",
     "defaultPlotsChoiceKey": "Default plots",
     "selectedPlotsChoiceKey": "Selected plots",
     "suppressPlotsChoiceKey": "Suppress all plots",
     "ancovaPlotKey": "Analysis of covariance plot",
     "fitPlotKey": "Linear regression plot",
     "anomPlotKey": "Analysis of means plot",
     "controlPlotKey": "Control plot",
     "diffPlotKey": "Mean difference plot",
     "lsmeansPlotKey": "Means plot",
     "diagPlotKey": "Diagnostic plots",
     "unpackComboKey": "Display as:",
     "panelChoiceKey": "Panel of plots",
     "unpackChoiceKey": "Individual plots",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "createOutputKey": "Create output data set",
     "outputDSKey": "Data set name:",
     "predictedListKey": "Predicted Values",
     "predictedKey": "Predicted values",
     "lclKey": "Confidence levels for individual predicted values",
     "lclmKey": "Confidence levels for mean predicted values",
     "outalphaKey": "Significance level:",
     "outalphaValueKey": "Custom significance level:",
     "outalphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "residualListKey": "Residuals",
     "residualKey": "Residuals",
     "studentKey": "Studentized residuals",
     "rstudentKey": "Studentized residuals with current observation removed",
     "stdListKey": "Standard Errors",
     "stdrKey": "Standard error of residuals",
     "stdpKey": "Standard error of mean predicted values",
     "stdiKey": "Standard error of individual predicted values",
     "influenceListKey": "Influence Statistics",
     "cookdKey": "Cook's D influence",
     "covratioKey": "Covratio",
     "dffitsKey": "Dffits",
     "hKey": "Leverage",
     "comment1Key": "sql is used to gather information for generating ESTIMATE statements",
     "comment2Key": "macro for generating ESTIMATE statements for direct intercept estimates",
     "comment3Key": "macro for generating ESTIMATE statements for direct slope estimates",
     "dependentVariableKey": "Dependent variable:",
     "classVariableKey": "Categorical variable:",
     "covariateKey": "Continuous covariate:",
     "outputRequirementKey": "Select at least one statistic to include in the output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
