define({root:
({
     "NameKey": "Binary Logistic Regression",
     "DescriptionKey": "The Binary Logistic Regression task performs logistic regression of a binary response.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The LOGISTIC Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "explanatoryGroupKey": "Explanatory Variables",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "responseGroupKey": "Response",
     "eventTrialsDataKey": "Response data consists of numbers of events and trials",
     "referenceLevelComboKey": "Event of interest:",
     "referenceLevelComboSelectKey": "Select a level",
     "linkFxKey": "Link function:",
     "cLogLogChoiceKey": "Complementary log-log",
     "logitChoiceKey": "Logit",
     "probitChoiceKey": "Probit",
     "methodsGroupKey": "METHODS",
     "dispersionGroupKey": "Goodness-of-fit and Overdispersion",
     "pearsonGOFKey": "Deviance and Pearson goodness-of-fit",
     "scaleComboKey": "Dispersion parameter:",
     "noScaleChoiceKey": "No correction",
     "pscaleChoiceKey": "Pearson estimate",
     "dscaleChoiceKey": "Deviance estimate",
     "customScaleChoiceKey": "Enter custom dispersion parameter",
     "correctOverdispersionKey": "Correct for overdispersion",
     "lackfitKey": "Hosmer and Lemeshow goodness-of-fit",
     "resultsGroupKey": "RESULTS",
     "statisticsGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "noStatsChoiceKey": "None",
     "additionalStatsLabelKey": "Additional Statistics",
     "parmEstGroupKey": "Parameter Estimates",
     "oddsRatioGroupKey": "Odds Ratios",
     "oddsRatiosKey": "Odds ratios for all effects",
     "clparmKey": "Confidence intervals for parameter estimates:",
     "cloddsKey": "Confidence intervals for odds ratios:",
     "stratifiedClparmKey": "Confidence intervals for parameter estimates:",
     "stratifiedCloddsKey": "Confidence intervals for odds ratios:",
     "plClChoiceKey": "Based on profile likelihood",
     "waldClChoiceKey": "Based on Wald test",
     "bothClChoiceKey": "Both",
     "noClChoiceKey": "None",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "ctableKey": "Classification table",
     "stbKey": "Standardized estimates",
     "expbKey": "Exponentiated estimates",
     "pcorrKey": "Partial correlation",
     "rsquareKey": "Generalized R Square",
     "diagnosticsGroupKey": "Diagnostics",
     "influenceKey": "Influence diagnostics",
     "stdresKey": "Include standardized and likelihood residuals",
     "expLsmeansKey": "Exponentiated least square means",
     "clLsmeansKey": "Confidence limits for least square means and mean differences",
     "corrLsmeansKey": "Correlations of least square means",
     "covLsmeansKey": "Covariances of least square means",
     "multCompareGroupKey": "Multiple Comparisons",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareExclusionKey": "Multiple comparisons are not available if model selection is requested or if GLM parameterization of classification effects is not used.",
     "multCompareListKey": "Select effects to test:",
     "multCompareComboKey": "Method:",
     "bonferroniKey": "Bonferroni",
     "dunnettKey": "Dunnett",
     "nelsonKey": "Nelson",
     "scheffeKey": "Scheffe",
     "sidakKey": "Sidak",
     "tukeyKey": "Tukey",
     "multCompareAlphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "multCompareAlphaSpecifyKey": "Use custom value",
     "multCompareAlphaValueKey": "Custom significance level:",
     "multCompareAlphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactGroupKey": "Exact Tests",
     "exactTestsKey": "Perform exact tests",
     "exactLabelKey": "Perform exact tests on the selected effects",
     "exactListKey": "Select effects to test:",
     "exactInterceptKey": "Exact test of intercept",
     "exactNoteKey": "Note: For some large problems, computation of exact tests might require a large amount of time and memory.",
     "exactAlphaComboKey": "Significance level:",
     "exactAlphaSpecifyKey": "Use custom value",
     "exactAlphaValueKey": "Custom significance level:",
     "exactAlphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactExclusionsKey": "Exact tests are not available if multiple comparisons, model selection, an output or scored data set, or a link function other than Logit is requested or if a Weight variable is used.",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "fastBackwardChoiceKey": "Fast backward elimination",
     "stepwiseChoiceKey": "Stepwise selection",
     "fastStepwiseChoiceKey": "Stepwise selection with fast backward elimination",
     "bestSubsetChoiceKey": "Best subset selection",
     "bestOptNoteKey": "Display models with the highest chi-square",
     "bestOptKey": "Number of models:",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Display selection process details",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "plotsGroupKey": "PLOTS",
     "plotsChoiceKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "allPlotsChoiceKey": "All plots",
     "noPlotsChoiceKey": "No plots",
     "additionalPlotsLabelKey": "Additional Plots",
     "dfbetasPlotKey": "Standardized DFBETA by observation number",
     "influencePlotKey": "Influence statistics by observation number",
     "dpcPlotKey": "Influence on model fit and parameter estimates",
     "predPlotKey": "Predicted probability plots",
     "effectPlotKey": "Effect plot",
     "oddsratioPlotKey": "Odds ratio plot",
     "oddsratioClipKey": "Show odds ratios from 0 to 2",
     "rocPlotKey": "ROC plot",
     "unpackPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "plotLabelsKey": "Label extreme points",
     "labelPlotsComboKey": "Label influence and ROC plots:",
     "obsnumLabelChoiceKey": "Label with observation number",
     "valuesLabelChoiceKey": "Label with variable values",
     "noLabelChoiceKey": "Do not label",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "optimizationGroupKey": "Optimization",
     "optMethodKey": "Method:",
     "defaultOptChoiceKey": "Default",
     "newtonChoiceKey": "Newton-Raphson",
     "fisherChoiceKey": "Fisher scoring",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMissingKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterRangeKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "predictedStatsGroupKey": "Predicted Values",
     "otherStatsGroupKey": "Other Statistics",
     "linpKey": "Linear predictor",
     "predKey": "Predicted values",
     "clPredKey": "Confidence limits for predicted values",
     "pearsonKey": "Pearson residuals",
     "resdevChoiceKey": "Deviance residuals",
     "reslikChoiceKey": "Likelihood residuals",
     "stdReschiChoiceKey": "Standardized Pearson residuals",
     "stdResdevChoiceKey": "Standardized deviance residuals",
     "leverageChoiceKey": "Leverage",
     "stdDfbetaChoiceKey": "Standardized DFBETA",
     "stdXbetaChoiceKey": "Standard error of the linear predictor",
     "difChisqChoiceKey": "Change in the chi-square goodness-of-fit from deleting the individual observation",
     "difDevChoiceKey": "Change in the deviance from deleting the individual observation",
     "predProbChoiceKey": "Predicted probabilities for each response level",
     "indivPredProbChoiceKey": "Individual probabilities",
     "cumulPredProbChoiceKey": "Cumulative probabilities",
     "cvPredProbChoiceKey": "Cross validated individual probabilities",
     "outputConfidenceKey": "Confidence level:",
     "scoreDSKey": "Create scored data set",
     "scoreDSNameKey": "Data set name:",
     "scoreCodeKey": "Add SAS scoring code to the log",
     "responseVariableKey": "Response:",
     "eventVariableKey": "Number of events:",
     "trialsVariableKey": "Number of trials:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "offsetVariableKey": "Offset variable:",
     "idVariablesKey": "Variables containing labels:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "aggregateVariablesKey": "Aggregate by:",
     "strataVariablesKey": "Stratify by:",
     "twoLevelResponseRequirementKey": "The response variable can only have two non-missing levels. Select another response variable.",
     "continuousClassRequirementKey": "Select at least one continuous or one classification variable.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the model on the MODEL tab.",
     "aggregateVariablesRequirementKey": "Select one or more variables to aggregate subpopulations in the Goodness-of-fit group on the OPTIONS tab.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "exactTestsNeededRequirementKey": "Select exact tests for the intercept or one or more effects."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
