define({root:
({
     "NameKey": "Binning",
     "DescriptionKey": "The Binning task creates new variables that represent the ordered bins of interval variables based on bucket, quantile, or Winsorized binning.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The BINNING Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "binMethodKey": "Method:",
     "bucketChoiceKey": "Bucket binning (default)",
     "winsorChoiceKey": "Winsorized binning",
     "quantileChoiceKey": "Quantile binning",
     "nBinsKey": "Number of bins:",
     "nBinsMissingKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsInvalidKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsPromptKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsRangeKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "winsorRateKey": "Winsor rate:",
     "winsorRateMissingKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRateInvalidKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRatePromptKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRateRangeKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "woeKey": "Compute weight of evidence and information value",
     "Key": "Order of the target variable:",
     "ascResponseOrderChoiceKey": "Ascending",
     "descResponseOrderChoiceKey": "Descending",
     "useWoeAdjustKey": "Specify adjustment factor",
     "woeAdjustKey": "Adjustment factor:",
     "woeAdjustMessageKey": "Enter a number greater than or equal to zero and less than or equal to 1.0 for the weight of evidence adjustment factor",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save binned data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsKeyInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsRangeKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetTitleKey": "Subset of {1}",
     "analysisVariablesKey": "Interval inputs to bin:",
     "targetVariableKey": "Target:",
     "copyVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "outputNotSelectedMsg": "Select some statistics to display or request an output data set.",
     "outputDSNameMsgKey": "The binned data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
