define({root:
({
     "NameKey": "Bayesian Network",
     "DescriptionKey": "The Bayesian Network task trains a predictive model of a nominal target using different types of Bayesian network structures, including naive, tree-augmented naive, Bayesian network-augmented naive, parent-child Bayesian network, and Markov blanket. Automatic selection of the best parameters using a validation data subset is available.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The BNET Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "targetGroupKey": "Target",
     "inputsGroupKey": "Inputs",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "usePartitionRandomSeedKey": "Random number seed",
     "partitionRandomSeedKey": "Random seed:",
     "partitionRandomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "responseOrderKey": "Response order:",
     "ascendingChoiceKey": "Ascending values",
     "descendingChoiceKey": "Descending values",
     "responseOrderTypeKey": "Response values:",
     "formattedChoiceKey": "Order by formatted values",
     "unformattedChoiceKey": "Order by unformatted values",
     "methodsGroupKey": "METHODS",
     "dataPrepGroupKey": "Data Preparation",
     "intervalBinsKey": "Number of bins for interval inputs:",
     "intervalBinsMessageKey": "Enter an integer greater than 1 and not greater than 1024 for the number of bins for interval inputs",
     "intervalMissingComboKey": "Missing values for interval inputs:",
     "nominalMissingComboKey": "Missing values for nominal inputs:",
     "ignoreChoiceKey": "Ignore observations with missing values (default)",
     "imputeMeanChoiceKey": "Replace missing values with the mean of the input",
     "imputeModeChoiceKey": "Replace missing values with the mode of the input",
     "levelChoiceKey": "Treat missing value as a level",
     "networkGroupKey": "Bayesian Network",
     "bestModelKey": "Select the best model",
     "prescreenKey": "Screen inputs:",
     "useAllRadioKey": "Use all inputs",
     "useDependentRadioKey": "Use inputs dependent on target (default)",
     "screeningSelectorKey": "Screen inputs:",
     "useAllChoiceKey": "Use all inputs",
     "useDependentChoiceKey": "Use inputs dependent on target (default)",
     "structureComboKey": "Structure network:",
     "structureSelectorKey": "Structure networks:",
     "mbChoiceKey": "Markov blanket",
     "naiveChoiceKey": "Naive Bayesian network",
     "pcChoiceKey": "Parent-child  Bayesian network (default)",
     "tanChoiceKey": "Tree-augmented naive Bayesian network",
     "maxParentsKey": "Maximum number of parents per node:",
     "maxParentsMessageKey": "Enter an integer between 1 and 16, inclusive for the maximum number of parents per node",
     "parentingLabelKey": "Determine the parents of the nodes:",
     "bestOneRadioKey": "Use the best variable",
     "bestSetRadioKey": "Use the best set of variables (default)",
     "parentingSelectorKey": "Determine the parents of the nodes:",
     "bestOneChoiceKey": "Use the best variable",
     "bestSetChoiceKey": "Use the best set of variables (default)",
     "varselectComboKey": "Variable selection method:",
     "varselectSelectorKey": "Variable selection methods:",
     "varselect0ChoiceKey": "Use all inputs after initial screening",
     "varselect1ChoiceKey": "Use inputs that are dependent on the target given any other input (default)",
     "varselect2ChoiceKey": "Use inputs that are dependent on the target given any subset of inputs",
     "varselect3ChoiceKey": "Use inputs in the Markov blanket of the target",
     "indepTestComboKey": "Independence tests:",
     "chisquareChoiceKey": "Chi-square statistic",
     "gsquareChoiceKey": "G-square statistic",
     "chiGsquareChoiceKey": "Chi-square and G-square statistics (default)",
     "miChoiceKey": "Mutual information",
     "allChoiceKey": "All tests",
     "alphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05 (default)",
     "alpha_01Key": "0.01",
     "alphaSpecifyKey": "Use custom value",
     "alphaValueKey": "Custom significance level:",
     "alphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "outPredDSKey": "Save predicted probabilities",
     "outPredDSNameKey": "Specify a CAS table:",
     "roleKey": "Partition identifier",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeNoVarsKey": "No variables",
     "outFitDSKey": "Save fit statistics",
     "outFitDSNameKey": "Specify a CAS table:",
     "outNetworkDSKey": "Save network structure",
     "outNetworkDSNameKey": "Specify a CAS table:",
     "outParamDSKey": "Save model parameters",
     "outParamDSNameKey": "Specify a CAS table:",
     "outValidinfoDSKey": "Save validation results",
     "outValidinfoDSNameKey": "Specify a CAS table:",
     "varInfoGroupKey": "Variable Information",
     "outVarinfoDSKey": "Save variable information",
     "outVarinfoDSNameKey": "Specify a CAS table:",
     "outVarlevelDSKey": "Save variable levels",
     "outVarlevelDSNameKey": "Specify a CAS table:",
     "outVarorderDSKey": "Save variable order",
     "outVarorderDSNameKey": "Specify a CAS table:",
     "outVarselectDSKey": "Save variable selection information",
     "outVarselectDSNameKey": "Specify a CAS table:",
     "outAstoreDSKey": "Save scoring model",
     "outAstoreDSNameKey": "Specify a CAS table:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "nominalTargetKey": "Nominal target:",
     "intervalInputsKey": "Interval inputs:",
     "nominalInputsKey": "Nominal inputs:",
     "freqVariableKey": "Frequency count:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "copyVariablesKey": "Variables to include:",
     "continuousClassRequirementKey": "Select at least one interval or nominal input.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "outPredDSNameMsgKey": "The predicted probabilities table must have a two-level name that includes a CAS engine libref.",
     "outFitDSNameMsgKey": "The fit statistics table must have a two-level name that includes a CAS engine libref.",
     "outNetworkDSNameMsgKey": "The network structure table must have a two-level name that includes a CAS engine libref.",
     "outParamDSNameMsgKey": "The model parameters table must have a two-level name that includes a CAS engine libref.",
     "outValidinfoDSNameMsgKey": "The validation results table must have a two-level name that includes a CAS engine libref.",
     "outVarinfoDSNameMsgKey": "The variable information table must have a two-level name that includes a CAS engine libref.",
     "outVarlevelDSNameMsgKey": "The variable levels table must have a two-level name that includes a CAS engine libref.",
     "outVarorderDSNameMsgKey": "The variable order table must have a two-level name that includes a CAS engine libref.",
     "outVarselectDSNameMsgKey": "The variable selection table must have a two-level name that includes a CAS engine libref.",
     "outAstoreDSNameMsgKey": "The scoring model table must have a two-level name that includes a CAS engine libref.",
     "MessageKey12": "The names of the predicted probabilities and fit statistics tables must be different.\">",
     "MessageKey13": "The names of the predicted probabilities and network structure tables must be different.\">",
     "MessageKey14": "The names of the predicted probabilities and model parameters tables must be different.\">",
     "MessageKey15": "The names of the predicted probabilities and validation results tables must be different.\">",
     "MessageKey16": "The names of the predicted probabilities and variable information tables must be different.\">",
     "MessageKey17": "The names of the predicted probabilities and variable levels tables must be different.\">",
     "MessageKey18": "The names of the predicted probabilities and variable order tables must be different.\">",
     "MessageKey19": "The names of the predicted probabilities and variable selection tables must be different.\">",
     "MessageKey20": "The names of the predicted probabilities and scoring model tables must be different.\">",
     "MessageKey21": "The names of the fit statistics and network structure tables must be different.\">",
     "MessageKey22": "The names of the fit statistics and model parameters tables must be different.\">",
     "MessageKey23": "The names of the fit statistics and validation results tables must be different.\">",
     "MessageKey24": "The names of the fit statistics and variable information tables must be different.\">",
     "MessageKey25": "The names of the fit statistics and variable levels tables must be different.\">",
     "MessageKey26": "The names of the fit statistics and variable order tables must be different.\">",
     "MessageKey27": "The names of the fit statistics and variable selection tables must be different.\">",
     "MessageKey28": "The names of the fit statistics and scoring model tables must be different.\">",
     "MessageKey29": "The names of the network structure and model parameters tables must be different.\">",
     "MessageKey30": "The names of the network structure and validation results tables must be different.\">",
     "MessageKey31": "The names of the network structure and variable information tables must be different.\">",
     "MessageKey32": "The names of the network structure and variable levels tables must be different.\">",
     "MessageKey33": "The names of the network structure and variable order tables must be different.\">",
     "MessageKey34": "The names of the network structure and variable selection tables must be different.\">",
     "MessageKey35": "The names of the network structure and scoring model tables must be different.\">",
     "MessageKey36": "The names of the model parameters and validation results tables must be different.\">",
     "MessageKey37": "The names of the model parameters and variable information tables must be different.\">",
     "MessageKey38": "The names of the model parameters and variable levels tables must be different.\">",
     "MessageKey39": "The names of the model parameters and variable order tables must be different.\">",
     "MessageKey40": "The names of the model parameters and variable selection tables must be different.\">",
     "MessageKey41": "The names of the model parameters and scoring model tables must be different.\">",
     "MessageKey42": "The names of the validation results and variable information tables must be different.\">",
     "MessageKey43": "The names of the validation results and variable levels tables must be different.\">",
     "MessageKey44": "The names of the validation results and variable order tables must be different.\">",
     "MessageKey45": "The names of the validation results and variable selection tables must be different.\">",
     "MessageKey46": "The names of the validation results and scoring model tables must be different.\">",
     "MessageKey47": "The names of the variable information and variable levels tables must be different.\">",
     "MessageKey48": "The names of the variable information and variable order tables must be different.\">",
     "MessageKey49": "The names of the variable information and variable selection tables must be different.\">",
     "MessageKey50": "The names of the variable information and scoring model tables must be different.\">",
     "MessageKey51": "The names of the variable levels and variable order tables must be different.\">",
     "MessageKey52": "The names of the variable levels and variable selection tables must be different.\">",
     "MessageKey53": "The names of the variable levels and scoring model tables must be different.\">",
     "MessageKey54": "The names of the variable order and variable selection tables must be different.\">",
     "MessageKey55": "The names of the variable order and scoring model tables must be different.\">",
     "MessageKey56": "The names of the variable selection and scoring model tables must be different.\">"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
