define({root:
({
     "NameKey": "Boolean Rules",
     "DescriptionKey": "The Boolean Rules task extracts boolean rules from text data.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The TEXTMINE Procedure",
     "LinkKey3": "The BOOLRULE Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "dataTypeInstructionKey": "The input table contains:",
     "useRawTextKey": "Unparsed text",
     "useTermByDocMatrixKey": "Term-by-document matrix",
     "unparsedDatasetInstructionKey": "Select the unparsed text input table:",
     "docByTermsDatasetInstructionKey": "Select the document by terms matrix table:",
     "inTermsDatasetInstructionKey": "Select the terms input table:",
     "languageGroupKey": "Language",
     "languageRadioArabicKey": "Arabic",
     "languageRadioChineseKey": "Chinese",
     "languageRadioCroatianKey": "Croatian",
     "languageRadioCzechKey": "Czech",
     "languageRadioDanishKey": "Danish",
     "languageRadioDutchKey": "Dutch",
     "languageRadioFarsiKey": "Farsi",
     "languageRadioFinnishKey": "Finnish",
     "languageRadioFrenchKey": "French",
     "languageRadioGermanKey": "German",
     "languageRadioGreekKey": "Greek",
     "languageRadioHebrewKey": "Hebrew",
     "languageRadioHindiKey": "Hindi",
     "languageRadioIndonesianKey": "Indonesian",
     "languageRadioItalianKey": "Italian",
     "languageRadioJapaneseKey": "Japanese",
     "languageRadioKoreanKey": "Korean",
     "languageRadioNorwegianKey": "Norwegian",
     "languageRadioPolishKey": "Polish",
     "languageRadioPortugueseKey": "Portuguese",
     "languageRadioRussianKey": "Russian",
     "languageRadioSlovakKey": "Slovak",
     "languageRadioSloveneKey": "Slovene (Slovenian)",
     "languageRadioSpanishKey": "Spanish",
     "languageRadioSwedishKey": "Swedish",
     "languageRadioTagalogKey": "Tagalog",
     "languageRadioThaiKey": "Thai",
     "languageRadioTurkishKey": "Turkish",
     "languageRadioVietnameseKey": "Vietnamese",
     "languageRadioEnglishKey": "English",
     "keyVarMsg": "Key variable:",
     "keyVarAutoGenKey": "Automatically create",
     "keyVarSelectKey": "Select variable",
     "keyVarUniqueNoteKey": "Note: The key variable must contain only unique values.",
     "keyVarUniqueNoteKey2": "Note: The key variable must contain only unique values.",
     "methodsGroupKey": "METHODS",
     "parsingGroupKey": "Parse Text",
     "useStartOrStopListKey": "Define terms to include or exclude:",
     "startListChoiceKey": "Include specific terms",
     "stopListChoiceKey": "Exclude specific terms",
     "neitherStartStopChoiceKey": "Do not include or exclude specific terms",
     "useSynonymsListKey": "Define synonyms",
     "useMultitermListKey": "Define multi-word terms",
     "reducefKey": "Minimum number of occurrences to keep a term:",
     "reducefMessageKey": "Enter an integer greater than 0 for the  minimum number of occurrences to keep a term",
     "partOfSpeechCheckKey": "Include parts of speech",
     "stemmingKey": "Stem terms",
     "entitiesCheckKey": "Extract entities",
     "partOfSpeechComboKey": "Parts of speech:",
     "keepAllPOSChoiceKey": "Keep all parts of speech",
     "keepSomePOSChoiceKey": "Keep selected parts of speech",
     "ignoreSomePOSChoiceKey": "Ignore selected parts of speech",
     "noPOSTaggingChoiceKey": "Do not tag parts of speech",
     "selectPartsOfSpeechKey": "Select parts of speech:",
     "ignorePartsOfSpeechKey": "Ignore parts of speech:",
     "abbrChoiceKey": "Abbreviation",
     "adjChoiceKey": "Adjective",
     "adverbChoiceKey": "Adverb",
     "auxChoiceKey": "Auxiliary or modal term",
     "conjChoiceKey": "Conjunction",
     "detChoiceKey": "Determiner",
     "interjChoiceKey": "Interjection",
     "numChoiceKey": "Numeric expression",
     "nounChoiceKey": "Noun",
     "partChoiceKey": "Negative participle, infinitive or possessive marker",
     "prefChoiceKey": "Prefix",
     "prepChoiceKey": "Preposition",
     "pronChoiceKey": "Pronoun",
     "properNounChoiceKey": "Proper noun",
     "punctChoiceKey": "Punctuation",
     "verbChoiceKey": "Verb",
     "verbadjChoiceKey": "Verbal adjective",
     "extractEntitiesKey": "Extract standard entities",
     "entitiesComboKey": "Entities:",
     "keepAllEntitiesChoiceKey": "Keep all entities",
     "keepSomeEntitiesChoiceKey": "Keep selected entities",
     "ignoreSomeEntitiesChoiceKey": "Ignore selected entities",
     "noEntitiesChoiceKey": "Do not extract entities",
     "selectEntitiesKey": "Select entities to keep:",
     "ignoreEntitiesKey": "Select entities to ignore:",
     "selectEntitiesDEKey": "Select entities to keep:",
     "ignoreEntitiesDEKey": "Select entities to ignore:",
     "selectEntitiesIPKey": "Select entities to keep:",
     "ignoreEntitiesIPKey": "Select entities to ignore:",
     "selectEntitiesCKey": "Select entities to keep:",
     "ignoreEntitiesCKey": "Select entities to ignore:",
     "selectEntitiesJKey": "Select entities to keep:",
     "ignoreEntitiesJKey": "Select entities to ignore:",
     "selectEntitiesKKey": "Select entities to keep:",
     "ignoreEntitiesKKey": "Select entities to ignore:",
     "addressChoiceKey": "Address",
     "companyChoiceKey": "Company",
     "currencyChoiceKey": "Currency",
     "dateChoiceKey": "Date",
     "internetChoiceKey": "Email address or URL",
     "locationChoiceKey": "Location",
     "measureChoiceKey": "Measurement",
     "nounGroupChoiceKey": "Noun phrase",
     "orgChoiceKey": "Organization",
     "percentChoiceKey": "Percentage",
     "personoChoiceKey": "Person's name",
     "phoneChoiceKey": "Telephone number",
     "ssnChoiceKey": "Social security number",
     "timeChoiceKey": "Time",
     "timePeriodChoiceKey": "Time period",
     "titleChoiceKey": "Person's title",
     "vehicleChoiceKey": "Motor vehicle",
     "extractNounGroupsKey": "Extract noun groups",
     "logCellWeightKey": "Use the log to weight the cells of the term-by-document matrix",
     "termWeightComboKey": "Weight terms by:",
     "entropyChoiceKey": "Entropy",
     "miChoiceKey": "Mutual information",
     "noTermwgtChoiceKey": "No weighting",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "parsingOutputGroupKey": "Parse Text",
     "termsDSKey": "Save parsed term information",
     "termsDSNameKey": "Specify a CAS table:",
     "parentDSKey": "Save term-by-document matrix",
     "parentDSNameKey": "Specify a CAS table:",
     "targetGroupKey": "Target",
     "targetTypeInstructionKey": "Select the type of target:",
     "binaryTargetTypeKey": "One or more binary targets",
     "multiclassTargetTypeKey": "One multi-level nominal target",
     "rulesOutputGroupKey": "Rules Extraction",
     "ruletermsDSKey": "Save rule term information",
     "ruletermsDSNameKey": "Specify a CAS table:",
     "rulesDSKey": "Save rules",
     "rulesDSNameKey": "Specify a CAS table:",
     "candidateTermsDSKey": "Save candidate terms",
     "candidateTermsDSNameKey": "Specify a CAS table:",
     "eventComboKey": "Level of interest:",
     "eventComboSelectKey": "Select a level",
     "levelOfInterestNoteKey": "All targets use the same level of interest",
     "ruleExtractionGroupKey": "Rules Extraction",
     "minSupportsKey": "Minimum number of documents in which a term must appear to be used in a rule:",
     "minSupportsMessageKey": "Enter an integer greater than 0 for the minimum number of documents",
     "gposKey": "Minimum g-score:",
     "gposMessageKey": "Enter a number greater than 0 for the minimum g-score",
     "useGnegKey": "Specify separate minimum g-score for negative terms",
     "gnegKey": "Minimum g-score for negative terms:",
     "gnegMessageKey": "Enter a number greater than 0 for the minimum g-score for negative terms",
     "mposKey": "Minimum m value for computing estimated precision:",
     "mposMessageKey": "Enter a number greater than 0 for the minimum m value",
     "useMnegKey": "Specify separate minimum m value for negative terms",
     "mnegKey": "Minimum m value for negative terms:",
     "mnegMessageKey": "Enter a number greater than 0 for the minimum m value for negative terms",
     "commentUniqueKey": "Create unique key variable",
     "textVariableKey": "Text variable:",
     "docIdVariableKey": "Key variable:",
     "nominalTargetVariableKey": "Nominal target:",
     "binaryTargetVariablesKey": "Binary targets:",
     "nominalTargetVariable2Key": "Nominal target:",
     "keepSomePartsOfSpeechMsgKey": "Select one or more parts of speech to keep.",
     "ignoreSomePartsOfSpeechMsgKey": "Select one or more parts of speech to ignore.",
     "keepSomeEntitiesMsgKey": "Select one or more entities to keep.",
     "ignoreSomeEntitiesMsgKey": "Select one or more entities to ignore.",
     "textAndSynonymsDatasetsMustBeDifferentMsgKey": "The unparsed text and synonyms CAS tables must be different.",
     "textAndMultitermsDatasetsMustBeDifferentMsgKey": "The unparsed text and multi-word terms CAS tables must be different.",
     "textAndStartListDatasetsMustBeDifferentMsgKey": "The unparsed text and terms to keep CAS tables must be different.",
     "textAndStopListDatasetsMustBeDifferentMsgKey": "The unparsed text and terms to exclude CAS tables must be different.",
     "synonymsAndMultitermsDatasetsMustBeDifferentMsgKey": "The synonyms and multi-word terms CAS tables must be different.",
     "synonymsAndStartListDatasetsMustBeDifferentMsgKey": "The synonyms and terms to keep CAS tables must be different.",
     "synonymsAndStopListDatasetsMustBeDifferentMsgKey": "The synonyms and terms to exclude CAS tables must be different.",
     "multitermsAndStartListDatasetsMustBeDifferentMsgKey": "The multi-word terms and terms to keep CAS tables must be different.",
     "multitermsAndStopListDatasetsMustBeDifferentMsgKey": "The multi-word terms and terms to exclude CAS tables must be different.",
     "rulesAndRuleTermsDatasetsMustBeDifferentMsgKey": "The names of the rules and rule terms output CAS tables must be different.",
     "rulesAndCandTermsDatasetsMustBeDifferentMsgKey": "The names of the rules and candidate terms output CAS tables must be different.",
     "rulesTermsAndCandTermsDatasetsMustBeDifferentMsgKey": "The names of the rule terms and candidate terms output CAS tables must be different.",
     "rulesAndParentDatasetsMustBeDifferentMsgKey": "The names of the rules and term-by-document output CAS tables must be different.",
     "rulesAndTermsDatasetsMustBeDifferentMsgKey": "The names of the rules and parsed terms output CAS tables must be different.",
     "ruletermsAndParentDatasetsMustBeDifferentMsgKey": "The names of the rule terms and term-by-document output CAS tables must be different.",
     "ruletermsAndTermsDatasetsMustBeDifferentMsgKey": "The names of the rule terms and parsed terms output CAS tables must be different.",
     "parentAndCandTermsDatasetsMustBeDifferentMsgKey": "The names of the term-by-document and candidate terms output CAS tables must be different.",
     "termsAndCandTermsDatasetsMustBeDifferentMsgKey": "The names of the parsed terms and candidate terms output CAS tables must be different.",
     "parentAndTermsDatasetsMustBeDifferentMsgKey": "The names of the term-by-document and parsed terms output CAS tables must be different.",
     "termByDocAndUnparsedTextDatasetsMustBeDifferentMsgKey": "The term-by-document and unparsed text input CAS tables must be different.",
     "termByDocAndTermsDatasetsMustBeDifferentMsgKey": "The term-by-document and terms input CAS tables must be different.",
     "UnparsedTextAndTermsDatasetsMustBeDifferentMsgKey": "The unparsed text and terms input CAS tables must be different.",
     "parentDSNameMsgKey": "The term-by-document table must have a two-level name that includes a CAS engine libref.",
     "rulesDSNameMsgKey": "The rules table must have a two-level name that includes a CAS engine libref.",
     "termsDSNameMsgKey": "The terms table must have a two-level name that includes a CAS engine libref.",
     "ruletermsDSNameMsgKey": "The rules term information table must have a two-level name that includes a CAS engine libref.",
     "candidateTermsDSNameMsgKey": "The candidate term information table must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
