define({root:
({
     "NameKey": "Factorization Machine",
     "DescriptionKey": "The Factorization Machine task performs matrix factorization that can be used for recommendation or predictive modeling with sparse transactional data.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey3": "The FACTMAC Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "optionsTabKey": "OPTIONS",
     "optionsGroupKey": "TRAINING OPTIONS",
     "autotuneKey": "Automatically tune selected options",
     "autotuneTimeNoteKey": "Note: Expect a considerably longer run time (read more)",
     "autotuneReadMoreKey": "The autotuning process explores many different combinations of algorithm options, training a model for each combination (and multiple models when using cross-validation).  In an effort to find the best model, some of these combinations will be configurations that take a long time to train.  The overall time it takes to find the best model will vary and you should expect this process to take significantly longer than training a single model.",
     "autoIntervalObjectiveKey": "Objective:",
     "autotuneDetailsGroupKey": "Genetic Algorithm Settings",
     "tuneNfactorsKey": "Autotune number of factors",
     "nfactorsKey": "Number of factors:",
     "nfactorMissingKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the number of factors",
     "nfactorInvalidKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the number of factors",
     "nfactorPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the number of factors",
     "nfactorRangeKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the number of factors",
     "nfactorsinitKey": "Initial value:",
     "nfactorinitMissingKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the initial value of number of factors",
     "nfactorsinitInvalidKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the initial value of number of factors",
     "nfactorsinitPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the initial value of number of factors",
     "nfactorsinitRangeKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the initial value of number of factors",
     "nfactorslbKey": "Lower bound:",
     "nfactorslbMessageKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the lower bound of the number of factors",
     "nfactorsubKey": "Upper bound:",
     "nfactorsubMessageKey": "Enter an integer greater than or equal to 1 and less than or equal to 100 for the upper bound of the number of factors",
     "tuneMaxiterKey": "Autotune number of iterations",
     "maxiterKey": "Number of iterations:",
     "maxiterMissingKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "maxiterPromptKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "maxiterRangeKey": "Enter an integer greater than or equal to 1 and less than 100000 for the maximum number of iterations",
     "maxiterinitKey": "Initial value:",
     "maxiterinitMessageKey": "Enter an integer greater than or equal to 1 for the initial value of the maximum number of iterations",
     "maxiterlbtKey": "Lower bound:",
     "maxiterlbMessageKey": "Enter an integer greater than or equal to 1 for the lower bound of the maximum number of iterations",
     "maxiterubtKey": "Upper bound:",
     "maxiterubMessageKey": "Enter an integer greater than or equal to 1 for the upper bound for the maximum number of iterations",
     "tuneLearnstepKey": "Autotune step size",
     "learnstepKey": "Step size:",
     "learnstepMissingKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for learning step size",
     "learnstepInvalidKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for learning step size",
     "learnstepPromptKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for learning step size",
     "learnstepRangeKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for learning step size",
     "learnstepinitKey": "Initial value:",
     "learnstepinintMessageKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for the initial learning step size",
     "learnstepinitMessageKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for the initial learning step size",
     "learnsteplbKey": "Lower bound:",
     "learnsteplbMessageKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for the lower bound of learning step size",
     "learnstepubKey": "Upper bound:",
     "learnstepubMessageKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for the upper bound of learning step size",
     "learnstepubtMessageKey": "Enter a number greater than .00000001 and less than or equal to 1.5 for the upper bound of learning step size",
     "autotuneGroupKey": "Autotune Settings",
     "autoSearchMethodKey": "Search method:",
     "gaSearchChoiceKey": "Genetic algorithm",
     "lhsSearchChoiceKey": "Latin hypercube sample",
     "randomSearchChoiceKey": "Random sample",
     "bayesSearchChoiceKey": "Bayesian sample",
     "autoMaxiterKey": "Maximum iterations:",
     "autoMaxiterMessageKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "autoMaxevalsKey": "Maximum evaluations:",
     "autoMaxevalsMessageKey": "Enter an integer greater than or equal to 3 for the maximum number of evaluations",
     "autoPopsizeKey": "Evaluations per iteration:",
     "autoPopsizeMessageKey": "Enter an integer greater than or equal to 2 for the number of evaluations per iteration",
     "autoSampleSizeKey": "Sample size:",
     "autoSampleSizeMessageKey": "Enter an integer greater than 1 for the sample size",
     "autoIntervalalObjectiveKey": "Objective:",
     "autotuneASEChoiceKey": "Average square error",
     "autotuneMAEChoiceKey": "Mean absolute error",
     "autotuneMSLEChoiceKey": "Mean square logarithmic error",
     "autotuneRaseChoiceKey": "Root average square error",
     "autotuneRMAEChoiceKey": "Root mean absolute error",
     "autotuneRMSLEChoiceKey": "Root mean square logarithmic error",
     "autoMaxtimeKey": "Maximum time (in minutes):",
     "autoMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in minutes",
     "autotuneComboKey": "Validation method:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "K-fold cross-validation",
     "autoValidationFractionKey": "Proportion of validation cases:",
     "autoValidationFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "autoNFoldsKey": "Number of folds:",
     "autoNFoldsMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 20 for the number of folds",
     "tuneNParallelKey": "Set number of parallel evaluations",
     "autoNParallelKey": "Parallel evaluations:",
     "autoNParallelMessageKey": "Enter an integer greater than or equal to 1 for the number of parallel evaluations",
     "tuneHistoryComboKey": "Evaluation history report:",
     "tableHistoryKey": "Results table",
     "logHistoryKey": "Log",
     "allHistoryKey": "Results table and log",
     "noHistoryKey": "Suppress report",
     "tunerplotGroupKey": "Autotune plots",
     "tunerPlotKey": "Objective history",
     "bestPlot": "Best objective history",
     "byparmPlotKey": "Option values vs. objective",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "outputMsgKey": "The following tables must use a CAS engine libref:",
     "outputCBXKey": "Create scored data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "outModelcheckKey": "Create computed factor parameters",
     "outModelKey": "Specify a CAS table:",
     "scoreCodeKey": "Save scoring model",
     "scoringCodeFileNameKey": "Specify a CAS table:",
     "includeVarsInstruction2Key": "Include variables from the input data set:",
     "includeAllVars2Key": "All variables",
     "includeAnalysisVarsPred2Key": "Variables used in the analysis excluding target, for prediction",
     "includeAnalysisVarsAssess2Key": "Variables used in the analysis including target, for assessment",
     "autotitle1": "Tune with",
     "targetVariableKey": "Interval target:",
     "nominalVariableKey": "Nominal inputs:",
     "intervalVariableKey": "Interval inputs:",
     "outputVariablesKey": "Include these variables:",
     "outputVariables2Key": "Include these variables:",
     "outputDSNameMsgKey": "The scored data set must have a two-level name that includes a CAS engine libref.",
     "outModelMsgKey": "The model data set must have a two-level name that includes a CAS engine libref.",
     "scoringCodeFileNameMsgKey": "The analytic store data set must have a two-level name that includes a CAS engine libref.",
     "tuneNfactorsRequirementKey": "The lower bound for the number of factors must be less than the upper bound.",
     "tuneLearnstepRequirementKey": "The lower bound for step size must be less than the upper bound.",
     "tuneMaxiterRequirementKey": "The lower bound for the number of iterations must be less than the upper bound.",
     "tuneParameterRequiremenKey": "Select at least one option to autotune.",
     "scoredAndFactorslMustBeDifferentMsgKey": "The names of the scored data and computed factor parameters output CAS tables must be different.",
     "scoredAndModelMustBeDifferentMsgKey": "The names of the scored data and scoring model output CAS tables must be different.",
     "factorsAndModelMustBeDifferentMsgKey": "The names of the computed factor parameters and scoring model output CAS tables must be different."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
