define({root:
({
     "NameKey": "Gradient Boosting",
     "DescriptionKey": "The Gradient Boosting task builds a predictive model for an interval or nominal target that creates an ensemble of decision trees using the gradient boosting method.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GRADBOOST Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "targetGroupKey": "Target",
     "inputsGroupKey": "Inputs",
     "useIntervalTargetKey": "Use an interval target",
     "useNominalTargetKey": "Use a nominal target",
     "methodsGroupKey": "METHODS",
     "useIntervalBinsKey": "Number of bins for interval inputs",
     "intervalBinsKey": "Number of bins:",
     "intervalBinsMessageKey": "Enter an integer greater than 1 and not greater than 500 for the number of bins for interval inputs",
     "treeOptionGroupKey": "Creating Trees",
     "maxTreesKey": "Number of iterations:",
     "maxTreesMessageKey": "Enter an integer greater than 0 and not greater than 10,000 for the number of iterations",
     "useMaxTreeRangeKey": "Autotune number of iterations",
     "initialMaxTreesKey": "Initial value:",
     "initialMaxTreesMessageKey": "Enter an integer greater than 0 and not greater than 1000 for the initial value of the number of iterations",
     "lowerMaxTreesKey": "Lower bound:",
     "lowerMaxTreesMessageKey": "Enter an integer greater than 0 and not greater than 1000 for the lower bound of the number of iterations",
     "upperMaxTreesKey": "Upper bound:",
     "upperMaxTreesMessageKey": "Enter an integer greater than 0 and not greater than 1000 for the upper bound of the number of iterations",
     "maxDepthKey": "Maximum depth of a tree:",
     "maxDepthMessageKey": "Enter an integer greater than 0 and not greater than 50 for the maximum depth of a node in a tree",
     "maxBranchesKey": "Maximum number of branches for a node:",
     "maxBranchesMessageKey": "Enter an integer greater than or equal to 2 and not greater than 5 for the maximum number of branches for a node in a tree",
     "samplingGroupKey": "Sampling",
     "nodeOptionGroupKey": "Splitting a Node",
     "inbagFractionKey": "Sampling proportion of training observations for each iteration:",
     "inbagFractionMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the sampling proportion of training data observations in the data set",
     "useInbagFractionRangeKey": "Autotune sampling proportion",
     "initialInbagFractionKey": "Initial value:",
     "initialInbagFractionMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the initial value of the sampling proportion for each iteration",
     "lowerInbagFractionKey": "Lower bound:",
     "lowerInbagFractionMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the lower bound of the sampling proportion for each iteration",
     "upperInbagFractionKey": "Upper bound:",
     "upperInbagFractionMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the upper bound of the sampling proportion for each iteration",
     "useInbagRandomSeedKey": "Random number seed",
     "inbagRandomSeedKey": "Random seed:",
     "inbagRandomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "inbagRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "splittingGroupKey": "Splitting Nodes",
     "minLeafSizeKey": "Minimum number of observations for a leaf:",
     "minLeafSizeMessageKey": "Enter an integer greater than 0 for the minimum number of observations for a leaf",
     "varsToTryLabelKey": "Number of inputs considered for splitting a node:",
     "varsToTryComboKey": "Number of inputs considered for splitting a node:",
     "varsToTryAllChoiceKey": "All inputs (Default)",
     "varsToTryCustomKey": "Use custom number of inputs",
     "customVarsToTryValueKey": "Number of inputs:",
     "customVarsToTryValueMessageKey": "Enter an integer greater than 0 and less than or equal to the total number of selected inputs for the number of inputs to consider splitting a node",
     "useVarsToTryRangeKey": "Autotune number of inputs considered for splitting a node",
     "initialVarsToTryKey": "Initial value:",
     "initialVarsToTryMessageKey": "Enter an integer greater than 0 and less than or equal to the total number of selected inputs for the initial value of the number of inputs to consider splitting a node",
     "lowerVarsToTryKey": "Lower bound:",
     "lowerVarsToTryMessageKey": "Enter an integer greater than 0 and less than or equal to the total number of selected inputs for the lower bound of the number of inputs to consider splitting a node",
     "upperVarsToTryKey": "Upper bound:",
     "upperVarsToTryMessageKey": "Enter an integer greater than 0 and less than or equal to the total number of selected inputs for the upper bound of the number of inputs to consider splitting a node",
     "learningRateKey": "Learning rate:",
     "learningRateMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the learning rate",
     "useLearningRateRangeKey": "Autotune learning rate",
     "initialLearningRateKey": "Initial value:",
     "initialLearningRateMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the initial value of the learning rate",
     "lowerLearningRateKey": "Lower bound:",
     "lowerLearningRateMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the lower bound of the learning rate",
     "upperLearningRateKey": "Upper bound:",
     "upperLearningRateMessageKey": "Enter a value greater than or equal to 1e-6 and less than or equal to 1 for the upper bound of the learning rate",
     "optimizationGroupKey": "Optimization",
     "lassoRegularizationKey": "Lasso regularization:",
     "lassoRegularizationMessageKey": "Enter a value greater than or equal to 0 for the Lasso regularization parameter",
     "useLassoRegularizationKey": "Autotune LASSO regularization",
     "initialLassoRegularizationKey": "Initial value:",
     "initialLassoRegularizationMessageKey": "Enter a value greater than or equal to 0 for the initial value of the Lasso regularization parameter",
     "lowerLassoRegularizationKey": "Lower bound:",
     "lowerLassoRegularizationMessageKey": "Enter a value greater than or equal to 0 for the lower bound of the Lasso regularization parameter",
     "upperLassoRegularizationKey": "Upper bound:",
     "upperLassoRegularizationMessageKey": "Enter a value greater than or equal to 0 for the upper bound of the Lasso regularization parameter",
     "ridgeRegularizationKey": "Ridge regularization:",
     "ridgeRegularizationMessageKey": "Enter a value greater than or equal to 0 for the ridge regularization parameter",
     "useRidgeRegularizationKey": "Autotune ridge regularization",
     "initialRidgeRegularizationKey": "Initial value:",
     "initialRidgeRegularizationMessageKey": "Enter a value greater than or equal to 0 for the initial value of the ridge regularization parameter",
     "lowerRidgeRegularizationKey": "Lower bound:",
     "lowerRidgeRegularizationMessageKey": "Enter a value greater than or equal to 0 for the lower bound of the ridge regularization parameter",
     "upperRidgeRegularizationKey": "Upper bound:",
     "upperRidgeRegularizationMessageKey": "Enter a value greater than or equal to 0 for the upper bound of the ridge regularization parameter",
     "autotuneGroupKey": "Autotune Settings",
     "autotuneKey": "Automatically tune selected options",
     "autotuneTimeNoteKey": "Note: Expect a considerably longer run time (read more)",
     "autotuneReadMoreKey": "The autotuning process explores many different combinations of algorithm options, training a model for each combination (and multiple models when using cross-validation).  In an effort to find the best model, some of these combinations will be configurations that take a long time to train.  The overall time it takes to find the best model will vary and you should expect this process to take significantly longer than training a single model.",
     "autotuneComboKey": "Validation method:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "K-fold cross-validation",
     "autoValidationFractionKey": "Proportion of validation cases:",
     "autoValidationFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "autoNFoldsKey": "Number of folds:",
     "autoNFoldsMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 20 for the number of folds",
     "autoMaxtimeKey": "Maximum time (in minutes):",
     "autoMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in minutes",
     "autoMaxiterKey": "Maximum iterations:",
     "autoMaxiterMessageKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "autoSearchMethodKey": "Search method:",
     "gaSearchChoiceKey": "Genetic algorithm",
     "lhsSearchChoiceKey": "Latin hypercube sample",
     "randomSearchChoiceKey": "Random sample",
     "bayesSearchChoiceKey": "Bayesian sample",
     "autoSampleSizeKey": "Sample size:",
     "autoSampleSizeMessageKey": "Enter an integer greater than 1 for the sample size",
     "autoNominalObjectiveKey": "Objective:",
     "autoIntervalalObjectiveKey": "Objective:",
     "autotuneASEChoiceKey": "Average square error",
     "autotuneAUCChoiceKey": "Area under curve",
     "autotuneF1ChoiceKey": "F1 score",
     "autotuneF05ChoiceKey": "F0.5 score",
     "autotuneGammaChoiceKey": "Goodman-Kruskal gamma",
     "autotuneGiniChoiceKey": "Gini's coefficient",
     "autotuneMCLLChoiceKey": "Multi-class log loss",
     "autotuneMiscChoiceKey": "Misclassification rate",
     "autotuneRaseChoiceKey": "Root average square error",
     "autotuneTauChoiceKey": "Kendall's Tau-a",
     "autotuneMAEChoiceKey": "Mean absolute error",
     "autotuneMSLEChoiceKey": "Mean square logarithmic error",
     "autotuneRMAEChoiceKey": "Root mean absolute error",
     "autotuneRMSLEChoiceKey": "Root mean square logarithmic error",
     "autotuneKSChoiceKey": "Kolmogorov-Smirnov statistic",
     "autoTargetEventComboKey": "Event of interest:",
     "autoUseFirstLevelChoiceKey": "Use first target value",
     "autoSelectLevelChoiceKey": "Select target value",
     "autoEventComboKey": "Selected event:",
     "autoEventComboSelectKey": "Select a level",
     "useAutoNParallelKey": "Set number of parallel evaluations",
     "autoNParallelKey": "Parallel evaluations:",
     "autoNParallelMessageKey": "Enter an integer greater than or equal to 1 for the number of parallel evaluations",
     "autotuneDetailsGroupKey": "Genetic Algorithm Settings",
     "autoMaxevalsKey": "Maximum evaluations:",
     "autoMaxevalsMessageKey": "Enter an integer greater than or equal to 3 for the maximum number of evaluations",
     "autoPopsizeKey": "Evaluations per iteration:",
     "autoPopsizeMessageKey": "Enter an integer greater than or equal to 2 for the number of evaluations per iteration",
     "tuneHistoryComboKey": "Evaluation history report:",
     "tableHistoryKey": "Results table",
     "logHistoryKey": "Log",
     "allHistoryKey": "Results table and log",
     "noHistoryKey": "Suppress report",
     "tunerplotGroupKey": "Autotune plots",
     "tunerPlotKey": "Objective history",
     "bestPlot": "Best objective history",
     "byparmPlotKey": "Option values vs. objective",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "odsOutputLibrefNoteKey": "The following data sets must use a SAS libref:",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "outputDSKey": "Save scored data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "outModelDSKey": "Save model",
     "outModelDSNameKey": "Specify a CAS table:",
     "outFitDSKey": "Save fit statistics",
     "outFitDSNameKey": "Specify a SAS data set:",
     "outVarImpDSKey": "Save variable importance measures",
     "outVarImpDSNameKey": "Specify a SAS data set:",
     "scoreCodeKey": "Save scoring model",
     "scoringCodeFileNameKey": "Specify a CAS table:",
     "includeVarsInstruction2Key": "Include variables from the input CAS table:",
     "includeAllVars2Key": "All variables",
     "includeAnalysisVarsPred2Key": "Variables used in the analysis excluding the target, for prediction",
     "includeAnalysisVarsAssess2Key": "Variables used in the analysis including the target, for assessment",
     "plotsGroupKey": "PLOTS",
     "asePlotKey": "Average square error by number of iterations",
     "missclassPlotKey": "Misclassifications by number of iterations",
     "variableImportancePlotKey": "Variable importance chart",
     "plotTitle1Key": "Misclassifications by Number of Iterations",
     "plotTitle1intKey": "Average Square Error by Number of Iterations",
     "plotTitle2Key": "Out-of-Bag vs. Training",
     "plotTitle2vKey": "Training vs. Validation",
     "plotTitle2aKey": "Training",
     "asePlotTitleKey": "Average Square Error",
     "missclassPlotTitleKey": "Misclassification Rate",
     "nTreesPlotTitleKey": "Number of Iterations",
     "trainingPlotTitleKey": "Training",
     "oobPlotTitleKey": "OOB",
     "validPlotTitleKey": "Validation",
     "variableImportancePlotTitleKey": "Variable Importance",
     "autotitle1": "Tune with",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "categoricalTargetKey": "Nominal target:",
     "continuousTargetKey": "Interval target:",
     "intervalVariablesKey": "Interval inputs:",
     "ordinalVariablesKey": "Ordinal inputs:",
     "nominalVariablesKey": "Nominal inputs:",
     "copyVariablesKey": "Include these variables:",
     "outputVariables2Key": "Include these variables:",
     "partitionVariableKey": "Partitioning variable:",
     "intervalOrdinalNominalRequirementKey": "Select at least one interval or nominal input.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "useMaxTreeRangeRequirementKey": "The lower bound for the number of iterations must be less than the upper bound.",
     "useInbagFractionRangeRequirementKey": "The lower bound for the sampling proportion must be less than the upper bound.",
     "useLearningRateRangeRequirementKey": "The lower bound for the learning rate must be less than the upper bound.",
     "useVarsToTryRangeRequirementKey": "The lower bound for the number of inputs to consider splitting a node must be less than the upper bound.",
     "useVarsToTryInitialValueTooLargeRequirementKey": "The initial value for the number of inputs to consider splitting a node cannot be greater than the total number of selected inputs.",
     "useVarsToTryLowerBoundsTooLargeRequirementKey": "The lower bound for the number of inputs to consider splitting a node cannot be greater than the total number of selected inputs.",
     "useVarsToTryUpperBoundsTooLargeRequirementKey": "The upper bound for the number of inputs to consider splitting a node cannot be greater than the total number of selected inputs.",
     "useVarsToTryValueTooLargeRequirementKey": "The number of inputs to consider splitting a node cannot be greater than the total number of selected inputs.",
     "useLassoRegularizationRangeRequirementKey": "The lower bound for the LASSO regularization parameter must be less than the upper bound.",
     "useRidgeRegularizationRangeRequirementKey": "The lower bound for the ridge regularization parameter must be less than the upper bound.",
     "noAutotuneOptionsRequirementKey": "Select at least one option to autotune.",
     "scoredDataAndModelDatasetsMustBeDifferentMsgKey": "The names of the scored data and model output data sets must be different.",
     "scoredDataAndFitDatasetsMustBeDifferentMsgKey": "The names of the scored data and fit statistics output data sets must be different.",
     "scoredDataAndVarImpDatasetsMustBeDifferentMsgKey": "The names of the scored data and variable importance output data sets must be different.",
     "scoredDataAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the scored data and scoring model output data sets must be different.",
     "ModelAndFitDatasetsMustBeDifferentMsgKey": "The names of the fit statistics and model output data sets must be different.",
     "ModelAndVarImpDatasetsMustBeDifferentMsgKey": "The names of the model and variable importance output data sets must be different.",
     "ModelAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the model and scoring model output data sets must be different.",
     "fitAndVarImpDatasetsMustBeDifferentMsgKey": "The names of the fit statistics and variable importance output data sets must be different.",
     "fitAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the fit statistics and scoring model output data sets must be different.",
     "varImpAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the variable importance and scoring model output data sets must be different.",
     "outputDSNameMsgKey": "The scored data set must have a two-level name that includes a CAS engine libref.",
     "outmodelDSNameMsgKey": "The model data set must have a two-level name that includes a CAS engine libref.",
     "scoringCodeFileNameMsgKey": "The analytic store data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
