define({root:
({
     "NameKey": "Clustering",
     "DescriptionKey": "The Clustering task performs clustering of interval inputs by using the k-means algorithm or clustering of nominal inputs by using the k-modes algorithm.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The KCLUS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "measurementLevelGroupKey": "LEVEL OF MEASUREMENT",
     "dataPrepGroupKey": "Data Preparation",
     "measurementLevelsLabelKey": "Inputs to use in clustering:",
     "intervalDataKey": "Interval inputs",
     "nominalDataKey": "Nominal inputs",
     "bothDataKey": "Interval and nominal inputs",
     "intervalLabelKey": "Interval inputs",
     "nominalLabelKey": "Nominal inputs",
     "missingValuesLabelKey": "Missing Values",
     "intervalImputeDataKey": "Replace interval missing values with the mean",
     "nominalImputeDataKey": "Replace nominal missing values with the most frequent value",
     "stdGroupKey": "Standardization",
     "intervalStdizeMethodKey": "Standardization method:",
     "noStdChoiceKey": "No standardization",
     "stdDevChoiceKey": "Standard deviation",
     "rangeChoiceKey": "Range",
     "intervalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "intervalRangeNoteKey": "Subtract the minimum, divide by the range",
     "clusteringGroupKey": "Clustering",
     "intervalDistanceComboKey": "Select the interval distance measure:",
     "euclideanDistanceChoiceKey": "Euclidean distance",
     "cityBlockDistanceChoiceKey": "City block (Manhattan) distance",
     "binaryDistanceComboKey": "Select the nominal distance measure:",
     "binaryDistanceChoiceKey": "Simple matching distance",
     "globalFreqChoiceKey": "Frequency-based dissimilarity",
     "relativeFreqChoiceKey": "Cluster frequency-based dissimilarity",
     "gammaKey": "Weight of the nominal distance measure (gamma):",
     "gammaMessageKey": "Enter a number greater than 0 for weight of the nominal distance measure",
     "numberOfClustersLabelKey": "Number of Clusters",
     "specifyNumberOfClustersaKey": "Specify the number of clusters",
     "estimateNumberOfClustersKey": "Estimate the number of clusters",
     "numClustersKey": "Number of clusters:",
     "numClustersMessageKey": "Enter an integer number greater than 0 and less than 2,147,483,648 for the number of clusters",
     "minClustersKey": "Minimum clusters:",
     "minClustersMessageKey": "Enter an integer number greater than 0 and less than 2,147,483,648 for the minimum number of clusters",
     "maxClustersKey": "Maximum clusters:",
     "maxClustersMessageKey": "Enter an integer number greater than 0 and less than 2,147,483,648 for the maximum number of clusters",
     "abcCriterionComboKey": "Select the criterion to estimate the number of clusters:",
     "defaultCriterionChoiceKey": "Default",
     "globalPeakChoiceKey": "Use the global peak value in gap statistics",
     "firstPeakChoiceKey": "Use the first peak value in gap statistics",
     "allCriterionChoiceKey": "Use all criteria",
     "clusterDetailsKey": "Details",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMissingKey": "Enter an integer greater than 0 for the random number seed",
     "randomSeedInvalidKey": "Enter an integer greater than 0 for the random number seed",
     "randomSeedPromptKey": "Enter an integer greater than 0 for the random number seed",
     "randomSeedRangeKey": "Enter an integer greater than 0 for the random number seed",
     "randomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "useMaxiterKey": "Maximum number of iterations",
     "maxiterKey": "Number of iterations:",
     "maxiterMessageKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "outDSKey": "Save cluster scores",
     "outDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "outstatDSKey": "Save cluster statistics",
     "outstatDSNameKey": "Specify a CAS table:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "statsGroupKey": "STATISTICS",
     "statsComboKey": "Display statistics:",
     "defaultPrintKey": "Default statistics",
     "customPrintKey": "Selected statistics",
     "noprintKey": "None",
     "plotsGroupKey": "PLOTS",
     "gapByClusterPlotKey": "Gap statistic by number of clusters",
     "intervalVariablesKey": "Interval inputs:",
     "nominalVariablesKey": "Nominal inputs:",
     "freqVariableKey": "Frequency count:",
     "copyVariablesKey": "Include these variables:",
     "minMaxClustersRequirementKey": "The maximum number of clusters cannot be less than the minimum number.",
     "scoresAndStatsDatasetsMustBeDifferentMsgKey": "The names of the cluster scores and statistics output data sets must be different.",
     "outputDSNameMsgKey": "The cluster scores data set must have a two-level name that includes a CAS engine libref.",
     "outmodelDSNameMsgKey": "The cluster statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
