define({root:
({
     "NameKey": "Neural Network",
     "DescriptionKey": "The Neural Network task uses a large set of adaptive weights to accurately approximate complex and nonlinear relationships between inputs and a target.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The NNET Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "targetGroupKey": "Target",
     "inputVarsGroupKey": "Inputs",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "useIntervalTargetKey": "Use an interval target",
     "useNominalTargetKey": "Use a nominal target",
     "useAutoEncoderKey": "Train as an autoencoder",
     "autoEncoderNoteKey": "Autoencoding is not available if the number of hidden layers is 0",
     "errorFxKey": "Distribution:",
     "entropyChoiceKey": "Entropy",
     "gammaChoiceKey": "Gamma",
     "normalChoiceKey": "Normal",
     "poissonChoiceKey": "Poisson",
     "targetActFxKey": "Activation function:",
     "defaultTargetActFxChoiceKey": "Default",
     "cosineTargetChoiceKey": "Cosine",
     "expTargetChoiceKey": "Exponential",
     "identityTargetChoiceKey": "Identity (default)",
     "tanhTargetKey": "Hyperbolic tangent",
     "sineTargetChoiceKey": "Sine",
     "targetCombFxKey": "Combination function:",
     "defaultTargetCombChoiceKey": "Default",
     "additiveTargetCombChoiceKey": "Additive",
     "linearTargetCombChoiceKey": "Linear",
     "radialTargetCombChoiceKey": "Radial",
     "methodsGroupKey": "METHODS",
     "dataPrepGroupKey": "Data Preparation",
     "missingValuesLabelKey": "Missing Values",
     "usemissKey": "Include missing values",
     "usemissMsgKey": "Missing values of nominal inputs are treated as a level of the variable. Missing values of interval inputs are replaced with the mean.",
     "stdGroupKey": "Standardization",
     "intervalStdizeMethodKey": "Standardization method:",
     "noStdChoiceKey": "No standardization",
     "stdDevChoiceKey": "Standard deviation",
     "midrangeChoiceKey": "Midrange (default)",
     "intervalStdNoteKey": "Subtract the mean, divide by the standard deviation",
     "intervalRangeNoteKey": "Scale so that the midrange is 0, the miniumum is -1, and the maximum is 1",
     "hiddenLayersGGroupKey": "Hidden Layers",
     "nHiddenLayersKey": "Number of hidden layers:",
     "nHiddenLayersMessageKey": "Enter an integer 0 or greater and less than or equal to 5 for the number of hidden layers",
     "useHiddenLayersRangeKey": "Autotune hidden layers",
     "initialHiddenLayersKey": "Initial value:",
     "initialHiddenLayersMessageKey": "Enter an integer 0 or greater and less than or equal to 5 for the initial value of the number of hidden layers",
     "lowerHiddenLayersKey": "Lower bound:",
     "lowerHiddenLayersMessageKey": "Enter an integer 0 or greater and less than or equal to 5 for the lower bound of the number of hidden layers",
     "upperHiddenLayersKey": "Upper bound:",
     "upperHiddenLayersMessageKey": "Enter an integer 0 or greater and less than or equal to 5 for the upper bound of the number of hidden layers",
     "mlpDirectKey": "Allow direct connections between input and target neurons",
     "hiddenLayerTitle1Key": "Hidden Layer 1",
     "nNeurons1Key": "Number of hidden units (neurons):",
     "nNeuronsMessageKey": "Enter an integer greater than 0 and less than or equal to 1,000 for the number of neurons",
     "hiddenLayerTitle2Key": "Hidden Layer 2",
     "nNeurons2Key": "Number of hidden units (neurons):",
     "hiddenLayerTitle3Key": "Hidden Layer 3",
     "nNeurons3Key": "Number of hidden units (neurons):",
     "hiddenLayerTitle4Key": "Hidden Layer 4",
     "nNeurons4Key": "Number of hidden units (neurons):",
     "hiddenLayerTitle5Key": "Hidden Layer 5",
     "nNeurons5Key": "Number of hidden units (neurons):",
     "hiddenLayerActFxKey": "Activation function:",
     "sineHiddenLayerChoiceKey": "Sine",
     "identityHiddenLayerChoiceKey": "Identity",
     "tanhHiddenLayerChoiceKey": "Hyperbolic tangent (default)",
     "expHiddenLayerChoiceKey": "Exponential",
     "logisticHiddenLayerChoiceKey": "Logistic",
     "rectifierHiddenLayerChoiceKey": "Rectifier",
     "softplusHiddenLayerChoiceKey": "Softplus",
     "hiddenLayerCombFxKey": "Combination function:",
     "defaultHiddenLayerCombChoiceKey": "Default",
     "additiveHiddenLayerCombChoiceKey": "Additive",
     "linearHiddenLayerCombChoiceKey": "Linear",
     "radialHiddenLayerCombChoiceKey": "Radial",
     "neuronsPerLayerRangeLabelKey": "Autotune units (neurons) per layer",
     "initialNeuronsPerLayerKey": "Initial value:",
     "initialNeuronsPerLayerMessageKey": "Enter an integer greater than 0 and less than or equal to 1,000 for the initial value of the number of neurons",
     "lowerNeuronsPerLayerKey": "Lower bound:",
     "lowerNeuronsPerLayerMessageKey": "Enter an integer greater than 0 and less than or equal to 1,000 for the lower bound of the number of neurons",
     "upperNeuronsPerLayerKey": "Upper bound:",
     "upperNeuronsPerLayerMessageKey": "Enter an integer greater than 0 and less than or equal to 1,000 for the upper bound of the number of neurons",
     "trainingDetailsGroupKey": "Training Details",
     "specifyNumtriesKey": "Specify the number of repetitions that the network is to be trained",
     "numtriesKey": "Number of repetitions:",
     "numtriesMessageKey": "Enter an integer greater than or equal to 1 and less than or equal to 64 for the number of training repetitions",
     "validNoneKey": "Use a validation subset to stop training",
     "specifyWeightsKey": "Prediction error weights",
     "optimizationGroupKey": "Optimization",
     "optMethodKey": "Method:",
     "defaultOptChoiceKey": "Default",
     "sgdChoiceKey": "SGD",
     "lbfgsChoiceKey": "LBFGS (default)",
     "quasiNewtonChoiceKey": "Dual quasi-Newton",
     "setMaxValuesLabelKey": "Set maximum values:",
     "maxiterKey": "Maximum number of iterations:",
     "maxiterMessageKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "useOptimizationMaxtimeKey": "Set the maximum time",
     "optimizationMaxtimeKey": "Time (in seconds):",
     "optimizationMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in seconds",
     "regL1Key": "L1 regularization:",
     "regL1MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the L1 regularization parameter",
     "useRegL1RangeKey": "Autotune L1 regularization",
     "initialRegL1Key": "Initial value:",
     "initialRegL1MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the initial value of the L1 regularization parameter",
     "lowerRegL1Key": "Lower bound:",
     "lowerRegL1MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the lower bound of the L1 regularization parameter",
     "upperRegL1Key": "Upper bound:",
     "upperRegL1MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the upper bound of the L1 regularization parameter",
     "regL2Key": "L2 regularization:",
     "regL2MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the L2 regularization parameter",
     "useRegL2RangeKey": "Autotune L2 regularization",
     "initialRegL2Key": "Initial value:",
     "initialRegL2MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the initial value of the L2 regularization parameter",
     "lowerRegL2Key": "Lower bound:",
     "lowerRegL2MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the lower bound of the L2 regularization parameter",
     "upperRegL2Key": "Upper bound:",
     "upperRegL2MessageKey": "Enter a value greater than or equal to 0 and less than or equal to 10 for the upper bound of the L2 regularization parameter",
     "learningRateKey": "Learning rate:",
     "learningRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the learning rate",
     "useLearningRateRangeKey": "Autotune learning rate",
     "initialLearningRateKey": "Initial value:",
     "initialLearningRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the initial value of the learning rate",
     "lowerLearningRateKey": "Lower bound:",
     "lowerLearningRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the lower bound of the learning rate",
     "upperLearningRateKey": "Upper bound:",
     "upperLearningRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the upper bound of the learning rate",
     "annealingRateKey": "Annealing rate:",
     "annealingRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the annealing rate",
     "useAnnealingRateRangeKey": "Autotune annealing rate",
     "initialAnnealingRateKey": "Initial value:",
     "initialAnnealingRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the initial value of the annealing rate",
     "lowerAnnealingRateKey": "Lower bound:",
     "lowerAnnealingRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the lower bound of the annealing rate",
     "upperAnnealingRateKey": "Upper bound:",
     "upperAnnealingRateMessageKey": "Enter a value greater than or equal to 0 and less than or equal to 100 for the upper bound of the annealing rate",
     "assessmentGroupKey": "ASSESSMENT",
     "assessmentKey": "Lift information and fit statistics",
     "autotuneGroupKey": "Autotune Settings",
     "autotuneKey": "Automatically tune selected options",
     "autotuneTimeNoteKey": "Note: Expect a considerably longer run time (read more)",
     "autotuneReadMoreKey": "The autotuning process explores many different combinations of algorithm options, training a model for each combination (and multiple models when using cross-validation).  In an effort to find the best model, some of these combinations will be configurations that take a long time to train.  The overall time it takes to find the best model will vary and you should expect this process to take significantly longer than training a single model.",
     "autotuneComboKey": "Validation method:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "K-fold cross-validation",
     "autoValidationFractionKey": "Proportion of validation cases:",
     "autoValidationFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "autoNFoldsKey": "Number of folds:",
     "autoNFoldsMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 20 for the number of folds",
     "autoMaxtimeKey": "Maximum time (in minutes):",
     "autoMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in minutes",
     "autoMaxiterKey": "Maximum iterations:",
     "autoMaxiterMessageKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "autoSearchMethodKey": "Search method:",
     "gaSearchChoiceKey": "Genetic algorithm",
     "lhsSearchChoiceKey": "Latin hypercube sample",
     "randomSearchChoiceKey": "Random sample",
     "bayesSearchChoiceKey": "Bayesian sample",
     "autoSampleSizeKey": "Sample size:",
     "autoSampleSizeMessageKey": "Enter an integer greater than 1 for the sample size",
     "autoNominalObjectiveKey": "Objective:",
     "autoIntervalalObjectiveKey": "Objective:",
     "autotuneASEChoiceKey": "Average square error",
     "autotuneAUCChoiceKey": "Area under curve",
     "autotuneF1ChoiceKey": "F1 score",
     "autotuneF05ChoiceKey": "F0.5 score",
     "autotuneGammaChoiceKey": "Goodman-Kruskal gamma",
     "autotuneGiniChoiceKey": "Gini's coefficient",
     "autotuneMCLLChoiceKey": "Multi-class log loss",
     "autotuneMiscChoiceKey": "Misclassification rate",
     "autotuneRaseChoiceKey": "Root average square error",
     "autotuneTauChoiceKey": "Kendall's Tau-a",
     "autotuneMAEChoiceKey": "Mean absolute error",
     "autotuneMSLEChoiceKey": "Mean square logarithmic error",
     "autotuneRMAEChoiceKey": "Root mean absolute error",
     "autotuneRMSLEChoiceKey": "Root mean square logarithmic error",
     "autotuneKSChoiceKey": "Kolmogorov-Smirnov statistic",
     "autoTargetEventComboKey": "Event of interest:",
     "autoUseFirstLevelChoiceKey": "Use first target value",
     "autoSelectLevelChoiceKey": "Select target value",
     "autoEventComboKey": "Selected event:",
     "autoEventComboSelectKey": "Select a level",
     "useAutoNParallelKey": "Set number of parallel evaluations",
     "autoNParallelKey": "Parallel evaluations:",
     "autoNParallelMessageKey": "Enter an integer greater than or equal to 1 for the number of parallel evaluations",
     "autotuneDetailsGroupKey": "Genetic Algorithm Settings",
     "autoMaxevalsKey": "Maximum evaluations:",
     "autoMaxevalsMessageKey": "Enter an integer greater than or equal to 3 for the maximum number of evaluations",
     "autoPopsizeKey": "Evaluations per iteration:",
     "autoPopsizeMessageKey": "Enter an integer greater than or equal to 2 for the number of evaluations per iteration",
     "tuneHistoryComboKey": "Evaluation history report:",
     "tableHistoryKey": "Results table",
     "logHistoryKey": "Log",
     "allHistoryKey": "Results table and log",
     "noHistoryKey": "Suppress report",
     "tunerplotGroupKey": "Autotune plots",
     "tunerPlotKey": "Objective history",
     "bestPlot": "Best objective history",
     "byparmPlotKey": "Option values vs. objective",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "outputDSKey": "Save scored data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "listNodeMethodKey": "Include these nodes:",
     "allListNodeChoiceKey": "All nodes",
     "inputListNodeChoiceKey": "Input nodes",
     "hiddenListNodeChoiceKey": "Hidden layer nodes",
     "outputListNodeChoiceKey": "Output nodes",
     "outmodelDSKey": "Save model parameters",
     "outmodelDSNameKey": "Specify a CAS table:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "createScoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "autotitle1": "Tune with",
     "nominalTargetsKey": "Nominal target:",
     "intervalTargetKey": "Interval target:",
     "intervalInputsKey": "Interval inputs:",
     "nominalInputsKey": "Nominal inputs:",
     "partitionVariableKey": "Partitioning variable:",
     "copyVariablesKey": "Include these variables:",
     "weightVariableKey": "Weight:",
     "continuousClassInputRequirementKey": "Select at least one interval or nominal input.",
     "moreThanTwoLayersRequirementKey": "Three or more hidden layers are only available with the SGD method in the Optimization section on the OPTIONS tab.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "useHiddenLayersRangeRequirementKey": "The lower bound for the number of hidden layers must be less than the upper bound.",
     "useNeuronsPerLayerRangeRequirementKey": "The lower bound for the neurons per layer must be less than the upper bound.",
     "useLearningRateRangeRequirementKey": "The lower bound for the learning rate must be less than the upper bound.",
     "useAnnealingRateRangeRequirementKey": "The lower bound for the annealing rate must be less than the upper bound.",
     "useL1RegularizationRangeRequirementKey": "The lower bound for the L1 regularization parameter must be less than the upper bound.",
     "useL2RegularizationRangeRequirementKey": "The lower bound for the L2 regularization parameter must be less than the upper bound.",
     "noAutotuneOptionsRequirementKey": "Select at least one option to autotune.",
     "scoredAndModelDatasetsMustBeDifferentMsgKey": "The names of the scored data and model parameters output data sets must be different.",
     "outputDSNameMsgKey": "The scored data set must have a two-level name that includes a CAS engine libref.",
     "outmodelDSNameMsgKey": "The model parameters data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
