define({root:
({
     "NameKey": "Centrality Metrics",
     "DescriptionKey": "The Centrality Metrics task calculates several types of centrality metrics which indicate the relative importance of a node or link within a graph.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey21": "The NETWORK Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "linkGroupKey": "LINKS",
     "linksdatasetGroupKey": "Data",
     "linkRolesGroupKey": "Roles",
     "addLinkRolesGroupKey": "Additional Roles",
     "linkDirectionKey": "Link direction:",
     "undirectedLinkKey": "Undirected",
     "directedLinkKey": "Directed",
     "includeNodesDataKey": "Include nodes data",
     "nodeGroupKey": "NODES",
     "nodesdatasetGroupKey": "Data",
     "nodeRolesGroupKey": "Roles",
     "chkCentralityKey": "CENTRALITY METRICS",
     "chkCentralityDegreeKey": "Degree",
     "chkCentralityInfluenceKey": "Influence",
     "chkCentralityClusteringKey": "Clustering Coefficient",
     "chkCentralityClosenessKey": "Closeness",
     "chkCentralityBetweennessKey": "Betweenness",
     "chkCentralityEigenvectorKey": "Eigenvector",
     "chkCentralityHubKey": "Hub Score",
     "chkCentralityAuthorityKey": "Authority Score",
     "metricTypeInfluenceComboKey": "Metric type:",
     "metricTypeInfluenceweightKey": "Weighted (default)",
     "metricTypeInfluenceunweightKey": "Unweighted",
     "metricTypeInfluencebothKey": "Both weighted and unweighted",
     "metricTypeClosenessComboKey": "Metric type:",
     "metricTypeClosenessweightKey": "Weighted (default)",
     "metricTypeClosenessunweightKey": "Unweighted",
     "metricTypeClosenessbothKey": "Both weighted and unweighted",
     "metricTypeBetweennessComboKey": "Metric type:",
     "metricTypeBetweennessweightKey": "Weighted (default)",
     "metricTypeBetweennessunweightKey": "Unweighted",
     "metricTypeBetweennessbothKey": "Both weighted and unweighted",
     "metricTypeEigenvectorComboKey": "Metric type:",
     "metricTypeEigenvectorweightKey": "Weighted (default)",
     "metricTypeEigenvectorunweightKey": "Unweighted",
     "metricTypeEigenvectorbothKey": "Both weighted and unweighted",
     "metricTypeHubComboKey": "Metric type:",
     "metricTypeHubweightKey": "Weighted (default)",
     "metricTypeHubunweightKey": "Unweighted",
     "metricTypeHubbothKey": "Both weighted and unweighted",
     "metricTypeAuthorityComboKey": "Metric type:",
     "metricTypeAuthorityweightKey": "Weighted (default)",
     "metricTypeAuthorityunweightKey": "Unweighted",
     "metricTypeAuthoritybothKey": "Both weighted and unweighted",
     "chkNormalizeBetweennessKey": "Normalize betweenness centrality",
     "closeNoPathUnWtComboKey": "Shortest path distance between disconnected nodes:",
     "closeNoPathUnWtDIAMETERKey": "Use graph diameter plus one (default)",
     "closeNoPathUnWtHARMONICKey": "Use the harmonic formula",
     "closeNoPathUnWtNNODESKey": "Use number of nodes",
     "closeNoPathUnWtZEROKey": "Use zero",
     "closeNoPathWtComboKey": "Shortest path distance between disconnected nodes:",
     "closeNoPathWtDIAMETERKey": "Use graph diameter plus one (default)",
     "closeNoPathWtHARMONICKey": "Use the harmonic formula",
     "closeNoPathWtZEROKey": "Use zero",
     "eigenAlgoLabelKey": "Eigenvector calculation method:",
     "AUTOMATICKey": "Automatic (default)",
     "JDKey": "Jacobi-Davidson algorithm",
     "POWERKey": "Power method",
     "eigenmaxitersLabelKey": "Maximum number of iterations for eigenvector calculations:",
     "eigenmaxitersRadioDefaultKey": "Use 10000 (default)",
     "eigenmaxitersRadioCustomKey": "Use custom value",
     "eigenmaxItersKey": "Number of iterations:",
     "eigenmaxItersMsgKey": "Enter an integer greater than or equal to 1 for the number of iterations",
     "methodsGroupKey": "METHODS",
     "logLevelKey": "Log details:",
     "logLevelBasicKey": "Basic summary (default)",
     "logLevelModerateKey": "Summary",
     "logLevelDetailedKey": "Detailed summary",
     "logLevelNoneKey": "No summary",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procNetworkKey": "Use NETWORK procedure",
     "casActionKey": "Use CAS precedure",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref.",
     "outputLinksDSKey": "Create output links table",
     "outputLinksDSNameKey": "Specify a CAS table:",
     "outputNodesDSKey": "Create output nodes table",
     "outputNodesDSNameKey": "Specify a CAS table:",
     "byTableNoteKey": "Nodes or nodes subset data table cannot be used when group analysis is requested.",
     "byProcNoteKey": "PROC OPTMODEL does not support group analysis as of current release.",
     "fromVarKey": "From node:",
     "toVarKey": "To node:",
     "weightVarLinkKey": "Weight:",
     "auxWeightVarLinkKey": "Auxiliary weight:",
     "byVariablesKey": "Group analysis by:",
     "nodeVarKey": "Node:",
     "lowerVarNodeKey": "Node supply lower bound:",
     "upperVarNodeKey": "Node supply upper bound:",
     "weightVarNodeKey": "Weight:",
     "linkNodeSameNameMsgKey": "The links and nodes data tables must be different.",
     "fromToVarsSameTypeMsgKey": "The from node and to node should be of the same type.",
     "pickMetricMsg": "Select at least one centrality metric from the OPTIONS tab.",
     "outputLinksDSNameMsgKey": "The output links table must have a two-level name that includes a CAS engine libref.",
     "outputNodesDSNameMsgKey": "The output nodes table must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
