define({root:
({
     "NameKey": "Community Detection",
     "DescriptionKey": "The community detection task partitions a graph into communities such that the nodes within the community subgraphs are more densely connected than the nodes from different communities.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey21": "The NETWORK Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "linkGroupKey": "LINKS",
     "linksdatasetGroupKey": "Data",
     "linkRolesGroupKey": "Roles",
     "addLinkRolesGroupKey": "Additional Roles",
     "linkDirectionKey": "Link direction:",
     "undirectedLinkKey": "Undirected",
     "directedLinkKey": "Directed",
     "includeNodesDataKey": "Include nodes data",
     "nodeGroupKey": "NODES",
     "nodesdatasetGroupKey": "Data",
     "nodeRolesGroupKey": "Roles",
     "groupAlgorithmKey": "ALGORITHM",
     "groupResolutionKey": "RESOLUTION",
     "groupRecursiveKey": "RECURSIVE",
     "groupRecursive2Key": "Recursive stopping criteria",
     "methodsGroupKey": "METHODS",
     "groupStoppingKey": "STOPPING CRITERION",
     "groupRandomKey": "Randomization",
     "chkRecursiveKey": "Recursively break down large communities into smaller ones",
     "chkResolutionKey": "Specify a list of resolution values",
     "commAlgoKey": "Algorithms:",
     "LOUVAINKey": "Louvain algorithm (default)",
     "LABELPROPKey": "Label propagation algorithm",
     "PARALLELLABELPROPKey": "Parallel label propagation algorithm",
     "maxCommSizeLabelKey": "Maximum number of nodes in a community:",
     "maxCommSizeRadioDefaultKey": "No limit (default)",
     "maxCommSizeRadioCustomKey": "Use custom value",
     "maxDiameterLabelKey": "Maximum diameter of a community:",
     "maxDiameterRadioDefaultKey": "No limit (default)",
     "maxDiameterRadioCustomKey": "Use custom value",
     "maxItersLabelKey": "Maximum number of iterations:",
     "maxItersRadioDefaultKey": "Use default",
     "maxItersRadioCustomKey": "Use custom value",
     "linkRemovalRatioLabelKey": "Percentage of small-weight links to be removed:",
     "linkRemovalRatioRadioDefaultKey": "Use 10 (default)",
     "linkRemovalRatioRadioCustomKey": "Use custom value",
     "randFactorLabelKey": "Portion of nodes to skip the label propagation step:",
     "randFactorRadioDefaultKey": "Use 0.15 (default)",
     "randFactorRadioCustomKey": "Use custom value",
     "randSeedLabelKey": "Random seed:",
     "randSeedRadioDefaultKey": "Use 1234 (default)",
     "randSeedRadioCustomKey": "Use custom value",
     "toleranceLabelKey": "Tolerance value for when to stop iterations:",
     "toleranceRadioDefaultKey": "Use 0.01 (default)",
     "toleranceRadioCustomKey": "Use custom value",
     "maxCommSizeKey": "Number of nodes:",
     "maxCommSizeMsgKey": "Enter an integer greater than 0 for the number of nodes",
     "maxDiameterKey": "Number of links:",
     "maxDiameterMsgKey": "Enter an integer greater than 0 for the number of links",
     "maxItersKey": "Number of iterations:",
     "maxItersMsgKey": "Enter an integer greater than 1 for the number of iterations",
     "linkRemovalRatioKey": "Percentage of links:",
     "linkRemovalRatioMsgKey": "Enter an integer greater than 0 and less than 100 for the percentage of links",
     "randSeedKey": "Seed:",
     "randSeedMsgKey": "Enter an integer greater than 0 for the seed",
     "toleranceKey": "Tolerance:",
     "toleranceMsgKey": "Enter a value greater than 0 and less than 1 for the tolerance",
     "randFactorKey": "Ratio:",
     "randFactorMsgKey": "Enter a value greater than 0 and less than 1 for the ratio",
     "relationKey": "Stop breaking down large communities:",
     "ANDKey": "When both above criteria are satisfied",
     "ORKey": "When either above criterion is satisfied",
     "resolutionGroupKey": "RESOLUTION",
     "null_missingMessageKey": "Enter a number for resolution that is greater than zero",
     "null_invalidMessageKey": "Enter a number for resolution that is greater than zero",
     "null_promptMessageKey": "Enter a number for resolution that is greater than zero",
     "null_rangeMessageKey": "Enter a number for resolution that is greater than zero",
     "logLevelKey": "Log details:",
     "logLevelBasicKey": "Basic summary (default)",
     "logLevelModerateKey": "Summary",
     "logLevelDetailedKey": "Detailed summary",
     "logLevelNoneKey": "No summary",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procNetworkKey": "Use NETWORK procedure",
     "casActionKey": "Use CAS procedure",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref.",
     "outputLinksDSKey": "Create output links table",
     "outputLinksDSNameKey": "Specify a CAS table:",
     "outputNodesDSKey": "Create output nodes table",
     "outputNodesDSNameKey": "Specify a CAS table:",
     "outputCOMMLINKSDSKey": "Create output links between communities table",
     "outputCOMMLINKSDSNameKey": "Specify a CAS table:",
     "outputCOMMUNITYDSKey": "Create output nodes count in each community table",
     "outputCOMMUNITYDSNameKey": "Specify a CAS table:",
     "outputLEVELDSKey": "Create output community information at different resolution levels table",
     "outputLEVELDSNameKey": "Specify a CAS table:",
     "outputOVERLAPDSKey": "Create output nodes intensity table",
     "outputOVERLAPDSNameKey": "Specify a CAS table:",
     "byTableNoteKey": "Nodes or nodes subset data table cannot be used when group analysis is requested.",
     "byProcNoteKey": "PROC OPTMODEL does not support group analysis as of current release.",
     "fromVarKey": "From node:",
     "toVarKey": "To node:",
     "weightVarLinkKey": "Weight:",
     "auxWeightVarLinkKey": "Auxiliary weight:",
     "byVariablesKey": "Group analysis by:",
     "nodeVarKey": "Node:",
     "lowerVarNodeKey": "Node supply lower bound:",
     "upperVarNodeKey": "Node supply upper bound:",
     "weightVarNodeKey": "Weight:",
     "linkNodeSameNameMsgKey": "The links and nodes data tables must be different.",
     "fromToVarsSameTypeMsgKey": "The from node and to node should be of the same type.",
     "byVariablesMsgKey": "The variable name 'community' is a reserved keyword for output tables. Rename or choose a different by variable for group analysis.",
     "outputDSNameMsgKey": "The output links table must have a two-level name that includes a CAS engine libref.",
     "outputCOMMLINKSDSNameMsgKey": "The output links between communities table must have a two-level name that includes a CAS engine libref.",
     "outputCOMMUNITYDSNameMsgKey": "The output output nodes count in each community table must have a two-level name that includes a CAS engine libref.",
     "outputLEVELDSNameMsgKey": "The output community information at different resolution levels table must have a two-level name that includes a CAS engine libref.",
     "outputOVERLAPDSMsgKey": "The output nodes intensity table must have a two-level name that includes a CAS engine libref.",
     "resolutionTable_labelKey": "Resolution values:",
     "resolution_labelKey": "Resolution"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
