define({root:
({
     "NameKey": "Cycle Detection",
     "DescriptionKey": "The Cycle Detection task finds the elementary cycles of an input graph. An elementary cycle is a path in which the start node and end node are the same and otherwise no node appears more than once in the sequence.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey21": "The NETWORK Procedure",
     "LinkKey22": "The OPTNETWORK Procedure",
     "LinkKey23": "The OPTMODEL Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "linkGroupKey": "LINKS",
     "linkDataGroupKey": "Data",
     "linkRolesGroupKey": "Roles",
     "addLinkRolesGroupKey": "Additional Roles",
     "linkDirectionKey": "Link direction:",
     "undirectedLinkKey": "Undirected",
     "directedLinkKey": "Directed",
     "includeNodesDataKey": "Include nodes data",
     "nodeGroupKey": "NODES",
     "nodeDataGroupKey": "Data",
     "nodeRolesGroupKey": "Roles",
     "methodsGroupKey": "METHODS",
     "cycleModeKey": "Number of cycles:",
     "findFirstCycleKey": "Find the first cycle (default)",
     "findAllCyclesKey": "Find all cycles",
     "findSpecifiedCyclesKey": "Find up to specified number of cycles",
     "maxCyclesKey": "Maximum number of cycles:",
     "maxCyclesPromptKey": "Enter an integer greater than or equal to 1.",
     "maxTimeLabelKey": "Maximum time:",
     "maxTimeDefaultKey": "No limit (default)",
     "maxTimeCustomKey": "Use custom value",
     "maxTimeKey": "Time in seconds:",
     "maxTimePromptKey": "Enter a number greater than 0.",
     "detailsGroupKey": "Details",
     "maxLengthCboxKey": "Specify maximum links per cycle",
     "maxLengthKey": "Maximum links:",
     "maxLengthPromptKey": "Enter an integer greater than or equal to 1.",
     "minLengthLabelKey": "Minimum links per cycle:",
     "minLengthDefaultKey": "1 (default)",
     "minLengthCustomKey": "Use custom value",
     "minLengthKey": "Minimum links:",
     "minLengthPromptKey": "Enter an integer greater than or equal to 1.",
     "maxLinkWgtCboxKey": "Specify maximum sum of link weights per cycle",
     "maxLinkWgtKey": "Maximum sum:",
     "maxLinkWgtPromptKey": "Enter a number.",
     "minLinkWgtCboxKey": "Specify minimum sum of link weights per cycle",
     "minLinkWgtKey": "Minimum sum:",
     "minLinkWgtPromptKey": "Enter a number.",
     "maxNodeWgtCboxKey": "Specify maximum sum of node weights per cycle",
     "maxNodeWgtKey": "Maximum sum:",
     "maxNodeWgtPromptKey": "Enter a number.",
     "minNodeWgtCboxKey": "Specify minimum sum of node weights per cycle",
     "minNodeWgtKey": "Minimum sum:",
     "minNodeWgtPromptKey": "Enter a number.",
     "logLevelKey": "Log details:",
     "logLevelBasicKey": "Basic summary (default)",
     "logLevelModerateKey": "Summary",
     "logLevelDetailedKey": "Detailed summary",
     "logLevelNoneKey": "No summary",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procNetworkKey": "Use NETWORK procedure",
     "procOptNetKey": "Use OPTNETWORK procedure",
     "procOptModelKey": "Use OPTMODEL procedure",
     "casActionKey": "Use CAS procedure",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref.",
     "outputDSKey": "Create cycles information table",
     "outputDSNameKey": "Specify a CAS table:",
     "byTableNoteKey": "Nodes or nodes subset data table cannot be used when group analysis is requested.",
     "byProcNoteKey": "PROC OPTMODEL does not support group analysis as of current release.",
     "orLicenseNoteKey": "The OPTMODEL and OPTNETWORK procedures require SAS/OR license.",
     "fromVariableKey": "From node:",
     "toVariableKey": "To node:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "nodeVariableKey": "Node:",
     "weightVarNodeKey": "Weight:",
     "linkNodeSameNameMsgKey": "The links and nodes data tables must be different.",
     "fromToVarsSameTypeMsgKey": "The from node and to node should be of the same type.",
     "maxMinLengthMsgKey": "The maximum number of links per cycle should be greater than or equal to the minimum number of links.",
     "maxMinLinkWgtMsgKey": "The maximum sum of link weights per cycle should be greater than or equal to the minimum sum of link weights.",
     "maxMinNodeWgtMsgKey": "The maximum sum of node weights per cycle should be greater than or equal to the minimum sum of node weights.",
     "outputDSNameMsgKey": "The output cycles information table must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
