define({root:
({
     "NameKey": "Traveling Salesman Problem",
     "DescriptionKey": "The Traveling Salesman task finds a minimum cost tour over all the nodes in a graph.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey22": "The OPTNETWORK Procedure",
     "LinkKey23": "The OPTMODEL Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "LINKS DATA",
     "dataLabelKey": "Specify the link data set:",
     "rolesGroupKey": "ROLES",
     "addLinkRolesGroupKey": "ADDITIONAL ROLES",
     "linksGroupKey": "Roles",
     "graphDirectionGroupKey": "Link direction:",
     "directedArcKey": "Directed",
     "undirectedArcKey": "Undirected",
     "directedGraphKey": "Directed links",
     "eventLevelKey": "Event level of target:",
     "plotPartitionKey": "Pick a partition to plot:",
     "assessPartitionKey": "",
     "specifyAssessPartitionKey": "Pick a partition to assess:",
     "optionsTabKey": "OPTIONS",
     "methodsGroupKey": "METHODS",
     "solverGroupKey": "Solution strategy:",
     "MILPKey": "Mixed integer linear programming",
     "HEURISTICKey": "Heuristics",
     "plotsGroupKey": "PLOT",
     "plotTourCheckKey": "Optimal tour",
     "plotTourWithAutoLayoutKey": "Automatic layout",
     "plotTourWithCoordinatesKey": "Layout tour with nodes coordinates",
     "nodeCoordinatesGroupKey": "Node Coordinates",
     "nodeCoordinatesTypeXYKey": "X and Y",
     "nodeCoordinatesTypeLongLatKey": "Latitude and Longitude",
     "nodeCoordinatesTypeLabelKey": "Specify coordinates type:",
     "nodeCoordinatesDSLabelKey": "Select nodes dataset which contains the coordinates:",
     "nodeCoordinatesDSRolesLabelKey": "Specify roles in nodes dataset:",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procOptNetKey": "Use OPTNETWORK procedure",
     "procOptModelKey": "Use OPTMODEL procedure",
     "casActionKey": "Use CAS procedure",
     "milpOptionsGroupKey": "MILP Solver Options",
     "stoppingCriteionGroupKey": "Stopping Criterion",
     "targetLabelKey": "Target objective value:",
     "targetRadioDefaultKey": "No limit (default)",
     "targetRadioCustomKey": "Use custom value",
     "targetKey": "Target value:",
     "targetMsgKey": "Enter a value for the Target value",
     "absobjgapLabelKey": "Absolute gap between current and best remaining objective value:",
     "absobjgapRadioDefaultKey": "Use 0.000001 (default)",
     "absobjgapRadioCustomKey": "Use custom value",
     "absobjgapKey": "Absolute gap value:",
     "absobjgapMsgKey": "Enter a value greater than 0 for the Absolute gap value",
     "relobjgapLabelKey": "Relative gap between current and best remaining objective value:",
     "relobjgapRadioDefaultKey": "Use 0.0001 (default)",
     "relobjgapRadioCustomKey": "Use custom value",
     "relobjgapKey": "Relative gap value:",
     "relobjgapMsgKey": "Enter a value greater than 0 for the Relative gap value",
     "maxtimeLabelKey": "Maximum time:",
     "maxtimeRadioDefaultKey": "No limit (default)",
     "maxtimeRadioCustomKey": "Use custom value",
     "maxtimeKey": "Time in seconds:",
     "maxtimeMsgKey": "Enter a value greater than 0 for the maximum time value",
     "logLevelKey": "Log details:",
     "logLevelBasicKey": "Basic summary (default)",
     "logLevelModerateKey": "Summary",
     "logLevelDetailedKey": "Detailed summary",
     "logLevelNoneKey": "No summary",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "outputDiagramGroupKey": "OUTPUT DIAGRAM",
     "outDSKey": "Create tour information table",
     "outDSNameKey": "Specify a CAS table:",
     "outLinksDSKey": "Create tour links information table",
     "outLinksDSNameKey": "Specify a CAS table:",
     "outNodesDSKey": "Create tour nodes information table",
     "outNodesDSNameKey": "Specify a CAS table:",
     "outTourGraphvizKey": "Output tour as Graphviz diagram",
     "plotTitleKey": "Optimal Tour",
     "byTableNoteKey": "Nodes or nodes subset data table cannot be used when group analysis is requested.",
     "byProcNoteKey": "PROC OPTMODEL does not support group analysis as of current release.",
     "orLicenseNoteKey": "The OPTMODEL and OPTNETWORK procedures require SAS/OR license.",
     "fromVarKey": "From node:",
     "toVarKey": "To node:",
     "weightVarLinkKey": "Weight:",
     "xVarFromKey": "From node X coordinate:",
     "yVarFromKey": "From node Y coordinate:",
     "longVarFromKey": "From node longitude:",
     "latiVarFromKey": "From node latitude:",
     "xVarToKey": "To node X coordinate:",
     "yVarToKey": "To node Y coordinate:",
     "longVarToKey": "To node longitude:",
     "latiVarToKey": "To node latitude:",
     "byVariablesKey": "Group analysis by:",
     "fromToVarsSameTypeMsgKey": "The from node and to node must be of the same type.",
     "weightReservedMsgKey": "The variable name 'weight' is a reserved keyword for weight variable.",
     "outDSNameMsgKey": "The output tour information table must have a two-level name that includes a CAS engine libref.",
     "outNodesDSNameMsgKey": "The output tour nodes information table must have a two-level name that includes a CAS engine libref.",
     "outputDSNameCollisionMsgKey": "The names of the tour and tour nodes output tables must be different."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
