define({root:
({
     "NameKey": "Partitioning",
     "DescriptionKey": "The Partitioning task creates two or three partitions of the input data using simple or stratified random sampling.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PARTITION Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "SAMPLING METHOD",
     "simpleSamplingChoiceKey": "Simple random sampling",
     "stratifiedSamplingChoiceKey": "Stratified sampling",
     "partitionsGroupKey": "PARTITIONS",
     "nPartitionsKey": "Number of partitions:",
     "nPartition2Key": "2",
     "nPartition3Key": "3",
     "sampPct1Key": "Sampling percentage for partition 1:",
     "sampPct1MessageKey": "Enter a value greater than 0 and less than 100 for the sampling percentage for partition 1 in the data set",
     "sampPct2Key": "Sampling percentage for partition 2:",
     "sampPct2MessageKey": "Enter a value greater than 0 and less than 100 for the sampling percentage for partition 2 in the data set",
     "samppct1NoteKey": "The sampling percentage can range between 0 and 100.",
     "samppct2NoteKey": "The sampling percentages can range between 0 and 100.",
     "partition2NoteKey": "Partition 2 consists of the unsampled cases.",
     "partition3NoteKey": "Partition 3 consists of the unsampled cases.",
     "partitionVarNameKey": "Variable name for partition values:",
     "partitionVarNameMessageKey": "Enter a valid SAS variable name",
     "numPartVarTypeKey": "Use numeric partition values",
     "charPartVarTypeKey": "Use character partition values",
     "charPartitionDataValue1Key": "ID value for partition 1 data:",
     "charPartitionDataValue1MessageKey": "Enter a value to identify data partition 1",
     "charPartitionDataValue2Key": "ID value for partition 2 data:",
     "charPartitionDataValue2MessageKey": "Enter a value to identify data partition 2",
     "charPartitionDataValue3Key": "ID value for partition 3 data:",
     "charPartitionDataValue3MessageKey": "Enter a value to identify data partition 3",
     "numPartitionDataValue1Key": "ID value for partition 1:",
     "numPartitionDataValue1MessageKey": "Enter an integer between -1,000,000 and 1,000,000 to identify data partition 1",
     "num2PartitionsDataValue2Key": "ID value for partition 2:",
     "num2PartitionsDataValue2MessageKey": "Enter an integer between -1,000,000 and 1,000,000 to identify data partition 2",
     "num3PartitionsDataValue2Key": "ID value for partition 2:",
     "num3PartitionsDataValue2MessageKey": "Enter an integer between -1,000,000 and 1,000,000 to identify data partition 2",
     "num3PartitionsDataValue3Key": "ID value for partition 3:",
     "num3PartitionsDataValue3MessageKey": "Enter an integer between -1,000,000 and 1,000,000 to identify data partition 3",
     "numTwoPartitionsDataValueNoteKey": "ID value for partition 2: 0",
     "numThreePartitionsDataValueNoteKey": "ID value for partition 3: 0",
     "methodsGroupKey": "METHODS",
     "sampleByPctKey": "Percentage",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "randomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "ignoreTargetCaseKey": "Ignore case of character stratification values",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "Include all variables",
     "includeSelectedVarsKey": "Include selected variables",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMessageKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsMessageKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetTitleKey": "Subset of {1}",
     "targetVariablesKey": "Stratify by:",
     "copyVariablesKey": "Include these variables:",
     "partitionVarNameExistsinDatasetRequirementKey": "The specified SAS variable name to hold the partition values is already in use in the data set.",
     "prop1RequirementKey": "The sampling percentage for partition 1 must be less than 100.",
     "prop1and2SumRequirementKey": "The sum of the sampling percentages for partitions 1 and 2 must be less than 100.",
     "partition1Not0RequirementKey": "The ID value for partition 1 cannot be 0.",
     "partition1or2Not0RequirementKey": "The ID values for partitions 1 and 2 must be different.",
     "partition12UniqueValuesRequirementKey": "The ID values for partitions 1, 2, and 3 must be different.",
     "outputDSNameMsgKey": "The partitioned data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
