define({root:
({
     "NameKey": "Partial Least Squares Regression",
     "DescriptionKey": "The Partial Least Squares Regression task performs partial least squares analysis. It also performs principal components regression and reduced rank regression. These techniques combine dimension reduction of the predictors and/or dependent variables with predictive modeling.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PLSMOD Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "targetGroupKey": "Targets",
     "inputsGroupKey": "Inputs",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "usePartitionRandomSeedKey": "Random number seed",
     "partitionRandomSeedKey": "Random seed:",
     "partitionRandomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer greater than 1 for the maximum order of interactions",
     "centerKey": "Center the responses and predictors",
     "scaleKey": "Scale the responses and predictors",
     "methodsGroupKey": "METHODS",
     "methodComboKey": "Method:",
     "plsChoiceKey": "Partial least squares regression",
     "simplsChoiceKey": "De Jong's SIMPLS",
     "pcrChoiceKey": "Principal components regression",
     "rrrChoiceKey": "Reduced rank regression",
     "algorithmComboKey": "Algorithm:",
     "nipalsChoiceKey": "Iterative NIPALS",
     "svdChoiceKey": "Singular value decomposition",
     "eigChoiceKey": "Eigenvalue decomposition",
     "rlgwChoiceKey": "Iterative RLGW",
     "detailsGroupKey": "Details",
     "useNFactorsKey": "Specify the number of factors",
     "nFactorsKey": "Factors:",
     "nFactorsMessageKey": "Enter an integer greater than 0 for the number of factors",
     "specifyMaxiterKey": "Specify the maximum number of iterations",
     "maxiterKey": "Iterations:",
     "maxiterMessageKey": "Enter a number greater than or equal to 1 and less than 1,000,000,000 for the maximum number of iterations",
     "statsGroupKey": "STATISTICS",
     "statisticsComboKey": "Display statistics:",
     "selectedStatsChoiceKey": "Default and selected statistics",
     "defaultStatsChoiceKey": "Default statistics",
     "cvtestKey": "Van der Voet's model comparison test",
     "cvtestNoteKey": "Van der Voet' model comparison test requires test data which is set in the Partition Data section of the Data tab",
     "cvTestStatComboKey": "Display statistics:",
     "hotellingT2ChoiceKey": "Hotelling's T-square statistic",
     "pressChoiceKey": "Press statistic",
     "useCvtestPvalueKey": "Specify the cut-off probability",
     "cvtestPvalueKey": "Cut-off probability:",
     "cvtestPvalueMessageKey": "Enter a number greater than 0 and less than 1 for the cut-off probability",
     "useCvtestcvtestRandomSeedKey": "Specify the random seed",
     "cvtestRandomSeedKey": "Random seed:",
     "cvtestRandomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "cvtestRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "useCvtestcvtestNSampKey": "Specify the number of randomizations",
     "cvtestNSampKey": "Randomizations:",
     "cvtestNSampMessageKey": "Enter an integer greater than 0 for the number of randomizations",
     "solutionKey": "Coefficients of final predictive model",
     "varssKey": "Variation accounted for in responses and predictors",
     "detailsKey": "Details of the fitted model",
     "diagnosticsGroupKey": "Diagnostics",
     "influenceStatsKey": "Analysis of influence",
     "residualStatsKey": "Analysis of residuals",
     "predictedStatsKey": "Predicted values",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save observation statistics",
     "outputDSNameKey": "Specify a CAS table:",
     "leverageKey": "Leverage",
     "yresidualKey": "Residuals for responses",
     "xresidualKey": "Residuals for predictors",
     "pressKey": "Press statistic",
     "yscoreKey": "Extracted responses",
     "xscoreKey": "Extracted factors",
     "stdyKey": "Standardized responses",
     "stdxKey": "Standardized predictors",
     "tsquareKey": "Scaled sum of squares of score values",
     "stdysseKey": "Sum of squares of residuals for standardized responses",
     "stdxsseKey": "Sum of squares of residuals for standardized predictors",
     "roleKey": "Partition identifier",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "dependentVariablesKey": "Interval targets:",
     "continuousVariablesKey": "Interval inputs:",
     "classVariablesKey": "Nominal inputs:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "copyVariablesKey": "Variables to include:",
     "continuousClassRequirementKey": "Select at least one interval or nominal input.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the candidate model on the MODEL tab.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "outputDSNameMsgKey": "The observations statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
