define({root:
({
     "NameKey": "Principal Component Analysis",
     "DescriptionKey": "The Principal Component Analysis task performs a principal component analysis by using a variety of methods.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PCA Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "methodDetailsGroupKey": "Details",
     "methodComboKey": "Method:",
     "eigMethodChoiceKey": "Eigenvalue decomposition",
     "itergsMethodChoiceKey": "Andrecut's Gram-Schmidt orthogonalization method",
     "nipalsMethodChoiceKey": "Nonlinear iterative partial least squares",
     "covCorrKey": "Analyze:",
     "analyzeCovKey": "Covariances",
     "analyzeCorrKey": "Correlations",
     "interceptKey": "Correct the covariances or correlations for the means",
     "useMaxiterKey": "Specify the maximum number of iterations",
     "maxiterKey": "Iterations:",
     "maxiterMessageKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "ncompKey": "Number of components:",
     "ncomp_1Key": "1",
     "ncomp_2Key": "2",
     "ncomp_3Key": "3",
     "ncomp_4Key": "4",
     "ncomp_5Key": "5",
     "ncomp_AllKey": "All",
     "ncompSpecifyKey": "Use custom value",
     "ncompValueKey": "Custom value:",
     "ncompValueMessageKey": "Enter an integer for the number of components greater than zero and less or equal to the number of analysis variables",
     "stdScoresKey": "Standardize variance of scores:",
     "stdUnitVarianceKey": "Equal to 1",
     "stdEigenvalueKey": "Equal to eigenvalue",
     "usePrefixKey": "Specify a prefix to label the components",
     "prefixKey": "Component prefix:",
     "prefixMessageKey": "Enter a valid SAS name for the prefix of the component names",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "noplotsComboKey": "No plots",
     "screePlotKey": "Eigenvalue by component (Scree plot)",
     "profilePlotKey": "Component pattern profiles",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "scoresDSKey": "Save component scores",
     "scoresDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "statDSKey": "Save statistics",
     "statDSNameKey": "Specify a CAS table:",
     "analysisVariablesKey": "Interval inputs:",
     "partialVariablesKey": "Inputs to partial out:",
     "copyVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "scoresAndStatsDatasetsMustBeDifferentMsgKey": "The names of the statistics and component scores output data sets must be different.",
     "scoresDSNameMsgKey": "The component scores data set must have a two-level name that includes a CAS engine libref.",
     "statDSNameMsgKey": "The statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
