define({root:
({
     "NameKey": "Robust Principal Component Analysis",
     "DescriptionKey": "The Robust PCA task can be used to perform matrix decomposition useful for feature extraction and anomaly detection.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey3": "The RPCA Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "useAllVarsKey": "Use all numeric variables as inputs",
     "useSelectedVarsKey": "Select inputs",
     "optionsTabKey": "OPTIONS",
     "optionsGroupKey": "OPTIONS",
     "methodComboKey": "Method:",
     "almMethodKey": "Augmented Lagrange Multiplier",
     "apgMethodKey": "Accelerated Proximal Gradient",
     "decompComboKey": "Decomposition method:",
     "svdMethodKey": "SVD",
     "pcaMethodKey": "PCA",
     "noMethodKey": "None",
     "lambdaComboKey": "Lambda:",
     "defaultLambdaKey": "Use computed value (default)",
     "specifyLambdaKey": "Specify custom value",
     "lambdaKey": "Lambda:",
     "lambdaMessageKey": "Enter a positive number for lambda",
     "weightComboKey": "Lambda weight:",
     "defaultWeightKey": "Use 1 (default)",
     "specifyWeightKey": "Specify custom value",
     "lambdaWeightKey": "Lambda weight:",
     "lambdaWeightMessageKey": "Enter a positive number for lambda weight",
     "maxiterKey": "Maximum iterations",
     "maxiterMessageKey": "Enter an integer greater than 0 for maximum iterations",
     "muKey": "Initial Mu:",
     "muMessageKey": "Enter a number greater than 0 for initial mu",
     "fixedmuKey": "Use fixed value for Mu",
     "centerKey": "Center observations",
     "scaleKey": "Scale observations",
     "toleranceKey": "Tolerance:",
     "toleranceMessageKey": "Enter a number greater than greater than or equal to 1E-10 for tolerance",
     "svdGroupKey": "Singular Value Decomposition Options",
     "svdComboKey": "SVD Method:",
     "eigheMethodKey": "Eigen",
     "randomMethodKey": "Random",
     "maxrankKey": "Maximum rank:",
     "maxrankMessageKey": "Enter an integer greater than 0 for maximum rank",
     "powerKey": "Power:",
     "powerMessageKey": "Enter an integer greater than or equal to zero for power",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "outputMsgKey": "The following tables must use a CAS engine libref:",
     "lowrankCheckKey": "Low rank table:",
     "outlowrankKey": "Specify a CAS table:",
     "sparseCheckKey": "Sparse table:",
     "outsparseKey": "Specify a CAS table:",
     "errorCheckKey": "Error table:",
     "outerrorKey": "Specify a CAS table:",
     "svdleftCheckKey": "Left singular vectors table:",
     "outsvdleftKey": "Specify a CAS table:",
     "svddiagCheckKey": "Singular values table:",
     "outsvddiagKey": "Specify a CAS table:",
     "svdrightCheckKey": "Right singular vectors table:",
     "outsvdrightKey": "Specify a CAS table:",
     "pcloadingsCheckKey": "Component loadings table:",
     "outpcloadKey": "Specify a CAS table:",
     "pcscoresCheckKey": "PC scores table:",
     "outpcscoresKey": "Specify a CAS table:",
     "intervalVariableKey": "Interval inputs:",
     "idVariableKey": "ID variable:",
     "lowAndSparseMustBeDifferentMsgKey": "The names of the low rank and sparse output CAS tables must be different.",
     "lowAndErrorMustBeDifferentMsgKey": "The names of the low rank and error output CAS tables must be different.",
     "lowAndSvdleftMustBeDifferentMsgKey": "The names of the low rank and left singular vectors output CAS tables must be different.",
     "lowAndSingularMustBeDifferentMsgKey": "The names of the low rank and singular values output CAS tables must be different.",
     "lowAndSvdrightMustBeDifferentMsgKey": "The names of the low rank and right singular vectors output CAS tables must be different.",
     "lowAndComponentMustBeDifferentMsgKey": "The names of the low rank and component loadings output CAS tables must be different.",
     "lowAndScoresMustBeDifferentMsgKey": "The names of the low rank and PC scores output CAS tables must be different.",
     "sparseAndErrorMustBeDifferentMsgKey": "The names of the sparse and error output CAS tables must be different.",
     "sparseAndSvdleftMustBeDifferentMsgKey": "The names of the sparse and left singular vectors output CAS tables must be different.",
     "sparseAndSingularMustBeDifferentMsgKey": "The names of the sparse and singular values output CAS tables must be different.",
     "sparseAndSvdrightMustBeDifferentMsgKey": "The names of the sparse and right singular vectors output CAS tables must be different.",
     "sparseAndComponenttMustBeDifferentMsgKey": "The names of the sparse and component loadings output CAS tables must be different.",
     "sparseAndScoresMustBeDifferentMsgKey": "The names of the sparse and PC scores output CAS tables must be different.",
     "errorAndSvdleftMustBeDifferentMsgKey": "The names of the error and left singular vectors output CAS tables must be different.",
     "errorAndSingulartMustBeDifferentMsgKey": "The names of the error and singular values output CAS tables must be different.",
     "errorAndSvdRightMustBeDifferentMsgKey": "The names of the error and right singular vectors output CAS tables must be different.",
     "errorAndComponentMustBeDifferentMsgKey": "The names of the error and component loadings output CAS tables must be different.",
     "errorAndScoresMustBeDifferentMsgKey": "The names of the error and PC scores output CAS tables must be different.",
     "leftAndSingularMustBeDifferentMsgKey": "The names of the left singular vectors and singular values output CAS tables must be different.",
     "singularAndRightMustBeDifferentMsgKey": "The names of the singular values and right singular vectors output CAS tables must be different.",
     "componentAndScoresMustBeDifferentMsgKey": "The names of the component loadings and PC scores output CAS tables must be different.",
     "outlowrankMsgKey": "The low rank table must have a two-level name that includes a CAS engine libref.",
     "outsparseMsgKey": "The sparse table must have a two-level name that includes a CAS engine libref.",
     "outerrorMsgKey": "The error table must have a two-level name that includes a CAS engine libref.",
     "outsvdleftMsgKey": "The left singular vectors table must have a two-level name that includes a CAS engine libref.",
     "outsvdrightMsgKey": "The scored right singular vectors table must have a two-level name that includes a CAS engine libref.",
     "outsvddiagMsgKey": "The singular values table must have a two-level name that includes a CAS engine libref.",
     "outpcloadMsgKey": "The component loadings table must have a two-level name that includes a CAS engine libref.",
     "outpcscoresMsgKey": "The PC scores table must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
