define({root:
({
     "NameKey": "Support Vector Machine",
     "DescriptionKey": "The Support Vector Machine task performs classification analysis for binary targets by using a support vector machine, which is a supervised machine learning method.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The SVMACHINE Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data and:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 for the random seed",
     "partitionDataComboKey": "Identify validation or test data cases:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "rolesGroupKey": "ROLES",
     "scaleKey": "Scale interval inputs to a range of 0 to 1",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "svmGroupKey": "TRAINING OPTIONS",
     "optionsTabKey": "OPTIONS",
     "optionGroupKey": "Details",
     "autotuneKey": "Automatically tune selected options",
     "autotuneTimeNoteKey": "Note: Expect a considerably longer run time (read more)",
     "autotuneReadMoreKey": "The autotuning process explores many different combinations of algorithm options, training a model for each combination (and multiple models when using cross-validation).  In an effort to find the best model, some of these combinations will be configurations that take a long time to train.  The overall time it takes to find the best model will vary and you should expect this process to take significantly longer than training a single model.",
     "maxiterKey": "Maximum number of iterations:",
     "maxiterMissingKey": "Enter an integer greater than or equal to 1 and less than or equal to 1000",
     "maxiterInvalidKey": "Enter an integer greater than or equal to 1 and less than or equal to 1000",
     "maxiterPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 1000",
     "maxiterRangeKey": "Enter an integer greater than or equal to 1 and less than or equal to 1000",
     "penaltyKey": "Penalty value:",
     "penaltyMissingKey": "Enter a numeric value greater than or equal to 1E-10 and less than or equal to 1E10",
     "penaltyInvalidKey": "Enter a numeric value greater than or equal to 1E-10 and less than or equal to 1E10",
     "penaltyPromptKey": "Enter a numeric value greater than or equal to 1E-10 and less than or equal to 1E10",
     "penaltyRangeKey": "Enter a numeric value greater than or equal to 1E-10 and less than or equal to 1E10",
     "tunePenaltyKey": "Autotune penalty",
     "penaltyinitKey": "Initial value:",
     "penaltyinitMessageKey": "Enter a numeric value greater than 0 and less than 1E10",
     "penaltylbKey": "Lower bound:",
     "penaltylbMessageKey": "Enter a numeric value greater than 0 and less than 1E10",
     "penaltyubKey": "Upper bound:",
     "penaltyubMessageKey": "Enter a numeric value greater than 0 and less than 1E10",
     "toleranceKey": "Tolerance:",
     "toleranceMissingKey": "Enter a numeric value greater than or equal to 1E-12 and less than or equal to 1000",
     "toleranceInvalidKey": "Enter a numeric value greater than or equal to 1E-12 and less than or equal to 1000",
     "tolerancePromptKey": "Enter a numeric value greater than or equal to 1E-12 and less than or equal to 1000",
     "toleranceRangeKey": "Enter a numeric value greater than or equal to 1E-12 and less than or equal to 1000",
     "usemissKey": "Include missing values",
     "usemissMsgKey": "Missing values for nominal inputs will be treated as a level of the variable. For interval inputs, values will be imputed to the mean.",
     "optimizationGroupKey": "KERNEL SPECIFICATION",
     "tuneKernelKey": "Autotune type of kernel",
     "optMethod_comboKey": "Method:",
     "interiorOptChoiceKey": "Interior Point",
     "activeOptChoiceKey": "Active Set",
     "Kernel_combKey": "Type of kernel:",
     "Kernel_LinearKey": "Linear",
     "Kernel_Poly2Key": "Polynomial degree 2",
     "Kernel_Poly3Key": "Polynomial degree 3",
     "tuneKernelSelectKey": "Kernel type:",
     "autotuneGroupKey": "Autotune Settings",
     "autoSearchMethodKey": "Search method:",
     "gaSearchChoiceKey": "Genetic algorithm",
     "lhsSearchChoiceKey": "Latin hypercube sample",
     "randomSearchChoiceKey": "Random sample",
     "bayesSearchChoiceKey": "Bayesian sample",
     "autoMaxiterKey": "Maximum iterations:",
     "autoMaxiterMessageKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "autoMaxevalsKey": "Maximum evaluations:",
     "autoMaxevalsMessageKey": "Enter an integer greater than or equal to 3 for the maximum number of evaluations",
     "autoPopsizeKey": "Evaluations per iteration:",
     "autoPopsizeMessageKey": "Enter an integer greater than or equal to 2 for the number of evaluations per iteration",
     "autoSampleSizeKey": "Sample size:",
     "autoSampleSizeMessageKey": "Enter an integer greater than 1 for the sample size",
     "autotuneDetailsGroupKey": "Genetic Algorithm Settings",
     "autotuneObjectiveKey": "Objective:",
     "autotuneASEChoiceKey": "Average square error",
     "autotuneAUCChoiceKey": "Area under curve",
     "autotuneF1ChoiceKey": "F1 score",
     "autotuneF05ChoiceKey": "F0.5 score",
     "autotuneGammaChoiceKey": "Goodman-Kruskal gamma",
     "autotuneGiniChoiceKey": "Gini's coefficient",
     "autotuneMCLLChoiceKey": "Multi-class log loss",
     "autotuneMiscChoiceKey": "Misclassification rate",
     "autotuneRaseChoiceKey": "Root average square error",
     "autotuneTauChoiceKey": "Kendall's Tau-a",
     "autoMaxtimeKey": "Maximum time (in minutes):",
     "autoMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in minutes",
     "autotuneComboKey": "Validation method:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "K-fold cross-validation",
     "autoValidationFractionKey": "Proportion of validation cases:",
     "autoValidationFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "autoNFoldsKey": "Number of folds:",
     "autoNFoldsMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 20 for the number of folds",
     "tuneNParallelKey": "Set number of parallel evaluations",
     "autoNParallelKey": "Parallel evaluations:",
     "autoNParallelMessageKey": "Enter an integer greater than or equal to 1 for the number of parallel evaluations",
     "tuneHistoryComboKey": "Evaluation history report:",
     "tableHistoryKey": "Results table",
     "logHistoryKey": "Log",
     "allHistoryKey": "Results table and log",
     "noHistoryKey": "Suppress report",
     "tunerplotGroupKey": "Autotune plots",
     "tunerPlotKey": "Objective history",
     "bestPlot": "Best objective history",
     "byparmPlotKey": "Option values vs. objective",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "outputMsgKey": "The following tables must use a CAS engine libref:",
     "outputCBXKey": "Create scored data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreCodeKey": "Save scoring model",
     "scoringCodeFileNameKey": "Specify a CAS table:",
     "includeVarsInstruction2Key": "Include variables from the input data set:",
     "includeAllVars2Key": "All variables",
     "includeAnalysisVarsPred2Key": "Variables used in the analysis excluding target, for prediction",
     "includeAnalysisVarsAssess2Key": "Variables used in the analysis including target, for assessment",
     "autotitle1": "Tune with",
     "targetVariableKey": "Binary target:",
     "intervalVariableKey": "Interval inputs:",
     "nominalVariableKey": "Nominal inputs:",
     "partitionVariableKey": "Partitioning variable:",
     "outputVariablesKey": "Include these variables:",
     "outputVariables2Key": "Include these variables:",
     "inputRequirementKey": "Select at least one interval or one nominal variable.",
     "binaryTargetKey": "The target variable must have exactly two distinct levels.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "outputDSNameMsgKey": "The scored data set must have a two-level name that includes a CAS engine libref.",
     "scoringCodeFileNameMsgKey": "The analytic store data set must have a two-level name that includes a CAS engine libref.",
     "tuneLearnstepRequirementKey": "The lower bound for penalty must be less than the upper bound.",
     "tuneParameterRequiremenKey": "Select at least one option to autotune.",
     "scoredAndModelMustBeDifferentMsgKey": "The names of the scored data and scoring model output CAS tables must be different."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
