define({root:
({
     "NameKey": "Text Parsing and Topic Discovery",
     "DescriptionKey": "The Text Parsing and Topic Discovery task is used to parse documents into a terms-by-documents matrix and extract topics from the terms-by-documents matrix by singular value decomposition.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The TEXTMINE Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "dataTypeInstructionKey": "The input table contains:",
     "useRawTextKey": "Unparsed text",
     "useTermByDocMatrixKey": "Term-by-document matrix",
     "inTermsDatasetInstructionKey": "Select the terms input CAS table:",
     "languageGroupKey": "Language",
     "languageRadioArabicKey": "Arabic",
     "languageRadioChineseKey": "Chinese",
     "languageRadioCroatianKey": "Croatian",
     "languageRadioCzechKey": "Czech",
     "languageRadioDanishKey": "Danish",
     "languageRadioDutchKey": "Dutch",
     "languageRadioFarsiKey": "Farsi",
     "languageRadioFinnishKey": "Finnish",
     "languageRadioFrenchKey": "French",
     "languageRadioGermanKey": "German",
     "languageRadioGreekKey": "Greek",
     "languageRadioHebrewKey": "Hebrew",
     "languageRadioHindiKey": "Hindi",
     "languageRadioIndonesianKey": "Indonesian",
     "languageRadioItalianKey": "Italian",
     "languageRadioJapaneseKey": "Japanese",
     "languageRadioKoreanKey": "Korean",
     "languageRadioNorwegianKey": "Norwegian",
     "languageRadioPolishKey": "Polish",
     "languageRadioPortugueseKey": "Portuguese",
     "languageRadioRussianKey": "Russian",
     "languageRadioSlovakKey": "Slovak",
     "languageRadioSloveneKey": "Slovene (Slovenian)",
     "languageRadioSpanishKey": "Spanish",
     "languageRadioSwedishKey": "Swedish",
     "languageRadioTagalogKey": "Tagalog",
     "languageRadioThaiKey": "Thai",
     "languageRadioTurkishKey": "Turkish",
     "languageRadioVietnameseKey": "Vietnamese",
     "languageRadioEnglishKey": "English",
     "keyVarMsg": "Key variable:",
     "keyVarAutoGenKey": "Automatically create",
     "keyVarSelectKey": "Select variable",
     "keyVarUniqueNoteKey": "Note: The key variable must contain only unique values.",
     "methodsGroupKey": "METHODS",
     "parsingGroupKey": "Parse Text",
     "useStartOrStopListKey": "Define terms to include or exclude:",
     "startListChoiceKey": "Include specific terms",
     "stopListChoiceKey": "Exclude specific terms",
     "neitherStartStopChoiceKey": "Do not include or exclude specific terms",
     "useSynonymsListKey": "Define synonyms",
     "useMultitermListKey": "Define multi-word terms",
     "reducefKey": "Minimum number of occurrences to keep a term:",
     "reducefMessageKey": "Enter an integer greater than 0 for the  minimum number of occurrences to keep a term",
     "partOfSpeechCheckKey": "Include parts of speech",
     "stemmingKey": "Stem terms",
     "entitiesCheckKey": "Extract entities",
     "partOfSpeechComboKey": "Parts of speech:",
     "keepAllPOSChoiceKey": "Keep all parts of speech",
     "keepSomePOSChoiceKey": "Keep selected parts of speech",
     "ignoreSomePOSChoiceKey": "Ignore selected parts of speech",
     "noPOSTaggingChoiceKey": "Do not tag parts of speech",
     "selectPartsOfSpeechKey": "Select parts of speech:",
     "ignorePartsOfSpeechKey": "Ignore parts of speech:",
     "abbrChoiceKey": "Abbreviation",
     "adjChoiceKey": "Adjective",
     "adverbChoiceKey": "Adverb",
     "auxChoiceKey": "Auxiliary or modal term",
     "conjChoiceKey": "Conjunction",
     "detChoiceKey": "Determiner",
     "interjChoiceKey": "Interjection",
     "numChoiceKey": "Numeric expression",
     "nounChoiceKey": "Noun",
     "partChoiceKey": "Negative participle, infinitive or possessive marker",
     "prefChoiceKey": "Prefix",
     "prepChoiceKey": "Preposition",
     "pronChoiceKey": "Pronoun",
     "properNounChoiceKey": "Proper noun",
     "punctChoiceKey": "Punctuation",
     "verbChoiceKey": "Verb",
     "verbadjChoiceKey": "Verbal adjective",
     "extractEntitiesKey": "Extract standard entities",
     "entitiesComboKey": "Entities:",
     "keepAllEntitiesChoiceKey": "Keep all entities",
     "keepSomeEntitiesChoiceKey": "Keep selected entities",
     "ignoreSomeEntitiesChoiceKey": "Ignore selected entities",
     "noEntitiesChoiceKey": "Do not extract entities",
     "selectEntitiesKey": "Select entities to keep:",
     "ignoreEntitiesKey": "Select entities to ignore:",
     "addressChoiceKey": "Address",
     "companyChoiceKey": "Company",
     "currencyChoiceKey": "Currency",
     "dateChoiceKey": "Date",
     "internetChoiceKey": "Email address or URL",
     "locationChoiceKey": "Location",
     "measureChoiceKey": "Measurement",
     "nounGroupChoiceKey": "Noun phrase",
     "orgChoiceKey": "Organization",
     "percentChoiceKey": "Percentage",
     "personoChoiceKey": "Person's name",
     "phoneChoiceKey": "Telephone number",
     "ssnChoiceKey": "Social security number",
     "timeChoiceKey": "Time",
     "timePeriodChoiceKey": "Time period",
     "titleChoiceKey": "Person's title",
     "vehicleChoiceKey": "Motor vehicle",
     "extractNounGroupsKey": "Extract noun groups",
     "logCellWeightKey": "Use the log to weight the cells of the term-by-document matrix",
     "termWeightComboKey": "Weight terms by:",
     "entropyChoiceKey": "Entropy",
     "miChoiceKey": "Mutual information",
     "noTermwgtChoiceKey": "No weighting",
     "discoverTopicsGroupKey": "Discover Topics",
     "suppressTopicDiscoveryKey": "Suppress discovery of topics",
     "useDimKey": "Specify number of topics",
     "recommendDimKey": "Recommend number of topics",
     "nDimKey": "Number of topics:",
     "nDimMissingKey": "Enter an integer greater than 0 for the number of dimensions",
     "nDimInvalidsKey": "Enter an integer greater than 0 for the number of dimensions",
     "nDimPromptKey": "Enter an integer greater than 0 for the number of dimensions",
     "nDimRangeKey": "Enter an integer greater than 0 for the number of dimensions",
     "maxDimKey": "Maximum number of topics:",
     "maxDimMissingKey": "Enter an integer greater than 0 for the maximum number of topics",
     "maxDimInvalidsKey": "Enter an integer greater than 0 for the maximum number of topics",
     "maxDimPromptKey": "Enter an integer greater than 0 for the maximum number of topics",
     "maxDimRangeKey": "Enter an integer greater than 0 for the maximum number of topics",
     "resolutionKey": "Resolution:",
     "highResChoiceKey": "High",
     "medResChoiceKey": "Medium",
     "lowResChoiceKey": "Low",
     "rotationMethodKey": "Rotation:",
     "promaxChoiceKey": "Correlated topics (Promax)",
     "varimaxChoiceKey": "Uncorrelated topics (Varimax)",
     "numlabelsKey": "Number of terms describing a topic:",
     "numlabelsMissingKey": "Enter an integer greater than 0 for the number of terms describing a topic",
     "numlabelsInvalidsKey": "Enter an integer greater than 0 for the number of terms describing a topic",
     "numlabelsPromptKey": "Enter an integer greater than 0 for the number of terms describing a topic",
     "numlabelsRangeKey": "Enter an integer greater than 0 for the number of terms describing a topic",
     "plotsGroupKey": "PLOTS",
     "screePlotKey": "Scree plot of singular values",
     "screePlotTitleKey": "Scree Plot",
     "screePlotXaxisLabelKey": "Topic",
     "screePlotYaxisLabelKey": "Singular Value",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref:",
     "parsingOutputGroupKey": "Parse Text",
     "discoverTopicsOutputGroupKey": "Discover Topics",
     "svdOutputGroupKey": "Singular Value Decomposition",
     "termsDSKey": "Save term information",
     "termsDSNameKey": "Specify a CAS table:",
     "parentDSKey": "Save term-by-document matrix (without child terms)",
     "parentDSNameKey": "Specify a CAS table:",
     "childDSKey": "Save raw term-by-document matrix (with child terms)",
     "childDSNameKey": "Specify a CAS table:",
     "configDSKey": "Save configuration information (for scoring)",
     "configDSNameKey": "Specify a CAS table:",
     "topicsDSKey": "Save topics",
     "docProjectionsDSKey": "Save document projections",
     "leftSingDSKey": "Save left singular vectors",
     "leftSingDSNameKey": "Specify a CAS table:",
     "rightSingDSKey": "Save right singular vectors",
     "rightSingDSNameKey": "Specify a CAS table:",
     "singValuesDSKey": "Save singular values",
     "singValuesDSNameKey": "Specify a CAS table:",
     "scoreCodeKey": "Save scoring model",
     "scoringCodeFileNameKey": "Specify a CAS table:",
     "commentUniqueKey": "Create unique key variable",
     "textVariableKey": "Text variable:",
     "docIdVariableKey": "Key variable:",
     "targetVariableKey": "Target:",
     "keepSomePartsOfSpeechMsgKey": "Select one or more parts of speech to keep.",
     "ignoreSomePartsOfSpeechMsgKey": "Select one or more parts of speech to ignore.",
     "keepSomeEntitiesMsgKey": "Select one or more entities to keep.",
     "ignoreSomeEntitiesMsgKey": "Select one or more entities to ignore.",
     "textAndSynonymsDatasetsMustBeDifferentMsgKey": "The unparsed text and synonyms CAS tables must be different.",
     "textAndMultitermsDatasetsMustBeDifferentMsgKey": "The unparsed text and multi-word terms CAS tables must be different.",
     "textAndStartListDatasetsMustBeDifferentMsgKey": "The unparsed text and terms to keep CAS tables must be different.",
     "textAndStopListDatasetsMustBeDifferentMsgKey": "The unparsed text and terms to exclude CAS tables must be different.",
     "synonymsAndMultitermsDatasetsMustBeDifferentMsgKey": "The synonyms and multi-word terms CAS tables must be different.",
     "synonymsAndStartListDatasetsMustBeDifferentMsgKey": "The synonyms and terms to keep CAS tables must be different.",
     "synonymsAndStopListDatasetsMustBeDifferentMsgKey": "The synonyms and terms to exclude CAS tables must be different.",
     "multitermsAndStartListDatasetsMustBeDifferentMsgKey": "The multi-word terms and terms to keep CAS tables must be different.",
     "multitermsAndStopListDatasetsMustBeDifferentMsgKey": "The multi-word terms and terms to exclude CAS tables must be different.",
     "termByDocAndTermsDatasetsMustBeDifferentMsgKey": "The term-by-document and terms input CAS tables must be different.",
     "parentAndTermsDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and terms output CAS tables must be different.",
     "parentAndChildDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and raw term-by-document matrix output CAS tables must be different.",
     "parentAndConfigDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and configuration information output CAS tables must be different.",
     "parentAndTopicsDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and topics output CAS tables must be different.",
     "parentAndDocProjectionsDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and document projections output CAS tables must be different.",
     "parentAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and left singular vectors output CAS tables must be different.",
     "parentAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and right singular vectors output CAS tables must be different.",
     "parentAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and singular values output CAS tables must be different.",
     "parentAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the term-by-document matrix and scoring model output CAS tables must be different.",
     "termsAndChildDatasetsMustBeDifferentMsgKey": "The names of the terms and raw term-by-document matrix output CAS tables must be different.",
     "termsAndConfigDatasetsMustBeDifferentMsgKey": "The names of the terms and configuration information output CAS tables must be different.",
     "termsAndTopicsDatasetsMustBeDifferentMsgKey": "The names of the terms and topics output CAS tables must be different.",
     "termsAndDocProjectionsDatasetsMustBeDifferentMsgKey": "The names of the terms and document projections output CAS tables must be different.",
     "termsAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the terms and left singular vectors output CAS tables must be different.",
     "termsAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the terms and right singular vectors output CAS tables must be different.",
     "termsAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the terms and singular values output CAS tables must be different.",
     "termsAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the terms and scoring model output CAS tables must be different.",
     "childAndConfigDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and configuration information output CAS tables must be different.",
     "childAndTopicsDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and topics output CAS tables must be different.",
     "childAndDocProjectionsDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and document projections output CAS tables must be different.",
     "childAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and left singular vectors output CAS tables must be different.",
     "childAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and right singular vectors output CAS tables must be different.",
     "childAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and singular values output CAS tables must be different.",
     "childAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the raw term-by-document matrix and scoring model output CAS tables must be different.",
     "configAndTopicsDatasetsMustBeDifferentMsgKey": "The names of the configuration information and topics output CAS tables must be different.",
     "configAndDocProjectionsDatasetsMustBeDifferentMsgKey": "The names of the configuration information and document projections output CAS tables must be different.",
     "configAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the configuration information and left singular vectors output CAS tables must be different.",
     "configAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the configuration information and right singular vectors output CAS tables must be different.",
     "configAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the configuration information and singular values output CAS tables must be different.",
     "configAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the configuration information and scoring model output CAS tables must be different.",
     "topicsAndDocProjectionsDatasetsMustBeDifferentMsgKey": "The names of the topics and document projections output CAS tables must be different.",
     "topicsAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the topics and left singular vectors output CAS tables must be different.",
     "topicsAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the topics and right singular vectors output CAS tables must be different.",
     "topicsAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the topics and singular values output CAS tables must be different.",
     "topicsAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the topics and scoring model output CAS tables must be different.",
     "docProjectionsAndLeftSingDatasetsMustBeDifferentMsgKey": "The names of the document projections and left singular vectors output CAS tables must be different.",
     "docProjectionsAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the document projections and right singular vectors output CAS tables must be different.",
     "docProjectionsAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the document projections and singular values output CAS tables must be different.",
     "docProjectionsAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the document projections and scoring model output CAS tables must be different.",
     "leftSingAndRightSingDatasetsMustBeDifferentMsgKey": "The names of the left singular vectors and right singular vectors output CAS tables must be different.",
     "leftSingAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the left singular vectors and singular values output CAS tables must be different.",
     "leftSingAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the left singular vectors and scoring model output CAS tables must be different.",
     "rightSingAndSingValuesDatasetsMustBeDifferentMsgKey": "The names of the right singular vectors and singular values output CAS tables must be different.",
     "rightSingAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the right singular vectors and scoring model output CAS tables must be different.",
     "singValuesAndScoringModelDatasetsMustBeDifferentMsgKey": "The names of the singular values and scoring model output CAS tables must be different.",
     "parentDSNameMsgKey": "The term-by-document table must have a two-level name that includes a CAS engine libref.",
     "configDSNameMsgKey": "The configuration information table must have a two-level name that includes a CAS engine libref.",
     "termsDSNameMsgKey": "The terms table must have a two-level name that includes a CAS engine libref.",
     "childDSNameMsgKey": "The child information table must have a two-level name that includes a CAS engine libref.",
     "docProjectionsDSNameMsgKey": "The document projections table must have a two-level name that includes a CAS engine libref.",
     "topicsDSNameMsgKey": "The topics table must have a two-level name that includes a CAS engine libref.",
     "scoringCodeFileNameMsgKey": "The scoring model table must have a two-level name that includes a CAS engine libref.",
     "singValuesDSNameMsgKey": "The singular values table must have a two-level name that includes a CAS engine libref.",
     "leftSingDSNameMsgKey": "The left singular vectors table must have a two-level name that includes a CAS engine libref.",
     "rightSingDSNameMsgKey": "The right singular vectors table must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
