define({root:
({
     "NameKey": "Decision Tree",
     "DescriptionKey": "The Decision Tree task builds tree-based statistical models for classification and regression.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The TREESPLIT Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "targetGroupKey": "Target",
     "inputsGroupKey": "Inputs",
     "useIntervalTargetKey": "Use an interval target",
     "useNominalTargetKey": "Use a nominal target",
     "eventComboKey": "Event of interest:",
     "eventComboSelectKey": "Select a level",
     "methodsGroupKey": "METHODS",
     "treeOptionGroupKey": "Creating a Tree",
     "nodeOptionGroupKey": "Splitting a Node",
     "pruneOptionGroupKey": "Pruning a Tree",
     "catGrowthMethodKey": "Splitting criterion:",
     "contGrowthMethodKey": "Splitting criterion:",
     "chaidChoiceKey": "CHAID",
     "chisqChoiceKey": "Chi-square",
     "entropyChoiceKey": "Entropy",
     "giniChoiceKey": "Gini index",
     "ftestChoiceKey": "F statistic",
     "rssChoiceKey": "Change in response variance (default)",
     "igrChoiceKey": "Information gain ratio (default)",
     "fastChaidChoiceKey": "Fast CHAID",
     "bonferroniKey": "Use Bonferroni adjustment to p-value",
     "usePvalueKey": "P-value to determine the splitting variable",
     "pvalueKey": "P-value to determine the splitting variable:",
     "pvalueMessageKey": "Enter a number greater than 0 and less than 1 for the p-value",
     "useMinEntropyKey": "Minimum entropy",
     "minEntropyKey": "Minimum entropy:",
     "minEntropyMessageKey": "Enter a number greater than or equal to 0 for the minimum entropy",
     "useMinDistKey": "Specify minimum Kolmogorov-Smirnoff distance for a split",
     "minDistKey": "Minimum Kolmogorov-Smirnoff distance:",
     "minDistMessageKey": "Enter a number greater than 0 for the minimum Kolmogorov-Smirnoff distance",
     "contValidationPruneMethodKey": "Pruning method:",
     "catValidationPruneMethodKey": "Pruning method:",
     "45ChoiceKey": "C4.5 pruning",
     "costChoiceKey": "Cost complexity pruning",
     "reducedErrorChoiceKey": "Reduced error pruning",
     "noPruningKey": "No pruning (default)",
     "useConfidenceKey": "Pruning confidence level",
     "pruningConfidenceKey": "Pruning confidence level:",
     "pruningConfidenceMessageKey": "Enter a number greater than 0 and less than 1 for the pruning confidence level",
     "noValidationPruneByKey": "Prune by:",
     "leavesChoiceKey": "Select subtree by number of leaves",
     "alphaChoiceKey": "Select subtree by cost complexity value",
     "kfoldChoiceKey": "Cross validation",
     "validationPartitionChoiceKey": "Validation partition",
     "nLeavesKey": "Number of leaves:",
     "nLeavesMessageKey": "Enter an integer greater than 0 for the number of leaves",
     "kfoldKey": "Number of cross validation folds(k):",
     "kfoldMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 1000 for the number of folds",
     "cvccKey": "Show cross-validated cost complexity results",
     "ccValueKey": "Cost complexity value:",
     "ccValueMessageKey": "Enter a number greater than 0 and less than 1 for the cost complexity value",
     "useIntervalBinsKey": "Number of bins for interval inputs",
     "intervalBinsKey": "Number of bins:",
     "intervalBinsMessageKey": "Enter an integer greater than 1 and not greater than 500 for the number of bins for interval inputs",
     "useNumbinsRangeKey": "Autotune number of bins",
     "initialNumbinsKey": "Initial value:",
     "initialNumbinsMessageKey": "Enter an integer greater than 1 and not greater than 500 for the initial value of the number of bins for interval inputs",
     "lowerNumbinsKey": "Lower bound:",
     "lowerNumbinsMessageKey": "Enter an integer greater than 1 and not greater than 500 for the lower bound of the number of bins for interval inputs",
     "upperNumbinsKey": "Upper bound:",
     "upperNumbinsMessageKey": "Enter an integer greater than 1 and not greater than 500 for the upper bound of the number of bins for interval inputs",
     "maxDepthKey": "Maximum depth of the tree:",
     "maxDepthMessageKey": "Enter an integer greater than 0 and not greater than 150 for the maximum depth of a node in a tree",
     "useMaxDepthRangeKey": "Autotune depth of tree",
     "initialDepthKey": "Initial value:",
     "initialDepthMessageKey": "Enter an integer greater than 0 and not greater than 150 for the initial value of the depth of a node in a tree",
     "lowerDepthKey": "Lower bound:",
     "lowerDepthMessageKey": "Enter an integer greater than 0 and not greater than 150 for the lower bound of the depth of a node in a tree",
     "upperDepthKey": "Upper bound:",
     "upperDepthMessageKey": "Enter an integer greater than 0 and not greater than 150 for the upper bound of the depth of a node in a tree",
     "maxBranchesKey": "Maximum branches of a node:",
     "maxBranchesMessageKey": "Enter an integer greater than or equal to 2 and not greater than 6 for the maximum number of branches for a node in a tree",
     "minLeafSizeKey": "Minimum observations for a leaf:",
     "minLeafSizeMessageKey": "Enter an integer greater than 0 for the minimum number of observations for a leaf",
     "autotuneGroupKey": "Autotune Settings",
     "autotuneKey": "Automatically tune selected options",
     "autotuneTimeNoteKey": "Note: Expect a considerably longer run time (read more)",
     "autotuneReadMoreKey": "The autotuning process explores many different combinations of algorithm options, training a model for each combination (and multiple models when using cross-validation).  In an effort to find the best model, some of these combinations will be configurations that take a long time to train.  The overall time it takes to find the best model will vary and you should expect this process to take significantly longer than training a single model.",
     "autotuneComboKey": "Validation method:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "K-fold cross-validation",
     "autoValidationFractionKey": "Proportion of validation cases:",
     "autoValidationFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "autoNFoldsKey": "Number of folds:",
     "autoNFoldsMessageKey": "Enter an integer greater than or equal to 2 and less than or equal to 20 for the number of folds",
     "autoMaxtimeKey": "Maximum time (in minutes):",
     "autoMaxtimeMessageKey": "Enter a number greater than or equal to 1 for the maximum time in minutes",
     "autoMaxiterKey": "Maximum iterations:",
     "autoMaxiterMessageKey": "Enter an integer greater than or equal to 1 for the maximum number of iterations",
     "autoSearchMethodKey": "Search method:",
     "gaSearchChoiceKey": "Genetic algorithm",
     "lhsSearchChoiceKey": "Latin hypercube sample",
     "randomSearchChoiceKey": "Random sample",
     "bayesSearchChoiceKey": "Bayesian sample",
     "autoSampleSizeKey": "Sample size:",
     "autoSampleSizeMessageKey": "Enter an integer greater than 1 for the sample size",
     "autoNominalObjectiveKey": "Objective:",
     "autoIntervalalObjectiveKey": "Objective:",
     "autotuneASEChoiceKey": "Average square error",
     "autotuneAUCChoiceKey": "Area under curve",
     "autotuneF1ChoiceKey": "F1 score",
     "autotuneF05ChoiceKey": "F0.5 score",
     "autotuneGammaChoiceKey": "Goodman-Kruskal gamma",
     "autotuneGiniChoiceKey": "Gini's coefficient",
     "autotuneMCLLChoiceKey": "Multi-class log loss",
     "autotuneMiscChoiceKey": "Misclassification rate",
     "autotuneRaseChoiceKey": "Root average square error",
     "autotuneTauChoiceKey": "Kendall's Tau-a",
     "autotuneMAEChoiceKey": "Mean absolute error",
     "autotuneMSLEChoiceKey": "Mean square logarithmic error",
     "autotuneRMAEChoiceKey": "Root mean absolute error",
     "autotuneRMSLEChoiceKey": "Root mean square logarithmic error",
     "autotuneKSChoiceKey": "Kolmogorov-Smirnov statistic",
     "autoTargetEventComboKey": "Event of interest:",
     "autoUseFirstLevelChoiceKey": "Use first target value",
     "autoSelectLevelChoiceKey": "Select target value",
     "autoEventComboKey": "Selected event:",
     "autoEventComboSelectKey": "Select a level",
     "useAutoNParallelKey": "Set number of parallel evaluations",
     "autoNParallelKey": "Parallel evaluations:",
     "autoNParallelMessageKey": "Enter an integer greater than or equal to 1 for the number of parallel evaluations",
     "autotuneDetailsGroupKey": "Genetic Algorithm Settings",
     "setMaxValuesLabel3Key": "Set maximum values:",
     "autoMaxevalsKey": "Maximum evaluations:",
     "autoMaxevalsMessageKey": "Enter an integer greater than or equal to 3 for the maximum number of evaluations",
     "autoPopsizeKey": "Evaluations per iteration:",
     "autoPopsizeMessageKey": "Enter an integer greater than or equal to 2 for the number of evaluations per iteration",
     "tuneHistoryComboKey": "Evaluation history report:",
     "tableHistoryKey": "Results table",
     "logHistoryKey": "Log",
     "allHistoryKey": "Results table and log",
     "noHistoryKey": "Suppress report",
     "tunerplotGroupKey": "Autotune plots",
     "tunerPlotKey": "Objective history",
     "bestPlot": "Best objective history",
     "byparmPlotKey": "Option values vs. objective",
     "useGrowthSelectorKey": "Autotune splitting criteria",
     "catGrowthSelectorKey": "Splitting criteria:",
     "contGrowthSelectorKey": "Splitting criteria:",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Selected plots",
     "noplotsChoiceKey": "Suppress plots",
     "wholeTreeKey": "Whole tree",
     "zoomedTreeKey": "Zoomed tree",
     "rocTreeKey": "ROC plot",
     "variableImportancePlotKey": "Variable importance chart",
     "variableImportancePlotTitleKey": "Variable Importance",
     "cvccPlotKey": "Cost complexity plot",
     "plotDepthKey": "Depth of the subtree:",
     "plotDepthMessageKey": "Enter an integer greater than 0 for the depth of the subtree",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "odsOutputLibrefNoteKey": "The following data set must use a SAS libref:",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save scored data",
     "outputDSNameKey": "Specify a CAS table:",
     "includeVarsInstructionKey": "Include variables from the input CAS table:",
     "includeAllVarsKey": "All variables",
     "includeAnalysisVarsKey": "Variables used in the analysis",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "outVarImpDSKey": "Save variable importance measures",
     "outVarImpDSNameKey": "Specify a SAS data set:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "autotitle1": "Tune with",
     "categoricalTargetKey": "Nominal target:",
     "continuousTargetKey": "Interval target:",
     "intervalVariablesKey": "Interval inputs:",
     "ordinalVariablesKey": "Ordinal inputs:",
     "nominalVariablesKey": "Nominal inputs:",
     "freqVariableKey": "Frequency count:",
     "partitionVariableKey": "Partitioning variable:",
     "copyVariablesKey": "Include these variables:",
     "intervalOrdinalNominalRequirementKey": "Select at least one interval, ordinal, or nominal input.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "noAutotuneOptionsRequirementKey": "Select at least one option to autotune.",
     "useMaxDepthRangeRequirementKey": "The lower bound for the maximum depth of the tree must be less than the upper bound.",
     "intervalBinRangeRequirementKey": "The lower bound for the number of interval bins must be less than the upper bound.",
     "scoredAndVarImpDatasetsMustBeDifferentMsgKey": "The names of the scored data and variable importances output data sets must be different.",
     "outputDSNameMsgKey": "The scored data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
