define({root:
({
     "NameKey": "Variable Selection",
     "DescriptionKey": "The Variable Selection task performs either supervised or unsupervised variable selection by identifying a set of variables that jointly explain the maximum amount of data variance contained in the target variable or in the data table respectively.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The VARREDUCE Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "modelTabKey": "MODEL",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "targetGroupKey": "Target",
     "unsupervisedKey": "Unsupervised variable selection",
     "supervisedKey": "Supervised variable selection",
     "inputsGroupKey": "Inputs",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "intervalTargetKey": "Use an interval target",
     "nominalTargetKey": "Use a nominal target",
     "modelEffectsGroupKey": "MODEL EFFECTS",
     "mainModelKey": "Main effects model",
     "mainNwayEffectsKey": "Main effects and all n-way interactions",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions.",
     "advancedModelKey": "Custom model",
     "modelBuilderKey": "",
     "methodsGroupKey": "METHODS",
     "correlationStatsKey": "Select variables based on:",
     "correlationKey": "Correlations (default)",
     "covarianceKey": "Covariances",
     "sscpKey": "Sum of squares and crossproducts",
     "selectionGroupKey": "SELECTION",
     "selTechniqueLabelKey": "Variable selection technique:",
     "selDiscriminantKey": "Discriminant analysis",
     "selVarianceKey": "Variance analysis",
     "stopCriteriaGroupKey": "Stopping Criteria",
     "selCriterionGroupKey": "Model Selection Criterion",
     "aicKey": "Akaike's information criterion",
     "aiccKey": "Corrected Akaike's information criterion",
     "bicKey": "Schwarz Bayesian information criterion",
     "varExplainedLabelKey": "Proportion of total variance to be explained:",
     "varExplainedDefaultKey": "Use 0.9 (default)",
     "varExplainedCustomKey": "Use custom value",
     "varExplainedKey": "Proportion of total variance:",
     "varExplainedPromptKey": "Enter a number greater than 0 and less than 1.",
     "maxEffectsLabelKey": "Maximum number of selected effects:",
     "maxEffectsDefaultKey": "Use 200 (default)",
     "maxEffectsCustomKey": "Use custom value",
     "maxEffectsKey": "Number of selected effects:",
     "maxEffectsPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 9999.",
     "varIncrementChkboxKey": "Specify minimum increment of explained variance",
     "varIncrementKey": "Increment of explained variance:",
     "varIncrementPromptKey": "Enter a number greater than 0 and less than 1.",
     "maxItersChkboxKey": "Specify maximum number of iterations",
     "maxItersKey": "Number of iterations:",
     "maxItersPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 9999.",
     "plotsGroupKey": "PLOTS",
     "iterPlotKey": "Iteration plot",
     "iterPlotTitleKey": "Variance Explained by Iteration",
     "iterPlotYaxisLabelKey": "Variance Explained",
     "outputGroupKey": "OUTPUT DATA",
     "odsOutputLibrefNoteKey": "The following data sets must use a SAS libref.",
     "outputSelSummaryKey": "Save selection summary",
     "outputSelSummaryNameKey": "Specify a SAS data set:",
     "outputSelEffectsKey": "Save selected variables",
     "outputSelEffectsNameKey": "Specify a SAS data set:",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref.",
     "outputCPKey": "Create matrix data",
     "outputCPNameKey": "Specify a CAS table:",
     "matrixListFormatKey": "Generate matrix in the list-of-list (LIL) format",
     "useEpsilonKey": "Exclude entries with absolute value less than the tolerance",
     "epsilonKey": "Tolerance value:",
     "epsilonMissingKey": "Enter a number greater than or equal to 0.",
     "epsilonInvalidKey": "Enter a number greater than or equal to 0.",
     "epsilonPromptKey": "Enter a number greater than or equal to 0.",
     "epsilonRangeKey": "Enter a number greater than or equal to 0.",
     "grplabelKey": "Group",
     "targetKey": "Target:",
     "intervalVariablesKey": "Interval inputs:",
     "nominalVariablesKey": "Nominal inputs:",
     "freqVariableKey": "Frequency count:",
     "inputsNeededRequirementKey": "Select at least one interval or nominal input.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the candidate model on the MODEL tab.",
     "outputDSNameCollisionMsgKey": "The names of the selection summary and selected variables output data sets must be different.",
     "outputCPNameMsgKey": "The matrix data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
