define({root:
({
     "NameKey": "Summary",
     "DescriptionKey": "The Summary task computes level and descriptive statistics for variables in a data table.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey22": "The CARDINALITY Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "varsALLKey": "Summarize all variables",
     "varsSELECTKey": "Select variables to summarize",
     "optionsGroupKey": "METHODS",
     "maxlevelsLabelKey": "Maximum levels to report per variable:",
     "maxlevelsRadioDefaultKey": "Use 20 (default)",
     "maxlevelsRadioCustomKey": "Use custom value",
     "MAXLEVELSKey": "Maximum levels:",
     "MAXLEVELSMsgKey": "Enter an integer greater than or equal to 10 and less than 255 for the maximum levels",
     "orderComboKey": "Order of levels:",
     "orderASCKey": "Ascending (default)",
     "orderDESCKey": "Descending",
     "orderASCFORMATKey": "Ascending formatted",
     "orderDESCFORMATKey": "Descending formatted",
     "statisticsGroupKey": "STATISTICS",
     "selectStatComboKey": "Select statistics to display:",
     "defaultStatsKey": "Default statistics",
     "selectedStatsKey": "Selected statistics",
     "allStatsKey": "All statistics",
     "statVarGroupKey": "Variable Attributes",
     "statCardinalityGroupKey": "Cardinality",
     "statDescGroupKey": "Descriptive Statistics",
     "statTop1GroupKey": "Most Frequent Level",
     "statLastGroupKey": "Last Seen Level",
     "show_FMTWIDTH_Key": "Width of the variable formatted value",
     "show_TYPE_Key": "Type of the raw values",
     "show_RLEVEL_Key": "Recommended level",
     "show_ORDER_Key": "Variable sort order",
     "show_MORE_Key": "Have more unreported levels",
     "show_CARDINALITY_Key": "Number of levels",
     "show_NOBS_Key": "Number of observations",
     "show_SUMFREQS_Key": "Total summation of frequencies",
     "show_NMISS_Key": "Number of missing values",
     "show_MISSFMT_Key": "Format of the missing value",
     "show_VISIBLE_Key": "Percentage of the visible part of the report",
     "show_MIN_Key": "Minimum numeric value",
     "show_MAX_Key": "Maximum numeric value",
     "show_MEAN_Key": "Mean",
     "show_STDDEV_Key": "Standard deviation",
     "show_SKEWNESS_Key": "Skewness",
     "show_KURTOSIS_Key": "Kurtosis",
     "show_MFREQ_Key": "Maximum frequency",
     "show_MFREQFOUNDLEVEL_Key": "Found maximum frequency in the visible part of the report",
     "show_MFREQNUM_Key": "Numeric level with the maximum frequency",
     "show_MFREQCHR_Key": "Character level with the maximum frequency",
     "show_MFREQCFMT_Key": "Formatted level with the maximum frequency",
     "show_LASTNUM_Key": "Last raw numeric value (cutoff)",
     "show_LASTCHR_Key": "Last raw character value (cutoff)",
     "show_LASTCFMT_Key": "Last formatted value (cutoff)",
     "outListingGroupKey": "LISTINGS",
     "summaryOutGroupKey": "Variable Summary",
     "detailOutGroupKey": "Level Details",
     "showSummaryKey": "Show variables summary",
     "showSummaryComboKey": "Show:",
     "showSubsetSummaryChoiceKey": "Show subset of variable summary",
     "showAllDataChoiceKey": "Show all",
     "subsetSummaryNobsKey": "Number of variables to show:",
     "subsetSummaryNobsKeyMissingKey": "Enter an integer greater than 0 and less than 9999 for the number of observations to be shown",
     "subsetSummaryNobsKeyInvalidKey": "Enter an integer greater than 0 and less than 9999 for the number of observations to be shown",
     "subsetSummaryNobsPromptKey": "Enter an integer greater than 0 and less than 9999 for the number of observations to be shown",
     "subsetSummaryNobsInvalidKey": "Enter an integer greater than 0 and less than 9999 for the number of observations to be shown",
     "showDetailKey": "Show levels",
     "showSubsetDetailChoiceKey": "Show subset of levels",
     "showAllDetailChoiceKey": "Show all levels",
     "showAllVarsDetailChoiceKey": "Show all levels of specified variables",
     "subsetDetailNobsKey": "Number of levels to show:",
     "varsToShowKey": "Select variables:",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNote": "The following tables must use a CAS engine libref:",
     "outputSummaryDSKey": "Create variable summary output table",
     "outputSummaryDSNameKey": "Specify a CAS table:",
     "outputDetailDSKey": "Create levels detail output table",
     "outputDetailDSNameKey": "Specify a CAS table:",
     "VariableSummaryKey": "Variable Summary",
     "LevelDetailsKey": "Level Details",
     "varsKey": "Variables:",
     "freqVariableKey": "Frequency count:",
     "outputSummaryDSNameMsgKey": "The variable summary table must have a two-level name that includes a CAS engine libref.",
     "outputDetailDSNameMsgKey": "The level detail table must have a two-level name that includes a CAS engine libref.",
     "outputDSNameCollisionMsgKey": "The names of the variable summary and levels detail output tables must be different."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
