define({root:
({
     "NameKey": "Canonical Correlation",
     "DescriptionKey": "The Canonical Correlation task provides a generalization of multiple correlation for analyzing the relationship between two sets of variables.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "The CANCORR Procedure",
     "LinkKey9": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroup": "ADDITIONAL ROLES",
     "optionsTabKey": "OPTIONS",
     "canonGroupKey": "CANONICAL ANALYSIS",
     "redundancyKey": "Canonical redundancy statistics",
     "numCanonCheckKey": "Specify number of canonical variates",
     "numCanonVarsKey": "Number of variates:",
     "labelGroupKey": "Prefixes and Labels of Canonical Variates",
     "set1CheckKey": "Prefix and label for variable set 1",
     "set1LabelKey": "Label:",
     "set1PrefixKey": "Prefix:",
     "set1PrefixMissingKey": "Enter a valid SAS name for the prefix",
     "set1PrefixInvalidKey": "Enter a valid SAS name for the prefix",
     "set1PrefixPromptKey": "Enter a valid SAS name for the prefix",
     "set2CheckKey": "Prefix and label for variable set 2",
     "set2LabelKey": "Label:",
     "set2PrefixKey": "Prefix:",
     "set2PrefixMissingKey": "Enter a valid SAS name for the prefix",
     "set2PrefixInvalidKey": "Enter a valid SAS name for the prefix",
     "set2PrefixPromptKey": "Enter a valid SAS name for the prefix",
     "regGroup": "REGRESSION ANALYSIS",
     "regCheckKey": "Perform regression",
     "regTypeKey": "Regression type:",
     "vregKey": "Set 1 predicts Set 2",
     "wregKey": "Set 2 predicts Set 1",
     "regStatsKey": "Regression Statistics",
     "bKey": "Regression coefficients",
     "stbKey": "Standardized regression coefficients",
     "sebKey": "Standard error of coefficients",
     "tKey": "t statistics for coefficients",
     "smcKey": "Squared multiple correlation",
     "corrStatsKey": "Correlations",
     "corrbKey": "Correlations of regression coefficients",
     "pcorrKey": "Partial correlations",
     "sqpcorrKey": "Squared partial correlations",
     "spcorrKey": "Semipartial correlations",
     "sqspcorrKey": "Squared semipartial correlations",
     "plotsGroupKey": "PLOTS",
     "plotsCheckKey": "Canonical variable score plots",
     "numPlotsKey": "Number of pairwise plots:",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "scoresCheckKey": "Create score data set",
     "scoredsKey": "Score data set name:",
     "statsCheckKey": "Create statistics data set",
     "statsdsKey": "Statistics data set name:",
     "comment1Key": "The VAR statement defines Variable set 1",
     "comment2Key": "The WITH statement defines Variable set 2",
     "plottitleKey": "Canonical Variable Scores",
     "variableSet1Key": "Variable set 1:",
     "variableSet2Key": "Variable set 2:",
     "byVarKey": "Group analysis by:",
     "partialVarsKey": "Variables to partial out:",
     "freqVarKey": "Frequency count:",
     "weightVarKey": "Weight:",
     "numCanonMsgKey": "The number of canonical variates must be less than or equal to the number of entries in Variable set 1 and Variable set 2.",
     "numPlotsMsgKey": "The number of plots must be less than or equal to the number of entries in Variable set 1 and Variable set 2 and the number of canonical variates."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
