define({root:
({
     "NameKey": "Correlation Analysis",
     "DescriptionKey": "The Correlation Analysis task provides graphs and statistics for investigating associations among variables.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "The CORR Procedure",
     "LinkKey6": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "tablesGroupKey": "STATISTICS",
     "printComboKey": "Display statistics:",
     "defaultPrintKey": "Default statistics",
     "customPrintKey": "Selected statistics",
     "noprintKey": "None",
     "corrKey": "Correlations",
     "covKey": "Covariances",
     "sscpKey": "Sum of squares and cross-products",
     "csscpKey": "Corrected sum of squares and cross-products",
     "simpleStatisticsKey": "Descriptive statistics",
     "pvaluesKey": "Display p-values",
     "rankKey": "Order correlations from highest to lowest (in absolute value)",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "missingValuesKey": "Missing values:",
     "obswiseMissingKey": "Use nonmissing values for all selected variables",
     "pairwiseMissingKey": "Use nonmissing values for pairs of variables",
     "statsToAddLabelKey": "Statistics to include in the output data set:",
     "includeCorrKey": "Correlations",
     "includeCovKey": "Covariances",
     "includeSscpKey": "Sum of squares and cross-products",
     "includeCsscpKey": "Corrected sum of squares and cross-products",
     "fisherGroupKey": "FISHER'S Z TRANSFORMATION",
     "fisherZKey": "Fisher's z transformation",
     "nullRho2Key": "Null hypothesis: rho =",
     "nullRho2MissingKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for two-sided confidence limits",
     "nullRho2InvalidKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for two-sided confidence limits",
     "nullRho2PromptKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for two-sided confidence limits",
     "nullRho2RangeKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for two-sided confidence limits",
     "nullRhoUKey": "Null hypothesis: rho >=",
     "nullRhoUMissingKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for upper one-sided confidence limit",
     "nullRhoUInvalidKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for upper one-sided confidence limit",
     "nullRhoUPromptKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for upper one-sided confidence limit",
     "nullRhoURangeKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for upper one-sided confidence limit",
     "nullRhoLKey": "Null hypothesis: rho <=",
     "nullRhoLMissingKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for lower one-sided confidence limit",
     "nullRhoLInvalidKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for lower one-sided confidence limit",
     "nullRhoLPromptKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for lower one-sided confidence limit",
     "nullRhoLRangeKey": "Enter a number greater than -1 and less than 1 for the null hypothesis correlation for lower one-sided confidence limit",
     "fisherConfTypeKey": "Type of confidence limits:",
     "twosidedLimitKey": "Two-sided confidence limits",
     "upperLimitKey": "Upper confidence limit",
     "lowerLimitKey": "Lower confidence limit",
     "fisherConfidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "fisherConfidenceValueKey": "Custom confidence level:",
     "fisherConfidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "fisherConfidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "fisherConfidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "fisherConfidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "plotGroupKey": "PLOTS",
     "plotTypeKey": "Type of plot:",
     "matrixPlotsKey": "Matrix of scatter plots",
     "scatterPlotsKey": "Individual scatter plots",
     "noPlotsKey": "None",
     "includeEllipseKey": "Include ellipse",
     "ellipseTypeKey": "Ellipse:",
     "confidenceEllipseKey": "Confidence ellipse",
     "predictionEllipseKey": "Prediction ellipse",
     "ellipseConfidenceKey": "Confidence level:",
     "includeHistogramKey": "Include histograms",
     "includeInsetKey": "Include inset statistics",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "nvarsToPlotKey": "Number of variables to plot:",
     "nvarsToPlot_1Key": "1",
     "nvarsToPlot_2Key": "2",
     "nvarsToPlot_3Key": "3",
     "nvarsToPlot_4Key": "4",
     "nvarsToPlot_5Key": "5",
     "nvarsToPlot_6Key": "6",
     "nvarsToPlot_7Key": "7",
     "nvarsToPlot_8Key": "8",
     "nvarsToPlot_9Key": "9",
     "nvarsToPlot_10Key": "10",
     "nvarsToPlot_AllKey": "All",
     "nonparGroupKey": "Nonparametric Correlations",
     "spearmanCorrKey": "Spearman's rank-order correlation",
     "kendallTauKey": "Kendall's tau-b",
     "hoeffdingKey": "Hoeffding's measure of dependence",
     "analysisVariablesKey": "Analysis variables:",
     "withVariablesKey": "Correlate with:",
     "partialVariablesKey": "Partial variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "requiredVarsNotSelectedMsg": "Select two or more analysis variables or one or more analysis and one correlate with variables.",
     "outputNotSelectedMsg": "Select some tables to display or request an output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
