define({root:
({
     "NameKey": "Correspondence Analysis",
     "DescriptionKey": "The Correspondence Analysis task performs simple or multiple correspondence analysis of qualitative data. You can use correspondence analysis to find a low-dimensional graphical representation of the rows and columns of a crosstabulation or contingency table.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The CORRESP Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "dataLayoutComboKey": "Data layout:",
     "rawChoiceKey": "Raw data",
     "tableChoiceKey": "Table data",
     "analysisComboKey": "Analysis:",
     "scaChoiceKey": "Simple correspondence analysis",
     "mcaChoiceKey": "Multiple correspondence analysis",
     "nVarsKey": "Number of variables used to create the Burt table:",
     "nVarsMissingKey": "Enter an integer that is greater than 0 for the number of variables that were used to create the Burt table",
     "nVarsInvalidsKey": "Enter an integer that is greater than 0 for the number of variables that were used to create the Burt table",
     "nVarsPromptKey": "Enter an integer that is greater than 0 for the number of variables that were used to create the Burt table",
     "nVarsRangeKey": "Enter an integer that is greater than 0 for the number of variables that were used to create the Burt table",
     "missingKey": "Treat missing values as a distinct level",
     "nDimenKey": "Number of dimensions:",
     "nDimenMissingKey": "Enter an integer for the number of dimensions that is greater than zero and less or equal to the number of anlevels of the contingency table minus 1",
     "nDimenInvalidsKey": "Enter an integer for the number of dimensions that is greater than zero and less or equal to the number of levels of the contingency table minus 1",
     "nDimenPromptKey": "Enter an integer for the number of dimensions that is greater than zero and less or equal to the number of levels of the contingency table minus 1",
     "nDimenRangeKey": "Enter an integer for the number of dimensions that is greater than zero and less or equal to the number of levels of the contingency table minus 1",
     "crossColumnComboKey": "Create the contingency table columns:",
     "crossNocolumnChoiceKey": "Each level of each column variable appears as a table column",
     "crossColumnChoiceKey": "The factorial combinations of the levels of the column variables appear as table columns",
     "crossRowComboKey": "Create the contingency table rows:",
     "crossNoneChoiceKey": "Each level of each row variable appears as a table row",
     "crossRowChoiceKey": "The factorial combinations of the levels of the row variables appear as table rows",
     "freqPercentComboKey": "Display as frequencies or percents:",
     "freqPercentFreqChoiceKey": "Frequencies",
     "freqPercentPercentChoiceKey": "Percents",
     "freqPercentBothChoiceKey": "Both frequencies and percents",
     "profileComboKey": "Standardize coordinates:",
     "profileBothChoiceKey": "Row and column coordinates",
     "profileRowChoiceKey": "Row coordinates",
     "profileColumnChoiceKey": "Column coordinates",
     "profileNoneChoiceKey": "None",
     "detailsGroupKey": "Details",
     "statsGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "coordsGroupKey": "Coordinates",
     "rowCoordsKey": "Row coordinates",
     "columnCoordsKey": "Column coordinates",
     "profilesGroupKey": "Profiles",
     "rowProfileKey": "Row profile",
     "columnProfileKey": "Column profile",
     "frequencyGroupKey": "Frequencies",
     "observedKey": "Observed",
     "expectedKey": "Expected",
     "deviationKey": "Deviation",
     "cellchiKey": "Cell contribution to chi-square",
     "inertiaGroupKey": "Inertia",
     "chiPvalueKey": "P-value for chi-square",
     "greenacreInertiaKey": "Greenacre adjusted inertia",
     "benzecriInertiaKey": "Benzécri adjusted inertia",
     "unadjInertiaKey": "Unadjusted inertia",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Selected plots",
     "noplotsComboKey": "No plots",
     "inertiaPlotKey": "Inertia plot",
     "configPlotKey": "Configuration plot",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "coordsDSKey": "Create coordinates data set",
     "coordsDSNameKey": "Data set name:",
     "analysisVariablesKey": "Columns of the contingency table:",
     "suppAnalysisVariablesKey": "Supplementary columns of the contingency table:",
     "mcaBurtTableVariablesKey": "Columns of the Burt table:",
     "suppMcaBurtTableVariablesKey": "Supplementary columns of the Burt table:",
     "scaRowVariablesKey": "Row variables:",
     "scaColumnVariablesKey": "Column variables:",
     "mcaColumnVariablesKey": "Column variables:",
     "scaSuppRowVariablesKey": "Supplementary row variables:",
     "suppColumnVariablesKey": "Supplementary column variables:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "idVariableKey": "Label contingency table rows:",
     "nVarsInBurtTableRequirementKey": "The number of variables used to create the Burt table cannot be more than the number of columns in the Burt table."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
