define({root:
({
     "NameKey": "Compute Similarities and Distances",
     "DescriptionKey": "The Compute Similarities and Distances task enables you to create similarities or dissimilarities between pairs of observations using a variety of measures.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The DISTANCE Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "measurementLevelsLabelKey": "Select the measurement levels of the variables to create similarities or distances. Then, select the variables for each level:",
     "ratioDataKey": "Ratio",
     "intervalDataKey": "Interval",
     "ordinalDataKey": "Ordinal",
     "nominalDataKey": "Nominal",
     "symNominalDataKey": "Symmetric nominal (more common)",
     "asymNominalDataKey": "Asymmetric nominal (uncommon)",
     "asymVarTypeInstructionKey": "All asymmetric nominal variables must be the same type:",
     "numVarChoiceKey": "Numeric",
     "charVarChoiceKey": "Character",
     "numericAbsentKey": "Absent:",
     "numericAbsentMissingKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentInvalidKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentPromptKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentRangeKey": "the value to be used in an irrelevant absent-absent match",
     "charAbsentKey": "Absent:",
     "charAbsentMissingKey": "Enter the value to be used in an irrelevant absent-absent match",
     "charAbsentInvalidKey": "Enter the value to be used in an irrelevant absent-absent match",
     "charAbsentPromptKey": "Enter the value to be used in an irrelevant absent-absent match",
     "methodTypeInstructionKey": "Select the coefficient type:",
     "similarityChoiceKey": "Similarity",
     "distanceChoiceKey": "Dissimilarity",
     "simDistGroupKey": "SIMILARITIES AND DISSIMILARITIES",
     "simGowerOnlyComboKey": "Similarity measure:",
     "simRatioOnlyComboKey": "Similarity measure:",
     "simNominalOnlyComboKey": "Similarity measure:",
     "simRatioIntervalOrdinalComboKey": "Similarity measure:",
     "simAsymNominalOnlyComboKey": "Similarity measure:",
     "simRatioAsymNominalComboKey": "Similarity measure:",
     "gowerChoiceKey": "Gower and Legendre similarity",
     "covChoiceKey": "Covariance",
     "corrChoiceKey": "Correlation",
     "sqcorrChoiceKey": "Squared correlation",
     "simratioChoiceKey": "Similarity ratio",
     "overlapChoiceKey": "Overlap similarity",
     "dotChoiceKey": "Dot product coefficient",
     "cosineChoiceKey": "Cosine coefficient",
     "matchChoiceKey": "Simple matching coefficient",
     "hamannChoiceKey": "Hamann coefficient",
     "rtChoiceKey": "Roger and Tanimoto coefficient",
     "ss1ChoiceKey": "Sokal and Sneath 1",
     "ss3ChoiceKey": "Sokal and Sneath 3",
     "diceChoiceKey": "Dice coefficient",
     "rrChoiceKey": "Russell and Rao coefficient",
     "k1ChoiceKey": "Kulcynski 1 coefficient",
     "jaccardChoiceKey": "Jaccard similarity coefficient",
     "distGowerOnlyComboKey": "Dissimilarity measure:",
     "distRatioOnlyComboKey": "Dissimilarity measure:",
     "distNominalOnlyComboKey": "Dissimilarity measure:",
     "distRatioIntervalOrdinalComboKey": "Dissimilarity measure:",
     "distAsymNominalOnlyComboKey": "Dissimilarity measure:",
     "distRatioAsymNominalComboKey": "Dissimilarity measure:",
     "dgowerChoiceKey": "Gower and Legendre (as distance)",
     "dsqcorrChoiceKey": "Squared correlation (as distance)",
     "euclidChoiceKey": "Euclidean",
     "sqeuclidChoiceKey": "Squared Euclidean",
     "minkowskiChoiceKey": "Minkowski",
     "cityblockChoiceKey": "City-block",
     "sizeChoiceKey": "Size",
     "shapeChoiceKey": "Shape",
     "dcorrChoiceKey": "Correlation (as distance)",
     "chebychevChoiceKey": "Chebychev",
     "powerChoiceKey": "Generalized Euclidean",
     "disratioChoiceKey": "Similarity ratio (as distance)",
     "nonmetricChoiceKey": "Lance and Williams nonmetric coefficient",
     "canberraChoiceKey": "Canberra metric distance coefficient",
     "doverlapChoiceKey": "Overlap dissimilarity",
     "chisqChoiceKey": "Chi-square coefficient",
     "phisqChoiceKey": "Phi-square coefficient",
     "chiChoiceKey": "Square root of chi-square coefficient",
     "phiChoiceKey": "Square root of phi-square coefficient",
     "hammingChoiceKey": "Hamming distance",
     "dmatchChoiceKey": "Simple matching coefficient (Euclidean distance)",
     "dsqmatchChoiceKey": "Simple matching coefficient (squared Euclidean distance)",
     "blwmnChoiceKey": "Binary Lance and Williams nonmetric",
     "djaccardChoiceKey": "Jaccard dissimilarity coefficient",
     "lambdaKey": "Lambda:",
     "lambdaMissingKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaInvalidKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaPromptKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaRangeKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "powerKey": "Power:",
     "powerMissingKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerInvalidKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerPromptKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerRangeKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "rootKey": "Root:",
     "rootMissingKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootInvalidKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootPromptKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootRangeKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "stdGroupKey": "STANDARDIZATION",
     "suppressStdCheckboxKey": "Suppress all standardization",
     "ratioStdGroupKey": "Ratio Variables",
     "intervalStdGroupKey": "Interval Variables",
     "ordinalStdGroupKey": "Ordinal Variables",
     "ratioStdCheckboxKey": "Standardize ratio variables",
     "intervalStdCheckboxKey": "Standardize interval variables",
     "ordinalStdCheckboxKey": "Standardize ordinal variables",
     "ratioStdizeMethodKey": "Standardization method:",
     "intervalStdizeMethodKey": "Standardization method:",
     "intervalGowerStdizeMethodKey": "Standardization method:",
     "ordinalStdizeMethodKey": "Standardization method:",
     "ordinalGowerStdizeMethodKey": "Standardization method:",
     "defaultChoiceKey": "Default",
     "meanChoiceKey": "Mean",
     "medianChoiceKey": "Median",
     "stdDevChoiceKey": "Standard deviation",
     "rangeChoiceKey": "Range",
     "abwChoiceKey": "Tukey's biweight estimate",
     "ahuberChoiceKey": "Huber's estimate",
     "awaveChoiceKey": "Andrew's wave estimate",
     "sumChoiceKey": "Sum",
     "iqrChoiceKey": "Interquartile range",
     "euclidStdChoiceKey": "Euclidean length",
     "agkChoiceKey": "Art, Gnanadesikan, and Kettenring estimate",
     "madChoiceKey": "Median absolute deviation",
     "spacingChoiceKey": "Minimum spacing",
     "minkowskiStdChoiceKey": "Minkowski",
     "maxabsChoiceKey": "Maximum absolute value (default)",
     "ratioMeanNoteKey": "Subtract the mean",
     "ratioMedianNoteKey": "Subtract the median",
     "ratioStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "ratioRangeNoteKey": "Subtract the minimum, divide by the range",
     "ratioSumNoteKey": "Divide by the sum",
     "ratioIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "ratioEuclidNoteKey": "Divide by the Euclidean length",
     "ratioAgkNoteKey": "Subtract the mean, divide by the Art, Gnanadesikan, and Kettenring estimate",
     "ratioMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "ratioSpacingNoteKey": "Subtract the mid-minimum spacing, divide by the minimum spacing",
     "ratioMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "ratioMaxabsNoteKey": "Divide by the maximum absolute value",
     "intervalMeanNoteKey": "Subtract the mean",
     "intervalMedianNoteKey": "Subtract the median",
     "intervalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "intervalRangeNoteKey": "Subtract the minimum, divide by the range",
     "intervalIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "intervalAgkNoteKey": "Subtract the mean, divide by the Art, Gnanadesikan, and Kettenring estimate",
     "intervalMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "intervalSpacingNoteKey": "Subtract the mid-minimum spacing, divide by the minimum spacing",
     "intervalMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "intervalDefaultNoteKey": "Standard deviation is the default method for most similarity and distance measures",
     "intervalDgowerDefaultNoteKey": "Range is the default method for the Gower and Legendre measure",
     "ordinalMeanNoteKey": "Subtract the mean",
     "ordinalMedianNoteKey": "Subtract the median",
     "ordinalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "ordinalRangeNoteKey": "Subtract the minimum, divide by the range",
     "ordinalIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "ordinalMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "ordinalMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "ordinalDefaultNoteKey": "Standard deviation is the default method for most similarity and distance measures",
     "ordinalDgowerDefaultNoteKey": "Range is the default method for the Gower and Legendre measures",
     "ratioAgkProportionKey": "Proportion of pairs:",
     "ratioAgkProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioSpacingProportionKey": "Proportion of data:",
     "ratioSpacingProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioLambdaKey": "Lambda:",
     "ratioLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioWaveTuningConstantKey": "Tuning constant:",
     "ratioWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioBwTuningConstantKey": "Tuning constant:",
     "ratioBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioHuberTuningConstantKey": "Tuning constant:",
     "ratioHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalAgkProportionKey": "Proportion of pairs:",
     "intervalAgkProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalSpacingProportionKey": "Proportion of data:",
     "intervalSpacingProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalLambdaKey": "Lambda:",
     "intervalLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalWaveTuningConstantKey": "Tuning constant:",
     "intervalWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalBwTuningConstantKey": "Tuning constant:",
     "intervalBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalHuberTuningConstantKey": "Tuning constant:",
     "intervalHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalLambdaKey": "Lambda:",
     "ordinalLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalWaveTuningConstantKey": "Tuning constant:",
     "ordinalWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalBwTuningConstantKey": "Tuning constant:",
     "ordinalBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalHuberTuningConstantKey": "Tuning constant:",
     "ordinalHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create distances data set",
     "outputDSNameKey": "Data set name:",
     "outputDetailsGroup": "Details",
     "shapeInstructionKey": "Select the shape of the matrix to be output:",
     "triangularChoiceKey": "Lower triangular",
     "squareChoiceKey": "Square",
     "newVarNamesNoteKey": "Construct new variable names:",
     "usePrefixKey": "Use prefix",
     "prefixKey": "Prefix:",
     "prefixMissingKey": "Enter a valid SAS variable name",
     "prefixInvalidKey": "Enter a valid SAS variable name",
     "useIdVarKey": "Select a variable that contains the names for the new variables",
     "ratioVariablesKey": "Ratio variables:",
     "intervalVariablesKey": "Interval variables:",
     "ordinalVariablesKey": "Ordinal variables:",
     "nominalVariablesKey": "Symmetric nominal variables:",
     "asymNominalNumVariablesKey": "Asymmetric nominal variables:",
     "asymNominalCharVariablesKey": "Asymmetric nominal variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "copyVariablesKey": "Include these variables:",
     "idVariableKey": "New variable names:",
     "measurementLevelRequirementKey": "Select at least one level of measurement for the variables to be used in clustering.",
     "twoRatioVarsRequirementKey": "Select at least two ratio variables to use in clustering for the correlation and squared correlation dissimilarity measures.",
     "twoRatioIntervalOrdinalVarsRequirementKey": "Select at least two ratio, interval, or ordinal variables to use in clustering for the correlation and squared correlation dissimilarity measures."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
