define({root:
({
     "NameKey": "Discriminant Analysis",
     "DescriptionKey": "The Discriminant Analysis task develops a discriminant criterion to classify observations.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "The DISCRIM Procedure",
     "LinkKey6": "The STEPDISC Procedure",
     "LinkKey12": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "priorsKey": "",
     "otherRolesGroup": "ADDITIONAL ROLES",
     "optionsTabKey": "OPTIONS",
     "methodsGroupKey": "METHODS",
     "methodKey": "Classification criterion method:",
     "paramKey": "Parametric",
     "knearestKey": "K nearest neighbors",
     "kernelKey": "Kernel density estimation",
     "kvalueKey": "Enter value for K:",
     "kvalueMissingKey": "Enter an integer value",
     "kvalueInvalidKey": "Enter an integer value",
     "kvaluePromptKey": "Enter an integer value",
     "rvalue": "Enter value for radius:",
     "rvalueMissingKey": "Enter a positive numeric value",
     "rvalueInvalidKey": "Enter a positive numeric value",
     "rvaluePromptKey": "Enter a positive numeric value",
     "functionComboKey": "Discriminant function:",
     "functionCombo2Key": "Discriminant function:",
     "linearKey": "Linear",
     "quadraticKey": "Quadratic",
     "poolTestKey": "Homogeneity of within-group covariance test",
     "slpoolKey": "Significance level for test:",
     "slpoolMissingKey": "Enter a value greater than 0 and less than 1 for the significance level for the test",
     "slpoolInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to for the test",
     "slpoolPromptKey": "Enter a value greater than 0 and less than 1 for the significance level for the test",
     "kernelComboKey": "Kernel density:",
     "biweightKey": "Biweight",
     "epaKey": "Epanechnikov",
     "normalKey": "Normal",
     "triweightKey": "Triweight",
     "uniformKey": "Uniform",
     "canonCheckKey": "Canonical analysis",
     "numCanonVarsKey": "Number of canonical variates:",
     "crossvalidateKey": "Perform cross validation",
     "crosserrKey": "Display misclassified observations",
     "validateGroupKey": "VALIDATION",
     "validateCheck": "Perform data set validation",
     "validationNameKey": "Data set to classify:",
     "testlistKey": "Classification results",
     "testlisterrKey": "Missclassified observations",
     "testoutCheckKey": "Create classification data set",
     "testoutKey": "Data set name:",
     "testoutdCheckKey": "Create classification density data set",
     "testoutdKey": "Data set name:",
     "plotCheck": "Plot first two canonical variates",
     "statsGroupKey": "STATISTICS",
     "simpleKey": "Simple descriptive statistics",
     "listKey": "Classification results",
     "listerrKey": "Misclassified observations",
     "distanceKey": "Squared Mahalanobis distances",
     "posterrKey": "Posterior probability error-rate estimates",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "VARIABLE SELECTION",
     "stepComboKey": "Selection method:",
     "noselect": "None",
     "bwKey": "Backward selection",
     "fwKey": "Forward selection",
     "swKey": "Stepwise selection",
     "slEntryKey": "Significance level for adding a variable:",
     "slEntryMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to add a variable",
     "slEntryInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to add a variable",
     "slEntryPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to add a variable",
     "slStayKey": "Significance level for retaining a variable:",
     "slStayMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to retain a variable",
     "slStayInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to retain a variable",
     "slStayPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to retain a variable",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outdataCheckKey": "Create classification results data set",
     "outdataKey": "Data set name:",
     "outstatCheckKey": "Create statistics data set",
     "outstatsKey": "Data set name:",
     "outcrossCheckKey": "Create cross validation data set",
     "outcrossKey": "Data set name:",
     "outdensCheckKey": "Create density data set",
     "outdensKey": "Data set name:",
     "label1Key": "Canonical Variate 1",
     "label2Key": "Canonical Variate 2",
     "classVarKey": "Group variable:",
     "quantVarsKey": "Quantitative variables:",
     "byVarKey": "Group analysis by:",
     "freqVarKey": "Frequency count:",
     "weightVarKey": "Weight:",
     "numCanonMsgKey": "The number of canonical variates must be less than or equal to the number of quantitative variables.",
     "noPlotMsgKey": "At least two canonical variates are required to produce plots."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
