define({root:
({
     "NameKey": "Distribution Analysis",
     "DescriptionKey": "Distribution analysis provides information about the distribution of numeric variables. A variety of plots such as histograms, probability plots, and quantile-quantile plots can be used in this analysis.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The UNIVARIATE Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "optionsGroupKey": "TABLES",
     "normalityGroupKey": "CHECKING FOR NORMALITY",
     "normalHistogramKey": "Histogram and goodness-of-fit tests",
     "normalityTestsKey": "Goodness-of-fit tests",
     "normalityProbPlotKey": "Normal probability plot",
     "normalityProbPlotReferenceLineKey": "Add a reference line",
     "normalityQqPlotKey": "Normal quantile-quantile plot",
     "normalityQqPlotReferenceLineKey": "Add a reference line",
     "normalityInsetGroupKey": "Inset Statistics",
     "normalityHistogramInsetKey": "Add inset statistics",
     "normalityProbPlotInsetKey": "Add inset statistics",
     "normalityQQPlotInsetKey": "Add inset statistics",
     "normalityInsetMeanKey": "Mean",
     "normalityInsetMedianKey": "Median",
     "normalityInsetStdKey": "Standard deviation",
     "normalityInsetVarianceKey": "Variance",
     "normalityInsetSkewnessKey": "Skewness",
     "normalityInsetKurtosisKey": "Kurtosis",
     "normalityInsetNobsKey": "Number of observations",
     "normalityInsetGoodnessOfFitKey": "Goodness-of-fit test",
     "plotsGroupKey": "PLOTS",
     "histogramGroupKey": "EXPLORING DATA",
     "histogramKey": "Histogram",
     "addHistogramKernelKey": "Add kernel density estimate",
     "addHistogramNormalKey": "Add normal curve",
     "histogramInsetGroupKey": "Inset Statistics",
     "histogramInsetKey": "Add inset statistics",
     "histogramInsetMeanKey": "Mean",
     "histogramInsetMedianKey": "Median",
     "histogramInsetStdKey": "Standard deviation",
     "histogramInsetVarianceKey": "Variance",
     "histogramInsetSkewnessKey": "Skewness",
     "histogramInsetKurtosisKey": "Kurtosis",
     "histogramInsetNobsKey": "Number of observations",
     "histogramInsetNoframeKey": "Draw box around statistics",
     "histogramInsetPositionKey": "Position at:",
     "histogramInsetPositionNKey": "Top",
     "histogramInsetPositionNEKey": "Upper right",
     "histogramInsetPositionEKey": "Right",
     "histogramInsetPositionSEKey": "Lower right",
     "histogramInsetPositionSKey": "Bottom",
     "histogramInsetPositionSWKey": "Lower left",
     "histogramInsetPositionWKey": "Left",
     "histogramInsetPositionNWKey": "Upper left",
     "fitDifferentDistsGroupKey": "FITTING DISTRIBUTIONS",
     "betaGroupKey": "Beta",
     "betaHistogramKey": "Histogram and goodness-of-fit tests",
     "betaProbPlotKey": "Probability plot",
     "betaQQPlotKey": "Quantile-quantile plot",
     "betaInsetGroupKey": "Inset Statistics",
     "betaHistogramInsetKey": "Add inset statistics",
     "betaProbPlotInsetKey": "Add inset statistics",
     "betaQQPlotInsetKey": "Add inset statistics",
     "betaInsetMeanKey": "Mean",
     "betaInsetMedianKey": "Median",
     "betaInsetStdKey": "Standard deviation",
     "betaInsetVarianceKey": "Variance",
     "betaInsetSkewnessKey": "Skewness",
     "betaInsetKurtosisKey": "Kurtosis",
     "betaInsetNobsKey": "Number of observations",
     "expGroupKey": "Exponential",
     "expHistogramKey": "Histogram and goodness-of-fit tests",
     "expProbPlotKey": "Probability plot",
     "expQQPlotKey": "Quantile-quantile plot",
     "expInsetGroupKey": "Inset Statistics",
     "expHistogramInsetKey": "Add inset statistics",
     "expProbPlotInsetKey": "Add inset statistics",
     "expQQPlotInsetKey": "Add inset statistics",
     "expInsetMeanKey": "Mean",
     "expInsetMedianKey": "Median",
     "expInsetStdKey": "Standard deviation",
     "expInsetVarianceKey": "Variance",
     "expInsetSkewnessKey": "Skewness",
     "expInsetKurtosisKey": "Kurtosis",
     "expInsetNobsKey": "Number of observations",
     "gammaGroupKey": "Gamma",
     "gammaHistogramKey": "Histogram and goodness-of-fit tests",
     "gammaProbPlotKey": "Probability plot",
     "gammaQQPlotKey": "Quantile-quantile plot",
     "gammaInsetGroupKey": "Inset Statistics",
     "gammaHistogramInsetKey": "Add inset statistics",
     "gammaProbPlotInsetKey": "Add inset statistics",
     "gammaQQPlotInsetKey": "Add inset statistics",
     "gammaInsetMeanKey": "Mean",
     "gammaInsetMedianKey": "Median",
     "gammaInsetStdKey": "Standard deviation",
     "gammaInsetVarianceKey": "Variance",
     "gammaInsetSkewnessKey": "Skewness",
     "gammaInsetKurtosisKey": "Kurtosis",
     "gammaInsetNobsKey": "Number of observations",
     "lognormalGroupKey": "Lognormal",
     "lognormalHistogramKey": "Histogram and goodness-of-fit tests",
     "lognormalProbPlotKey": "Probability plot",
     "lognormalQQPlotKey": "Quantile-quantile plot",
     "lognormalInsetGroupKey": "Inset Statistics",
     "lognormalHistogramInsetKey": "Add inset statistics",
     "lognormalProbPlotInsetKey": "Add inset statistics",
     "lognormalQQPlotInsetKey": "Add inset statistics",
     "lognormalInsetMeanKey": "Mean",
     "lognormalInsetMedianKey": "Median",
     "lognormalInsetStdKey": "Standard deviation",
     "lognormalInsetVarianceKey": "Variance",
     "lognormalInsetSkewnessKey": "Skewness",
     "lognormalInsetKurtosisKey": "Kurtosis",
     "lognormalInsetNobsKey": "Number of observations",
     "weibullGroupKey": "Weibull",
     "weibullHistogramKey": "Histogram and goodness-of-fit tests",
     "weibullProbPlotKey": "Probability plot",
     "weibullQQPlotKey": "Quantile-quantile plot",
     "weibullInsetGroupKey": "Inset Statistics",
     "weibullHistogramInsetKey": "Add inset statistics",
     "weibullProbPlotInsetKey": "Add inset statistics",
     "weibullQQPlotInsetKey": "Add inset statistics",
     "weibullInsetMeanKey": "Mean",
     "weibullInsetMedianKey": "Median",
     "weibullInsetStdKey": "Standard deviation",
     "weibullInsetVarianceKey": "Variance",
     "weibullInsetSkewnessKey": "Skewness",
     "weibullInsetKurtosisKey": "Kurtosis",
     "weibullInsetNobsKey": "Number of observations",
     "normalProbPlotKey": "Normal probability plot",
     "probPlotReferenceLineKey": "Add a reference line",
     "commentExploreKey": "Exploring Data",
     "commentNormalityKey": "Checking for Normality",
     "commentFittingKey": "Fitting Distributions",
     "analysisVariablesKey": "Analysis variables:",
     "classVariablesKey": "Classification variables:",
     "freqVariableKey": "Frequency count:",
     "byVariablesKey": "Group analysis by:",
     "requestSomethingRequirementKey": "Select at least one plot or test on the OPTIONS tab.",
     "histogramInsetStatRequirementKey": "Select at least one inset statistic to display for the histogram.",
     "normalityInsetStatRequirementKey": "Select at least one inset statistic to display for the plots in the Checking for Normality section.",
     "betaInsetStatRequirementKey": "Select at least one inset statistic to display for the Beta distribution plots in the Fitting Distributions section.",
     "expInsetStatRequirementKey": "Select at least one inset statistic to display for the Exponential distribution plots in the Fitting Distributions section.",
     "gammaInsetStatRequirementKey": "Select at least one inset statistic to display for the Gamma distribution plots in the Fitting Distributions section.",
     "lognormalInsetStatRequirementKey": "Select at least one inset statistic to display for the Lognormal distribution plots in the Fitting Distributions section.",
     "weibullInsetStatRequirementKey": "Select at least one inset statistic to display for the Weibull distribution plots in the Fitting Distributions section."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
