define({root:
({
     "NameKey": "Causal Models",
     "DescriptionKey": "Parameters of models with endogenous variables can be estimated with two-stage least squares or Heckman's two-step selection method.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The MODEL Procedure",
     "LinkKey3": "The QLIM Procedure",
     "methodsGroupKey": "METHODS",
     "selectCriterionKey": "Select samples with dependent variable:",
     "stdErrMethodKey": "Variance estimation method:",
     "correctStdErrKey": "Corrected standard errors",
     "olsStdErrKey": "OLS standard errors",
     "interceptSelectKey": "Include the intercept",
     "covestKey": "Type of covariances of the parameter estimates:",
     "covestDefaultKey": "Default",
     "hessianKey": "Inverse Hessian matrix",
     "opKey": "Outer product matrix",
     "qmlKey": "Outer product and Hessian matrices",
     "optimizationGroupKey": "METHODS",
     "methodKey": "Optimization method:",
     "defaultOptMethodKey": "Default",
     "congraKey": "Conjugate-gradient",
     "dbldogKey": "Double-dogleg",
     "nmsimpKey": "Nelder-Mead simplex",
     "newrapKey": "Newton-Raphson combining line-search with ridging",
     "nrridgKey": "Newton-Raphson with ridging",
     "quanewKey": "Quasi-Newton",
     "trKey": "Trust region",
     "method2Key": "Optimization method:",
     "defaultOptMethod2Key": "Default",
     "gaussKey": "Gauss-Newton",
     "marquardtKey": "Levenberg-Marquardt",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterInvalidKey": "Enter an integer for the maximum number of iterations that is greater than 0 and less than or equal to 32000.",
     "statsGroupKey": "STATISTICS",
     "statsChoiceKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "noneChoiceKey": "None",
     "printallKey": "Request all printing options",
     "corrbKey": "Correlations of the parameter estimates",
     "covbKey": "Covariances of the parameter estimates",
     "itprintKey": "Iteration history of the objective function and parameter estimates",
     "noprintKey": "Suppress all printed output",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ANALYSIS",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "twoSLSGroupKey": "Roles",
     "heckmanGroupKey": "",
     "selectEquationGroupKey": "Selection Equation",
     "outcomeEquationGroupKey": "Outcome Equation",
     "2SLSKey": "Two-stage least squares",
     "HECKMANKey": "Heckman's two-step selection method",
     "modelPlotsGroupKey": "PLOTS",
     "modelSelectPlotsComboKey": "Select plots to display:",
     "modelDefaultPlotsKey": "Default plots",
     "modelSelectedPlotsKey": "Selected plots",
     "modelAllPlotsKey": "All plots",
     "modelNoPlotsKey": "No plots",
     "plotModelKey": "Plots",
     "plotModelACFKey": "Autocorrelation plot",
     "plotModelIACFKey": "Inverse autocorrelations of residuals",
     "plotModelPACFKey": "Partial autocorrelations of residuals",
     "plotModelFITPLOTKey": "Predicted and actual values plot",
     "plotModelQQKey": "QQ plot of residuals",
     "plotModelRESIDUALKey": "Residuals",
     "plotModelSTUDENTRESIDUALKey": "Studentized residuals",
     "plotModelRESIDUALHISTOGRAMKey": "Histogram of residuals",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputESTKey": "Create parameter estimates data set",
     "outputESTNameKey": "Data set name:",
     "outputCOVKey": "Add covariance matrix of the estimates",
     "outputCORRKey": "Add correlation matrix of the estimates",
     "selectDependentVariableKey": "Dependent variable:",
     "selectRegressorKey": "Continuous variables:",
     "outcomeDependentVariableKey": "Dependent variable:",
     "outcomeRegressorKey": "Continuous variables:",
     "selectClassVariableKey": "Categorical variables:",
     "outcomeClassVariableKey": "Categorical variables:",
     "syslinDependentVariableKey": "Dependent variable:",
     "syslinExogenousVariablesKey": "Exogenous explanatory variables:",
     "syslinEndogenousVariablesKey": "Endogenous explanatory variables:",
     "syslinInstrumentsVariablesKey": "Excluded instrumental variables:",
     "byVariablesKey": "Group analysis by",
     "instrumentsVarCntMsgKey": "The number of excluded instrumental variables must be greater than or equal to the number of endogenous explanatory variables.",
     "heckitBinarySelectionVarMsgKey": "The selection variable must have exactly two distinct values."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
