define({root:
({
     "NameKey": "Time Series Analysis",
     "DescriptionKey": "Analyze time series data with autoregressive errors or heteroscedasticity.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The VARMAX Procedure",
     "LinkKey3": "The AUTOREG Procedure",
     "LinkKey5": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "independentVarsGroupKey": "Independent Variables",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "timeIDPropertyGroupKey": "Properties",
     "timeIDPropsKey": "",
     "seasonalLenKey": "Season length:",
     "modelTabKey": "MODEL",
     "MAINKey": "Main effects model",
     "interceptKey": "Include the intercept in the model",
     "CROSSKey": "Custom model",
     "modelGroupKey": "MODEL EFFECTS",
     "modelBuilderKey": "",
     "modelSettingsGroupKey": "MODEL SETTINGS",
     "optionsTabKey": "OPTIONS",
     "arOptionsGroupKey": "Process Model",
     "varmaxOptionsGroupKey": "Process Model",
     "arOrderSelectionCheckKey": "Automatically select process orders",
     "arPKey": "Autoregressive order (p):",
     "arPMaxKey": "Maximum autoregressive order (p):",
     "varmaxOrderSelectionCheckKey": "Automatically select process orders",
     "varmaxPKey": "Autoregressive order (p):",
     "varmaxPMaxKey": "Maximum autoregressive order (p):",
     "varmaxQKey": "Moving average order (q):",
     "varmaxQMaxKey": "Maximum moving average order (q):",
     "varmaxXKey": "Exogenous variables lag (xlag):",
     "garchOptionsGroupKey": "GARCH Conditional Heteroscedasticity",
     "garchPKey": "GARCH process order (p):",
     "garchQKey": "ARCH process order (q):",
     "garchRepresentationComboKey": "GARCH model representation:",
     "garchRepresentationBEKKKey": "BEKK",
     "garchRepresentationCCCKey": "Constant conditional correlation",
     "garchRepresentationDCCKey": "Dynamic conditional correlation",
     "garchTypeComboKey": "GARCH model type:",
     "garchTypeEGARCHKey": "Exponential GARCH",
     "garchTypePGARCHKey": "Power GARCH",
     "garchTypeQUADRKey": "Quadratic GARCH",
     "garchTypeTGARCHKey": "Threshold GARCH",
     "garchTypeNOCONSTRAINTKey": "GARCH with no constraints",
     "priorCheckKey": "Specify Bayesian VARX estimation options",
     "ecmOptionsGroupKey": "Vector Error Correction",
     "ecmRankKey": "Cointegration rank:",
     "ecmNormalizeVarKey": "Select a normalization variable:",
     "ecTrendComboKey": "Trend in correction term:",
     "ecTrendNOKey": "No trend",
     "ecTrendLINEARKey": "Linear trend",
     "autoregTestsComboKey": "Select tests to display:",
     "autoregDefaultTestsChoiceKey": "Default tests",
     "autoregCustomTestsChoice": "Default and selected tests",
     "autoregTestGroupKey": "TESTS",
     "autoregTestGroupAutocorrelationKey": "Tests For Autocorrelation",
     "autoregTestGroupHeterKey": "Tests For Heteroscedasticity",
     "autoregTestGroupNormalityKey": "Tests of Normality",
     "autoregTestGroupIndependenceKey": "Tests For Independence",
     "autoregTestsAutocorrelationDWKey": "Generalized Durbin-Watson test",
     "autoregTestsHeterQKey": "The Q and Engle's LM tests",
     "autoregTestsHeterLEEKey": "Lee and King's ARCH tests",
     "autoregTestsHeterWONGKey": "Wong and Li's ARCH tests",
     "autoregTestsNormalityBERAKey": "Bera-Jarque normality test",
     "autoregTestsIndependenceBDSKey": "Brock-Dechert-Scheinkman (BDS) test",
     "autoregTestsIndependenceRUNSKey": "Runs test",
     "autoregTestsIndependenceTURNINGKey": "Turning point test",
     "autoregTestsIndependenceVONNEUMANNKey": "Rank version of the von Neumann ratio test",
     "varmaxStatsComboKey": "Select statistics to display:",
     "varmaxDefaultStatsChoiceKey": "Default statistics",
     "varmaxCustomStatsChoice": "Default and selected statistics",
     "varmaxTestGroupKey": "TESTS",
     "varmaxTestsUnitRootDFKey": "Dickey-Fuller unit root tests",
     "varmaxTestscointegrationCOINTKey": "Cointegration tests",
     "varmaxStatsGroupKey": "STATISTICS",
     "varmaxStatsCORRBKey": "Estimated correlations of the parameter estimates",
     "varmaxStatsCOVBKey": "Estimated covariances of the parameter estimates",
     "varmaxStatsDIAGNOSEKey": "Residual diagnostics and model diagnostics",
     "varmaxStatsIMPULSEKey": "Impulse response function",
     "varmaxStatsIMPULSXKey": "Impulse response function related to exogenous (independent) variables",
     "varmaxStatsROOTSKey": "Eigenvalues of the companion matrix associated with the AR characteristic function",
     "varmaxStatsYWKey": "Yule-Walker estimates of the autoregressive model for the dependent variables",
     "optimizationGroupKey": "METHODS",
     "methodKey": "Optimization method:",
     "defaultOptMethodKey": "Default",
     "conjugateGradientKey": "Conjugate-gradient",
     "doubleDoglegKey": "Double-dogleg",
     "nelderMeadSimplexKey": "Nelder-Mead simplex",
     "newtonRaphsonKey": "Newton-Raphson combining line-search with ridging",
     "newtonRaphsonRidgeKey": "Newton-Raphson with ridging",
     "quasiNewtonKey": "Quasi-Newton",
     "trustRegionKey": "Trust region",
     "methodAutoregKey": "Optimization method:",
     "quasiNewtonAutoregKey": "Quasi-Newton",
     "trustRegionAutoregKey": "Trust region",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMissingKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "maxiterInvalidKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "maxiterPromptKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "maxiterRangeKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputKey": "Create output data set",
     "outputSTATNameKey": "Data set name:",
     "outputNOPRINTKey": "Suppresses printed forecast values of each dependent (endogenous) variable",
     "outputPREDICTEDKey": "Predicted values",
     "outputPREDICTEDMKey": "Structural predicted values",
     "outputRESIDUALKey": "Residuals from both the structural and time series prediction",
     "outputRESIDUALMKey": "Residuals from the structural prediction",
     "outputUCLKey": "Upper confidence limit for the predicted value",
     "outputUCLMKey": "Upper confidence limit for the structural predicted value",
     "outputLCLKey": "Lower confidence limit for the predicted value",
     "outputLCLMKey": "Lower confidence limit for the structural predicted value",
     "outputESTKey": "Create parameter estimates data set",
     "outputESTNamekEY": "Data set name:",
     "outputCOVKey": "Add covariances of the parameter estimates",
     "outputSTATKey": "Create residual diagnostic data set",
     "autoregPlotsGroupKey": "PLOTS",
     "autoregSelectPlotsComboKey": "Select plots to display:",
     "autoregDefaultPlotsKey": "Default plots",
     "autoregSelectedPlotsKey": "Selected plots",
     "autoregAllPlotsKey": "All plots",
     "autoregNoPlotsKey": "No plots",
     "plotAutoregKey": "Plots",
     "plotAutoregACFKey": "Autocorrelation plot",
     "plotAutoregIACFKey": "Inverse-autocorrelations plot",
     "plotAutoregPACFKey": "Partial-autocorrelations plot",
     "plotAutoregFITPLOTKey": "Predicted and actual values plot",
     "plotAutoregQQKey": "Q-Q plot of residuals",
     "plotAutoregRESIDUALKey": "Residuals",
     "plotAutoregSTUDENTRESIDUALKey": "Studentized residuals",
     "plotAutoregSTANDARDRESIDUALKey": "Standardized residuals",
     "plotAutoregWHITENOISEKey": "White noise probabilities",
     "plotAutoregRESIDUALHISTOGRAMKey": "Histogram of residuals",
     "varmaxPlotsGroupKey": "PLOTS",
     "varmaxSelectPlotsComboKey": "Select plots to display:",
     "varmaxDefaultPlotsKey": "Default plots",
     "varmaxSelectedPlotsKey": "Selected plots",
     "varmaxAllPlotsKey": "All plots",
     "varmaxNoPlotsKey": "No plots",
     "plotVarmaxKey": "Plots",
     "plotAutoregFORECASTSKey": "Forecasts",
     "plotAutoregIMPULSEKey": "Impulse response function",
     "plotAutoregMODELKey": "Dependent variables and their one-step-ahead predicted values",
     "timeIDKey": "Time series ID:",
     "dependVariableKey": "Dependent variables:",
     "independVariableNKey": "Continuous variables:",
     "independVariableCKey": "Categorical variables:",
     "byVariablesKey": "Group analysis by:",
     "ecmRankMsgKey": "The cointegration rank must be less than the number of dependent (endogenous) variables."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
