define({root:
({
     "NameKey": "Factor Analysis",
     "DescriptionKey": "Perform a factor analysis with a variety of methods and rotations.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The FACTOR Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "analyzeKey": "Analyze:",
     "corrOnlyAnalyzeKey": "Analyze:",
     "analyzeCovKey": "Covariances",
     "analyzeCorrKey": "Correlations",
     "interceptKey": "Correct the covariances or correlations for the means",
     "extractionGroupKey": "Factor Extraction",
     "useCommonFactorMethodsKey": "Show only common extraction methods",
     "allFactorMethodsComboKey": "Factor extraction method:",
     "commonFactorMethodsComboKey": "Factor extraction method:",
     "alphaMethodKey": "Alpha factor analysis",
     "harrisMethodKey": "Harris component analysis",
     "imageMethodKey": "Image component analysis",
     "mlMethodKey": "Maximum likelihood",
     "princompMethodKey": "Principal component analysis",
     "prinitMethod": "Iterated principal factor analysis",
     "ulsMethodKey": "Unweighted least squares factor analysis",
     "extractionDetailsGroupKey": "Details",
     "rotationGroupKey": "Rotation",
     "rotationMethodKey": "Rotation method:",
     "noRotationKey": "None",
     "biquartimaxRotationKey": "Biquartimax",
     "equamaxRotationKey": "Equamax",
     "factorParsimaxRotationKey": "Factor parsimax",
     "parsimaxRotationKey": "Parsimax",
     "quartimaxRotationKey": "Quartimax",
     "varimaxRotationKey": "Varimax",
     "orthomaxRotationKey": "Orthomax",
     "obliqueBiquartiminRotationKey": "Biquartimin",
     "obliqueCovariminRotationKey": "Covarimin",
     "obliquePromaxRotationKey": "Promax",
     "obliqueObliminRotationKey": "Oblimin",
     "obliqueQuartiminRotationKey": "Quartimin",
     "rotationInstructionKey": "Select type of rotation:",
     "orthogonalRotationChoiceKey": "Orthogonal rotation",
     "obliqueRotationChoiceKey": "Oblique rotation",
     "prerotationMethodKey": "Prerotation method for promax rotation:",
     "prerotationInstructionKey": "Select type of rotation:",
     "orthogonalPrerotationChoiceKey": "Orthogonal rotation",
     "obliquePrerotationChoiceKey": "Oblique rotation",
     "rotationDetailsGroupKey": "Details",
     "normMethodKey": "Method to normalize factor pattern rows:",
     "normKaiserKey": "Kaiser's normalization",
     "normWeightKey": "Cureton-Mulaik's normalization",
     "normCovKey": "Rescale to represent covariances",
     "normNoneKey": "None",
     "useMaxRiterKey": "Specify the maximum number of rotation cycles",
     "maxRiterKey": "Maximum number of rotation cycles:",
     "maxRiterMessageKey": "Enter a number greater than 0 for the maximum number of rotation cycles",
     "ncompKey": "Number of factors:",
     "ncomp_1Key": "1",
     "ncomp_2Key": "2",
     "ncomp_3Key": "3",
     "ncomp_4Key": "4",
     "ncomp_5Key": "5",
     "ncomp_AllKey": "All",
     "ncompSpecifyKey": "Use custom value",
     "ncompValueKey": "Custom number of factors:",
     "ncompValueMissingKey": "Enter an integer for the number of factors that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueInvalidKey": "Enter an integer for the number of factors that is greater than zero and less or equal to the number of analysis variables",
     "ncompValuePromptKey": "Enter an integer for the number of factors that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueRangeKey": "Enter an integer for the number of factors that is greater than zero and less or equal to the number of analysis variables",
     "usePrefixKey": "Specify a prefix to label the factors",
     "prefixKey": "Factor prefix:",
     "prefixMissingKey": "Enter a valid SAS name for the prefix of the factor names",
     "prefixInvalidKey": "Enter a valid SAS name for the prefix of the factor names",
     "prefixPromptKey": "Enter a valid SAS name for the prefix of the factor names",
     "communalitiesGroupKey": "Prior Communalities",
     "priorsKey": "Estimation method for prior communalities:",
     "smcOnlyPriorsKey": "Estimation method for prior communalities:",
     "defaultPriorsKey": "Default",
     "asmcPriorsKey": "Adjusted squared multiple correlation",
     "maxPriorsKey": "Maximum absolute correlation",
     "onePriorsKey": "Set to 1.0",
     "randomPriorsKey": "Set to a random number between 0 and 1",
     "smcPriorsKey": "Squared multiple correlation",
     "heywoodKey": "Heywood cases: Set communalities to 1 that are greater than 1",
     "specifyMaxiterKey": "Specify the maximum number of iterations",
     "maxiterKey": "Maximum number of iterations:",
     "maxiterMissingKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterRangeKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "useGammaPowerKey": "Specify the orthomax weight",
     "gammaKey": "Orthomax weight:",
     "gammaMissingKey": "Enter a number for the orthomax weight",
     "gammaInvalidKey": "Enter a number for the orthomax weight",
     "gammaPromptKey": "Enter a number for the orthomax weight",
     "gammaRangeKey": "Enter a number for the orthomax weight",
     "usePromaxPowerKey": "Specify a power for promax rotation",
     "promaxPowerKey": "Power for promax rotation:",
     "promaxPowerMissingKey": "Enter a value for the power for promax rotation that is equal to or greater than 1",
     "promaxPowerInvalidKey": "Enter a value for the power for promax rotation that is equal to or greater than 1",
     "promaxPowerPromptKey": "Enter a value for the power for promax rotation that is equal to or greater than 1",
     "promaxPowerRangeKey": "Enter a number for the power for promax rotation that is equal to or greater than 1",
     "useTauPowerKey": "Specify the oblimin weight",
     "tauKey": "Oblimin weight:",
     "tauMissingKey": "Enter a number for oblimin weight",
     "tauInvalidKey": "Enter a number for oblimin weight",
     "tauPromptKey": "Enter a number for oblimin weight",
     "tauRangeKey": "Enter a number  for oblimin weight",
     "statisticsGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "additionalStatsLabelKey": "Additional Statistics",
     "simpleStatsKey": "Descriptive statistics",
     "corrsKey": "Correlations",
     "residualCorrsKey": "Residual correlations",
     "eigenvectorsKey": "Eigenvectors",
     "scoreCoeffsKey": "Factor scoring coefficients",
     "msaKey": "Kaiser's measure of sampling adequacy",
     "reorderKey": "Display factor loadings with largest absolute loading first",
     "fuzzKey": "Do not display small correlations and factor loadings",
     "fuzzValueKey": "Minimum factor loading or correlation to display:",
     "fuzzValueMissingKey": "Enter a number greater than zero for the minimum factor loading to display",
     "fuzzValueInvalidKey": "Enter a number greater than zero for the minimum factor loading to display",
     "fuzzValuePromptKey": "Enter a number greater than zero for the minimum factor loading to display",
     "fuzzValueRangeKey": "Enter a number greater than zero for the minimum factor loading to display",
     "seKey": "Standard errors",
     "confIntKey": "Confidence interval",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "noplotsComboKey": "No plots",
     "screePlotKey": "Eigenvalue by component (Scree plot)",
     "pathDiagramKey": "Path diagram",
     "useDiagramCriterionKey": "Specify the criterion to display paths",
     "diagramFuzzValueKey": "Minimum factor loading value to display:",
     "diagramFuzzValueMissingKey": "Enter a number greater than zero for the minimum factor loading to display in the path diagram",
     "diagramFuzzValueInvalidKey": "Enter a number greater than zero for the minimum factor loading to display in the path diagram",
     "diagramFuzzValuePromptKey": "Enter a number greater than zero for the minimum factor loading to display in the path diagram",
     "diagramFuzzValueRangeKey": "Enter a number greater than zero for the minimum factor loading to display in the path diagram",
     "alphaKey": "Minimum significance level to display:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "alphaSpecifyKey": "Use custom value",
     "alphaValueKey": "Custom significance level:",
     "alphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "unrotatedLoadingsPlotKey": "Unrotated loadings plots",
     "rotatedLoadingsPlotKey": "Rotated loadings plots",
     "prerotatedLoadingsPlotKey": "Prerotated loadings plots",
     "loadingsPlotOptionsKey": "Options for Loadings Plots",
     "ncompToPlotKey": "Number of factors to plot:",
     "ncompToPlotValueKey": "Custom number of factors to plot:",
     "ncompToPlotValueMissingKey": "Enter an integer for the number of factors to plot that is between 2 and 32767, inclusive",
     "ncompToPlotValueInvalidKey": "Enter an integer for the number of factors to plot that is between 2 and 32767, inclusive",
     "ncompToPlotValuePromptKey": "Enter an integer for the number of factors to plot that is between 2 and 32767, inclusive",
     "ncompToPlotValueRangeKey": "Enter an integer for the number of factors to plot that is between 2 and 32767, inclusive",
     "vectorPlotKey": "Add vectors to loadings plots",
     "patternPlotKey": "Patterns for pairs of components",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "scoresDSKey": "Create factor scores data set",
     "scoresDSNameKey": "Data set name:",
     "statDSKey": "Create statistics data set",
     "statDSNameKey": "Data set name:",
     "analysisVariablesKey": "Analysis variables:",
     "partialVariablesKey": "Variables to partial out:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
