define({root:
({
     "NameKey": "Generalized Linear Models",
     "DescriptionKey": "The Generalized Linear Models task performs generalized linear modeling analysis of a response from distributions in the exponential family, such as the normal, Poisson, Tweedie, zero-inflated negative binomial and Poisson distributions as well as multinomial models for ordinal responses.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GENMOD Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "explanatoryGroupKey": "Explanatory Variables",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "zeroInflatedModelBuilderKey": "",
     "responseGroupKey": "Response",
     "eventTrialsDataKey": "Response data consists of numbers of events and trials",
     "referenceLevelComboKey": "Reference category:",
     "responseOrderKey": "Response order:",
     "ascendingChoiceKey": "Model ascending values",
     "descendingChoiceKey": "Model descending values",
     "binResponseOrderKey": "Event of interest:",
     "lowerChoiceKey": "Lower value",
     "higherChoiceKey": "Higher value",
     "responseOrderTypeKey": "Response values:",
     "formattedChoiceKey": "Order by formatted values",
     "unformattedChoiceKey": "Order by unformatted values",
     "distributionKey": "Distribution:",
     "binonlyDistributionKey": "Distribution:",
     "binomialChoiceKey": "Binomial",
     "gammaChoiceKey": "Gamma",
     "invGaussianChoiceKey": "Inverse Gaussian",
     "multinomialChoiceKey": "Multinomial",
     "negBinomialChoiceKey": "Negative binomial",
     "normalChoiceKey": "Normal",
     "poissonChoiceKey": "Poisson",
     "powerChoiceKey": "Power",
     "tweedieChoiceKey": "Tweedie",
     "zeroNegBinomialChoiceKey": "Zero-inflated negative binomial",
     "zeroPoissonChoiceKey": "Zero-inflated Poisson",
     "linkFxKey": "Link function:",
     "canonicalLinkChoiceKey": "Default (Canonical)",
     "defaultLinkChoiceKey": "Default",
     "cLogLogChoiceKey": "Complementary log-log",
     "identityChoiceKey": "Identity",
     "inverseChoiceKey": "Inverse",
     "logChoiceKey": "Logarithm",
     "logitChoiceKey": "Logit",
     "probitChoiceKey": "Probit",
     "multLinkFxKey": "Link function:",
     "cumCompLogLogChoiceKey": "Cumulative complementary log-log",
     "cumLogitChoiceKey": "Cumulative logit",
     "cumProbitChoiceKey": "Cumulative probit",
     "powerValueKey": "Power:",
     "powerValueMissingKey": "Enter a number for the power",
     "powerValueInvalidKey": "Enter a number for the power",
     "powerValuePromptKey": "Enter a number for the power",
     "powerValueRangeKey": "Enter a number for the power",
     "tweediePowerComboKey": "Tweedie power parameter:",
     "tweediePowerEstimateChoiceKey": "Estimate the value",
     "tweediePowerSpecifyValueChoiceKey": "Specify a custom value",
     "tweediePowerValueKey": "Tweedie power:",
     "tweediePowerValueMissingKey": "Enter a number greater than 1.1 and less than or equal to 3 for the Tweedie power parameter",
     "tweediePowerValueInvalidKey": "Enter a number greater than 1.1 and less than or equal to 3 for the Tweedie power parameter",
     "tweediePowerValuePromptKey": "Enter a number greater than 1.1 and less than or equal to 3 for the Tweedie power parameter",
     "tweediePowerValueRangeKey": "Enter a number greater than 1.1 and less than or equal to 3 for the Tweedie power parameter",
     "zeroGroupKey": "ZERO-INFLATED MODEL EFFECTS",
     "zeroModelChoiceKey": "Specify model:",
     "zeroChoice1Key": "Intercept-only model",
     "zeroChoice2Key": "Effects selected from main model",
     "zeroChoice3Key": "Custom zero-inflated model",
     "zerolistKey": "Select main model effects:",
     "zerolist2Key": "Enter a custom model:",
     "zerolist2EffectsKey": "Enter a space delimited list of effects, e.g. A B A*B",
     "zeroLinkFxKey": "Link function for the zero-inflated model:",
     "methodsGroupKey": "METHODS",
     "dispersionGroupKey": "Dispersion",
     "correctOverdispersionKey": "Adjust for overdispersion",
     "dispersionBinComboKey": "Dispersion parameter:",
     "dispersionOtherComboKey": "Estimate dispersion parameter:",
     "defaultScaleChoiceKey": "Use maximum likelihood estimate",
     "pscaleChoiceKey": "Use Pearson estimate",
     "dscaleChoiceKey": "Use deviance estimate",
     "noScaleChoiceKey": "Set value to 1",
     "customScaleChoiceKey": "Specify custom value",
     "resultsGroupKey": "RESULTS",
     "tablesGroupKey": "STATISTICS",
     "tableChoiceKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "additionalTablesLabelKey": "Additional Statistics",
     "type1Key": "Type 1 (sequential) analysis",
     "type3Key": "Type 3 analysis",
     "wald3Key": "Wald statistics for Type 3 contrasts",
     "confIntervalLabelKey": "Confidence Intervals",
     "lrciKey": "Profile likelihood confidence intervals",
     "waldciKey": "Wald confidence intervals",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "obstatsKey": "Observation statistics",
     "residualsKey": "Residuals",
     "influenceKey": "Influence diagnostics",
     "predictedKey": "Predicted values and confidence intervals",
     "predictedOnlyKey": "Predicted values",
     "multCompareGroupKey": "Multiple Comparisons",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareExclusionKey": "Multiple comparisons are only available if GLM parameterization of classification effects is used. Make this choice in the Parameterization of Effects section on the DATA tab.",
     "multCompareListKey": "Select effects to test:",
     "multCompareComboKey": "Method:",
     "bonferroniChoiceKey": "Bonferroni",
     "dunnettChoiceKey": "Dunnett",
     "nelsonChoiceKey": "Nelson",
     "scheffeChoiceKey": "Scheffe",
     "sidakChoiceKey": "Sidak",
     "tukeyChoiceKey": "Tukey",
     "multCompareAlphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "multCompareAlphaSpecifyKey": "Use custom value",
     "multCompareAlphaValueKey": "Custom significance level:",
     "multCompareAlphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactGroupKey": "Exact Tests",
     "exactTestsKey": "Perform exact tests",
     "exactLabelKey": "Perform exact tests on the selected effects",
     "exactListKey": "Select effects to test:",
     "exactInterceptKey": "Exact test of intercept",
     "exactNoteKey": "Note: For some large problems, computation of exact tests might require a large amount of time and memory.",
     "exactExclusionsKey": "Exact tests are not available if multiple comparisons or an output data set are requested or if a Weight or Offset variable is used.",
     "exactExclusionsPoissonKey": "Exact tests are not available if multiple comparisons or an output data set are requested or if a Weight variable is used.",
     "exactJointTestKey": "Joint test of all selected effects",
     "exactAlphaComboKey": "Significance level:",
     "exactAlphaSpecifyKey": "Use custom value",
     "exactAlphaValueKey": "Custom significance level:",
     "exactAlphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "exactAlphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "plotsGroupKey": "PLOTS",
     "plotsChoiceKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "allPlotsChoiceKey": "All plots",
     "noPlotsChoiceKey": "No plots",
     "additionalPlotsLabelKey": "Additional Plots",
     "cooksdPlotKey": "Cook's D by observation number",
     "dfbetaPlotKey": "DFBETA by observation number",
     "dfbetasPlotKey": "Standardized DFBETA by observation number",
     "leveragePlotKey": "Leverage by observation number",
     "predPlotKey": "Predicted values by observation number",
     "resChiPlotKey": "Pearson residuals by observation number",
     "resLikPlotKey": "Likelihood residuals by observation number",
     "resRawPlotKey": "Residuals by observation number",
     "resDevPlotKey": "Deviance residuals by observation number",
     "stdResChiPlotKey": "Standardized Pearson residuals by observation number",
     "stdResDevPlotKey": "Standardized deviance residuals by observation number",
     "resChiXBetaPlotKey": "Pearson residuals by linear predictor",
     "resLikXBetaPlotKey": "Likelihood residuals by linear predictor",
     "resRawXBetaPlotKey": "Residuals by linear predictor",
     "resDevXBetaPlotKey": "Deviance residuals by linear predictor",
     "stdResChiXBetaPlotKey": "Standardized Pearson residuals by linear predictor",
     "stdResDevXBetaPlotKey": "Standardized deviance residuals by linear predictor",
     "unpackPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "residualPlotsLabelKey": "Residual Plots",
     "influencePlotsLabelKey": "Influence Plots",
     "predictedPlotsLabelKey": "Predicted Plots",
     "optimizationGroupKey": "Optimization",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMissingKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "maxiterRangeKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "predictedStatsGroupKey": "Predicted Values",
     "otherStatsGroupKey": "Other Statistics",
     "linpKey": "Linear predictor",
     "predKey": "Predicted values",
     "clPredKey": "Confidence limits for predicted values",
     "residualKey": "Residuals",
     "pearsonKey": "Pearson residuals",
     "resdevChoiceKey": "Deviance residuals",
     "reslikChoiceKey": "Likelihood residuals",
     "stdReschiChoiceKey": "Standardized Pearson residuals",
     "stdResdevChoiceKey": "Standardized deviance residuals",
     "leverageChoiceKey": "Leverage",
     "cookdChoiceKey": "Cook's D",
     "dfbetaChoiceKey": "DFBETA",
     "stdDfbetaChoiceKey": "Standardized DFBETA",
     "stdXbetaChoiceKey": "Standard error of the linear predictor",
     "responseVariableKey": "Response:",
     "eventVariableKey": "Number of events:",
     "trialsVariableKey": "Number of trials:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "offsetVariableKey": "Offset variable:",
     "idVariableKey": "Label observations:",
     "aggregateVariablesKey": "Define subpopulations:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "exactPoissonNointRequirementKey": "An offset variable is required with exact Poisson regression when the model does not include an intercept.",
     "gammaDistRequirementKey": "The response variable must be numeric with the gamma distribution.",
     "invGaussianDistRequirementKey": "The response variable must be numeric with the inverse Gaussian distribution.",
     "negBinomialDistRequirementKey": "The response variable must be numeric with the negative binomial distribution.",
     "normalDistRequirementKey": "The response variable must be numeric with the normal distribution.",
     "poissonDistRequirementKey": "The response variable must be numeric with the Poisson distribution.",
     "tweedieDistRequirementKey": "The response variable must be numeric with the Tweedie distribution.",
     "zeroNegBinDistRequirementKey": "The response variable must be numeric with the zero-inflated negative binomial distribution.",
     "zeroPoisDistRequirementKey": "The response variable must be numeric with the zero-inflated Poisson distribution.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "exactTestsNeededRequirementKey": "Select exact tests for the intercept or one or more effects.",
     "exactInterceptNeedsOffsetVarRequirementKey": "Select an offset variable on the Data tab when the exact test for the intercept is selected.",
     "zeroInflatedEffectsNeededRequirementKey": "Select one or more effects for the zero-inflated model on the MODEL tab.",
     "aggregateVariablesRequirementKey": "Select one or more variables to define subpopulations in the Dispersion group on the OPTIONS tab."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
