define({root:
({
     "NameKey": "Bin Continuous Data",
     "DescriptionKey": "The Bin Continuous Data task divides the data values of a continuous variable into intervals and replaces the values for each interval with a single value that is representative of the interval.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The HPBIN Procedure",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "binMethodKey": "Method:",
     "bucketChoiceKey": "Bucket binning",
     "winsorChoiceKey": "Winsorized binning",
     "pseudoChoiceKey": "Pseudo-quantile binning",
     "nBinsKey": "Number of bins:",
     "nBinsMissingKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsInvalidKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsPromptKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "nBinsRangeKey": "Enter a integer number greater than 1 and less than or equal to 1000 for the number of bins",
     "winsorRateKey": "Winsor rate:",
     "winsorRateMissingKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRateInvalidKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRatePromptKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "winsorRateRangeKey": "Enter a number greater than zero and less than 0.5 for the winsor rate",
     "woeKey": "Compute weight of evidence and information value",
     "Key": "Order of the target variable:",
     "ascResponseOrderChoiceKey": "Ascending",
     "descResponseOrderChoiceKey": "Descending",
     "useWoeAdjustKey": "Specify adjustment factor",
     "woeAdjustKey": "Adjustment factor:",
     "woeAdjustMessageKey": "Enter a number greater than or equal to zero and less than or equal to 1.0 for the weight of evidence adjustment factor",
     "tablesGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "noneChoiceKey": "None",
     "additionalTablesLabelKey": "Additional Statistics",
     "basicStatsKey": "Basic statistics",
     "quantileStatsKey": "Quantile statistics",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsKeyInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsRangeKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetTitleKey": "Subset of {1}",
     "analysisVariablesKey": "Variables to bin:",
     "idVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "outputNotSelectedMsg": "Select some statistics to display or request an output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
