define({root:
({
     "NameKey": "Generalized Linear Models",
     "DescriptionKey": "The Generalized Linear Models task performs generalized linear modeling analysis of a response from distributions in the exponential family, such as the normal, Poisson, and Tweedie distributions as well as multinomial models for ordinal and nominal responses, with model selection.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The HPGENSELECT Procedure",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "glmParamChoiceKey": "GLM coding",
     "refParamChoiceKey": "Reference coding",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "nwayKey": "N-way:",
     "nwayMessageKey": "Enter an integer greater than 1 for the the maximum order of interactions",
     "responseGroupKey": "Response",
     "explanatoryGroupKey": "Explanatory Variables",
     "distributionKey": "Distribution:",
     "binaryChoiceKey": "Binary",
     "binomialChoiceKey": "Binomial",
     "gammaChoiceKey": "Gamma",
     "invGaussianChoiceKey": "Inverse Gaussian",
     "multinomialChoiceKey": "Multinomial",
     "negBinomialChoiceKey": "Negative binomial",
     "normalChoiceKey": "Normal",
     "poissonChoiceKey": "Poisson",
     "tweedieChoiceKey": "Tweedie",
     "linkFxKey": "Link function:",
     "defaultLinkChoiceKey": "Default",
     "cLogLogChoiceKey": "Complementary log-log",
     "logLogChoiceKey": "Log-log",
     "logitChoiceKey": "Logit",
     "glogitChoiceKey": "Generalized logit",
     "probitChoiceKey": "Probit",
     "identityChoiceKey": "Identity",
     "reciprocalChoiceKey": "Reciprocal",
     "reciprocalSqChoiceKey": "Reciprocal square",
     "logChoiceKey": "Logarithm",
     "refComboKey": "Reference category:",
     "eventComboKey": "Event of interest:",
     "firstRefChoiceKey": "First ordered category",
     "lastRefChoiceKey": "Last ordered category",
     "specifyRefChoiceKey": "Select custom category",
     "refLevelComboKey": "Custom category:",
     "tweediePowerComboKey": "Tweedie power parameter:",
     "tweediePowerEstimateChoiceKey": "Estimate the value",
     "tweediePowerSpecifyValueChoiceKey": "Specify a custom value",
     "tweediePowerValueKey": "Tweedie power:",
     "tweediePowerValueMessageKey": "Enter a number greater than or equal to 1.1 for the Tweedie power parameter",
     "methodsGroupKey": "METHODS",
     "dispersionGroupKey": "Dispersion",
     "dispersionComboKey": "Dispersion parameter:",
     "estimateDispersionChoiceKey": "Estimate value",
     "customDispersionChoiceKey": "Specify custom value",
     "dispersionValueKey": "Custom dispersion value:",
     "dispersionValueMessageKey": "Enter a number greater than 0 for the dispersion parameter",
     "resultsGroupKey": "RESULTS",
     "tablesGroupKey": "STATISTICS",
     "tableChoiceKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "noneChoiceKey": "None",
     "clKey": "Confidence limits for estimates",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "optimizationGroupKey": "Optimization",
     "optMethodKey": "Method:",
     "defaultOptChoiceKey": "Default",
     "noneOptChoiceKey": "None",
     "congraChoiceKey": "Conjugate-gradient",
     "doglegChoiceKey": "Double dogleg",
     "newrapChoiceKey": "Newton-Raphson",
     "simplexChoiceKey": "Nelder-Mead simplex",
     "quasiNewtonChoiceKey": "Dual quasi-Newton",
     "trustRegionChoiceKey": "Trust-region",
     "newtonRidgingChoiceKey": "With ridging",
     "newtonLineSearchChoice": "With line search",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMessageKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "gconvKey": "Relative gradient convergence criterion:",
     "gconvMessageKey": "Enter a numeric value for the relative gradient convergence criterion",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Save observation statistics",
     "outputDSNameKey": "Data set name:",
     "outfitDSKey": "Save fit statistics",
     "outfitDSNameKey": "Data set name:",
     "residualStatsGroupKey": "Residuals",
     "predictedStatsGroupKey": "Predicted Values",
     "linpKey": "Linear predictors",
     "predKey": "Predicted values",
     "clPredKey": "Confidence limits for predicted values",
     "residualKey": "Residuals",
     "pearsonKey": "Pearson residuals",
     "adjPearsonKey": "Adjusted Pearson residuals",
     "outputConfidenceKey": "Confidence level:",
     "outputConfidenceValueKey": "Custom confidence level:",
     "outputConfidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise selection",
     "lassoChoiceKey": "LASSO",
     "noCvChooseMethodKey": "Select best model by:",
     "cvChooseMethodKey": "Select best model by:",
     "stopMethodKey": "Stop adding/removing effects with:",
     "defaultCriterionChoiceKey": "Default criterion",
     "noCriterionChoiceKey": "No criterion",
     "sigLevelChoiceKey": "Significance level",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "sbcChoiceKey": "Schwarz Bayesian criterion",
     "validateChoiceKey": "Average square error for validation data",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "useIncludeListKey": "Select effects to include in all models",
     "includeListKey": "Effects to include:",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data and:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 for the random seed",
     "partitionDataComboKey": "Identify validation or test data cases:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "nominalResponseKey": "Response:",
     "responseVariableKey": "Response:",
     "eventVariableKey": "Number of events:",
     "trialsVariableKey": "Number of trials:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "offsetVariableKey": "Offset variable:",
     "idVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "binaryTwoLevelResponseRequirementKey": "For the binary distribution, the target can only have two non-missing levels. Select another target.",
     "gammaDistRequirementKey": "The response variable must be numeric with the gamma distribution.",
     "invGaussianDistRequirementKey": "The response variable must be numeric with the inverse Gaussian distribution.",
     "negBinomialDistRequirementKey": "The response variable must be numeric with the negative binomial distribution.",
     "normalDistRequirementKey": "The response variable must be numeric with the normal distribution.",
     "poissonDistRequirementKey": "The response variable must be numeric with the Poisson distribution.",
     "tweedieDistRequirementKey": "The response variable must be numeric with the Tweedie distribution.",
     "includeEffectsNeededRequirementKey": "Select at least one effect to include in all models.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
