define({root:
({
     "NameKey": "Cluster Observations",
     "DescriptionKey": "The Cluster Observations task performs clustering with a variety of methods with optional standardization and conversion of coordinate data to distance data.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The CLUSTER Procedure",
     "LinkKey3": "The FASTCLUS Procedure",
     "LinkKey4": "The DISTANCE Procedure",
     "LinkKey6": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "coordDataRolesGroupKey": "ROLES",
     "distanceDataRolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "measurementLevelGroupKey": "LEVEL OF MEASUREMENT",
     "measurementLevelsLabelKey": "Select the measurement levels of the variables to use in clustering. Then, select the variables for each level.",
     "ratioDataKey": "Ratio",
     "intervalDataKey": "Interval",
     "ordinalDataKey": "Ordinal",
     "nominalDataKey": "Nominal",
     "symNominalDataKey": "Symmetric nominal (more common)",
     "asymNominalDataKey": "Asymmetric nominal (uncommon)",
     "asymVarTypeInstructionKey": "All asymmetric nominal variables must be the same type:",
     "numVarChoiceKey": "Numeric",
     "charVarChoiceKey": "Character",
     "numericAbsentKey": "Absent:",
     "numericAbsentMissingKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentInvalidKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentPromptKey": "Enter the value to be used in an irrelevant absent-absent match",
     "numericAbsentRangeKey": "the value to be used in an irrelevant absent-absent match",
     "charAbsentKey": "Absent:",
     "charAbsentMissingKey": "Enter the value to be used in an irrelevant absent-absent match",
     "charAbsentInvalidKey": "Enter the value to be used in an irrelevant absent-absent match",
     "charAbsentPromptKey": "Enter the value to be used in an irrelevant absent-absent match",
     "simDistGroupKey": "Dissimilarity Measures",
     "distGowerOnlyComboKey": "Dissimilarity measure:",
     "distRatioOnlyComboKey": "Dissimilarity measure:",
     "distNominalOnlyComboKey": "Dissimilarity measure:",
     "distRatioIntervalOrdinalComboKey": "Dissimilarity measure:",
     "distAsymNominalOnlyComboKey": "Dissimilarity measure:",
     "distRatioAsymNominalComboKey": "Dissimilarity measure:",
     "dgowerChoiceKey": "Gower and Legendre (as distance)",
     "dsqcorrChoiceKey": "Squared correlation (as distance)",
     "euclidChoiceKey": "Euclidean",
     "sqeuclidChoiceKey": "Squared Euclidean",
     "minkowskiChoiceKey": "Minkowski",
     "cityblockChoiceKey": "City-block",
     "sizeChoiceKey": "Size",
     "shapeChoiceKey": "Shape",
     "dcorrChoiceKey": "Correlation (as distance)",
     "chebychevChoiceKey": "Chebychev",
     "powerChoiceKey": "Generalized Euclidean",
     "disratioChoiceKey": "Similarity ratio (as distance)",
     "nonmetricChoiceKey": "Lance and Williams nonmetric coefficient",
     "canberraChoiceKey": "Canberra metric distance coefficient",
     "doverlapChoiceKey": "Overlap dissimilarity",
     "chisqChoiceKey": "Chi-square coefficient",
     "phisqChoiceKey": "Phi-square coefficient",
     "chiChoiceKey": "Square root of chi-square coefficient",
     "phiChoiceKey": "Square root of phi-square coefficient",
     "hammingChoiceKey": "Hamming distance",
     "dmatchChoiceKey": "Simple matching coefficient (Euclidean distance)",
     "dsqmatchChoiceKey": "Simple matching coefficient (squared Euclidean distance)",
     "blwmnChoiceKey": "Binary Lance and Williams nonmetric",
     "djaccardChoiceKey": "Jaccard dissimilarity coefficient",
     "lambdaKey": "Lambda:",
     "lambdaMissingKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaInvalidKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaPromptKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "lambdaRangeKey": "Enter a number greater than or equal to 0.01 for the Minkowski lambda",
     "powerKey": "Power:",
     "powerMissingKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerInvalidKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerPromptKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "powerRangeKey": "Enter a number greater than or equal to 0.001 for the power of the generalized Euclidean method",
     "rootKey": "Root:",
     "rootMissingKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootInvalidKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootPromptKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "rootRangeKey": "Enter a number greater than or equal to 0.01 for the root of the generalized Euclidean method",
     "stdGroupKey": "Standardization",
     "ratioStdGroupKey": "Ratio Variables",
     "intervalStdGroupKey": "Interval Variables",
     "ordinalStdGroupKey": "Ordinal Variables",
     "suppressStdCheckboxKey": "Suppress all standardization",
     "ratioStdCheckboxKey": "Standardize ratio variables",
     "intervalStdCheckboxKey": "Standardize interval variables",
     "ordinalStdCheckboxKey": "Standardize ordinal variables",
     "ratioStdizeMethodKey": "Standardization method:",
     "intervalStdizeMethodKey": "Standardization method:",
     "ordinalStdizeMethodKey": "Standardization method:",
     "ordinalGowerStdizeMethodKey": "Standardization method:",
     "defaultChoiceKey": "Default",
     "meanChoiceKey": "Mean",
     "medianStdChoiceKey": "Median",
     "stdDevChoiceKey": "Standard deviation",
     "rangeChoiceKey": "Range",
     "abwChoiceKey": "Tukey's biweight estimate",
     "ahuberChoiceKey": "Huber's estimate",
     "awaveChoiceKey": "Andrew's wave estimate",
     "sumChoiceKey": "Sum",
     "iqrChoiceKey": "Interquartile range",
     "euclidStdChoiceKey": "Euclidean length",
     "agkChoiceKey": "Art, Gnanadesikan, and Kettenring estimate",
     "madChoiceKey": "Median absolute deviation",
     "spacingChoiceKey": "Minimum spacing",
     "minkowskiStdChoiceKey": "Minkowski",
     "maxabsChoiceKey": "Maximum absolute value (default)",
     "ratioMeanNoteKey": "Subtract the mean",
     "ratioMedianNoteKey": "Subtract the median",
     "ratioStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "ratioRangeNoteKey": "Subtract the minimum, divide by the range",
     "ratioSumNoteKey": "Divide by the sum",
     "ratioIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "ratioEuclidNoteKey": "Divide by the Euclidean length",
     "ratioAgkNoteKey": "Subtract the mean, divide by the Art, Gnanadesikan, and Kettenring estimate",
     "ratioMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "ratioSpacingNoteKey": "Subtract the mid-minimum spacing, divide by the minimum spacing",
     "ratioMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "ratioMaxabsNoteKey": "Divide by the maximum absolute value",
     "intervalMeanNoteKey": "Subtract the mean",
     "intervalMedianNoteKey": "Subtract the median",
     "intervalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "intervalRangeNoteKey": "Subtract the minimum, divide by the range",
     "intervalIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "intervalAgkNoteKey": "Subtract the mean, divide by the Art, Gnanadesikan, and Kettenring estimate",
     "intervalMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "intervalSpacingNoteKey": "Subtract the mid-minimum spacing, divide by the minimum spacing",
     "intervalMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "intervalDefaultNoteKey": "Standard deviation is the default method for most distance measures",
     "intervalDgowerDefaultNoteKey": "Range is the default method for the Gower and Legendre distance measure",
     "ordinalMeanNoteKey": "Subtract the mean",
     "ordinalMedianNoteKey": "Subtract the median",
     "ordinalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "ordinalRangeNoteKey": "Subtract the minimum, divide by the range",
     "ordinalIqrNoteKey": "Subtract the median, divide by the interquartile range",
     "ordinalMadNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "ordinalMinkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "ordinalDefaultNoteKey": "Standard deviation is the default method for most distance measures",
     "ordinalDgowerDefaultNoteKey": "Range is the default method for the Gower and Legendre distance measure",
     "ratioAgkProportionKey": "Proportion of pairs:",
     "ratioAgkProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioAgkProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "ratioSpacingProportionKey": "Proportion of data:",
     "ratioSpacingProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioSpacingProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "ratioLambdaKey": "Lambda:",
     "ratioLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ratioWaveTuningConstantKey": "Tuning constant:",
     "ratioWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ratioBwTuningConstantKey": "Tuning constant:",
     "ratioBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ratioHuberTuningConstantKey": "Tuning constant:",
     "ratioHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "ratioHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalAgkProportionKey": "Proportion of pairs:",
     "intervalAgkProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalAgkProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "intervalSpacingProportionKey": "Proportion of data:",
     "intervalSpacingProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalSpacingProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "intervalLambdaKey": "Lambda:",
     "intervalLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "intervalWaveTuningConstantKey": "Tuning constant:",
     "intervalWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "intervalBwTuningConstantKey": "Tuning constant:",
     "intervalBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "intervalHuberTuningConstantKey": "Tuning constant:",
     "intervalHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "intervalHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalLambdaKey": "Lambda:",
     "ordinalLambdaMissingKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaInvalidKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaPromptKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalLambdaRangeKey": "Enter a number greater than or equal to one for the Minkowski lambda",
     "ordinalWaveTuningConstantKey": "Tuning constant:",
     "ordinalWaveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalWaveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "ordinalBwTuningConstantKey": "Tuning constant:",
     "ordinalBwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalBwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "ordinalHuberTuningConstantKey": "Tuning constant:",
     "ordinalHuberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "ordinalHuberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outtreeDSKey": "Create tree information data set",
     "outtreeDSNameKey": "Data set name:",
     "outDSKey": "Create cluster assignment data set",
     "outDSNameKey": "Data set name:",
     "outstatDSKey": "Create statistics data set",
     "outstatDSNameKey": "Data set name:",
     "outseedDSKey": "Create cluster centroids data set",
     "outseedDSNameKey": "Data set name:",
     "clusteringMethodGroupKey": "Clustering",
     "showOnlyCommonMethodsKey": "Show only common clustering methods",
     "coordinateDataCommonClusteringMethodComboKey": "Clustering method:",
     "coordinateDataClusteringMethodComboKey": "Clustering method:",
     "distanceDataCommonClusteringMethodComboKey": "Clustering method:",
     "distanceDataClusteringMethodComboKey": "Clustering method:",
     "averageChoiceKey": "Average linkage",
     "centroidChoiceKey": "Centroid",
     "completeChoiceKey": "Complete linkage",
     "densityChoiceKey": "Density linkage",
     "flexibleChoiceKey": "Lance-Williams flexible-beta",
     "mcquittyChoiceKey": "McQuitty's similarity analysis",
     "medianChoiceKey": "Gower's median",
     "singleChoiceKey": "Single linkage",
     "twoStageChoiceKey": "Two-stage density linkage",
     "wardChoiceKey": "Ward minimum-variance",
     "kmeansChoiceKey": "K-means",
     "useBetaKey": "Specify beta",
     "betaKey": "Beta:",
     "betaMissingKey": "Enter a number less than one for beta",
     "betaInvalidKey": "Enter a number less than one for beta",
     "betaPromptKey": "Enter a number less than one for beta",
     "betaRangeKey": "Enter a number less than one for beta",
     "kernelEstimationInstructionKey": "Kernel estimation method:",
     "knnChoiceKey": "Kth-nearest-neighbor estimation",
     "uniformKernelChoiceKey": "Uniform-kernel estimation",
     "kernelKKey": "Number of neighbors:",
     "kernelKMissingKey": "Enter a number two or greater and less than the number of observations for the number of neighbors",
     "kernelKInvalidKey": "Enter a number two or greater and less than the number of observations for the number of neighbors",
     "kernelKPromptKey": "Enter a number two or greater and less than the number of observations for the number of neighbors",
     "kernelKRangeKey": "Enter a number two or greater and less than the number of observations for the number of neighbors",
     "kernelRKey": "Radius:",
     "kernelRMissingKey": "Enter a number greater than zero for the radius of the sphere of support for uniform-kernel density estimation",
     "kernelRInvalidKey": "Enter a number greater than zero for the radius of the sphere of support for uniform-kernel density estimation",
     "kernelRPromptKey": "Enter a number greater than zero for the radius of the sphere of support for uniform-kernel density estimation",
     "kernelRRangeKey": "Enter a number greater than zero for the radius of the sphere of support for uniform-kernel density estimation",
     "useTrimKey": "Omit outliers",
     "trimKey": "Minimum probability density :",
     "trimMissingKey": "Enter a number greater than zero and less than 1 for the minimum probability density",
     "trimInvalidKey": "Enter a number greater than zero and less than 1 for the minimum probability density",
     "trimPromptKey": "Enter a number greater than zero and less than 1 for the minimum probability density",
     "trimRangeKey": "Enter a number greater than zero and less than 1 for the minimum probability density",
     "fastclusMethodInstructionKey": "Specify at least one of the following two methods:",
     "useMaxclustersKey": "Maximum number of clusters",
     "maxClustersKey": "Clusters:",
     "maxClustersMissingKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersInvalidKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersPromptKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersRangeKey": "Enter an integer greater than zero for the maximum number of clusters",
     "useRadiusKey": "Minimum distance between a candidate seed and existing seeds",
     "radiusKey": "Distance:",
     "radiusMissingKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusInvalidKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusPromptKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusRangeKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "fastclusDetailsGroup": "Details",
     "useMaxiterKey": "Maximum number of iterations",
     "maxiterKey": "Iterations:",
     "maxiterMissingKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "driftKey": "Update cluster centroid for each observation",
     "useSeedsDatasetKey": "Read cluster centroids from a data set",
     "statsGroupKey": "STATISTICS",
     "statsComboKey": "Display statistics:",
     "defaultPrintKey": "Default statistics",
     "customPrintKey": "Selected statistics",
     "noprintKey": "None",
     "cccKey": "Cubic clustering criterion",
     "pseudoKey": "Pseudo F and t-square",
     "rsquareKey": "R-square and semipartial R-square",
     "rmsstdKey": "Root mean square standard deviation",
     "nprintComboKey": "Cluster history:",
     "allGenerationsChoiceKey": "Display complete history (default)",
     "noGenerationsChoiceKey": "Suppress history",
     "customGenerationsChoiceKey": "Display clusters 1 to n",
     "nprintKey": "N:",
     "nprintMissingKey": "Enter an integer number greater than zero for the number of generations to display",
     "nprintInvalidKey": "Enter an integer number greater than zero for the number of generations to display",
     "nprintPromptKey": "Enter an integer number greater than zero for the number of generations to display",
     "nprintRangeKey": "Enter an integer number greater than zero for the number of generations to display",
     "distanceFastclusKey": "Distances between cluster centers",
     "listFastclusKey": "Cluster assignments for observations",
     "plotGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Selected plots",
     "noplotsChoiceKey": "Suppress plots",
     "treePlotKey": "Dendrogram",
     "cccPlotKey": "Cubic clustering criterion by number of clusters",
     "pseudoPlotKey": "Pseudo F and t-square by number of clusters",
     "useMaxclusToPlotKey": "Maximum number of points or clusters to plot",
     "maxClustersToPlotKey": "Points or clusters:",
     "maxClusterToPlotMissingKey": "Enter an integer greater than zero for the maximum number of clusters to plot",
     "maxClustersToPlotInvalidKey": "Enter an integer greater than zero for the maximum number of clusters to plot",
     "maxClustersToPlotPromptKey": "Enter an integer greater than zero for the maximum number of clusters to plot",
     "maxClustersToPlotRangeKey": "Enter an integer greater than zero for the maximum number of clusters to plot",
     "stdVarCommentKey": "Standardize variables",
     "stdVarCreateDistCommentKey": "Standardize variables and create distances",
     "createDistCommentKey": "Create distances",
     "analysisVariablesKey": "Variables to use in clustering:",
     "ratioVariablesKey": "Ratio variables:",
     "intervalVariablesKey": "Interval variables:",
     "ordinalVariablesKey": "Ordinal variables:",
     "nominalVariablesKey": "Symmetric nominal variables:",
     "asymNominalNumVariablesKey": "Asymmetric nominal variables:",
     "asymNominalCharVariablesKey": "Asymmetric nominal variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "idClusterVariableKey": "Identify observations in clusters:",
     "copyClusterVariablesKey": "Include these variables:",
     "measurementLevelRequirementKey": "Select at least one level of measurement for the variables to be used in clustering.",
     "twoRatioVarsRequirementKey": "Select at least two ratio variables to use in clustering for the correlation and squared correlation dissimilarity measures.",
     "twoRatioIntervalOrdinalVarsRequirementKey": "Select at least two ratio, interval, or ordinal variables to use in clustering for the correlation and squared correlation dissimilarity measures.",
     "kmeansSeedRequirementKey": "Specify either the maximum number of clusters or the minimum distance from a candidate seed to existing seeds in the Clustering methods group on the Options tab.",
     "hierPlotsRequirementKey": "Select at least one plot on the Options tab.",
     "seedsDatasetRequirementKey": "The Cluster seeds data set cannot be the same as the data set being analyzed."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
