define({root:
({
     "NameKey": "K-Means Clustering",
     "DescriptionKey": "The K-Means Clustering task performs clustering of interval data by using the k-means algorithm.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The FASTCLUS Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "measurementLevelGroupKey": "LEVEL OF MEASUREMENT",
     "dataPrepGroupKey": "Data Preparation",
     "missingValuesLabelKey": "Missing Values",
     "intervalImputeDataKey": "Replace missing values with the mean",
     "nominalImputeDataKey": "Replace missing values with the most frequent value",
     "stdGroupKey": "Standardization",
     "intervalStdCheckboxKey": "Standardize interval inputs",
     "intervalStdizeMethodKey": "Standardization method:",
     "noStdChoiceKey": "No standardization",
     "stdDevChoiceKey": "Standard deviation",
     "rangeChoiceKey": "Range (default)",
     "intervalStdNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "intervalRangeNoteKey": "Subtract the minimum, divide by the range",
     "clusteringGroupKey": "Clustering",
     "fastclusMethodInstructionKey": "Specify at least one of the following two methods:",
     "useMaxclustersKey": "Maximum number of clusters",
     "maxClustersKey": "Clusters:",
     "maxClustersMissingKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersInvalidKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersPromptKey": "Enter an integer greater than zero for the maximum number of clusters",
     "maxClustersRangeKey": "Enter an integer greater than zero for the maximum number of clusters",
     "useRadiusKey": "Minimum distance between a candidate seed and existing seeds",
     "radiusKey": "Distance:",
     "radiusMissingKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusInvalidKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusPromptKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "radiusRangeKey": "Enter an integer greater than or equal to zero for the minimum distance between a candidate seed and existing seeds",
     "fastclusDetailsGroup": "Details",
     "useMaxiterKey": "Maximum number of iterations",
     "maxiterKey": "Iterations:",
     "maxiterMissingKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter an integer greater than 0 for the maximum number of iterations",
     "driftKey": "Update cluster centroid for each observation",
     "useSeedsDatasetKey": "Read cluster centroids from a data set",
     "distanceFastclusKey": "Show distances between cluster centers",
     "listFastclusKey": "List cluster assignments for observations",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outDSKey": "Create cluster assignment data set",
     "outDSNameKey": "Data set name:",
     "outstatDSKey": "Create statistics data set",
     "outstatDSNameKey": "Data set name:",
     "outseedDSKey": "Create cluster centroids data set",
     "outseedDSNameKey": "Data set name:",
     "statsGroupKey": "STATISTICS",
     "statsComboKey": "Display statistics:",
     "defaultPrintKey": "Default statistics",
     "customPrintKey": "Selected statistics",
     "noprintKey": "Suppress display of output",
     "intervalVariablesKey": "Variables to use in clustering:",
     "freqVariableKey": "Frequency count:",
     "idVariableKey": "Identify observations:",
     "byVariablesKey": "Group analysis by:",
     "kmeansSeedRequirementKey": "Specify either the maximum number of clusters or the minimum distance from a candidate seed to existing seeds in the Clustering methods group on the Options tab.",
     "noprintRequirementKey": "Select at least one output data set when Suppress display of output is selected for Display statistics."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
