define({root:
({
     "NameKey": "Linear Regression",
     "DescriptionKey": "The Linear Regression task fits a linear model to predict a single continuous dependent variable from one or more continuous and/or categorical predictor variables and produces related statistics and graphs for interpreting the results.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GLMSELECT Procedure",
     "LinkKey3": "The PLM Procedure",
     "LinkKey4": "The REG Procedure",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "modelBuilderKey": "",
     "methodsTabKey": "METHODS",
     "outputTabKey": "OUTPUT",
     "methodsGroupKey": "METHODS",
     "tablesGroupKey": "STATISTICS",
     "statisticsComboKey": "Display statistics:",
     "selectedStatsChoiceKey": "Default and selected statistics",
     "defaultStatsChoiceKey": "Default statistics",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "parameterEstimatesGroupKey": "Parameter Estimates",
     "stbKey": "Standardized regression coefficients",
     "clbKey": "Confidence limits for estimates",
     "sumOfSquaresGroupKey": "Sums of Squares",
     "ss1Key": "Sequential sum of squares (Type I)",
     "ss2Key": "Partial sum of squares (Type II)",
     "correlationsGroupKey": "Partial and Semipartial Correlations",
     "partialCorrsKey": "Squared partial correlations",
     "semipartialCorrsKey": "Squared semipartial correlations",
     "collinearityGroupKey": "Collinearity",
     "collinKey": "Collinearity analysis",
     "tolKey": "Tolerance values for estimates",
     "vifKey": "Variance inflation factors",
     "unequalVarianceGroupKey": "Heteroscedasticity",
     "heteroTestKey": "Heteroscedasticity analysis",
     "acovKey": "Asymptotic covariance matrix",
     "diagnosticsGroupKey": "Diagnostics",
     "influenceStatsKey": "Analysis of influence",
     "residualStatsKey": "Analysis of residuals",
     "predictedStatsKey": "Predicted values",
     "multCompareGroupKey": "Multiple Comparisons",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareExclusionKey": "Multiple comparisons are not available if model selection is requested or if GLM parameterization of classification effects is not used.",
     "multCompareListKey": "Select effects to test:",
     "multCompareComboKey": "Method:",
     "bonferroniChoiceKey": "Bonferroni",
     "dunnettChoiceKey": "Dunnett",
     "nelsonChoiceKey": "Nelson",
     "scheffeChoiceKey": "Scheffe",
     "sidakChoiceKey": "Sidak",
     "tukeyChoiceKey": "Tukey",
     "multCompareAlphaComboKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "multCompareAlphaSpecifyKey": "Use custom value",
     "multCompareAlphaValueKey": "Custom significance level:",
     "multCompareAlphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "multCompareAlphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "diffPlotKey": "Mean difference plot",
     "plotsGroupKey": "PLOTS",
     "diagnosticGroupKey": "Diagnostic and Residual Plots",
     "scatterGroupKey": "Scatter Plots",
     "diagnosticPlotsKey": "Diagnostic plots",
     "unpackDiagnosticPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "residualPlotsKey": "Residuals for each explanatory variable",
     "unpackResidualPlotsKey": "Display as:",
     "partialPlotsKey": "Partial regression plots for each explanatory variable",
     "unpackPartialPlotsKey": "Display as:",
     "fitPlotKey": "Fit plot for a single continuous variable",
     "moreDiagnosticPlotsKey": "More Diagnostic Plots",
     "dffitsPlotKey": "DFFITS statistic by observation number",
     "dfbetasPlotsKey": "DFBETAS statistic by observation number for each explanatory variable",
     "unpackDfbetasPlotsKey": "Display as:",
     "observedByPredictedPlotKey": "Observed values by predicted values",
     "rstudentByPredictedPlotKey": "Rstudent statistic by predicted values",
     "plotLabelsKey": "Label extreme points",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outputDSKey": "Create observationwise statistics data set",
     "outputDSNameKey": "Data set name:",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "predictedStatsGroupKey": "Predicted Values",
     "cookdKey": "Cook's D",
     "covratioKey": "Covratio",
     "dffitsKey": "Dffits",
     "leverageKey": "Leverage",
     "predictedKey": "Predicted value",
     "pressKey": "Press statistic",
     "residualKey": "Residual",
     "studentKey": "Studentized residual",
     "rstudentKey": "Studentized residual with current observation removed",
     "clKey": "Confidence intervals for individual predicted value",
     "clmKey": "Confidence intervals for mean predicted value",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise selection",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "selectMethodKey": "Add/remove effects with:",
     "stopMethodKey": "Stop adding/removing effects with:",
     "chooseMethodKey": "Select best model by:",
     "defaultCriterionChoiceKey": "Default criterion",
     "sigLevelChoiceKey": "Significance level",
     "adjrsqChoiceKey": "Adjusted R-square statistic",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "bicChoiceKey": "Sawa Bayesian information criterion",
     "cpChoiceKey": "Mallows' C(p) statistic",
     "pressChoiceKey": "Press statistic",
     "sbcChoiceKey": "Schwarz Bayesian information criterion",
     "rsquareChoiceKey": "R-square statistic",
     "noStopChoiceKey": "None",
     "modelSelectionTablesGroupKey": "SELECTION STATISTICS",
     "modelFitStatsComboKey": "Model fit statistics:",
     "defaultFitStatsChoiceKey": "Default fit statistics",
     "allFitStatsChoiceKey": "All fit statistics",
     "selectedFitStatsChoiceKey": "Selected fit statistics",
     "aicStatKey": "Akaike's information criterion",
     "aiccStatKey": "Akaike's information criterion corrected for small-sample bias",
     "bicStatKey": "Bayesian information criterion",
     "cpStatKey": "Mallows' Cp",
     "rsquareStatKey": "R-square",
     "adjrsqStatKey": "Adjusted R-square",
     "sbcStatKey": "Schwarz's Bayesian information criterion",
     "pressStatKey": "Press statistic",
     "selectionPlotsGroupKey": "SELECTION PLOTS",
     "criteriaPlotsKey": "Criteria plots",
     "unpackCriteriaPlotsKey": "Display as:",
     "coefficientPlotsKey": "Coefficient plots",
     "unpackCoefficientPlotsKey": "Display as:",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "stepDetailsLabelKey": "Additional information for each step",
     "anovaStepDetailsKey": "ANOVA table",
     "fitStatsStepDetailsKey": "Fit statistics",
     "parmestStepDetailsKey": "Parameter estimates",
     "dependentVariableKey": "Dependent variable:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "continuousClassRequirementKey": "Select at least one continuous or one classification variable.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the candidate model on the MODEL tab.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
