define({root:
({
     "NameKey": "Multidimensional Preference Analysis",
     "DescriptionKey": "The Multidimensional Preference Analysis task performs a principal components analysis of rank-ordered data. The principal result is a plot of the scores (objects being rated) represented as points and the structure (raters) as vectors.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PRINQUAL Procedure",
     "LinkKey3": "The PRINCOMP Procedure",
     "LinkKey5": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "dataLayoutNoteGroupKey": "Note About Data Layout",
     "dataLayoutNoteKey": "Each subject (rater) must be a separate column and each object being rated as a separate row. Therefore, the data are the transpose of the usual multivariate data matrix. (In other words, the columns are people; in the more typical matrix the rows represent people.)",
     "transformationKey": "Level of measurement:",
     "intervalChoiceKey": "Interval",
     "ordinalChoiceKey": "Ordinal",
     "nominalChoiceKey": "Nominal",
     "intervalTransformationKey": "Transformation:",
     "linearChoiceKey": "Linear",
     "splineChoiceKey": "B-spline",
     "msplineChoiceKey": "Monotonic B-spline",
     "noneChoiceKey": "No transformation",
     "ordinalTransformationKey": "Transformation:",
     "monotoneChoiceKey": "Monotonic",
     "rankChoiceKey": "Rank",
     "preserveTiesKey": "Preserve ties",
     "splineDegreeKey": "Degree of spline:",
     "splineDegreeMissingKey": "Enter an integer for the degree of the spline that is greater than zero",
     "splineDegreeInvalidsKey": "Enter an integer for the degree of the spline that is greater than zero",
     "splineDegreePromptKey": "Enter an integer for the degree of the spline that is greater than zero",
     "splineDegreeRangeKey": "Enter an integer for the degree of the spline that is greater than zero",
     "nKnotsKey": "Number of knots:",
     "nKnotsMissingKey": "Enter an integer for the number of knots for the spline that is greater than or equal to  zero",
     "nKnotsInvalidsKey": "Enter an integer for the number of knots for the spline that is greater than or equal to  zero",
     "nKnotsPromptKey": "Enter an integer for the number of knots for the spline that is greater than or equal to zero",
     "nKnotsRangeKey": "Enter an integer for the number of knots for the spline that is greater than or equal to  zero",
     "evenlySpacedKnotsKey": "Space knots evenly",
     "reflectInstructionKey": "Larger values for preferences:",
     "reflectHigherChoiceKey": "Higher preference",
     "reflectLowerChoiceKey": "Lower preference",
     "ncompKey": "Number of components:",
     "ncomp_1Key": "1",
     "ncomp_2Key": "2",
     "ncomp_3Key": "3",
     "ncomp_4Key": "4",
     "ncomp_5Key": "5",
     "ncomp_AllKey": "All",
     "ncompSpecifyKey": "Use custom value",
     "ncompValueKey": "Number of components:",
     "ncompValueMissingKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueInvalidsKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValuePromptKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueRangeKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "detailsGroupKey": "Details",
     "analyzeKey": "Analyze:",
     "corrOnlyAnalyzeKey": "Analyze:",
     "analyzeCovKey": "Covariances",
     "analyzeCorrKey": "Correlations",
     "nomissKey": "Exclude observations with missing values",
     "usePrefixKey": "Specify a prefix to label the components",
     "prefixKey": "Factor prefix:",
     "prefixMissingKey": "Enter a valid SAS name for the prefix of the factor names",
     "prefixInvalidKey": "Enter a valid SAS name for the prefix of the factor names",
     "prefixPromptKey": "Enter a valid SAS name for the prefix of the factor names",
     "specifyMaxiterKey": "Specify the maximum number of iterations",
     "maxiterKey": "Maximum number of iterations:",
     "maxiterMissingKey": "Enter an integer that is greater than or equal to 0 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter an integer that is greater than or equal to 0 for the maximum number of iterations",
     "maxiterPromptKey": "Enter an integer that is greater than or equal to 0 for the maximum number of iterations",
     "maxiterRangeKey": "Enter an integer that is greater than or equal to 0 for the maximum number of iterations",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "noplotsComboKey": "No plots",
     "screePlotKey": "Eigenvalue by component (Scree plot)",
     "varTransformPlotsKey": "Variable transformation plots",
     "biplotKey": "MDPREF plot",
     "scaleVectorsKey": "Change the length of the MDPREF plot vectors",
     "scalingFactorKey": "Vector scaling factor:",
     "scalingFactorMissingKey": "Enter a number greater than 0 and less than or equal to 100 for the vector scaling factor",
     "scalingFactorInvalidKey": "Enter a number greater than 0 and less than or equal to 100 for the vector scaling factor",
     "scalingFactorPromptKey": "Enter a number greater than 0 and less than or equal to 100 for the vector scaling factor",
     "scalingFactorRangeKey": "Enter a number greater than 0 and less than or equal to 100 for the vector scaling factor",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "scoresDSKey": "Create component scores data set",
     "scoresDSNameKey": "Data set name:",
     "stdScoresKey": "Standardize variance of scores:",
     "stdUnitVarianceKey": "Equal to 1",
     "stdEigenvalueKey": "Equal to eigenvalue",
     "analysisVariablesKey": "Raters:",
     "freqVariableKey": "Frequency count:",
     "byVariablesKey": "Group analysis by:",
     "idVariablesKey": "Label MDPREF plot points:",
     "splineNknotRequirementKey": "Specify at least one knot with a spline degree of 0.",
     "nCompnVarsRequirementKey": "The number of components must be less than or equal to the number of raters."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
