define({root:
({
     "NameKey": "Generalized Linear Models",
     "DescriptionKey": "The Generalized Linear Models task performs generalized linear modeling analysis of a target from distributions in the exponential family, such as the normal, negative binomial, and Poisson distributions with automated model selection.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GENSELECT Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "defaultParamChoiceKey": "Default coding",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "responseGroupKey": "Target",
     "explanatoryGroupKey": "Inputs",
     "eventTrialsDataKey": "Target data consists of numbers of events and trials",
     "distributionKey": "Distribution:",
     "binaryChoiceKey": "Binary",
     "binomialChoiceKey": "Binomial",
     "gammaChoiceKey": "Gamma",
     "invGaussianChoiceKey": "Inverse Gaussian",
     "multinomialChoiceKey": "Multinomial",
     "negBinomialChoiceKey": "Negative binomial",
     "normalChoiceKey": "Normal",
     "poissonChoiceKey": "Poisson",
     "tweedieChoiceKey": "Tweedie",
     "weibullChoiceKey": "Weibull",
     "expChoiceKey": "Exponential",
     "geometricChoiceKey": "Geometric",
     "studentChoiceKey": "t",
     "genPoissonChoiceKey": "Generalized Poisson",
     "betaChoiceKey": "Beta",
     "linkFxKey": "Link function:",
     "defaultLinkChoiceKey": "Default",
     "cLogLogChoiceKey": "Complementary log-log",
     "logLogChoiceKey": "Log-log",
     "logitChoiceKey": "Logit",
     "glogitChoiceKey": "Generalized logit",
     "probitChoiceKey": "Probit",
     "identityChoiceKey": "Identity",
     "reciprocalChoiceKey": "Reciprocal",
     "reciprocalSqChoiceKey": "Reciprocal square",
     "logChoiceKey": "Logarithm",
     "refComboKey": "Reference category:",
     "eventComboKey": "Event of interest:",
     "firstRefChoiceKey": "First ordered level",
     "lastRefChoiceKey": "Last ordered level",
     "specifyRefChoiceKey": "Select custom level",
     "refLevelComboKey": "Custom level:",
     "refLevelComboSelectKey": "Select a level",
     "tweediePowerComboKey": "Tweedie power parameter:",
     "tweediePowerEstimateChoiceKey": "Estimate the value",
     "tweediePowerSpecifyValueChoiceKey": "Specify a custom value",
     "tweediePowerValueKey": "Tweedie power:",
     "tweediePowerValueMessageKey": "Enter a number greater than or equal to 1.1 for the Tweedie power parameter",
     "tDFValueKey": "Degrees of freedom:",
     "tDFValueMessageKey": "Enter a number greater than or equal to 3 for the degrees of freedom for the t distribution",
     "methodsGroupKey": "METHODS",
     "dispersionGroupKey": "Dispersion",
     "dispersionComboKey": "Dispersion parameter:",
     "estimateDispersionChoiceKey": "Estimate value",
     "customDispersionChoiceKey": "Specify custom value",
     "dispersionValueKey": "Custom dispersion value:",
     "dispersionValueMessageKey": "Enter a number greater than 0 for the dispersion parameter",
     "tablesGroupKey": "STATISTICS",
     "tableChoiceKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "noneChoiceKey": "None",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "clKey": "Confidence intervals for parameter estimates",
     "stbKey": "Standardized parameter estimates",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "optMethodKey": "Optimization method:",
     "defaultOptChoiceKey": "Default",
     "noneOptChoiceKey": "None",
     "congraChoiceKey": "Conjugate-gradient",
     "doglegChoiceKey": "Double dogleg",
     "nrridgChoiceKey": "Newton-Raphson with ridging (Default)",
     "newrapChoiceKey": "Newton-Raphson with line search",
     "simplexChoiceKey": "Nelder-Mead simplex",
     "quasiNewtonChoiceKey": "Dual quasi-Newton",
     "trustRegionChoiceKey": "Trust-region",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMessageKey": "Enter a number greater than 0 for the maximum number of iterations",
     "gconvKey": "Relative gradient convergence criterion:",
     "gconvMessageKey": "Enter a numeric value for the relative gradient convergence criterion",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save observation statistics",
     "outputDSNameKey": "Specify a CAS table:",
     "residualStatsGroupKey": "Residuals",
     "predictedStatsGroupKey": "Predicted Values",
     "otherStatsGroupKey": "Other Statistics",
     "linpKey": "Linear predictors",
     "predKey": "Predicted values",
     "clPredKey": "Confidence limits for predicted values",
     "residualKey": "Residuals",
     "pearsonKey": "Pearson residuals",
     "adjPearsonKey": "Adjusted Pearson residuals",
     "resdevChoiceKey": "Deviance residuals",
     "reslikChoiceKey": "Likelihood residuals",
     "stdReschiChoiceKey": "Standardized Pearson residuals",
     "stdResdevChoiceKey": "Standardized deviance residuals",
     "leverageChoiceKey": "Leverage",
     "stdXbetaChoiceKey": "Standard error of the linear predictor",
     "difChisqChoiceKey": "Change in the chi-square goodness-of-fit from deleting the individual observation",
     "difDevChoiceKey": "Change in the deviance from deleting the individual observation",
     "roleKey": "Partition identifier",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodWithoutFastBackKey": "Selection method:",
     "selectionMethodWithFastBackKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise selection",
     "lassoChoiceKey": "LASSO",
     "fastBackwardChoiceKey": "Fast backward elimination",
     "tweeieModelSelectionNoteKey": "Model selection is currently not available with the Tweedie distribution",
     "selectMethodKey": "Add/remove effects with:",
     "noCvChooseMethodKey": "Select best model by:",
     "cvChooseMethodKey": "Select best model by:",
     "noCvStopMethodKey": "Stop adding/removing effects with:",
     "cvStopMethodKey": "Stop adding/removing effects with:",
     "noCvStopMethodForLassoKey": "Stop adding/removing effects with:",
     "cvStopMethodForLassoKey": "Stop adding/removing effects with:",
     "defaultCriterionChoiceKey": "Default criterion",
     "noCriterionChoiceKey": "No criterion",
     "sigLevelChoiceKey": "Significance level",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "sbcChoiceKey": "Schwarz Bayesian information criterion (Default)",
     "validateChoiceKey": "Average square error for validation data",
     "noStopChoiceKey": "None",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "splitClassComboKey": "Add/remove classification effects as:",
     "singleDFEffectChoiceKey": "Individual single degree of freedom effects",
     "entireEffectChoiceKey": "An entire effect",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be included in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "useIncludeListKey": "Select effects to include in all models",
     "includeListKey": "Effects to include:",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "nominalResponseKey": "Target:",
     "responseVariableKey": "Target:",
     "eventVariableKey": "Number of events:",
     "trialsVariableKey": "Number of trials:",
     "continuousVariablesKey": "Interval inputs:",
     "classVariablesKey": "Nominal inputs:",
     "offsetVariableKey": "Offset variable:",
     "idVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "binaryTwoLevelResponseRequirementKey": "For the binary distribution, the target can only have two non-missing levels. Select another target.",
     "gammaDistRequirementKey": "The target variable must be numeric with the gamma distribution.",
     "invGaussianDistRequirementKey": "The target variable must be numeric with the inverse Gaussian distribution.",
     "negBinomialDistRequirementKey": "The target variable must be numeric with the negative binomial distribution.",
     "normalDistRequirementKey": "The target variable must be numeric with the normal distribution.",
     "poissonDistRequirementKey": "The target variable must be numeric with the Poisson distribution.",
     "tweedieDistRequirementKey": "The target variable must be numeric with the Tweedie distribution.",
     "expDistRequirementKey": "The target variable must be numeric with the exponential distribution.",
     "weibullDistRequirementKey": "The target variable must be numeric with the Weibull distribution.",
     "studentDistRequirementKey": "The target variable must be numeric with the t distribution.",
     "genPoissonDistRequirementKey": "The target variable must be numeric with the generalized Poisson distribution.",
     "betaDistRequirementKey": "The target variable must be numeric with the beta distribution.",
     "continuousClassRequirementKey": "Select at least one interval input or one nominal input when using LASSO selection.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the model on the MODEL tab when using LASSO selection.",
     "includeEffectsNeededRequirementKey": "BBB Select at least one effect to include in all models.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "outputDSNameMsgKey": "The observation statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
