define({root:
({
     "NameKey": "Logistic Regression",
     "DescriptionKey": "The Logistic Regression task  fits predictive models by using logistic regression of a binary response with automated model selection.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The LOGSELECT Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "explanatoryGroupKey": "Inputs",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "defaultParamChoiceKey": "Default coding",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "responseGroupKey": "Target",
     "eventTrialsDataKey": "Target data consists of numbers of events and trials",
     "referenceLevelComboKey": "Event of interest:",
     "referenceLevelComboSelectKey": "Select a level",
     "linkFxKey": "Link function:",
     "cLogLogChoiceKey": "Complementary log-log",
     "logLogChoiceKey": "Log-log",
     "logitChoiceKey": "Logit",
     "probitChoiceKey": "Probit",
     "methodsGroupKey": "METHODS",
     "resultsGroupKey": "RESULTS",
     "statisticsGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "noStatsChoiceKey": "None",
     "additionalStatsLabelKey": "Additional Statistics",
     "parmEstGroupKey": "Parameter Estimates",
     "clKey": "Confidence intervals for parameter estimates",
     "stbKey": "Standardized parameter estimates",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "ctableKey": "Classification table",
     "rsquareKey": "Generalized R Square",
     "associationKey": "Measures of association",
     "lackfitKey": "Hosmer & Lemeshow goodness-of-fit",
     "useNGroupsKey": "Specify number of groups",
     "nGroupsKey": "Custom number of groups:",
     "nGroupsMessageKey": "Enter a number greater than or equal to 5 for the number of groups to divide the subjects into",
     "diagnosticsGroupKey": "Diagnostics",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "fastBackwardChoiceKey": "Fast backward elimination",
     "stepwiseChoiceKey": "Stepwise selection",
     "fastStepwiseChoiceKey": "Stepwise selection with fast backward elimination",
     "lassoChoiceKey": "LASSO",
     "selectMethodKey": "Add/remove effects with:",
     "noCvChooseMethodKey": "Select best model by:",
     "cvChooseMethodKey": "Select best model by:",
     "noCvStopMethodKey": "Stop adding/removing effects with:",
     "cvStopMethodKey": "Stop adding/removing effects with:",
     "noCvStopMethodForLassoKey": "Stop adding/removing effects with:",
     "cvStopMethodForLassoKey": "Stop adding/removing effects with:",
     "sigLevelChoiceKey": "Significance level",
     "adjrsqChoiceKey": "Adjusted R-square statistic",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "crossValidateChoiceKey": "Cross validation",
     "cpChoiceKey": "Mallows' C(p) statistic",
     "pressChoiceKey": "Press statistic",
     "sbcChoiceKey": "Schwarz Bayesian information criterion (Default)",
     "rsquareChoiceKey": "R-square statistic",
     "validateChoiceKey": "Average square error for validation data",
     "noStopChoiceKey": "None",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "splitClassComboKey": "Add/remove nominal effects as:",
     "singleDFEffectChoiceKey": "Individual single degree of freedom effects",
     "entireEffectChoiceKey": "An entire effect",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "useIncludeListKey": "Select effects to include in all models",
     "includeListKey": "Effects to include:",
     "optMethodKey": "Optimization method:",
     "defaultOptChoiceKey": "Default",
     "nrridgChoiceKey": "Newton-Raphson with ridging (Default)",
     "newrapChoiceKey": "Newton-Raphson with line search",
     "congraChoiceKey": "Conjugate-gradient",
     "doubleDogChoiceKey": "Double-dogleg",
     "quasiNewtonChoiceKey": "Dual quasi-Newton",
     "simplexChoiceKey": "Nelder-Mead simplex",
     "trustRegionChoiceKey": "Trust-region",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMessageKey": "Enter a number greater than 0 for the maximum number of iterations",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save observation statistics",
     "outputDSNameKey": "Specify a CAS table:",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "predictedStatsGroupKey": "Predicted Values",
     "otherStatsGroupKey": "Other Statistics",
     "linpKey": "Linear predictor",
     "predKey": "Predicted values",
     "clPredKey": "Confidence limits for predicted values",
     "pearsonKey": "Pearson residuals",
     "adjPearsonKey": "Adjusted Pearson residuals",
     "resdualKey": "Raw residuals",
     "resdevChoiceKey": "Deviance residuals",
     "reslikChoiceKey": "Likelihood residuals",
     "stdReschiChoiceKey": "Standardized Pearson residuals",
     "stdResdevChoiceKey": "Standardized deviance residuals",
     "leverageChoiceKey": "Leverage",
     "stdXbetaChoiceKey": "Standard error of the linear predictor",
     "difChisqChoiceKey": "Change in the chi-square goodness-of-fit from deleting the individual observation",
     "difDevChoiceKey": "Change in the deviance from deleting the individual observation",
     "roleKey": "Partition identifier",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreDSKey": "Create scored data set",
     "scoreDSNameKey": "Data set name:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "responseVariableKey": "Binary target:",
     "eventVariableKey": "Number of events:",
     "trialsVariableKey": "Number of trials:",
     "continuousVariablesKey": "Interval inputs:",
     "classVariablesKey": "Nominal inputs:",
     "offsetVariableKey": "Offset variable:",
     "idVariablesKey": "Include these variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "twoLevelResponseRequirementKey": "The target can only have two non-missing levels. Select another target.",
     "continuousClassRequirementKey": "Select at least one interval or nominal input.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the model on the MODEL tab.",
     "includeEffectsNeededRequirementKey": "Select at least one effect to include in all models.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "outputDSNameMsgKey": "The observation statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
