define({root:
({
     "NameKey": "Linear Regression",
     "DescriptionKey": "The Linear Regression task fits predictive models by using least squares regression with automated model selection.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The REGSELECT Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "targetGroupKey": "Target",
     "inputsGroupKey": "Inputs",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data. Include:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMessageKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Random number seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMessageKey": "Enter an integer greater than 0 and less than 2,147,483,648 for the random seed",
     "partitionRandomSeedNoteKey": "Specifying a random number seed may not replicate results in a distributed computing environment.",
     "partitionDataComboKey": "Identify partitions:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "useTrainingLevelKey": "Select training data value",
     "trainingLevelComboKey": "Training data value:",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "defaultParamChoiceKey": "Default coding",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "modelGroupKey": "CANDIDATE MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "selectionTabKey": "SELECTION",
     "outputTabKey": "OUTPUT",
     "methodsGroupKey": "METHODS",
     "statsGroupKey": "STATISTICS",
     "statisticsComboKey": "Display statistics:",
     "selectedStatsChoiceKey": "Default and selected statistics",
     "defaultStatsChoiceKey": "Default statistics",
     "parameterEstimatesGroupKey": "Parameter Estimates",
     "stbKey": "Standardized parameter estimates",
     "clKey": "Confidence limits for parameter estimates",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "collinearityGroupKey": "Collinearity",
     "collinKey": "Collinearity analysis",
     "tolKey": "Tolerance values for estimates",
     "vifKey": "Variance inflation factors",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref:",
     "outputDSKey": "Save observation statistics",
     "outputDSNameKey": "Specify a CAS table:",
     "predictedStatsGroupKey": "Predicted Values",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "stderrStatsGroupKey": "Standard Errors",
     "predictedKey": "Predicted value",
     "lclKey": "Confidence intervals for individual predicted value",
     "clmKey": "Confidence intervals for mean predicted value",
     "residualKey": "Residual",
     "studentKey": "Studentized residual",
     "rstudentKey": "Studentized residual with current observation removed",
     "stdrKey": "Standard error of residual",
     "stdpKey": "Standard error of mean predicted value",
     "stdiKey": "Standard error of individual predicted value",
     "cookdKey": "Cook's D influence",
     "covratioKey": "Covratio",
     "dffitsKey": "Dffits",
     "hKey": "Leverage",
     "pressKey": "Press statistic",
     "roleKey": "Partition identifier",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "scoringCodeFileNameKey": "",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise regression",
     "leastAngleChoiceKey": "Least angle regression",
     "lassoChoiceKey": "LASSO",
     "adaptiveLassoChoiceKey": "Adaptive LASSO",
     "elasticNetChoiceKey": "Elastic net",
     "noCvSelectMethodKey": "Add/remove effects with:",
     "noCvStopMethodKey": "Stop adding/removing effects with:",
     "noCvENStopMethodKey": "Stop adding/removing effects with:",
     "noCvLassoStopMethodKey": "Stop adding/removing effects with:",
     "noCvLarStopMethodKey": "Stop adding/removing effects with:",
     "noCvChooseMethodKey": "Select best model by:",
     "noCvENChooseMethodKey": "Select best model by:",
     "cvSelectMethodKey": "Add/remove effects with:",
     "cvStopMethodKey": "Stop adding/removing effects with:",
     "cvENStopMethodKey": "Stop adding/removing effects with:",
     "cvLassoStopMethodKey": "Stop adding/removing effects with:",
     "cvLarStopMethodKey": "Stop adding/removing effects with:",
     "cvChooseMethodKey": "Select best model by:",
     "cvENChooseMethodKey": "Select best model by:",
     "defaultCriterionChoiceKey": "Default criterion",
     "sigLevelChoiceKey": "Significance level",
     "adjrsqChoiceKey": "Adjusted R-square statistic",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "crossValidateChoiceKey": "Cross validation",
     "cpChoiceKey": "Mallows' C(p) statistic",
     "pressChoiceKey": "Press statistic",
     "sbcChoiceKey": "Schwarz Bayesian information criterion (Default)",
     "rsquareChoiceKey": "R-square statistic",
     "validateChoiceKey": "Average square error for validation data",
     "noStopChoiceKey": "None",
     "lassoConstraintChoiceKey": "LASSO constraint parameter",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMessageKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "splitClassComboKey": "Add/remove nominal effects as:",
     "singleDFEffectChoiceKey": "Individual single degree of freedom effects",
     "entireEffectChoiceKey": "An entire effect",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "stepDetailsLabelKey": "Additional information for each step",
     "anovaStepDetailsKey": "ANOVA table",
     "fitStatsStepDetailsKey": "Fit statistics",
     "parmestStepDetailsKey": "Parameter estimates",
     "useIncludeListKey": "Select effects to include in all models",
     "includeListKey": "Effects to include:",
     "dependentVariableKey": "Interval target:",
     "continuousVariablesKey": "Interval inputs:",
     "classVariablesKey": "Nominal inputs:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "copyVariablesKey": "Variables to include:",
     "continuousClassRequirementKey": "Select at least one interval or nominal input.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the candidate model on the MODEL tab.",
     "includeEffectsNeededRequirementKey": "Select at least one effect to include in all models.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "The value of the partitioning variable must be different for training and validation cases.",
     "partitionVariableTraining_TestValuesRequirementKey": "The value of the partitioning variable must be different for training and test cases.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set.",
     "outputDSNameMsgKey": "The observation statistics data set must have a two-level name that includes a CAS engine libref."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
