define({root:
({
     "NameKey": "Mixed Models",
     "DescriptionKey": "The Mixed Models task enables you to fit a variety of linear models composed of fixed and random effects. You can model the variances and covariances of the data as well as the means.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "The MIXED Procedure",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "explanatoryGroupKey": "Explanatory Variables",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "methodsGroupKey": "METHODS",
     "outputTabKey": "OUTPUT",
     "estimationMethodKey": "Estimation method:",
     "remlChoiceKey": "Restricted maximum likelihood",
     "mlChoiceKey": "Maximum likelihood",
     "mivque0ChoiceKey": "Minimum variance quadratic unbiased estimation",
     "type1ChoiceKey": "Type 1",
     "type2ChoiceKey": "Type 2",
     "type3ChoiceKey": "Type 3",
     "ddfMethodKey": "Method to compute denominator degrees of freedom:",
     "defaultChoiceKey": "Default",
     "containChoiceKey": "Containment",
     "betwithinChoiceKey": "Divide into between and within portions",
     "residualChoiceKey": "Residual degrees of freedom",
     "sattChoiceKey": "Satterthwaite approximation",
     "kenwardRogerChoiceKey": "Kenward and Roger's method",
     "kenwardRoger2ChoiceKey": "Kenward and Roger's method 2",
     "methodDetailsGroupKey": "Details",
     "statisticsGroupKey": "STATISTICS",
     "statsComboKey": "Select statistics to display:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "noStatsChoiceKey": "None",
     "additionalStatsLabelKey": "Additional Statistics",
     "testsGroupKey": "Tests",
     "chisqKey": "Show chi-square tests",
     "hypothTestsKey": "Fixed effect tests",
     "htype1Key": "Sequential (Type 1) test",
     "htype2Key": "Partial (Type 2) test",
     "htype3Key": "Partial( Type 3) test",
     "covtestKey": "Standard errors and Wald test of covariance parameters",
     "parmEstGroupKey": "Parameter Estimates",
     "parmEstKey": "Show parameter estimates",
     "fixedParmsGroupKey": "Fixed Effects",
     "randomParmsGroupKey": "Random Effects",
     "covarParmsGroupKey": "Covariance Estimates",
     "clKey": "Confidence intervals of parameter estimates",
     "corrEstKey": "Correlations of parameter estimates",
     "covEstKey": "Covariances of parameter estimates",
     "mixedGroupKey": "Mixed Model",
     "mmeqKey": "Mixed model equations",
     "mmeqsolKey": "Solution to the mixed model equations",
     "randomSolutionKey": "Show predicted random effects (BLUPs)",
     "randomClKey": "Confidence intervals of predictions",
     "gMatrixKey": "Estimated G matrix",
     "gcorrKey": "Estimated G matrix as correlations",
     "vMatrixKey": "Estimated V matrix",
     "vcorrKey": "Estimated V matrix as correlations",
     "clCovKey": "Confidence intervals of covariance parameter estimates",
     "asymcorrKey": "Correlations of covariance parameter estimates",
     "asymcovKey": "Covariances of covariance parameter estimates",
     "repeatedEffectGroupKey": "Repeated Effect",
     "rMatrixKey": "Estimated R matrix",
     "rcorrKey": "Estimated R matrix as correlations",
     "influenceGroupKey": "Influence Statistics",
     "influenceKey": "Influence statistics",
     "influenceComputeComboKey": "Measure influence by removing:",
     "indivObsInfluenceChoiceKey": "Individual observations",
     "effectInfluenceChoiceKey": "Groups of observations corresponding to levels of a variable",
     "influenceListKey": "Select effect:",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMessageKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "multCompareGroupKey": "Multiple Comparisons",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareListKey": "Select effects to test:",
     "multCompareComboKey": "Method:",
     "bonferroniKey": "Bonferroni",
     "scheffeKey": "Scheffe",
     "sidakKey": "Sidak",
     "tukeyKey": "Tukey",
     "smmKey": "Hochberg's SMM",
     "multCompareAlphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "multCompareAlphaSpecifyKey": "Use custom value",
     "multCompareAlphaValueKey": "Custom significance level:",
     "multCompareAlphaValueMessageKey": "Enter a number greater than zero and less than 1 for the significance level",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterMessageKey": "Enter a number greater than or equal to 0 for the maximum number of iterations",
     "plotsGroupKey": "PLOTS",
     "diagnosticGroupKey": "Diagnostic and Residual Plots",
     "residualPlotsKey": "Residuals",
     "studentPlotsKey": "Studentized residuals",
     "pearsonPlotsKey": "Pearson residuals",
     "pressPlotsKey": "Press residuals",
     "influencePlotsKey": "Influence statistics",
     "unpackResidualPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMessageKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputGroupKey": "OUTPUT DATA SETS",
     "outP_DSKey": "Create predicted values data set",
     "outP_DSNameKey": "Data set name:",
     "outPM_DSKey": "Create predicted means data set",
     "outPM_DSNameKey": "Data set name:",
     "dependentVariableKey": "Dependent variable:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "influenceEffectVariableKey": "Observation grouping variable:",
     "invalidRandomSetRequirementKey": "At least one set of random effects is invalid. Edit the invalid set and add a random effect."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
