define({root:
({
     "NameKey": "Nonparametric One-Way ANOVA",
     "DescriptionKey": "Nonparametric One-Way ANOVA performs nonparametric tests for location and scale differences across a one-way classification. It also provides tests based on the empirical distribution function.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The NPAR1WAY Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "scoresKey": "Dependent variable contains scores",
     "missingKey": "Missing values are a valid level",
     "nonparTestsGroupKey": "TESTS",
     "testsComboKey": "Tests:",
     "asymptoticTestsKey": "Asymptotic tests",
     "exactTestsKey": "Exact tests",
     "asympExactTestsKey": "Asymptotic and exact tests",
     "locationTestGroupKey": "Location Differences",
     "wilcoxonKey": "Wilcoxon scores",
     "medianKey": "Median scores",
     "vanDerWaerdenKey": "Van der Waerden scores",
     "savageKey": "Savage scores",
     "scaleTestGroupKey": "Scale Differences",
     "stKey": "Siegel-Tukey scores",
     "abKey": "Ansari-Bradley scores",
     "klotzKey": "Klotz scores",
     "moodKey": "Mood scores",
     "anovaKey": "Standard analysis of variance",
     "locationScaleTestGroupKey": "Location and Scale Differences",
     "conoverKey": "Conover scores",
     "abAdjustKey": "Subtract class median from each observation",
     "stAdjustKey": "Subtract class median from each observation",
     "klotzAdjustKey": "Subtract class median from each observation",
     "moodAdjustKey": "Subtract class median from each observation",
     "additionalTestGroupKey": "Additional Tests",
     "edfKey": "Empirical distribution function tests, including Kolmogorov-Smirnov and Cramer-von Mises tests, or the Kuiper test (for two-sample data)",
     "exactEdfNoteKey": "Note: Exact test result is available only for two-sample data.",
     "multiCompGroupKey": "Multiple Comparison Analysis",
     "dscfKey": "Pairwise multiple comparison analysis (asymptotic only)",
     "detailsGroupKey": "DETAILS",
     "continuityGroupKey": "Continuity Correction",
     "correctKey": "Continuity correction for two sample Wilcoxon and Siegel-Tukey tests",
     "exactStatsCompOptionsGroupKey": "Exact Statistics Computation",
     "exactNoteKey": "Note: For some large problems, computation of exact tests might require a large amount of time and memory. Consider using asymptotic tests for such problems. Alternatively, when asymptotic methods might not be sufficient for such large problems, consider using Monte Carlo estimation of exact p-values.",
     "monteCarloKey": "Use Monte Carlo estimation",
     "confidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "chkLimitKey": "Limit computation time",
     "maxTimeKey": "Maximum time (seconds):",
     "plotsGroupKey": "PLOTS",
     "suppressPlotsKey": "Suppress plots",
     "pvalueDisplayCtrlKey": "Display of p-values:",
     "statsKey": "Display p-values in the plot",
     "nostatsKey": "Do not display p-values in the plot",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create statistics data set",
     "outputDSNameKey": "Data set name:",
     "dependentVariableKey": "Dependent variable:",
     "classVariableKey": "Classification variable:",
     "byVariablesKey": "Group analysis by:",
     "freqVariableKey": "Frequency count:",
     "testsSelectionValMsgKey": "Select at least one test."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
