define({root:
({
     "NameKey": "N-Way ANOVA",
     "DescriptionKey": "The N-Way ANOVA task tests and provides graphs for effects of one or more factors on the means of a single continuous dependent variable.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "The GLM Procedure",
     "LinkKey6": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "modelTabKey": "MODEL",
     "modelGroupKey": "MODEL EFFECTS",
     "modelBuilderKey": "Model",
     "optionsTabKey": "OPTIONS",
     "statsGroupKey": "STATISTICS",
     "statsChoiceKey": "Select statistics to display:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "multCompareKey": "Perform multiple comparisons",
     "multCompareListKey": "Select effects to test:",
     "multCompareComboKey": "Method:",
     "effectComboKey": "Which effects:",
     "mainEffectsKey": "Main effects",
     "allEffectsKey": "All effects",
     "selectEffectsKey": "Selected effects",
     "bonferroniChoiceKey": "Bonferroni",
     "dunnettChoiceKey": "Dunnett",
     "nelsonChoiceKey": "Nelson",
     "scheffeChoiceKey": "Scheffe",
     "sidakChoiceKey": "Sidak",
     "tukeyChoiceKey": "Tukey",
     "alphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "specifyAlphaKey": "Specify value",
     "alphaValueKey": "Custom significance level:",
     "alphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "ssGroupKey": "Sums of Squares",
     "ss1Key": "Sequential sum of squares (Type 1)",
     "ss2Key": "Adjusted sum of squares (Type 3)",
     "plotsGroupKey": "PLOTS",
     "plotsChoiceKey": "Select plots to display:",
     "defaultPlotsKey": "Default plots",
     "customPlotsKey": "Selected plots",
     "noPlotsKey": "Suppress plots",
     "diffPlotKey": "Mean difference plot",
     "boxPlotKey": "Box plot",
     "interactionPlotKey": "Interaction plot",
     "anomPlotKey": "Analysis of means plot",
     "lsmeansPlotKey": "LSMeans plot",
     "diagPlotKey": "Diagnostic plots",
     "unpackComboKey": "Display as:",
     "panelChoiceKey": "Panel of plots",
     "unpackChoiceKey": "Individual plots",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "createOutputKey": "Create output data set",
     "outputDSKey": "Data set name:",
     "predictedListKey": "Predicted Values",
     "predictedKey": "Predicted value",
     "lclKey": "Prediction limits for individual value",
     "lclmKey": "Confidence limits for mean predicted value",
     "outalphaKey": "Significance level:",
     "outalphaValueKey": "Custom significance level:",
     "outalphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "outalphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "residualListKey": "Residuals",
     "residualKey": "Residual",
     "studentKey": "Studentized residual",
     "rstudentKey": "Studentized residual with current observation removed",
     "stdListKey": "Standard Errors",
     "stdrKey": "Standard error of residual",
     "stdpKey": "Standard error of mean predicted value",
     "stdiKey": "Standard error of individual predicted value",
     "influenceListKey": "Influence Statistics",
     "cookdKey": "Cook's D influence",
     "covratioKey": "Covratio",
     "dffitsKey": "Dffits",
     "hKey": "Leverage",
     "dependentVariableKey": "Dependent variable:",
     "classVariablesKey": "Factors:",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the model on the MODEL tab.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
