define({root:
({
     "NameKey": "Cycle Detection",
     "DescriptionKey": "The Cycle Detection task finds the elementary cycles of an input graph. An elementary cycle is a path in which the start node and end node are the same and otherwise no node appears more than once in the sequence.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The OPTNET Procedure",
     "LinkKey3": "The OPTMODEL Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "linkGroupKey": "LINKS",
     "linkDataGroupKey": "Data",
     "linkRolesGroupKey": "Roles",
     "linkDirectionKey": "Link direction:",
     "undirectedLinkKey": "Undirected",
     "directedLinkKey": "Directed",
     "includeNodesDataKey": "Include nodes data set",
     "nodeGroupKey": "NODES",
     "nodeDataGroupKey": "Data",
     "nodeRolesGroupKey": "Roles",
     "methodsGroupKey": "METHODS",
     "cycleModeKey": "Number of cycles:",
     "findFirstCycleKey": "Find the first cycle (default)",
     "findAllCyclesKey": "Find all cycles",
     "findSpecifiedCyclesKey": "Find up to specified number of cycles",
     "maxCyclesKey": "Maximum number of cycles:",
     "maxCyclesPromptKey": "Enter an integer greater than or equal to 1.",
     "maxTimeLabelKey": "Maximum time:",
     "maxTimeDefaultKey": "No limit (default)",
     "maxTimeCustomKey": "Use custom value",
     "maxTimeKey": "Time in seconds:",
     "maxTimePromptKey": "Enter a number greater than 0.",
     "detailsGroupKey": "Details",
     "maxLengthCboxKey": "Specify maximum links per cycle",
     "maxLengthKey": "Maximum links:",
     "maxLengthPromptKey": "Enter an integer greater than or equal to 1.",
     "minLengthLabelKey": "Minimum links per cycle:",
     "minLengthDefaultKey": "1 (default)",
     "minLengthCustomKey": "Use custom value",
     "minLengthKey": "Minimum links:",
     "minLengthPromptKey": "Enter an integer greater than or equal to 1.",
     "maxLinkWgtCboxKey": "Specify maximum sum of link weights per cycle",
     "maxLinkWgtKey": "Maximum sum:",
     "maxLinkWgtPromptKey": "Enter a number.",
     "minLinkWgtCboxKey": "Specify minimum sum of link weights per cycle",
     "minLinkWgtKey": "Minimum sum:",
     "minLinkWgtPromptKey": "Enter a number.",
     "maxNodeWgtCboxKey": "Specify maximum sum of node weights per cycle",
     "maxNodeWgtKey": "Maximum sum:",
     "maxNodeWgtPromptKey": "Enter a number.",
     "minNodeWgtCboxKey": "Specify minimum sum of node weights per cycle",
     "minNodeWgtKey": "Minimum sum:",
     "minNodeWgtPromptKey": "Enter a number.",
     "logLevelKey": "Log details:",
     "logLevelBasicKey": "Basic summary (default)",
     "logLevelModerateKey": "Summary",
     "logLevelDetailedKey": "Detailed summary",
     "logLevelNoneKey": "No summary",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procOptNetKey": "Use OPTNET procedure",
     "procOptModelKey": "Use OPTMODEL procedure",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Save cycles information",
     "outputDSNameKey": "Data set name:",
     "fromVariableKey": "From node:",
     "toVariableKey": "To node:",
     "weightVariableKey": "Weight:",
     "nodeVariableKey": "Node:",
     "weightVarNodeKey": "Weight:",
     "linkNodeSameNameMsgKey": "The links and nodes data sets must be different.",
     "fromToVarsSameTypeMsgKey": "The from node and to node should be of the same type.",
     "maxMinLengthMsgKey": "The maximum number of links per cycle should be greater than or equal to the minimum number of links.",
     "maxMinLinkWgtMsgKey": "The maximum sum of link weights per cycle should be greater than or equal to the minimum sum of link weights.",
     "maxMinNodeWgtMsgKey": "The maximum sum of node weights per cycle should be greater than or equal to the minimum sum of node weights."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
