define({root:
({
     "NameKey": "One-Way ANOVA",
     "DescriptionKey": "A one-way analysis of variance (ANOVA) tests and provides graphs for differences among the means of a single categorical variable on a single continuous dependent variable.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GLM Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "testsGroupKey": "TESTS",
     "hovTestGroupKey": "HOMOGENEITY OF VARIANCE",
     "hovTestKey": "Test:",
     "hovTestNoneKey": "None",
     "bartlettKey": "Bartlett",
     "brownForsytheKey": "Brown and Forsythe",
     "leveneKey": "Levene",
     "obrienKey": "O'Brien",
     "welchANOVAKey": "Welch's variance-weighted ANOVA",
     "comparisonsGroupKey": "COMPARISONS",
     "comparisonComboKey": "Comparisons method:",
     "bonferroniChoiceKey": "Bonferroni",
     "DuncanChoiceKey": "Duncan multiple range",
     "DunnettTwoTailedKey": "Dunnett two-tail",
     "DunnettLowerOneTailedKey": "Dunnett lower one-tail",
     "DunnettUpperOneTailedKey": "Dunnett upper one-tail",
     "gabrielChoiceKey": "Gabriel",
     "regwChoiceKey": "Ryan-Einot-Gabriel-Welch",
     "nelsonChoiceKey": "Nelson",
     "scheffeChoiceKey": "Scheffe",
     "sidakChoiceKey": "Sidak",
     "snkChoiceKey": "Student-Newman-Keuls",
     "lsdChoiceKey": "Least significant difference (LSD)",
     "tukeyChoiceKey": "Tukey",
     "noComparisonKey": "None",
     "duncanNoteKey": "The LS-mean difference plot is not available with the Duncan multiple range comparison method",
     "gabrielNoteKey": "The LS-mean difference plot is not available with the Gabriel comparison method",
     "regwNoteKey": "The LS-mean difference plot is not available with the Ryan-Einot-Gabriel-Welch comparison method",
     "snkNoteKey": "The LS-mean difference plot is not available with the Student-Newman-Keuls comparison method",
     "dunnettControlLevelKey": "Control level:",
     "alphaKey": "Significance level:",
     "alpha_10Key": "0.10",
     "alpha_05Key": "0.05",
     "alpha_01Key": "0.01",
     "alphaSpecifyKey": "Use custom value",
     "alphaValueKey": "Custom significance level:",
     "alphaValueMissingKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueInvalidKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValuePromptKey": "Enter a number greater than zero and less than 1 for the significance level",
     "alphaValueRangeKey": "Enter a number greater than zero and less than 1 for the significance level",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Display plots:",
     "defaultPlotsChoiceKey": "Default plots",
     "selectedPlotsChoiceKey": "Selected plots",
     "suppressPlotsChoiceKey": "Suppress all plots",
     "boxPlotKey": "Box plot",
     "meanPlotKey": "Means plot",
     "diffPlotKey": "LS-mean difference plot",
     "diagnosticPlotsKey": "Diagnostics plot",
     "unpackDiagnosticPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create observation statistics data set",
     "outputDSNameKey": "Data set name:",
     "predictedStatsGroupKey": "Predicted Values",
     "residualStatsGroupKey": "Residuals",
     "influenceStatsGroupKey": "Influence Statistics",
     "stderrStatsGroupKey": "Standard Errors",
     "predictedKey": "Predicted value",
     "lclKey": "Confidence intervals for individual predicted value",
     "clmKey": "Confidence intervals for mean predicted value",
     "residualKey": "Residual",
     "studentKey": "Studentized residual",
     "rstudentKey": "Studentized residual with current observation removed",
     "stdrKey": "Standard error of residual",
     "stdpKey": "Standard error of mean predicted value",
     "stdiKey": "Standard error of individual predicted value",
     "cookdKey": "Cook's D influence",
     "covratioKey": "Covratio",
     "dffitsKey": "Dffits",
     "hKey": "Leverage",
     "outputConfidenceKey": "Confidence level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "dependentVariableKey": "Dependent variable:",
     "independentVariableKey": "Categorical variable:",
     "outputRequirementKey": "Select at least one statistic to include in the output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
