define({root:
({
     "NameKey": "One-Way Frequencies",
     "DescriptionKey": "The One-Way Frequencies task generates frequency tables and plots from your data. You can also use it to perform asymptotic and exact binomial and chi-square tests.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The FREQ Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "optionsTabKey": "OPTIONS",
     "freqTableOptionsKey": "FREQUENCIES AND PERCENTAGES",
     "freqTableKey": "Frequency table",
     "addPctKey": "Include percentages",
     "addCumulKey": "Include cumulative frequencies and percentages",
     "orderComboKey": "Row value order:",
     "unformatOrderKey": "Unformatted value (Default)",
     "freqOrderKey": "Descending frequency",
     "formatOrderKey": "Formatted value",
     "dataOrderKey": "Order of appearance in data set",
     "statisticsGroupKey": "STATISTICS",
     "binomialGroupKey": "Binomial Proportion",
     "asymBinomialKey": "Asymptotic test",
     "exactBinomialKey": "Exact test",
     "nullProportionKey": "Null hypothesis proportion:",
     "nullProportionMissingKey": "The null hypothesis proportion must be greater than 0 and less than 1.",
     "nullProportionInvalidKey": "The null hypothesis proportion must be greater than 0 and less than 1.",
     "nullProportionPromptKey": "The null hypothesis proportion must be greater than 0 and less than 1.",
     "nullProportionRangeKey": "The null hypothesis proportion must be greater than 0 and less than 1.",
     "binomialConfidenceLimitsKey": "Confidence Limits",
     "binomialConfLevelKey": "Confidence level:",
     "confidence99Key": "99%",
     "confidence95Key": "95%",
     "confidence90Key": "90%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom confidence level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the confidence level",
     "exactCompGroupKey": "Exact Computation Methods",
     "exactNoteKey": "Note: For some large problems, computation of exact tests might require a large amount of time and memory. Consider using asymptotic tests for such problems. Alternatively, when asymptotic methods might not be sufficient for such large problems, consider using Monte Carlo estimation of exact p-values.",
     "limitCompTimeKey": "Limit computation time",
     "timeInSecsKey": "Maximum time (seconds):",
     "maxTimeKey": "Maximum time (in seconds):",
     "maxTimeMissingKey": "Enter a number greater than zero for the maximum time (in seconds) to compute an exact p-value.",
     "maxTimeInvalidKey": "Enter a number greater than zero for the maximum time (in seconds) to compute an exact p-value.",
     "maxTimePromptKey": "Enter a number greater than zero for the maximum time (in seconds) to compute an exact p-value.",
     "maxTimeRangeKey": "Enter a number greater than zero for the maximum time (in seconds) to compute an exact p-value.",
     "missingValuesGroupKey": "MISSING VALUES",
     "missprintKey": "Include in frequency table",
     "includeMissingKey": "Include in percentages and statistics",
     "chiSquareGroupKey": "Chi-square Goodness-of-Fit",
     "asymChisqKey": "Asymptotic test",
     "exactChisqKey": "Exact test",
     "lrchisqKey": "Likelihood ratio goodness-of-fit test",
     "monteCarloKey": "Use Monte Carlo estimation",
     "mcConfidenceKey": "Confidence level:",
     "mcConfidenceValueKey": "Custom confidence level:",
     "mcConfidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the Monte Carlo confidence level",
     "mcConfidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the Monte Carlo confidence level",
     "mcConfidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the Monte Carlo confidence level",
     "mcConfidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the Monte Carlo confidence level",
     "plotsGroupKey": "PLOTS",
     "suppressPlotsKey": "Suppress plots",
     "analysisVariableKey": "Analysis variables:",
     "byVariablesKey": "Group analysis by:",
     "freqVariableKey": "Frequency count:",
     "tableOrStatsRequirementMsg": "Select to show the frequency table or select at least one statistic."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
