define({root:
({
     "NameKey": "Partial Least Squares Regression",
     "DescriptionKey": "The Partial Least Squares task performs partial least squares analysis. It also performs principal components regression and reduced rank regression. These techniques combine dimension reduction of the predictors and/or dependent variables with predictive modeling.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PLS Procedure",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "explanatoryGroupKey": "Explanatory Variables",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "modelBuilderKey": "",
     "centerKey": "Center the responses and predictors",
     "methodsGroupKey": "METHODS",
     "methodComboKey": "Method:",
     "plsChoiceKey": "Partial least squares regression",
     "simplsChoiceKey": "De Jong's SIMPLS",
     "pcrChoiceKey": "Principal components regression",
     "rrrChoiceKey": "Reduced rank regression",
     "algorithmComboKey": "Algorithm:",
     "nipalsChoiceKey": "Iterative NIPALS",
     "svdChoiceKey": "Singular value decomposition",
     "eigChoiceKey": "Eigenvalue decomposition",
     "rlgwChoiceKey": "Iterative RLGW",
     "detailsGroupKey": "Details",
     "useNFactorsKey": "Specify the number of factors",
     "nFactorsKey": "Number of factors:",
     "nFactorsMissingKey": "Enter an integer for the number of factors that is greater than zero",
     "nFactorsInvalidKey": "Enter an integer for the number of factors that is greater than zero",
     "nFactorsPromptKey": "Enter an integer for the number of factors that is greater than zero",
     "nFactorsRangeKey": "Enter an integer for the number of factors that is greater than zero",
     "specifyMaxiterKey": "Specify the maximum number of iterations",
     "maxiterKey": "Maximum number of iterations:",
     "maxiterMissingKey": "Enter a number greater than or equal to 1 and less than 1,000,000,000 for the maximum number of iterations",
     "maxiterInvalidKey": "Enter a number greater than or equal to 1 and less than 1,000,000,000 for the maximum number of iterations",
     "maxiterPromptKey": "Enter a number greater than or equal to 1 and less than 1,000,000,000 for the maximum number of iterations",
     "maxiterRangeKey": "Enter a number greater than or equal to 1 and less than 1,000,000,000 for the maximum number of iterations",
     "cvGroupKey": "Cross Validation",
     "cvComboKey": "Cross validation method:",
     "oneCvChoiceKey": "Exclude one observation at a time",
     "noneCvChoiceKey": "None",
     "splitCvChoiceKey": "Exclude every nth observation",
     "blockCvChoiceKey": "Exclude blocks of consecutive observations",
     "randomCvChoiceKey": "Exclude observations at random",
     "specifySplitNKey": "Specify the nth observation to exclude",
     "nSplitKey": "Nth observation to exclude:",
     "nSplitMissingKey": "Enter an integer for the nth observation to exclude that is greater than zero",
     "nSplitInvalidKey": "Enter an integer for the nth observation to exclude that is greater than zero",
     "nSplitPromptKey": "Enter an integer for the nth observation to exclude that is greater than zero",
     "nSplitRangeKey": "Enter an integer for the nth observation to exclude that is greater than zero",
     "specifyBlockNKey": "Specify the number of blocks to divide the data",
     "nBlocksKey": "Number of blocks:",
     "nBlocksMissingKey": "Enter an integer for the number of blocks of consecutive observations to exclude that is greater than zero",
     "nBlocksInvalidKey": "Enter an integer for the number of blocks of consecutive observations to exclude that is greater than zero",
     "nBlocksPromptKey": "Enter an integer for the number of blocks of consecutive observations to exclude that is greater than zero",
     "nBlocksRangeKey": "Enter an integer for the number of blocks of consecutive observations to exclude that is greater than zero",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMissingKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedInvalidKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedPromptKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedRangeKey": "Enter an integer greater than 0 for the random seed",
     "statsGroupKey": "STATISTICS",
     "statisticsComboKey": "Display statistics:",
     "selectedStatsChoiceKey": "Default and selected statistics",
     "defaultStatsChoiceKey": "Default statistics",
     "cvtestKey": "Van der Voet's model comparison test",
     "cvTestStatComboKey": "Display statistics:",
     "hotellingT2ChoiceKey": "Hotelling's T square statistic",
     "pressChoiceKey": "Press statistic",
     "useCvtestPvalueKey": "Specify the cut-off probability",
     "cvtestPvalueKey": "Cut-off probability:",
     "cvtestPvalueMissingKey": "Enter a number greater than zero and less than 1 for the cut-off probability",
     "cvtestPvalueInvalidKey": "Enter a number greater than zero and less than 1 for the cut-off probability",
     "cvtestPvaluePromptKey": "Enter a number greater than zero and less than 1 for the cut-off probability",
     "cvtestPvalueRangeKey": "Enter a number greater than zero and less than 1 for the cut-off probability",
     "useCvtestcvtestRandomSeedKey": "Specify the random seed",
     "cvtestRandomSeedKey": "Random seed:",
     "cvtestRandomSeedMissingKey": "Enter an integer greater than 0 for the random seed",
     "cvtestRandomSeedInvalidKey": "Enter an integer greater than 0 for the random seed",
     "cvtestRandomSeedPromptKey": "Enter an integer greater than 0 for the random seed",
     "cvtestRandomSeedRangeKey": "Enter an integer greater than 0 for the random seed",
     "solutionKey": "Coefficients of final predictive model",
     "varssKey": "Variation accounted for in responses and predictors",
     "detailsKey": "Details of the fitted model",
     "diagnosticsGroupKey": "Diagnostics",
     "influenceStatsKey": "Analysis of influence",
     "residualStatsKey": "Analysis of residuals",
     "predictedStatsKey": "Predicted values",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "noPlotsChoiceKey": "No plots",
     "corrloadKey": "Correlation loading plot",
     "diagnosticsPlotKey": "Diagnostics plots",
     "residualPlotKey": "Residuals of dependent by independent variables",
     "parmProfilesPlotKey": "Profiles of regression coefficients",
     "vipPlotKey": "Variable importance factors",
     "dmodPlotKey": "Distance plots for X and Y models",
     "xyscoresPlotKey": "Matrix of X-scores against Y-scores",
     "useNFactorsToPlotKey": "Specify the number of factors to plot",
     "nFactorsToPlotKey": "Number of factors to plot:",
     "nFactorsToPlotMissingKey": "Enter an integer for the number of factors to plot that is greater than zero",
     "nFactorsToPlotInvalidKey": "Enter an integer for the number of factors to plot that is greater than zero",
     "nFactorsToPlotPromptKey": "Enter an integer for the number of factors to plot that is greater than zero",
     "nFactorsToPlotRangeKey": "Enter an integer for the number of factors to plot that is greater than zero",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create statistics data set",
     "outputDSNameKey": "Data set name:",
     "leverageKey": "Leverage",
     "predictedKey": "Predicted values",
     "yresidualKey": "Residuals for responses",
     "xresidualKey": "Residuals for predictors",
     "pressKey": "Press statistic",
     "yscoreKey": "Extracted responses",
     "xscoreKey": "Extracted factors",
     "stdyKey": "Standardized responses",
     "stdxKey": "Standardized predictors",
     "dependentVariablesKey": "Dependent variables:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "byVariablesKey": "Group analysis by:",
     "continuousClassRequirementKey": "Select at least one continuous or one classification variable.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the model on the MODEL tab.",
     "outputRequirementKey": "Select at least one statistic to include in the output data set."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
