define({root:
({
     "NameKey": "Confidence Intervals",
     "DescriptionKey": "Calculate power or sample size for confidence intervals for one, paired, and two-sample means and one proportion",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "ciTypeGroupKey": "TYPE OF INTERVAL",
     "ciTypeKey": "Type of confidence interval:",
     "oneSampleKey": "One-sample mean",
     "pairedSampleKey": "Paired means",
     "twoSampleKey": "Two-sample means",
     "onePropKey": "One proportion",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Prob(Width)",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "sidesGroupKey": "Number of Sides",
     "sidesKey": "Select an interval:",
     "sidesOneKey": "One-sided interval",
     "sidesTwoKey": "Two-sided interval",
     "intervalTypeGroupKey": "Interval Type",
     "intervalTypeKey": "Select an interval type:",
     "agrestiCoullIntervalChoiceKey": "Agresti / Coull interval",
     "exactIntervalChoiceKey": "Exact interval",
     "jeffreysIntervalChoice": "Jeffreys prior Bayesian interval",
     "scoreIntervalChoiceKey": "Score statistic-based interval",
     "waldIntervalChoiceKey": "Wald-based interval",
     "adjWaldIntervalChoiceKey": "Wald-based interval with continuity correction",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "nfractionalKey": "Allow fractional sample sizes",
     "totalNOneSampleTableMessageKey": "Enter an integer for sample size that is greater than or equal to 2",
     "fractionalTotalNOneSampleTableMessageKey": "Enter a number for total sample size that is greater than or equal to 2 and can contain a decimal fraction",
     "npergroupSSTable_npergroupMessageKey": "Enter a number for sample size that is greater than or equal to two",
     "npergroupFractionalSSTable_npergroupMessageKey": "Enter a number for sample size that is greater than or equal to two and can contain a decimal fraction",
     "npairsSampleSizeTable_npairsMessageKey": "Enter an integer for the number of pairs that is greater than or equal to 2",
     "fractionalNpairsSampleSizeTable_npairsMessageKey": "Enter a number for the number of pairs that is greater than or equal to 2 and can contain a decimal fraction",
     "groupSampleSizeTableMessageKey": "Enter a number for sample size that is greater than or equal to 1",
     "fractionalGroupSampleSizeMessageKey": "Enter a number for sample size that is greater than zero and can contain a decimal fraction",
     "totalNTwoSampleTableMessageKey": "Enter an integer for total sample size that is greater than or equal to 4",
     "fractionalTotalNTwoSampleTableMessageKey": "Enter a number for total sample size that is greater than or equal to 4 and can contain a decimal fraction",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total sample size, Group weights",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "weightsTableMessageKey": "Enter an integer for the allocation weight that is greater than or equal to 1",
     "fractionalWeightsTableMessageKey": "Enter a number for the allocation weight that is greater than zero and can contain a decimal fraction",
     "powerGroupKey": "PROB(WIDTH)",
     "probWidthMessageKey": "Enter a number for prob(width) that is greater than zero and less than 1",
     "confidenceLevelGroupKey": "CONFIDENCE LEVEL",
     "confLevelMessageKey": "Enter a number for the confidence level that is greater than zero and less than 1",
     "halfWidthGroupKey": "HALF-WIDTH",
     "halfWidthTableMessageKey": "Enter a number for half-width that is greater than zero",
     "onePropHalfWidthTableMessageKey": "Enter a number for half-width that is greater than or equal to zero and less than or equal to 1",
     "stddevGroupKey": "STANDARD DEVIATION",
     "pairedStddevComboKey": "Select a form:",
     "groupStddevChoiceKey": "Group standard deviations",
     "commonStddevChoiceKey": "Common standard deviations",
     "stddevMessageKey": "Enter a number for the standard deviation that is greater than 0",
     "groupStddevInstructionKey": "Enter one or more values for the standard deviations for each group",
     "groupStddevTableMessageKey": "Enter a number for standard deviation that is greater than zero",
     "corrGroupKey": "CORRELATION",
     "corrMessageKey": "Enter a number for the correlation that is greater than or equal to -1 and less than or equal to 1",
     "proportionGroupKey": "PROPORTION",
     "proportionMissingKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "proportionMessageKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Prob(Width) by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Plot Axis",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Prob(Width)",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum prob(width)",
     "usePlotMaxPowerValueKey": "Maximum prob(width)",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for prob(width)",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for prob(width)",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer that is zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer that is zero or greater for the maximum value for sample size",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "halfwidthMinValueKey": "Minimum half-width:",
     "halfwidthMinValueMessageKey": "Enter a number greater than 0 for the minimum value for half-width",
     "halfwidthMinValuMessageKey": "Enter a number greater than 0 for the minimum value for half-width",
     "halfwidthMaxValueKey": "Maximum half-width:",
     "halfwidthMaxValueMessageKey": "Enter a number greater than 0 for the maximum value for half-width",
     "oneProportionHalfwidthMinValueKey": "Minimum half-width:",
     "oneProportionHalfwidthMinValueMessageKey": "Enter a number for the minimum value for half-width that is greater than 0 and less than 1",
     "oneProportionHalfwidthMaxValueKey": "Maximum half-width:",
     "oneProportionHalfwidthMaxValueMessageKey": "Enter a number for the maximum value for half-width that is greater than 0 and less than 1",
     "minMaxPowerPlotRequirementKey": "The maximum data value of prob(width) for the prob(width) by sample size plot cannot be less than the minimum data value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum value of sample size for the prob(width) by sample size plot cannot be less than the minimum value.",
     "minMaxHalfWidthEffectsPlotRequirementKey": "The maximum value of half-width for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for prob(width) must be larger than 1 minus the largest value for confidence level",
     "totalNOneSampleTable_labelKey": "Sample size values:",
     "fractionalTotalNOneSampleTable_labelKey": "Sample size values:",
     "npergroupSSTable_labelKey": "Sample size per group values:",
     "fractionalNpergroupSSTable_labelKey": "Sample size per group values:",
     "npairsSampleSizeTable_labelKey": "Number of pairs:",
     "fractionalNpairsSampleSizeTable_labelKey": "Number of pairs:",
     "groupSampleSizeTable_labelKey": "Group sample sizes:",
     "fractionalGroupSampleSizeTable_labelKey": "Group sample sizes:",
     "totalNTwoSampleTable_labelKey": "Total sample sizes:",
     "fractionalTotalNTwoSampleTable_labelKey": "Total sample sizes:",
     "weightsTable_labelKey": "Group allocation weights:",
     "fractionalWeightsTable_labelKey": "Group allocation weights:",
     "probWidthTable_labelKey": "Prob(width) values:",
     "confidenceLevelTable_labelKey": "Confidence level values:",
     "halfWidthTable_labelKey": "Half-width values:",
     "onePropHalfWidthTable_labelKey": "Half-width values:",
     "stddevTable_labelKey": "Standard deviation values:",
     "groupStddevTable_labelKey": "Group standard deviation values:",
     "corrTable_labelKey": "Correlation values:",
     "proportionTable_labelKey": "Proportion values:",
     "totalNOneSampleTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNOneSampleTable_TotalNLabelKey": "Sample Size",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "npergroupFractionalSSTable_npergroupKey": "N Per Group",
     "npairsSampleSizeTable_npairsLabelKey": "Pairs",
     "fractionalNpairsSampleSizeTable_NpairsLabelKey": "Pairs",
     "groupSampleSizeTable_groupSS1Key": "Group 1",
     "groupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalGroupSampleSizeTable_groupSS1Key": "Group 1",
     "fractionalGroupSampleSizeTable_groupSS2Key": "Group 2",
     "totalNTwoSampleTable_totalNLabelKey": "Total Sample Size",
     "fractionalTotalNTwoSampleTable_TotalNLabelKey": "Total Sample Size",
     "weightsTable_weight1Key": "Group 1",
     "weightsTable_weight2Key": "Group 2",
     "fractionalWeightsTable_weight1Key": "Group 1",
     "fractionalWeightsTable_weight2Key": "Group 2",
     "probWidthLabelKey": "Prob(Width)",
     "confLevelLabelKey": "Confidence Level",
     "halfWidthTable_halfWidthLabelKey": "Half-Width",
     "onePropHalfWidthTable_halfWidthLabelKey": "Half-Width",
     "stddevLabelKey": "Standard Deviation",
     "groupStddevTable_groupStd1Key": "Group 1",
     "groupStddevTable_groupStd2Key": "Group 2",
     "corrLabelKey": "Correlation",
     "proportionLabelKey": "Proportion"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
