define({root:
({
     "NameKey": "Pearson Correlation",
     "DescriptionKey": "Calculate power or sample size for a Pearson correlation coefficient",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Sample size",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "testGroupKey": "Test",
     "pearsonTestInstructionKey": "Select a transformation of the correlation coefficient:",
     "pearsonTestFisherFTransformKey": "Fisher's z transformation",
     "pearsonTestTTransformKey": "t transformation",
     "pearsonModelInstructionKey": "For the t distribution, select fixed or random variables",
     "pearsonModelFixedChoiceKey": "Fixed variables",
     "pearsonModelRandomChoiceKey": "Random variables",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Select the number of sides of the test:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "integerTotalNMessageKey": "Enter an integer for total sample size that is greater than or equal to 4 plus the number of variables to partial out",
     "fractionalTotalNMessageKey": "Enter a number for total sample size that is greater than or equal to 4 plus the number of variables to partial out and can contain a decimal fraction",
     "nfractionalKey": "Allow fractional sample sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number for alpha that is greater than zero and less than 1",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number for power that is greater than zero and less than 1",
     "correlationGroupKey": "CORRELATION",
     "pearsonCorrComboKey": "Select a form:",
     "corrChoiceKey": "Correlation",
     "corrNullCorrChoiceKey": "Correlation, Null correlation",
     "corrMessageKey": "Enter a number for the correlation that is greater than or equal to -1 and less than or equal to 1",
     "nullCorrMessageKey": "Enter a number for the null correlation that is greater than -1 and less than 1",
     "partialGroupKey": "PARTIAL VARIABLES",
     "usePartialVarsKey": "Specify the number of variables to partial out",
     "partialVarsMessageKey": "Enter an integer for the number of partial variables that is 0 or greater",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer that is zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer that is zero or greater for the maximum value for sample size",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "corrMinValueKey": "Minimum value for correlation:",
     "corrMinValueMessageKey": "Enter a number between -1 and 1 for the minimum value for correlation",
     "corrMaxValueKey": "Maximum value for correlation:",
     "corrMaxValueMessageKey": "Enter a number between -1 and 1 for the maximum value for correlation",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "minMaxCorrEffectsPlotRequirementKey": "The maximum correlation for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "totalNTable_labelKey": "Sample size values:",
     "fractionalTotalNTable_labelKey": "Sample size values:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "corrTable_labelKey": "Correlation values:",
     "nullCorrTable_labelKey": "Null correlation values:",
     "partialTable_labelKey": "Number of Partial Variables:",
     "totalNTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Sample Size",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "corrLabelKey": "Correlation",
     "nullCorrLabelKey": "Null Correlation",
     "partialVarsLabelKey": "Partial Variables"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
