define({root:
({
     "NameKey": "Cox Regression",
     "DescriptionKey": "Calculate power or sample size for the score test of a single scalar predictor in Cox proportional hazards regression for survival data",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Sample size",
     "solveforNEventsChoiceKey": "Number of uncensored events",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Select the number of sides of the test:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "integerTotalNMessageKey": "Enter an integer for sample size that is greater than or equal to 1",
     "fractionalTotalNMessageKey": "Enter a number for sample size that is greater than 0 and can contain a decimal fraction",
     "nfractionalKey": "Allow fractional sample sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number for alpha that is greater than zero and less than 1",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number for power that is greater than zero and less than 1",
     "sampleSizeComboKey": "Select a form:",
     "totalNChoiceKey": "Sample size",
     "totalEventsChoiceKey": "Uncensored events",
     "eventTotalGroupKey": "UNCENSORED EVENTS",
     "eventTotalMessageKey": "Enter a number for the number of uncensored events that is greater than or equal to 4 plus the number of variables to be partialled out and can contain a decimal fraction",
     "eventProbGroupKey": "UNCENSORED EVENTS",
     "eventProbMessageKey": "Enter a number for the probability of uncensored events that is greater than zero and less than 1",
     "stddevGroupKey": "STANDARD DEVIATION",
     "stddevMessageKey": "Enter a number for the standard deviation of the predictor that is greater than 0",
     "hazardRatioGroupKey": "HAZARD RATIO",
     "hazardRatioMessageKey": "Enter a number for the hazard ratio that is greater than 0",
     "rsquareGroupKey": "R-SQUARE",
     "rsquareMessageKey": "Enter a number for R-square that is greater than or equal to zero and less than 1",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "uncensoredByPowerPlotKey": "Uncensored events by power plot",
     "powerByEffectKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "uncensoredEventsByEffectPlotKey": "Uncensored events by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number for the minimum value for power that is greater than zero and less than 1",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number for the maximum value for power that is greater than zero and less than 1",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer for the minimum value for sample size that is zero or greater",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer for the maximum value for sample size that is zero or greater",
     "usePlotMinEventTotalValueKey": "Minimum total uncensored events",
     "usePlotMaxEventTotalValueKey": "Maximum total uncensored events",
     "eventTotalMinValueKey": "Minimum value:",
     "eventTotalMinValueMessageKey": "Enter an integer for the minimum value for total uncensored events that is greater than 0",
     "eventTotalMaxValueKey": "Maximum value:",
     "eventTotalMaxValueMessageKey": "Enter an integer for the maximum value for total uncensored events that is greater than 0",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "hazardRatioMinValueKey": "Minimum hazard ratio:",
     "hazardRatioMinValueMessageKey": "Enter a number for the minimum value for the hazard ratio that is greater than 0",
     "hazardRatioMaxValueKey": "Maximum hazard ratio:",
     "hazardRatioMaxValueMessageKey": "Enter a number for the maximum value for the hazard ratio that is greater than 0",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "minMaxCorrEffectsPlotRequirementKey": "The maximum hazard ratio for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "totalNTable_labelKey": "Sample size values:",
     "fractionalTotalNTable_labelKey": "Sample size values:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "eventTotalTable_labelKey": "Number of uncensored events:",
     "eventProbTable_labelKey": "Probability of uncensored events:",
     "stddevTable_labelKey": "Standard deviation values:",
     "hazardRatioTable_labelKey": "Hazard ratio values:",
     "rsquareTable_labelKey": "R-square values:",
     "totalNTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Sample Size",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "eventTotalTable_eventTotalLabelKey": "Uncensored Events",
     "eventProbLabelKey": "Event Probability",
     "stddevLabelKey": "Standard Deviation",
     "hazardRatioLabelKey": "Hazard Ratio",
     "rsquareLabelKey": "R-square"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
