define({root:
({
     "NameKey": "Custom Tests",
     "DescriptionKey": "The Custom Tests task calculates power or sample size for test statistics from the chi-square, Pearson correlation, normal, F and t distributions",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Sample size",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Number of sides:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "integerTotalNMessageKey": "Enter an integer for total sample size greater than or equal to 1",
     "fractionalTotalNMessageKey": "Enter a number for total sample size greater than or equal to 1 and can contain a decimal fraction",
     "nfractionalKey": "Allow fractional sample sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number greater than zero and less than 1 for alpha",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number greater than zero and less than 1 for power",
     "distributionKey": "Distribution of the test statistic:",
     "fDistChoiceKey": "F",
     "chisquareDistChoiceKey": "Chi-square",
     "tDistChoiceKey": "t",
     "normalDistChoiceKey": "Normal",
     "pearsonDistChoiceKey": "Pearson correlation",
     "primaryNCGroupKey": "PRIMARY NONCENTRALITY",
     "chisquareFPNCMessageKey": "Enter a number greater than zero for the primary noncentrality",
     "tNormalPNCMessageKey": "Enter a number for the primary noncentrality",
     "pncMultiplierMessageKey": "Enter a number greater than zero for the primary noncentrality multiplier",
     "critValueGroupKey": "CRITICAL VALUE",
     "criticalValueMultiplierMessageKey": "Enter a number greater than or equal to zero for the critical value multiplier",
     "dfGroupKey": "DEGREES OF FREEDOM",
     "modelDfMessageKey": "Enter a number greater than or equal to 0 for the model degrees of freedom",
     "testDfMessageKey": "Enter a number greater than or equal to 0 for the test degrees of freedom",
     "corrGroupKey": "CORRELATION",
     "partialCorrMessageKey": "Enter a number greater than or equal to -1 and less than or equal to 1 for the partial correlation",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer zero or greater for the maximum value for sample size",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "corrMinValueKey": "Minimum partial correlation:",
     "corrMinValueMessageKey": "Enter a number between -1 and 1 for the minimum value for partial correlation",
     "corrMaxValueKey": "Maximum partial correlation:",
     "corrMaxValueMessageKey": "Enter a number between -1 and 1 for the maximum value for partial correlation",
     "fChisquarePNCMinValueKey": "Minimum primary noncentrality:",
     "fChisquarePNCMinValueMessageKey": "Enter a number greater than or equal to zero for the minimum value for the primary noncentrality",
     "tNormalPNCMinValueKey": "Minimum primary noncentrality:",
     "tNormalPNCMinValueMessageKey": "Enter a number for the minimum value for the primary noncentrality",
     "fChisquarePNCMaxValueKey": "Maximum primary noncentrality:",
     "fChisquarePNCMaxValueMessageKey": "Enter a number greater than or equal to zero for the maximum value for the primary noncentrality",
     "tNormalPNCMaxValueKey": "Maximum primary noncentrality:",
     "tNormalPNCMaxValueMessageKey": "Enter a number for the maximum value for the primary noncentrality",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "minMaxCorrEffectsPlotRequirementKey": "The maximum correlation for the effect plot cannot be less than the minimum value.",
     "minMaxFChiPNCEffectsPlotRequirementKey": "The maximum primary noncentraility for the effect plot cannot be less than the minimum value.",
     "minMaxTNormalPNCEffectsPlotRequirementKey": "The maximum primary noncentraility for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "testDfModelDfRequirementKey": "At least one value for the model degrees of freedom must be equal to or larger than the largest value for the test degrees of freedom",
     "modelDfTotalNRequirementKey": "At least one value for total sample size must be larger than one of the values for the model degrees of freedom",
     "totalNTable_labelKey": "Sample size values:",
     "fractionalTotalNTable_labelKey": "Sample size values:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "chisquareFPNCTable_labelKey": "Primary noncentrality values:",
     "tNormalPNCTable_labelKey": "Primary noncentrality values:",
     "pncMultiplierTable_labelKey": "Primary noncentrality multiplier values:",
     "criticalValueMultiplierTable_labelKey": "Critical value multiplier values:",
     "modelDfTable_labelKey": "Model degrees of freedom values:",
     "testDfTable_labelKey": "Test degrees of freedom values:",
     "partialCorrTable_labelKey": "Partial correlation values:",
     "totalNTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Sample Size",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "partialCorrLabelKey": "Partial Correlation"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
