define({root:
({
     "NameKey": "Equivalence Tests",
     "DescriptionKey": "The Equivalence Tests task calculate powers or sample size for equivalence tests of one-sample, paired, and two-sample means and mean ratios",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "testGroupKey": "TYPE OF TEST",
     "testTypeKey": "Type of test:",
     "oneSampleKey": "One-sample mean",
     "pairedSampleKey": "Paired means",
     "twoSampleKey": "Two-sample means",
     "oneFreqKey": "One proportion",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "solveforSampSizeNoteKey": "Solving for total sample size is not available with exact tests",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "distributionGroupKey": "Model",
     "modelInstructionKey": "Select an additive or multiplicative model:",
     "multiplicativeChoiceKey": "Multiplicative",
     "additiveChoiceKey": "Additive",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "nfractionalKey": "Allow fractional sample sizes",
     "integerTotalNOneSampleMessageKey": "Enter an integer greater than or equal to 2 for total sample size",
     "fractionalTotalNOneSampleMessageKey": "Enter a number greater than or equal to 2 that can contain a decimal fraction for total sample size",
     "integerNpairsMessageKey": "Enter an integer greater than or equal to 2 for the number of pairs",
     "fractionalNpairsMessageKey": "Enter a number greater than or equal to 2 for the number of pairs and can contain a decimal fraction",
     "integerNpergroupMessageKey": "Enter a number greater than or equal to two for sample size",
     "fractionalNpergroupMessageKey": "Enter a number greater than or equal to 1.5 for sample size and can contain a decimal fraction",
     "integerGroupSampleSizeMessageKey": "Enter a number greater than or equal to 1 for sample size",
     "fractionalGroupSampleSizeMessageKey": "Enter a number greater than 1.5 for sample size and can contain a decimal fraction",
     "integerTotalNTwoSampleMessageKey": "Enter an integer greater than or equal to 4 for total sample size",
     "fractionalTotalNTwoSampleMessageKey": "Enter a number greater than or equal to 3 for total sample size and can contain a decimal fraction",
     "integerOneFreqTotalNMessageKey": "Enter an integer for total sample size that is greater than or equal to 1",
     "fractionalOneFreqTotalNMessageKey": "Enter a number for total sample size that is greater than or equal to 1 and can contain a decimal fraction",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total sample size, Group weights",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "integerWeightMessageKey": "Enter an integer greater than or equal to 1 for the allocation weight",
     "fractionalWeightMessageKey": "Enter a number greater than zero for the allocation weight and can contain a decimal fraction",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number greater than zero and less than 1 for alpha",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number greater than zero and less than 1 for power",
     "effectSizeGroupKey": "Effect Size",
     "meanGroupKey": "MEAN",
     "meansComboKey": "Select a form:",
     "meanDiffChoiceKey": "Difference between means",
     "groupMeansChoiceKey": "Group means",
     "meanDiffNullDiffChoiceKey": "Difference between means, Null difference",
     "groupMeansNullDiffChoiceKey": "Group means, Null difference",
     "meanMessageKey": "Enter a number for the mean",
     "meanDiffMessageKey": "Enter a number for the mean difference",
     "groupMeanMessageKey": "Enter a number for mean",
     "meanRatioComboKey": "Select a form:",
     "meanRatioChoiceKey": "Mean ratio",
     "groupMeanRatioChoiceKey": "Group means",
     "meanRatioNullMeanRatioChoiceKey": "Mean ratio, Null mean ratio",
     "groupMeanRatioNullMeanRatioChoiceKey": "Group means, Null mean ratio",
     "lognormalMeanMessageKey": "Enter a number greater than 0 for the mean",
     "meanRatioMessageKey": "Enter a number greater than 0 for the mean ratio",
     "groupMeanRatioMessageKey": "Enter a number greater than 0 for the mean ratio",
     "stddevGroupKey": "STANDARD DEVIATION",
     "pairedStddevComboKey": "Select a form:",
     "groupStddevChoiceKey": "Group standard deviations",
     "commonStddevChoiceKey": "Common standard deviations",
     "stddevMessageKey": "Enter a number greater than zero for the standard deviation",
     "groupStddevMessageKey": "Enter a number greater than zero for the standard deviation",
     "boundsGroupKey": "EQUIVALENCE BOUNDS",
     "lowerBoundMessageKey": "Enter a number for the lower bound",
     "upperBoundMessageKey": "Enter a number for the upper bound",
     "multLowerBoundMessageKey": "Enter a number greater than zero for the lower bound when using the multiplicative model",
     "multUpperBoundMessageKey": "Enter a number greater than zero for the upper bound when using the multiplicative model",
     "fracLowerBoundMessageKey": "Enter a number greater than zero and less than one for the lower bound",
     "fracUpperBoundMessageKey": "Enter a number greater than zero and less than one for the upper bound",
     "corrGroupKey": "CORRELATION",
     "corrMessageKey": "Enter a number greater than or equal to -1 and less than or equal to 1 for the correlation",
     "cvGroupKey": "COEFFICIENT OF VARIATION",
     "pairedCvComboKey": "Select a form:",
     "groupCvChoiceKey": "Group coefficients of variation",
     "commonCvChoiceKey": "Common coefficients of variation",
     "cvMessageKey": "Enter a number greater than zero for the coefficient of variation",
     "groupCvMessageKey": "Enter a number greater than zero for the coefficient of variation",
     "oneProportionsTestGroupKey": "Test",
     "onePropTestComboKey": "Select a test:",
     "onePropTestExactBinomialChoiceKey": "Exact binomial test",
     "onePropTestExactZChoiceKey": "Exact Z-test",
     "onePropTestExactCorrectedZChoiceKey": "Exact continuity-adjusted Z-test",
     "onePropTestApproxZChoiceKey": "Approximate Z-test",
     "onePropTestApproxCorrectedZChoiceKey": "Approximate continuity-adjusted Z-test",
     "onePropVarEstimateInstructionKey": "Select the variance estimate for the test:",
     "onePropVarEstimateNullChoiceKey": "Based on the null proportion",
     "onePropVarEstimateSampleChoiceKey": "Based on the observed sample proportion",
     "oneProportionGroupKey": "PROPORTION",
     "oneProportionMessageKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "nullProportionMessageKey": "Enter a number for the null proportion that is greater than zero and less than 1",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer zero or greater for the maximum value for sample size",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "meanRatioMinValueKey": "Minimum mean ratio:",
     "meanRatioMinValueMessageKey": "Enter a number greater than 0 for the minimum value for the mean ratio",
     "meanRatioMaxValueKey": "Maximum mean ratio:",
     "meanRatioMaxValueMessageKey": "Enter a number greater than 0 for the maximum value for the mean ratio",
     "lognormalMeanMinValueKey": "Minimum mean:",
     "lognormalMeanMinValueMessageKey": "Enter a number greater than 0 for the minimum value for the mean",
     "lognormalMeanMaxValueKey": "Maximum mean:",
     "lognormalMeanMaxValueMessageKey": "Enter a number greater than 0 for the maximum value for the mean",
     "meanMinValueKey": "Minimum mean:",
     "meanMinValueMessageKey": "Enter a number for the minimum value for the mean",
     "meanMaxValueKey": "Maximum mean:",
     "meanMaxValueMessageKey": "Enter a number for the maximum value for the mean",
     "meanDiffMinValueKey": "Minimum mean difference:",
     "meanDiffMinValueMessageKey": "Enter a number for the minimum value for the mean difference",
     "meanDiffMaxValueKey": "Maximum mean difference:",
     "meanDiffMaxValueMessageKey": "Enter a number for the maximum value for the mean difference",
     "proportionMinValueKey": "Minimum proportion:",
     "proportionMinValueMessageKey": "Enter a number for the minimum data value of the proportion that is greater than zero and less than one",
     "proportionMaxValueKey": "Maximum proportion:",
     "proportionMaxValueMessageKey": "Enter a number for the maximum data value of the proportion that is greater than zero and less than one",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "minMaxMeanEffectsPlotRequirementKey": "The maximum value of the mean for the effect plot cannot be less than the minimum value.",
     "minMaxLognormalMeanEffectsPlotRequirementKey": "The maximum value of mean for the effect plot cannot be less than the minimum value.",
     "minMaxMeanDiffEffectsPlotRequirementKey": "The maximum value of the mean difference for the effect plot cannot be less than the minimum value.",
     "minMaxMeanRatioEffectsPlotRequirementKey": "The maximum value of the mean ratio for the effect plot cannot be less than the minimum value.",
     "minMaxProportionEffectsPlotRequirementKey": "The maximum value of the proportion for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "lowerUpperBoundRequirementKey": "At least one value for the lower bound must be smaller than the smallest value for the upper bound",
     "lowerUpperBoundOneSampleMeanRequirementKey": "At least one value for the mean must be greater than the smallest value for the lower bound and less than the largest value for the upper bound when solving for sample size",
     "lowerUpperBoundOneProportionRequirementKey": "At least one value for the proportion must be greater than the smallest value for the lower bound and less than the largest value for the upper bound when solving for sample size",
     "totalNOneSampleTable_labelKey": "Sample size values:",
     "fractionalTotalNOneSampleTable_labelKey": "Sample size values:",
     "npairsSampleSizeTable_labelKey": "Number of pairs:",
     "fractionalNpairsSampleSizeTable_labelKey": "Number of pairs:",
     "npergroupSSTable_labelKey": "Sample sizes per group:",
     "fractionalNpergroupSSTable_labelKey": "Sample sizes per group:",
     "groupSampleSizeTable_labelKey": "Group sample sizes:",
     "fractionalGroupSampleSizeTable_labelKey": "Group sample sizes:",
     "totalNTwoSampleTable_labelKey": "Total sample size values:",
     "fractionalTotalNTwoSampleTable_labelKey": "Total sample size values:",
     "oneFreqTotalNTable_labelKey": "Total sample size values:",
     "fractionalOneFreqTotalNTable_labelKey": "Total sample size values:",
     "weightsTableKey": "Group allocation weights:",
     "fractionalWeightsTableKey": "Group allocation weights:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "meansTable_labelKey": "Mean values:",
     "meanDiffTable_labelKey": "Mean difference values:",
     "groupMeansTable_labelKey": "Group mean values:",
     "lognormalMeanTable_labelKey": "Mean values:",
     "meanRatioTable_labelKey": "Mean ratio values:",
     "groupMeanRatioTable_labelKey": "Group mean ratio values:",
     "stddevTable_labelKey": "Standard deviation values:",
     "groupStddevTableLabelKey": "Group standard deviation values:",
     "lowerBoundTable_labelKey": "Lower bound values:",
     "upperBoundTable_labelKey": "Upper bound values:",
     "multLowerBoundTable_labelKey": "Lower bound values:",
     "multUpperBoundTable_labelKey": "Upper bound values:",
     "freqLowerBoundTable_labelKey": "Lower bound values:",
     "freqUpperBoundTable_labelKey": "Upper bound values:",
     "corrTable_labelKey": "Correlation values:",
     "cvTable_labelKey": "Coefficient of variation values:",
     "groupCvTable_labelKey": "Group coefficient of variation values:",
     "oneProportionTable_labelKey": "Proportion values:",
     "nullProportionTable_labelKey": "Null proportion values:",
     "totalNOneSampleTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNOneSampleTable_TotalNLabelKey": "Sample Size",
     "npairsSampleSizeTable_npairsLabelKey": "Pairs",
     "fractionalNpairsSampleSizeTable_NpairsLabelKey": "Pairs",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "npergroupFractionalSSTable_npergroupKey": "N Per Group",
     "groupSampleSizeTable_groupSS1Key": "Group 1",
     "groupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalGroupSampleSizeTable_groupSS1Key": "Group 1",
     "fractionalGroupSampleSizeTable_groupSS2Key": "Group 2",
     "totalNTwoSampleTable_totalNLabelKey": "Total Sample Size",
     "fractionalTotalNTwoSampleTable_TotalNLabelKey": "Total Sample Size",
     "oneFreqTotalNTable_totalNLabelKey": "Total Sample Size",
     "fractionalOneFreqTotalNTable_TotalNLabelKey": "Total N",
     "weightsTable_weight1Key": "Group 1",
     "weightsTable_weight2Key": "Group 2",
     "fractionalWeightsTable_weight1Key": "Group 1",
     "fractionalWeightsTable_weight2Key": "Group 2",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "meansTable_meanLabelKey": "Mean",
     "meanDiffTable_meanDiffLabelKey": "Mean Difference",
     "groupMeansTable_groupMean1Key": "Group 1",
     "groupMeansTable_groupMean2Key": "Group 2",
     "lognormalMeanTable_MeanLabelKey": "Mean",
     "meanRatioTable_meanRatioLabelKey": "Mean Ratio",
     "groupMeanRatioTable_groupMeanRatio1Key": "Group 1",
     "groupMeanRatioTable_groupMeanRatio2Key": "Group 2",
     "stddevLabelKey": "Standard Deviation",
     "groupStddevTable_groupStd1Key": "Group 1",
     "groupStddevTable_groupStd2Key": "Group 2",
     "corrLabelKey": "Correlation",
     "cvLabelKey": "Coefficient of Variation",
     "groupCvTable_groupCv1Key": "Group 1",
     "groupCvTable_groupCv2Key": "Group 2",
     "oneProportionTable_proportionLabelKey": "Proportion",
     "nullProportionTable_nullProportionLabelKey": "Null Proportion"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
