define({root:
({
     "NameKey": "Logistic Regression",
     "DescriptionKey": "The Logistic Regression task calculates power and sample size analyses for the likelihood ratio chi-square test of a single predictor in binary logistic regression, possibly in the presence of one or more covariates that might be correlated with the tested predictor.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Sample size",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "integerTotalNMessageKey": "Enter an integer greater than or equal to 1 with no covariates or 2 with covariates for sample size",
     "fractionalTotalNMessageKey": "Enter a number that is greater than or equal to 1 with no covariates and 1.05 with covariates and can contain a decimal fraction for sample size",
     "nfractionalKey": "Allow fractional sample sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number greater than zero and less than 1 for alpha",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number greater than zero and less than 1 for power",
     "predictorsGroupKey": "PREDICTOR",
     "predictorDistribComboKey": "Distribution of the predictor:",
     "predictorDistribComboSelectMessageKey": "Select a distribution",
     "betaChoiceKey": "Beta",
     "binomialChoiceKey": "Binomial",
     "normalChoiceKey": "Normal",
     "lognormalChoiceKey": "Lognormal",
     "poissonChoiceKey": "Poisson",
     "ordinalChoiceKey": "Ordinal",
     "alphaBetaMessageKey": "Enter a number greater than 0 for the alpha parameter",
     "betaMessageKey": "Enter a number greater than 0 for the beta parameter",
     "probSuccessMessageKey": "Enter a number greater than 0 and less than 1 for the probability of success",
     "binomialTrialsMessageKey": "Enter an integer greater than 0 for the number of trials",
     "meanMessageKey": "Enter a number for the mean",
     "stddevMessageKey": "Enter a number greater than 0 for the standard deviation",
     "locationMessageKey": "Enter a number for the location",
     "scaleMessageKey": "Enter a number greater than 0 for the scale",
     "probMessageKey": "Enter a number greater than 0 and less than 1 for the probability",
     "predictorCoeffsComboKey": "Select a form:",
     "regCoeffsChoiceKey": "Regression coefficients",
     "oddsRatioChoiceKey": "Odds ratios",
     "regCoeffMessageKey": "Enter a number for the regression coefficient",
     "oddsRatioMessageKey": "Enter a number greater than 0 for the odds ratio",
     "predOddsRatioUnitsKey": "Units of change in odds ratio for the predictor:",
     "unitsNumberChoiceKey": "Number",
     "unitsPercentileChoiceKey": "Percentile",
     "unitsStdMultipleChoiceKey": "Multiple of standard deviation",
     "predictorOddsRatioNumberUnitsKey": "Change:",
     "predictorOddsRatioNumberUnitsMessageKey": "Enter a number that is not equal to 0 for the change in odds ratio",
     "predictorOddsRatioNumeratorKey": "Numerator:",
     "predictorOddsRatioNumeratorMessageKey": "Enter a number greater than 0 and less than 1 for the numerator percentile",
     "predictorOddsRatioDenominatorKey": "Denominator:",
     "predictorOddsRatioDenominatorMessageKey": "Enter a number greater than 0 and less than 1 for the denominator percentile",
     "predictorOddsRatioSDMultipleUnitsKey": "Multiple:",
     "predictorOddsRatioSDMultipleUnitsMessageKey": "Enter a number not equal to 0 for the odds ratio standard deviation multiple",
     "covariateOddsRatioUnitsKey": "Units of change in odds ratio for all covariates:",
     "covariateOddsRatioNumberUnitsKey": "Change:",
     "covariateOddsRatioNumberUnitsMessageKey": "Enter a number that is not equal to 0 for the change in odds ratio",
     "covariateOddsRatioNumeratorKey": "Numerator:",
     "covariateOddsRatioNumeratorMessageKey": "Enter a number greater than 0 and less than 1 for the numerator percentile",
     "covariateOddsRatioDenominatorKey": "Denominator:",
     "covariateOddsRatioDenominatorMessageKey": "Enter a number greater than 0 and less than 1 for the denominator percentile",
     "covariateOddsRatioSDMultipleUnitsKey": "Multiple:",
     "covariateOddsRatioSDMultipleUnitsMessageKey": "Enter a number not equal to 0 for the odds ratio standard deviation multiple",
     "interceptMessageKey": "Enter a number for the intercept",
     "respProbMessageKey": "Enter a number greater than zero and less than 1 for response probability",
     "covariatesGroupKey": "COVARIATES",
     "nCovariatesKey": "Number of covariates:",
     "nCovariatesMessageKey": "Enter an integer between 0 and 9, inclusive, for the number of covariates",
     "covariateGroup1Key": "Covariate 1",
     "covariate1DistribComboKey": "Distribution of covariate 1:",
     "covariateDistribComboSelectMessageKey": "Select a distribution",
     "covariateGroup2Key": "Covariate 2",
     "covariate2DistribComboKey": "Distribution of covariate 2:",
     "covariateGroup3Key": "Covariate 3",
     "covariate3DistribComboKey": "Distribution of covariate 3:",
     "covariateGroup4Key": "Covariate 4",
     "covariate4DistribComboKey": "Distribution of covariate 4:",
     "covariateGroup5Key": "Covariate 5",
     "covariate5DistribComboKey": "Distribution of covariate 5:",
     "covariateGroup6Key": "Covariate 6",
     "covariate6DistribComboKey": "Distribution of covariate 6:",
     "covariateGroup7Key": "Covariate 7",
     "covariate7DistribComboKey": "Distribution of covariate 7:",
     "covariateGroup8Key": "Covariate 8",
     "covariate8DistribComboKey": "Distribution of covariate 8:",
     "covariateGroup9Key": "Covariate 9",
     "covariate9DistribComboKey": "Distribution of covariate 9:",
     "corGroupKey": "CORRELATION",
     "multipleCorrMessageKey": "Enter a number greater than -1 and less than 1 for the multiple correlation",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer zero or greater for the maximum value for sample size",
     "testPredDistLabelKey": "X",
     "testPredPlusDistLabelKey": "X.{1}",
     "covariateDistLabelKey": "Cov {1}",
     "covariatePlusDistLabelKey": "Cov {1}.{2}",
     "predNumberUnitRequirementKey": "The XYX cannot be 0.",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "predOrdinalRequirementKey": "The probabilities for the ordered categories of the test predictor must sum to 1",
     "cov1OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 1 must sum to 1",
     "cov2OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 2 must sum to 1",
     "cov3OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 3 must sum to 1",
     "cov4OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 4 must sum to 1",
     "cov5OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 5 must sum to 1",
     "cov7OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 7 must sum to 1",
     "cov8OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 8 must sum to 1",
     "cov9OrdinalRequirementKey": "The probabilities for the ordered categories of covariate 9 must sum to 1",
     "totalNTable_labelKey": "Sample size values:",
     "fractionalTotalNTable_labelKey": "Sample size values:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "predictorBetaTable_labelKey": "Beta parameter values:",
     "predictorBinomialTable_labelKey": "Binomial parameter values:",
     "predictorNormalTable_labelKey": "Normal parameter values:",
     "predictorLognormalTable_labelKey": "Lognormal parameter values:",
     "predictorPoissonTable_labelKey": "Poisson parameter values:",
     "predictorOrdinalTable_labelKey": "Ordinal parameter values:",
     "predictorRegCoeffTable_labelKey": "Regression coefficient values:",
     "predictorOddsRatioTable_labelKey": "Odds ratio values:",
     "interceptTable_labelKey": "Intercept values:",
     "respProbTable_labelKey": "Response probability values:",
     "covariateBetaTable_labelKey": "Beta parameter values:",
     "covariateBinomialTable_labelKey": "Binomial parameter values:",
     "covariateNormalTable_labelKey": "Normal parameter values:",
     "covariateLognormalTable_labelKey": "Lognormal parameter values:",
     "covariatePoissonTable_labelKey": "Poisson parameter values:",
     "covariateOrdinalTable_labelKey": "Ordinal parameter values:",
     "covariateRegCoeffTable_labelKey": "Regression coefficient values:",
     "covariateOddsRatioTable_labelKey": "Odds ratio values:",
     "covariate4OdsRatioTable_labelKey": "Odds ratio values:",
     "multipleCorrTable_labelKey": "Multiple correlation values:",
     "totalNTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Sample Size",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "betaTable_alphaLabelKey": "Alpha",
     "betaTable_betaLabelKey": "Beta",
     "predictorBinomialTable_probSuccessLabelKey": "Probability of Success",
     "predictorBinomialTable_trialsLabelKey": "Number of Trials",
     "NormalTable_meanLabelKey": "Mean",
     "NormalTable_stddevLabelKey": "Standard Deviation",
     "LognormalTable_locationLabelKey": "Location",
     "LognormalTable_scaleLabelKey": "Scale",
     "PoissonTable_meanLabelKey": "Mean",
     "OrdinalTable_valueLabelKey": "Category Value",
     "OrdinalTable_probLabelKey": "Probability",
     "regCoeffsLabelKey": "Regression Coefficients",
     "predictorOddsRatioTable_oddsRatioLabelKey": "Odds Ratio",
     "interceptsLabelKey": "Intercept",
     "respProbLabelKey": "Response Probability",
     "binomialTable_probSuccessLabelKey": "Probability of Success",
     "binomialTable_trialsLabelKey": "Number of Trials",
     "covariateOddsRatioTable_oddsRatioLabelKey": "Odds Ratio",
     "multipleCorrLabelKey": "Multiple Correlation"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
