define({root:
({
     "NameKey": "Multiple Regression",
     "DescriptionKey": "Calculate power or sample size for multiple regression",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Sample size",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "modelGroupKey": "Model",
     "multregModelInstructionKey": "Select fixed or random predictors:",
     "multregModelFixedChoiceKey": "Fixed predictors",
     "multregModelRandomChoiceKey": "Random predictors",
     "interceptKey": "Include the intercept in the model",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "integerTotalNMessageKey": "Enter an integer for sample size that is greater than or equal to 4 plus the number of predictors in the full model",
     "fractionalTotalNMessageKey": "Enter a number for sample size that is greater than or equal to 4 plus the number of predictors in the full model and can contain a decimal fraction",
     "nfractionalKey": "Allow fractional sample sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number for alpha that is greater than zero and less than 1",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number for power that is greater than zero and less than 1",
     "numberOfPredictorsGroupKey": "NUMBER OF PREDICTORS",
     "fullModelPredictorsMessageKey": "Enter an integer for number of predictors in the full model that is greater than zero",
     "reducedModelPredictorsMessageKey": "Enter an integer for number of predictors in the reduced model that is greater than zero",
     "varianceAccountedForGroupKey": "VARIANCE ACCOUNTED FOR",
     "varianceAccountedForComboKey": "Select a form:",
     "rsquareChoiceKey": "Full R-square, Reduced R-square",
     "partialCorrChoiceKey": "Partial correlation",
     "fullRsquareMessageKey": "Enter a number for full model R-square that is greater than or equal to zero and less than or equal to 1",
     "reducedRsquareMessageKey": "Enter a number for reduced model R-square that is greater than or equal to zero and less than or equal to 1",
     "partialCorrMessageKey": "Enter a number for the partial correlation that is greater than or equal to -1 and less than or equal to 1",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number for the minimum value for power that is greater than zero and less than 1",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number for the maximum value for power that is greater than zero and less than 1",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer for the minimum value for sample size that is zero or greater",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer for the maximum value for sample size that is zero or greater",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "corrMinValueKey": "Minimum correlation:",
     "corrMinValueMessageKey": "Enter a number for the minimum value for correlation that is between -1 and 1",
     "corrMaxValueKey": "Maximum correlation:",
     "corrMaxValueMessageKey": "Enter a number for the maximum value for correlation that is between -1 and 1",
     "rsquareMinValueKey": "Minimum R-square:",
     "rsquareMinValueMessageKey": "Enter a number for the minimum value for R-square that is between 0 and 1",
     "rsquareMaxValueKey": "Maximum R-square:",
     "rsquareMaxValueMessageKey": "Enter a number for the maximum value for R-square that is between 0 and 1",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "minMaxCorrEffectsPlotRequirementKey": "The maximum correlation for the effect plot cannot be less than the minimum value.",
     "minMaxRsquareEffectsPlotRequirementKey": "The maximum R-square for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "fullReducedPredictorsRequirementKey": "At least one value for the number of full model predictors must be larger than the largest value for the reduced model predictors",
     "fullReducedRsquareRequirementKey": "At least one value for the full model R-square must be larger than the largest value for the reduced model R-square",
     "totalNTable_labelKey": "Sample size values:",
     "fractionalTotalNTable_labelKey": "Sample size values:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "fullModelPredictorsTable_labelKey": "Number of full model predictors:",
     "reducedModelPredictorsTable_labelKey": "Number of reduced model predictors:",
     "fullRsquareTable_labelKey": "Full model R-square values:",
     "reducedRsquareTable_labelKey": "Reduced model R-square values:",
     "partialCorrTable_labelKey": "Partial correlation values:",
     "totalNTable_totalNLabelKey": "Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Sample Size",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "fullModelPredictorsLabelKey": "Full Model Predictors",
     "reducedModelPredictorsLabelKey": "Reduced Model Predictors",
     "fullRsquareLabelKey": "Full Model R-square",
     "reducedRsquareLabelKey": "Reduced Model R-square",
     "partialCorrLabelKey": "Partial Correlation"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
