define({root:
({
     "NameKey": "One-way ANOVA",
     "DescriptionKey": "Calculate power or sample size for a one-way ANOVA design",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total N, Group weights",
     "nfractionalKey": "Allow fractional sample sizes",
     "integerNpergroupMessageKey": "Enter an integer greater than or equal to two for sample size",
     "fractionalNpergroupMessageKey": "Enter a number for sample size that is greater than or equal to two and can contain a decimal fraction",
     "integerTotalNMessageKey": "Enter an integer for total sample size that is greater than the number of groups plus 1",
     "fractionalTotalNMessageKey": "Enter a number for total sample size that is greater than the number of groups plus 1 and can contain a decimal fraction",
     "integerGroupSampleSizeMessageKey": "Enter an integer for sample size that is greater than or equal to 1",
     "fractionalGroupSampleSizeMessageKey": "Enter a number for sample size that is greater than zero and can contain a decimal fraction",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "integerWeightMessageKey": "Enter an integer for the allocation weight that is greater than or equal to 1",
     "fractionalWeightMessageKey": "Enter a number for the allocation weight that is greater than zero and can contain a decimal fraction",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number for alpha that is greater than zero and less than 1",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number for power that is greater than zero and less than 1",
     "nGroupsGroupKey": "NUMBER OF GROUPS",
     "nGroupsKey": "Number of groups:",
     "nGroupsMessageKey": "Enter an integer for the number of groups that between two and ten, inclusive",
     "meansGroupKey": "MEANS",
     "meanMessageKey": "Enter a number for the mean",
     "stddevGroupKey": "STANDARD DEVIATION",
     "stddevMessageKey": "Enter a number for the standard deviation that is greater than 0",
     "contrastsGroupKey": "CONTRASTS",
     "useContrastsKey": "Specify contrasts",
     "specifyCoeffsKey": "Specify contrast coefficients",
     "specifyTrendsKey": "Select orthogonal polynomial trend components",
     "linearTrendKey": "Linear",
     "quadraticTrendKey": "Quadratic",
     "cubicTrendKey": "Cubic",
     "contrastMessageKey": "Enter a number for the contrast coefficient",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerBySampleSizePlotNoteKey": "The power by sample size plot is not available when group sample sizes are used.",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer that is zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer that is zero or greater for the maximum value for sample size",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum power.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum sample size.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "npergroupSSTable_labelKey": "Sample sizes per group:",
     "nperfractionalGroupSSTable_labelKey": "Sample sizes per group:",
     "totalNTable_labelKey": "Total sample size values:",
     "fractionalTotalNTable_labelKey": "Total sample size values:",
     "groupSSTableKey": "Group sample sizes:",
     "groupWeightsTableKey": "Group allocation weights:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "groupMeansTableKey": "Mean values:",
     "stddevTable_labelKey": "Standard deviation values:",
     "contrastTableKey": "Contrast coefficient values:",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "nperfractionalGroupSSTable_npergroupKey": "N Per Group",
     "totalNTable_totalNLabelKey": "Total N",
     "fractionalTotalNTable_TotalNLabelKey": "Total N",
     "labelGroupSS1Key": "Group 1",
     "labelGroupSS2Key": "Group 2",
     "labelGroupSS3Key": "Group 3",
     "labelGroupSS4Key": "Group 4",
     "labelGroupSS5Key": "Group 5",
     "labelGroupSS6Key": "Group 6",
     "labelGroupSS7Key": "Group 7",
     "labelGroupSS8Key": "Group 8",
     "labelGroupSS9Key": "Group 9",
     "labelGroupSS10Key": "Group 10",
     "labelGroupWeight1Key": "Group 1",
     "labelGroupWeight2Key": "Group 2",
     "labelGroupWeight3Key": "Group 3",
     "labelGroupWeight4Key": "Group 4",
     "labelGroupWeight5Key": "Group 5",
     "labelGroupWeight6Key": "Group 6",
     "labelGroupWeight7Key": "Group 7",
     "labelGroupWeight8Key": "Group 8",
     "labelGroupWeight9Key": "Group 9",
     "labelGroupWeight10Key": "Group 10",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "groupMean1LabelKey": "Group 1",
     "groupMean2LabelKey": "Group 2",
     "groupMean3LabelKey": "Group 3",
     "groupMean4LabelKey": "Group 4",
     "groupMean5LabelKey": "Group 5",
     "groupMean6LabelKey": "Group 6",
     "groupMean7LabelKey": "Group 7",
     "groupMean8LabelKey": "Group 8",
     "groupMean9LabelKey": "Group 9",
     "groupMean10LabelKey": "Group 10",
     "stddevLabelKey": "Standard Deviation",
     "groupContrast1LabelKey": "Group 1",
     "groupContrast2LabelKey": "Group 2",
     "groupContrast3LabelKey": "Group 3",
     "groupContrast4LabelKey": "Group 4",
     "groupContrast5LabelKey": "Group 5",
     "groupContrast6LabelKey": "Group 6",
     "groupContrast7LabelKey": "Group 7",
     "groupContrast8LabelKey": "Group 8",
     "groupContrast9LabelKey": "Group 9",
     "groupContrast10LabelKey": "Group 10"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
