define({root:
({
     "NameKey": "Tests of Proportions",
     "DescriptionKey": "Calculate power or sample size for tests of one, two correlated, and two independent proportions",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "testGroupKey": "TYPE OF TEST",
     "testTypeKey": "Type of test:",
     "oneProportionKey": "One proportion",
     "pairedFreqKey": "Two correlated proportions",
     "twoProportionsKey": "Two independent proportions",
     "oneFreqTestTypeInstructionKey": "Select the binomial proportion test:",
     "equalityChoiceKey": "Equality",
     "noninferiorityChoiceKey": "Noninferiority",
     "superiorityChoiceKey": "Superiority",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "solveforSampSizeNoteKey": "Solving for total sample size is not available with exact tests",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Select the number of sides of the test:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "oneProportionsTestGroupKey": "Test",
     "onePropTestComboKey": "Select a test:",
     "onePropTestExactBinomialChoiceKey": "Exact binomial test",
     "onePropTestExactZChoiceKey": "Exact Z-test",
     "onePropTestExactCorrectedZChoiceKey": "Exact continuity-adjusted Z-test",
     "onePropTestApproxZChoiceKey": "Approximate Z-test",
     "onePropTestApproxCorrectedZChoiceKey": "Approximate continuity-adjusted Z-test",
     "onePropVarEstimateInstructionKey": "Select the variance estimate for the test:",
     "onePropVarEstimateNullChoiceKey": "Based on the null proportion",
     "onePropVarEstimateSampleChoiceKey": "Based on the observed sample proportion",
     "pairedFreqMethodGroupKey": "Method",
     "pairedFreqMethodInstructionKey": "Select a method:",
     "pairedFreqMethodExactChoiceKey": "Exact",
     "pairedFreqMethodConnorChoiceKey": "Connor approximation",
     "pairedFreqMethodMiettinenChoiceKey": "Miettinen approximation",
     "pairedFreqDistGroupKey": "Distribution",
     "pairedFreqDistInstructionKey": "Select a distribution for the test statistic:",
     "pairedFreqDistExactChoiceKey": "Exact conditional",
     "pairedFreqDistNormalChoiceKey": "Normal approximation to the binomial",
     "pairedFreqDistNormalChoice2Key": "Normal approximation to the binomial",
     "twoProportionsTestGroupKey": "Test",
     "twoProportionsTestInstructionKey": "Select a test:",
     "twoProportionsTestFisherChoiceKey": "Fisher's exact test",
     "twoProportionsTestFMChoiceKey": "Farrington-Manning score test",
     "twoProportionsTestLRChoiceKey": "Likelihood ratio chi-square test",
     "twoProportionsTestPearsonChoiceKey": "Pearson chi-square test",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "nfractionalKey": "Allow fractional sample sizes",
     "integerTotalNMessageKey": "Enter an integer for total sample size that is greater than or equal to 2",
     "fractionalTotalNMessageKey": "Enter a number for total sample size that is greater than or equal to 2 and can contain a decimal fraction",
     "integerNpairsMessageKey": "Enter an integer for the number of pairs that is greater than or equal to 1",
     "fractionalNpairsMessageKey": "Enter a number for the number of pairs that is greater than or equal to 1 and can contain a decimal fraction",
     "integerNpergroupMessageKey": "Enter a number for sample size that is greater than or equal to 1",
     "fractionalNpergroupMessageKey": "Enter a number for sample size that is greater than or equal to 1 and can contain a decimal fraction",
     "integerGroupSampleSizeMessageKey": "Enter a number for sample size that is greater than or equal to 1",
     "fractionalGroupSampleSizeMessageKey": "Enter a number for sample size that is greater than zero and can contain a decimal fraction",
     "integerWeightMessageKey": "Enter an integer for the allocation weight that is greater than or equal to 1",
     "fractionalWeightMessageKey": "Enter a number for the allocation weight that is greater than zero and can contain a decimal fraction",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total N, Group weights",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number for alpha that is greater than zero and less than 1",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number for power that is greater than zero and less than 1",
     "oneProportionGroupKey": "PROPORTION",
     "oneProportionMessageKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "nullProportionMessageKey": "Enter a number for the null proportion that is greater than zero and less than 1",
     "negativeMarginMessageKey": "Enter a number less than or equal to zero and greater than -1 for the margin",
     "positiveMarginMessageKey": "Enter a number greater than or equal to zero and less than one for the margin",
     "pairedProportionsGroupKey": "PROPORTIONS",
     "pairedFreqComboKey": "Select a form:",
     "pairedFreqPropsGroupPropsKey": "Group proportions, Correlation",
     "pairedFreqPropsRefPropPropDiffKey": "Proportion difference, Reference proportion, Correlation",
     "pairedFreqPropsRefPropOddsRatioKey": "Odds ratio, Reference proportion, Correlation",
     "pairedFreqPropsRefPropRelativeRiskKey": "Relative risk, Reference proportion, Correlation",
     "pairedFreqP12P21Key": "Discordant (off-diagonal) proportions",
     "pairedFreqP12P21DiffSumKey": "Sum and difference of discordant proportions",
     "pairedFreqPropRatioNullRatioKey": "Ratio of proportions, Reference discordant proportion, Null ratio",
     "corrGroupKey": "CORRELATION",
     "corrMessageKey": "Enter a number for the correlation that is greater than -1 and less than 1",
     "groupProportionMessageKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "refProportionMessageKey": "Enter a number for the reference proportion that is greater than zero and less than 1",
     "propDiffMessageKey": "Enter a number for the proportion difference that is greater than -1 and less than 1",
     "oddsRatioMessageKey": "Enter a number for the odds ratio that is greater than 0",
     "relativeRiskMessageKey": "Enter a number for the relative risk that is greater than 0",
     "discordantProportionsMessageKey": "Enter a number for the proportion that is greater than zero and less than 1",
     "discordantPropSumMessageKey": "Enter a number for the sum of the discordant proportions that is greater than zero and less than 1",
     "discordantPropDiffMessageKey": "Enter a number for the difference of the discordant proportions that is greater than -1 and less than 1",
     "propRatioMessageKey": "Enter a number for the proportion ratio that is greater than zero",
     "nullPropRatioMessageKey": "Enter a number for the null proportion ratio that is greater than zero",
     "refDiscordantProportionMessageKey": "Enter a number for the reference discordant proportion that is greater than zero and less than 1",
     "twoProportionsPearsonComboKey": "Select a form:",
     "twoProportionsFMComboKey": "Select a form:",
     "twoProportionsOtherComboKey": "Select a form:",
     "groupPropsChoiceKey": "Group proportions",
     "refPropPropDiffChoiceKey": "Proportion difference, Reference proportion",
     "refPropOddsRatioChoiceKey": "Odds ratio, Reference proportion",
     "refPropRelativeRiskChoiceKey": "Relative risk, Reference proportion",
     "refPropOddsRatioNullRatioChoiceKey": "Odds ratio, Reference proportion, Null odds ratio",
     "groupPropsNullDiffChoiceKey": "Group proportions, Null proportion difference",
     "nullOddsRatioMessageKey": "Enter a number for the null odds ratio that is greater than 0",
     "nullPropDiffMessageKey": "Enter a number for the null proportion difference that is greater than -1 and less than 1",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer that is zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer that is zero or greater for the maximum value for sample size",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "oddsRatioMinValueKey": "Minimum odds ratio:",
     "oddsRatioMinValueMessageKey": "Enter a number greater than 0 for the minimum value for the odds ratio",
     "oddsRatioMaxValueKey": "Maximum odds ratio:",
     "oddsRatioMaxValueMessageKey": "Enter a number greater than 0 for the maximum value for the odds ratio",
     "proportionDiffMinValueKey": "Minimum proportion difference:",
     "proportionDiffMinValueMessageKey": "Enter a number greater than -1 and less than 1 for the minimum value for the proportion difference",
     "proportionDiffMaxValueKey": "Maximum proportion difference:",
     "proportionDiffMaxValueMessageKey": "Enter a number greater than -1 and less than 1 for the maximum value for the proportion difference",
     "proportionMinValueKey": "Minimum proportion:",
     "proportionMinValueMessageKey": "Enter a number for the minimum data value of the proportion that is greater than zero and less than one",
     "proportionMaxValueKey": "Maximum proportion:",
     "proportionMaxValueMessageKey": "Enter a number for the maximum data value of the proportion that is greater than zero and less than one",
     "relativeRiskMinValueKey": "Minimum relative risk:",
     "relativeRiskMinValueMessageKey": "Enter a number for the minimum value for the relative risk that is greater than zero",
     "relativeRiskMinValueRangeKey": "Enter a number for the minimum value for the relative risk that is greater than zero",
     "relativeRiskMaxValueKey": "Maximum relative risk:",
     "relativeRiskMaxValueMessageKey": "Enter a number for the maximum value for the relative risk that is greater than zero",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum power.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum sample size.",
     "minMaxProportionEffectsPlotRequirementKey": "The maximum value of the proportion for the effect plot cannot be less than the minimum value.",
     "minMaxpropDiffEffectsPlotRequirementKey": "The maximum value of the proportion difference for the effect plot cannot be less than the minimum value.",
     "minMaxoddsRatioEffectsPlotRequirementKey": "The maximum value of the odds ratio for the effect plot cannot be less than the minimum value.",
     "minMaxRelativeRiskEffectsPlotRequirementKey": "The maximum value of relative risk for the effect plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "totalNTable_labelKey": "Total sample size values:",
     "fractionalTotalNTable_labelKey": "Total sample size values:",
     "npairsSampleSizeTable_labelKey": "Number of pairs:",
     "fractionalNpairsSampleSizeTable_labelKey": "Number of pairs:",
     "npergroupSSTable_labelKey": "Sample size per group values:",
     "fractionalNpergroupSSTable_labelKey": "Sample size per group values:",
     "groupSampleSizeTable_labelKey": "Group sample size values:",
     "fractionalGroupSampleSizeTable_labelKey": "Group sample size values:",
     "weightsTable_labelKey": "Group allocation weights:",
     "fractionalWeightsTable_labelKey": "Group allocation weights:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "oneProportionTable_labelKey": "Proportion values:",
     "nullProportionTable_labelKey": "Null proportion values:",
     "negativeMarginTable_labelKey": "Margin values:",
     "positiveMarginTable_labelKey": "Margin values:",
     "corrTable_labelKey": "Correlation values:",
     "groupProportionsTable_labelKey": "Group proportion values:",
     "refProportionTable_labelKey": "Reference proportion values:",
     "proportionDifferenceTable_labelKey": "Proportion difference values:",
     "oddsRatioTable_labelKey": "Odds ratio values:",
     "relativeRiskTable_labelKey": "Relative risk values:",
     "discordantProportionsTable_labelKey": "Discordant proportion values:",
     "discordantProportionSumTable_labelKey": "Sum of discordant proportion values:",
     "discordantProportionDifferenceTable_labelKey": "Difference of discordant proportion values:",
     "proportionRatioTable_labelKey": "Proportion ratio values:",
     "nullProportionRatioTable_labelKey": "Null proportion ratio values:",
     "refDiscordantProportionTable_labelKey": "Reference discordant proportion values:",
     "nullOddsRatioTable_labelKey": "Null odds ratio values:",
     "nullProportionDifferenceTable_labelKey": "Null proportion difference values:",
     "totalNTable_totalNLabelKey": "Total Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Total N",
     "npairsSampleSizeTable_npairsLabelKey": "Pairs",
     "fractionalNpairsSampleSizeTable_NpairsLabelKey": "Pairs",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "npergroupFractionalSSTable_npergroupKey": "N Per Group",
     "groupSampleSizeTable_groupSS1Key": "Group 1",
     "groupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalGroupSampleSizeTable_groupSS1Key": "Group 1",
     "fractionalGroupSampleSizeTable_groupSS2Key": "Group 2",
     "weightsTable_weight1Key": "Group 1",
     "weightsTable_weight2Key": "Group 2",
     "fractionalWeightsTable_weight1Key": "Group 1",
     "fractionalWeightsTable_weight2Key": "Group 2",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "oneProportionTable_proportionLabelKey": "Proportion",
     "nullProportionTable_nullProportionLabelKey": "Null Proportion",
     "corrLabelKey": "Correlation",
     "groupProportionsTable_proportion1LabelKey": "Group 1",
     "groupProportionsTable_proportion2LabelKey": "Group 2",
     "refProportionTable_refProportionLabelKey": "Reference Proportion",
     "proportionDifferenceTable_propDiffLabelKey": "Proportion Difference",
     "oddsRatioTable_oddsRatioLabelKey": "Odds Ratio",
     "relativeRiskTable_relativeRiskLabelKey": "Relative Risk",
     "discordantProportionsTable_p12LabelKey": "p01",
     "discordantProportionsTable_p21LabelKey": "p10",
     "discordantProportionSumTable_propSumLabelKey": "Sum",
     "discordantProportionDifferenceTable_propDiffLabelKey": "Difference",
     "proportionRatioTable_propRatioLabelKey": "Proportion Ratio",
     "nullProportionRatioTable_nullPropRatioLabelKey": "Null Proportion Ratio",
     "refDiscordantProportionTable_p21LabelKey": "p10",
     "nullOddsRatioTable_nullOddsRatioLabelKey": "Null Odds Ratio",
     "nullProportionDifferenceTable_nullPropDiffLabelKey": "Proportion Difference"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
