define({root:
({
     "NameKey": "Survival Rank Tests",
     "DescriptionKey": "The Survival Rank Tests task calculates power, sample size, or number of events for two-sample survival rank tests.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "solveforNEventsChoiceKey": "Number of events",
     "testGroupKey": "TYPE OF TEST",
     "testInstructionKey": "Select a test:",
     "gehanRankKey": "Gehan rank",
     "logRankKey": "Log rank",
     "taroneRankKey": "Tarone-Ware rank",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Select the number of sides of the test:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "survivalDistributionGroupKey": "SURVIVAL DISTRIBUTION",
     "survivalDistributionComboKey": "Select a form:",
     "groupSurvHazardChoiceKey": "Group survival hazards",
     "groupMedianSurvivalTimeChoiceKey": "Group median survival times",
     "hazardHazardRatioChoiceKey": "Survival hazards and hazard ratios",
     "hazard1MessageKey": "Enter a number greater than 0 for the Group 1 hazard",
     "hazard2MessageKey": "Enter a number greater than or equal to 0 for the Group 2 hazard",
     "medianSurvivalTimeMessageKey": "Enter a number greater than 0 for the median survival time",
     "hazardMessageKey": "Enter a number greater than 0 for the hazard",
     "hazardRatioMessageKey": "Enter a number greater than 0 for the hazard ratio",
     "lossDistributionGroupKey": "LOSS (CENSORING) DISTRIBUTION",
     "useLossDistributionKey": "Specify the loss distribution",
     "lossDistributionComboKey": "Select a form:",
     "groupLossHazardChoiceKey": "Group loss hazards",
     "groupMedianLossTimeChoiceKey": "Group median loss times",
     "medianLossTimeMessageKey": "Enter a number greater than 0 for the median loss time",
     "accrualTimesGroupKey": "ACCRUAL TIME",
     "accrualFollowupTimesChoiceKey": "Accrual and follow-up times",
     "accrualTotalTimesChoiceKey": "Accrual and total times",
     "followupotalTimesChoiceKey": "Follow-up and total times",
     "accrualTimeMessageKey": "Enter a number greater than 0 for the accrual time",
     "followupTimeMessageKey": "Enter a number greater than 0 for the follow-up time",
     "totalTimeMessageKey": "Enter a number greater than 0 for the total time",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "nfractionalKey": "Allow fractional sample sizes",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total N, Group weights",
     "eventTotalGroupWeightsSampleSizesChoiceKey": "Total Events, Group weights",
     "accrualRatePerGroupChoiceKey": "Accrual rate per group",
     "groupAccrualRatesChoiceKey": "Group accrual rates",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "integerTotalNMessageKey": "Enter an integer greater than or equal to 2 for total sample size",
     "fractionalTotalNMessageKey": "Enter a number that is greater than or equal to 2 and can contain a decimal fraction for total sample size",
     "integerNpergroupMessageKey": "Enter an integer greater than or equal to 1 for sample size",
     "fractionalNpergroupMessageKey": "Enter a number that is greater than or equal to 1 and can contain a decimal fraction for sample size",
     "integerGroupSampleSizeMessageKey": "Enter an integer greater than or equal to 1 for sample size",
     "fractionalGroupSampleSizeMessageKey": "Enter a number that is greater than zero and can contain a decimal fraction for sample size",
     "fractionalTotalEventsMessageKey": "Enter a number that is greater than or equal to 2 and can contain a decimal fraction for total events",
     "fractionalAccrualRatePerGroupMessageKey": "Enter a number that is greater than or equal to 1 and can contain a decimal fraction for accrual rate per group",
     "fractionalGroupAccrualRateMessageKey": "Enter a number that is greater than or equal to 1 and can contain a decimal fraction for accrual rate",
     "integerWeightMessageKey": "Enter an integer greater than or equal to 1 for the allocation weight",
     "fractionalWeightMessageKey": "Enter a number that is greater than zero and can contain a decimal fraction for the allocation weight",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number greater than zero and less than 1 for alpha",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number greater than zero and less than 1 for power",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "totalEventsByPowerPlotKey": "Total events by power plot",
     "accrualRateByPowerPlotKey": "Accrual rate by power plot",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "uncensoredEventsByEffectPlotKey": "Total events by effect size plot",
     "noPlotAvailableNoteKey": "No plots are available when group sample sizes or group accrual rates are selected.",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer zero or greater for the maximum value for sample size",
     "usePlotMinEventTotalValueKey": "Minimum total events",
     "usePlotMaxEventTotalValueKey": "Maximum total events",
     "eventTotalMinValueKey": "Minimum value:",
     "eventTotalMinValueMessageKey": "Enter a number greater than or equal to 2 for the minimum value for total events",
     "eventTotalMaxValueKey": "Maximum value:",
     "eventTotalMaxValueMessageKey": "Enter a number greater than or equal to 2 for the maximum value for total events",
     "usePlotMinAccrualRateValueKey": "Minimum accrual rate",
     "usePlotMaxAccrualRateValueKey": "Maximum accrual rate",
     "accrualRateMinValueKey": "Minimum value:",
     "accrualRateMinValueMessageKey": "Enter a number greater than or equal to 1 for the minimum value for accrual rate",
     "accrualRateMaxValueKey": "Maximum value:",
     "accrualRateMaxValueMessageKey": "Enter a number greater than or equal to 1 for the maximum value for accrual rate",
     "effectPlotRangeLabelKey": "Range of values:",
     "usePlotMinEffectValueKey": "Minimum effect size",
     "usePlotMaxEffectValueKey": "Maximum effect size",
     "hazardRatioMinValueKey": "Minimum hazard ratio:",
     "hazardRatioMinValueMessageKey": "Enter a number greater than or equal to 0 for the minimum value for the hazard ratio",
     "hazardRatioMaxValueKey": "Maximum hazard ratio:",
     "hazardRatioMaxValueMessageKey": "Enter a number greater than or equal to 0 for the maximum value for the hazard ratio",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum power.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum sample size.",
     "minMaxEventTotalPlotRequirementKey": "The maximum number of events for the power by number of expected events plot cannot be less than the minimum number of events.",
     "minMaxAccrualRatePlotRequirementKey": "The maximum accrual rate for the power by accrual rate plot cannot be less than the minimum accrual rate.",
     "minMaxHazardRatioEffectPlotRequirementKey": "The maximum hazard ratio for the effect plot cannot be less than the minimum hazard ratio.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "accrualTotalTimeRequirementKey": "At least one value for total time must be larger than the largest value for accrual time",
     "followupTotalTimeRequirementKey": "At least one value for total time must be larger than the largest value for follow-up time",
     "groupSurvHazardTable_labelKey": "Group survival hazard values:",
     "groupMedianSurvivalTimeTable_labelKey": "Group median survival time values:",
     "hazardTable_labelKey": "Hazard values:",
     "hazardRatioTable_labelKey": "Hazard ratio values:",
     "groupLossHazardTable_labelKey": "Group loss hazard values:",
     "groupMedianLossTimeTable_labelKey": "Group median loss time values:",
     "accrualTimesTable_labelKey": "Accrual time values:",
     "followupTimesTable_labelKey": "Follow-up time values:",
     "totalTimesTable_labelKey": "Total time values:",
     "totalNTable_labelKey": "Total sample size values:",
     "fractionalTotalNTable_labelKey": "Total sample size values:",
     "npergroupSSTable_labelKey": "Sample size per group values:",
     "fractionalNpergroupSSTable_labelKey": "Sample size per group values:",
     "groupSampleSizeTable_labelKey": "Group sample size values:",
     "fractionalGroupSampleSizeTable_labelKey": "Group sample size values:",
     "fractionalTotalEventsTable_labelKey": "Total expected event values:",
     "fractionalAccrualRatePerGroupTable_labelKey": "Accrual rate per group values:",
     "fractionalGroupAccrualRateTable_labelKey": "Group accrual rate values:",
     "weightsTable_labelKey": "Group allocation weights:",
     "fractionalWeightsTable_labelKey": "Group allocation weights:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "groupSurvHazardTable_hazard1LabelKey": "Group 1",
     "groupSurvHazardTable_hazard2LabelKey": "Group 2",
     "groupMedianSurvivalTimeTable_medianSurvivalTime1LabelKey": "Group 1",
     "groupMedianSurvivalTimeTable_medianSurvivalTime2LabelKey": "Group 2",
     "hazardTable_hazardLabelKey": "Hazard",
     "hazardRatioTable_hazardRatioLabelKey": "Hazard Ratio",
     "groupLossHazardTable_hazard1LabelKey": "Group 1",
     "groupLossHazardTable_hazard2LabelKey": "Group 2",
     "groupMedianLossTimeTable_medianLossTime1LabelKey": "Group 1",
     "groupMedianLossTimeTable_medianLossTime2LabelKey": "Group 2",
     "accrualTimesTable_accrualTimeLabelKey": "Accrual Time",
     "followupTimesTable_followupTimeLabelKey": "Follow-up time",
     "totalTimesTable_totalTimeLabelKey": "Total Time",
     "totalNTable_totalNLabelKey": "Total Sample Size",
     "fractionalTotalNTable_TotalNLabelKey": "Total N",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "npergroupFractionalSSTable_npergroupKey": "N Per Group",
     "groupSampleSizeTable_groupSS1Key": "Group 1",
     "groupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalGroupSampleSizeTable_groupSS1Key": "Group 1",
     "fractionalGroupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalTotalEventsTable_totalEventsLabelKey": "Total Events",
     "nfractionalAccrualRatePerGroupTable_accrualRateKey": "Accrual Rate Per Group",
     "fractionalGroupAccrualRateTable_accrualRate1Key": "Group 1",
     "fractionalGroupAccrualRateTable_accrualRate2Key": "Group 2",
     "weightsTable_weight1Key": "Group 1",
     "weightsTable_weight2Key": "Group 2",
     "fractionalWeightsTable_weight1Key": "Group 1",
     "fractionalWeightsTable_weight2Key": "Group 2",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
