define({root:
({
     "NameKey": "Wilcoxon Test",
     "DescriptionKey": "The Wilcoxon Test task calculates power or sample size for the Wilcoxon-Mann-Whitney test (also called the Wilcoxon rank-sum test, Mann-Whitney-Wilcoxon test, or Mann-Whitney U test) for two independent groups.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The POWER Procedure",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "PROPERTIES",
     "testGroupKey": "TYPE OF TEST",
     "solveforGroupKey": "SOLVE FOR",
     "solveforInstructionKey": "Select the quantity to solve for:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Total sample size",
     "solveforSampSizePerGroupChoiceKey": "Sample size per group",
     "analysisDetailsKey": "ANALYSIS DETAILS",
     "numberOfSidesGroupKey": "Number of Sides",
     "sidesKey": "Select the number of sides of the test:",
     "sidesOneKey": "One-sided test",
     "sidesLowerKey": "Lower one-sided test",
     "sidesUpperKey": "Upper one-sided test",
     "sidesTwoKey": "Two-sided test",
     "distributionGroupKey": "DISTRIBUTIONS",
     "distributionCombo1Key": "Distribution for Group 1:",
     "distributionCombo1SelectMessageKey": "Select a distribution",
     "distributionCombo2Key": "Distribution for Group 2:",
     "distributionCombo2SelectMessageKey": "Select a distribution",
     "binomialChoiceKey": "Binomial",
     "betaChoiceKey": "Beta",
     "exponentialChoiceKey": "Exponential",
     "gammaChoiceKey": "Gamma",
     "normalChoiceKey": "Normal",
     "laplaceChoiceKey": "Laplace",
     "logisticChoiceKey": "Logistic",
     "lognormalChoiceKey": "Lognormal",
     "poissonChoiceKey": "Poisson",
     "ordinalChoiceKey": "Ordinal",
     "alphaBetaMessageKey": "Enter a number greater than 0 for the alpha parameter",
     "betaMessageKey": "Enter a number greater than 0 for the beta parameter",
     "probSuccessMessageKey": "Enter a number greater than 0 and less than 1 for the probability of success",
     "binomialTrialsMessageKey": "Enter an integer greater than 0 for the number of trials",
     "meanMessageKey": "Enter a number for the mean",
     "stddevMessageKey": "Enter a number greater than 0 for the standard deviation",
     "scaleMessageKey": "Enter a number greater than 0 for the scale",
     "shapeMessageKey": "Enter a number greater than 0 for the shape",
     "locationMessageKey": "Enter a number for the location",
     "probMessageKey": "Enter a number greater than 0 and less than 1 for the probability",
     "sampleSizeGroupKey": "SAMPLE SIZE",
     "nfractionalKey": "Allow fractional sample sizes",
     "integerNpergroupMessageKey": "Enter an integer greater than or equal to two for sample size",
     "fractionalNpergroupMessageKey": "Enter a number for sample size greater than or equal to two and can contain a decimal fraction",
     "integerGroupSampleSizeMessageKey": "Enter an integer greater than or equal to 1 for sample size",
     "fractionalGroupSampleSizeMessageKey": "Enter a number for sample size greater than zero and can contain a decimal fraction",
     "integerTotalNTwoSampleMessageKey": "Enter an integer for total sample size greater than or equal to 4",
     "fractionalTotalNTwoSampleMessageKey": "Enter a number for total sample size greater than or equal to 4 and can contain a decimal fraction",
     "sampleSizeComboKey": "Select a form:",
     "npergroupChoiceKey": "Sample size per group",
     "groupSampleSizesChoiceKey": "Group sample sizes",
     "totalNGroupWeightsSampleSizesChoiceKey": "Total sample size, Group weights",
     "relativeGroupSizeInstructionKey": "Select the relative group size:",
     "relativeGroupSizeEqualChoiceKey": "Equal group sizes",
     "relativeGroupSizeUnequalChoiceKey": "Unequal group sizes",
     "integerWeightMessageKey": "Enter an integer for the allocation weight greater than or equal to 1",
     "fractionalWeightMessageKey": "Enter a number for the allocation weight greater than zero and can contain a decimal fraction",
     "alphaGroupKey": "SIGNIFICANCE LEVEL",
     "alphaMessageKey": "Enter a number greater than zero and less than 1 for alpha",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Enter a number greater than zero and less than 1 for power",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Power by sample size plot",
     "powerBySampleSizePlotNoteKey": "The power by sample size plot is not available when group sample sizes are used.",
     "powerByEffectPlotKey": "Power by effect size plot",
     "sampleSizeByEffectPlotKey": "Sample size by effect size plot",
     "plotAxisGroupKey": "Axis Orientation",
     "plotQuantityInstructionKey": "Select the quantity to plot on the vertical axis:",
     "plotQuantitySolvedForChoiceKey": "Quantity solved for",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Sample size",
     "powerPlotRangeLabelKey": "Range of values:",
     "usePlotMinPowerValueKey": "Minimum power",
     "usePlotMaxPowerValueKey": "Maximum power",
     "powerMinValueKey": "Minimum value:",
     "powerMinValueMessageKey": "Enter a number greater than zero and less than 1 for the minimum value for power",
     "powerMaxValueKey": "Maximum value:",
     "powerMaxValueMessageKey": "Enter a number greater than zero and less than 1 for the maximum value for power",
     "usePlotMinSSValueKey": "Minimum sample size",
     "usePlotMaxSSValueKey": "Maximum sample size",
     "ssMinValueKey": "Minimum value:",
     "ssMinValueMessageKey": "Enter an integer zero or greater for the minimum value for sample size",
     "ssMaxValueKey": "Maximum value:",
     "ssMaxValueMessageKey": "Enter an integer zero or greater for the maximum value for sample size",
     "group1DistLabelKey": "Group 1",
     "group1PlusDistLabelKey": "Group 1.{1}",
     "group2DistLabelKey": "Group 2",
     "group2PlusDistLabelKey": "Group 2.{1}",
     "minMaxPowerPlotRequirementKey": "The maximum power for the power by sample size plot cannot be less than the minimum value.",
     "minMaxSampleSizePlotRequirementKey": "The maximum sample size for the power by sample size plot cannot be less than the minimum value.",
     "alphaPowerRequirementKey": "At least one value for power must be larger than the largest value for alpha",
     "ordinal1RequirementKey": "The probabilities for the ordered categories of group 1 must sum to 1",
     "ordinal2RequirementKey": "The probabilities for the ordered categories of group 2 must sum to 1",
     "betaTable1_labelKey": "Beta parameter values:",
     "binomialTable1_labelKey": "Binomial parameter values:",
     "normalTable1_labelKey": "Normal parameter values:",
     "expTable1_labelKey": "Exponential parameter values:",
     "gammaTable1_labelKey": "Gamma parameter values:",
     "laplaceTable1_labelKey": "Laplace parameter values:",
     "logisticTable1_labelKey": "Logistic parameter values:",
     "lognormalTable1_labelKey": "Lognormal parameter values:",
     "poissonTable1_labelKey": "Poisson parameter values:",
     "ordinalTable1_labelKey": "Ordinal parameter values:",
     "betaTable2_labelKey": "Beta parameter values:",
     "binomialTable2_labelKey": "Binomial parameter values:",
     "normalTable2_labelKey": "Normal parameter values:",
     "expTable2_labelKey": "Exponential parameter values:",
     "gammaTable2_labelKey": "Gamma parameter values:",
     "laplaceTable2_labelKey": "Laplace parameter values:",
     "logisticTable2_labelKey": "Logistic parameter values:",
     "lognormalTable2_labelKey": "Lognormal parameter values:",
     "poissonTable2_labelKey": "Poisson parameter values:",
     "ordinalTable2_labelKey": "Ordinal parameter values:",
     "npergroupSSTable_labelKey": "Sample sizes per group:",
     "fractionalNpergroupSSTable_labelKey": "Sample sizes per group:",
     "groupSampleSizeTable_labelKey": "Group sample sizes:",
     "fractionalGroupSampleSizeTable_labelKey": "Group sample sizes:",
     "totalNTwoSampleTable_labelKey": "Total sample size values:",
     "fractionalTotalNTwoSampleTable_labelKey": "Total sample size values:",
     "weightsTableKey": "Group allocation weights:",
     "fractionalWeightsTableKey": "Group allocation weights:",
     "alphaTable_labelKey": "Alpha values:",
     "powerTable_labelKey": "Power values:",
     "betaTable_alphaLabelKey": "Alpha",
     "betaTable_betaLabelKey": "Beta",
     "binomialTable_probSuccessLabelKey": "Probability of Success",
     "binomialTable_trialsLabelKey": "Number of Trials",
     "NormalTable_meanLabelKey": "Mean",
     "NormalTable_stddevLabelKey": "Standard Deviation",
     "expTable_scaleLabelKey": "Scale",
     "gammaTable_shapeLabelKey": "Shape",
     "gammaTable_scaleLabelKey": "Scale",
     "laplaceTable_locationLabelKey": "Location",
     "laplaceTable_scaleLabelKey": "Scale",
     "logisticTable_locationLabelKey": "Location",
     "logisticTable_scaleLabelKey": "Scale",
     "LognormalTable_locationLabelKey": "Location",
     "LognormalTable_scaleLabelKey": "Scale",
     "PoissonTable_meanLabelKey": "Mean",
     "OrdinalTable_valueLabelKey": "Category Value",
     "OrdinalTable_probLabelKey": "Probability",
     "npergroupSSTable_npergroupKey": "N Per Group",
     "npergroupFractionalSSTable_npergroupKey": "N Per Group",
     "groupSampleSizeTable_groupSS1Key": "Group 1",
     "groupSampleSizeTable_groupSS2Key": "Group 2",
     "fractionalGroupSampleSizeTable_groupSS1Key": "Group 1",
     "fractionalGroupSampleSizeTable_groupSS2Key": "Group 2",
     "totalNTwoSampleTable_totalNLabelKey": "Total Sample Size",
     "fractionalTotalNTwoSampleTable_TotalNLabelKey": "Total Sample Size",
     "weightsTable_weight1Key": "Group 1",
     "weightsTable_weight2Key": "Group 2",
     "fractionalWeightsTable_weight1Key": "Group 1",
     "fractionalWeightsTable_weight2Key": "Group 2",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
