define({root:
({
     "NameKey": "Panel Data Models",
     "DescriptionKey": "Analyze time series cross-sectional data.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PANEL Procedure",
     "LinkKey3": "The QLIM Procedure",
     "LinkKey4": "The COUNTREG Procedure",
     "LinkKey5": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "panelStructGroupKey": "PANEL STRUCTURE",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "modelTabKey": "MODEL",
     "linearGroupKey": "Model Settings",
     "interceptKey": "Include the intercept in the model",
     "modelGroupKey": "MODEL",
     "modelTypeComboKey": "Model type:",
     "modelTypeComboSelectMsgKey": "Select a model type",
     "modelTypeLinearKey": "Linear",
     "modelTypeLogitKey": "Logit",
     "modelTypeProbitKey": "Probit",
     "modelTypePoissonKey": "Poisson",
     "modelTypeNegbinKey": "Negative binomial",
     "modelTypeCensorRegKey": "Censored regression",
     "modelTypeTruncateRegKey": "Truncated regression",
     "timeIDIgnoredNoteKey": "Time ID is not required for the selected model type and is ignored in the analysis.",
     "panelDataNoteKey": "For a linear model, the input data set must be sorted by the cross-sectional ID variable and the time ID variable. Within each cross section, the values of the time ID must be unique.",
     "modelEffectsGroupKey": "Model Effects",
     "mainModelKey": "Main effects model",
     "advancedModelKey": "Custom model",
     "modelBuilderKey": "",
     "randomEffectNoteGroupKey": "Random Effects",
     "randomEffectNoteKey": "Random effects are applied to the model. The random effects feature is experimental.",
     "linearModelComboKey": "Linear model:",
     "linearFixedKey": "Fixed effects",
     "linearRandomKey": "Random effects",
     "linearHTaylorKey": "Hausman-Taylor",
     "linearAMacurdyKey": "Amemiya-MaCurdy",
     "linearAutoRegKey": "First-order autoregressive",
     "linearMAKey": "Moving average",
     "linearFixGroupKey": "Fixed Effects Type",
     "linearFixedOnewayKey": "One-way",
     "linearFixedOnewayTimeKey": "One-way, time",
     "linearFixedTwowayKey": "Two-way",
     "printfixedKey": "Display the fixed effects",
     "linearRandomGroupKey": "Random Effects Type",
     "linearRandomOnewayKey": "One-way",
     "linearRandomVarEstKey": "Variance component estimation method:",
     "linearRandomFBKey": "Fuller-Battese",
     "linearRandomWKKey": "Wansbeek-Kapteyn",
     "linearRandomWHKey": "Wallace-Hussain",
     "linearRandomNLKey": "Nerlove",
     "correlatedVarKey": "Correlated variables:",
     "linearMAGroupKey": "Da Silva Method",
     "maOrderKey": "Order of the moving average process:",
     "linearMAVarEstKey": "Variance component estimation method:",
     "firstThresholdKey": "The threshold value of the first category:",
     "firstThresholdZeroKey": "Use zero",
     "firstThresholdVaryingKey": "Use estimated value",
     "poissonErrorcompKey": "Select an error component model:",
     "poissonFixedKey": "Fixed effects",
     "poissonRandomKey": "Random effects",
     "negbinModelKey": "Select a model type:",
     "negbin1FixedKey": "Fixed effect negative binomial with linear variance",
     "negbin2RandomKey": "Random effect negative binomial with quadratic variance",
     "lowerBoundKey": "Set the lower bound",
     "lowerBoundComboKey": "Lower bound method:",
     "lowerBoundDefaultChoiceKey": "Use default value",
     "lowerBoundVarChoiceKey": "Specify by variable",
     "lowerBoundValueChoiceKey": "Specify by value",
     "lowerBoundValueKey": "Lower bound value:",
     "lowerBoundValuePromptKey": "Enter a number.",
     "upperBoundKey": "Set the upper bound",
     "upperBoundComboKey": "Upper bound method:",
     "upperBoundDefaultChoiceKey": "Use default value",
     "upperBoundVarChoiceKey": "Specify by variable",
     "upperBoundValueChoiceKey": "Specify by value",
     "upperBoundValueKey": "Upper bound value:",
     "upperBoundValuePromptKey": "Enter a number.",
     "censorTruncateBoundNoteKey": "If you do not specify a lower bound or an upper bound, the result is a linear regression model.",
     "optionsTabKey": "OPTIONS",
     "covarianceGroupKey": "METHODS",
     "emptyOptionsNoteKey": "Select a model type from the MODEL tab to show available options.",
     "emptyOptionsNoteGroupKey": "NOTE",
     "covestPanelKey": "Covariance matrix estimator:",
     "covestDefaultKey": "Default",
     "neweyWestKey": "Newey and West",
     "olsEstimatorKey": "OLS estimator",
     "hccme0Key": "HCCME0",
     "hccme1Key": "HCCME1",
     "hccme2Key": "HCCME2",
     "hccme3Key": "HCCME3",
     "hccme4Key": "HCCME4",
     "clusterKey": "Cluster correction for heteroscedasticity-consistent covariance matrix",
     "covestKey": "Covariance matrix estimator:",
     "hessianKey": "Inverse Hessian matrix",
     "opKey": "Outer product matrix",
     "qmlKey": "Outer product and Hessian matrices",
     "countregCovestKey": "Covariance matrix estimator: inverse Hessian matrix",
     "optimizationGroupKey": "Optimization",
     "methodKey": "Method:",
     "defaultOptMethodKey": "Default",
     "conjugateGradientKey": "Conjugate-gradient",
     "doubleDoglegKey": "Double-dogleg",
     "nelderMeadSimplexKey": "Nelder-Mead simplex",
     "newtonRaphsonKey": "Newton-Raphson combining line-search with ridging",
     "newtonRaphsonRidgeKey": "Newton-Raphson with ridging",
     "quasiNewtonKey": "Quasi-Newton",
     "trustRegionKey": "Trust region",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use default value",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterPromptKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "statsGroupKey": "STATISTICS",
     "statsChoiceKey": "Display statistics:",
     "defaultChoiceKey": "Default statistics",
     "customChoiceKey": "Default and additional statistics",
     "noneChoiceKey": "None",
     "corrbKey": "Correlations of the parameter estimates",
     "covbKey": "Covariances of the parameter estimates",
     "itprintKey": "Iteration history of the objective function and parameter estimates",
     "linearRandomTestGroupKey": "Test For Random Effects",
     "linearRandomBPKey": "One-way Breusch-Pagan test",
     "linearRandomBP2Key": "Two-way Breusch-Pagan test",
     "linearARGroupKey": "First-order autoregressive model",
     "linearARPhiKey": "Estimated covariances of the observations",
     "linearARRhoKey": "Estimated autocorrelation coefficients",
     "plotsGroupKey": "PLOTS",
     "selectPlotsComboKey": "Select plots to display:",
     "defaultPlotsKey": "Default plots",
     "selectedPlotsKey": "Selected plots",
     "noPlotsKey": "No plots",
     "displayPlotsKey": "Display as:",
     "packPlotsKey": "Panel of plots",
     "unpackPlotsKey": "Individual plots",
     "panelDiagPlotsGroupKey": "Diagnostic Plots",
     "panelCrossSectionPlotsGroupKey": "Cross Sections Plots",
     "panelActsurfaceKey": "Actual values by time series",
     "panelFitplotKey": "Predicted and actual values by observation",
     "panelPredsurfaceKey": "Predicted values by time series",
     "panelQqKey": "QQ plot of residuals",
     "panelResidstackKey": "Stacked residuals by time series",
     "panelResidsurfaceKey": "Residuals by time series",
     "panelResidualKey": "Residuals by observation",
     "panelResidualhistogramKey": "Histogram of residuals",
     "ncrossComboKey": "Number of cross sections in one time series plot:",
     "ncrossDefaultChoiceKey": "Use default value",
     "ncrossCustomChoiceKey": "Use custom value",
     "ncrossKey": "Custom number of cross sections:",
     "ncrossPromptKey": "Enter an integer that is greater than 0 for the number of cross sections in one time series plot.",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "outputPredictKey": "Predicted values",
     "outputResidualKey": "Residuals",
     "outputProbKey": "Probability of the dependent variable taking the current value",
     "outputProballKey": "Probability of the dependent variable for all possible responses",
     "outputVarianceKey": "Error standard deviation",
     "outputXbetaKey": "Linear predictor (Xbeta)",
     "outputMarginalKey": "Marginal effects",
     "outputInvMillsKey": "Estimates of inverse Mills ratio",
     "outputExpectedKey": "Expected value of the continuous endogenous variables",
     "outputConditionalKey": "Conditional expected value of the continuous endogenous variables",
     "outputESTKey": "Create parameter estimates data set",
     "outputESTNameKey": "Data set name:",
     "outputESTCovoutKey": "Covariance matrix of the parameter estimates",
     "outputESTCorroutKey": "Correlation matrix of the parameter estimates",
     "outputTransKey": "Create transformed series data set",
     "outputTransNameKey": "Data set name:",
     "dependVariableKey": "Dependent variable:",
     "continuousVariableKey": "Continuous variables:",
     "classVariableKey": "Categorical variables:",
     "crossSectionalIdKey": "Cross-sectional ID:",
     "timeIDKey": "Time ID:",
     "byVariablesKey": "Group analysis by:",
     "lowerBoundVariableKey": "Lower bound variable:",
     "upperBoundVariableKey": "Upper bound variable:",
     "linearModelTimeIDMsgKey": "Time ID is required for the linear model.",
     "crossSectionalIDMsgKey": "Cross-sectional ID of character data type is not supported for logit, probit, censored regression, and truncated regression model.",
     "lowerUpperBoundMsgKey": "For censored or truncated regression, the value of the lower bound on the Model tab should be less than the value of the upper bound.",
     "noEmptyModelMsgKey": "Include the intercept or at least one model effect in the model on the Model tab."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
