define({root:
({
     "NameKey": "Partition Data",
     "DescriptionKey": "The Partition Data task enables you to create partitions of data by simple or stratified random sampling.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "DATA Step Functions",
     "LinkKey4": "The SORT Procedure",
     "LinkKey5": "The MEANS Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "optionsTabKey": "OPTIONS",
     "nPartitionsKey": "Number of partitions:",
     "nPartitionsKeyMissingKey": "Enter an integer between 1 and 4, inclusive, for the number of partitions",
     "nPartitionsKeyInvalidKey": "Enter an integer between 1 and 4, inclusive, for the number of partitions",
     "nPartitionsPromptKey": "Enter an integer between 1 and 4, inclusive, for the number of partitions",
     "nPartitionsRangeKey": "Enter an integer between 1 and 4, inclusive, for the number of partitions",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMissingKey": "Enter an integer greater than 0 and less than or equal to 2,147,483,647 for the random seed",
     "randomSeedInvalidKey": "Enter an integer greater than 0 and less than or equal to 2,147,483,647 for the random seed",
     "randomSeedPromptKey": "Enter an integer greater than 0 and less than or equal to 2,147,483,647 for the random seed",
     "randomSeedRangeKey": "Enter an integer greater than 0 and less than or equal to 2,147,483,647 for the random seed",
     "outputGroupKey": "OUTPUT DATA SET",
     "datasetsComboKey": "Partition data sets:",
     "oneDataSetKey": "All partitions in one data set",
     "individualDataSetsKey": "Partitions in individual data sets",
     "outDsnameKey": "Data set name:",
     "partitionOutDsname1Key": "Partition 1 data set name:",
     "partitionOutDsname2Key": "Partition 2 data set name:",
     "partitionOutDsname3Key": "Partition 3 data set name:",
     "partitionOutDsname4Key": "Partition 4 data set name:",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsKeyInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsRangeKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "partitionGroupKey": "PARTITION DATA",
     "partitionFraction1Key": "Proportion of cases for partition 1:",
     "partitionFraction1MissingKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 1 in the data set",
     "partitionFraction1InvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 1 in the data set",
     "partitionFraction1PromptKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 1 in the data set",
     "partitionFraction1RangeKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 1 in the data set",
     "partitionFraction2Key": "Proportion of cases for partition 2:",
     "partitionFraction2MissingKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 2 in the data set",
     "partitionFraction2InvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 2 in the data set",
     "partitionFraction2PromptKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 2 in the data set",
     "partitionFraction2RangeKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 2 in the data set",
     "partitionFraction3Key": "Proportion of cases for partition 3:",
     "partitionFraction3MissingKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 3 in the data set",
     "partitionFraction3InvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 3 in the data set",
     "partitionFraction3PromptKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 3 in the data set",
     "partitionFraction3RangeKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 3 in the data set",
     "partitionFraction4Key": "Proportion of cases for partition 4:",
     "partitionFraction4MissingKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 4 in the data set",
     "partitionFraction4InvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 4 in the data set",
     "partitionFraction4PromptKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 4 in the data set",
     "partitionFraction4RangeKey": "Enter a value greater than 0 and less than 1 for the proportion of cases for partition 4 in the data set",
     "partitionVarNameKey": "Variable name for partition values:",
     "partitionVarNameMissingKey": "Enter a valid SAS variable name",
     "partitionVarNameInvalidKey": "Enter a valid SAS variable name",
     "partitionDataValue1Key": "ID value for partition 1 data:",
     "partitionDataValue1MissingKey": "Enter a value to identify data partition 1",
     "partitionDataValue1InvalidKey": "Enter a value to identify data partition 1",
     "partitionDataValue2Key": "ID value for partition 2 data:",
     "partitionDataValue2MissingKey": "Enter a value to identify data partition 2",
     "partitionDataValue2InvalidKey": "Enter a value to identify data partition 2",
     "partitionDataValue3Key": "ID value for partition 3 data:",
     "partitionDataValue3MissingKey": "Enter a value to identify data partition 3",
     "partitionDataValue3InvalidKey": "Enter a value to identify data partition 3",
     "partitionDataValue4Key": "ID value for partition 4 data:",
     "partitionDataValue4MissingKey": "Enter a value to identify data partition 4",
     "partitionDataValue4InvalidKey": "Enter a value to identify data partition 4",
     "useNonSampledObsKey": "Include unsampled observations",
     "nonSampledPartitionDataValueKey": "ID value for unsampled cases:",
     "nonSampledPartitionDataValueMissingKey": "Enter a value to identify the unsampled cases",
     "nonSampledPartitionDataValueInvalidKey": "Enter a value to identify the unsampled cases",
     "subsetTitleKey": "Subset of {1}",
     "commentMacroKey": "Put it in a macro variable for use in the real code",
     "commentMoveKey": "Move non-zero values to beginning of list",
     "strataVariablesKey": "Stratify by:",
     "partitionVarNameExistsinDatasetRequirementKey": "The specified SAS variable name to hold the partition values is already in use in the data set.",
     "prop1and2SumRequirementKey": "The sum of the proportions for partitions 1 and 2 must be less than one.",
     "prop1and2and3SumRequirementKey": "The sum of the proportions of partitions 1, 2, and 3 must be less than one.",
     "prop1and2and3and4SumRequirementKey": "The sum of the proportions of partitions 1, 2, 3, and 4 must be less than one.",
     "partition1NonSampUniqueValuesRequirementKey": "The ID values for partition 1 and the unsampled cases must be different.",
     "partition12UniqueValuesRequirementKey": "The ID values for partitions 1 and 2 must be different.",
     "partition12NonSampUniqueValuesRequirementKey": "The ID values for partitions 1 and 2 and the unsampled cases must be different.",
     "partition123UniqueValuesRequirementKey": "The ID values for partitions 1, 2, and 3 must be different.",
     "partition123NonSampUniqueValuesRequirementKey": "The ID values for partitions 1, 2, and 3 and the unsampled cases must be different.",
     "partition1234UniqueValuesRequirementKey": "The ID values for partitions 1, 2, 3, and 4 must be different.",
     "partition1234NonSampUniqueValuesRequirementKey": "The ID values for partitions 1, 2, 3, and 4 and the unsampled cases must be different."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
