define({root:
({
     "NameKey": "Poker Hand Probability",
     "DescriptionKey": "Computes the probability of poker hands (pairs, fullhouses, etc).",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey3": "DATA Step Processing",
     "LinkKey6": "SAS Tutorials",
     "dataTabKey": "DATA",
     "titleKey": "Poker Hand Probability",
     "colPokerHandKey": "Poker Hand",
     "colFrequencyKey": "Frequency",
     "colProbabilityKey": "Probability",
     "nothingKey": "Nothing",
     "onePairKey": "One Pair",
     "twoPairKey": "Two Pair",
     "threeOfAKindKey": "Three of a Kind",
     "straightKey": "Straight",
     "flushKey": "Flush",
     "fullHouseKey": "Full House",
     "fourOfAKindKey": "Four of a Kind",
     "straightFlushKey": "Straight Flush",
     "royalFlushKey": "Royal Flush",
     "totalKey": "Total",
     "pokerCardDataKey": "POKER CARD DATA",
     "infoTextKey": "This input data set must be an output data set from the Combinations Task.  In order for this task to produce accurate results, the total number of objects used in the Combinations Task should be 52 and the number of objects in a set should be 5.",
     "outputDataSetGroupKey": "OUTPUT DATA SET",
     "outputDSNameKey": "Data set name:",
     "commentPairsKey": "compute the number of pairs, full houses, etc.",
     "commentListKey": "See list of poker hands: http://en.wikipedia.org/wiki/List_of_poker_hands",
     "commentInput1Key": "The input data set must be in the same format as the output data of the Combinations Task",
     "commentInput2Key": "where the total number of objects is 52 and the number of objects in a set is 5.",
     "commentAssumeKey": "Assume that the cards numbered from 1 to 52 are in the following order:",
     "commentOrderKey": "23456789TJQKA23456789TJQKA23456789TJQKA23456789TJQKA",
     "commentSuitsKey": "__ suit 0 ___-- suit 1 ---__ suit 2 ___-- suit 3 ---",
     "commentArrayKey": "this reads the next hand into the array c ... lastrec will be set to 1 when this is the last record",
     "commentCountKey": "the freq array will be a frequency count of the card numbers 1-13",
     "commentConvertKey": "convert numbers 1-52 into a suit number and card number 1-13",
     "commentFreqCheckKey": "check the card count frequencies to see if any pairs, triples, or 4s",
     "commentStraightsFlushesKey": "Now check on straights, flushes, and straight flushes",
     "commentAllDiffKey": "all card numbers are different",
     "commentSameSuitsKey": "see if all suits are the same",
     "commentFirstLastKey": "find position of first and last cards present",
     "commentCheckKey": "check for A 2 3 4 5",
     "commentOutputKey": "Output results"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
