define({root:
({
     "NameKey": "Predictive Regression Models",
     "DescriptionKey": "The Predictive Regression Models task fits predictive models using automated model selection and validation.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The GLMSELECT Procedure",
     "LinkKey3": "The REG Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "FINAL MODEL",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "partitionGroupKey": "Partition Data",
     "inputDataLabelKey": "Input data contains training data and:",
     "testDataChoiceKey": "Test data",
     "validationDataChoiceKey": "Validation data",
     "trainingDataFractionKey": "Proportion of training cases:",
     "trainingDataFractionMissingKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "trainingDataFractionInvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "trainingDataFractionPromptKey": "Enter a value greater than 0 and less than 1 for the proportion of training data observations in the data set",
     "testDataFractionKey": "Proportion of testing cases:",
     "testDataFractionMissingKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "testDataFractionInvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "testDataFractionPromptKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "testDataFractionRangeKey": "Enter a value greater than 0 and less than 1 for the proportion of test data observations in the data set",
     "validationDataFractionKey": "Proportion of validation cases:",
     "validationDataFractionMissingKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "validationDataFractionInvalidKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "validationDataFractionPromptKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "validationDataFractionRangeKey": "Enter a value greater than 0 and less than 1 for the proportion of validation data observations in the data set",
     "useRandomSeedKey": "Specify the random seed",
     "randomSeedKey": "Random seed:",
     "randomSeedMissingKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedInvalidKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedPromptKey": "Enter an integer greater than 0 for the random seed",
     "randomSeedRangeKey": "Enter an integer greater than 0 for the random seed",
     "partitionDataComboKey": "Identify validation or test data cases:",
     "partitionDataFractionChoiceKey": "Specify a sample proportion",
     "partitionDataVariableChoiceKey": "Choose a value of a partitioning variable",
     "validationLevelComboKey": "Validation data value:",
     "testLevelComboKey": "Test data value:",
     "classParamGroupKey": "Parameterization of Effects",
     "classParamKey": "Coding:",
     "glmParamChoiceKey": "GLM coding",
     "effectsParamChoiceKey": "Effect coding",
     "refParamChoiceKey": "Reference coding",
     "classMissingGroupKey": "Treatment of Missing Values",
     "classMissingNoteKey": "An observation is excluded from the analysis if any variable in the model contains a missing value. In addition, an observation is excluded if any classification variable contains a missing value (regardless of whether the classification variable is used in the model).",
     "modelGroupKey": "CANDIDATE MODEL EFFECTS",
     "modelTabKey": "MODEL",
     "standardModelInstructionKey": "Select a model type:",
     "mainEffectsChoiceKey": "Main effects model",
     "mainNwayEffectsChoiceKey": "Main effects and all n-way interactions",
     "customModelChoiceKey": "Custom model",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Enter an integer that is greater than 1 for the maximum order of interactions",
     "methodsTabKey": "SELECTION",
     "outputTabKey": "SCORING",
     "methodsGroupKey": "METHODS",
     "tablesGroupKey": "STATISTICS FOR THE SELECTED MODEL",
     "statisticsComboKey": "Display statistics:",
     "selectedStatsChoiceKey": "Default and selected statistics",
     "defaultStatsChoiceKey": "Default statistics",
     "parameterEstimatesGroupKey": "Parameter Estimates",
     "stbKey": "Standardized regression coefficients",
     "diagnosticsGroupKey": "Diagnostics",
     "influenceStatsKey": "Analysis of influence",
     "residualStatsKey": "Analysis of residuals",
     "predictedStatsKey": "Predicted values",
     "collinearityGroupKey": "Collinearity",
     "collinKey": "Collinearity analysis",
     "tolKey": "Tolerance values for estimates",
     "vifKey": "Variance inflation factors",
     "plotsGroupKey": "PLOTS FOR THE SELECTED MODEL",
     "selectionPlotsGroupKey": "SELECTION PLOTS",
     "criteriaPlotsKey": "Criteria plots",
     "unpackCriteriaPlotsKey": "Display as:",
     "unpackChoiceKey": "Individual plots",
     "panelChoiceKey": "Panel of plots",
     "coefficientPlotsKey": "Coefficient plots",
     "unpackCoefficientPlotsKey": "Display as:",
     "diagnosticGroupKey": "Diagnostic and Residual Plots",
     "diagnosticPlotsKey": "Diagnostic plots",
     "unpackDiagnosticPlotsKey": "Display as:",
     "residualPlotsKey": "Residuals for each explanatory variable",
     "unpackResidualPlotsKey": "Display as:",
     "moreDiagnosticPlotsKey": "More Diagnostic Plots",
     "dffitsPlotKey": "DFFITS statistic by observation number",
     "dfbetasPlotsKey": "DFBETAS statistic by observation number for each explanatory variable",
     "unpackDfbetasPlotsKey": "Display as:",
     "rstudentByPredictedPlotKey": "Rstudent statistic by predicted values",
     "plotLabelsKey": "Label extreme points",
     "scatterGroupKey": "Scatter Plots",
     "observedByPredictedPlotKey": "Observed values by predicted values",
     "partialPlotsKey": "Partial regression plots for each explanatory variable",
     "unpackPartialPlotsKey": "Display as:",
     "maxpointsComboKey": "Maximum number of plot points:",
     "maxpointsDefaultKey": "Default(5,000)",
     "maxpoints10000Key": "10,000",
     "maxpointsSpecifyKey": "Use custom value",
     "maxpointsNoLimitKey": "No limit",
     "maxpointsValueKey": "Custom maximum number of points:",
     "maxpointsValueMissingKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueInvalidKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValuePromptKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "maxpointsValueRangeKey": "Enter an integer number greater than zero for the maximum number of plot points",
     "outputGroupKey": "SCORING",
     "outputDSKey": "Save scored data",
     "outputDSNameKey": "Data set name:",
     "scoreCodeFileKey": "Specify a path name for the scoring code:",
     "scoreCodeKey": "Save scoring code",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise regression",
     "leastAngleChoiceKey": "Least angle regression",
     "lassoChoiceKey": "LASSO",
     "adaptiveLassoChoiceKey": "Adaptive LASSO",
     "elasticNetChoiceKey": "Elastic net",
     "noCvSelectMethodKey": "Add/remove effects with:",
     "noCvStopMethodKey": "Stop adding/removing effects with:",
     "noCvENStopMethodKey": "Stop adding/removing effects with:",
     "noCvLassoStopMethodKey": "Stop adding/removing effects with:",
     "noCvLarStopMethodKey": "Stop adding/removing effects with:",
     "noCvChooseMethodKey": "Select best model by:",
     "noCvENChooseMethodKey": "Select best model by:",
     "cvSelectMethodKey": "Add/remove effects with:",
     "cvStopMethodKey": "Stop adding/removing effects with:",
     "cvENStopMethodKey": "Stop adding/removing effects with:",
     "cvLassoStopMethodKey": "Stop adding/removing effects with:",
     "cvLarStopMethodKey": "Stop adding/removing effects with:",
     "cvChooseMethodKey": "Select best model by:",
     "cvENChooseMethodKey": "Select best model by:",
     "defaultCriterionChoiceKey": "Default criterion",
     "sigLevelChoiceKey": "Significance level",
     "adjrsqChoiceKey": "Adjusted R-square statistic",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "bicChoiceKey": "Sawa Bayesian information criterion",
     "crossValidateChoiceKey": "Cross validation",
     "cpChoiceKey": "Mallows' C(p) statistic",
     "pressChoiceKey": "Press statistic",
     "sbcChoiceKey": "Schwarz Bayesian information criterion",
     "rsquareChoiceKey": "R-square statistic",
     "validateChoiceKey": "Average square error for validation data",
     "noStopChoiceKey": "None",
     "lassoConstraintChoiceKey": "LASSO constraint parameter",
     "slEntryKey": "Significance level to add an effect to the model:",
     "slEntryMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slEntryRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to add an effect to the model",
     "slStayKey": "Significance level to remove an effect from the model:",
     "slStayMissingKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayInvalidKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayPromptKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "slStayRangeKey": "Enter a value greater than 0 and less than 1 for the significance level to remove an effect from the model",
     "crossValidationGroupKey": "CROSS VALIDATION",
     "crossValidationNoteKey": "Subdivide training data into n blocks",
     "crossValidationComboKey": "Assign observations to:",
     "cvBlockChoiceKey": "Consecutive blocks",
     "cvSplitChoiceKey": "Alternating blocks",
     "cvRandomChoiceKey": "Randomly chosen blocks",
     "cvIndexChoiceKey": "Blocks specified by the value of a variable",
     "cvNBlocksKey": "Number of blocks:",
     "cvCoeffsKey": "Show parameter estimates for each block",
     "cvPressKey": "Show PRESS statistic for each block",
     "modelSelectionTablesGroupKey": "SELECTION STATISTICS",
     "modelFitStatsComboKey": "Model fit statistics:",
     "defaultFitStatsChoiceKey": "Default fit statistics",
     "allFitStatsChoiceKey": "All fit statistics",
     "selectedFitStatsChoiceKey": "Selected fit statistics",
     "selectedFitStatsLabelKey": "Available fit statistics",
     "aicStatKey": "Akaike's information criterion",
     "aiccStatKey": "Akaike's information criterion corrected for small-sample bias",
     "aseStatKey": "Average square error",
     "bicStatKey": "Bayesian information criterion",
     "cpStatKey": "Mallows' C(p) statistic",
     "rsquareStatKey": "R-square",
     "adjrsqStatKey": "Adjusted R-square",
     "sbcStatKey": "Schwarz Bayesian information criterion",
     "pressStatKey": "Press statistic",
     "splitClassComboKey": "Add/remove classification effects as:",
     "singleDFEffectChoiceKey": "Individual single degree of freedom effects",
     "entireEffectChoiceKey": "An entire effect",
     "hierarchyGroupKey": "Model Effects Hierarchy",
     "hierarchyLabelKey": "Effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyComboKey": "Model effects hierarchy:",
     "hierarchyChoiceKey": "Maintain hierarchy of effects",
     "noHierarchyChoiceKey": "Do not maintain hierarchy of effects",
     "effectsHierarchyComboKey": "Model effects subject to the hierarchy requirement:",
     "allEffectsHierarchyChoiceKey": "Continuous and classification effects",
     "classEffectsHierarchyChoiceKey": "Classification effects only",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "stepDetailsLabelKey": "Additional information for each step",
     "anovaStepDetailsKey": "ANOVA table",
     "fitStatsStepDetailsKey": "Fit statistics",
     "parmestStepDetailsKey": "Parameter estimates",
     "dependentVariableKey": "Dependent variable:",
     "continuousVariablesKey": "Continuous variables:",
     "classVariablesKey": "Classification variables:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "partitionVariableKey": "Partitioning variable:",
     "cvIndexVariableKey": "Block indicator variable:",
     "continuousClassRequirementKey": "Select at least one continuous or one classification variable.",
     "modelEffectsNeededRequirementKey": "Add one or more effects to the candidate model on the MODEL tab.",
     "sumSamplingProportionsRequirementKey": "The sum of the sampling proportions for validation and test data must be less than 1.0.",
     "partitionVariableValuesRequirementKey": "The value of the partitioning variable must be different for validation and test cases."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
