define({root:
({
     "NameKey": "Principal Component Analysis",
     "DescriptionKey": "Perform a principal component analysis",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The PRINCOMP Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "covCorrKey": "Analyze:",
     "analyzeCovKey": "Covariances",
     "analyzeCorrKey": "Correlations",
     "methodDetailsGroupKey": "Details",
     "interceptKey": "Correct the covariances or correlations for the means",
     "ncompKey": "Number of components:",
     "ncomp_1Key": "1",
     "ncomp_2Key": "2",
     "ncomp_3Key": "3",
     "ncomp_4Key": "4",
     "ncomp_5Key": "5",
     "ncomp_AllKey": "All",
     "ncompSpecifyKey": "Use custom value",
     "ncompValueKey": "Custom number of components:",
     "ncompValueMissingKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueInvalidsKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValuePromptKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "ncompValueRangeKey": "Enter an integer for the number of components that is greater than zero and less or equal to the number of analysis variables",
     "stdScoresKey": "Standardize variance of scores:",
     "stdUnitVarianceKey": "Equal to 1",
     "stdEigenvalueKey": "Equal to eigenvalue",
     "usePrefixKey": "Specify a prefix to label the components",
     "prefixKey": "Component prefix:",
     "prefixMissingKey": "Enter a valid SAS name for the prefix of the component names",
     "prefixInvalidKey": "Enter a valid SAS name for the prefix of the component names",
     "prefixPromptKey": "Enter a valid SAS name for the prefix of the component names",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Select plots to display:",
     "defaultPlotChoiceKey": "Default plots",
     "customPlotChoiceKey": "Default and additional plots",
     "noplotsComboKey": "No plots",
     "screePlotKey": "Eigenvalue by component (Scree plot)",
     "scorePlotKey": "Scores for pairs of components",
     "confidenceEllipseKey": "Include prediction ellipse",
     "confidenceKey": "Prediction level:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Use custom value",
     "confidenceValueKey": "Custom prediction level:",
     "confidenceValueMissingKey": "Enter a number greater than zero and less than 100 for the prediction level",
     "confidenceValueInvalidKey": "Enter a number greater than zero and less than 100 for the prediction level",
     "confidenceValuePromptKey": "Enter a number greater than zero and less than 100 for the prediction level",
     "confidenceValueRangeKey": "Enter a number greater than zero and less than 100 for the prediction level",
     "patternPlotKey": "Patterns for pairs of components",
     "profilePlotKey": "Component pattern profiles",
     "matrixPlotKey": "Component scores matrix",
     "ncompToPlotKey": "Number of components for score and pattern plots:",
     "ncompToPlotValueKey": "Custom number of components to plot:",
     "ncompToPlotValueMissingKey": "Enter an integer for the number of components to plot that is greater than zero and less or equal to the number of analysis variables",
     "ncompToPlotValueInvalidKey": "Enter an integer for the number of components to plot that is greater than zero and less or equal to the number of analysis variables",
     "ncompToPlotValuePromptKey": "Enter an integer for the number of components to plot that is greater than zero and less or equal to the number of analysis variables",
     "ncompToPlotValueRangeKey": "Enter an integer for the number of components to plot that is greater than zero and less or equal to the number of analysis variables",
     "scorePatternOptionsGroupKey": "Options for Score and Pattern Plots",
     "plotOptionsGroupKey": "Options",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SETS",
     "scoresDSKey": "Create component scores data set",
     "scoresDSNameKey": "Data set name:",
     "statDSKey": "Create statistics data set",
     "statDSNameKey": "Data set name:",
     "analysisVariablesKey": "Analysis variables:",
     "partialVariablesKey": "Variables to partial out:",
     "idVariablesKey": "ID variables for score plots:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
