define({root:
({
     "NameKey": "Stack/Split Columns",
     "DescriptionKey": "Stacking columns combines the values of several columns into a single new column. It can be used to convert data from a multivariate to a univariate organization. Splitting columns separates the values of a single column into several columns. It can be used to convert data from a univariate to a multivariate organization",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The TRANSPOSE Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodGroupKey": "METHOD",
     "methodComboKey": "Method:",
     "splitColumnChoiceKey": "Split a column",
     "stackColumnsChoiceKey": "Stack columns",
     "splitColumnNoteKey": "Split the values of a single column into several columns",
     "stackColumnsNoteKey": "Stack values from multiple columns into a single column",
     "multipleStackedVariablesNoteGroupKey": "Creating Multiple Stacked Variables",
     "multipleStackedVariablesNoteKey": "If you are creating multiple stacked variables, the order that the variables are selected determines which stacked values are in the same observation.",
     "stack_newColumnGroupKey": "Stacked Variable",
     "stack_caseIdGroupKey": "Case Identifier",
     "stack_levelIdGroupKey": "Level Identifier",
     "stack_caseVarComboKey": "Case identifier:",
     "selectCaseChoiceKey": "Select identifier variables",
     "addCaseChoiceKey": "Add identifier variable",
     "stack_newVariableNameKey": "Name of new column:",
     "stack_newVariableNameMissingKey": "Enter a valid SAS variable name",
     "stack_newVariableNameInvalidKey": "Enter a valid SAS variable name",
     "stack_newVariableName1Key": "Name of first new column:",
     "stack_newVariableName1MissingKey": "Enter a valid SAS variable name",
     "stack_newVariableName1InvalidKey": "Enter a valid SAS variable name",
     "stack_newVariableName2Key": "Name of second new column:",
     "stack_newVariableName2MissingKey": "Enter a valid SAS variable name",
     "stack_newVariableName2InvalidKey": "Enter a valid SAS variable name",
     "stack_newVariableName3Key": "Name of third new column:",
     "stack_newVariableName3MissingKey": "Enter a valid SAS variable name",
     "stack_newVariableName3InvalidKey": "Enter a valid SAS variable name",
     "stack_newVariableName4Key": "Name of fourth new column:",
     "stack_newVariableName4MissingKey": "Enter a valid SAS variable name",
     "stack_newVariableName4InvalidKey": "Enter a valid SAS variable name",
     "stack_newVariableName5Key": "Name of fifth new column:",
     "stack_newVariableName5MissingKey": "Enter a valid SAS variable name",
     "stack_newVariableName5InvalidKey": "Enter a valid SAS variable name",
     "stack_caseVariableNameKey": "New column name of case identifier:",
     "stack_caseVariableNameMissingKey": "Enter a valid SAS variable name",
     "stack_caseVariableNameInvalidKey": "Enter a valid SAS variable name",
     "stack_levelsVariableNameKey": "Name of column containing levels of stacked columns:",
     "stack_levelsVariableNameMissingKey": "Enter a valid SAS variable name",
     "stack_levelsVariableNameInvalidKey": "Enter a valid SAS variable name",
     "outputTabKey": "OUTPUT",
     "stack_outputGroupKey": "OUTPUT DATA SET",
     "stack_outputDsnameKey": "Data set name:",
     "stack_showDataGroupKey": "Show Output Data",
     "stack_showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsKeyInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "stack_nVarSetsKey": "Number of stacked variables to create:",
     "stack_nVarSetsMissingKey": "Enter an integer greater than 0 and less than six for the number of stacked variables to be created",
     "stack_nVarSetsInvalidKey": "Enter an integer greater than 0 and less than six for the number of stacked variables to be created",
     "stack_nVarSetsPromptKey": "Enter an integer greater than 0 and less than six for the number of stacked variables to be created",
     "stack_nVarSetsRangeKey": "Enter an integer greater than 0 and less than six for the number of stacked variables to be created",
     "split_VarNamesNoteKey": "Construct New Variable Names",
     "split_usePrefixKey": "Use prefix",
     "split_prefixKey": "Prefix:",
     "split_prefixMissingKey": "Enter a valid SAS variable name not longer than 29 characters",
     "split_prefixInvalidKey": "Enter a valid SAS variable name not longer than 29 characters",
     "split_useSplitVarKey": "Use the name of the column being split as a prefix",
     "split_useIdVarKey": "Select a variable that contains the names for the new variables",
     "split_outputGroupKey": "OUTPUT DATA SET",
     "split_outputDsnameKey": "Data set name:",
     "split_showDataGroupKey": "Show Output Data",
     "split_showDataKey": "Show output data",
     "subsetTitleKey": "Subset of {1}",
     "openDataSetKey": "Open the data set upon completion of task",
     "stackVariablesKey": "Columns to stack:",
     "stack_caseVariablesKey": "Case identifiers:",
     "stack_copyVariablesKey": "Include other variables in output data set:",
     "stack_byVariablesKey": "Group analysis by:",
     "splitVariablesKey": "Columns to split:",
     "split_caseVariablesKey": "Case identifier:",
     "split_levelVariablesKey": "Level identifier:",
     "split_idVariableKey": "New column names:",
     "split_idVariable1Key": "New column names for the first split variable:",
     "split_idVariable2Key": "New column names for the second split variable:",
     "split_idVariable3Key": "New column names for the third split variable:",
     "split_idVariable4Key": "New column names for the fourth split variable:",
     "split_idVariable5Key": "New column names for the fifth split variable:",
     "split_byVariablesKey": "Group analysis by:",
     "duplicateLevelCaseVarNamesRequirementKey": "The names for the SAS variables to hold the case identifier and the levels of the stacked variables cannot be the same.",
     "caseIDVarNameExistsinDatasetRequirementKey": "The specified name of the case identifier is already in use in the data set.",
     "levelsVarNameExistsinDatasetRequirementKey": "The specified name of the SAS variable to hold the levels of the stacked columns is already in use in the data set.",
     "duplicateNameLevelVarNamesRequirementKey": "The names for the level identifier and the new stacked variable cannot be the same. Use unique names.",
     "duplicateNameCaseVarNamesRequirementKey": "The names for the case identifier and the new stacked variable cannot be the same. Use unique names.",
     "newVarNameExistsinDatasetRequirementKey": "The specified name of the new stacked variable is already in use in the data set. Use unique names.",
     "requiredNumberOfAnalysisVariablesMsg": "The number of selected analysis variables must be a multiple of the number of stacked variables being created."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
