define({root:
({
     "NameKey": "Standardize Data",
     "DescriptionKey": "The Standardize Data task centers or standardizes one or more numeric variables using a variety of methods.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The STDIZE Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ADDITIONAL ROLES",
     "methodsGroupKey": "METHODS",
     "useCenterKey": "Center data only",
     "centerMethodKey": "Centering method:",
     "meanChoiceKey": "Mean",
     "medianChoiceKey": "Median",
     "stdizeMethodKey": "Standardization method:",
     "stdDevChoiceKey": "Standard deviation",
     "rangeChoiceKey": "Range",
     "abwChoiceKey": "Tukey's biweight estimate",
     "ahuberChoiceKey": "Huber's estimate",
     "awaveChoiceKey": "Andrew's wave estimate",
     "sumChoiceKey": "Sum",
     "iqrChoiceKey": "Interquartile range",
     "euclidChoiceKey": "Euclidean length",
     "agkChoiceKey": "Art, Gnanadesikan, and Kettenring estimate",
     "madChoiceKey": "Median absolute deviation",
     "spacingChoiceKey": "Minimum spacing",
     "minkowskiChoiceKey": "Minkowski",
     "maxabsChoiceKey": "Maximum absolute value",
     "meanNoteKey": "Subtract the mean",
     "medianNoteKey": "Subtract the median",
     "stdDevNoteKey": "Subtract the mean, divide by the standard deviation (default)",
     "rangeNoteKey": "Subtract the minimum, divide by the range",
     "sumNoteKey": "Divide by the sum",
     "iqrNoteKey": "Subtract the median, divide by the interquartile range",
     "euclidNoteKey": "Divide by the Euclidean distance",
     "agkNoteKey": "Subtract the mean, divide by the Art, Gnanadesikan, and Kettenring estimate",
     "madNoteKey": "Subtract the median, divide by the median absolute deviation from the median",
     "spacingNoteKey": "Subtract the mid-minimum spacing, divide by the minimum spacing",
     "minkowskiNoteKey": "Subtract the Minkowski distance, divide by the Minkowski distance",
     "maxabsNoteKey": "Divide by the maximum absolute value",
     "agkProportionKey": "Proportion of pairs:",
     "agkProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "agkProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "agkProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "agkProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of pairs to be included in the within-cluster variance estimation",
     "spacingProportionKey": "Proportion of data:",
     "spacingProportionMissingKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "spacingProportionInvalidKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "spacingProportionPromptKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "spacingProportionRangeKey": "Enter a number greater than zero and less than one for the proportion of data to be contained in the spacing",
     "lambdaKey": "Lambda:",
     "lambdaMissingKey": "Enter a number for the Minkowski lambda that is greater than or equal to one",
     "lambdaInvalidKey": "Enter a number for the Minkowski lambda that is greater than or equal to one",
     "lambdaPromptKey": "Enter a number for the Minkowski lambda that is greater than or equal to one",
     "lambdaRangeKey": "Enter a number for the Minkowski lambda that is greater than or equal to one",
     "waveTuningConstantKey": "Tuning constant:",
     "waveTuningConstantMissingKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "waveTuningConstantInvalidKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "waveTuningConstantPromptKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "waveTuningConstantRangeKey": "Enter a number greater than zero for the Andrew's wave tuning constant",
     "bwTuningConstantKey": "Tuning constant:",
     "bwTuningConstantMissingKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "bwTuningConstantInvalidKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "bwTuningConstantPromptKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "bwTuningConstantRangeKey": "Enter a number greater than zero for the Tukey biweight tuning constant",
     "huberTuningConstantKey": "Tuning constant:",
     "huberTuningConstantMissingKey": "Enter a number greater than zero for the Huber tuning constant",
     "huberTuningConstantInvalidKey": "Enter a number greater than zero for the Huber tuning constant",
     "huberTuningConstantPromptKey": "Enter a number greater than zero for the Huber tuning constant",
     "huberTuningConstantRangeKey": "Enter a number greater than zero for the Huber tuning constant",
     "missingGroupKey": "TREATMENT OF MISSING VALUES",
     "missingComboKey": "Missing values method:",
     "omitChoiceKey": "Omit observations with missing value",
     "replaceChoiceKey": "Replace missing value",
     "replaceComboKey": "Replace missing values with:",
     "defaultReplaceChoiceKey": "Default location measure",
     "meanLocationChoiceKey": "Mean",
     "medianLocationChoiceKey": "Median",
     "minimumLocationChoiceKey": "Minimum",
     "abwLocationChoiceKey": "Tukey's biweight one-step M-estimate",
     "ahuberLocationChoiceKey": "Huber's one-step M-estimate",
     "awaveLocationChoiceKey": "Andrew's wave one-step M-estimate",
     "specifyValueChoiceKey": "Specify custom value",
     "customReplaceValueKey": "Custom value:",
     "customReplaceValueMissingKey": "Enter a number to replace a missing value for the column being standardized",
     "customReplaceValueInvalidKey": "Enter a number to replace a missing value for the column being standardized",
     "customReplaceValuePromptKey": "Enter a number to replace a missing value for the column being standardized",
     "customReplaceValueRangeKey": "Enter a number to replace a missing value for the column being standardized",
     "statisticsGroupKey": "STATISTICS",
     "pstatKey": "Display location and scale measures",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDsnameKey": "Data set name:",
     "Key": "Variables to include:",
     "includeStandardVarsChoiceKey": "Include standardized variables only",
     "includeBothVarsChoiceKey": "Include original and standardized variables",
     "specifyOrigPrefixKey": "Specify prefix to rename original variables",
     "specifyStdPrefixKey": "Specify prefix to name standardized variables",
     "origPrefixKey": "Prefix for original variables:",
     "origPrefixMissingKey": "Enter a valid SAS variable name",
     "origPrefixInvalidKey": "Enter a valid SAS variable name",
     "stdPrefixKey": "Prefix for standardized variables:",
     "stdPrefixMissingKey": "Enter a valid SAS variable name",
     "stdPrefixInvalidKey": "Enter a valid SAS variable name",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsKeyMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsKeyInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsRangeKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetTitleKey": "Subset of {1}",
     "stdVariablesKey": "Variables to standardize:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight:",
     "byVariablesKey": "Group analysis by:",
     "duplicatePrefixesRequirementKey": "The values for the prefixes for the original and standardized variables cannot be the same."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
