define({root:
({
     "NameKey": "Summary Statistics",
     "DescriptionKey": "The Summary Statistics task provides descriptive statistics for variables across all observations and within groups of observations. It also generates histograms and box plots.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The MEANS Procedure",
     "LinkKey3": "The UNIVARIATE Procedure",
     "LinkKey4": "The BOXPLOT Procedure",
     "LinkKey5": "SAS Tutorials",
     "dataTabKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "outputTabKey": "OUTPUT",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "statsKey": "STATISTICS",
     "basicStatsKey": "Basic Statistics",
     "meanKey": "Mean",
     "stdKey": "Standard deviation",
     "minKey": "Minimum value",
     "maxKey": "Maximum value",
     "medianKey": "Median",
     "nobsKey": "Number of observations",
     "missingKey": "Number of missing values",
     "maxDecKey": "Maximum decimal places:",
     "MDBFKey": "Best fit",
     "MD0Key": "0",
     "MD1Key": "1",
     "MD2Key": "2",
     "MD3Key": "3",
     "MD4Key": "4",
     "MD5Key": "5",
     "MD6Key": "6",
     "MD7Key": "7",
     "MD8Key": "8",
     "addStatsKey": "Additional Statistics",
     "stdErrKey": "Standard error",
     "varianceKey": "Variance",
     "modeKey": "Mode",
     "rangeKey": "Range",
     "sumKey": "Sum",
     "sumWeightsKey": "Sum of weights",
     "confKey": "Confidence limits for the mean",
     "confLevelKey": "Confidence level:",
     "cf99Key": "99%",
     "cf95Key": "95%",
     "cf90Key": "90%",
     "coefKey": "Coefficient of variation",
     "cssKey": "Corrected sum of squares",
     "ussKey": "Uncorrected sum of squares",
     "skewnessKey": "Skewness",
     "kurtosisKey": "Kurtosis",
     "percentilesKey": "Percentiles",
     "P1Key": "1st",
     "P5Key": "5th",
     "P10Key": "10th",
     "Q1Key": "Lower quartile",
     "median1Key": "Median",
     "Q3Key": "Upper quartile",
     "P90Key": "90th",
     "P95Key": "95th",
     "P99Key": "99th",
     "qrangeKey": "Interquartile range",
     "quantileKey": "Quantile method:",
     "QMOSKey": "Order statistics",
     "QMPPAKey": "Piecewise-parabolic algorithm",
     "quantileWgtKey": "Quantile method:",
     "QMOSWGTKey": "Order statistics",
     "detailsGroupKey": "DETAILS",
     "divisorKey": "Divisor for standard deviation and variance:",
     "DDOFKey": "Degrees of freedom",
     "DNOOKey": "Number of observations",
     "divisorWgtKey": "Divisor for standard deviation and variance:",
     "DDOFWGTKey": "Degrees of freedom",
     "DNOOWGTKey": "Number of observations",
     "DSOWM1WGTKey": "Sum of weights minus one",
     "DSOWWGTKey": "Sum of weights",
     "plotsKey": "PLOTS",
     "noplotNoteKey": "Note: Plots are not available when weight variable is specified.",
     "noplotNote1Key": "Note: Plots are not available when weight variable is specified.",
     "histKey": "Histogram",
     "normalDensityPlotKey": "Add normal density curve",
     "kernelDensityPlotKey": "Add kernel density estimate",
     "histogramInsetKey": "Add inset statistics",
     "histogramInsetPositionKey": "Position at:",
     "histogramInsetPositionNKey": "Top",
     "histogramInsetPositionNEKey": "Upper right",
     "histogramInsetPositionEKey": "Right",
     "histogramInsetPositionSEKey": "Lower right",
     "histogramInsetPositionSKey": "Bottom",
     "histogramInsetPositionSWKey": "Lower left",
     "histogramInsetPositionWKey": "Left",
     "histogramInsetPositionNWKey": "Upper left",
     "boxPlotKey": "Comparative box plot",
     "boxPlotNoteKey": "Note: Plot is available when classification variable is specified.",
     "boxplotInsetKey": "Add overall inset statistics",
     "boxplotInsetPositionKey": "Position at:",
     "boxplotInsetPositionNKey": "Top",
     "boxplotInsetPositionNEKey": "Upper right",
     "boxplotInsetPositionEKey": "Right",
     "boxplotInsetPositionSEKey": "Lower right",
     "boxplotInsetPositionSKey": "Bottom",
     "boxplotInsetPositionSWKey": "Lower left",
     "boxplotInsetPositionWKey": "Left",
     "boxplotInsetPositionNWKey": "Upper left",
     "boxplotGroupInsetKey": "Add inset statistics for each group",
     "boxplotGroupInsetPositionKey": "Position at:",
     "boxplotGroupInsetPositionTopKey": "Top of plot, immediately above axis frame",
     "boxplotGroupInsetPositionTopoffKey": "Top of plot, offset from axis frame",
     "boxplotGroupInsetPositionAxisKey": "Bottom of plot, immediately above horizontal axis",
     "boxplotGroupInsetPositionBottomKey": "Bottom of plot, below horizontal axis label",
     "comboPlotKey": "Histogram and box plot",
     "comboPlotNoteKey": "Note: Plot is available when no classification variable is specified.",
     "comboPlotInsetKey": "Add inset statistics",
     "outputGroupKey": "OUTPUT DATA SET",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Data set name:",
     "commentTemplateKey": "Graph template to construct combination histogram/boxplot",
     "commentMacroKey": "Macro to subset data and create a histobox for every by group",
     "commentGroupKey": "Get group variable values",
     "commentSQLKey": "Build proc sql where clause",
     "commentSubsetKey": "Subset the data set",
     "commentPlotInfoKey": "Build plot group info",
     "commentInsetKey": "Get inset statistics",
     "commentComboPlotKey": "Create histogram/boxplot combo plot",
     "commentDistributionOfKey": "Distribution of",
     "commentNoOutputKey": "If no output data set is created, generate one now for inset statistics",
     "commentGenerateKey": "Generate histogram and boxplot combination plot",
     "analysisVariablesKey": "Analysis variables:",
     "classVariablesKey": "Classification variables:",
     "byVariablesKey": "Group analysis by:",
     "freqVariableKey": "Frequency count:",
     "weightVariableKey": "Weight variable:",
     "statsSelectionValMsgKey": "Select at least one statistic or one plot."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
