define({root:
({
     "NameKey": "Time Series Exploration",
     "DescriptionKey": "The Time Series Exploration task provides graphs and statistics for viewing and analyzing time series.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The TIMESERIES Procedure",
     "LinkKey3": "The ARIMA Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "analysesTabKey": "ANALYSES",
     "additionalTabKey": "ADDITIONAL",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "timeIDPropertyGroupKey": "Properties",
     "timeIDPropsKey": "",
     "seasonalityKey": "Season length:",
     "seasonalityMissingKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityInvalidKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityPromptKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityRangeKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "varSettingsGroupKey": "Transformations",
     "varSettingsKey": "",
     "autocorrGroupKey": "AUTOCORRELATION ANALYSIS",
     "autocorrPlotsKey": "Perform autocorrelation analysis",
     "autoCorrPlotsGroupKey": "Plots",
     "autoPanelKey": "Autocorrelation analysis panel",
     "acfPlotKey": "Autocorrelation function",
     "normAcfPlotKey": "Normalized autocorrelation function",
     "pacfPlotKey": "Partial autocorrelation function",
     "normPacfPlotKey": "Normalized partial autocorrelation function",
     "iacfPlotKey": "Inverse autocorrelation function",
     "normIacfPlotKey": "Normalized inverse autocorrelation function",
     "wnPlotKey": "White noise probability test",
     "wnLogPlotKey": "White noise probability test (log scale)",
     "autocorrNlagsComboKey": "Number of lags:",
     "autocorrNlagsDefaultChoiceKey": "Use default value",
     "autocorrNlagsCustomChoiceKey": "Use custom value",
     "autocorrNlagsKey": "Custom number of lags:",
     "autocorrNlagsMissingKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "autocorrNlagsInvalidKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "autocorrNlagsPromptKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "autocorrNlagsRangeKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "selectAutocorrPlotsComboKey": "Select plots to display:",
     "defaultAutocorrPlotsKey": "Default plots",
     "selectedAutocorrPlotsKey": "Selected plots",
     "noAutocorrPlotsKey": "No plots",
     "crosscorrGroupKey": "CROSS-CORRELATION ANALYSIS",
     "crosscorrPlotsKey": "Perform cross-correlation analysis",
     "crosscorrPlotsNoteKey": "Note: Cross-correlation analysis is available when an independent variable is specified.",
     "crossCorrPlotsGroupKey": "Plots",
     "crossSeriesPlotKey": "Cross-series",
     "crossCorrFuncPlotKey": "Cross-correlation function",
     "normCrossCorrFuncPlotKey": "Normalized cross-correlation function",
     "crosscorrNlagsComboKey": "Number of lags:",
     "crosscorrNlagsDefaultChoiceKey": "Use default value",
     "crosscorrNlagsCustomChoiceKey": "Use custom value",
     "crosscorrNlagsKey": "Custom number of lags:",
     "crosscorrNlagsMissingKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "crosscorrNlagsInvalidKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "crosscorrNlagsPromptKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "crosscorrNlagsRangeKey": "Enter an integer greater than or equal to 0 and less than or equal to 10000.",
     "decompGroupKey": "DECOMPOSITION ANALYSIS",
     "decompChkboxKey": "Perform decomposition analysis",
     "decompNoteKey": "Note: Decomposition analysis is available when season length is greater than one. Season length is set on the Data tab in the Additional Roles group.",
     "decompPlotsGroupKey": "Plots",
     "decompPanelKey": "Decomposition panel",
     "componentsPlotKey": "Components",
     "seasonAdjSeriesPlotKey": "Seasonally adjusted series",
     "pctChangeSeasonAdjSeriesPlotKey": "Seasonally adjusted series (percent change)",
     "componentsGroupKey": "Decomposition components",
     "componentSelectKey": "Select components:",
     "trendCompKey": "Trend component",
     "cycleCompKey": "Cycle component",
     "trendCycleCompKey": "Trend-cycle component",
     "seasonalCompKey": "Seasonal component",
     "irregularCompKey": "Irregular component",
     "seasonIregularCompKey": "Seasonal-irregular component",
     "trendCycleSeasonCompKey": "Trend-cycle-seasonal component",
     "decompMethodKey": "Decomposition method:",
     "multoraddKey": "Automatic",
     "additiveKey": "Additive",
     "multiplicativeKey": "Multiplicative",
     "logadditiveKey": "Log-additive",
     "pseudoadditiveKey": "Pseudo-additive",
     "selectDecompPlotsComboKey": "Select plots to display:",
     "defaultDecompPlotsKey": "Default plots",
     "selectedDecompPlotsKey": "Selected plots",
     "noDecompPlotsKey": "No plots",
     "spectralGroupKey": "SPECTRAL DENSITY ANALYSIS",
     "spectralPlotKey": "Spectral density estimate plot",
     "minperiodComboKey": "Minimum period:",
     "minperiodDefaultChoiceKey": "Use default value",
     "minperiodCustomChoiceKey": "Use custom value",
     "minperiodKey": "Custom minimum period:",
     "minperiodMissingKey": "Enter an integer greater than or equal to 0 and less than or equal to 32767.",
     "minperiodInvalidKey": "Enter an integer greater than or equal to 0 and less than or equal to 32767.",
     "minperiodPromptKey": "Enter an integer greater than or equal to 0 and less than or equal to 32767.",
     "minperiodRangeKey": "Enter an integer greater than or equal to 0 and less than or equal to 32767.",
     "spectraDetailsGroupKey": "Details",
     "adjustMeanKey": "Adjust the series by its mean prior to the analysis",
     "analysisDomainKey": "Analysis domain:",
     "freqDomainChoiceKey": "Frequency",
     "timeDomainChoiceKey": "Time",
     "spectraAlphaComboKey": "Significance level:(need a more informative label?)",
     "spectraAlphaDefaultChoiceKey": "Use default value (0.5)",
     "spectraAlphaCustomChoiceKey": "Use custom value",
     "spectraAlphaKey": "Custom significance level:",
     "spectraAlphaMissingKey": "Enter a number greater than 0 and less than 1.",
     "spectraAlphaInvalidKey": "Enter a number greater than 0 and less than 1.",
     "spectraAlphaPromptKey": "Enter a number greater than 0 and less than 1.",
     "spectraAlphaRangeKey": "Enter a number greater than 0 and less than 1.",
     "kernelSpecGroupKey": "Kernel Specifications",
     "kernelFuncKey": "Kernel function:",
     "noKernelKey": "Not specified",
     "parzenKernelKey": "Parzen kernel",
     "bartlettKernelKey": "Bartlett kernel",
     "tukeyKernelKey": "Tukey-Hanning kernel",
     "truncatedKernelKey": "Truncated kernel",
     "quadraticKernelKey": "Quadratic spectral kernel",
     "scaleKernelComboKey": "Scale coefficient:",
     "scaleKernelDefaultChoiceKey": "Use default value",
     "scaleKernelCustomChoiceKey": "Use custom value",
     "scaleKernelKey": "Custom scale coefficient:",
     "scaleKernelMissingKey": "Enter a number greater than 0 and less than or equal to 32000.",
     "scaleKernelInvalidKey": "Enter a number greater than 0 and less than or equal to 32000.",
     "scaleKernelPromptKey": "Enter a number greater than 0 and less than or equal to 32000.",
     "scaleKernelRangeKey": "Enter a number greater than 0 and less than or equal to 32000.",
     "exponentComboKey": "Exponent:",
     "exponentDefaultChoiceKey": "Use default value",
     "exponentCustomChoiceKey": "Use custom value",
     "exponentKey": "Custom exponent:",
     "exponentMissingKey": "Enter a number greater than or equal to 0 and less than 1.",
     "exponentInvalidKey": "Enter a number greater than or equal to 0 and less than 1.",
     "exponentPromptKey": "Enter a number greater than or equal to 0 and less than 1.",
     "exponentRangeKey": "Enter a number greater than or equal to 0 and less than 1.",
     "unitRootTestsGroupKey": "UNIT ROOT TEST ANALYSIS",
     "adfTestKey": "Perform augmented Dickey-Fuller test",
     "arOrderKey": "Augmenting order:",
     "arOrderMissingKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderInvalidKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderPromptKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderRangeKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "plotsGroupKey": "SERIES PLOTS",
     "seriesPlotKey": "Time Series",
     "seriesHistogramKey": "Series histogram",
     "seasonalCyclesPlotKey": "Seasonal cycles",
     "statisticsGroupKey": "STATISTICS",
     "statsSelectKey": "Select statistics:",
     "descriptiveStatsKey": "Descriptive statistics",
     "seasonalStatsKey": "Seasonal statistics",
     "seasonalDecompKey": "Seasonal decomposition",
     "trendStatsKey": "Trend statistics",
     "seasonalStatsNoteKey": "Note: Seasonal statistics and Seasonal decomposition are available when season length is greater than one. Season length is set on the Data tab in the Additional Roles group.",
     "trendStatsNoteKey": "Note: Trend statistics are available when Time ID variable is specified and accumulation method is not None for dependent variable. Accumulation method is set on the Data tab in the Transformations group.",
     "commentUnitRootKey": "Unit root test analysis",
     "timeIDKey": "Time ID:",
     "dependVariableKey": "Dependent variable:",
     "independVariableKey": "Independent variables:",
     "byVariablesKey": "Group analysis by:",
     "autocorrPlotSelectMsgKey": "Select at least one autocorrelation analysis plot.",
     "crosscorrPlotSelectMsgKey": "Select at least one cross-correlation analysis plot.",
     "decompPlotSelectMsgKey": "Select at least one decomposition analysis plot."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
