define({root:
({
     "NameKey": "Severity Models",
     "DescriptionKey": "The Severity Models task estimates parameters of any arbitrary continuous probability distribution that is used to model the magnitude (severity) of a continuous-valued event of interest.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "The SEVSELECT Procedure",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "leftCensorKey": "Set the left-censoring limit",
     "leftCensorVarChoiceKey": "Specify variable",
     "leftCensorValueChoiceKey": "Specify value",
     "leftCensorValueKey": "Left-censoring limit value:",
     "leftCensorValuePromptKey": "Enter a number.",
     "rightCensorKey": "Set the right-censoring limit",
     "rightCensorVarChoiceKey": "Specify variable",
     "rightCensorValueChoiceKey": "Specify value",
     "rightCensorValueKey": "Right-censoring limit value:",
     "rightCensorValuePromptKey": "Enter a number.",
     "leftTruncateKey": "Set the left-truncation threshold",
     "leftTruncateVarChoiceKey": "Specify variable",
     "leftTruncateValueChoiceKey": "Specify value",
     "leftTruncateValueKey": "Left-truncation threshold value:",
     "leftTruncateValuePromptKey": "Enter a number.",
     "ltProbObservedKey": "Probability of observability:",
     "ltProbObservedPromptKey": "Enter a number greater than 0 and less than or equal to 1.",
     "rightTruncateKey": "Set the right-truncation threshold",
     "rightTruncateVarChoiceKey": "Specify variable",
     "rightTruncateValueChoiceKey": "Specify value",
     "rightTruncateValueKey": "Right-truncation threshold value:",
     "rightTruncateValuePromptKey": "Enter a number.",
     "modelTabKey": "MODEL",
     "distributionsGroupKey": "DISTRIBUTIONS",
     "distributionsNoteKey": "Specify candidate distributions of the dependent variable:",
     "predefDistributionsKey": "Predefined distributions",
     "allDistributionsKey": "All distributions",
     "customDistributionsKey": "Selected distributions",
     "distributionListKey": "",
     "distributionListNoTweedieKey": "",
     "burrDistributionKey": "Burr",
     "expDistributionKey": "Exponential",
     "gammaDistributionKey": "Gamma",
     "genParetoDistributionKey": "Generalized Pareto",
     "invGuassDistributionKey": "Inverse Gaussian",
     "lognDistributionKey": "Lognormal",
     "paretoDistributionKey": "Pareto",
     "weibullDistributionKey": "Weibull",
     "tweedieDistributionKey": "Tweedie",
     "scaledTweedieDistributionKey": "Scaled Tweedie",
     "modelEffectsGroupKey": "SCALE MODEL EFFECTS",
     "mainModelKey": "Main effects model",
     "advancedModelKey": "Custom model",
     "modelBuilderKey": "",
     "optionsTabKey": "OPTIONS",
     "estimationGroupKey": "ESTIMATION",
     "edfGroupKey": "Empirical Distribution Function",
     "edfMethods1Key": "Method:",
     "edfMethods2Key": "Method:",
     "edfMethods3Key": "Method:",
     "edfAutoKey": "Automatic",
     "edfKmKey": "Kaplan-Meier",
     "edfMkmKey": "Modified Kaplan-Meier",
     "edfNoTurnbullKey": "No Turnbull",
     "edfStdKey": "Standard",
     "edfTurnbullKey": "Turnbull",
     "minRiskSizeKey": "Specify the minimum risk-set size:",
     "minRiskSizeRelativeKey": "Specify relative lower bound",
     "minRiskSizeAbsoluteKey": "Specify absolute lower bound",
     "relativeAlphaKey": "Alpha:",
     "relativeAlphaPromptKey": "Enter a number greater than 0 and less than 1.",
     "relativeCKey": "C:",
     "relativeCPromptKey": "Enter a number greater than 0.",
     "absoluteSizeKey": "Absolute lower bound on the size:",
     "absoluteSizePromptKey": "Enter an integer greater than or equal to 0.",
     "ensureMLEChkboxKey": "Use maximum likelihood for the final EDF estimates",
     "zeroProbKey": "The threshold below which an empirical estimate of the probability is considered zero:",
     "zeroProbPromptKey": "Enter a number greater than 0 and less than 1.",
     "maxiterComboKey": "Maximum number of iterations:",
     "maxiterDefaultChoiceKey": "Use 500 (default)",
     "maxiterCustomChoiceKey": "Use custom value",
     "maxiterKey": "Custom maximum number of iterations:",
     "maxiterPromptKey": "Enter an integer that is greater than 0 for the maximum number of iterations.",
     "epsComboKey": "Convergence criterion:",
     "epsDefaultChoiceKey": "Use 1e-8 (default)",
     "epsCustomChoiceKey": "Use custom value",
     "epsValueKey": "Custome value:",
     "epsValuePromptKey": "Enter a number greater than or equal to 0.",
     "varDivisorKey": "Variance divisor:",
     "dofKey": "Degrees of freedom (default)",
     "numObsKey": "Number of observations",
     "optimizationGroupKey": "NONLINEAR OPTIMIZATION",
     "nlMethodKey": "Method:",
     "noOptMethodKey": "No optimization",
     "conjugateGradientKey": "Conjugate-gradient",
     "doubleDoglegKey": "Double-dogleg",
     "nelderMeadKey": "Nelder-Mead simplex",
     "newtonRaphsonKey": "Newton-Raphson with line-search",
     "newtonRaphsonRidgeKey": "Newton-Raphson with ridging",
     "quasiNewtonKey": "Quasi-Newton",
     "trustRegionKey": "Trust region (default)",
     "nlMaxiterComboKey": "Maximum number of iterations:",
     "nlMaxiterDefaultChoiceKey": "Use 50 (default)",
     "nlMaxiterKey": "Custom maximum number of iterations:",
     "statsGroupKey": "STATISTICS",
     "statsChoiceKey": "Display statistics:",
     "defaultStatsChoiceKey": "Default statistics",
     "customStatsChoiceKey": "Default and additional statistics",
     "allStatsChoiceKey": "All statistics",
     "noneChoiceKey": "None",
     "modelSelectionKey": "Model selection summary",
     "convergenceStatusKey": "Convergence status of parameter estimation process",
     "statisticsOfFitKey": "Statistics of fit",
     "parameterEstimatesKey": "Final parameter estimates",
     "optimizationSummaryKey": "Optimization summary",
     "distributionInfoKey": "Distribution information",
     "allFitStatisticsKey": "Statistics of fit for all the distribution models",
     "descStatsKey": "Descriptive statistics for the dependent variable and the regression effects that do not contain a CLASS variable",
     "estimationDetailsKey": "Details of the estimation process",
     "initialValuesKey": "Initial parameter values and bounds",
     "optimizationHistoryKey": "Optimization iteration history",
     "selectionTabKey": "SELECTION",
     "selectionGroupKey": "MODEL SELECTION",
     "selectionMethodKey": "Selection method:",
     "noneSelectionChoiceKey": "None",
     "forwardChoiceKey": "Forward selection",
     "backwardChoiceKey": "Backward elimination",
     "stepwiseChoiceKey": "Stepwise regression",
     "forwardSwapChoiceKey": "Forward-swap selection",
     "noCvSelectMethodKey": "Add/remove effects with:",
     "noCvStopMethodKey": "Stop adding/removing effects with:",
     "noCvChooseMethodKey": "Select best model by:",
     "aicChoiceKey": "Akaike's information criterion",
     "aiccChoiceKey": "Akaike's information criterion corrected for small-sample bias",
     "sbcChoiceKey": "Schwarz Bayesian information criterion (default)",
     "useIncludeListKey": "Select effects to include in all models",
     "includeListKey": "Effects to include:",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Selection process details:",
     "summaryDetailsChoiceKey": "Selection summary (default)",
     "stepDetailsChoiceKey": "Details for each step",
     "allDetailsChoiceKey": "All",
     "splitClassComboKey": "Add/remove classification effects as:",
     "singleDFEffectChoiceKey": "Individual single degree of freedom effects",
     "entireEffectChoiceKey": "An entire effect",
     "hierarchyLabelKey": "Model effects hierarchy: For any term to be in the model, all model effects contained in the term must be present in the model",
     "hierarchyKey": "Maintain hierarchy of effects",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref.",
     "outputESTKey": "Create parameter estimates and standard errors data",
     "outputESTNameKey": "Specify a CAS table:",
     "outputESTCovoutKey": "Include the estimate of the covariance structure",
     "outputOutKey": "Create estimates of the scoring functions and quantiles data",
     "outputOutNameKey": "Specify a CAS table:",
     "scoringFuncSelectKey": "Specify scoring functions:",
     "scoringFuncMeanKey": "Mean",
     "scoringFuncCDFKey": "Cumulative distribution function",
     "scoringFuncLogCDFKey": "Natural logarithm of cumulative distribution function",
     "scoringFuncPDFKey": "Probability density function",
     "scoringFuncLogPDFKey": "Natural logarithm of probability density function",
     "scoringFuncSDFKey": "Survival distribution function",
     "scoringFuncLogSDFKey": "Natural logarithm of survival distribution function",
     "includeVarsInstructionKey": "Include variables from the input data set:",
     "includeAllVarsKey": "All variables",
     "includeSelectedVarsKey": "Selected variables",
     "includeNoVarsKey": "No variables",
     "quantilesTable_CDFPromptKey": "Enter a number greater than 0 and less than 1.",
     "odsOutputLibrefNoteKey": "The following data sets must use a SAS libref.",
     "outputSTATKey": "Save fit statistics",
     "outputSTATNameKey": "Specify a SAS data set:",
     "outputCDFKey": "Save CDF estimates",
     "outputCDFNameKey": "Specify a SAS data set:",
     "outputModelInfoKey": "Save distribution information",
     "outputModelInfoNameKey": "Specify a SAS data set:",
     "dependVariableKey": "Dependent variable:",
     "continuousVariableKey": "Continuous variables:",
     "classVariableKey": "Classification variables:",
     "weightVariableKey": "Weight:",
     "byVariableKey": "Group analysis by:",
     "offsetVariableKey": "Offset variable:",
     "leftCensorVariableKey": "Left-censoring variable:",
     "rightCensorVariableKey": "Right-censoring variable:",
     "leftTruncateVariableKey": "Left-truncation variable:",
     "rightTruncateVariableKey": "Right-truncation variable:",
     "copyVariablesKey": "Variables to include:",
     "dependVarMsgKey": "The dependent variable must be specified if no censoring is specified.",
     "selectDistributionMsgKey": "Select at least one distribution.",
     "includeEffectsNeededRequirementKey": "Select at least one effect to include in all models.",
     "scoreFuncQuantilesMsgKey": "Specify at least one scoring function or quantile.",
     "selectionScaleModelRequirementKey": "In order to perform model selection, you need to specify at least one effect for main effects model or custom model, or specify an offset variable.",
     "outputESTNameMsgKey": "The parameter estimates table must have a two-level name that includes a CAS engine libref.",
     "outputOutNameMsgKey": "The scoring functions table must have a two-level name that includes a CAS engine libref.",
     "quantilesTableKey": "Specify quantiles",
     "quantilesTable_CDFKey": "CDF value",
     "quantilesTable_NameKey": "Name"
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
