define({root:
({
     "NameKey": "Modeling and Forecasting",
     "DescriptionKey": "Select and build forecast models on time series data.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey23": "The TSMODEL Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey5": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "groupByGroupKey": "Group Analysis",
     "taskNoteGroupKey": "NOTE",
     "taskNoteKey": "This task requires data in a valid time series format. To prepare your data, run the Time Series Data Preparation task before starting this task.",
     "timeIDPropertyGroupKey": "Properties",
     "intervalKey": "Interval:",
     "secondKey": "Second",
     "minuteKey": "Minute",
     "hourKey": "Hour",
     "dayKey": "Day",
     "weekdayKey": "Weekday",
     "weekKey": "Week",
     "weekvKey": "ISO 8601 week",
     "tendayKey": "Ten-day",
     "semimonthKey": "Semimonth",
     "monthKey": "Month",
     "r445monthKey": "Retail 4-4-5 month",
     "r454monthKey": "Retail 4-5-4 month",
     "r544monthKey": "Retail 5-4-4 month",
     "quarterKey": "Quarter",
     "r445qtrKey": "Retail 4-4-5 quarter",
     "r454qtrKey": "Retail 4-5-4 quarter",
     "r544qtrKey": "Retail 5-4-4 quarter",
     "semiyearKey": "Semiyear",
     "yearKey": "Year",
     "yearvKey": "ISO 8601 year",
     "r445yearKey": "Retail 4-4-5 year",
     "r454yearKey": "Retail 4-5-4 year",
     "r544yearKey": "Retail 5-4-4 year",
     "weekendGroupKey": "Weekend",
     "weekendNoteKey": "Select which days to define as weekend days:",
     "sundayKey": "Sunday",
     "mondayKey": "Monday",
     "tuesdayKey": "Tuesday",
     "wednesdayKey": "Wednesday",
     "thursdayKey": "Thursday",
     "fridayKey": "Friday",
     "saturdayKey": "Saturday",
     "multiplierKey": "Multiplier:",
     "shiftKey": "Shift:",
     "seasonalityKey": "Season length:",
     "seasonalityMissingKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityInvalidKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityPromptKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityRangeKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "modelTabKey": "MODEL",
     "esmGroupKey": "Model Settings",
     "arimaGroupKey": "Model Settings",
     "ucmGroupKey": "Model Settings",
     "maGroupKey": "Model Settings",
     "rwGroupKey": "Model Settings",
     "modelGroupKey": "MODEL",
     "modelTypeComboKey": "Forecasting model type:",
     "modelTypeComboSelectKey": "Select a model type",
     "modelTypeESMKey": "Exponential smoothing",
     "modelTypeARIMAKey": "ARIMA",
     "modelTypeARIMAXKey": "ARIMAX",
     "modelTypeUCMKey": "Unobserved components",
     "modelTypeMAKey": "Moving average",
     "modelTypeRWKey": "Random walk",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procTsmodelKey": "Use TSMODEL procedure",
     "casActionKey": "Use CAS procedure",
     "esmModelComboKey": "Forecasting model:",
     "esmModelSIMPLEKey": "Simple (single) exponential smoothing",
     "esmModelDOUBLEKey": "(-)Double (Brown) exponential smoothing",
     "esmModelLINEARKey": "Linear (Holt) exponential smoothing",
     "esmModelDAMPTRENDKey": "Damped trend exponential smoothing",
     "esmModelADDSEASONALKey": "Additive seasonal exponential smoothing",
     "esmModelMULTSEASONALKey": "Multiplicative seasonal exponential smoothing",
     "esmModelWINTERSKey": "Winters multiplicative model",
     "esmModelADDWINTERSKey": "Winters additive method",
     "esmModelBESTNKey": "(+)BESTN",
     "esmModelBESTSKey": "(+)BESTS",
     "esmModelBESTKey": "(+)BEST",
     "esmTransformComboKey": "Transformation:",
     "esmTransformNONEKey": "No transformation",
     "esmTransformLOGKey": "Logarithmic transformation",
     "esmTransformSQRTKey": "Square-root transformation",
     "esmTransformLOGGISTICKey": "Logistic transformation",
     "esmTransformBOXCOXKey": "Box-Cox transformation",
     "boxCoxParamKey": "Box-Cox transformation parameter:",
     "boxCoxParamMissingKey": "Enter a number between -5 and 5.",
     "boxCoxParamInvalidKey": "Enter a number between -5 and 5.",
     "boxCoxParamPromptKey": "Enter a number between -5 and 5.",
     "boxCoxParamRangeKey": "Enter a number between -5 and 5.",
     "esmForecastTypeComboKey": "Forecast type:",
     "esmForecastTypeMEANKey": "Mean forecasts",
     "esmForecastTypeMEDIANKey": "Median forecasts",
     "arimaSettingsGroupKey": "ARIMA",
     "arimaPKey": "Autoregressive order (p):",
     "arimaPMissingKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaPInvalidKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaPPromptKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaPRangeKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaDKey": "Differencing order (d):",
     "arimaDMissingKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaDInvalidKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaDPromptKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaDRangeKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaQKey": "Moving average order (q):",
     "arimaQMissingKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaQInvalidKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaQPromptKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "arimaQRangeKey": "Enter an integer greater than or equal to 0 and less than 14.",
     "seasonalArimaSettingsGroupKey": "Seasonal ARIMA",
     "arimaPPKey": "Autoregressive order (P):",
     "arimaPPMissingKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaPPInvalidKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaPPPromptKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaPPRangeKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaDDKey": "Differencing order (D):",
     "arimaDDMissingKey": "Enter an integer greater than or equal to 0 and less than 4.",
     "arimaDDInvalidKey": "Enter an integer greater than or equal to 0 and less than 4.",
     "arimaDDPromptKey": "Enter an integer greater than or equal to 0 and less than 4.",
     "arimaDDRangeKey": "Enter an integer greater than or equal to 0 and less than 4.",
     "arimaQQKey": "Moving average order (Q):",
     "arimaQQMissingKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaQQInvalidKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaQQPromptKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaQQRangeKey": "Enter an integer greater than or equal to 0 and less than 6.",
     "arimaxGroupKey": "Independent Variables",
     "InterceptKey": "Include intercept in model",
     "ucmRegressionGroupKey": "Regression Effects",
     "ucmIndependVarKey": "Include independent variables",
     "ucmIrregularCompGroupKey": "Irregular Component",
     "ucmIrregularKey": "Include an irregular component",
     "ucmIrregularVarianceKey": "Specify variance",
     "ucmIrregularInitialVarianceKey": "Initial variance:",
     "ucmIrregularInitialVarianceMissingKey": "Enter a number greater than or equal to 0.",
     "ucmIrregularInitialVarianceInvalidKey": "Enter a number greater than or equal to 0.",
     "ucmIrregularInitialVariancePromptKey": "Enter a number greater than or equal to 0.",
     "ucmIrregularInitialVarianceRangeKey": "Enter a number greater than or equal to 0.",
     "ucmIrregularNoestKey": "Fix variance value",
     "ucmTrendCompGroupKey": "Trend Component",
     "ucmLevelKey": "Include a level component",
     "ucmLevelVarianceKey": "Specify variance",
     "ucmLevelInitialVarianceKey": "Initial variance:",
     "ucmLevelInitialVarianceMissingKey": "Enter a number greater than or equal to 0.",
     "ucmLevelInitialVarianceInvalidKey": "Enter a number greater than or equal to 0.",
     "ucmLevelInitialVariancePromptKey": "Enter a number greater than or equal to 0.",
     "ucmLevelInitialVarianceRangeKey": "Enter a number greater than or equal to 0.",
     "ucmLevelNoestKey": "Fix variance value",
     "ucmLevelCheckBreaksKey": "Check for level breaks",
     "ucmSlopeKey": "Include a slope component",
     "ucmSlopeVarianceKey": "Specify variance",
     "ucmSlopeInitialVarianceKey": "Initial variance:",
     "ucmSlopeInitialVarianceMissingKey": "Enter a number greater than or equal to 0.",
     "ucmSlopeInitialVarianceInvalidKey": "Enter a number greater than or equal to 0.",
     "ucmSlopeInitialVariancePromptKey": "Enter a number greater than or equal to 0.",
     "ucmSlopeInitialVarianceRangeKey": "Enter a number greater than or equal to 0.",
     "ucmSlopeNoestKey": "Fix variance value",
     "ucmSeasonalCompGroupKey": "Seasonal Component",
     "ucmSeasonalKey": "Include a seasonal component",
     "ucmSeasonalNoteKey": "Note: Seasonal component can be added when season length is greater than one.",
     "ucmSeasonalTypeKey": "Type:",
     "ucmDummyKey": "Dummy",
     "ucmTrigKey": "Trigonometric",
     "ucmSeasonalVarianceKey": "Specify variance",
     "ucmSeasonalInitialVarianceKey": "Initial variance:",
     "ucmSeasonalInitialVarianceMissingKey": "Enter a number greater than or equal to 0.",
     "ucmSeasonalInitialVarianceInvalidKey": "Enter a number greater than or equal to 0.",
     "ucmSeasonalInitialVariancePromptKey": "Enter a number greater than or equal to 0.",
     "ucmSeasonalInitialVarianceRangeKey": "Enter a number greater than or equal to 0.",
     "ucmSeasonalNoestKey": "Fix variance value",
     "ucmCycleCompGroupKey": "Cycle Component",
     "ucmCycleKey": "Include a cycle component",
     "ucmCyclePeriodKey": "Specify cycle period",
     "ucmCycleInitialPeriodKey": "Initial cycle period:",
     "ucmCycleInitialPeriodMissingKey": "Enter an integer greater than 2.",
     "ucmCycleInitialPeriodInvalidKey": "Enter an integer greater than 2.",
     "ucmCycleInitialPeriodPromptKey": "Enter an integer greater than 2.",
     "ucmCycleInitialPeriodRangeKey": "Enter an integer greater than 2.",
     "ucmCyclePeriodNoestKey": "Fix period value",
     "ucmCycleDampingKey": "Specify damping factor",
     "ucmCycleInitialDampingKey": "Initial damping factor:",
     "ucmCycleInitialDampingMissingKey": "Enter a number greater than 0 and less than or equal to 1.",
     "ucmCycleInitialDampingInvalidKey": "Enter a number greater than 0 and less than or equal to 1.",
     "ucmCycleInitialDampingPromptKey": "Enter a number greater than 0 and less than or equal to 1.",
     "ucmCycleInitialDampingRangeKey": "Enter a number greater than 0 and less than or equal to 1.",
     "ucmCycleDampingNoestKey": "Fix damping value",
     "ucmCycleVarianceKey": "Specify variance",
     "ucmCycleInitialVarianceKey": "Initial variance:",
     "ucmCycleInitialVarianceMissingKey": "Enter a number greater than or equal to 0.",
     "ucmCycleInitialVarianceInvalidKey": "Enter a number greater than or equal to 0.",
     "ucmCycleInitialVariancePromptKey": "Enter a number greater than or equal to 0.",
     "ucmCycleInitialVarianceRangeKey": "Enter a number greater than or equal to 0.",
     "ucmCycleVarianceNoestKey": "Fix variance value",
     "ucmPlotsGroupKey": "Plots",
     "ucmSelectPlotsComboKey": "Select plots to display:",
     "ucmDefaultPlotsKey": "Default plots",
     "ucmSelectedPlotsKey": "Selected plots",
     "ucmAllPlotsKey": "All plots",
     "ucmNoPlotsKey": "No plots",
     "ucmResidualPlotsGroupKey": "Residuals Plots",
     "ucmResidualPanelKey": "Diagnostics panel",
     "ucmResidualAcfPlotKey": "Autocorrelation function",
     "ucmResidualPacfPlotKey": "Partial autocorrelation function",
     "ucmResidualHistogramKey": "Residuals histogram",
     "ucmResidualQQKey": "Normal quantile",
     "ucmResidualNeedleKey": "Residuals needle plot",
     "ucmResidualModelKey": "One-step-ahead forecasts",
     "ucmResidualLoessKey": "Scatter plot of residuals with an overlaid loess-fit",
     "ucmWnPlotKey": "White noise probability test (log scale)",
     "ucmResidualCusumKey": "Cumulative residuals against time",
     "ucmResidualCusumsqKey": "Cumulative squared residuals against time",
     "ucmSmoothCompPlotsGroupKey": "Smoothed Component Estimates",
     "ucmSmoothIrregularKey": "Irregular component",
     "ucmSmoothLevelKey": "Level component",
     "ucmSmoothSlopeKey": "Slope component",
     "ucmSmoothSeasonKey": "Season component",
     "ucmSmoothCycleKey": "Cycle component",
     "ucmFilterCompPlotsGroupKey": "Filtered Component Estimates",
     "ucmFilterLevelKey": "Level component",
     "ucmFilterSlopeKey": "Slope component",
     "ucmFilterSeasonKey": "Season component",
     "ucmFilterCycleKey": "Cycle component",
     "ucmDecompFcstGroupKey": "Series Decomposition and Forecast Plots",
     "ucmForecastPlotKey": "Series forecasts",
     "ucmDecompPlotKey": "Smoothed component",
     "ucmDecompVarPlotKey": "Variance of smoothed component",
     "ucmFDecompPlotKey": "Filtered component",
     "ucmFDecompVarPlotKey": "Variance of filtered component",
     "maPKey": "Window(periods):",
     "maPMissingKey": "Enter an integer greater than 0 and less than 14.",
     "maPInvalidKey": "Enter an integer greater than 0 and less than 14.",
     "maPPromptKey": "Enter an integer greater than 0 and less than 14.",
     "maPRangeKey": "Enter an integer greater than 0 and less than 14.",
     "driftKey": "Drift",
     "trendKey": "Trend",
     "seasonalKey": "Seasonal",
     "optionsTabKey": "OPTIONS",
     "forecastSettingsGroupKey": "FORECAST SETTINGS",
     "forecastPeriodsKey": "Number of periods to forecast:",
     "forecastPeriodsMissingKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastPeriodsInvalidKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastPeriodsPromptKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastPeriodsRangeKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastConfLevelComboKey": "Forecast confidence level:",
     "forecastConfLevelDefaultChoiceKey": "95%",
     "forecastConfLevel99ChoiceKey": "99%",
     "forecastConfLevel90ChoiceKey": "90%",
     "forecastConfLevelCustomChoiceKey": "Use custom value",
     "forecastConfLevelKey": "Custom confidence level (%):",
     "forecastConfLevelMissingKey": "Enter a number greater than 0 and less than 100.",
     "forecastConfLevelInvalidKey": "Enter a number greater than 0 and less than 100.",
     "forecastConfLevelPromptKey": "Enter a number greater than 0 and less than 100.",
     "forecastConfLevelRangeKey": "Enter a number greater than 0 and less than 100.",
     "forecastHoldbackKey": "Number of periods to hold back:",
     "forecastHoldbackMissingKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastHoldbackInvalidKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastHoldbackPromptKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "forecastHoldbackRangeKey": "Enter an integer greater than or equal to 0 and less than 32768.",
     "outlierGroupKey": "OUTLIER DETECTION",
     "outlierDetectionKey": "Perform outlier detection",
     "criterionComboKey": "Model selection criterion:",
     "criterionSSEKey": "Sum of square error",
     "criterionMSEKey": "Mean squared error",
     "criterionRMSEKey": "Root mean squared error",
     "criterionUMSEKey": "Unbiased mean squared error",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following tables must use a CAS engine libref.",
     "outputDSKey": "Create output table",
     "outputDSNameKey": "Specify a CAS table:",
     "outputESTKey": "Create parameter estimates table",
     "outputESTNameKey": "Specify a CAS table:",
     "outputSTATKey": "Create fit statistics data set",
     "outputSTATNameKey": "Data set name:",
     "outputFORKey": "Create forecasted values data set",
     "outputFORNameKey": "Data set name:",
     "outputSUMKey": "Create summary data set",
     "outputSUMNameKey": "Data set name:",
     "outputCOVKey": "Create covariances and correlations data set",
     "outputCOVNameKey": "Data set name:",
     "outputMODELKey": "Create model information data set",
     "outputMODELNameKey": "Data set name:",
     "esmOutputNoteKey": "The output table includes forecast and actual values.",
     "arimaOutputNoteKey": "The output table includes forecast and actual values and confidence limits.",
     "arimaPlotsGroupKey": "Plots",
     "arimaSelectPlotsComboKey": "Select plots to display:",
     "arimaDefaultPlotsKey": "Default plots",
     "arimaSelectedPlotsKey": "Selected plots",
     "arimaAllPlotsKey": "All plots",
     "arimaNoPlotsKey": "No plots",
     "arimaSeriesPlotsGroupKey": "Series Plots",
     "arimaResidualPlotsGroupKey": "Residual Plots",
     "arimaForecastPlotsGroupKey": "Forecast Plots",
     "plotArimaSeriesACFKey": "Autocorrelations plot",
     "plotArimaSeriesCORRKey": "Panels of correlation plots",
     "plotArimaSeriesCROSSCORRKey": "Panels of cross-correlation plots",
     "plotArimaSeriesIACFKey": "Inverse-autocorrelations plot",
     "plotArimaSeriesPACFKey": "Partial-autocorrelations plot",
     "plotArimaResidualACFKey": "Residual autocorrelations plot",
     "plotArimaResidualCORRKey": "Panel of the residual correlation diagnostics",
     "plotArimaResidualHISTKey": "Histogram of the residuals",
     "plotArimaResidualIACFKey": "Residual inverse-autocorrelations plot",
     "plotArimaResidualNORMALKey": "Panel of the residual normality diagnostics",
     "plotArimaResidualPACFKey": "Residual partial-autocorrelations",
     "plotArimaResidualQQKey": "Normal quantile plot of the residuals",
     "plotArimaResidualSMOOTHKey": "Scatter plot of the residuals against time",
     "plotArimaResidualWNKey": "Ljung-Box white-noise test p-values at different lags",
     "plotArimaForecastFORECASTKey": "One-step-ahead and multistep-ahead forecasts",
     "plotArimaForecastFORECASTONLYKey": "Multistep-ahead forecasts in the forecast region",
     "esmPlotsGroupKey": "Plots",
     "esmSelectPlotsComboKey": "Select plots to display:",
     "esmDefaultPlotsKey": "Default plots",
     "esmSelectedPlotsKey": "Selected plots",
     "esmAllPlotsKey": "All plots",
     "esmNoPlotsKey": "No plots",
     "esmModelPlotsGroupKey": "Model Plots",
     "esmErrorPlotsGroupKey": "Error Plots",
     "esmForecastPlotsGroupKey": "Forecast Plots",
     "plotESMModelMODELSKey": "Model graphics",
     "plotESMModelLEVELSKey": "Smoothed level component",
     "plotESMModelSEASONSKey": "Smoothed seasonal component",
     "plotESMModelTRENDSKey": "Smoothed trend (slope) component",
     "plotESMErrorACFKey": "Prediction error autocorrelation function plot",
     "plotESMErrorCORRKey": "Prediction error correlation graphics panel",
     "plotESMErrorERRORSKey": "Prediction error time series",
     "plotESMErrorIACFKey": "Prediction error inverse autocorrelation function",
     "plotESMErrorPACFKey": "Prediction error partial autocorrelation function",
     "plotESMErrorPERIODGRAMKey": "Prediction error periodogram",
     "plotESMErrorSPECTRUMKey": "Periodogram and smoothed periodogram of prediction error series",
     "plotESMErrorWNKey": "White noise graphics",
     "plotESMForecastFORECASTSKey": "Forecast",
     "plotESMForecastFORECASTSONLYKey": "Forecast in the forecast horizon only",
     "plotESMForecastMODELFORECASTSKey": "One-step ahead model forecast and its confidence bands",
     "viyaPlotsGroupKey": "Plots",
     "plotForecastViyaKey": "Forecasted and actual values",
     "byVar1LevelKey": "Group variable 1 value:",
     "byVarLevelSelectKey": "Select a level",
     "byVar2LevelKey": "Group variable 2 value:",
     "byVar3LevelKey": "Group variable 3 value:",
     "ForecatChartLabelKey": "Predicted and actual values of {1}",
     "ForecatChartXAxisLabelKey": "{1}",
     "ForecatChartYAxisLabelKey": "{1}",
     "actualValueLabelKey": "Actual",
     "predictedValueLabelKey": "Predicted",
     "predictionBandLabelKey": "{1}% Confidence Limits",
     "refLineLabelKey": "Forecast Start",
     "specifyDiffCommentKey": "Specify differencing orders",
     "specifyARCommentKey": "Specify AR orders. For example: p = (1)(12)",
     "specifyMACommentKey": "Specify MA orders. For example: q = (1)(12)",
     "addTransferFuncCommentKey": "Add transfer functions for the independent variables",
     "setupModelCommentKey": "Setup and run the TSM model object",
     "Key": "Output model forecasts and estimates",
     "timeIDKey": "Time ID",
     "dependVariableKey": "Dependent variable",
     "independVariableKey": "Independent variables",
     "byVariable1Key": "BY variable 1:",
     "byVariable2Key": "BY variable 2:",
     "byVariable3Key": "BY variable 3:",
     "ucmIndependVariableKey": "Independent variables",
     "shiftMultplierMsgKey": "Time ID shift must be less than or equal to multiplier.",
     "esmModelTimeIDRequiredMsgKey": "This exponential smoothing model type requires a specified time ID variable.",
     "outLinksDSNameMsgKey": "The output forecast table must have a two-level name that includes a CAS engine libref.",
     "weekendMsgKey": "At most six week days can be defined as weekend days.",
     "outDiffMsgKey": "Output CAS tables must have different names."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
