define({root:
({
     "NameKey": "Time Series Data Preparation",
     "DescriptionKey": "Preparing time stamped transaction data into equally intervaled time series data.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey23": "The TSMODEL Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "rolesGroupKey": "ROLES",
     "varsGroupKey": "Variables",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "timeIDPropertyGroupKey": "Properties",
     "intervalKey": "Interval:",
     "secondKey": "Second",
     "minuteKey": "Minute",
     "hourKey": "Hour",
     "dayKey": "Day",
     "weekdayKey": "Weekday",
     "weekKey": "Week",
     "weekvKey": "ISO 8601 week",
     "tendayKey": "Ten-day",
     "semimonthKey": "Semimonth",
     "monthKey": "Month",
     "r445monthKey": "Retail 4-4-5 month",
     "r454monthKey": "Retail 4-5-4 month",
     "r544monthKey": "Retail 5-4-4 month",
     "quarterKey": "Quarter",
     "r445qtrKey": "Retail 4-4-5 quarter",
     "r454qtrKey": "Retail 4-5-4 quarter",
     "r544qtrKey": "Retail 5-4-4 quarter",
     "semiyearKey": "Semiyear",
     "yearKey": "Year",
     "yearvKey": "ISO 8601 year",
     "r445yearKey": "Retail 4-4-5 year",
     "r454yearKey": "Retail 4-5-4 year",
     "r544yearKey": "Retail 5-4-4 year",
     "weekendGroupKey": "Weekend",
     "weekendNoteKey": "Select which days to define as weekend days:",
     "sundayKey": "Sunday",
     "mondayKey": "Monday",
     "tuesdayKey": "Tuesday",
     "wednesdayKey": "Wednesday",
     "thursdayKey": "Thursday",
     "fridayKey": "Friday",
     "saturdayKey": "Saturday",
     "multiplierKey": "Multiplier:",
     "shiftKey": "Shift:",
     "timeIDPropsKey": "",
     "seasonalityKey": "Season length:",
     "seasonalityMissingKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityInvalidKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityPromptKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityRangeKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "missingKey": "Treatment of missing values:",
     "missingChoiceKey": "Missing value",
     "averageChoiceKey": "Average value of the accumulated time series",
     "minChoiceKey": "Minimum value of the accumulated time series",
     "medianChoiceKey": "Median value of the accumulated time series",
     "maxChoiceKey": "Maximum value of the accumulated time series",
     "firstChoiceKey": "First nonmissing value of the accumulated time series",
     "lastChoiceKey": "Last nonmissing value of the accumulated time series",
     "previousChoiceKey": "The previous period's accumulated nonmissing value",
     "nextChoiceKey": "The next period's accumulated nonmissing value",
     "numericChoiceKey": "Numeric value",
     "numMissingKey": "Enter a number to interpret missing value:",
     "numMissingMissingKey": "Enter a number greater than or equal to 0.",
     "numMissingInvalidKey": "Enter a number greater than or equal to 0.",
     "numMissingPromptKey": "Enter a number greater than or equal to 0.",
     "numMissingRangeKey": "Enter a number greater than or equal to 0.",
     "transformationsTabKey": "TRANSFORMATIONS",
     "transformationGroupKey": "TRANSFORMATIONS",
     "varSettingsKey": "",
     "transformationNoteKey": "Transformations are available when time series variables are selected.",
     "optionsTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref.",
     "outputDSNameKey": "Specify a CAS table:",
     "showDataGroupKey": "Show Output Data",
     "showDataKey": "Show output data",
     "showDataSubsetKey": "Show:",
     "showSubsetDataChoiceKey": "Show subset of output data",
     "showAllDataChoiceKey": "Show all output data",
     "subsetNobsKey": "Number of observations to show:",
     "subsetNobsMissingKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsInvalidKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsPromptKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetNobsRangeKey": "Enter an integer greater than 0 for the number of observations to be shown",
     "subsetTitleKey": "Subset of {dataSetName}",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procTsmodelKey": "Use TSMODEL procedure",
     "casActionKey": "Use CAS procedure",
     "timeIDKey": "Time ID",
     "dependVariableKey": "Time series variable",
     "byVariablesKey": "Group analysis by",
     "outLinksDSNameMsgKey": "The output forecast table must have a two-level name that includes a CAS engine libref.",
     "weekendMsgKey": "At most six week days can be defined as weekend days.",
     "shiftMultplierMsgKey": "Time ID shift must be less than or equal to multiplier."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
