define({root:
({
     "NameKey": "Time Series Exploration",
     "DescriptionKey": "The Time Series Exploration task provides graphs and statistics for viewing and analyzing time series.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey23": "The TSMODEL Procedure",
     "LinkKey24": "The CAS Procedure",
     "LinkKey4": "SAS Tutorials",
     "dataTabKey": "DATA",
     "dataGroupKey": "DATA",
     "optionsTabKey": "OPTIONS",
     "analysesTabKey": "ANALYSES",
     "additionalTabKey": "ADDITIONAL",
     "rolesGroupKey": "ROLES",
     "addRolesGroupKey": "ADDITIONAL ROLES",
     "groupByGroupKey": "Group Analysis",
     "byVar1SelectKey": "Select a group value",
     "byVar1LevelKey": "Value:",
     "byVarLevelSelectKey": "Select a level",
     "byVar2SelectKey": "Select a group value",
     "byVar2LevelKey": "Value:",
     "byVar3SelectKey": "Select a group value",
     "byVar3LevelKey": "Value:",
     "timeIDPropertyGroupKey": "Properties",
     "intervalKey": "Interval:",
     "secondKey": "Second",
     "minuteKey": "Minute",
     "hourKey": "Hour",
     "dayKey": "Day",
     "weekdayKey": "Weekday",
     "weekKey": "Week",
     "weekvKey": "ISO 8601 week",
     "tendayKey": "Ten-day",
     "semimonthKey": "Semimonth",
     "monthKey": "Month",
     "r445monthKey": "Retail 4-4-5 month",
     "r454monthKey": "Retail 4-5-4 month",
     "r544monthKey": "Retail 5-4-4 month",
     "quarterKey": "Quarter",
     "r445qtrKey": "Retail 4-4-5 quarter",
     "r454qtrKey": "Retail 4-5-4 quarter",
     "r544qtrKey": "Retail 5-4-4 quarter",
     "semiyearKey": "Semiyear",
     "yearKey": "Year",
     "yearvKey": "ISO 8601 year",
     "r445yearKey": "Retail 4-4-5 year",
     "r454yearKey": "Retail 4-5-4 year",
     "r544yearKey": "Retail 5-4-4 year",
     "weekendGroupKey": "Weekend",
     "weekendNoteKey": "Select which days to define as weekend days:",
     "sundayKey": "Sunday",
     "mondayKey": "Monday",
     "tuesdayKey": "Tuesday",
     "wednesdayKey": "Wednesday",
     "thursdayKey": "Thursday",
     "fridayKey": "Friday",
     "saturdayKey": "Saturday",
     "multiplierKey": "Multiplier:",
     "shiftKey": "Shift:",
     "seasonalityKey": "Season length:",
     "seasonalityMissingKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityInvalidKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityPromptKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "seasonalityRangeKey": "Enter an integer greater than 0 and less than or equal to 10000.",
     "varSettingsGroupKey": "Transformations",
     "varSettingsKey": "",
     "autocorrGroupKey": "AUTOCORRELATION ANALYSIS",
     "autocorrPlotsKey": "Perform autocorrelation analysis",
     "autoCorrPlotsGroupKey": "Output",
     "autoPanelKey": "Autocorrelation analysis panel",
     "acfPlotKey": "Autocorrelation function",
     "normAcfPlotKey": "Standardized autocorrelation function",
     "pacfPlotKey": "Partial autocorrelation function",
     "normPacfPlotKey": "Standardized partial autocorrelation function",
     "iacfPlotKey": "Inverse autocorrelation function",
     "normIacfPlotKey": "Standardized inverse autocorrelation function",
     "wnPlotKey": "White noise probability test",
     "wnLogPlotKey": "White noise probability test (log scale)",
     "autocorrNlagsComboKey": "Number of lags:",
     "autocorrNlagsDefaultChoiceKey": "Use default value",
     "autocorrNlagsCustomChoiceKey": "Use custom value",
     "autocorrNlagsKey": "Custom number of lags:",
     "autocorrNlagsMissingKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "autocorrNlagsInvalidKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "autocorrNlagsPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "autocorrNlagsRangeKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "selectAutocorrPlotsComboKey": "Select plots to display:",
     "defaultAutocorrPlotsKey": "Default plots",
     "selectedAutocorrPlotsKey": "Selected plots",
     "noAutocorrPlotsKey": "No plots",
     "crosscorrGroupKey": "CROSS-CORRELATION ANALYSIS",
     "crosscorrPlotsKey": "Perform cross-correlation analysis",
     "crosscorrPlotsNoteKey": "Note: Cross-correlation analysis is available when an independent variable is specified.",
     "crossCorrPlotsGroupKey": "Output",
     "crossSeriesPlotKey": "Cross-series",
     "crossCorrFuncPlotKey": "Cross-correlation function",
     "normCrossCorrFuncPlotKey": "Normalized cross-correlation function",
     "crosscorrNlagsComboKey": "Number of lags:",
     "crosscorrNlagsDefaultChoiceKey": "Use default value",
     "crosscorrNlagsCustomChoiceKey": "Use custom value",
     "crosscorrNlagsKey": "Custom number of lags:",
     "crosscorrNlagsMissingKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "crosscorrNlagsInvalidKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "crosscorrNlagsPromptKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "crosscorrNlagsRangeKey": "Enter an integer greater than or equal to 1 and less than or equal to 10000.",
     "decompGroupKey": "DECOMPOSITION ANALYSIS",
     "decompChkboxKey": "Perform decomposition analysis",
     "decompNoteKey": "Note: Decomposition analysis is available when season length is greater than one. Season length is set on the Data tab in the Roles group.",
     "decompPlotsGroupKey": "Output",
     "decompPanelKey": "Decomposition panel",
     "componentsPlotKey": "Components",
     "seasonAdjSeriesPlotKey": "Seasonally adjusted series",
     "pctChangeSeasonAdjSeriesPlotKey": "Seasonally adjusted series (percent change)",
     "componentsGroupKey": "Decomposition components",
     "componentSelectKey": "Select components:",
     "trendCompKey": "Trend component",
     "cycleCompKey": "Cycle component",
     "trendCycleCompKey": "Trend-cycle component",
     "seasonalCompKey": "Seasonal component",
     "irregularCompKey": "Irregular component",
     "seasonIregularCompKey": "Seasonal-irregular component",
     "trendCycleSeasonCompKey": "Trend-cycle-seasonal component",
     "decompMethodKey": "Decomposition method:",
     "multoraddKey": "Automatic",
     "additiveKey": "Additive",
     "multiplicativeKey": "Multiplicative",
     "logadditiveKey": "Log-additive",
     "pseudoadditiveKey": "Pseudo-additive",
     "selectDecompPlotsComboKey": "Select plots to display:",
     "defaultDecompPlotsKey": "Default plots",
     "selectedDecompPlotsKey": "Selected plots",
     "noDecompPlotsKey": "No plots",
     "unitRootTestsGroupKey": "UNIT ROOT TEST ANALYSIS",
     "adfTestKey": "Perform augmented Dickey-Fuller test",
     "arOrderKey": "Augmenting order:",
     "arOrderMissingKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderInvalidKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderPromptKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "arOrderRangeKey": "Enter an integer greater than or equal to 0 and less than or equal to 1000.",
     "plotsGroupKey": "SERIES PLOTS",
     "seriesPlotKey": "Time Series",
     "seriesHistogramKey": "Series histogram",
     "seasonalCyclesPlotKey": "Seasonal cycles",
     "seriesPlotTitleTempKey": "Series Values for {1}",
     "seriesHistogramTitleTempKey": "Distribution of Series Values for {1}",
     "seasonalCyclesPlotTitleTempKey": "Seasonal Cycles for {1}",
     "autoPanelPlotTitleTempKey": "Correlations for {1}",
     "acfPlotTitleTempKey": "Autocorrelations for {1}",
     "normAcfPlotTitleTempKey": "Standardized ACF for {1}",
     "pacfPlotTitleTempKey": "Partial Autocorrelations for {1}",
     "normPacfPlotTitleTempKey": "Standardized PACF for {1}",
     "iacfPlotTitleTempKey": "Inverse Autocorrelations for {1}",
     "normIacfPlotTitleTempKey": "Standardized IACF for {1}",
     "wnPlotTitleTempKey": "White Noise Probabilities for {1}",
     "wnLogPlotTitleTempKey": "White Noise Probabilities for {1} (Log Scale)",
     "crossSeriesPlotTitleKey": "Cross Series Plot",
     "ccfPlotTitleTempKey": "Cross-Correlations for {1} and {2}",
     "normCcfPlotTitleTempKey": "Standardized Cross-Correlations for {1} and {2}",
     "decompPlotTitleTempKey": "Seasonal Decomposition/Adjustment for {1}",
     "trendCompPlotTitleTempKey": "Trend Component for {1}",
     "cycleCompPlotTitleTempKey": "Cycle Component for {1}",
     "trendCycleCompPlotTitleTempKey": "Trend-Cycle Component for {1}",
     "seasonCompPlotTitleTempKey": "Seasonal Component for {1}",
     "irregularCompPlotTitleTempKey": "Irregular Component for {1}",
     "seasonIrregularCompPlotTitleTempKey": "Seasonal-Irregular Component for {1}",
     "trendCycleSeasonPlotTitleTempKey": "Trend-Cycle-Seasonal for {1}",
     "seasonAdjSeriesPlotTitleTempKey": "Seasonally Adjusted Series for {1}",
     "seasonAdjSeriesPctChangePlotTitleTempKey": "Percent Change Adjusted Series for {1}",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "OUTPUT DATA",
     "casOutputLibrefNoteKey": "The following table must use a CAS engine libref.",
     "outputDSKey": "Create output data set",
     "outputDSNameKey": "Specify a CAS table:",
     "outputStationaryKey": "Create stationary test data set",
     "outputStationaryNameKey": "Specify a CAS table:",
     "codeGenerationGroupKey": "CODE GENERATION",
     "procTsmodelKey": "Use TSMODEL procedure",
     "casActionKey": "Use CAS procedure",
     "unitRootMsgKey": "Unit root test",
     "decomposeMsgKey": "Decomposition analysis",
     "crossCorrMsgKey": "Cross-correlation analysis",
     "autoCorrMsgKey": "Autocorrelation analysis",
     "transMsgKey": "Time series transformation and differencing",
     "seriesPlotMsgKey": "Series Plot",
     "seriesHistogramMsgKey": "Series Histogram",
     "seasonalCyclePlotMsgKey": "Seasonal Cycle Plot",
     "corrPlotMsgKey": "Correlation Plot",
     "acfPlotMsgKey": "Autocorrelation Function Plot",
     "normAcfPlotMsgKey": "Standardized Autocorrelation Function Plot",
     "pacfPlotMsgKey": "Partial Autocorrelation Function Plot",
     "normPacfPlotMsgKey": "Standardized Partial Autocorrelation Function Plot",
     "iacfPlotMsgKey": "Inverse Autocorrelation Function Plot",
     "normIacfPlotMsgKey": "Standardized Inverse Autocorrelation Function Plot",
     "wnPlotMsgKey": "White Noise Probability Plot",
     "wnLogPlotMsgKey": "White Noise Log Probability Plot",
     "crossSeriesPlotMsgKey": "Cross Series Plot",
     "crossCorrFuncPlotMsgKey": "Cross-Correlation Function Plot",
     "normCrossCorrFuncPlotMsgKey": "Standardized Cross-Correlation Function Plot",
     "decompPlotMsgKey": "Decomposition Plot",
     "trendCompPlotMsgKey": "Trend Component Plot",
     "cycleCompPlotMsgKey": "Cycle Component Plot",
     "trendCycleCompPlotMsgKey": "Trend Cycle Component Plot",
     "seasonCompPlotMsgKey": "Seasonal Component Plot",
     "irregularCompPlotMsgKey": "Irregular Component Plot",
     "seasonIrregularCompPlotMsgKey": "Seasonal Irregular Component Plot",
     "trendCycleSeasonPlotMsgKey": "Trend Cycle Seasonal Plot",
     "seasonAdjSeriesPlotMsgKey": "Sesonal Adjusted Series Plot",
     "seasonAdjSeriesPctChangePlotMsgKey": "Percent Change Sesonal Adjusted Series Plot",
     "timeIDKey": "Time ID:",
     "dependVariableKey": "Dependent variable:",
     "independVariableKey": "Independent variables:",
     "byVariable1Key": "BY variable 1:",
     "byVariable2Key": "BY variable 2:",
     "byVariable3Key": "BY variable 3:",
     "autocorrPlotSelectMsgKey": "Select at least one autocorrelation analysis plot.",
     "crosscorrPlotSelectMsgKey": "Select at least one cross-correlation analysis plot.",
     "decompPlotSelectMsgKey": "Select at least one decomposition analysis plot.",
     "weekendMsgKey": "At most six week days can be defined as weekend days.",
     "shiftMultplierMsgKey": "Time ID shift must be less than or equal to multiplier."
})
,
"zh": true, 
"zh-tw": true, 
"zh-hk": true, 
"zh-cn": true, 
"ru": true, 
"pl": true, 
"ko": true, 
"ja": true, 
"it": true, 
"fr": true, 
"es": true, 
"de": true, 
"fr-xx": true, 
"ar-xx": true, 
"pl-xx": true, 
"zh-xx": true, 
"zh-cn-xx": true
});
