define({
     "NameKey": "Binär logistische Regression",
     "DescriptionKey": "Die Binär logistische Regression führt eine logistische Regression für eine binäre abhängige Variable aus.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur LOGISTIC",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "explanatoryGroupKey": "Erklärende Variablen",
     "classParamGroupKey": "Parameterisierung der Effekte",
     "classParamKey": "Kodierung:",
     "glmParamChoiceKey": "GLM-Kodierung",
     "effectsParamChoiceKey": "Effektkodierung",
     "refParamChoiceKey": "Referenzkodierung",
     "classMissingGroupKey": "Behandlung fehlender Werte",
     "classMissingNoteKey": "Eine Beobachtung wird dann aus der Analyse ausgeschlossen, wenn eine der Variablen im Modell einen fehlenden Wert aufweist. Eine Beobachtung wird außerdem ausgeschlossen, wenn eine der oben angegebenen Klassifizierungsvariablen einen fehlenden Wert aufweist (unabhängig davon, ob die Klassifizierungsvariable im Modell verwendet wird).",
     "modelGroupKey": "MODELLEFFEKTE",
     "modelTabKey": "MODELL",
     "standardModelInstructionKey": "Modelltyp auswählen:",
     "mainEffectsChoiceKey": "Haupteffektmodell",
     "mainNwayEffectsChoiceKey": "Haupteffekte und alle n-fach-Interaktionen",
     "customModelChoiceKey": "Benutzerdefiniertes Modell",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Geben Sie einen ganzzahligen Wert größer 1 für die maximale Ordnung der Interaktionen ein",
     "responseGroupKey": "Abhängige Variable",
     "eventTrialsDataKey": "Daten der abhängigen Variable enthalten eine Anzahl an Ereignissen und Versuchen",
     "referenceLevelComboKey": "Untersuchtes Ereignis:",
     "referenceLevelComboSelectKey": "Ausprägung auswählen",
     "linkFxKey": "Link-Funktion:",
     "cLogLogChoiceKey": "Komplementär log-log",
     "logitChoiceKey": "Logit",
     "probitChoiceKey": "Probit",
     "methodsGroupKey": "METHODEN",
     "dispersionGroupKey": "Anpassungsgüte und Überstreuung",
     "pearsonGOFKey": "Abweichung und Pearsonsche Anpassungsgüte",
     "scaleComboKey": "Streuungsparameter:",
     "noScaleChoiceKey": "Keine Korrektur",
     "pscaleChoiceKey": "Pearsonschätzer",
     "dscaleChoiceKey": "Abweichungsschätzer",
     "customScaleChoiceKey": "Benutzerdefinierten Abweichungsparameter eingeben",
     "correctOverdispersionKey": "Überstreuungskorrektur",
     "lackfitKey": "Hosmer und Lemeshow-Test auf Anpassungsgüte",
     "resultsGroupKey": "ERGEBNISSE",
     "statisticsGroupKey": "STATISTIKEN",
     "statsComboKey": "Anzuzeigende Statistiken auswählen:",
     "defaultStatsChoiceKey": "Standardstatistiken",
     "customStatsChoiceKey": "Standard- und weitere Statistiken",
     "noStatsChoiceKey": "Keine",
     "additionalStatsLabelKey": "Weitere Statistiken",
     "parmEstGroupKey": "Parameterschätzer",
     "oddsRatioGroupKey": "Quotenverhältnisse",
     "oddsRatiosKey": "Quotenverhältnisse für alle Effekte",
     "clparmKey": "Konfidenzintervalle für Parameterschätzer:",
     "cloddsKey": "Konfidenzintervalle für Quotenverhältnisse:",
     "stratifiedClparmKey": "Konfidenzintervalle für Parameterschätzer:",
     "stratifiedCloddsKey": "Konfidenzintervalle für Quotenverhältnisse:",
     "plClChoiceKey": "Basierend auf Profil-Likelihood",
     "waldClChoiceKey": "Basierend auf Wald-Test",
     "bothClChoiceKey": "Beide",
     "noClChoiceKey": "Keine",
     "confidenceKey": "Konfidenzniveau:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Benutzerdefiniert",
     "confidenceValueKey": "Benutzerdefiniertes Konfidenzniveau:",
     "confidenceValueMissingKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "confidenceValueInvalidKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "confidenceValuePromptKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "confidenceValueRangeKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "corrEstKey": "Korrelationen der Parameterschätzer",
     "covEstKey": "Kovarianzen der Parameterschätzer",
     "ctableKey": "Klassifizierungstabelle",
     "stbKey": "Standardisierte Schätzwerte",
     "expbKey": "Potenzierte Schätzungen",
     "pcorrKey": "Partielle Korrelation",
     "rsquareKey": "Verallgemeinertes R-Quadrat",
     "diagnosticsGroupKey": "Diagnosen",
     "influenceKey": "Einflussdiagnosen",
     "stdresKey": "Verallgemeinerte und Likelihood-Residuen einschließen",
     "expLsmeansKey": "Potenzierte Mittelwerte der kleinsten Quadrate",
     "clLsmeansKey": "Konfidenzgrenzen für Mittelwerte der kleinsten Quadrate und Mittelwertdifferenzen",
     "corrLsmeansKey": "Korrelationen der Mittelwerte der kleinsten Quadrate",
     "covLsmeansKey": "Kovarianzen der Mittelwerte der kleinsten Quadrate",
     "multCompareGroupKey": "Mehrfachvergleiche",
     "multCompareKey": "Mehrfachvergleiche durchführen",
     "multCompareExclusionKey": "Mehrfachvergleiche sind nicht verfügbar, wenn eine Modellauswahl angefordert wurde oder wenn keine GLM-Parameterisierung der Klassifizierungseffekte verwendet wird.",
     "multCompareListKey": "Effekte für Test auswählen:",
     "multCompareComboKey": "Methode:",
     "bonferroniKey": "Bonferroni",
     "dunnettKey": "Dunnett",
     "nelsonKey": "Nelson",
     "scheffeKey": "Scheffe",
     "sidakKey": "Sidak",
     "tukeyKey": "Tukey",
     "multCompareAlphaKey": "Signifikanzniveau:",
     "alpha_10Key": "0,10",
     "alpha_05Key": "0,05",
     "alpha_01Key": "0,01",
     "multCompareAlphaSpecifyKey": "Benutzerdefiniert",
     "multCompareAlphaValueKey": "Benutzerdefiniertes Signifikanzniveau:",
     "multCompareAlphaValueMissingKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "multCompareAlphaValueInvalidKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "multCompareAlphaValuePromptKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "multCompareAlphaValueRangeKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "exactGroupKey": "Exakte Tests",
     "exactTestsKey": "Exakte Tests ausführen",
     "exactLabelKey": "Exakte Test für ausgewählte Effekte ausführen",
     "exactListKey": "Effekte für Test auswählen:",
     "exactInterceptKey": "Exakter Test der Konstante",
     "exactNoteKey": "Hinweis: Bei einigen komplexeren Problemen kann die Berechnung von exakten Tests größere Ressourcen an Zeit und Speicher beanspruchen.",
     "exactAlphaComboKey": "Signifikanzniveau:",
     "exactAlphaSpecifyKey": "Benutzerdefiniert",
     "exactAlphaValueKey": "Benutzerdefiniertes Signifikanzniveau:",
     "exactAlphaValueMissingKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "exactAlphaValueInvalidKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "exactAlphaValuePromptKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "exactAlphaValueRangeKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "exactExclusionsKey": "Exakte Tests stehen nicht zur Verfügung bei Verwendung von Mehrfachvergleichen, Modellauswahl, Ausgabe- oder Score-Dateien und wenn eine andere Link-Funktion als Logit oder eine Gewichtungsvariable verwendet wird.",
     "selectionTabKey": "AUSWAHL",
     "selectionGroupKey": "MODELLAUSWAHL",
     "selectionMethodKey": "Auswahlmethode:",
     "noneSelectionChoiceKey": "Keine",
     "forwardChoiceKey": "Vorwärtsverfahren",
     "backwardChoiceKey": "Abwärtsverfahren",
     "fastBackwardChoiceKey": "Schnellabwärtsverfahren",
     "stepwiseChoiceKey": "Schrittweise Auswahl",
     "fastStepwiseChoiceKey": "Schrittweise Auswahl mit Schnellabwärtsverfahren",
     "bestSubsetChoiceKey": "Auswahl der besten Teilmenge",
     "bestOptNoteKey": "Modelle mit größtem Chi-Quadrat anzeigen",
     "bestOptKey": "Anzahl Modelle:",
     "slEntryKey": "Signifikanzniveau für das Hinzufügen eines Effekts zum Modell:",
     "slEntryMissingKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt zum Modell hinzuzufügen",
     "slEntryInvalidKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt zum Modell hinzuzufügen",
     "slEntryPromptKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt zum Modell hinzuzufügen",
     "slEntryRangeKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt zum Modell hinzuzufügen",
     "slStayKey": "Signifikanzniveau für das Entfernen eines Effekts aus dem Modell:",
     "slStayMissingKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt aus dem Modell zu entfernen",
     "slStayInvalidKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt aus dem Modell zu entfernen",
     "slStayPromptKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt aus dem Modell zu entfernen",
     "slStayRangeKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt aus dem Modell zu entfernen",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Details für Auswahlprozess anzeigen",
     "hierarchyLabelKey": "Modelleffektehierarchie: Für jeden Term, der im Modell enthalten sein soll, müssen alle im Term enthaltenen Modelleffekte auch im Modell vorhanden sein",
     "hierarchyKey": "Effektehierarchie beibehalten",
     "plotsGroupKey": "PLOTS",
     "plotsChoiceKey": "Anzuzeigende Plots auswählen:",
     "defaultPlotChoiceKey": "Standard-Plots",
     "customPlotChoiceKey": "Standard- und weitere Plots",
     "allPlotsChoiceKey": "Alle Plots",
     "noPlotsChoiceKey": "Keine Plots",
     "additionalPlotsLabelKey": "Weitere Plots",
     "dfbetasPlotKey": "Standardisierter DFBETA nach Beobachtungszahl",
     "influencePlotKey": "Einflussstatistiken nach Beobachtungszahl",
     "dpcPlotKey": "Einfluss auf Modellanpassung und Parameterschätzer",
     "predPlotKey": "Plots für Prognostizierte Wahrscheinlichkeit",
     "effectPlotKey": "Effekt-Plot",
     "oddsratioPlotKey": "Quotenverhältnis-Plot",
     "oddsratioClipKey": "Quotenverhältnisse von 0 bis 2 anzeigen",
     "rocPlotKey": "ROC-Plot",
     "unpackPlotsKey": "Anzeigen als:",
     "unpackChoiceKey": "Einzelne Plots",
     "panelChoiceKey": "Plot-Fenster",
     "plotLabelsKey": "Etikett für Extrema",
     "labelPlotsComboKey": "Einfluss- und ROC-Plots beschriften:",
     "obsnumLabelChoiceKey": "Etikett mit Beobachtungsnummer",
     "valuesLabelChoiceKey": "Etikett mit Variablenwerten",
     "noLabelChoiceKey": "Kein Etikett",
     "maxpointsComboKey": "Maximale Anzahl Plotpunkte:",
     "maxpointsDefaultKey": "Standard (5.000)",
     "maxpoints10000Key": "10.000",
     "maxpointsSpecifyKey": "Benutzerdefiniert",
     "maxpointsNoLimitKey": "Keine Grenze",
     "maxpointsValueKey": "Max. Anzahl Punkte:",
     "maxpointsValueMissingKey": "Geben Sie einen ganzzahligen Wert größer Null für die maximale Anzahl der Plotpunkte ein",
     "maxpointsValueInvalidKey": "Geben Sie einen ganzzahligen Wert größer Null für die maximale Anzahl der Plotpunkte ein",
     "maxpointsValuePromptKey": "Geben Sie einen ganzzahligen Wert größer Null für die maximale Anzahl der Plotpunkte ein",
     "maxpointsValueRangeKey": "Geben Sie einen ganzzahligen Wert größer Null für die maximale Anzahl der Plotpunkte ein",
     "optimizationGroupKey": "Optimierung",
     "optMethodKey": "Methode:",
     "defaultOptChoiceKey": "Standard",
     "newtonChoiceKey": "Newton-Raphson",
     "fisherChoiceKey": "Fisher Scoring",
     "maxiterComboKey": "Maximale Anzahl Iterationen:",
     "maxiterDefaultChoiceKey": "Standardwert verwenden",
     "maxiterCustomChoiceKey": "Benutzerdefiniert",
     "maxiterKey": "Benutzerdef. max. Anzahl Iterationen:",
     "maxiterMissingKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "maxiterInvalidKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "maxiterPromptKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "maxiterRangeKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "outputTabKey": "AUSGABE",
     "outputGroupKey": "AUSGABEDATEI",
     "outputDSKey": "Ausgabedatei erstellen",
     "outputDSNameKey": "Dateiname:",
     "residualStatsGroupKey": "Residuen",
     "influenceStatsGroupKey": "Einflusstatistiken",
     "predictedStatsGroupKey": "Prognostizierte Werte",
     "otherStatsGroupKey": "Andere Statistiken",
     "linpKey": "Linearer Prädiktor",
     "predKey": "Prognostizierte Werte",
     "clPredKey": "Konfidenzgrenzen für prognostizierte Werte",
     "pearsonKey": "Pearsonsche Residuen",
     "resdevChoiceKey": "Abweichungs-Residuen",
     "reslikChoiceKey": "Likelihood-Residuen",
     "stdReschiChoiceKey": "Standardisierte Pearsonsche Residuen",
     "stdResdevChoiceKey": "Standardisierte Abweichungs-Residuen",
     "leverageChoiceKey": "Leverage",
     "stdDfbetaChoiceKey": "Standardisierter DFBETA",
     "stdXbetaChoiceKey": "Standardfehler des linearen Prädiktors",
     "difChisqChoiceKey": "Veränderung der Chi-Quadrat Anpassungsgüte durch Entfernen der Einzelbeobachtung",
     "difDevChoiceKey": "Veränderung der Abweichung durch Entfernen der Einzelbeobachtung",
     "predProbChoiceKey": "Prognostizierte Wahrscheinlichkeiten je abhängiger Ausprägung",
     "indivPredProbChoiceKey": "Einzelwahrscheinlichkeiten",
     "cumulPredProbChoiceKey": "Kumulierte Wahrscheinlichkeiten",
     "cvPredProbChoiceKey": "Kreuzvalidierte Einzelwahrscheinlichkeiten",
     "outputConfidenceKey": "Konfidenzniveau:",
     "scoreDSKey": "Scored-Datei erstellen",
     "scoreDSNameKey": "Dateiname:",
     "scoreCodeKey": "SAS-Scoring Code zu Log hinzufügen",
     "responseVariableKey": "Abhängige Variable:",
     "eventVariableKey": "Anzahl Ereignisse:",
     "trialsVariableKey": "Anzahl Versuche:",
     "continuousVariablesKey": "Stetige Variablen:",
     "classVariablesKey": "Klassifizierungsvariablen:",
     "offsetVariableKey": "Offset-Variable:",
     "idVariablesKey": "Variablen mit Etiketten:",
     "freqVariableKey": "Häufigkeit:",
     "weightVariableKey": "Gewichtungsvariable:",
     "byVariablesKey": "Analyse gruppieren nach:",
     "aggregateVariablesKey": "Aggregieren nach:",
     "strataVariablesKey": "Stratifizieren nach:",
     "twoLevelResponseRequirementKey": "Eine abhängige Variable darf maximal zwei nicht fehlende Ebenen aufweisen. Wählen Sie eine andere abhängige Variable aus.",
     "continuousClassRequirementKey": "Wählen Sie mindestens eine stetige oder eine Klassifizierungsvariable aus.",
     "modelEffectsNeededRequirementKey": "Fügen Sie auf dem Reiter MODELL einen oder mehrere Effekte zum Modell hinzu.",
     "aggregateVariablesRequirementKey": "Wählen Sie auf dem Reiter OPTIONEN eine oder mehrere Variablen aus, um Unterteilmengen in der Anpassungsgütegruppe zu aggregieren.",
     "outputRequirementKey": "Wählen Sie mindestens eine Statistik aus, die in die Ausgabedatei eingefügt werden soll.",
     "exactTestsNeededRequirementKey": "Wählen Sie exakte Tests für die Konstante oder mindestens einen Effekt aus."
});
