define({
     "NameKey": "Gradient Boosting",
     "DescriptionKey": "Die Task Gradient Boosting erzeugt für ein Intervall oder ein Nominalziel ein Vorhersagemodell, das mittels der Gradient Boosting-Methode ein aus mehreren Entscheidungsbäumen bestehendes Konstrukt erstellt.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur GRADBOOST",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "targetGroupKey": "Zielvariable",
     "inputsGroupKey": "Eingaben",
     "useIntervalTargetKey": "Intervallziel verwenden",
     "useNominalTargetKey": "Nominalziel verwenden",
     "methodsGroupKey": "METHODEN",
     "useIntervalBinsKey": "Anzahl Bins für Intervalleingaben",
     "intervalBinsKey": "Anzahl Intervalle (Bins):",
     "intervalBinsMessageKey": "Geben Sie einen ganzzahligen Wert größer 1 und kleiner oder gleich 500 für die Anzahl Bins für Intervalleingaben ein",
     "treeOptionGroupKey": "Bäume erstellen",
     "maxTreesKey": "Anzahl Iterationen:",
     "maxTreesMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich 10.000 für die Anzahl der Bäume ein",
     "useMaxTreeRangeKey": "Auto-Tune für Anzahl Iterationen",
     "initialMaxTreesKey": "Startwert:",
     "initialMaxTreesMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich 1000 als Startwert für die Anzahl Iterationen ein",
     "lowerMaxTreesKey": "Untergrenze:",
     "lowerMaxTreesMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich 1000 für die Untergrenze der Anzahl Iterationen ein",
     "upperMaxTreesKey": "Obergrenze:",
     "upperMaxTreesMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich 1000 für die Obergrenze der Anzahl Iterationen ein",
     "maxDepthKey": "Maximale Baumtiefe:",
     "maxDepthMessageKey": "Geben Sie für die maximale Tiefe eines Knotens in einem Baum einen ganzzahligen Wert größer 0 und kleiner oder gleich 50 ein",
     "maxBranchesKey": "Maximale Anzahl Zweige je Knoten:",
     "maxBranchesMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 2 und kleiner oder gleich 5 für die maximale Anzahl Zweige eines Knotens in einem Baum ein",
     "samplingGroupKey": "Sampling",
     "nodeOptionGroupKey": "Knoten teilen",
     "inbagFractionKey": "Stichprobenanteil der Trainingsbeobachtungen je Iteration:",
     "inbagFractionMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 für den Stichprobenanteil der Trainingsdatenbeobachtungen in der Datei ein",
     "useInbagFractionRangeKey": "Auto-Tune für Stichprobenanteil",
     "initialInbagFractionKey": "Startwert:",
     "initialInbagFractionMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Startwert für die Obergrenze des Stichprobenanteils je Iteration ein",
     "lowerInbagFractionKey": "Untergrenze:",
     "lowerInbagFractionMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Untergrenze des Stichprobenanteils je Iteration ein",
     "upperInbagFractionKey": "Obergrenze:",
     "upperInbagFractionMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Obergrenze des Stichprobenanteils je Iteration ein",
     "useInbagRandomSeedKey": "Zufallsstartwert",
     "inbagRandomSeedKey": "Zufallsstartwert:",
     "inbagRandomSeedMessageKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 und kleiner 2.147.483.648 ein",
     "inbagRandomSeedNoteKey": "Ergebnisse in einer verteilten Rechnerumgebung werden durch Angabe eines Zufallsstartwerts unter Umständen nicht repliziert.",
     "splittingGroupKey": "Knoten teilen",
     "minLeafSizeKey": "Mindestanzahl Beobachtungen für ein Blatt:",
     "minLeafSizeMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Mindestanzahl Beobachtungen für ein Blatt ein",
     "varsToTryLabelKey": "Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben:",
     "varsToTryComboKey": "Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben:",
     "varsToTryAllChoiceKey": "Alle Eingaben (Standard)",
     "varsToTryCustomKey": "Benutzerdefiniert",
     "customVarsToTryValueKey": "Anzahl Eingaben:",
     "customVarsToTryValueMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich der Gesamtanzahl ausgewählter Eingaben für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben ein",
     "useVarsToTryRangeKey": "Auto-Tune für Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben",
     "initialVarsToTryKey": "Startwert:",
     "initialVarsToTryMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich der Gesamtanzahl ausgewählter Eingaben als Startwert für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben ein",
     "lowerVarsToTryKey": "Untergrenze:",
     "lowerVarsToTryMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich der Gesamtanzahl ausgewählter Eingaben als Untergrenze für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben ein",
     "upperVarsToTryKey": "Obergrenze:",
     "upperVarsToTryMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 und kleiner oder gleich der Gesamtanzahl ausgewählter Eingaben als Obergrenze für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben ein",
     "learningRateKey": "Lernrate:",
     "learningRateMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 für die Lernrate ein",
     "useLearningRateRangeKey": "Auto-Tune für Lernrate",
     "initialLearningRateKey": "Startwert:",
     "initialLearningRateMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Startwert für die Lernrate ein",
     "lowerLearningRateKey": "Untergrenze:",
     "lowerLearningRateMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Untergrenze für die Lernrate ein",
     "upperLearningRateKey": "Obergrenze:",
     "upperLearningRateMessageKey": "Geben Sie einen Wert größer oder gleich 1e-6 und kleiner oder gleich 1 als Obergrenze für die Lernrate ein",
     "optimizationGroupKey": "Optimierung",
     "lassoRegularizationKey": "Lasso-Regularisierung:",
     "lassoRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Lasso-Regularisierungsparameter ein",
     "useLassoRegularizationKey": "Auto-Tune für LASSO-Regularisierung",
     "initialLassoRegularizationKey": "Startwert:",
     "initialLassoRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Startwert für den Lasso-Regularisierungsparameter ein",
     "lowerLassoRegularizationKey": "Untergrenze:",
     "lowerLassoRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Untergrenze für den Lasso-Regularisierungsparameter ein",
     "upperLassoRegularizationKey": "Obergrenze:",
     "upperLassoRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Obergrenze für den Lasso-Regularisierungsparameter ein",
     "ridgeRegularizationKey": "Ridge-Regularisierung:",
     "ridgeRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Lasso-Regularisierungsparameter ein",
     "useRidgeRegularizationKey": "Auto-Tune für Ridge-Regularisierung",
     "initialRidgeRegularizationKey": "Startwert:",
     "initialRidgeRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Startwert für den Ridge-Regularisierungsparameter ein",
     "lowerRidgeRegularizationKey": "Untergrenze:",
     "lowerRidgeRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Untergrenze für den Ridge-Regularisierungsparameter ein",
     "upperRidgeRegularizationKey": "Obergrenze:",
     "upperRidgeRegularizationMessageKey": "Geben Sie einen Wert größer oder gleich 0 als Obergrenze für den Ridge-Regularisierungsparameter ein",
     "autotuneGroupKey": "Auto-Tune Einstellungen",
     "autotuneKey": "Ausgewählte Optionen automatisch anpassen",
     "autotuneTimeNoteKey": "Hinweis: Rechnen Sie mit erheblich längeren Laufzeiten (Details)",
     "autotuneReadMoreKey": "Auto-Tune untersucht eine Vielzahl unterschiedlicher Kombinationen von Algorithmus-Optionen, mittels derer ein Modell (mehrere Modelle bei einer Kreuzvalidierung) trainiert werden soll. Einige dieser Kombinationen können längere Laufzeiten verursachen, um das bestmögliche Modell zu ermitteln.  Die zur Ermittlung des besten Modells benötigte Gesamtlaufzeit kann variieren, daher müssen Sie im Vergleich zum Training eines einzelnen Modells mit einer erheblich längeren Laufzeit rechnen.",
     "autotuneComboKey": "Validierungsmethode:",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "k-fache Kreuzvalidierung",
     "autoValidationFractionKey": "Anteil der Validierungsfälle:",
     "autoValidationFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Validierungsdatenbeobachtungen ein",
     "autoNFoldsKey": "Anzahl Faltungen:",
     "autoNFoldsMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 2 und kleiner oder gleich 20 für die Anzahl der Faltungen ein",
     "autoMaxtimeKey": "Maximale Zeit (in Minuten):",
     "autoMaxtimeMessageKey": "Geben Sie eine Zahl größer oder gleich 1 für die maximale Zeit in Minuten ein",
     "autoMaxiterKey": "Maximale Anzahl Iterationen:",
     "autoMaxiterMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 1 für die maximale Anzahl Iterationen ein",
     "autoSearchMethodKey": "Suchmethode:",
     "gaSearchChoiceKey": "Genetischer Algorithmus",
     "lhsSearchChoiceKey": "Latin-Hypercube-Stichprobenverfahren",
     "randomSearchChoiceKey": "Zufallsstichprobe",
     "bayesSearchChoiceKey": "Bayessche Stichprobe",
     "autoSampleSizeKey": "Stichprobengröße:",
     "autoSampleSizeMessageKey": "Geben Sie für die Stichprobengröße einen ganzzahligen Wert größer 1 ein",
     "autoNominalObjectiveKey": "Zielfunktion:",
     "autoIntervalalObjectiveKey": "Zielfunktion der Modellanpassung:",
     "autotuneASEChoiceKey": "Durchschnittlicher quadratischer Fehler",
     "autotuneAUCChoiceKey": "Fläche unter Kurve",
     "autotuneF1ChoiceKey": "F1-Score",
     "autotuneF05ChoiceKey": "F0.5-Score",
     "autotuneGammaChoiceKey": "Goodman-Kruskal-Gamma",
     "autotuneGiniChoiceKey": "Gini-Koeffizient",
     "autotuneMCLLChoiceKey": "Multi-Class Log Loss",
     "autotuneMiscChoiceKey": "Falschklassifikationsrate",
     "autotuneRaseChoiceKey": "Wurzel aus mittlerem quadratischem Fehler",
     "autotuneTauChoiceKey": "Kendalls Tau-a",
     "autotuneMAEChoiceKey": "Mittlerer absoluter Fehler",
     "autotuneMSLEChoiceKey": "Mittlerer quadratischer logarithmischer Fehler",
     "autotuneRMAEChoiceKey": "Wurzel des mittleren absoluten Fehlers",
     "autotuneRMSLEChoiceKey": "Wurzel des mittleren quadratischen logarithmischen Fehlers",
     "autotuneKSChoiceKey": "Kolmogorov-Smirnov-Statistik",
     "autoTargetEventComboKey": "Untersuchtes Ereignis:",
     "autoUseFirstLevelChoiceKey": "Ersten Zielwert verwenden",
     "autoSelectLevelChoiceKey": "Zielwert auswählen",
     "autoEventComboKey": "Ausgewähltes Ereignis:",
     "autoEventComboSelectKey": "Ausprägung auswählen",
     "useAutoNParallelKey": "Anzahl paralleler Evaluierungen festlegen",
     "autoNParallelKey": "Parallele Evaluierungen:",
     "autoNParallelMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 1 für die Anzahl paralleler Evaluierungen ein",
     "autotuneDetailsGroupKey": "Einstellungen für Genetischer Algorithmus",
     "autoMaxevalsKey": "Maximale Anzahl Evaluierungen:",
     "autoMaxevalsMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 3 für die maximale Anzahl Evaluierungen ein",
     "autoPopsizeKey": "Evaluierungen pro Iteration:",
     "autoPopsizeMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 2 für die maximale Anzahl Evaluierungen je Iteration ein",
     "tuneHistoryComboKey": "Evaluierungshistorie-Bericht:",
     "tableHistoryKey": "Ergebnistabelle",
     "logHistoryKey": "Log",
     "allHistoryKey": "Ergebnistabelle und Protokoll",
     "noHistoryKey": "Bericht unterdrücken",
     "tunerplotGroupKey": "Auto-Tune für Plots",
     "tunerPlotKey": "Zielfunktionsverlauf",
     "bestPlot": "Verlauf für beste Zielfunktion",
     "byparmPlotKey": "Optionswerte vs. Zielfunktion",
     "outputTabKey": "AUSGABE",
     "outputGroupKey": "AUSGABEDATEN",
     "odsOutputLibrefNoteKey": "Für folgenden Dateien muss eine SAS-Libref verwendet werden:",
     "casOutputLibrefNoteKey": "Für folgende Tabellen muss eine CAS Engine Libref verwendet werden:",
     "outputDSKey": "Bewertete Daten speichern",
     "outputDSNameKey": "CAS-Tabelle angeben:",
     "includeVarsInstructionKey": "Variablen aus Eingabe CAS-Tabelle einbeziehen:",
     "includeAllVarsKey": "Alle Variablen",
     "includeAnalysisVarsKey": "In Analyse verwendete Variablen",
     "includeSelectedVarsKey": "Ausgewählte Variablen",
     "outModelDSKey": "Modell speichern",
     "outModelDSNameKey": "CAS-Tabelle angeben:",
     "outFitDSKey": "Anpassungsstatistiken speichern",
     "outFitDSNameKey": "SAS-Datei angeben:",
     "outVarImpDSKey": "Maße für Variablenbedeutung speichern",
     "outVarImpDSNameKey": "SAS-Datei angeben:",
     "scoreCodeKey": "Scoring-Modell speichern",
     "scoringCodeFileNameKey": "CAS-Tabelle angeben:",
     "includeVarsInstruction2Key": "Variablen aus Eingabe CAS-Tabelle einbeziehen:",
     "includeAllVars2Key": "Alle Variablen",
     "includeAnalysisVarsPred2Key": "In Analyse verwendete Variablen mit Ausnahme von Ziel, für Vorhersage",
     "includeAnalysisVarsAssess2Key": "In Analyse verwendete Variablen einschließlich Ziel, für Bewertung",
     "plotsGroupKey": "PLOTS",
     "asePlotKey": "Durchschnittlicher quadratischer Fehler nach Anzahl der Iterationen",
     "missclassPlotKey": "Fehlklassifikationen nach Anzahl der Iterationen",
     "variableImportancePlotKey": "Diagramm der Variablenbedeutung",
     "plotTitle1Key": "Fehlklassifikationen nach Anzahl der Iterationen",
     "plotTitle1intKey": "Durchschnittlicher quadratischer Fehler nach Anzahl der Iterationen",
     "plotTitle2Key": "Out-of-Bag vs. Training",
     "plotTitle2vKey": "Training vs. Validierung",
     "plotTitle2aKey": "Training",
     "asePlotTitleKey": "Durchschnittlicher Quadratefehler",
     "missclassPlotTitleKey": "Fehlklassifikationsanteil",
     "nTreesPlotTitleKey": "Anzahl Iterationen",
     "trainingPlotTitleKey": "Training",
     "oobPlotTitleKey": "OOB",
     "validPlotTitleKey": "Validierung",
     "variableImportancePlotTitleKey": "Variablenbedeutung",
     "autotitle1": "Tunen mit",
     "partitionGroupKey": "Datenpartitionierung",
     "inputDataLabelKey": "Eingabedaten enthalten Trainingdaten. Einschließen:",
     "testDataChoiceKey": "Testdaten",
     "validationDataChoiceKey": "Validierungsdaten",
     "trainingDataFractionKey": "Anteil der Trainingsfälle:",
     "trainingDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Trainingsdatenbeobachtungen ein",
     "testDataFractionKey": "Anteil der Testfälle:",
     "testDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Testdatenbeobachtungen ein",
     "validationDataFractionKey": "Anteil der Validierungsfälle:",
     "validationDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Validierungsdatenbeobachtungen ein",
     "useRandomSeedKey": "Zufallsstartwert",
     "randomSeedKey": "Zufallsstartwert:",
     "randomSeedMessageKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 und kleiner 2.147.483.648 ein",
     "partitionRandomSeedNoteKey": "Ergebnisse in einer verteilten Rechnerumgebung werden durch Angabe eines Zufallsstartwerts unter Umständen nicht repliziert.",
     "partitionDataComboKey": "Partitionen identifizieren:",
     "partitionDataFractionChoiceKey": "Stichprobenanteil angeben",
     "partitionDataVariableChoiceKey": "Wert einer Partitionierungsvariable auswählen",
     "validationLevelComboKey": "Validierungsdatenwert:",
     "testLevelComboKey": "Testdatenwert:",
     "useTrainingLevelKey": "Trainingsdatenwert auswählen",
     "trainingLevelComboKey": "Trainingsdatenwert:",
     "categoricalTargetKey": "Nominalziel:",
     "continuousTargetKey": "Intervallziel:",
     "intervalVariablesKey": "Intervalleingaben:",
     "ordinalVariablesKey": "Ordinaleingaben:",
     "nominalVariablesKey": "Nominaleingaben:",
     "copyVariablesKey": "Diese Variablen einbeziehen:",
     "outputVariables2Key": "Diese Variablen einbeziehen:",
     "partitionVariableKey": "Partitionierungsvariable:",
     "intervalOrdinalNominalRequirementKey": "Wählen Sie mindestens eine Intervall- oder Nominaleingabe aus.",
     "sumSamplingProportionsRequirementKey": "Die Summe der Sampling-Anteile für Validierungs- und Testdaten muss kleiner 1,0 sein.",
     "partitionVariableValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Validierungs- und Tesfälle unterschiedlich sein.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Trainings- und Validierungfälle unterschiedlich sein.",
     "partitionVariableTraining_TestValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Trainings- und Testfälle unterschiedlich sein.",
     "useMaxTreeRangeRequirementKey": "Die Untergrenze für die Anzahl Iterationen muss kleiner als die Obergrenze sein.",
     "useInbagFractionRangeRequirementKey": "Die Untergrenze für den Stichprobenanteil muss kleiner als die Obergrenze sein.",
     "useLearningRateRangeRequirementKey": "Die Untergrenze für die Lernrate muss kleiner als die Obergrenze sein.",
     "useVarsToTryRangeRequirementKey": "Die Untergrenze für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben muss kleiner als die Obergrenze sein.",
     "useVarsToTryInitialValueTooLargeRequirementKey": "Der Startwert für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben darf nicht größer als die Gesamtanzahl der ausgewählten Eingaben sein.",
     "useVarsToTryLowerBoundsTooLargeRequirementKey": "Die Untergrenze für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben darf nicht größer sein als die Gesamtanzahl ausgewählter Eingaben.",
     "useVarsToTryUpperBoundsTooLargeRequirementKey": "Die Obergrenze für die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben darf nicht größer sein als die Gesamtanzahl ausgewählter Eingaben.",
     "useVarsToTryValueTooLargeRequirementKey": "Die Anzahl der zur Teilung eines Knotens berücksichtigten Eingaben darf nicht größer als die Gesamtanzahl der ausgewählten Eingaben sein.",
     "useLassoRegularizationRangeRequirementKey": "Die Untergrenze für den LASSO-Regularisierungsparameter muss kleiner als die Obergrenze sein.",
     "useRidgeRegularizationRangeRequirementKey": "Die Untergrenze für den Ridge-Regularisierungsparameter muss kleiner als die Obergrenze sein.",
     "noAutotuneOptionsRequirementKey": "Wählen Sie mindestens eine Option für Auto-Tune aus.",
     "scoredDataAndModelDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Score-Daten und Modelle dürfen nicht identisch sein.",
     "scoredDataAndFitDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Score-Daten und Anpassungsstatistiken dürfen nicht identisch sein.",
     "scoredDataAndVarImpDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Score-Daten und Variablenbedeutung dürfen nicht identisch sein.",
     "scoredDataAndScoringModelDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Score-Daten und Scoring-Modell dürfen nicht identisch sein.",
     "ModelAndFitDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Anpassungsstatistiken und Modell dürfen nicht identisch sein.",
     "ModelAndVarImpDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Modell und Variablenbedeutung dürfen nicht identisch sein.",
     "ModelAndScoringModelDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Modell und Scoring-Modell dürfen nicht identisch sein.",
     "fitAndVarImpDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Anpassungsstatistiken und Variablenbedeutung dürfen nicht identisch sein.",
     "fitAndScoringModelDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Anpassungsstatistiken und Scoring-Modell dürfen nicht identisch sein.",
     "varImpAndScoringModelDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Variablenbedeutung und Scoring-Modell dürfen nicht identisch sein.",
     "outputDSNameMsgKey": "Der Name der bewerteten Datei muss aus zwei Teilen bestehen und muss eine CAS Engine Libref enthalten.",
     "outmodelDSNameMsgKey": "Der Name der Modelldatei muss aus zwei Teilen bestehen und muss eine CAS Engine Libref enthalten.",
     "scoringCodeFileNameMsgKey": "Der Name der Analytic Store-Datei muss aus zwei Teilen bestehen und muss eine CAS Engine Libref enthalten."
});
