define({
     "NameKey": "Clustering",
     "DescriptionKey": "Die Task Clustering führt ein Clustering intervallskalierter Eingabedaten unter Einsatz des k-means-Algorithmus bzw. ein Clustering nominalskalierter Eingabedaten unter Einsatz des k-modes-Algorithmus durch.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur KCLUS",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "methodsGroupKey": "METHODEN",
     "measurementLevelGroupKey": "SKALENNIVEAU",
     "dataPrepGroupKey": "Datenvorbereitung",
     "measurementLevelsLabelKey": "In Clustering verwendete Eingaben:",
     "intervalDataKey": "Intervalleingaben",
     "nominalDataKey": "Nominaleingaben",
     "bothDataKey": "Intervall- und Nominaleingaben",
     "intervalLabelKey": "Intervalleingaben",
     "nominalLabelKey": "Nominaleingaben",
     "missingValuesLabelKey": "Fehlende Werte",
     "intervalImputeDataKey": "Fehlende Intervallwerte durch Mittelwert ersetzen",
     "nominalImputeDataKey": "Fehlende Nominalwerte durch häufigsten Wert ersetzen",
     "stdGroupKey": "STANDARDISIERUNG",
     "intervalStdizeMethodKey": "Standardisierungsmethode:",
     "noStdChoiceKey": "Keine Standardisierung",
     "stdDevChoiceKey": "Standardabweichung",
     "rangeChoiceKey": "Spannweite",
     "intervalStdNoteKey": "Mittelwert subtrahieren, durch Standardabweichung dividieren (Standard)",
     "intervalRangeNoteKey": "Minimum subtrahieren, durch Spannweite dividieren",
     "clusteringGroupKey": "Clustering",
     "intervalDistanceComboKey": "Abstandsintervallmaß auswählen:",
     "euclideanDistanceChoiceKey": "Euklidischer Abstand",
     "cityBlockDistanceChoiceKey": "City Block (Manhattan)-Abstand",
     "binaryDistanceComboKey": "Nominalabstandsmaß auswählen:",
     "binaryDistanceChoiceKey": "Einfacher Ähnlichkeitsabstand",
     "globalFreqChoiceKey": "Häufigkeitsbasierende Unähnlichkeit",
     "relativeFreqChoiceKey": "Cluster-Häufigkeitsbasierende Unähnlichkeit",
     "gammaKey": "Gewichtung des nominalen Abstandsmaßes (Gamma):",
     "gammaMessageKey": "Geben Sie eine Zahl größer 0 für die Gewichtung des nominalen Abstandsmaßes ein",
     "numberOfClustersLabelKey": "Anzahl Cluster:",
     "specifyNumberOfClustersaKey": "Anzahl Cluster angeben",
     "estimateNumberOfClustersKey": "Anzahl Cluster schätzen",
     "numClustersKey": "Anzahl Cluster:",
     "numClustersMessageKey": "Geben Sie für die Anzahl der Cluster einen ganzzahligen Wert größer 0 und kleiner 2.147.483.648 ein",
     "minClustersKey": "Mindestanzahl Cluster:",
     "minClustersMessageKey": "Geben Sie für die Mindestanzahl Cluster einen ganzzahligen Wert größer 0 und kleiner 2.147.483.648 ein",
     "maxClustersKey": "Maximalanzahl Cluster:",
     "maxClustersMessageKey": "Geben Sie für die Maximalanzahl Cluster einen ganzzahligen Wert größer 0 und kleiner 2.147.483.648 ein",
     "abcCriterionComboKey": "Kriterium für Schätzung der Anzahl Cluster auswählen:",
     "defaultCriterionChoiceKey": "Standard",
     "globalPeakChoiceKey": "Globalen Spitzenwert in Gap-Statistiken verwenden",
     "firstPeakChoiceKey": "Ersten Spitzenwert in Gap-Statistiken verwenden",
     "allCriterionChoiceKey": "Alle Kriterien verwenden",
     "clusterDetailsKey": "Details",
     "useRandomSeedKey": "Zufallsstartwert",
     "randomSeedKey": "Zufallsstartwert:",
     "randomSeedMissingKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedInvalidKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedPromptKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedRangeKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedNoteKey": "Ergebnisse in einer verteilten Rechnerumgebung werden durch Angabe eines Zufallsstartwerts unter Umständen nicht repliziert.",
     "useMaxiterKey": "Maximale Anzahl Iterationen",
     "maxiterKey": "Anzahl Iterationen:",
     "maxiterMessageKey": "Geben Sie für die maximale Anzahl Iterationen einen ganzzahligen Wert größer 0 ein",
     "outputTabKey": "AUSGABE",
     "outputGroupKey": "AUSGABEDATEN",
     "casOutputLibrefNoteKey": "Für folgende Tabellen muss eine CAS Engine Libref verwendet werden:",
     "outDSKey": "Cluster Scores speichern",
     "outDSNameKey": "CAS-Tabelle angeben:",
     "includeVarsInstructionKey": "Variablen aus Eingabe CAS-Tabelle einbeziehen:",
     "includeAllVarsKey": "Alle Variablen",
     "includeAnalysisVarsKey": "In Analyse verwendete Variablen",
     "includeSelectedVarsKey": "Ausgewählte Variablen",
     "includeNoVarsKey": "Keine Variablen",
     "outstatDSKey": "Cluster-Statistiken speichern",
     "outstatDSNameKey": "CAS-Tabelle angeben:",
     "scoreCodeFileKey": "Geben Sie den Pfadnamen für den Scoring Code an:",
     "scoreCodeKey": "Scoring Code speichern",
     "scoringCodeFileNameKey": "",
     "statsGroupKey": "STATISTIKEN",
     "statsComboKey": "Statistiken anzeigen:",
     "defaultPrintKey": "Standardstatistiken",
     "customPrintKey": "Ausgewählte Statistiken",
     "noprintKey": "Keine",
     "plotsGroupKey": "PLOTS",
     "gapByClusterPlotKey": "Gap-Statistik nach Anzahl der Cluster",
     "intervalVariablesKey": "Intervalleingaben:",
     "nominalVariablesKey": "Nominaleingaben:",
     "freqVariableKey": "Häufigkeit:",
     "copyVariablesKey": "Diese Variablen einbeziehen:",
     "minMaxClustersRequirementKey": "Die Maximalanzahl Cluster darf nicht kleiner sein als die Mindestanzahl Cluster.",
     "scoresAndStatsDatasetsMustBeDifferentMsgKey": "Die Namen der Ausgabedateien für Cluster Scores und Statistiken dürfen nicht identisch sein.",
     "outputDSNameMsgKey": "Der Name der Cluster-Scoredatei muss aus zwei Teilen bestehen und eine CAS Engine Libref enthalten.",
     "outmodelDSNameMsgKey": "Der Name der Cluster-Statistikdatei muss aus zwei Teilen bestehen und eine CAS Engine Libref enthalten."
});
