define({
     "NameKey": "Variablenauswahl",
     "DescriptionKey": "Die Task Variablenauswahl führt eine Variablenauswahl (überwacht bzw. unüberwacht) durch, indem sie nach einer Menge von Variablen sucht, die gemeinsam die maximale Varianz der Daten beschreiben, die in der Zielvariable bzw. der Datentabelle enthalten sind.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Proc VARREDUCE",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "modelTabKey": "MODELL",
     "optionsTabKey": "OPTIONEN",
     "outputTabKey": "AUSGABE",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "targetGroupKey": "Zielvariable",
     "unsupervisedKey": "Unüberwachte Variablenauswahl",
     "supervisedKey": "Überwachte Variablenauswahl",
     "inputsGroupKey": "Eingaben",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "intervalTargetKey": "Intervallziel verwenden",
     "nominalTargetKey": "Nominalziel verwenden",
     "modelEffectsGroupKey": "MODELLEFFEKTE",
     "mainModelKey": "Haupteffektmodell",
     "mainNwayEffectsKey": "Haupteffekte und alle n-fach-Interaktionen",
     "nwayKey": "N:",
     "nwayMessageKey": "Geben Sie einen ganzzahligen Wert größer 1 für die maximale Ordnung der Interaktionen ein.",
     "advancedModelKey": "Benutzerdefiniertes Modell",
     "modelBuilderKey": "",
     "methodsGroupKey": "METHODEN",
     "correlationStatsKey": "Variablenauswahl auf Basis von:",
     "correlationKey": "Korrelationen (Standard)",
     "covarianceKey": "Kovarianzen",
     "sscpKey": "Quadratsummen und Kreuzprodukte",
     "selectionGroupKey": "AUSWAHL",
     "selTechniqueLabelKey": "Variablenauswahlmethode:",
     "selDiscriminantKey": "Diskriminanzanalyse",
     "selVarianceKey": "Varianzanalyse",
     "stopCriteriaGroupKey": "Abbruchkriterien",
     "selCriterionGroupKey": "Modellauswahlkriterium",
     "aicKey": "Akaike's Informationskriterium (AIC)",
     "aiccKey": "Korrigiertes Akaike's Informationskriterium (AIC)",
     "bicKey": "Schwarz-Bayes'sches Informationskriterium",
     "varExplainedLabelKey": "Anteil der erklärten Gesamtvarianz:",
     "varExplainedDefaultKey": "0,9 (Standard)",
     "varExplainedCustomKey": "Benutzerdefiniert",
     "varExplainedKey": "Anteil der Gesamtvarianz:",
     "varExplainedPromptKey": "Geben Sie eine Zahl größer 0 und kleiner 1 ein.",
     "maxEffectsLabelKey": "Maximale Anzahl ausgewählter Effekte:",
     "maxEffectsDefaultKey": "200 (Standard)",
     "maxEffectsCustomKey": "Benutzerdefiniert",
     "maxEffectsKey": "Anzahl ausgewählter Effekte:",
     "maxEffectsPromptKey": "Geben Sie eine Ganzzahl größer oder gleich 1 und kleiner oder gleich 9999 ein.",
     "varIncrementChkboxKey": "Mindestschrittweite der erklärten Varianz angeben",
     "varIncrementKey": "Schrittweite der erklärten Varianz:",
     "varIncrementPromptKey": "Geben Sie eine Zahl größer 0 und kleiner 1 ein.",
     "maxItersChkboxKey": "Maximale Anzahl Iterationen angeben",
     "maxItersKey": "Anzahl Iterationen:",
     "maxItersPromptKey": "Geben Sie eine Ganzzahl größer oder gleich 1 und kleiner oder gleich 9999 ein.",
     "plotsGroupKey": "PLOTS",
     "iterPlotKey": "Iterationsplot",
     "iterPlotTitleKey": "Erklärte Varianz nach Iteration",
     "iterPlotYaxisLabelKey": "Erklärte Varianz",
     "outputGroupKey": "AUSGABEDATEN",
     "odsOutputLibrefNoteKey": "Für folgenden Dateien muss eine SAS-Libref verwendet werden.",
     "outputSelSummaryKey": "Auswahlübersicht speichern",
     "outputSelSummaryNameKey": "SAS-Datei angeben:",
     "outputSelEffectsKey": "Ausgewählte Variablen speichern",
     "outputSelEffectsNameKey": "SAS-Datei angeben:",
     "casOutputLibrefNoteKey": "Für folgende Tabelle muss eine CAS Engine Libref verwendet werden:",
     "outputCPKey": "Matrixdaten erstellen",
     "outputCPNameKey": "CAS-Tabelle angeben:",
     "matrixListFormatKey": "Matrix im List-of-list-Format (LIL) generieren",
     "useEpsilonKey": "Einträge ausschließen, deren absolute Werte kleiner sind als der Toleranzwert",
     "epsilonKey": "Toleranzwert:",
     "epsilonMissingKey": "Geben Sie eine Zahl größer oder gleich 0 ein.",
     "epsilonInvalidKey": "Geben Sie eine Zahl größer oder gleich 0 ein.",
     "epsilonPromptKey": "Geben Sie eine Zahl größer oder gleich 0 ein.",
     "epsilonRangeKey": "Geben Sie eine Zahl größer oder gleich 0 ein.",
     "grplabelKey": "Gruppe",
     "targetKey": "Ziel:",
     "intervalVariablesKey": "Intervalleingaben:",
     "nominalVariablesKey": "Nominaleingaben:",
     "freqVariableKey": "Häufigkeit:",
     "inputsNeededRequirementKey": "Wählen Sie mindestens eine Intervall- oder Nominaleingabe aus.",
     "modelEffectsNeededRequirementKey": "Fügen Sie auf dem Reiter MODELL einen oder mehrere Effekte zum Kandidatenmodell hinzu.",
     "outputDSNameCollisionMsgKey": "Die Namen der Ausgabedateien für Auswahlübersicht und Ausgewählte Variablen dürfen nicht identisch sein.",
     "outputCPNameMsgKey": "Der Name der Matrixdatei muss aus zwei Teilen bestehen und muss eine CAS Engine Libref enthalten."
});
