define({
     "NameKey": "Binär logistische Regression",
     "DescriptionKey": "Die Binär logistische Regression führt eine logistische Regression für eine binäre abhängige Variable aus.",
     "LinkKey1": "SAS Studio Benutzerhandbuch",
     "LinkKey2": "Prozedur HPLOGISTIC",
     "LinkKey3": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "explanatoryGroupKey": "Erklärende Variablen",
     "classParamGroupKey": "Parameterisierung der Effekte",
     "classParamKey": "Kodierung:",
     "defaultParamChoiceKey": "Standardkodierung",
     "glmParamChoiceKey": "GLM-Kodierung",
     "effectsParamChoiceKey": "Effektkodierung",
     "refParamChoiceKey": "Referenzkodierung",
     "classMissingGroupKey": "Behandlung fehlender Werte",
     "classMissingNoteKey": "Eine Beobachtung wird dann aus der Analyse ausgeschlossen, wenn eine der Variablen im Modell einen fehlenden Wert enthält. Eine Beobachtung wird außerdem ausgeschlossen, wenn eine der oben angegebenen Klassifizierungsvariablen einen fehlenden Wert enthält (unabhängig davon, ob die Klassifizierungsvariable im Modell verwendet wird).",
     "modelGroupKey": "MODELLEFFEKTE",
     "modelTabKey": "MODELL",
     "standardModelInstructionKey": "Modelltyp auswählen:",
     "mainEffectsChoiceKey": "Haupteffektmodell",
     "mainNwayEffectsChoiceKey": "Haupteffekte und alle n-fach-Interaktionen",
     "customModelChoiceKey": "Benutzerdefiniertes Modell",
     "modelBuilderKey": "",
     "nwayKey": "N:",
     "nwayMessageKey": "Geben Sie einen ganzzahligen Wert größer 1 für die maximale Ordnung der Interaktionen",
     "responseGroupKey": "Abhängige Variable",
     "eventTrialsDataKey": "Daten der abhängigen Variable enthalten eine Anzahl an Ereignissen und Versuchen",
     "referenceLevelComboKey": "Untersuchtes Ereignis:",
     "referenceLevelComboSelectKey": "Ausprägung auswählen",
     "linkFxKey": "Link-Funktion:",
     "cLogLogChoiceKey": "Komplementär log-log",
     "logLogChoiceKey": "Log-log",
     "logitChoiceKey": "Logit",
     "probitChoiceKey": "Probit",
     "methodsGroupKey": "METHODEN",
     "resultsGroupKey": "ERGEBNISSE",
     "statisticsGroupKey": "STATISTIKEN",
     "statsComboKey": "Anzuzeigende Statistiken auswählen:",
     "defaultStatsChoiceKey": "Standardstatistiken",
     "customStatsChoiceKey": "Standard- & weitere Statistiken",
     "noStatsChoiceKey": "Keine",
     "additionalStatsLabelKey": "Weitere Statistiken",
     "parmEstGroupKey": "Parameterschätzer",
     "clKey": "Konfidenzintervalle für Parameterschätzer",
     "stbKey": "Standardisierte Parameterschätzer",
     "confidenceKey": "Konfidenzniveau:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Benutzerdefiniert",
     "confidenceValueKey": "Benutzerdefiniertes Konfidenzniveau:",
     "confidenceValueMessageKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "ctableKey": "Klassifizierungstabelle",
     "rsquareKey": "Verallgemeinertes R-Quadrat",
     "associationKey": "Assoziationsmaße",
     "lackfitKey": "Hosmer & Lemeshow-Test auf Anpassungsgüte",
     "useNGroupsKey": "Anzahl Gruppen angeben",
     "nGroupsKey": "Benutzerdefiniert:",
     "nGroupsMessageKey": "Geben Sie einen Wert größer oder gleich 5 für die maximale Anzahl von Gruppen ein",
     "diagnosticsGroupKey": "Diagnosen",
     "selectionTabKey": "AUSWAHL",
     "selectionGroupKey": "MODELLAUSWAHL",
     "selectionMethodKey": "Auswahlmethode:",
     "noneSelectionChoiceKey": "Keine",
     "forwardChoiceKey": "Vorwärtsverfahren",
     "backwardChoiceKey": "Abwärtsverfahren",
     "fastBackwardChoiceKey": "Schnellabwärtsverfahren",
     "stepwiseChoiceKey": "Schrittweise Auswahl",
     "fastStepwiseChoiceKey": "Schrittweise Auswahl mit Schnellabwärtsverfahren",
     "noCvSelectMethodKey": "Hinzufügen/Entfernen von Effekten mit:",
     "noCvChooseMethodKey": "Bestes Modell auswählen nach:",
     "noCvStopMethodKey": "Beende Hinzufügen/Entfernen von Effekten mit:",
     "cvChooseMethodKey": "Bestes Modell auswählen nach:",
     "cvStopMethodKey": "Beende Hinzufügen/Entfernen von Effekten mit:",
     "defaultCriterionChoiceKey": "Standardkriterium",
     "sigLevelChoiceKey": "Signifikanzniveau",
     "adjrsqChoiceKey": "Korrigiertes R-Quadrat-Statistik",
     "aicChoiceKey": "Akaike's Informationskriterium (AIC)",
     "aiccChoiceKey": "Akaike's Informationskriterium korrigiert für kleine Stichproben",
     "bicChoiceKey": "Sawa Bayes'sches Informationskriterium",
     "crossValidateChoiceKey": "Kreuzvalidierung",
     "cpChoiceKey": "Mallows' C(p)-Statistik",
     "pressChoiceKey": "PRESS-Statistik",
     "sbcChoiceKey": "Schwarz-Bayes'sches Informationskriterium",
     "rsquareChoiceKey": "R-Quadrat-Statistik",
     "validateChoiceKey": "Durchschnittlicher quadratischer Fehler für Validierungsdaten",
     "slEntryKey": "Signifikanzniveau für das Hinzufügen eines Effekts zum Modell:",
     "slEntryMessageKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt zum Modell hinzuzufügen",
     "slStayKey": "Signifikanzniveau für das Entfernen eines Effekts aus dem Modell:",
     "slStayMessageKey": "Geben Sie für das Signifikanzniveau einen Wert größer 0 und kleiner 1 ein, um einen Effekt aus dem Modell zu entfernen",
     "selectionDetailsGroupKey": "DETAILS",
     "detailsComboKey": "Details für Auswahlprozess:",
     "summaryDetailsChoiceKey": "Auswahlübersicht",
     "stepDetailsChoiceKey": "Details zu Einzelschritten",
     "allDetailsChoiceKey": "Alle",
     "splitClassComboKey": "Klassifizierungseffekte hinzufügen/entfernen als:",
     "singleDFEffectChoiceKey": "Einzelne Freiheitsgradeeffekte",
     "entireEffectChoiceKey": "Gesamten Effekt",
     "hierarchyLabelKey": "Modelleffektehierarchie: Für jeden Term, der im Modell enthalten sein soll, müssen alle im Term enthaltenen Modelleffekte auch im Modell vorhanden sein",
     "hierarchyKey": "Effektehierarchie beibehalten",
     "useIncludeListKey": "In allen Modellen verwendete Effekte auswählen",
     "includeListKey": "Verwendete Effekte:",
     "optimizationGroupKey": "Optimierung",
     "optMethodKey": "Methode:",
     "defaultOptChoiceKey": "Standard",
     "newrapChoiceKey": "Newton-Raphson",
     "congraChoiceKey": "Conjugate-Gradient",
     "doubleDogChoiceKey": "Double-Dogleg",
     "quasiNewtonChoiceKey": "Dual Quasi-Newton",
     "simplexChoiceKey": "Nelder-Mead Simplex",
     "trustRegionChoiceKey": "Trust Region",
     "newtonRidgingChoiceKey": "Mit Ridging",
     "newtonLineSearchChoice": "Mit Liniensuche",
     "maxiterComboKey": "Maximale Anzahl Iterationen:",
     "maxiterDefaultChoiceKey": "Standardwert verwenden",
     "maxiterCustomChoiceKey": "Benutzerdefiniert",
     "maxiterKey": "Max. Anzahl Iterationen:",
     "maxiterMessageKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "outputTabKey": "AUSGABE",
     "outputGroupKey": "AUSGABEDATEI",
     "outputDSKey": "Beobachtungsstatistiken speichern",
     "outputDSNameKey": "Dateiname:",
     "residualStatsGroupKey": "Residuen",
     "influenceStatsGroupKey": "Einflusstatistiken",
     "predictedStatsGroupKey": "Prognostizierte Werte",
     "otherStatsGroupKey": "Andere Statistiken",
     "linpKey": "Linearer Prädiktor",
     "predKey": "Prognostizierte Werte",
     "clPredKey": "Konfidenzgrenzen für prognostizierte Werte",
     "pearsonKey": "Pearsonsche Residuen",
     "adjPearsonKey": "Korrigierte pearsonsche Residuen",
     "resdualKey": "Roh-Residuen",
     "resdevChoiceKey": "Abweichungs-Residuen",
     "reslikChoiceKey": "Likelihood-Residuen",
     "stdReschiChoiceKey": "Standardisierte Pearsonsche Residuen",
     "stdResdevChoiceKey": "Standardisierte Abweichungs-Residuen",
     "leverageChoiceKey": "Leverage",
     "stdXbetaChoiceKey": "Standardfehler des linearen Prädiktors",
     "difChisqChoiceKey": "Veränderung der Chi-Quadrat Anpassungsgüte durch Entfernen der Einzelbeobachtung",
     "difDevChoiceKey": "Veränderung der Abweichung durch Entfernen der Einzelbeobachtung",
     "includeVarsInstructionKey": "Variablen aus Eingabedatei einbeziehen:",
     "includeAllVarsKey": "Alle Variablen",
     "includeSelectedVarsKey": "Ausgewählte Variablen",
     "includeNoVarsKey": "Keine Variablen",
     "scoreDSKey": "Scored-Datei erstellen",
     "scoreDSNameKey": "Dateiname:",
     "scoreCodeKey": "SAS-Scoring Code zu Log hinzufügen",
     "partitionGroupKey": "Datenpartitionierung",
     "inputDataLabelKey": "Eingabedaten enthalten Trainingdaten und:",
     "testDataChoiceKey": "Testdaten",
     "validationDataChoiceKey": "Validierungsdaten",
     "trainingDataFractionKey": "Anteil der Trainingsfälle:",
     "trainingDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Trainingsdatenbeobachtungen ein",
     "testDataFractionKey": "Anteil der Testfälle:",
     "testDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Testdatenbeobachtungen ein",
     "validationDataFractionKey": "Anteil der Validierungsfälle:",
     "validationDataFractionMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für den Anteil der in der Datei enthaltenen Validierungsdatenbeobachtungen ein",
     "useRandomSeedKey": "Zufallsstartwert",
     "randomSeedKey": "Zufallsstartwert:",
     "randomSeedMessageKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "partitionDataComboKey": "Ermittlung der Validierungs- oder Testdatenfälle:",
     "partitionDataFractionChoiceKey": "Stichprobenanteil angeben",
     "partitionDataVariableChoiceKey": "Wert einer Partitionierungsvariable auswählen",
     "validationLevelComboKey": "Validierungsdatenwert:",
     "testLevelComboKey": "Testdatenwert:",
     "useTrainingLevelKey": "Trainingsdatenwert auswählen",
     "trainingLevelComboKey": "Trainingsdatenwert:",
     "responseVariableKey": "Abhängige Variable:",
     "eventVariableKey": "Anzahl Ereignisse:",
     "trialsVariableKey": "Anzahl Versuche:",
     "continuousVariablesKey": "Stetige Variablen:",
     "classVariablesKey": "Klassifizierungsvariablen:",
     "offsetVariableKey": "Offset-Variable:",
     "idVariablesKey": "Diese Variablen einbeziehen:",
     "freqVariableKey": "Häufigkeit:",
     "weightVariableKey": "Gewichtungsvariable:",
     "byVariablesKey": "Analyse gruppieren nach:",
     "partitionVariableKey": "Partitionierungsvariable:",
     "continuousClassRequirementKey": "Wählen Sie mindestens eine stetige oder eine Klassifizierungsvariable aus.",
     "modelEffectsNeededRequirementKey": "Fügen Sie auf dem Reiter MODELL einen oder mehrere Effekte zum Modell hinzu.",
     "includeEffectsNeededRequirementKey": "Wählen Sie mindestens einen Effekt aus, der in allen Modellen verwendet werden soll.",
     "outputRequirementKey": "Wählen Sie mindestens eine Statistik aus, die in die Ausgabedatei eingefügt werden soll.",
     "sumSamplingProportionsRequirementKey": "Die Summe der Sampling-Anteile für Validierungs- und Testdaten muss kleiner 1,0 sein.",
     "partitionVariableValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Validierungs- und Tesfälle unterschiedlich sein.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Trainings- und Validierungfälle unterschiedlich sein.",
     "partitionVariableTraining_TestValuesRequirementKey": "Der Wert der Partitionierungsvariable muss für Trainings- und Testfälle unterschiedlich sein."
});
