define({
     "NameKey": "Gemischte Modelle",
     "DescriptionKey": "Die Task Gemischte Modelle ermöglicht die Anpassung zahlreicher linearer Modelle, die aus Fixed und Random Effects zusammengesetzt sind. Die Task erlaubt die Modellierung der Varianzen und Kovarianzen sowohl für die Daten als auch für die Mittelwerte.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur MIXED",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "explanatoryGroupKey": "Erklärende Variablen",
     "classMissingGroupKey": "Behandlung fehlender Werte",
     "classMissingNoteKey": "Eine Beobachtung wird dann aus der Analyse ausgeschlossen, wenn eine der Variablen im Modell einen fehlenden Wert aufweist. Eine Beobachtung wird außerdem ausgeschlossen, wenn eine der oben angegebenen Klassifizierungsvariablen einen fehlenden Wert aufweist (unabhängig davon, ob die Klassifizierungsvariable im Modell verwendet wird).",
     "modelGroupKey": "MODELLEFFEKTE",
     "modelTabKey": "MODELL",
     "methodsGroupKey": "METHODEN",
     "outputTabKey": "AUSGABE",
     "estimationMethodKey": "Schätzmethode:",
     "remlChoiceKey": "Maximum Likelihood mit beschränkter Information",
     "mlChoiceKey": "Maximum Likelihood",
     "mivque0ChoiceKey": "Quadratischer unverzerrter Schätzer mit minimaler Varianz",
     "type1ChoiceKey": "Typ 1",
     "type2ChoiceKey": "Typ 2",
     "type3ChoiceKey": "Typ 3",
     "ddfMethodKey": "Methode zur Berechnung der Freiheitsgrade im Nenner:",
     "defaultChoiceKey": "Standard",
     "containChoiceKey": "Containment",
     "betwithinChoiceKey": "Aufteilung in Between- und Within-Anteile",
     "residualChoiceKey": "Freiheitsgrade der Residuen",
     "sattChoiceKey": "Satterthwaite-Approximation",
     "kenwardRogerChoiceKey": "Kenward und Roger",
     "kenwardRoger2ChoiceKey": "Kenward und Roger 2",
     "methodDetailsGroupKey": "Details",
     "statisticsGroupKey": "STATISTIKEN",
     "statsComboKey": "Anzuzeigende Statistiken auswählen:",
     "defaultStatsChoiceKey": "Standardstatistiken",
     "customStatsChoiceKey": "Standard- und weitere Statistiken",
     "noStatsChoiceKey": "Keine",
     "additionalStatsLabelKey": "Weitere Statistiken",
     "testsGroupKey": "Tests",
     "chisqKey": "Chi-Quadrat-Tests anzeigen",
     "hypothTestsKey": "Tests auf feste Effekte",
     "htype1Key": "Sequentialtest (Typ 1)",
     "htype2Key": "Partialtest (Typ 2)",
     "htype3Key": "Partialtest (Typ 3)",
     "covtestKey": "Standardfehler und Wald-Test der Kovarianzparameter",
     "parmEstGroupKey": "Parameterschätzer",
     "parmEstKey": "Parameterschätzer anzeigen",
     "fixedParmsGroupKey": "Fixed Effects",
     "randomParmsGroupKey": "Random Effects",
     "covarParmsGroupKey": "Kovarianzschätzer",
     "clKey": "Konfidenzintervalle der Parameterschätzer",
     "corrEstKey": "Korrelationen der Parameterschätzer",
     "covEstKey": "Kovarianzen der Parameterschätzer",
     "mixedGroupKey": "Gemischtes Modell",
     "mmeqKey": "Gemischtes Modell-Gleichungen",
     "mmeqsolKey": "Lösung für gemischtes Modell-Gleichungen",
     "randomSolutionKey": "Vorhergesagte Zufallseffekte anzeigen (BLUPs)",
     "randomClKey": "Konfidenzintervalle der Prognosen",
     "gMatrixKey": "Geschätzte G-Matrix",
     "gcorrKey": "Geschätzte G-Matrix als Korrelationen",
     "vMatrixKey": "Geschätzte V-Matrix",
     "vcorrKey": "Geschätzte V-Matrix als Korrelationen",
     "clCovKey": "Konfidenzintervalle der Kovarianz-Parameterschätzer",
     "asymcorrKey": "Korrelationen der Kovarianz-Parameterschätzer",
     "asymcovKey": "Kovarianzen der Kovarianz-Parameterschätzer",
     "repeatedEffectGroupKey": "Wiederholter Effekt",
     "rMatrixKey": "Geschätzte R-Matrix",
     "rcorrKey": "Geschätzte R-Matrix als Korrelationen",
     "influenceGroupKey": "Einflusstatistiken",
     "influenceKey": "Einflusstatistiken",
     "influenceComputeComboKey": "Einflussmesseung durch Entfernen:",
     "indivObsInfluenceChoiceKey": "Einzelner Beobachtungen",
     "effectInfluenceChoiceKey": "Beobachtungsgruppen entsprechend Stufen einer Variable",
     "influenceListKey": "Effekt auswählen:",
     "confidenceKey": "Konfidenzniveau:",
     "confidence90Key": "90%",
     "confidence95Key": "95%",
     "confidence99Key": "99%",
     "confidenceSpecifyKey": "Benutzerdefiniert",
     "confidenceValueKey": "Benutzerdefiniertes Konfidenzniveau:",
     "confidenceValueMessageKey": "Geben Sie für das Konfidenzniveau eine Zahl größer 0 und kleiner 100 ein",
     "multCompareGroupKey": "Mehrfachvergleiche",
     "multCompareKey": "Mehrfachvergleiche durchführen",
     "multCompareListKey": "Effekte für Test auswählen:",
     "multCompareComboKey": "Methode:",
     "bonferroniKey": "Bonferroni",
     "scheffeKey": "Scheffe",
     "sidakKey": "Sidak",
     "tukeyKey": "Tukey",
     "smmKey": "Hochbergs SMM",
     "multCompareAlphaKey": "Signifikanzniveau:",
     "alpha_10Key": "0,10",
     "alpha_05Key": "0,05",
     "alpha_01Key": "0,01",
     "multCompareAlphaSpecifyKey": "Benutzerdefiniert",
     "multCompareAlphaValueKey": "Benutzerdefiniertes Signifikanzniveau:",
     "multCompareAlphaValueMessageKey": "Geben Sie für das Signifikanzniveau eine Zahl größer 0 und kleiner 1 ein",
     "maxiterComboKey": "Maximale Anzahl Iterationen:",
     "maxiterDefaultChoiceKey": "Standardwert verwenden",
     "maxiterCustomChoiceKey": "Benutzerdefiniert",
     "maxiterKey": "Benutzerdef. max. Anzahl Iterationen:",
     "maxiterMessageKey": "Geben Sie einen Wert größer oder gleich 0 für die maximale Anzahl Iterationen ein",
     "plotsGroupKey": "PLOTS",
     "diagnosticGroupKey": "Diagnose- und Residuen-Plots",
     "residualPlotsKey": "Residuen",
     "studentPlotsKey": "Studentisierte Residuen",
     "pearsonPlotsKey": "Pearsonsche Residuen",
     "pressPlotsKey": "Press-Residuen",
     "influencePlotsKey": "Einflusstatistiken",
     "unpackResidualPlotsKey": "Anzeigen als:",
     "unpackChoiceKey": "Einzelne Plots",
     "panelChoiceKey": "Plot-Fenster",
     "maxpointsComboKey": "Maximale Anzahl Plotpunkte:",
     "maxpointsDefaultKey": "Standard (5.000)",
     "maxpoints10000Key": "10.000",
     "maxpointsSpecifyKey": "Benutzerdefiniert",
     "maxpointsNoLimitKey": "Keine Grenze",
     "maxpointsValueKey": "Max. Anzahl Punkte:",
     "maxpointsValueMessageKey": "Geben Sie einen ganzzahligen Wert größer Null für die maximale Anzahl der Plotpunkte ein",
     "outputGroupKey": "AUSGABEDATEIEN",
     "outP_DSKey": "Prognosewertedatei erstellen",
     "outP_DSNameKey": "Dateiname:",
     "outPM_DSKey": "Prognosemittelwertedatei erstellen",
     "outPM_DSNameKey": "Dateiname:",
     "dependentVariableKey": "Abhängige Variable:",
     "continuousVariablesKey": "Stetige Variablen:",
     "classVariablesKey": "Klassifizierungsvariablen:",
     "weightVariableKey": "Gewichtung:",
     "byVariablesKey": "Analyse gruppieren nach:",
     "influenceEffectVariableKey": "Beobachtungsgruppenvariable:",
     "invalidRandomSetRequirementKey": "Mindestens eine Menge der Zufallseffekte ist ungültig. Bearbeiten Sie die Menge und fügen Sie einen Zufallseffekt hinzu."
});
