define({
     "NameKey": "Regression mit partiellen kleinsten Quadraten",
     "DescriptionKey": "Diese Task führt eine Analyse der partiellen kleinsten Quadrate durch. Sie ist außerdem eine Regression der Hauptkomponenten und reduzierten Ränge. Diese Methoden vereinen die Dimensionsreduzierung der Prädiktoren und/oder abhängigen Variablen mit der Erstellung von Prognosemodellen.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur PLS",
     "LinkKey7": "SAS Tutorials",
     "dataTabKey": "DATEN",
     "optionsTabKey": "OPTIONEN",
     "dataGroupKey": "DATEN",
     "rolesGroupKey": "ROLLEN",
     "otherRolesGroupKey": "WEITERE ROLLEN",
     "explanatoryGroupKey": "Erklärende Variablen",
     "classMissingGroupKey": "Behandlung fehlender Werte",
     "classMissingNoteKey": "Eine Beobachtung wird dann aus der Analyse ausgeschlossen, wenn eine der Variablen im Modell einen fehlenden Wert enthält. Eine Beobachtung wird außerdem ausgeschlossen, wenn eine der oben angegebenen Klassifizierungsvariablen einen fehlenden Wert enthält (unabhängig davon, ob die Klassifizierungsvariable im Modell verwendet wird).",
     "modelGroupKey": "MODELLEFFEKTE",
     "modelTabKey": "MODELL",
     "modelBuilderKey": "",
     "centerKey": "Abhängige Variablen und Prädiktoren zentrieren",
     "methodsGroupKey": "METHODEN",
     "methodComboKey": "Methode:",
     "plsChoiceKey": "Regression mit partiellen kleinsten Quadraten",
     "simplsChoiceKey": "De Jongs SIMPLS",
     "pcrChoiceKey": "Hauptkomponentenregression",
     "rrrChoiceKey": "Reduzierte Rangregression",
     "algorithmComboKey": "Algorithmus:",
     "nipalsChoiceKey": "Iterativer NIPALS",
     "svdChoiceKey": "Singulärwertzerlegung",
     "eigChoiceKey": "Eigenwertzerlegung",
     "rlgwChoiceKey": "Iterativer RLGW",
     "detailsGroupKey": "Details",
     "useNFactorsKey": "Anzahl Faktoren angeben",
     "nFactorsKey": "Anzahl Faktoren:",
     "nFactorsMissingKey": "Geben Sie für die Anzahl der Faktoren einen ganzzahligen Wert größer 0 ein",
     "nFactorsInvalidKey": "Geben Sie für die Anzahl der Faktoren einen ganzzahligen Wert größer 0 ein",
     "nFactorsPromptKey": "Geben Sie für die Anzahl der Faktoren einen ganzzahligen Wert größer 0 ein",
     "nFactorsRangeKey": "Geben Sie für die Anzahl der Faktoren einen ganzzahligen Wert größer 0 ein",
     "specifyMaxiterKey": "Geben Sie die maximale Anzahl Iterationen an",
     "maxiterKey": "Maximale Anzahl Iterationen:",
     "maxiterMissingKey": "Geben Sie für die max. Anzahl Iterationen einen ganzzahligen Wert größer oder gleich 1 und kleiner 1.000.000.000 ein",
     "maxiterInvalidKey": "Geben Sie für die max. Anzahl Iterationen einen ganzzahligen Wert größer oder gleich 1 und kleiner 1.000.000.000 ein",
     "maxiterPromptKey": "Geben Sie für die max. Anzahl Iterationen einen ganzzahligen Wert größer oder gleich 1 und kleiner 1.000.000.000 ein",
     "maxiterRangeKey": "Geben Sie für die max. Anzahl Iterationen einen ganzzahligen Wert größer oder gleich 1 und kleiner 1.000.000.000 ein",
     "cvGroupKey": "Kreuzvalidierung",
     "cvComboKey": "Kreuzvalidierungsmethode:",
     "oneCvChoiceKey": "Jeweils eine Beobachtung ausschließen",
     "noneCvChoiceKey": "keine",
     "splitCvChoiceKey": "Jede n-te Beobachtung ausschließen",
     "blockCvChoiceKey": "Zusammenhängen Blöcke von Beobachtungen ausschließen",
     "randomCvChoiceKey": "Zufällige Beobachtungen ausschließen",
     "specifySplitNKey": "n-te auszuschließende Beobachtung angeben",
     "nSplitKey": "n-te auszuschließende Beobachtung:",
     "nSplitMissingKey": "Geben Sie für die n-te auszuschließende Beobachtung einen ganzzahligen Wert größer 0 ein",
     "nSplitInvalidKey": "Geben Sie für die n-te auszuschließende Beobachtung einen ganzzahligen Wert größer 0 ein",
     "nSplitPromptKey": "Geben Sie für die n-te auszuschließende Beobachtung einen ganzzahligen Wert größer 0 ein",
     "nSplitRangeKey": "Geben Sie für die n-te auszuschließende Beobachtung einen ganzzahligen Wert größer 0 ein",
     "specifyBlockNKey": "Geben Sie die Anzahl der Blöcke für die Teilung der Daten an",
     "nBlocksKey": "Anzahl Blöcke:",
     "nBlocksMissingKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Anzahl der Blöcke zusammenhängender auszuschließender Beobachtungen ein",
     "nBlocksInvalidKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Anzahl der Blöcke zusammenhängender auszuschließender Beobachtungen ein",
     "nBlocksPromptKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Anzahl der Blöcke zusammenhängender auszuschließender Beobachtungen ein",
     "nBlocksRangeKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Anzahl der Blöcke zusammenhängender auszuschließender Beobachtungen ein",
     "useRandomSeedKey": "Zufallsstichprobe angeben",
     "randomSeedKey": "Zufallsstartwert:",
     "randomSeedMissingKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedInvalidKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedPromptKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "randomSeedRangeKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "statsGroupKey": "STATISTIKEN",
     "statisticsComboKey": "Statistiken anzeigen:",
     "selectedStatsChoiceKey": "Standard- und ausgewählte Statistiken",
     "defaultStatsChoiceKey": "Standardstatistiken",
     "cvtestKey": "Van der Voet Modellvergleichstest",
     "cvTestStatComboKey": "Statistiken anzeigen:",
     "hotellingT2ChoiceKey": "Hotellings T-Quadrat-Statistik",
     "pressChoiceKey": "PRESS-Statistik",
     "useCvtestPvalueKey": "Geben Sie die Cutoff-Wahrscheinlichkeit an",
     "cvtestPvalueKey": "Cutoff-Wahrscheinlichkeit:",
     "cvtestPvalueMissingKey": "Geben Sie für die Cutoff-Wahrscheinlichkeit eine Zahl größer 0 und kleiner 1 ein",
     "cvtestPvalueInvalidKey": "Geben Sie für die Cutoff-Wahrscheinlichkeit eine Zahl größer 0 und kleiner 1 ein",
     "cvtestPvaluePromptKey": "Geben Sie für die Cutoff-Wahrscheinlichkeit eine Zahl größer 0 und kleiner 1 ein",
     "cvtestPvalueRangeKey": "Geben Sie für die Cutoff-Wahrscheinlichkeit eine Zahl größer 0 und kleiner 1 ein",
     "useCvtestcvtestRandomSeedKey": "Zufallsstichprobe angeben",
     "cvtestRandomSeedKey": "Zufallsstartwert:",
     "cvtestRandomSeedMissingKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "cvtestRandomSeedInvalidKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "cvtestRandomSeedPromptKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "cvtestRandomSeedRangeKey": "Geben Sie für den Zufallsstartwert einen ganzzahligen Wert größer 0 ein",
     "solutionKey": "Koeffizienten des finalen Prognosemodells",
     "varssKey": "Für abhängige Variablen und Prädiktoren berücksichtigte Variation",
     "detailsKey": "Details des angepassten Modells",
     "diagnosticsGroupKey": "Diagnosen",
     "influenceStatsKey": "Einflussanalyse",
     "residualStatsKey": "Residuenanalyse",
     "predictedStatsKey": "Prognostizierte Werte",
     "plotsGroupKey": "PLOTS",
     "plotsComboKey": "Anzuzeigende Plots auswählen:",
     "defaultPlotChoiceKey": "Standard-Plots",
     "customPlotChoiceKey": "Standard- und weitere Plots",
     "noPlotsChoiceKey": "Keine Plots",
     "corrloadKey": "Korrelationsladungs-Plot",
     "diagnosticsPlotKey": "Diagnoseplots",
     "residualPlotKey": "Residuen der abhängigen Variable nach unabhängigen Variablen",
     "parmProfilesPlotKey": "Profile der Regressionskoeffizienten",
     "vipPlotKey": "Variablenbedeutungsfaktoren",
     "dmodPlotKey": "Distanzplots für X- u Y-Modelle",
     "xyscoresPlotKey": "Matrix der X-Scores gegen Y-Scores",
     "useNFactorsToPlotKey": "Anzahl Faktoren für Plot angeben",
     "nFactorsToPlotKey": "Anzahl Faktoren in Plot:",
     "nFactorsToPlotMissingKey": "Geben Sie für die Anzahl der Faktoren im Plot einen ganzzahligen Wert größer 0 ein",
     "nFactorsToPlotInvalidKey": "Geben Sie für die Anzahl der Faktoren im Plot einen ganzzahligen Wert größer 0 ein",
     "nFactorsToPlotPromptKey": "Geben Sie für die Anzahl der Faktoren im Plot einen ganzzahligen Wert größer 0 ein",
     "nFactorsToPlotRangeKey": "Geben Sie für die Anzahl der Faktoren im Plot einen ganzzahligen Wert größer 0 ein",
     "outputTabKey": "AUSGABE",
     "outputGroupKey": "AUSGABEDATEI",
     "outputDSKey": "Statistikdatei erstellen",
     "outputDSNameKey": "Dateiname:",
     "leverageKey": "Leverage",
     "predictedKey": "Prognostizierte Werte",
     "yresidualKey": "Residuen für abhängige Variablen",
     "xresidualKey": "Residuen für Prädiktoren",
     "pressKey": "PRESS-Statistik",
     "yscoreKey": "Extrahierte abhängige Variablen",
     "xscoreKey": "Extrahierte Faktoren",
     "stdyKey": "Standardisierte abhängige Variablen",
     "stdxKey": "Standardisierte Prädiktoren",
     "dependentVariablesKey": "Abhängige Variablen:",
     "continuousVariablesKey": "Stetige Variablen:",
     "classVariablesKey": "Klassifizierungsvariablen:",
     "byVariablesKey": "Analyse gruppieren nach:",
     "continuousClassRequirementKey": "Wählen Sie mindestens eine stetige oder eine Klassifizierungsvariable aus.",
     "modelEffectsNeededRequirementKey": "Fügen Sie auf dem Reiter MODELL einen oder mehrere Effekte zum Modell hinzu.",
     "outputRequirementKey": "Wählen Sie mindestens eine Statistik aus, die in die Ausgabedatei eingefügt werden soll."
});
