define({
     "NameKey": "Cox-Regression",
     "DescriptionKey": "Berechnung von Power und Stichprobengröße für den Score-Test eines einzelnen skalaren Prädiktors in der Cox-Regression für Überlebensdaten",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur POWER",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "EIGENSCHAFTEN",
     "solveforGroupKey": "LÖSEN FÜR",
     "solveforInstructionKey": "Auswahl der Menge, für die gelöst werden soll:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Stichprobengröße",
     "solveforNEventsChoiceKey": "Anzahl unzensierter Ereignisse",
     "analysisDetailsKey": "ANALYSEDETAILS",
     "numberOfSidesGroupKey": "Anzahl Seiten",
     "sidesKey": "Anzahl der Seiten in Test auswählen:",
     "sidesOneKey": "Einseitiger Test",
     "sidesLowerKey": "Einseitiger unterer Test",
     "sidesUpperKey": "Einseitiger oberer Test",
     "sidesTwoKey": "Zweiseitiger Test",
     "sampleSizeGroupKey": "STICHPROBENGRÖSSE",
     "integerTotalNMessageKey": "Geben Sie einen ganzzahligen Wert für die Stichprobengröße ein, der größer oder gleich 1 ist",
     "fractionalTotalNMessageKey": "Geben Sie eine Zahl für die Stichprobengröße ein. Die Zahl muss größer 0 sein und kann als Dezimalbruch angegeben werden",
     "nfractionalKey": "Dezimalbrüche für Stichprobengröße zulassen",
     "alphaGroupKey": "SIGNIFIKANZNIVEAU",
     "alphaMessageKey": "Geben Sie für Alpha eine Zahl größer 0 und kleiner 1 ein",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Geben Sie für die Power eine Zahl größer 0 und kleiner 1 ein",
     "sampleSizeComboKey": "Form auswählen:",
     "totalNChoiceKey": "Stichprobengröße",
     "totalEventsChoiceKey": "Unzensierte Ereignisse",
     "eventTotalGroupKey": "UNZENSIERTE EREIGNISSE",
     "eventTotalMessageKey": "Geben Sie eine Zahl für die Anzahl unzensierter Ereignisse ein. Die Zahl muss größer oder gleich 4 zzgl. der Anzahl auspartialisierter Variablen sein und kann als Dezimalbruch angegeben werden",
     "eventProbGroupKey": "UNZENSIERTE EREIGNISSE",
     "eventProbMessageKey": "Geben Sie für die Wahrscheinlichkeit unzensierter Ereignisse eine Zahl größer 0 und kleiner 1 ein",
     "stddevGroupKey": "STANDARDABWEICHUNG",
     "stddevMessageKey": "Geben Sie für die Standardabweichung des Prädiktors eine Zahl größer 0 ein",
     "hazardRatioGroupKey": "HAZARD-RATE",
     "hazardRatioMessageKey": "Geben Sie für die Hazard-Rate eine Zahl größer 0 ein",
     "rsquareGroupKey": "R-QUADRAT",
     "rsquareMessageKey": "Geben Sie für R-Quadrat eine Zahl größer oder gleich 0 und kleiner 1 ein",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Plot - Power nach Stichprobengröße",
     "uncensoredByPowerPlotKey": "Plot - Unzensierte Ereignisse nach Power",
     "powerByEffectKey": "Plot - Power nach Effektgröße",
     "sampleSizeByEffectPlotKey": "Plot - Stichprobengröße nach Effektgröße",
     "uncensoredEventsByEffectPlotKey": "Plot - Unzensierte Ereignisse nach Effektgröße",
     "plotAxisGroupKey": "Achsenausrichtung",
     "plotQuantityInstructionKey": "Wählen Sie die Menge für die vertikale Achse aus:",
     "plotQuantitySolvedForChoiceKey": "Menge gelöst für",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Stichprobengröße",
     "powerPlotRangeLabelKey": "Wertebereich:",
     "usePlotMinPowerValueKey": "Mindest-Power",
     "usePlotMaxPowerValueKey": "Maximum-Power",
     "powerMinValueKey": "Mindestwert:",
     "powerMinValueMessageKey": "Geben Sie für den Mindestwert für Power eine Zahl größer 0 und kleiner 1 ein",
     "powerMaxValueKey": "Maximalwert:",
     "powerMaxValueMessageKey": "Geben Sie für den Maximalwert für Power eine Zahl größer 0 und kleiner 1 ein",
     "usePlotMinSSValueKey": "Mindeststichprobengröße",
     "usePlotMaxSSValueKey": "Maximalstichprobengröße",
     "ssMinValueKey": "Mindestwert:",
     "ssMinValueMessageKey": "Geben Sie als Mindestwert für die Stichprobengröße einen ganzzahligen Wert größer oder gleich 0 ein",
     "ssMaxValueKey": "Maximalwert:",
     "ssMaxValueMessageKey": "Geben Sie als Maximalwert für die Stichprobengröße einen ganzzahligen Wert größer oder gleich 0 ein",
     "usePlotMinEventTotalValueKey": "Minimum Summe unzensierte Ereignisse",
     "usePlotMaxEventTotalValueKey": "Maximum Summe unzensierte Ereignisse",
     "eventTotalMinValueKey": "Mindestwert:",
     "eventTotalMinValueMessageKey": "Geben Sie als Mindestwert für die Summe unzensierter Ereignisse einen ganzzahligen Wert größer 0 ein",
     "eventTotalMaxValueKey": "Maximalwert:",
     "eventTotalMaxValueMessageKey": "Geben Sie als Maximalwert für die Summe unzensierter Ereignisse einen ganzzahligen Wert größer 0 ein",
     "effectPlotRangeLabelKey": "Wertebereich:",
     "usePlotMinEffectValueKey": "Mindesteffektgröße",
     "usePlotMaxEffectValueKey": "Maximaleffektgröße",
     "hazardRatioMinValueKey": "Mindest-Hazard-Rate:",
     "hazardRatioMinValueMessageKey": "Geben Sie für den Mindestwert der Hazard-Rate eine Zahl größer 0 ein",
     "hazardRatioMaxValueKey": "Maximal-Hazard-Rate:",
     "hazardRatioMaxValueMessageKey": "Geben Sie für den Maximalwert der Hazard-Rate eine Zahl größer 0 ein",
     "minMaxPowerPlotRequirementKey": "Die maximale Power für das Plot Power nach Stichprobengröße darf nicht kleiner als der Mindestwert sein.",
     "minMaxSampleSizePlotRequirementKey": "Die maximale Stichprobengröße für das Plot Power nach Stichprobengröße darf nicht kleiner als der Mindestwert sein.",
     "minMaxCorrEffectsPlotRequirementKey": "Die maximale Hazard-Rate für den Effekt-Plot darf nicht kleiner als der Mindestwert sein.",
     "alphaPowerRequirementKey": "Mindestens ein Wert für Power muss größer als der größte Wert für Alpha sein",
     "totalNTable_labelKey": "Stichprobengrößen:",
     "fractionalTotalNTable_labelKey": "Stichprobengrößen:",
     "alphaTable_labelKey": "Alpha-Werte:",
     "powerTable_labelKey": "Power-Werte:",
     "eventTotalTable_labelKey": "Anzahl unzensierter Ereignisse:",
     "eventProbTable_labelKey": "Wahrscheinlichkeit unzensierter Ereignisse:",
     "stddevTable_labelKey": "Standardabweichungswerte:",
     "hazardRatioTable_labelKey": "Hazard Ratio-Werte:",
     "rsquareTable_labelKey": "R-Quadrat-Werte:",
     "totalNTable_totalNLabelKey": "Stichprobengröße",
     "fractionalTotalNTable_TotalNLabelKey": "Stichprobengröße",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "eventTotalTable_eventTotalLabelKey": "Unzensierte Ereignisse",
     "eventProbLabelKey": "Ereigniswahrscheinlichkeit",
     "stddevLabelKey": "Standardabweichung",
     "hazardRatioLabelKey": "Hazardrate",
     "rsquareLabelKey": "R-Quadrat"
});
