define({
     "NameKey": "Logistische Regression",
     "DescriptionKey": "Die Task Logistische Regression berechnet Signifikanz und Stichprobengröße für den Likelihood Ratio Chi-Quadrat-Test eines einzelnen Prädiktors in einer binär-logistischen Regression, möglichst unter Verwendung einer oder mehrerer Kovariate, die mit dem getesten Prädiktor korreliert werden können.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "Prozedur POWER",
     "LinkKey3": "SAS Tutorials",
     "propertiesTabKey": "EIGENSCHAFTEN",
     "solveforGroupKey": "LÖSEN FÜR",
     "solveforInstructionKey": "Auswahl der Menge, für die gelöst werden soll:",
     "solveforPowerChoiceKey": "Power",
     "solveforSampSizeChoiceKey": "Stichprobengröße",
     "sampleSizeGroupKey": "STICHPROBENGRÖSSE",
     "integerTotalNMessageKey": "Geben Sie einen ganzzahligen Wert größer oder gleich 1 ohne Kovariate oder 2 mit Kovariate für die Stichprobengröße ein",
     "fractionalTotalNMessageKey": "Geben Sie eine Zahl für die Stichprobengröße ein. Die Zahl muss größer oder gleich 1 (ohne Kovariate) bzw.  1,05  (mit Kovariate) sein und kann als Dezimalbruch angegeben werden",
     "nfractionalKey": "Dezimalbrüche für Stichprobengröße zulassen",
     "alphaGroupKey": "SIGNIFIKANZNIVEAU",
     "alphaMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für Alpha ein",
     "powerGroupKey": "POWER",
     "powerMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für Signifikanz ein",
     "predictorsGroupKey": "PRÄDIKTOR",
     "predictorDistribComboKey": "Verteilung des Prädiktors:",
     "predictorDistribComboSelectMessageKey": "Verteilung auswählen",
     "betaChoiceKey": "Beta",
     "binomialChoiceKey": "Binomial",
     "normalChoiceKey": "Normal",
     "lognormalChoiceKey": "Lognormal",
     "poissonChoiceKey": "Poisson",
     "ordinalChoiceKey": "Ordinal",
     "alphaBetaMessageKey": "Geben Sie für den Alphaparameter eine Zahl größer 0 ein",
     "betaMessageKey": "Geben Sie für den Betaparameter eine Zahl größer 0 ein",
     "probSuccessMessageKey": "Geben Sie einen Wert größer 0 und kleiner 1 für die Erfolgswahrscheinlichkeit ein",
     "binomialTrialsMessageKey": "Geben Sie einen ganzzahligen Wert größer 0 für die Anzahl Versuche ein",
     "meanMessageKey": "Geben Sie eine Zahl für den Mittelwert ein",
     "stddevMessageKey": "Geben Sie eine Zahl größer 0 für die Standardabweichung ein",
     "locationMessageKey": "Geben Sie eine Zahl für den Mittelwert ein",
     "scaleMessageKey": "Geben Sie eine Zahl größer 0 für die Standardabweichung ein",
     "probMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für die Wahrscheinlichkeit ein",
     "predictorCoeffsComboKey": "Form auswählen:",
     "regCoeffsChoiceKey": "Regressionskoeffizienten",
     "oddsRatioChoiceKey": "Quotenverhältnisse",
     "regCoeffMessageKey": "Geben Sie eine Zahl für den Regressionskoeffizienten ein",
     "oddsRatioMessageKey": "Geben Sie eine Zahl größer 0 für das Quotenverhältnis ein",
     "predOddsRatioUnitsKey": "Änderungseinheit für Quotenverhältnis des Prädiktors:",
     "unitsNumberChoiceKey": "Zahl",
     "unitsPercentileChoiceKey": "Perzentil",
     "unitsStdMultipleChoiceKey": "Vielfaches der Standardabweichung",
     "predictorOddsRatioNumberUnitsKey": "Änderung:",
     "predictorOddsRatioNumberUnitsMessageKey": "Geben Sie eine Zahl ungleich 0 für die Änderung des Quotenverhältnisses ein",
     "predictorOddsRatioNumeratorKey": "Zähler:",
     "predictorOddsRatioNumeratorMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für das Zählerperzentil ein",
     "predictorOddsRatioDenominatorKey": "Nenner:",
     "predictorOddsRatioDenominatorMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für das Nennerperzentil ein",
     "predictorOddsRatioSDMultipleUnitsKey": "Vielfaches:",
     "predictorOddsRatioSDMultipleUnitsMessageKey": "Geben Sie eine Zahl ungleich 0 für das Vielfache der Standardabweichung des Quotenverhältnisses ein",
     "covariateOddsRatioUnitsKey": "Änderungseinheiten für Quotenverhältnis für alle Kovariate:",
     "covariateOddsRatioNumberUnitsKey": "Änderung:",
     "covariateOddsRatioNumberUnitsMessageKey": "Geben Sie eine Zahl ungleich 0 für die Änderung des Quotenverhältnisses ein",
     "covariateOddsRatioNumeratorKey": "Zähler:",
     "covariateOddsRatioNumeratorMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für das Zählerperzentil ein",
     "covariateOddsRatioDenominatorKey": "Nenner:",
     "covariateOddsRatioDenominatorMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für das Nennerperzentil ein",
     "covariateOddsRatioSDMultipleUnitsKey": "Vielfaches:",
     "covariateOddsRatioSDMultipleUnitsMessageKey": "Geben Sie eine Zahl ungleich 0 für das Vielfache der Standardabweichung des Quotenverhältnisses ein",
     "interceptMessageKey": "Geben Sie eine Zahl für die Konstante ein",
     "respProbMessageKey": "Geben Sie eine Zahl größer 0 und kleiner 1 für die Response-Wahrscheinlichkeit ein",
     "covariatesGroupKey": "KOVARIATE",
     "nCovariatesKey": "Anzahl Kovariate:",
     "nCovariatesMessageKey": "Geben Sie für die Anzahl Kovariate einen ganzzahligen Wert zwischen 0 und 9 (einschließlich) ein",
     "covariateGroup1Key": "Kovariate 1",
     "covariate1DistribComboKey": "Verteilung der Kovariate 1:",
     "covariateDistribComboSelectMessageKey": "Verteilung auswählen",
     "covariateGroup2Key": "Kovariate 2",
     "covariate2DistribComboKey": "Verteilung der Kovariate 2:",
     "covariateGroup3Key": "Kovariate 3",
     "covariate3DistribComboKey": "Verteilung der Kovariate 3:",
     "covariateGroup4Key": "Kovariate 4",
     "covariate4DistribComboKey": "Verteilung der Kovariate 4:",
     "covariateGroup5Key": "Kovariate 5",
     "covariate5DistribComboKey": "Verteilung der Kovariate 5:",
     "covariateGroup6Key": "Kovariate 6",
     "covariate6DistribComboKey": "Verteilung der Kovariate 6:",
     "covariateGroup7Key": "Kovariate 7",
     "covariate7DistribComboKey": "Verteilung der Kovariate 7:",
     "covariateGroup8Key": "Kovariate 8",
     "covariate8DistribComboKey": "Verteilung der Kovariate 8:",
     "covariateGroup9Key": "Kovariate 9",
     "covariate9DistribComboKey": "Verteilung der Kovariate 9:",
     "corGroupKey": "KORRELATION",
     "multipleCorrMessageKey": "Geben Sie eine Zahl größer -1 und kleiner 1 für die multiple Korrelation ein",
     "optionsTabKey": "PLOTS",
     "plotsGroupKey": "PLOTS",
     "powerBySampleSizePlotKey": "Plot - Power nach Stichprobengröße",
     "powerByEffectPlotKey": "Plot - Power nach Effektgröße",
     "sampleSizeByEffectPlotKey": "Plot - Stichprobengröße nach Effektgröße",
     "plotAxisGroupKey": "Achsenausrichtung",
     "plotQuantityInstructionKey": "Wählen Sie die Menge für die vertikale Achse aus:",
     "plotQuantitySolvedForChoiceKey": "Menge gelöst für",
     "plotQuantityPowerChoiceKey": "Power",
     "plotQuantitySampleSizeChoiceKey": "Stichprobengröße",
     "powerPlotRangeLabelKey": "Wertebereich:",
     "usePlotMinPowerValueKey": "Mindest-Power",
     "usePlotMaxPowerValueKey": "Maximum-Power",
     "powerMinValueKey": "Mindestwert:",
     "powerMinValueMessageKey": "Geben Sie für den Mindestwert der Power eine Zahl größer 0 und kleiner 1 ein",
     "powerMaxValueKey": "Maximalwert:",
     "powerMaxValueMessageKey": "Geben Sie für den Maximalwert der Power eine Zahl größer 0 und kleiner 1 ein",
     "usePlotMinSSValueKey": "Mindeststichprobengröße",
     "usePlotMaxSSValueKey": "Maximalstichprobengröße",
     "ssMinValueKey": "Mindestwert:",
     "ssMinValueMessageKey": "Geben Sie als Mindestwert für die Stichprobengröße einen ganzzahligen Wert größer oder gleich 0 ein",
     "ssMaxValueKey": "Maximalwert:",
     "ssMaxValueMessageKey": "Geben Sie als Maximalwert für die Stichprobengröße einen ganzzahligen Wert größer oder gleich 0 ein",
     "testPredDistLabelKey": "X",
     "testPredPlusDistLabelKey": "X.{1}",
     "covariateDistLabelKey": "Cov {1}",
     "covariatePlusDistLabelKey": "Cov {1}.{2}",
     "predNumberUnitRequirementKey": "XYX darf nicht 0 sein.",
     "minMaxPowerPlotRequirementKey": "Die maximale Power für das Plot Power nach Stichprobengröße darf nicht kleiner als der Mindestwert sein.",
     "minMaxSampleSizePlotRequirementKey": "Die maximale Stichprobengröße für das Plot Power nach Stichprobengröße darf nicht kleiner als der Mindestwert sein.",
     "alphaPowerRequirementKey": "Mindestens ein Wert für Power muss größer als der größte Wert für Alpha sein",
     "predOrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien des Testprädiktors muss 1 betragen",
     "cov1OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 1 muss 1 betragen",
     "cov2OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 2 muss 1 betragen",
     "cov3OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 3 muss 1 betragen",
     "cov4OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 4 muss 1 betragen",
     "cov5OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 5 muss 1 betragen",
     "cov7OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 7 muss 1 betragen",
     "cov8OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 8 muss 1 betragen",
     "cov9OrdinalRequirementKey": "Die Summe der Wahrscheinlichkeiten für die geordneten Kategorien der Kovariate 9 muss 1 betragen",
     "totalNTable_labelKey": "Stichprobengrößen:",
     "fractionalTotalNTable_labelKey": "Stichprobengrößen:",
     "alphaTable_labelKey": "Alpha-Werte:",
     "powerTable_labelKey": "Power-Werte:",
     "predictorBetaTable_labelKey": "Betaparameter-Werte:",
     "predictorBinomialTable_labelKey": "Binomialparameter-Werte:",
     "predictorNormalTable_labelKey": "Normalparameter-Werte:",
     "predictorLognormalTable_labelKey": "Lognormalparameter-Werte:",
     "predictorPoissonTable_labelKey": "Poissonparameter-Werte:",
     "predictorOrdinalTable_labelKey": "Ordinalparameter-Werte:",
     "predictorRegCoeffTable_labelKey": "Regressionskoeffizient-Werte:",
     "predictorOddsRatioTable_labelKey": "Quotenverhältniswerte:",
     "interceptTable_labelKey": "Konstantenwerte:",
     "respProbTable_labelKey": "Werte der abhängigen Variable:",
     "covariateBetaTable_labelKey": "Betaparameter-Werte:",
     "covariateBinomialTable_labelKey": "Binomialparameter-Werte:",
     "covariateNormalTable_labelKey": "Normalparameter-Werte:",
     "covariateLognormalTable_labelKey": "Lognormalparameter-Werte:",
     "covariatePoissonTable_labelKey": "Poissonparameter-Werte:",
     "covariateOrdinalTable_labelKey": "Ordinalparameter-Werte:",
     "covariateRegCoeffTable_labelKey": "Regressionskoeffizient-Werte:",
     "covariateOddsRatioTable_labelKey": "Quotenverhältniswerte:",
     "covariate4OdsRatioTable_labelKey": "Quotenverhältniswerte:",
     "multipleCorrTable_labelKey": "Multiple Korrelationswerte:",
     "totalNTable_totalNLabelKey": "Stichprobengröße",
     "fractionalTotalNTable_TotalNLabelKey": "Stichprobengröße",
     "alphaLabelKey": "Alpha",
     "powerLabelKey": "Power",
     "betaTable_alphaLabelKey": "Alpha",
     "betaTable_betaLabelKey": "Beta",
     "predictorBinomialTable_probSuccessLabelKey": "Erfolgswahrscheinlichkeit",
     "predictorBinomialTable_trialsLabelKey": "Anzahl Versuche",
     "NormalTable_meanLabelKey": "Mittelwert",
     "NormalTable_stddevLabelKey": "Standardabweichung",
     "LognormalTable_locationLabelKey": "Speicherort",
     "LognormalTable_scaleLabelKey": "Skalierung",
     "PoissonTable_meanLabelKey": "Mittelwert",
     "OrdinalTable_valueLabelKey": "Kategoriewert",
     "OrdinalTable_probLabelKey": "Wahrscheinlichkeit",
     "regCoeffsLabelKey": "Regressionskoeffizienten",
     "predictorOddsRatioTable_oddsRatioLabelKey": "Quotenverhältnis",
     "interceptsLabelKey": "Konstante",
     "respProbLabelKey": "Response-Wahrscheinlichkeit",
     "binomialTable_probSuccessLabelKey": "Erfolgswahrscheinlichkeit",
     "binomialTable_trialsLabelKey": "Anzahl Versuche",
     "covariateOddsRatioTable_oddsRatioLabelKey": "Quotenverhältnis",
     "multipleCorrLabelKey": "Multiple Korrelation"
});
