define({
     "NameKey": "Réseau bayésien",
     "DescriptionKey": "La tâche Réseau bayésien effectue l'apprentissage d'un modèle prédictif d'une variable nominale à expliquer à l'aide de différents types de structures de réseau bayésien, y compris naïf, naïf augmenté par un arbre, naïf augmenté par un réseau bayésien, réseau bayésien parent-enfant et couverture de Markov. La sélection automatique des meilleurs paramètres utilisant un sous-ensemble de données de validation est disponible.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "La procédure BNET",
     "LinkKey3": "Tutoriels SAS",
     "dataTabKey": "DONNEES",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DONNEES",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ROLES SUPPLEMENTAIRES",
     "targetGroupKey": "Cible",
     "inputsGroupKey": "Variables explicatives",
     "partitionGroupKey": "Partition des données",
     "inputDataLabelKey": "Les données en entrée contiennent des données d'apprentissage :",
     "testDataChoiceKey": "Données de test",
     "validationDataChoiceKey": "Données de validation",
     "trainingDataFractionKey": "Proportion des cas d'apprentissage :",
     "trainingDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données d'apprentissage dans la table",
     "testDataFractionKey": "Proportion des cas de test :",
     "testDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données de test dans la table",
     "validationDataFractionKey": "Proportion des cas de validation :",
     "validationDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données de validation dans la table",
     "usePartitionRandomSeedKey": "Valeur initiale du nombre aléatoire",
     "partitionRandomSeedKey": "Valeur initiale aléatoire :",
     "partitionRandomSeedMessageKey": "Saisissez une valeur entière supérieure à 0 et inférieure à 2 147 483 648 pour la valeur initiale aléatoire",
     "partitionRandomSeedNoteKey": "L'indication d'une valeur initiale du nombre aléatoire peut ne pas répliquer les résultats dans un environnement informatique distribué.",
     "partitionDataComboKey": "Identifier les partitions :",
     "partitionDataFractionChoiceKey": "Indiquez une proportion d'exemple",
     "partitionDataVariableChoiceKey": "Sélection d'une valeur de variable de partitionnement",
     "validationLevelComboKey": "Valeur de données de validation :",
     "useTrainingLevelKey": "Sélectionner une valeur de données d'apprentissage",
     "trainingLevelComboKey": "Valeur de données d'apprentissage :",
     "responseOrderKey": "Ordre des réponses :",
     "ascendingChoiceKey": "Valeurs croissantes",
     "descendingChoiceKey": "Valeurs décroissantes",
     "responseOrderTypeKey": "Valeurs de réponse :",
     "formattedChoiceKey": "Classer par valeur formatée",
     "unformattedChoiceKey": "Classer par valeur non formatée",
     "methodsGroupKey": "METHODES",
     "dataPrepGroupKey": "Préparation des données",
     "intervalBinsKey": "Nombre de classes pour les variables continues explicatives :",
     "intervalBinsMessageKey": "Saisissez un entier supérieur à 1 et inférieur ou égal à 1024 pour le nombre de classes pour les variables continues explicatives",
     "intervalMissingComboKey": "Valeurs manquantes pour variables continues explicatives :",
     "nominalMissingComboKey": "Valeurs manquantes pour variables nominales explicatives :",
     "ignoreChoiceKey": "Ignorer les observations avec des valeurs manquantes (par défaut)",
     "imputeMeanChoiceKey": "Remplacer les valeurs manquantes par la moyenne de la variable explicative",
     "imputeModeChoiceKey": "Remplacer les valeurs manquantes par le mode de la variable explicative",
     "levelChoiceKey": "Traiter la valeur manquante comme un niveau",
     "networkGroupKey": "Réseau bayésien",
     "bestModelKey": "Sélectionner le meilleur modèle",
     "prescreenKey": "Entrées écran :",
     "useAllRadioKey": "Utiliser toutes les entrées",
     "useDependentRadioKey": "Utiliser les variables explicatives dépendantes de la cible (par défaut)",
     "screeningSelectorKey": "Entrées écran :",
     "useAllChoiceKey": "Utilisez toutes les variables explicatives",
     "useDependentChoiceKey": "Utiliser les variables explicatives dépendantes de la cible (par défaut)",
     "structureComboKey": "Réseau de la structure :",
     "structureSelectorKey": "Réseaux de la structure :",
     "mbChoiceKey": "Couverture de Markov",
     "naiveChoiceKey": "Réseau bayésien naïf",
     "pcChoiceKey": "Réseau bayésien parent-enfant (par défaut)",
     "tanChoiceKey": "Réseau bayésien naïf augmenté par un arbre",
     "maxParentsKey": "Nombre maximum de parents par noeud :",
     "maxParentsMessageKey": "Saisissez un nombre entier entre 1 et 16 inclus, pour le nombre maximum de parents par noeud",
     "parentingLabelKey": "Déterminer les parents des noeuds :",
     "bestOneRadioKey": "Utiliser la meilleure variable",
     "bestSetRadioKey": "Utiliser le meilleur ensemble de variables (par défaut)",
     "parentingSelectorKey": "Déterminer les parents des noeuds :",
     "bestOneChoiceKey": "Utiliser la meilleure variable",
     "bestSetChoiceKey": "Utiliser le meilleur ensemble de variables (par défaut)",
     "varselectComboKey": "Méthode de sélection de variable :",
     "varselectSelectorKey": "Méthodes de sélection de variable :",
     "varselect0ChoiceKey": "Utiliser toutes les variables explicatives après le filtrage initial",
     "varselect1ChoiceKey": "Utiliser les variables explicatives qui sont dépendantes de la cible, étant donné n'importe quelle autre variable explicative (par défaut)",
     "varselect2ChoiceKey": "Utiliser les variables explicatives qui sont dépendantes de la cible, étant donné n'importe quel sous-ensemble de variables explicatives",
     "varselect3ChoiceKey": "Utiliser les variables explicatives dans la couverture de Markov de la cible",
     "indepTestComboKey": "Tests d'indépendance :",
     "chisquareChoiceKey": "Statistique khi-2",
     "gsquareChoiceKey": "Statistique G-carré",
     "chiGsquareChoiceKey": "Statistiques khi-2 et G-carré (par défaut)",
     "miChoiceKey": "Informations mutuelles",
     "allChoiceKey": "Tous les tests",
     "alphaKey": "Niveau de significativité :",
     "alpha_10Key": "0,10",
     "alpha_05Key": "0.05 (par défaut)",
     "alpha_01Key": "0,01",
     "alphaSpecifyKey": "Utiliser une valeur personnalisée",
     "alphaValueKey": "Niveau de significativité personnalisé :",
     "alphaValueMissingKey": "Saisissez un nombre supérieur à zéro et inférieur à 1 pour le niveau de significativité",
     "alphaValueInvalidKey": "Saisissez un nombre supérieur à zéro et inférieur à 1 pour le niveau de significativité",
     "alphaValuePromptKey": "Saisissez un nombre supérieur à zéro et inférieur à 1 pour le niveau de significativité",
     "alphaValueRangeKey": "Saisissez un nombre supérieur à zéro et inférieur à 1 pour le niveau de significativité",
     "outputTabKey": "SORTIE",
     "outputGroupKey": "DONNEES EN SORTIE",
     "casOutputLibrefNoteKey": "Les tables suivantes doivent utiliser un libref de moteur CAS :",
     "outPredDSKey": "Enregistrer les probabilités prédites",
     "outPredDSNameKey": "Indiquer une table CAS :",
     "roleKey": "Identifiant de partition",
     "includeVarsInstructionKey": "Inclure les variables de la table d'entrée :",
     "includeAllVarsKey": "Toutes les variables",
     "includeSelectedVarsKey": "Variables sélectionnées",
     "includeAnalysisVarsKey": "Variables utilisées dans l'analyse",
     "includeNoVarsKey": "Aucune variable",
     "outFitDSKey": "Enregistrer les tests d'ajustement",
     "outFitDSNameKey": "Indiquer une table CAS :",
     "outNetworkDSKey": "Enregistrer la structure du réseau",
     "outNetworkDSNameKey": "Indiquer une table CAS :",
     "outParamDSKey": "Enregistrer les paramètres du modèle",
     "outParamDSNameKey": "Indiquer une table CAS :",
     "outValidinfoDSKey": "Enregistrer les résultats de la validation",
     "outValidinfoDSNameKey": "Indiquer une table CAS :",
     "varInfoGroupKey": "Informations sur la variable",
     "outVarinfoDSKey": "Enregistrer les informations sur la variable",
     "outVarinfoDSNameKey": "Indiquer une table CAS :",
     "outVarlevelDSKey": "Enregistrer les niveaux de la variable",
     "outVarlevelDSNameKey": "Indiquer une table CAS :",
     "outVarorderDSKey": "Enregistrer l'ordre des variables",
     "outVarorderDSNameKey": "Indiquer une table CAS :",
     "outVarselectDSKey": "Enregistrer les informations sur la sélection de variable",
     "outVarselectDSNameKey": "Indiquer une table CAS :",
     "outAstoreDSKey": "Enregistrer le modèle de scoring",
     "outAstoreDSNameKey": "Indiquer une table CAS :",
     "scoreCodeFileKey": "Indiquez un nom de chemin pour le code de scoring:",
     "scoreCodeKey": "Enregistrer le code du scoring",
     "scoringCodeFileNameKey": "",
     "nominalTargetKey": "Variable nominale à expliquer :",
     "intervalInputsKey": "Variables continues explicatives :",
     "nominalInputsKey": "Variables nominales explicatives :",
     "freqVariableKey": "Nombre d'occurrences :",
     "byVariablesKey": "Grouper l'analyse par :",
     "partitionVariableKey": "Variable de partitionnement :",
     "copyVariablesKey": "Variables à inclure :",
     "continuousClassRequirementKey": "Sélectionnez au moins une variable explicative continue ou nominale.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "La valeur de la variable de partitionnement doit être différente pour les cas d'apprentissage et de validation.",
     "outPredDSNameMsgKey": "La table des probabilités prédites doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outFitDSNameMsgKey": "La table de tests d'ajustement doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outNetworkDSNameMsgKey": "La table de structure de réseau doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outParamDSNameMsgKey": "La table des paramètres de modèles doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outValidinfoDSNameMsgKey": "La table des résultats de validation doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outVarinfoDSNameMsgKey": "La table des informations sur les variables doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outVarlevelDSNameMsgKey": "La table des niveaux de variable doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outVarorderDSNameMsgKey": "La table de classement des variables doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outVarselectDSNameMsgKey": "La table de sélection de variables doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outAstoreDSNameMsgKey": "La table des modèles de scoring doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "MessageKey12": "Les noms de tables de probabilités prédites et tests d'ajustement doivent être différents.\">",
     "MessageKey13": "Les noms de tables de probabilités prédites et de structure de réseau doivent être différents.\">",
     "MessageKey14": "Les noms de tables de probabilités prédites et de paramètres de modèles doivent être différents.\">",
     "MessageKey15": "Les noms de tables de probabilités prédites et de résultats de validation doivent être différents.\">",
     "MessageKey16": "Les noms de tables de probabilités prédites et d'informations sur les variables doivent être différents.\">",
     "MessageKey17": "Les noms de tables de probabilités prédites et de niveaux de variables doivent être différents.\">",
     "MessageKey18": "Les noms de tables de probabilités prédites et de classement de variables doivent être différents.\">",
     "MessageKey19": "Les noms de tables de probabilités prédites et de sélection de variables doivent être différents.\">",
     "MessageKey20": "Les noms de tables de probabilités prédites et de modèles de scoring doivent être différents.\">",
     "MessageKey21": "Les noms de tables de tests d'ajustement et de structure de réseau doivent être différents.\">",
     "MessageKey22": "Les noms de tables de tests d'ajustement et de paramètres de modèles doivent être différents.\">",
     "MessageKey23": "Les noms de tables de tests d'ajustement et de résultats de validation doivent être différents.\">",
     "MessageKey24": "Les noms de tables de tests d'ajustement et d'informations sur les variables doivent être différents.\">",
     "MessageKey25": "Les noms de tables de tests d'ajustement et niveaux de variables doivent être différents.\">",
     "MessageKey26": "Les noms de tables de tests d'ajustement et de classement de variables doivent être différents.\">",
     "MessageKey27": "Les noms de tables de tests d'ajustement et de sélection de variables doivent être différents.\">",
     "MessageKey28": "Les noms de tables de tests d'ajustement et de modèles de scoring doivent être différents.\">",
     "MessageKey29": "Les noms de tables de structure de réseau et de paramètres de modèles doivent être différents.\">",
     "MessageKey30": "Les noms de tables de structure de réseau et de résultats de validation doivent être différents.\">",
     "MessageKey31": "Les noms de tables de structure de réseau et d'informations sur les variables doivent être différents.\">",
     "MessageKey32": "Les noms de tables de structure de réseau et de niveaux de variables doivent être différents.\">",
     "MessageKey33": "Les noms de tables de structure de réseau et de classement de variables doivent être différents.\">",
     "MessageKey34": "Les noms de tables de structure de réseau et de sélection de variables doivent être différents.\">",
     "MessageKey35": "Les noms de tables de structure de réseau et de modèles de scoring doivent être différents.\">",
     "MessageKey36": "Les noms de tables de paramètres de modèles et de résultats de validation doivent être différents.\">",
     "MessageKey37": "Les noms de tables de paramètres de modèles et d'informations sur les variables doivent être différents.\">",
     "MessageKey38": "Les noms de tables de paramètres de modèles et de niveaux de variables doivent être différents.\">",
     "MessageKey39": "Les noms de tables de paramètres de modèles et de classement de variables doivent être différents.\">",
     "MessageKey40": "Les noms de tables de paramètres de modèles et de sélection de variables doivent être différents.\">",
     "MessageKey41": "Les noms de tables de paramètres de modèles et de modèles de scoring doivent être différents.\">",
     "MessageKey42": "Les noms de tables de résultats de validation et d'informations sur les variables doivent être différents.\">",
     "MessageKey43": "Les noms de tables de résultats de validation et de niveaux de variables doivent être différents.\">",
     "MessageKey44": "Les noms de tables de résultats de validation et de classement de variables doivent être différents.\">",
     "MessageKey45": "Les noms de tables de résultats de validation et de sélection de variables doivent être différents.\">",
     "MessageKey46": "Les noms de tables de résultats de validation et de modèles de scoring doivent être différents.\">",
     "MessageKey47": "Les noms de tables d'informations sur les variables et de niveaux de variables doivent être différents.\">",
     "MessageKey48": "Les noms de tables d'informations sur les variables et de classement de variables doivent être différents.\">",
     "MessageKey49": "Les noms de tables d'informations sur les variables et de sélection de variables doivent être différents.\">",
     "MessageKey50": "Les noms de tables d'informations sur les variables et de modèles de scoring doivent être différents.\">",
     "MessageKey51": "Les noms de tables de niveaux de variables et de classement de variables doivent être différents.\">",
     "MessageKey52": "Les noms de tables de niveaux de variables et de sélection de variables doivent être différents.\">",
     "MessageKey53": "Les noms de tables de niveaux de variables et de modèles de scoring doivent être différents.\">",
     "MessageKey54": "Les noms de tables de classement de variables et de sélection de variables doivent être différents.\">",
     "MessageKey55": "Les noms de tables de classement de variables et de modèles de scoring doivent être différents.\">",
     "MessageKey56": "Les noms de tables de sélection de variables et de modèles de scoring doivent être différents.\">"
});
