define({
     "NameKey": "Gradient Boosting",
     "DescriptionKey": "La tâche Gradient Boosting génère un modèle prédictif pour une variable continue à expliquer ou une variable nominale à expliquer qui crée un ensemble d'arbres de décision à l'aide de la méthode Gradient Boosting.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "La procédure GRADBOOST",
     "LinkKey3": "Tutoriels SAS",
     "dataTabKey": "DONNEES",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DONNEES",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ROLES SUPPLEMENTAIRES",
     "targetGroupKey": "Variable à expliquer",
     "inputsGroupKey": "Variables explicatives",
     "useIntervalTargetKey": "Utiliser une variable continue à expliquer",
     "useNominalTargetKey": "Utiliser une variable nominale à expliquer",
     "methodsGroupKey": "METHODES",
     "useIntervalBinsKey": "Nombre de classes pour des variables continues explicatives",
     "intervalBinsKey": "Nombre de classes :",
     "intervalBinsMessageKey": "Saisissez un entier supérieur à 1 et inférieur ou égal à 500 pour le nombre de classes pour les variables continues explicatives",
     "treeOptionGroupKey": "Création d'arbres",
     "maxTreesKey": "Nombre d'itérations :",
     "maxTreesMessageKey": "Saisissez un entier supérieur à 0 et inférieur ou égal à 10 000 pour le nombre d'arbres",
     "useMaxTreeRangeKey": "Régler automatiquement le nombre d'itérations",
     "initialMaxTreesKey": "Valeur initiale :",
     "initialMaxTreesMessageKey": "Saisissez un entier supérieur à 0 et inférieur ou égal à 1 000 pour la valeur initiale du nombre d'itérations",
     "lowerMaxTreesKey": "Borne inférieure :",
     "lowerMaxTreesMessageKey": "Saisissez un entier supérieur à 0 et inférieur ou égal à 1 000 pour la borne inférieure du nombre d'itérations",
     "upperMaxTreesKey": "Borne supérieure :",
     "upperMaxTreesMessageKey": "Saisissez un entier supérieur à 0 et inférieur ou égal à 1 000 pour la borne supérieure du nombre d'itérations",
     "maxDepthKey": "Profondeur maximale d'un arbre :",
     "maxDepthMessageKey": "Saisissez un nombre entier supérieur à 0 et inférieur ou égal à 50 pour la profondeur maximale d'un noeud dans un arbre",
     "maxBranchesKey": "Nombre maximal de branches pour un noeud :",
     "maxBranchesMessageKey": "Saisissez un entier supérieur ou égal à 2 et inférieur ou égal à 5 pour le nombre maximal de branches pour un noeud dans un arbre",
     "samplingGroupKey": "Echantillonnage",
     "nodeOptionGroupKey": "Scinder un noeud",
     "inbagFractionKey": "Proportion d'échantillonnage des observations d'apprentissage pour chaque itération :",
     "inbagFractionMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la proportion d'échantillonnage des observations de données d'apprentissage dans la table",
     "useInbagFractionRangeKey": "Régler automatiquement la proportion d'échantillonnage",
     "initialInbagFractionKey": "Valeur initiale :",
     "initialInbagFractionMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la valeur initiale de la proportion d'échantillonnage de chaque itération",
     "lowerInbagFractionKey": "Borne inférieure :",
     "lowerInbagFractionMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la borne inférieure de la proportion d'échantillonnage de chaque itération",
     "upperInbagFractionKey": "Borne supérieure :",
     "upperInbagFractionMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la borne supérieure de la proportion d'échantillonnage de chaque itération",
     "useInbagRandomSeedKey": "Valeur initiale du nombre aléatoire",
     "inbagRandomSeedKey": "Valeur initiale aléatoire :",
     "inbagRandomSeedMessageKey": "Saisissez une valeur entière supérieure à 0 et inférieure à 2 147 483 648 pour la valeur initiale aléatoire",
     "inbagRandomSeedNoteKey": "L'indication d'une valeur initiale du nombre aléatoire peut ne pas répliquer les résultats dans un environnement informatique distribué.",
     "splittingGroupKey": "Noeuds Diviser",
     "minLeafSizeKey": "Nombre minimum d'observations pour une feuille :",
     "minLeafSizeMessageKey": "Saisissez un entier supérieur à 0 pour le nombre minimum d'observations pour une feuille",
     "varsToTryLabelKey": "Nombre de variables explicatives prises en compte pour diviser un noeud :",
     "varsToTryComboKey": "Nombre de variables explicatives prises en compte pour diviser un noeud :",
     "varsToTryAllChoiceKey": "Toutes les variables explicatives (par défaut)",
     "varsToTryCustomKey": "Utiliser un nombre personnalisé de variables explicatives",
     "customVarsToTryValueKey": "Nombre de variables explicatives :",
     "customVarsToTryValueMessageKey": "Saisissez un nombre entier supérieur à 0 et inférieur ou égal au nombre total de variables explicatives sélectionnées pour le nombre de variables explicatives à prendre en compte pour la division d'un noeud",
     "useVarsToTryRangeKey": "Régler automatiquement le nombre de variables explicatives prises en compte pour diviser un noeud",
     "initialVarsToTryKey": "Valeur initiale :",
     "initialVarsToTryMessageKey": "Saisissez un nombre entier supérieur à 0 et inférieur ou égal au nombre total de variables explicatives sélectionnées pour la valeur initiale du nombre de variables explicatives à prendre en compte pour la division d'un noeud",
     "lowerVarsToTryKey": "Borne inférieure :",
     "lowerVarsToTryMessageKey": "Saisissez un nombre entier supérieur à 0 et inférieur ou égal au nombre total de variables explicatives sélectionné pour la borne inférieure du nombre de variables explicatives à prendre en compte pour la division d'un noeud",
     "upperVarsToTryKey": "Borne supérieure :",
     "upperVarsToTryMessageKey": "Saisissez un nombre entier supérieur à 0 et inférieur ou égal au nombre total de variables explicatives sélectionné pour la borne supérieure du nombre de variables explicatives à prendre en compte pour la division d'un noeud",
     "learningRateKey": "Taux d'apprentissage :",
     "learningRateMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour le taux d'apprentissage",
     "useLearningRateRangeKey": "Régler automatiquement le taux d'apprentissage",
     "initialLearningRateKey": "Valeur initiale :",
     "initialLearningRateMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la valeur initiale du taux d'apprentissage",
     "lowerLearningRateKey": "Borne inférieure :",
     "lowerLearningRateMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la borne inférieure du taux d'apprentissage",
     "upperLearningRateKey": "Borne supérieure :",
     "upperLearningRateMessageKey": "Saisissez une valeur supérieure ou égale à 1e-6 et inférieure ou égale à 1 pour la borne supérieure du taux d'apprentissage",
     "optimizationGroupKey": "Optimisation",
     "lassoRegularizationKey": "Régularisation Lasso :",
     "lassoRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour le paramètre de régularisation Lasso",
     "useLassoRegularizationKey": "Régler automatiquement la régularisation Lasso",
     "initialLassoRegularizationKey": "Valeur initiale :",
     "initialLassoRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la valeur initiale du paramètre de régularisation Lasso",
     "lowerLassoRegularizationKey": "Borne inférieure :",
     "lowerLassoRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la borne inférieure du paramètre de régularisation Lasso",
     "upperLassoRegularizationKey": "Borne supérieure :",
     "upperLassoRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la borne supérieure du paramètre de régularisation Lasso",
     "ridgeRegularizationKey": "Régularisation Ridge :",
     "ridgeRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour le paramètre de régularisation Ridge",
     "useRidgeRegularizationKey": "Régler automatiquement la régularisation Ridge",
     "initialRidgeRegularizationKey": "Valeur initiale :",
     "initialRidgeRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la valeur initiale du paramètre de régularisation Ridge",
     "lowerRidgeRegularizationKey": "Borne inférieure :",
     "lowerRidgeRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la borne inférieure du paramètre de régularisation Ridge",
     "upperRidgeRegularizationKey": "Borne supérieure :",
     "upperRidgeRegularizationMessageKey": "Saisissez une valeur supérieure ou égale à 0 pour la borne supérieure du paramètre de régularisation Ridge",
     "autotuneGroupKey": "Paramètres du réglage automatique",
     "autotuneKey": "Régler automatiquement les options sélectionnées",
     "autotuneTimeNoteKey": "Remarque : prévoir un temps d'exécution considérablement plus long (informations supplémentaires)",
     "autotuneReadMoreKey": "Le processus de réglage automatique explore de nombreuses combinaisons diverses d'options d'algorithme, effectuant l'apprentissage d'un modèle pour chaque combinaison (et de plusieurs modèles lors de validation croisée). Pour trouver le meilleur modèle, certaines combinaisons seront des configurations entraînant un long temps d'apprentissage. Le temps total nécessaire pour trouver le meilleur modèle varie et il faut prévoir que ce processus prenne beaucoup plus de temps que l'apprentissage d'un seul modèle.",
     "autotuneComboKey": "Méthode de validation :",
     "autoPartitionChoiceKey": "Partition",
     "autoCVChoiceKey": "Validation croisée K-fold",
     "autoValidationFractionKey": "Proportion des cas de validation :",
     "autoValidationFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données de validation dans la table",
     "autoNFoldsKey": "Nombre d'échantillons :",
     "autoNFoldsMessageKey": "Saisissez un entier supérieur ou égal à 2 et inférieur ou égal à 20 pour le nombre d'échantillons",
     "autoMaxtimeKey": "Temps maximum (en minutes) :",
     "autoMaxtimeMessageKey": "Saisissez un nombre supérieur ou égal à 1 pour la durée maximale en minutes",
     "autoMaxiterKey": "Itérations maximales :",
     "autoMaxiterMessageKey": "Saisissez un entier supérieur ou égal à 1 pour le nombre maximum d'itérations",
     "autoSearchMethodKey": "Méthode de recherche :",
     "gaSearchChoiceKey": "Algorithme génétique",
     "lhsSearchChoiceKey": "Echantillon hypercube latin",
     "randomSearchChoiceKey": "Echantillon aléatoire",
     "bayesSearchChoiceKey": "Echantillon bayésien",
     "autoSampleSizeKey": "Taille d'échantillon :",
     "autoSampleSizeMessageKey": "Saisissez une valeur entière supérieure à 1 pour la taille d'échantillon",
     "autoNominalObjectiveKey": "Objectif :",
     "autoIntervalalObjectiveKey": "Objectif :",
     "autotuneASEChoiceKey": "Erreur quadratique moyenne",
     "autotuneAUCChoiceKey": "Zone sous la courbe",
     "autotuneF1ChoiceKey": "Score F1",
     "autotuneF05ChoiceKey": "Score F0.5",
     "autotuneGammaChoiceKey": "Gamma de Goodman-Kruskal",
     "autotuneGiniChoiceKey": "Coefficient de Gini",
     "autotuneMCLLChoiceKey": "Perte log. multi-classes",
     "autotuneMiscChoiceKey": "Taux de mauvaise classification",
     "autotuneRaseChoiceKey": "Racine carrée de l'erreur quadratique moyenne",
     "autotuneTauChoiceKey": "Tau-a de Kendall",
     "autotuneMAEChoiceKey": "Erreur absolue moyenne",
     "autotuneMSLEChoiceKey": "Erreur logarithmique du carré moyen",
     "autotuneRMAEChoiceKey": "Racine de l'erreur absolue moyenne",
     "autotuneRMSLEChoiceKey": "Erreur logarithmique de la moyenne quadratique",
     "autotuneKSChoiceKey": "Statistique Kolmogorov-Smirnov",
     "autoTargetEventComboKey": "Evénement d'intérêt :",
     "autoUseFirstLevelChoiceKey": "Utiliser la première valeur cible",
     "autoSelectLevelChoiceKey": "Sélectionner une valeur cible",
     "autoEventComboKey": "Evénement sélectionné :",
     "autoEventComboSelectKey": "Sélectionner un niveau",
     "useAutoNParallelKey": "Définir le nombre d'évaluations en parallèle",
     "autoNParallelKey": "Evaluations en parallèle :",
     "autoNParallelMessageKey": "Saisissez un entier supérieur ou égal à 1 pour le nombre d'évaluations en parallèle",
     "autotuneDetailsGroupKey": "Paramètres de l'algorithme génétique",
     "autoMaxevalsKey": "Evaluations maximales :",
     "autoMaxevalsMessageKey": "Saisissez un entier supérieur ou égal à 3 pour le nombre maximum d'évaluations",
     "autoPopsizeKey": "Evaluations par itération :",
     "autoPopsizeMessageKey": "Saisissez un entier supérieur ou égal à 2 pour le nombre maximum d'évaluations par itération",
     "tuneHistoryComboKey": "Rapport historique des évaluations :",
     "tableHistoryKey": "Table de résultats",
     "logHistoryKey": "Journal",
     "allHistoryKey": "Table de résultats et journal",
     "noHistoryKey": "Supprimer le rapport",
     "tunerplotGroupKey": "Réglage automatique des graphiques",
     "tunerPlotKey": "Historique des objectifs",
     "bestPlot": "Historique des meilleurs objectifs",
     "byparmPlotKey": "Valeurs d'option comparées à objectif",
     "outputTabKey": "SORTIE",
     "outputGroupKey": "DONNEES EN SORTIE",
     "odsOutputLibrefNoteKey": "Les tables suivantes doivent utiliser un libref SAS :",
     "casOutputLibrefNoteKey": "Les tables suivantes doivent utiliser un libref de moteur CAS :",
     "outputDSKey": "Enregistrer les données de scoring",
     "outputDSNameKey": "Indiquer une table CAS :",
     "includeVarsInstructionKey": "Inclure les variables de la table CAS d'entrée :",
     "includeAllVarsKey": "Toutes les variables",
     "includeAnalysisVarsKey": "Variables utilisées dans l'analyse",
     "includeSelectedVarsKey": "Variables sélectionnées",
     "outModelDSKey": "Enregistrer le modèle",
     "outModelDSNameKey": "Indiquer une table CAS :",
     "outFitDSKey": "Enregistrer les tests d'ajustement",
     "outFitDSNameKey": "Indiquer une table SAS :",
     "outVarImpDSKey": "Enregistrer les mesures d'importance des variables",
     "outVarImpDSNameKey": "Indiquer une table SAS :",
     "scoreCodeKey": "Enregistrer le modèle de scoring",
     "scoringCodeFileNameKey": "Indiquer une table CAS :",
     "includeVarsInstruction2Key": "Inclure les variables de la table CAS d'entrée :",
     "includeAllVars2Key": "Toutes les variables",
     "includeAnalysisVarsPred2Key": "Variables utilisées dans l'analyse à l'exception des variables à expliquer, pour la prévision",
     "includeAnalysisVarsAssess2Key": "Variables utilisées dans l'analyse y compris les variables à expliquer, pour l'évaluation",
     "plotsGroupKey": "GRAPHES",
     "asePlotKey": "Erreur quadratique moyenne par le nombre d'itérations",
     "missclassPlotKey": "Mauvaises classifications par le nombre d'itérations",
     "variableImportancePlotKey": "Graphique d'importance des variables",
     "plotTitle1Key": "Mauvaises classifications par le nombre d'itérations",
     "plotTitle1intKey": "Erreur quadratique moyenne par le nombre d'itérations",
     "plotTitle2Key": "Out-of-Bag contre Apprentissage",
     "plotTitle2vKey": "Apprentissage contre Validation",
     "plotTitle2aKey": "Apprentissage",
     "asePlotTitleKey": "Erreur quadratique moyenne",
     "missclassPlotTitleKey": "Taux de mauvaise classification",
     "nTreesPlotTitleKey": "Nombre d'itérations",
     "trainingPlotTitleKey": "Apprentissage",
     "oobPlotTitleKey": "OOB",
     "validPlotTitleKey": "Validation",
     "variableImportancePlotTitleKey": "Importance des variables",
     "autotitle1": "Régler avec",
     "partitionGroupKey": "Partition des données",
     "inputDataLabelKey": "Les données en entrée contiennent des données d'apprentissage :",
     "testDataChoiceKey": "Données de test",
     "validationDataChoiceKey": "Données de validation",
     "trainingDataFractionKey": "Proportion des cas d'apprentissage :",
     "trainingDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données d'apprentissage dans la table",
     "testDataFractionKey": "Proportion des cas de test :",
     "testDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données de test dans la table",
     "validationDataFractionKey": "Proportion des cas de validation :",
     "validationDataFractionMessageKey": "Saisissez une valeur supérieure à 0 et inférieure à 1 pour la proportion des observations de données de validation dans la table",
     "useRandomSeedKey": "Valeur initiale du nombre aléatoire",
     "randomSeedKey": "Valeur initiale aléatoire :",
     "randomSeedMessageKey": "Saisissez une valeur entière supérieure à 0 et inférieure à 2 147 483 648 pour la valeur initiale aléatoire",
     "partitionRandomSeedNoteKey": "L'indication d'une valeur initiale du nombre aléatoire peut ne pas répliquer les résultats dans un environnement informatique distribué.",
     "partitionDataComboKey": "Identifier les partitions :",
     "partitionDataFractionChoiceKey": "Indiquez une proportion d'exemple",
     "partitionDataVariableChoiceKey": "Sélection d'une valeur de variable de partitionnement",
     "validationLevelComboKey": "Valeur de données de validation :",
     "testLevelComboKey": "Valeur de données de test :",
     "useTrainingLevelKey": "Sélectionner une valeur de données d'apprentissage",
     "trainingLevelComboKey": "Valeur de données d'apprentissage :",
     "categoricalTargetKey": "Variable nominale à expliquer :",
     "continuousTargetKey": "Variable continue à expliquer :",
     "intervalVariablesKey": "Variables continues explicatives :",
     "ordinalVariablesKey": "Variables ordinales explicatives :",
     "nominalVariablesKey": "Variables nominales explicatives :",
     "copyVariablesKey": "Inclure ces variables :",
     "outputVariables2Key": "Inclure ces variables :",
     "partitionVariableKey": "Variable de partitionnement :",
     "intervalOrdinalNominalRequirementKey": "Sélectionnez au moins une variable explicative nominale ou continue.",
     "sumSamplingProportionsRequirementKey": "La somme des proportions d'échantillonnage pour les données de test et de validation doit être inférieure à 1,0.",
     "partitionVariableValuesRequirementKey": "La valeur de la variable de partitionnement doit être différente pour les cas de validation et de test.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "La valeur de la variable de partitionnement doit être différente pour les cas d'apprentissage et de validation.",
     "partitionVariableTraining_TestValuesRequirementKey": "La valeur de la variable de partitionnement doit être différente pour les cas d'apprentissage et de test.",
     "useMaxTreeRangeRequirementKey": "La borne inférieure pour le nombre d'itérations doit être inférieure à la borne supérieure.",
     "useInbagFractionRangeRequirementKey": "La borne inférieure pour la proportion d''échantillonnage doit être inférieure à la borne supérieure.",
     "useLearningRateRangeRequirementKey": "La borne inférieure pour le taux d''apprentissage doit être inférieure à la borne supérieure.",
     "useVarsToTryRangeRequirementKey": "La borne inférieure pour le nombre de variables explicatives pour considérer la division d'un noeud doit être inférieure à la borne supérieure.",
     "useVarsToTryInitialValueTooLargeRequirementKey": "La valeur initiale pour le nombre de variables explicatives pour considérer la division d'un noeud ne peut pas être supérieure au nombre total de variables explicatives sélectionnées.",
     "useVarsToTryLowerBoundsTooLargeRequirementKey": "La borne inférieure pour le nombre de variables explicatives à prendre en compte pour la division d'un noeud ne peut pas être supérieure au nombre total de variables explicatives sélectionnées.",
     "useVarsToTryUpperBoundsTooLargeRequirementKey": "La borne supérieure pour le nombre de variables explicatives à prendre en compte pour la division d'un noeud ne peut pas être supérieure au nombre total de variables explicatives sélectionnées.",
     "useVarsToTryValueTooLargeRequirementKey": "Le nombre de variables explicatives à prendre en compte pour la division d'un noeud ne peut pas être supérieur au nombre total de variables explicatives sélectionnées.",
     "useLassoRegularizationRangeRequirementKey": "La borne inférieure pour le paramètre de régularisation LASSO doit être inférieure à la borne supérieure.",
     "useRidgeRegularizationRangeRequirementKey": "La borne inférieure pour le paramètre de régularisation Ridge doit être inférieure à la borne supérieure.",
     "noAutotuneOptionsRequirementKey": "Sélectionnez au moins une option pour le réglage automatique.",
     "scoredDataAndModelDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des données du scoring et du modèle doivent être différents.",
     "scoredDataAndFitDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des données du scoring et de tests d'ajustement doivent être différents.",
     "scoredDataAndVarImpDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des données du scoring et d'importance des variables doivent être différents.",
     "scoredDataAndScoringModelDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des données du scoring et du modèle de scoring doivent être différents.",
     "ModelAndFitDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des tests d'ajustement et du modèle doivent être différents.",
     "ModelAndVarImpDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie du modèle et de l'importance des variables doivent être différents.",
     "ModelAndScoringModelDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie du modèle et du modèle de scoring doivent être différents.",
     "fitAndVarImpDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des tests d'ajustement et de l'importance des variables doivent être différents.",
     "fitAndScoringModelDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie des tests d'ajustement et du modèle de scoring doivent être différents.",
     "varImpAndScoringModelDatasetsMustBeDifferentMsgKey": "Les noms de tables de sortie de l'importance des variables et du modèle de scoring doivent être différents.",
     "outputDSNameMsgKey": "La table de sortie du scoring doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "outmodelDSNameMsgKey": "La table de modèles doit avoir un nom à deux niveaux incluant un libref de moteur CAS.",
     "scoringCodeFileNameMsgKey": "La table de magasin analytique doit avoir un nom à deux niveaux incluant un libref de moteur CAS."
});
