define({
     "NameKey": "Modèles mixtes",
     "DescriptionKey": "La tâche Modèles mixtes permet d'ajuster un grand nombre de modèles linéaires composés d'effets fixes et aléatoires. Vous pouvez modéliser les variances et covariances des données ainsi que les moyennes.",
     "LinkKey": "SAS Studio Task Reference Guide",
     "LinkKey2": "La procédure MIXED",
     "LinkKey7": "Tutoriels SAS",
     "dataTabKey": "DONNEES",
     "optionsTabKey": "OPTIONS",
     "dataGroupKey": "DONNEES",
     "rolesGroupKey": "ROLES",
     "otherRolesGroupKey": "ROLES SUPPLEMENTAIRES",
     "explanatoryGroupKey": "Variables explicatives",
     "classMissingGroupKey": "Traitement des valeurs manquantes",
     "classMissingNoteKey": "Une observation est exclue de l'analyse si une variable du modèle contient une valeur manquante. De plus, une observation est exclue si une variable de classification contient une valeur manquante (que cette variable de classification soit utilisée dans le modèle ou pas).",
     "modelGroupKey": "EFFETS DU MODELE",
     "modelTabKey": "MODELE",
     "methodsGroupKey": "METHODES",
     "outputTabKey": "SORTIE",
     "estimationMethodKey": "Méthode d'estimation :",
     "remlChoiceKey": "Vraisemblance maximale limitée",
     "mlChoiceKey": "Vraisemblance maximale",
     "mivque0ChoiceKey": "Estimation sans biais quadratique de la variance minimale",
     "type1ChoiceKey": "Type 1",
     "type2ChoiceKey": "Type 2",
     "type3ChoiceKey": "Type 3",
     "ddfMethodKey": "Méthode pour calculer le degré de liberté du dénominateur :",
     "defaultChoiceKey": "Défaut",
     "containChoiceKey": "Confinement",
     "betwithinChoiceKey": "Diviser entre et dans les portions",
     "residualChoiceKey": "Degrés de liberté résiduel",
     "sattChoiceKey": "Approximation de Satterthwaite",
     "kenwardRogerChoiceKey": "Méthode de Kenward et Roger",
     "kenwardRoger2ChoiceKey": "Méthode de Kenward et Roger 2",
     "methodDetailsGroupKey": "Détails",
     "statisticsGroupKey": "STATISTIQUES",
     "statsComboKey": "Sélectionner les statistiques à afficher :",
     "defaultStatsChoiceKey": "Statistiques par défaut",
     "customStatsChoiceKey": "Statistiques par défaut et supplémentaires",
     "noStatsChoiceKey": "Néant",
     "additionalStatsLabelKey": "Statistiques supplémentaires",
     "testsGroupKey": "Tests",
     "chisqKey": "Afficher les tests du khi-2",
     "hypothTestsKey": "Tests des effets fixes",
     "htype1Key": "Test séquentiel (Type 1)",
     "htype2Key": "Test partiel (Type 2)",
     "htype3Key": "Test partiel ( Type 3)",
     "covtestKey": "Erreurs types et Test de Wald des paramètres de covariance",
     "parmEstGroupKey": "Valeurs estimées du paramètre",
     "parmEstKey": "Afficher les résultats estimés des paramètres",
     "fixedParmsGroupKey": "Effets fixes",
     "randomParmsGroupKey": "Effets aléatoires",
     "covarParmsGroupKey": "Estimations de la covariance",
     "clKey": "Intervalles de confiance des résultats estimés des paramètres",
     "corrEstKey": "Corrélations des résultats estimés des paramètres",
     "covEstKey": "Covariances des résultats estimés des paramètres",
     "mixedGroupKey": "Modèle mixte",
     "mmeqKey": "Equations du modèle mixte",
     "mmeqsolKey": "Solution aux équations du modèle mixte",
     "randomSolutionKey": "Afficher les effets aléatoires prédits (BLUPs)",
     "randomClKey": "Intervalles de confiance des prédictions",
     "gMatrixKey": "Matrice G estimée",
     "gcorrKey": "Matrice G estimée sous forme de corrélations",
     "vMatrixKey": "Matrice V estimée",
     "vcorrKey": "Matrice V estimée sous forme de corrélations",
     "clCovKey": "Intervalles de confiance des résultats estimés des paramètres de la covariance",
     "asymcorrKey": "Corrélations des résultats estimés des paramètres de la covariance",
     "asymcovKey": "Covariances des résultats estimés des paramètres de la covariance",
     "repeatedEffectGroupKey": "Effet répétitif",
     "rMatrixKey": "Matrice R estimée",
     "rcorrKey": "Matrice R estimée sous forme de corrélations",
     "influenceGroupKey": "Statistiques d'influence",
     "influenceKey": "Statistiques d'influence",
     "influenceComputeComboKey": "Influence de la mesure en supprimant :",
     "indivObsInfluenceChoiceKey": "Observations individuelles",
     "effectInfluenceChoiceKey": "Groupes des observations correspondant aux niveaux d'une variable",
     "influenceListKey": "Sélectionner l'effet :",
     "confidenceKey": "Niveau de confiance :",
     "confidence90Key": "90 %",
     "confidence95Key": "95 %",
     "confidence99Key": "99 %",
     "confidenceSpecifyKey": "Utiliser une valeur personnalisée",
     "confidenceValueKey": "Niveau de confiance personnalisé :",
     "confidenceValueMessageKey": "Saisissez un nombre supérieur à zéro et inférieur à 100 pour le niveau de confiance",
     "multCompareGroupKey": "Comparaisons multiples",
     "multCompareKey": "Effectuer des comparaisons multiples",
     "multCompareListKey": "Sélectionner les effets à tester :",
     "multCompareComboKey": "Méthode :",
     "bonferroniKey": "Bonferroni",
     "scheffeKey": "Scheffe",
     "sidakKey": "Sidak",
     "tukeyKey": "Tukey",
     "smmKey": "SMM de Hochberg",
     "multCompareAlphaKey": "Niveau de significativité :",
     "alpha_10Key": "0,10",
     "alpha_05Key": "0,05",
     "alpha_01Key": "0,01",
     "multCompareAlphaSpecifyKey": "Utiliser une valeur personnalisée",
     "multCompareAlphaValueKey": "Niveau de significativité personnalisé :",
     "multCompareAlphaValueMessageKey": "Saisissez un nombre supérieur à zéro et inférieur à 1 pour le niveau de significativité",
     "maxiterComboKey": "Nombre maximum d'itérations :",
     "maxiterDefaultChoiceKey": "Utiliser la valeur par défaut",
     "maxiterCustomChoiceKey": "Utiliser une valeur personnalisée",
     "maxiterKey": "Nombre maximum personnalisé d'itérations :",
     "maxiterMessageKey": "Saisissez un nombre supérieur ou égal à 0 pour le nombre maximal d'itérations",
     "plotsGroupKey": "GRAPHES",
     "diagnosticGroupKey": "Courbes résiduelles et de diagnostics",
     "residualPlotsKey": "Résidus",
     "studentPlotsKey": "Résidus studentisés",
     "pearsonPlotsKey": "Résidus de Pearson",
     "pressPlotsKey": "Résidus Press",
     "influencePlotsKey": "Statistiques d'influence",
     "unpackResidualPlotsKey": "Afficher sous forme de :",
     "unpackChoiceKey": "Graphes individuels",
     "panelChoiceKey": "Groupe de graphes",
     "maxpointsComboKey": "Nombre maximum de points du graphique :",
     "maxpointsDefaultKey": "Valeur par défaut (5 000)",
     "maxpoints10000Key": "10 000",
     "maxpointsSpecifyKey": "Utiliser une valeur personnalisée",
     "maxpointsNoLimitKey": "Aucune limite",
     "maxpointsValueKey": "Nombre maximum personnalisé de points :",
     "maxpointsValueMessageKey": "Saisissez un nombre entier supérieur à zéro comme nombre maximum de points de la courbe",
     "outputGroupKey": "TABLES DE SORTIE",
     "outP_DSKey": "Créer une table de valeurs prédites",
     "outP_DSNameKey": "Nom de la table :",
     "outPM_DSKey": "Créer une table de moyennes prédites",
     "outPM_DSNameKey": "Nom de la table :",
     "dependentVariableKey": "Variable dépendante :",
     "continuousVariablesKey": "Variables continues :",
     "classVariablesKey": "Variables de classification :",
     "weightVariableKey": "Poids :",
     "byVariablesKey": "Grouper l'analyse par :",
     "influenceEffectVariableKey": "Variable de groupe de l'observation :",
     "invalidRandomSetRequirementKey": "Au moins un ensemble d'effets aléatoires n'est pas valide. Modifiez l'ensemble non valide et ajoutez un effet aléatoire."
});
