define({
     "NameKey": "Rete bayesiana",
     "DescriptionKey": "Il processo Rete bayesiana addestra un modello predittivo di un target nominale usando tipi diversi di strutture di rete bayesiana, inclusi naive, tree-augmented naive, rete bayesiana-augmented naive, rete bayesiana parent-child e Markov blanket. È disponibile la selezione automatica dei parametri migliori utilizzando un sottoinsieme dei dati di validazione.",
     "LinkKey1": "SAS Studio Task Reference Guide",
     "LinkKey2": "La procedura BNET",
     "LinkKey3": "Tutorial SAS",
     "dataTabKey": "DATI",
     "optionsTabKey": "OPZIONI",
     "dataGroupKey": "DATI",
     "rolesGroupKey": "RUOLI",
     "otherRolesGroupKey": "RUOLI AGGIUNTIVI",
     "targetGroupKey": "Target",
     "inputsGroupKey": "Input",
     "partitionGroupKey": "Dati della partizione",
     "inputDataLabelKey": "I dati di input contengono dati di training. Sono inclusi:",
     "testDataChoiceKey": "Dati di test",
     "validationDataChoiceKey": "Dati di validazione",
     "trainingDataFractionKey": "Proporzione di casi di training:",
     "trainingDataFractionMessageKey": "Immettere un valore maggiore di 0 e minore di 1 per la proporzione delle osservazioni dei dati di training nel data set",
     "testDataFractionKey": "Proporzione dei test case:",
     "testDataFractionMessageKey": "Immettere un valore maggiore di 0 e minore di 1 per la proporzione delle osservazioni dei dati di test nel data set",
     "validationDataFractionKey": "Proporzione dei casi di validazione:",
     "validationDataFractionMessageKey": "Immettere un valore maggiore di 0 e minore di 1 per la proporzione delle osservazioni dei dati di validazione nel data set",
     "usePartitionRandomSeedKey": "Seme del numero casuale",
     "partitionRandomSeedKey": "Seme casuale:",
     "partitionRandomSeedMessageKey": "Immettere un numero intero maggiore di 0 e minore di 2.147.483.648 per il seme casuale",
     "partitionRandomSeedNoteKey": "Specificando un seme del numero casuale i risultati potrebbero non essere replicati in un ambiente di elaborazione distribuita.",
     "partitionDataComboKey": "Identifica le partizioni:",
     "partitionDataFractionChoiceKey": "Specifica una proporzione di esempio",
     "partitionDataVariableChoiceKey": "Scegli un valore di una variabile di partizionamento",
     "validationLevelComboKey": "Valore dei dati di validazione:",
     "useTrainingLevelKey": "Seleziona il valore dei dati di training",
     "trainingLevelComboKey": "Valori dei dati di training:",
     "responseOrderKey": "Ordine di risposta:",
     "ascendingChoiceKey": "Valori in ordine crescente",
     "descendingChoiceKey": "Valori in ordine decrescente",
     "responseOrderTypeKey": "Valori di risposta:",
     "formattedChoiceKey": "Ordina per valori formattati",
     "unformattedChoiceKey": "Ordina per valori non formattati",
     "methodsGroupKey": "METODI",
     "dataPrepGroupKey": "Preparazione dei dati",
     "intervalBinsKey": "Numero di raggruppamenti per gli input continui:",
     "intervalBinsMessageKey": "Immettere un numero intero maggiore di 1 e minore di 1024 per il numero di raggruppamenti per input continui",
     "intervalMissingComboKey": "Valori mancanti per input continui:",
     "nominalMissingComboKey": "Valori mancanti per input nominali:",
     "ignoreChoiceKey": "Ignora osservazioni con valori mancanti (predefinito)",
     "imputeMeanChoiceKey": "Sostituisci valori mancanti con la media dell'input",
     "imputeModeChoiceKey": "Sostituisci valori mancanti con la moda dell'input",
     "levelChoiceKey": "Tratta il valore mancante come livello",
     "networkGroupKey": "Rete bayesiana",
     "bestModelKey": "Seleziona il modello migliore",
     "prescreenKey": "Input a video:",
     "useAllRadioKey": "Usa tutti gli input",
     "useDependentRadioKey": "Usa input dipendenti dal target (predefinito)",
     "screeningSelectorKey": "Input a video:",
     "useAllChoiceKey": "Usa tutti gli input",
     "useDependentChoiceKey": "Usa input dipendenti dal target (predefinito)",
     "structureComboKey": "Rete della struttura:",
     "structureSelectorKey": "Reti della struttura:",
     "mbChoiceKey": "Markov blanket",
     "naiveChoiceKey": "Rete bayesiana Naive",
     "pcChoiceKey": "Rete bayesiana Parent-child (predefinita)",
     "tanChoiceKey": "Rete bayesiana Tree-augmented naive",
     "maxParentsKey": "Numero massimo di padri per nodo:",
     "maxParentsMessageKey": "Immettere un numero intero fra 1 e 16, compresi per il numero massimo di padri per nodo",
     "parentingLabelKey": "Determina i padri dei nodi:",
     "bestOneRadioKey": "Usa la variabile migliore",
     "bestSetRadioKey": "Usa l'insieme migliore di variabili (predefinito)",
     "parentingSelectorKey": "Determina i padri dei nodi:",
     "bestOneChoiceKey": "Usa la variabile migliore",
     "bestSetChoiceKey": "Usa l'insieme migliore di variabili (predefinito)",
     "varselectComboKey": "Metodo di selezione delle variabili:",
     "varselectSelectorKey": "Metodi di selezione delle variabili:",
     "varselect0ChoiceKey": "Usa tutti gli input dopo lo screening iniziale",
     "varselect1ChoiceKey": "Usa input che sono dipendenti dal target, dato un qualsiasi altro input (predefinito)",
     "varselect2ChoiceKey": "Usa input che sono dipendenti dal target, dato un qualsiasi sottoinsieme di input",
     "varselect3ChoiceKey": "Usa input nel Markov blanket del target",
     "indepTestComboKey": "Test di indipendenza:",
     "chisquareChoiceKey": "Statistica del chi-quadrato",
     "gsquareChoiceKey": "Statistica del G-quadrato",
     "chiGsquareChoiceKey": "Statistiche del chi-quadrato e del G-quadrato (predefinito)",
     "miChoiceKey": "Informazioni reciproche",
     "allChoiceKey": "Tutti i test",
     "alphaKey": "Livello di significatività:",
     "alpha_10Key": "0,10",
     "alpha_05Key": "0.05 (predefinito)",
     "alpha_01Key": "0,01",
     "alphaSpecifyKey": "Usa valore personalizzato",
     "alphaValueKey": "Livello di significatività personalizzato:",
     "alphaValueMissingKey": "Immettere un numero maggiore di zero e minore di 1 per il livello di significatività",
     "alphaValueInvalidKey": "Immettere un numero maggiore di zero e minore di 1 per il livello di significatività",
     "alphaValuePromptKey": "Immettere un numero maggiore di zero e minore di 1 per il livello di significatività",
     "alphaValueRangeKey": "Immettere un numero maggiore di zero e minore di 1 per il livello di significatività",
     "outputTabKey": "OUTPUT",
     "outputGroupKey": "DATI DI OUTPUT",
     "casOutputLibrefNoteKey": "Le seguenti tabelle devono usare una libref dell'engine CAS:",
     "outPredDSKey": "Salva probabilità previste",
     "outPredDSNameKey": "Specifica una tabella CAS:",
     "roleKey": "Identificativo della partizione",
     "includeVarsInstructionKey": "Includi variabili dal data set di input:",
     "includeAllVarsKey": "Tutte le variabili",
     "includeSelectedVarsKey": "Variabili selezionate",
     "includeAnalysisVarsKey": "Variabili usate nell'analisi",
     "includeNoVarsKey": "Nessuna variabile",
     "outFitDSKey": "Salva statistiche di stima",
     "outFitDSNameKey": "Specifica una tabella CAS:",
     "outNetworkDSKey": "Salva struttura della rete",
     "outNetworkDSNameKey": "Specifica una tabella CAS:",
     "outParamDSKey": "Salva parametri del modello",
     "outParamDSNameKey": "Specifica una tabella CAS:",
     "outValidinfoDSKey": "Salva risultati della convalida",
     "outValidinfoDSNameKey": "Specifica una tabella CAS:",
     "varInfoGroupKey": "Informazioni sulle variabili",
     "outVarinfoDSKey": "Salva informazioni sulle variabili",
     "outVarinfoDSNameKey": "Specifica una tabella CAS:",
     "outVarlevelDSKey": "Salva livelli delle variabili",
     "outVarlevelDSNameKey": "Specifica una tabella CAS:",
     "outVarorderDSKey": "Salva ordine delle variabili",
     "outVarorderDSNameKey": "Specifica una tabella CAS:",
     "outVarselectDSKey": "Salva informazioni sulla selezione delle variabili",
     "outVarselectDSNameKey": "Specifica una tabella CAS:",
     "outAstoreDSKey": "Salva modello di scoring",
     "outAstoreDSNameKey": "Specifica una tabella CAS:",
     "scoreCodeFileKey": "Specifica un nome del percorso per il codice di scoring:",
     "scoreCodeKey": "Salva codice di scoring",
     "scoringCodeFileNameKey": "",
     "nominalTargetKey": "Target nominale:",
     "intervalInputsKey": "Input continui:",
     "nominalInputsKey": "Input nominali:",
     "freqVariableKey": "Conteggio frequenza:",
     "byVariablesKey": "Raggruppa analisi per:",
     "partitionVariableKey": "Variabile di partizionamento:",
     "copyVariablesKey": "Variabili da includere:",
     "continuousClassRequirementKey": "Selezionare almeno un input continuo o nominale.",
     "partitionVariableTraining_ValidationValuesRequirementKey": "Il valore della variabile di partizionamento deve essere diverso per i casi di training e di convalida.",
     "outPredDSNameMsgKey": "La tabella della probabilità previste deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outFitDSNameMsgKey": "La tabella delle statistiche di stima deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outNetworkDSNameMsgKey": "La tabella della struttura della rete deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outParamDSNameMsgKey": "La tabella dei parametri del modello deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outValidinfoDSNameMsgKey": "La tabella dei risultati di convalida deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outVarinfoDSNameMsgKey": "La tabella delle informazioni sulle variabili deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outVarlevelDSNameMsgKey": "La tabella dei livelli delle variabili deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outVarorderDSNameMsgKey": "La tabella dell'ordine delle variabili deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outVarselectDSNameMsgKey": "La tabella di selezione delle variabili deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "outAstoreDSNameMsgKey": "La tabella del modello di scoring deve avere un nome a due livelli che include una libref dell'engine CAS.",
     "MessageKey12": "I nomi delle tabelle delle probabilità previste e delle statistiche di stima devono essere diversi.\">",
     "MessageKey13": "I nomi delle tabella delle probabilità previste e della struttura della rete devono essere diversi.\">",
     "MessageKey14": "I nomi delle tabelle delle probabilità previste e dei parametri del modello devono essere diversi.\">",
     "MessageKey15": "I nomi delle tabelle delle probabilità previste e dei risultati di convalida devono essere diversi.\">",
     "MessageKey16": "I nomi delle tabelle delle probabilità previste e delle informazioni sulle variabili devono essere diversi.\">",
     "MessageKey17": "I nomi delle tabelle delle probabilità previste e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey18": "I nomi delle tabelle delle probabilità previste e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey19": "I nomi delle tabelle delle probabilità previste e di selezione delle variabili devono essere diversi.\">",
     "MessageKey20": "I nomi delle tabelle delle probabilità previste e dei modelli di scoring devono essere diversi.\">",
     "MessageKey21": "I nomi delle tabelle delle statistiche di stima e della struttura della rete devono essere diversi.\">",
     "MessageKey22": "I nomi delle tabelle delle statistiche di stima e dei parametri del modello devono essere diversi.\">",
     "MessageKey23": "I nomi delle tabelle delle statistiche di stima e dei risultati di convalida devono essere diversi.\">",
     "MessageKey24": "I nomi delle tabelle delle statistiche di stima e delle informazioni sulle variabili devono essere diversi.\">",
     "MessageKey25": "I nomi delle tabelle delle statistiche di stima e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey26": "I nomi delle tabelle delle statistiche di stima e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey27": "I nomi delle tabelle delle statistiche di stima e di selezione delle variabili devono essere diversi.\">",
     "MessageKey28": "I nomi delle tabelle delle statistiche di stima e dei modelli di scoring devono essere diversi.\">",
     "MessageKey29": "I nomi delle tabelle della struttura della rete e dei parametri del modello devono essere diversi.\">",
     "MessageKey30": "I nomi delle tabelle della struttura della rete e dei risultati di convalida devono essere diversi.\">",
     "MessageKey31": "I nomi delle tabelle della struttura della rete e delle informazioni sulle variabili devono essere diversi.\">",
     "MessageKey32": "I nomi delle tabelle della struttura della rete e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey33": "I nomi delle tabelle della struttura della rete e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey34": "I nomi delle tabelle della struttura della rete e di selezione delle variabili devono essere diversi.\">",
     "MessageKey35": "I nomi delle tabelle della struttura della rete e dei modelli di scoring devono essere diversi.\">",
     "MessageKey36": "I nomi delle tabelle dei parametri del modello e dei risultati di convalida devono essere diversi.\">",
     "MessageKey37": "I nomi delle tabelle dei parametri del modello e delle informazioni sulle variabili devono essere diversi.\">",
     "MessageKey38": "I nomi delle tabelle dei parametri del modello e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey39": "I nomi delle tabelle dei parametri del modello e di selezione delle variabili devono essere diversi.\">",
     "MessageKey40": "I nomi delle tabelle dei parametri del modello e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey41": "I nomi delle tabelle dei parametri del modello e di selezione dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey42": "I nomi delle tabelle dei risultati di convalida e delle informazioni sulle variabili devono essere diversi.\">",
     "MessageKey43": "I nomi delle tabelle dei risultati di convalida e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey44": "I nomi delle tabelle dei risultati di convalida e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey45": "I nomi delle tabelle dei risultati di convalida e di selezione delle variabili devono essere diversi.\">",
     "MessageKey46": "I nomi delle tabelle dei risultati di convalida e dei modelli di scoring devono essere diversi.\">",
     "MessageKey47": "I nomi delle tabelle delle informazioni sulle variabili e dei livelli delle variabili devono essere diversi.\">",
     "MessageKey48": "I nomi delle tabelle delle informazioni sulle variabili e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey49": "I nomi delle tabelle delle informazioni sulle variabili e di selezione delle variabili devono essere diversi.\">",
     "MessageKey50": "I nomi delle tabelle delle informazioni sulle variabili e dei modelli di scoring devono essere diversi.\">",
     "MessageKey51": "I nomi delle tabelle dei livelli delle variabili e dell'ordine delle variabili devono essere diversi.\">",
     "MessageKey52": "I nomi delle tabelle dei livelli delle variabili e di selezione delle variabili devono essere diversi.\">",
     "MessageKey53": "I nomi delle tabelle dei livelli delle variabili e dei modelli di scoring devono essere diversi.\">",
     "MessageKey54": "I nomi delle tabelle dell'ordine delle variabili e di selezione delle variabili devono essere diversi.\">",
     "MessageKey55": "I nomi delle tabella dell'ordine delle variabili e dei modelli di scoring devono essere diversi.\">",
     "MessageKey56": "I nomi delle tabelle di selezione delle variabili e dei modelli di scoring devono essere diversi.\">"
});
