define({
  "NameKey": "Bayesian ネットワーク",
  "DescriptionKey": "Bayesian ネットワークタスクは、Naive、Tree-Augmented Naive、Augmented Naive、Parent-Child、Markov Blanket を含む Bayesian ネットワーク構造を使用して、名義ターゲットの予測モデルを学習させます。検証データサブセットを使用し、最適なパラメータを自動で選択することができます。",
  "LinkKey1": "SAS Studio タスクリファレンスガイド",
  "LinkKey2": "BNET プロシジャ",
  "LinkKey3": "SAS チュートリアル",
  "dataTabKey": "データ",
  "optionsTabKey": "オプション",
  "dataGroupKey": "データ",
  "rolesGroupKey": "役割",
  "otherRolesGroupKey": "追加役割",
  "targetGroupKey": "ターゲット",
  "inputsGroupKey": "入力",
  "partitionGroupKey": "分割データ",
  "inputDataLabelKey": "入力データには学習データと次が含まれる:",
  "testDataChoiceKey": "テストデータ",
  "validationDataChoiceKey": "検証データ",
  "trainingDataFractionKey": "学習ケースの比率:",
  "trainingDataFractionMessageKey": "データセットの学習データオブザベーションの比率に 0 より大きく、1 より小さい値を入力してください",
  "testDataFractionKey": "テストケースの比率:",
  "testDataFractionMessageKey": "データセットのテストデータオブザベーションの比率に 0 より大きく、1 より小さい値を入力してください",
  "validationDataFractionKey": "検証ケースの比率:",
  "validationDataFractionMessageKey": "データセットの検証データオブザベーションの比率に 0 より大きく、1 より小さい値を入力してください",
  "usePartitionRandomSeedKey": "乱数シード",
  "partitionRandomSeedKey": "ランダムシード:",
  "partitionRandomSeedMessageKey": "ランダムシードに 0 より大きく 2,147,483,648 未満の整数を入力してください",
  "partitionRandomSeedNoteKey": "乱数シードを指定すると、分散コンピューティング環境で結果をレプリケートしない場合があります。",
  "partitionDataComboKey": "分割の識別:",
  "partitionDataFractionChoiceKey": "サンプル比率を指定",
  "partitionDataVariableChoiceKey": "分割変数の値を選択",
  "validationLevelComboKey": "検証データ値:",
  "useTrainingLevelKey": "学習データ値を選択する",
  "trainingLevelComboKey": "学習データ値:",
  "responseOrderKey": "応答の順序:",
  "ascendingChoiceKey": "昇順値",
  "descendingChoiceKey": "降順値",
  "responseOrderTypeKey": "応答値:",
  "formattedChoiceKey": "フォーマット値に基づく順序",
  "unformattedChoiceKey": "フォーマットされていない値に基づく順序",
  "methodsGroupKey": "手法",
  "dataPrepGroupKey": "データ準備",
  "intervalBinsKey": "間隔尺度の入力変数のビン数:",
  "intervalBinsMessageKey": "間隔尺度の入力変数のビン数に 1 より大きく 1024 を上回らない整数を入力してください",
  "intervalMissingComboKey": "間隔尺度の入力変数の欠損値:",
  "nominalMissingComboKey": "名義尺度の入力変数の欠損値:",
  "ignoreChoiceKey": "欠損値を含むオブザベーションを無視する (デフォルト)",
  "imputeMeanChoiceKey": "欠損値を入力の平均値で置き換える",
  "imputeModeChoiceKey": "欠損値を入力のモードで置き換える",
  "levelChoiceKey": "欠損値を水準として処理する",
  "networkGroupKey": "Bayesian ネットワーク",
  "bestModelKey": "最適モデルを選択する",
  "prescreenKey": "画面入力:",
  "useAllRadioKey": "すべての入力を使用する",
  "useDependentRadioKey": "ターゲット依存の入力を使用 (デフォルト)",
  "screeningSelectorKey": "画面入力:",
  "useAllChoiceKey": "すべての入力を使用する",
  "useDependentChoiceKey": "ターゲット依存の入力を使用 (デフォルト)",
  "structureComboKey": "構造ネットワーク:",
  "structureSelectorKey": "構造ネットワーク:",
  "mbChoiceKey": "Markov Blanket",
  "naiveChoiceKey": "Naive",
  "pcChoiceKey": "Parent-Child (デフォルト)",
  "tanChoiceKey": "Tree-Augmented Naive",
  "maxParentsKey": "ノード毎の親の最大数:",
  "maxParentsMessageKey": "ノード毎の親の最大数に 1 以上 16 以下の整数を入力してください",
  "parentingLabelKey": "ノードの親の決定:",
  "bestOneRadioKey": "最適な変数を使用する",
  "bestSetRadioKey": "最適な変数セットを使用 (デフォルト)",
  "parentingSelectorKey": "ノードの親の決定:",
  "bestOneChoiceKey": "最適な変数を使用する",
  "bestSetChoiceKey": "最適な変数セットを使用 (デフォルト)",
  "varselectComboKey": "変数選択法:",
  "varselectSelectorKey": "変数選択法:",
  "varselect0ChoiceKey": "最初のスクリーニング後にすべての入力を使用する",
  "varselect1ChoiceKey": "他の入力があればターゲット依存の入力を使用 (デフォルト)",
  "varselect2ChoiceKey": "他の入力のサブセットがあればターゲット依存の入力を使用 (デフォルト)",
  "varselect3ChoiceKey": "ターゲットの Markov Blanket を使用する",
  "indepTestComboKey": "独立性検定:",
  "chisquareChoiceKey": "カイ 2 乗統計量",
  "gsquareChoiceKey": "G 2 乗統計量",
  "chiGsquareChoiceKey": "カイ 2 乗統計量とG 2 乗統計量 (デフォルト)",
  "miChoiceKey": "相互情報量",
  "allChoiceKey": "すべての検定",
  "alphaKey": "有意水準:",
  "alpha_10Key": "0.10",
  "alpha_05Key": "0.05 (デフォルト)",
  "alpha_01Key": "0.01",
  "alphaSpecifyKey": "カスタム値を使用",
  "alphaValueKey": "カスタム有意水準:",
  "alphaValueMissingKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValueInvalidKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValuePromptKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValueRangeKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "outputTabKey": "出力",
  "outputGroupKey": "出力データ",
  "casOutputLibrefNoteKey": "次のテーブルは CAS Engine ライブラリ参照名を使用する必要があります:",
  "outPredDSKey": "予測確率を保存する",
  "outPredDSNameKey": "CAS テーブル:",
  "roleKey": "分割識別子",
  "includeVarsInstructionKey": "含める入力データセットの変数:",
  "includeAllVarsKey": "すべての変数",
  "includeSelectedVarsKey": "選択した変数",
  "includeAnalysisVarsKey": "分析で使用した変数",
  "includeNoVarsKey": "変数を含めない",
  "outFitDSKey": "当てはめ統計量を保存する",
  "outFitDSNameKey": "CAS テーブル:",
  "outNetworkDSKey": "ネットワーク構造を保存する",
  "outNetworkDSNameKey": "CAS テーブル:",
  "outParamDSKey": "モデルパラメータを保存する",
  "outParamDSNameKey": "CAS テーブル:",
  "outValidinfoDSKey": "検証結果を保存する",
  "outValidinfoDSNameKey": "CAS テーブル:",
  "varInfoGroupKey": "変数情報",
  "outVarinfoDSKey": "変数情報を保存する",
  "outVarinfoDSNameKey": "CAS テーブル:",
  "outVarlevelDSKey": "変数水準を保存する",
  "outVarlevelDSNameKey": "CAS テーブル:",
  "outVarorderDSKey": "変数の順序を保存する",
  "outVarorderDSNameKey": "CAS テーブル:",
  "outVarselectDSKey": "変数選択の情報を保存する",
  "outVarselectDSNameKey": "CAS テーブル:",
  "outAstoreDSKey": "スコアリングモデルを保存する",
  "outAstoreDSNameKey": "CAS テーブル:",
  "scoreCodeFileKey": "スコアリングコードのパス名の指定:",
  "scoreCodeKey": "スコアリングコードを保存する",
  "scoringCodeFileNameKey": "",
  "nominalTargetKey": "名義尺度のターゲット変数:",
  "intervalInputsKey": "間隔尺度の入力変数:",
  "nominalInputsKey": "名義尺度の入力変数:",
  "freqVariableKey": "度数カウント:",
  "byVariablesKey": "グループ分析:",
  "partitionVariableKey": "分割変数:",
  "copyVariablesKey": "取り込む変数:",
  "continuousClassRequirementKey": "間隔尺度の入力変数または名義尺度の入力変数を少なくとも 1 つ選択してください。",
  "partitionVariableTraining_ValidationValuesRequirementKey": "学習ケースと検証ケースで、分割変数の値は異なる必要があります。",
  "outPredDSNameMsgKey": "予測確率テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outFitDSNameMsgKey": "当てはめ統計量テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outNetworkDSNameMsgKey": "ネットワーク構造テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outParamDSNameMsgKey": "モデルのパラメータテーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outValidinfoDSNameMsgKey": "検証結果テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outVarinfoDSNameMsgKey": "変数情報テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outVarlevelDSNameMsgKey": "変数水準テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outVarorderDSNameMsgKey": "変数の順序テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outVarselectDSNameMsgKey": "変数選択テーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "outAstoreDSNameMsgKey": "スコアリングモデルテーブルは、CAS Engine ライブラリ参照名を含む 2 レベル名を使用する必要があります。",
  "MessageKey12": "予測確率と当てはめ統計量のテーブル名は異なる必要があります。",
  "MessageKey13": "予測確率とネットワーク構造のテーブル名は異なる必要があります。",
  "MessageKey14": "予測確率とモデルのパラメータのテーブル名は異なる必要があります。",
  "MessageKey15": "予測確率と検証結果のテーブル名は異なる必要があります。",
  "MessageKey16": "予測確率と変数情報のテーブル名は異なる必要があります。",
  "MessageKey17": "予測確率と変数水準のテーブル名は異なる必要があります。",
  "MessageKey18": "予測確率と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey19": "予測確率と変数選択のテーブル名は異なる必要があります。",
  "MessageKey20": "予測確率とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey21": "当てはめ統計量とネットワーク構造のテーブル名は異なる必要があります。",
  "MessageKey22": "当てはめ統計量とモデルのパラメータのテーブル名は異なる必要があります。",
  "MessageKey23": "当てはめ統計量と検証結果のテーブル名は異なる必要があります。",
  "MessageKey24": "当てはめ統計量と変数情報のテーブル名は異なる必要があります。",
  "MessageKey25": "当てはめ統計量と変数水準のテーブル名は異なる必要があります。",
  "MessageKey26": "当てはめ統計量と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey27": "当てはめ統計量と変数選択のテーブル名は異なる必要があります。",
  "MessageKey28": "当てはめ統計量とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey29": "ネットワーク構造とモデルのパラメータのテーブル名は異なる必要があります。",
  "MessageKey30": "ネットワーク構造と検証結果のテーブル名は異なる必要があります。",
  "MessageKey31": "ネットワーク構造と変数情報のテーブル名は異なる必要があります。",
  "MessageKey32": "ネットワーク構造と変数水準のテーブル名は異なる必要があります。",
  "MessageKey33": "ネットワーク構造と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey34": "ネットワーク構造と変数選択のテーブル名は異なる必要があります。",
  "MessageKey35": "ネットワーク構造とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey36": "モデルのパラメータと検証結果のテーブル名は異なる必要があります。",
  "MessageKey37": "モデルのパラメータと変数情報のテーブル名は異なる必要があります。",
  "MessageKey38": "モデルのパラメータと変数水準のテーブル名は異なる必要があります。",
  "MessageKey39": "モデルのパラメータと変数の順序のテーブル名は異なる必要があります。",
  "MessageKey40": "モデルのパラメータと変数選択のテーブル名は異なる必要があります。",
  "MessageKey41": "モデルのパラメータとスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey42": "検証結果と変数情報のテーブル名は異なる必要があります。",
  "MessageKey43": "検証結果と変数水準のテーブル名は異なる必要があります。",
  "MessageKey44": "検証結果と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey45": "検証結果と変数選択のテーブル名は異なる必要があります。",
  "MessageKey46": "検証結果とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey47": "変数情報と変数水準のテーブル名は異なる必要があります。",
  "MessageKey48": "変数情報と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey49": "変数情報と変数選択のテーブル名は異なる必要があります。",
  "MessageKey50": "変数情報とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey51": "変数水準と変数の順序のテーブル名は異なる必要があります。",
  "MessageKey52": "変数水準と変数選択のテーブル名は異なる必要があります。",
  "MessageKey53": "変数水準とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey54": "変数の順序と変数選択のテーブル名は異なる必要があります。",
  "MessageKey55": "変数の順序とスコアリングモデルのテーブル名は異なる必要があります。",
  "MessageKey56": "変数選択とスコアリングモデルのテーブル名は異なる必要があります。"
});