define({
  "NameKey": "混合モデル分析",
  "DescriptionKey": "混合モデル分析タスクを使用すると、固定効果と変量効果から構成されるさまざまな線形モデルを当てはめられます。データの平均だけではなく、データの分散と共分散もモデル化できます。",
  "LinkKey": "SAS Studio タスクリファレンスガイド",
  "LinkKey2": "MIXED プロシジャ",
  "LinkKey7": "SAS チュートリアル",
  "dataTabKey": "データ",
  "optionsTabKey": "オプション",
  "dataGroupKey": "データ",
  "rolesGroupKey": "役割",
  "otherRolesGroupKey": "追加役割",
  "explanatoryGroupKey": "説明変数",
  "classMissingGroupKey": "欠損値の処理",
  "classMissingNoteKey": "モデルのいずれかの変数の値が欠損しているオブザベーションは分析から除かれます。また、いずれかの分類変数の値が欠損しているオブザベーションも除かれます (その分類変数がモデルに使用されているかどうかに関係なく)。",
  "modelGroupKey": "モデル効果",
  "modelTabKey": "モデル",
  "methodsGroupKey": "手法",
  "outputTabKey": "出力",
  "estimationMethodKey": "推定方法:",
  "remlChoiceKey": "制限された最尤法",
  "mlChoiceKey": "最尤法",
  "mivque0ChoiceKey": "最小分散 2 次不偏推定",
  "type1ChoiceKey": "Type 1",
  "type2ChoiceKey": "Type 2",
  "type3ChoiceKey": "Type 3",
  "ddfMethodKey": "分母の自由度の計算法:",
  "defaultChoiceKey": "デフォルト",
  "containChoiceKey": "包含",
  "betwithinChoiceKey": "要素間内で分割",
  "residualChoiceKey": "残差の自由度",
  "sattChoiceKey": "Satterthwaite 近似",
  "kenwardRogerChoiceKey": "Kenward and Roger 法",
  "kenwardRoger2ChoiceKey": "Kenward and Roger 法 2",
  "methodDetailsGroupKey": "詳細",
  "statisticsGroupKey": "統計量",
  "statsComboKey": "表示する統計量の選択:",
  "defaultStatsChoiceKey": "デフォルト統計量",
  "customStatsChoiceKey": "デフォルトおよび追加統計量",
  "noStatsChoiceKey": "なし",
  "additionalStatsLabelKey": "追加統計量",
  "testsGroupKey": "検定",
  "chisqKey": "カイ 2 乗検定を表示する",
  "hypothTestsKey": "固定効果検定",
  "htype1Key": "逐次 (Type 1) 検定",
  "htype2Key": "偏 (Type 2) 検定",
  "htype3Key": "偏 (Type 3) 検定",
  "covtestKey": "共分散パラメータの標準誤差と Wald 検定",
  "parmEstGroupKey": "パラメータ推定値",
  "parmEstKey": "パラメータ推定値を表示する",
  "fixedParmsGroupKey": "固定効果",
  "randomParmsGroupKey": "変量効果",
  "covarParmsGroupKey": "共分散推定値",
  "clKey": "パラメータ推定値の信頼区間",
  "corrEstKey": "パラメータ推定値の相関",
  "covEstKey": "パラメータ推定値の共分散",
  "mixedGroupKey": "混合モデル",
  "mmeqKey": "混合モデル式",
  "mmeqsolKey": "混合モデル式の解",
  "randomSolutionKey": "予測変量効果を表示する (BLUP)",
  "randomClKey": "予測値の信頼区間",
  "gMatrixKey": "推定 G 行列",
  "gcorrKey": "推定 G 相関行列",
  "vMatrixKey": "推定 V 行列",
  "vcorrKey": "推定 V 相関行列",
  "clCovKey": "共分散パラメータ推定値の信頼区間",
  "asymcorrKey": "共分散パラメータ推定値の相関",
  "asymcovKey": "共分散パラメータ推定値の共分散",
  "repeatedEffectGroupKey": "反復効果",
  "rMatrixKey": "推定 R 行列",
  "rcorrKey": "推定 R 相関行列",
  "influenceGroupKey": "影響度に関する統計量",
  "influenceKey": "影響度に関する統計量",
  "influenceComputeComboKey": "次を削除して影響を測定する:",
  "indivObsInfluenceChoiceKey": "個々のオブザベーション",
  "effectInfluenceChoiceKey": "変数の水準に対応したオブザベーションのグループ",
  "influenceListKey": "効果を選択する:",
  "confidenceKey": "信頼水準:",
  "confidence90Key": "90%",
  "confidence95Key": "95%",
  "confidence99Key": "99%",
  "confidenceSpecifyKey": "カスタム値を使用",
  "confidenceValueKey": "カスタム信頼水準:",
  "confidenceValueMessageKey": "信頼水準に 0 より大きく、100 より小さい数値を入力してください",
  "multCompareGroupKey": "多重比較",
  "multCompareKey": "多重比較を実行する",
  "multCompareListKey": "効果の選択:",
  "multCompareComboKey": "手法:",
  "bonferroniKey": "Bonferroni",
  "scheffeKey": "Scheffe",
  "sidakKey": "Sidak",
  "tukeyKey": "Tukey",
  "smmKey": "Hochberg's SMM",
  "multCompareAlphaKey": "有意水準:",
  "alpha_10Key": "0.10",
  "alpha_05Key": "0.05",
  "alpha_01Key": "0.01",
  "multCompareAlphaSpecifyKey": "カスタム値を使用",
  "multCompareAlphaValueKey": "カスタム有意水準:",
  "multCompareAlphaValueMessageKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "maxiterComboKey": "最大反復回数:",
  "maxiterDefaultChoiceKey": "デフォルト値を使用",
  "maxiterCustomChoiceKey": "カスタム値を使用",
  "maxiterKey": "カスタム最大反復回数:",
  "maxiterMessageKey": "最大反復回数に 0 以上の数値を入力してください",
  "plotsGroupKey": "プロット",
  "diagnosticGroupKey": "診断と残差プロット",
  "residualPlotsKey": "残差",
  "studentPlotsKey": "スチューデント化残差",
  "pearsonPlotsKey": "Pearson 残差",
  "pressPlotsKey": "PRESS 残差",
  "influencePlotsKey": "影響度に関する統計量",
  "unpackResidualPlotsKey": "表示形式:",
  "unpackChoiceKey": "個々のプロット",
  "panelChoiceKey": "プロットのパネル",
  "maxpointsComboKey": "プロットポイントの最大数:",
  "maxpointsDefaultKey": "デフォルト(5,000)",
  "maxpoints10000Key": "10,000",
  "maxpointsSpecifyKey": "カスタム値を使用",
  "maxpointsNoLimitKey": "制限しない",
  "maxpointsValueKey": "ポイントのカスタム最大数:",
  "maxpointsValueMessageKey": "プロットポイントの最大数に 0 より大きい整数値を入力してください",
  "outputGroupKey": "出力データセット",
  "outP_DSKey": "予測値データセットを作成する",
  "outP_DSNameKey": "データセット名:",
  "outPM_DSKey": "予測値の平均データセットを作成する",
  "outPM_DSNameKey": "データセット名:",
  "dependentVariableKey": "従属変数:",
  "continuousVariablesKey": "連続変数:",
  "classVariablesKey": "分類変数:",
  "weightVariableKey": "重み:",
  "byVariablesKey": "グループ分析:",
  "influenceEffectVariableKey": "オブザベーションのグループ変数:",
  "invalidRandomSetRequirementKey": "少なくとも 1 セットの変量効果が無効です。無効なセットを編集して、変量効果を追加してください。"
});