define({
  "NameKey": "一元配置分散分析",
  "DescriptionKey": "元配置分散分析 (ANOVA) は、1 つの連続する従属変数に基づき 1 つのカテゴリカル変数の平均の差異を検定してグラフを提供します。",
  "LinkKey1": "SAS Studio タスクリファレンスガイド",
  "LinkKey2": "GLM プロシジャ",
  "LinkKey3": "SAS チュートリアル",
  "dataTabKey": "データ",
  "optionsTabKey": "オプション",
  "dataGroupKey": "データ",
  "rolesGroupKey": "役割",
  "testsGroupKey": "検定",
  "hovTestGroupKey": "分散の等分散性",
  "hovTestKey": "検定:",
  "hovTestNoneKey": "なし",
  "bartlettKey": "Bartlett",
  "brownForsytheKey": "Brown and Forsythe",
  "leveneKey": "Levene",
  "obrienKey": "O'Brien",
  "welchANOVAKey": "Welch 検定",
  "comparisonsGroupKey": "比較",
  "comparisonComboKey": "比較手法:",
  "bonferroniChoiceKey": "Bonferroni の多重比較",
  "DuncanChoiceKey": "Duncan の多重比較",
  "DunnettTwoTailedKey": "Dunnett 両側",
  "DunnettLowerOneTailedKey": "Dunnett 左側",
  "DunnettUpperOneTailedKey": "Dunnett 右側",
  "gabrielChoiceKey": "Gabriel",
  "regwChoiceKey": "Ryan-Einot-Gabriel-Welch",
  "nelsonChoiceKey": "Nelson",
  "scheffeChoiceKey": "Scheffe",
  "sidakChoiceKey": "Sidak",
  "snkChoiceKey": "Student-Newman-Keuls",
  "lsdChoiceKey": "最小有意差 (LSD)",
  "tukeyChoiceKey": "Tukey",
  "noComparisonKey": "なし",
  "duncanNoteKey": "LS 平均差プロットは、Duncan の多重比較法では使用できません",
  "gabrielNoteKey": "LS 平均差プロットは、Gabriel の多重比較法では使用できません",
  "regwNoteKey": "LS 平均差プロットは、Ryan-Einot-Gabriel-Welsch の多重比較法では使用できません",
  "snkNoteKey": "LS 平均差プロットは、Student-Newman-Keuls の多重比較法では使用できません",
  "dunnettControlLevelKey": "対照群水準:",
  "alphaKey": "有意水準:",
  "alpha_10Key": "0.10",
  "alpha_05Key": "0.05",
  "alpha_01Key": "0.01",
  "alphaSpecifyKey": "カスタム値を使用",
  "alphaValueKey": "カスタム有意水準:",
  "alphaValueMissingKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValueInvalidKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValuePromptKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "alphaValueRangeKey": "有意水準に 0 より大きく、1 より小さい数値を入力してください",
  "plotsGroupKey": "プロット",
  "plotsComboKey": "プロットの表示:",
  "defaultPlotsChoiceKey": "デフォルトプロット",
  "selectedPlotsChoiceKey": "選択済みプロット",
  "suppressPlotsChoiceKey": "すべてのプロットの表示を抑制",
  "boxPlotKey": "箱ひげ図",
  "meanPlotKey": "平均プロット",
  "diffPlotKey": "LS 平均差プロット",
  "diagnosticPlotsKey": "診断プロット",
  "unpackDiagnosticPlotsKey": "表示形式:",
  "unpackChoiceKey": "個々のプロット",
  "panelChoiceKey": "プロットのパネル",
  "maxpointsComboKey": "プロットポイントの最大数:",
  "maxpointsDefaultKey": "デフォルト(5,000)",
  "maxpoints10000Key": "10,000",
  "maxpointsSpecifyKey": "カスタム値を使用",
  "maxpointsNoLimitKey": "制限しない",
  "maxpointsValueKey": "ポイントのカスタム最大数:",
  "maxpointsValueMissingKey": "プロットポイントの最大数に 0 より大きい整数値を入力してください",
  "maxpointsValueInvalidKey": "プロットポイントの最大数に 0 より大きい整数値を入力してください",
  "maxpointsValuePromptKey": "プロットポイントの最大数に 0 より大きい整数値を入力してください",
  "maxpointsValueRangeKey": "プロットポイントの最大数に 0 より大きい整数値を入力してください",
  "outputTabKey": "出力",
  "outputGroupKey": "出力データセット",
  "outputDSKey": "オブザベーション統計量データセットを作成する",
  "outputDSNameKey": "データセット名:",
  "predictedStatsGroupKey": "予測値",
  "residualStatsGroupKey": "残差",
  "influenceStatsGroupKey": "影響度に関する統計量",
  "stderrStatsGroupKey": "標準誤差",
  "predictedKey": "予測値",
  "lclKey": "個々の予測値の信頼区間",
  "clmKey": "平均予測値の信頼区間",
  "residualKey": "残差",
  "studentKey": "スチューデント化残差",
  "rstudentKey": "現在のオブザベーションが除外されたスチューデント化残差",
  "stdrKey": "残差の標準誤差",
  "stdpKey": "平均予測値の標準誤差",
  "stdiKey": "個々の予測値の標準誤差",
  "cookdKey": "Cook の D 影響度",
  "covratioKey": "Covratio",
  "dffitsKey": "Dffits",
  "hKey": "てこ比",
  "outputConfidenceKey": "信頼水準:",
  "confidence90Key": "90%",
  "confidence95Key": "95%",
  "confidence99Key": "99%",
  "confidenceSpecifyKey": "カスタム値を使用",
  "confidenceValueKey": "カスタム信頼水準:",
  "confidenceValueMissingKey": "信頼水準に 0 より大きく、100 より小さい数値を入力してください",
  "confidenceValueInvalidKey": "信頼水準に 0 より大きく、100 より小さい数値を入力してください",
  "confidenceValuePromptKey": "信頼水準に 0 より大きく、100 より小さい数値を入力してください",
  "confidenceValueRangeKey": "信頼水準に 0 より大きく、100 より小さい数値を入力してください",
  "dependentVariableKey": "従属変数:",
  "independentVariableKey": "カテゴリカル変数:",
  "outputRequirementKey": "出力データセットに含める統計量を少なくとも 1 つ選択してください。"
});