define({
  "NameKey": "单因子 ANOVA",
  "DescriptionKey": "单因子方差分析 (ANOVA) 检验有关单个连续因变量的单个分类变量的均值之间的差值，并且为其提供图形。",
  "LinkKey1": "SAS Studio 任务参考指南",
  "LinkKey2": "GLM 过程",
  "LinkKey3": "SAS 教程",
  "dataTabKey": "数据",
  "optionsTabKey": "选项",
  "dataGroupKey": "数据",
  "rolesGroupKey": "角色",
  "testsGroupKey": "检验",
  "hovTestGroupKey": "方差的齐性",
  "hovTestKey": "检验:",
  "hovTestNoneKey": "无",
  "bartlettKey": "Bartlett",
  "brownForsytheKey": "Brown & Forsythe",
  "leveneKey": "Levene",
  "obrienKey": "O'Brien",
  "welchANOVAKey": "Welch 方差加权 ANOVA",
  "comparisonsGroupKey": "比较",
  "comparisonComboKey": "比较方法:",
  "bonferroniChoiceKey": "Bonferroni",
  "DuncanChoiceKey": "Duncan 多重极差",
  "DunnettTwoTailedKey": "Dunnett 双尾",
  "DunnettLowerOneTailedKey": "Dunnett 下侧单尾",
  "DunnettUpperOneTailedKey": "Dunnett 上侧单尾",
  "gabrielChoiceKey": "Gabriel",
  "regwChoiceKey": "Ryan-Einot-Gabriel-Welch",
  "nelsonChoiceKey": "Nelson",
  "scheffeChoiceKey": "Scheffe",
  "sidakChoiceKey": "Sidak",
  "snkChoiceKey": "Student-Newman-Keuls",
  "lsdChoiceKey": "最小显著性差值 (LSD)",
  "tukeyChoiceKey": "Tukey",
  "noComparisonKey": "无",
  "duncanNoteKey": "最小二乘均值差图不适用于 Duncan 多重极差比较方法",
  "gabrielNoteKey": "最小二乘均值差图不适用于 Gabriel 比较方法",
  "regwNoteKey": "最小二乘均值差图不适用于 Ryan-Einot-Gabriel-Welch 比较方法",
  "snkNoteKey": "最小二乘均值差图不适用于 Student-Newman-Keuls 比较方法",
  "dunnettControlLevelKey": "控制水平:",
  "alphaKey": "显著性水平:",
  "alpha_10Key": "0.10",
  "alpha_05Key": "0.05",
  "alpha_01Key": "0.01",
  "alphaSpecifyKey": "使用自定义值",
  "alphaValueKey": "自定义显著性水平:",
  "alphaValueMissingKey": "输入一个大于 0 且小于 1 的数值作为显著性水平",
  "alphaValueInvalidKey": "输入一个大于 0 且小于 1 的数值作为显著性水平",
  "alphaValuePromptKey": "输入一个大于 0 且小于 1 的数值作为显著性水平",
  "alphaValueRangeKey": "输入一个大于 0 且小于 1 的数值作为显著性水平",
  "plotsGroupKey": "图",
  "plotsComboKey": "显示图:",
  "defaultPlotsChoiceKey": "默认图",
  "selectedPlotsChoiceKey": "选定图",
  "suppressPlotsChoiceKey": "隐藏所有图",
  "boxPlotKey": "盒形图",
  "meanPlotKey": "均值图",
  "diffPlotKey": "最小二乘均值差图",
  "diagnosticPlotsKey": "诊断图",
  "unpackDiagnosticPlotsKey": "显示为:",
  "unpackChoiceKey": "单个图",
  "panelChoiceKey": "图面板",
  "maxpointsComboKey": "最大图点数:",
  "maxpointsDefaultKey": "默认(5,000)",
  "maxpoints10000Key": "10,000",
  "maxpointsSpecifyKey": "使用自定义值",
  "maxpointsNoLimitKey": "无限制",
  "maxpointsValueKey": "自定义最大点数:",
  "maxpointsValueMissingKey": "输入一个大于零的整数作为最大图点数",
  "maxpointsValueInvalidKey": "输入一个大于零的整数作为最大图点数",
  "maxpointsValuePromptKey": "输入一个大于零的整数作为最大图点数",
  "maxpointsValueRangeKey": "输入一个大于零的整数作为最大图点数",
  "outputTabKey": "输出",
  "outputGroupKey": "输出数据集",
  "outputDSKey": "创建观测统计量数据集",
  "outputDSNameKey": "数据集名称:",
  "predictedStatsGroupKey": "预测值",
  "residualStatsGroupKey": "残差",
  "influenceStatsGroupKey": "影响统计量",
  "stderrStatsGroupKey": "标准误差",
  "predictedKey": "预测值",
  "lclKey": "单个预测值的置信区间",
  "clmKey": "均值预测值的置信区间",
  "residualKey": "残差",
  "studentKey": "学生化残差",
  "rstudentKey": "删除了当前观测的学生化残差",
  "stdrKey": "残差的标准误差",
  "stdpKey": "均值预测值的标准误差",
  "stdiKey": "单个预测值的标准误差",
  "cookdKey": "Cook D 影响",
  "covratioKey": "Covratio",
  "dffitsKey": "Dffits",
  "hKey": "杠杆率",
  "outputConfidenceKey": "置信水平:",
  "confidence90Key": "90%",
  "confidence95Key": "95%",
  "confidence99Key": "99%",
  "confidenceSpecifyKey": "使用自定义值",
  "confidenceValueKey": "自定义置信水平:",
  "confidenceValueMissingKey": "输入一个大于 0 且小于 100 的数值作为置信水平",
  "confidenceValueInvalidKey": "输入一个大于 0 且小于 100 的数值作为置信水平",
  "confidenceValuePromptKey": "输入一个大于 0 且小于 100 的数值作为置信水平",
  "confidenceValueRangeKey": "输入一个大于 0 且小于 100 的数值作为置信水平",
  "dependentVariableKey": "因变量:",
  "independentVariableKey": "分类变量:",
  "outputRequirementKey": "至少选择一个统计量以包括在输出数据集中。"
});