define({
  "NameKey": "單因子 ANOVA",
  "DescriptionKey": "變異數單因子分析 (ANOVA) 可檢定並提供單一連續應變數上單一類別變數平均值間之差異的圖形。",
  "LinkKey1": "SAS Studio 工作參考指南",
  "LinkKey2": "GLM 程序",
  "LinkKey3": "SAS 導覽",
  "dataTabKey": "資料",
  "optionsTabKey": "選項",
  "dataGroupKey": "資料",
  "rolesGroupKey": "角色",
  "testsGroupKey": "檢定",
  "hovTestGroupKey": "變異數的均齊性",
  "hovTestKey": "檢定:",
  "hovTestNoneKey": "無",
  "bartlettKey": "Bartlett",
  "brownForsytheKey": "Brown 和 Forsythe",
  "leveneKey": "Levene",
  "obrienKey": "O'Brien",
  "welchANOVAKey": "Welch 的變異數加權 ANOVA",
  "comparisonsGroupKey": "比較",
  "comparisonComboKey": "比較法:",
  "bonferroniChoiceKey": "Bonferroni",
  "DuncanChoiceKey": "Duncan 多重全距",
  "DunnettTwoTailedKey": "Dunnett 雙尾",
  "DunnettLowerOneTailedKey": "Dunnett 下單尾",
  "DunnettUpperOneTailedKey": "Dunnett 上單尾",
  "gabrielChoiceKey": "Gabriel",
  "regwChoiceKey": "Ryan-Einot-Gabriel-Welch",
  "nelsonChoiceKey": "Nelson",
  "scheffeChoiceKey": "Scheffe",
  "sidakChoiceKey": "Sidak",
  "snkChoiceKey": "Student-Newman-Keuls",
  "lsdChoiceKey": "最小顯著差異 (LSD)",
  "tukeyChoiceKey": "Tukey",
  "noComparisonKey": "無",
  "duncanNoteKey": "LS 平均差標繪圖無法使用於 Duncan 多範圍比較法",
  "gabrielNoteKey": "LS 平均差標繪圖無法使用於 Gabriel 比較法",
  "regwNoteKey": "LS 平均差標繪圖無法使用於 Ryan-Einot-Gabriel-Welch 比較法",
  "snkNoteKey": "LS 平均差標繪圖無法使用於 Student-Newman-Keuls 比較法",
  "dunnettControlLevelKey": "控制水準:",
  "alphaKey": "顯著水準:",
  "alpha_10Key": "0.10",
  "alpha_05Key": "0.05",
  "alpha_01Key": "0.01",
  "alphaSpecifyKey": "使用自訂值",
  "alphaValueKey": "自訂顯著水準:",
  "alphaValueMissingKey": "針對顯著水準，輸入大於零且小於 1 的數字",
  "alphaValueInvalidKey": "針對顯著水準，輸入大於零且小於 1 的數字",
  "alphaValuePromptKey": "針對顯著水準，輸入大於零且小於 1 的數字",
  "alphaValueRangeKey": "針對顯著水準，輸入大於零且小於 1 的數字",
  "plotsGroupKey": "標繪圖",
  "plotsComboKey": "顯示標繪圖:",
  "defaultPlotsChoiceKey": "預設標繪圖",
  "selectedPlotsChoiceKey": "選取的標繪圖",
  "suppressPlotsChoiceKey": "隱藏所有標繪圖",
  "boxPlotKey": "盒形圖",
  "meanPlotKey": "平均值繪圖",
  "diffPlotKey": "LS 平均差標繪圖",
  "diagnosticPlotsKey": "診斷圖",
  "unpackDiagnosticPlotsKey": "顯示為:",
  "unpackChoiceKey": "個別標繪圖",
  "panelChoiceKey": "標繪圖面板",
  "maxpointsComboKey": "最大標繪圖點數:",
  "maxpointsDefaultKey": "預設值 (5,000)",
  "maxpoints10000Key": "10,000",
  "maxpointsSpecifyKey": "使用自訂值",
  "maxpointsNoLimitKey": "沒有限制",
  "maxpointsValueKey": "自訂最大點數:",
  "maxpointsValueMissingKey": "針對最大標繪圖點數，輸入大於零的整數",
  "maxpointsValueInvalidKey": "針對最大標繪圖點數，輸入大於零的整數",
  "maxpointsValuePromptKey": "針對最大標繪圖點數，輸入大於零的整數",
  "maxpointsValueRangeKey": "針對最大標繪圖點數，輸入大於零的整數",
  "outputTabKey": "輸出",
  "outputGroupKey": "輸出資料集",
  "outputDSKey": "建立觀測值統計值資料集",
  "outputDSNameKey": "資料集名稱:",
  "predictedStatsGroupKey": "預測值",
  "residualStatsGroupKey": "殘差",
  "influenceStatsGroupKey": "影響統計值",
  "stderrStatsGroupKey": "標準誤差",
  "predictedKey": "預測值",
  "lclKey": "個別預測值的信賴區間",
  "clmKey": "平均預測值的信賴區間",
  "residualKey": "殘差",
  "studentKey": "Student 化殘差",
  "rstudentKey": "移除目前觀測值的 Student 化殘差",
  "stdrKey": "殘差的標準誤差",
  "stdpKey": "平均預測值的標準誤差",
  "stdiKey": "個別預測值的標準誤差",
  "cookdKey": "Cook's D 影響",
  "covratioKey": "Covratio",
  "dffitsKey": "Dffits",
  "hKey": "槓桿作用",
  "outputConfidenceKey": "信賴水準:",
  "confidence90Key": "90%",
  "confidence95Key": "95%",
  "confidence99Key": "99%",
  "confidenceSpecifyKey": "使用自訂值",
  "confidenceValueKey": "自訂信賴水準:",
  "confidenceValueMissingKey": "針對信賴水準，輸入大於 0 且小於 100 的數字",
  "confidenceValueInvalidKey": "針對信賴水準，輸入大於 0 且小於 100 的數字",
  "confidenceValuePromptKey": "針對信賴水準，輸入大於 0 且小於 100 的數字",
  "confidenceValueRangeKey": "針對信賴水準，輸入大於 0 且小於 100 的數字",
  "dependentVariableKey": "應變數:",
  "independentVariableKey": "類別變數:",
  "outputRequirementKey": "至少選取一個要納入輸出資料集的統計值。"
});