<%@ page session="true" contentType="text/html;charset=UTF-8"%>

<script type="text/javascript" src="resources/js/webdms/perspectives/js/test.js"" 
		djConfig="isDebug: true, debugAtAllCosts: true, parseOnLoad: true"></script>
 <div data-dojo-type="dijit/layout/BorderContainer" style="height:100%; width:100%"
     data-dojo-props="gutters:true" id="testBC">
</div>

<div data-dojo-type="dijit/layout/ContentPane" title="Test Perspective" data-dojo-props="selected:true" id="test.testPerspectiveTab"
style="display:hidden; padding-top:20px; padding-left:20px; padding-right:20px;">
           
<p>Refer to the <b>SAS Studio Perspective Writer's Guide</b> for
   information about controls, events, dialogs, and services that SAS Studio provides to perspectives.
   <br>A SAS Studio perspective can be implemented with any html5 and dojo components.<br><br>		
   
<p>This sample perspective contains the following customizations to the SAS Studio framework when the 
perspective is active.  SAS Studio manages the toggling of these customizations when perspective changes occur.
<ul>
                
               <li>SAS Studio accordion:
                    <ul>
                  	    <li>It removes File Shortcuts from the accordion view and the application 'View' submenu 
	          by creating a 'disallowAccordionViews' function that returns 'Fileref' in an array of disallowed views.
	        <li>It defines a 'showSearch' function that returns false which causes Search in the application View 
	           submenu item to appear unchecked and the Search accordion item to not appear until the user decides to turn
		       it on. 
	        <li>It adds a custom Sample accordion view using the appCore 'addAccordionPane' service.  It contains a
			    'getAccordionPanes' method that returns the array of custom views so that they can be shown when 
				the perspective becomes active.
                    </ul>	
               <br> 
               <li>SAS Studio application menu:
        <ul>
	        <li>It removes the following several menu items from the application menu by defining 
			      a 'loadInternalMenuItems' function that lists the items it would like to appear.                 	
                        <li>It adds the menu items <b>Menu Item 1</b> and <b>Menu Item 2</b> using the appCore 
			      'createMenuItem' service.   It contains a 'getAddedMenuItems' method that returns the array
				  of custom menu items so that they can be available to the application menu
				  when the perspective becomes active.
                  </ul>					
               </li>	
               <br> 
               <li>This perspective also adds a custom preference tab named <b>New Pref Tab</b> to the Preferences dialog
       that is available from the application menu.  After creating the contentPane the perspective makes it 
	   available to SAS Studio by defining a 'getNewPrefTabs' method that returns it in an array.
               </li>			  
</ul>
</p>
</div>

<div data-dojo-type="dijit/layout/ContentPane" title="Dialog Test" id="test.dialogsTestTab"	
		style="display:hidden; padding-top:10px; padding-left:10px;">
<div style="padding-top:10px; padding-left:10px;">
   This <b>Dialog Test</b> tab demonstrates the use of the SAS Studio 
   <b>postTableSelectionDialog.</b><br><br>
   The AppCore object that contains the handle to the SAS Studio dialogs is passed to this 
   perspective by a SAS Studio call to the .init function in 
   resources/js/webdms/perspectives/js/test.js.
</div>

<div style="padding-top:10px; padding-left:10px;">
         <button data-dojo-type="dijit/form/Button" type="button" id="test.selectTable_button">Select Table</button>
         <button data-dojo-type="dijit/form/Button" type="button" id="test.multiTables_button">Select Tables</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.decision_button">Decision</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.info_button">Info</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.fault_button">Fault</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.busy_button">Busy</button>

      <div id='test.results'></div>

</div>
	<div style="padding-top:10px; padding-left:10px;">
       <button data-dojo-type="dijit/form/Button" type="button" id="test.task_test">Test Task</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.newProcessFlow">New Process Flow Tab</button>
       <button data-dojo-type="dijit/form/Button" type="button" id="test.newQueryTool">New Query Tool Tab</button>
       <div id='test.task_results'></div>
</div>
		

</div>     
 
<div data-dojo-type="dijit/layout/ContentPane" title="Events" id='test.eventsTab'					
    style="display:hidden; padding-top:10px; padding-left:10px;">
<div>
The <b>Events</b> tab shows the events that are delivered to this perspective.<br>
The event handlers defined by this perspective include:
<ul>
   <li>onFileOpen - opens SAS file in a tab, asks the Programmer Perspective to handle all other file types
<li>onTableOpen - opens table in a tab or switches to the tab that contains the table if it is already open
<li>onTaskOpen - opens the task runtime in a tab
<li>onEditTask - opens the task editor in a tab
<li>onCloseAllTabs - closes all closable tabs
<li>onNewProgram - opens a new SAS program in a tab
</ul>
<br>
</div>
   Events go here:
</div>

<div data-dojo-type="dijit/layout/ContentPane" title="Drag Me" id='test.dragMeTab'					
    style="display:hidden; padding-top:10px; padding-left:10px;">
<div>
Hi! I'm the <b>Drag Me</b> tab. You can drag me and my friends around so you have the ability to re-arrange your workspace.<br>
Drag me to the right or bottom 10% of the workspace and a drop indicator will appear.

You can also re-order us tabs, just in case you would like me to be the first tab.

This functionality is made possible by using the SASStudioTabs component.

<h1>SASStudioTabs API</h1>

<h2>new SASStudioTabs(properties, parentContainer)</h2>
<div class="description">
	Constructor for SASStudioTabs.
	<h5>Parameters:</h5>
	<table class="params">
  		<thead>
		<tr>
			<th>Name</th>
			<th>Type</th>
			<th class="last">Description</th>
		</tr>
	</thead>
	<tbody>
       <tr>
           <td class="name"><code>properties</code></td>
           <td class="type">
		<span class="param-type">Object</span>
           </td>
           <td class="description last">An object that contains properties to be mixed into the SASStudioTabs instance including functions.</td>
       </tr>
        <tr>
           <td class="name"><code>parentContainer</code></td>
           <td class="type">
		<span class="param-type">dijit.layout.BorderContainer or String</span>
           </td>
           <td class="description last">Either the parentContainer itself, or the id of the parentContainer.<br/>
            If the parentContainer cannot be found with the id, a new BorderContainer with the id will be created.</td>
       </tr>
	</tbody>
	</table>
</div>

<div data-dojo-type="dijit/TitlePane" data-dojo-props="open:false" title="New Tab Functions">
	<article>
	<h2>_newTab(targetObject)</h2>
	<div class="description">
		"Private" function that creates a blank tab (dijit.layout.BorderContainer) and adds it to a tab container based on the targetObject region.<br/> 
		If region is null or an empty string, the tab gets added to the mainTabContainer. Called by add*Tab functions within SASStudioTabs.js
		<br/>
		Returns a tab object which contains the tab widget as well as indicative data contained in the targetObject parameter.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_finalizeTab(tabObj)</h2>
	<div class="description">
		"Private" function adds the DMSEditor object to the tabObj if the tab contains an editor and selects the tab widget.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabObj</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab plus the tab widget.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addFileTab(targetObject)</h2>
	<div class="description">
		Public function that opens files with the following extensions after it obtains the contents from the server/file location in a new tab:
		<li>
			<ul>.sas</ul>
			<ul>.ctk</ul>
			<ul>.ctm</ul>
			<ul>.sas7bdat</ul>
			<ul>.csv</ul>
			<ul>.txt</ul>
			<ul>.log</ul>
			<ul>.lst</ul>
		</li>
 		Otherwise the default browser action will occur.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
		<h2>addTableTab(targetObject)</h2>
	<div class="description">
		Public function that opens a table tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addTaskTab(targetObject)</h2>
	<div class="description">
		Public function that opens a task runtime tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addEditTaskTab(targetObject)</h2>
	<div class="description">
		Public function that opens a task editor tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addSnippetTab(targetObject)</h2>
	<div class="description">
		Public function that opens a snippet tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>insertSnippetIntoEditorTab(targetObject)</h2>
	<div class="description">
		Inserts a snippet into the editor passed in or into an editor of the focused tab. If there isn’t an editor available,<br/> 
		the editor is read only, or the code tab in the editor is not selected, the snippet will be open in a new tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
        <tr>
            <td class="name"><code>editor</code></td>
            <td class="type">
			<span class="param-type">DMSEditor</span>
            </td>
            <td class="description last">(Optional)</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addEditorTab(targetObject)</h2>
	<div class="description">
		Public function that opens an editor tab. Used for new sas programs, new snippets, or when you already have the contents for the editor.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addNewProgramTab()</h2>
	<div class="description">
		Public function that opens a blank sas editor tab.
	</div>
	<h2>addRecalledSubmissionTab(targetObject)</h2>
	<div class="description">
		Public function that opens a read only editor tab of a program that was previously submitted. 
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addCustomTab(component)</h2>
	<div class="description">
		Public function that adds the passed in component to the mainTabContainer.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>component</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer, dijit.layout.ContentPane</span>
            </td>
            <td class="description last">A dojo container to be added to the mainTabContainer.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>addProcessFlowTab(targetObject)</h2>
	<div class="description">
		Public function that adds a process flow tab.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object that contains indicative data about the contents of the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	</article>
</div><!-- end New Tabs Titlepane -->
   
<div data-dojo-type="dijit/TitlePane" data-dojo-props="open:false" title="Drag and Drop Functions">
	<article>
	<h2>checkAcceptanceExtension(source, nodes)</h2>
	<div class="description">
		Override function to extend the functionality of the default check acceptance function.<br> 
		Primarily used to check objects being dragged from additional accordion sections.
		<br/>
		Returns a boolean.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last"></td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes to check.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>checkAcceptance(source, nodes)</h2>
	<div class="description">
		Check acceptance function that determines if the item(s) being dragged from Search, Folders, Tasks, Snippets,<br/>
		Libraries, and File Shortcuts accordions are objects that can be opened. Calls the checkAcceptanceExtension function for any additional checks.
		<br/>
		Returns a boolean.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last">Click on link for complete details.</td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes to check.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_mainTabContainerOnDrop(source, nodes, copy)</h2>
	<div class="description">
		"Private" onDrop function for the main tab container. Calls the default onDrop function with an additional<br/>
		parameter to determine which tab container was dropped on.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last"></td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes to check.</td>
        </tr>
        <tr>
            <td class="name"><code>copy</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Not being used in this implementation of onDrop.<br/>
            Passed along from the dojo.dnd.Manager, used for determining if the item being dropped is to be copied.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_secondaryTabContainerOnDrop(source, nodes, copy)</h2>
	<div class="description">
		"Private" onDrop function for the secondary tab container. Calls the default onDrop function with an additional<br/>
		parameter to determine which tab container was dropped on.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last"></td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes to check.</td>
        </tr>
        <tr>
            <td class="name"><code>copy</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Not being used in this implementation of onDrop.<br/>
            Passed along from the dojo.dnd.Manager, used for determining if the item being dropped is to be copied.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>onDrop(source, nodes, copy, region)</h2>
	<div class="description">
		Public onDrop function for the main tab container. Calls the default onDrop function with an additional<br/>
		parameter to determine which tab container was dropped on.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last"></td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes to check.</td>
        </tr>
        <tr>
            <td class="name"><code>copy</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Not being used in this implementation of onDrop.<br/>
            Passed along from the dojo.dnd.Manager, used for determining if the item being dropped is to be copied.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Used to determine which tab container the object was dropped on.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_initTabDND()</h2>
	<div class="description">
	"Private" function that initiates the tab drag and drop functionality for splitting and re-ordering tabs.
The dragging and dropping of tabs to alter the workspace layout doesn’t use the traditional dojo checkAcceptance and onDrop functions. Essentially it uses a mouse up listener while coordinating with a mouse move function to obtain the mouse coordinates to determine if the user is dragging in a valid drop zone.
<br/>
This also includes making the tab bars drop targets for dragging items from the accordions. The tab bars use the same check acceptance but their onDrop functions are slightly different. Dropping on a tab bar opens everything that passes the check acceptance whereas the onDrop for the tab containers has the option to insert depending on the object being dropped. (Snippets/Table Names/Columns). The tab bar onDrop also calls the default dojo onDrop to maintain the tab re-ordering functionality.
	</div>
	<h2>_dropTab(region, tab, container)</h2>
	<div class="description">
		"Private" function which creates or destroys the second tab container if need be, as well as removing the tab from the source tab container and adding it to the target tab container. 
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location where the tab is being dropped.</td>
        </tr>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer</span>
            </td>
            <td class="description last">The tab.</td>
        </tr>
                <tr>
            <td class="name"><code>container</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.TabContainer</span>
            </td>
            <td class="description last">The source tab container</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_addSecondaryTabContainer(region)</h2>
	<div class="description">
		"Private" function that creates the secondary tab container for a split workspace and adds it to the parent container passed into the constructor.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the tab container. "Right" or "Bottom"</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_dropFromDesktop()</h2>
	<div class="description">
		"Private" event listener function for dragover, dragenter, and drop events for dragging and dropping .sas files from desktop.<br/>
		In some browser the dragover and dragenter events must be consumed before the drop event will be fired.<br/>
		Does not work on Safari 5 or IE9 or before.
 		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>e</code></td>
            <td class="type">
			<span class="param-type">Event</span>
            </td>
            <td class="description last">dragover, dragenter, or drop event.</td>
        </tr>
		</tbody>
		</table>
	</div>
	</article>
</div><!-- DND Functions Titlepane -->	

<div data-dojo-type="dijit/TitlePane" data-dojo-props="open:false" title="Specific onDrop Functions">
	<article>
	<h2>_searchOnDrop(sourceWidget, region)</h2>
	<div class="description">
		"Private" function for dragging and dropping from search accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">Search dGrid.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_projectsOnDrop(sourceWidget, region, onTabBar)</h2>
	<div class="description">
		"Private" function for dragging and dropping from folders accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">Folders tree.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
        <tr>
            <td class="name"><code>onTabBar</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to indicate the drop occurred on a tab bar.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_tasksOnDrop(sourceWidget, region, onTabBar)</h2>
	<div class="description">
		"Private" function for dragging and dropping from tasks accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">Tasks tree.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
        <tr>
            <td class="name"><code>onTabBar</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to indicate the drop occurred on a tab bar.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_snippetsOnDrop(sourceWidget, region, onTabBar)</h2>
	<div class="description">
		"Private" function for dragging and dropping from snippets accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">Snippets tree.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
        <tr>
            <td class="name"><code>onTabBar</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to indicate the drop occurred on a tab bar.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_libOnDrop(sourceWidget, region, onTabBar)</h2>
	<div class="description">
		"Private" function for dragging and dropping from Libraries accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">Library tree.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
        <tr>
            <td class="name"><code>onTabBar</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to indicate the drop occurred on a tab bar.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_fileRefOnDrop(sourceWidget, region, onTabBar)</h2>
	<div class="description">
		"Private" function for dragging and dropping from File Shortcuts accordion.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>sourceWidget</code></td>
            <td class="type">
			<span class="param-type">Widget</span>
            </td>
            <td class="description last">File shortcuts dgrid.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the drop.</td>
        </tr>
        <tr>
            <td class="name"><code>onTabBar</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to indicate the drop occurred on a tab bar.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>onDropExtension(source, nods, region)</h2>
	<div class="description">
		Public override function to extend the default onDrop functionality.
		Returns a boolean.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>source</code></td>
            <td class="type">
			<span class="param-type">dojo.dnd.Source</span>
            </td>
            <td class="description last">Source of the items being dragged.</td>
        </tr>
        <tr>
            <td class="name"><code>nodes</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">An array of nodes being dropped.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the tab container that received the drop.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>droppedOnSpecificTabHandler(items, region)</h2>
	<div class="description">
		Public override function to intervene on default onDrop Functions. The above specific onDrop functions call this function.
		Returns a boolean.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>items</code></td>
            <td class="type">
			<span class="param-type">Array</span>
            </td>
            <td class="description last">Items being dropped.</td>
        </tr>
        <tr>
            <td class="name"><code>region</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the tab container that received the drop.</td>
        </tr>
		</tbody>
		</table>
	</div>
	</article>
</div><!-- end Specific onDrop Functions Titlepane -->

<div data-dojo-type="dijit/TitlePane" data-dojo-props="open:false" title="Utility Functions">
	<article>
	<h2>getTabIconClass(tabObj)</h2>
	<div class="description">
		Public function that returns the css icon class for the tabObj.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabObj</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object containing indicative data of the contents of the tab plus the tab widget.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>getAllTabObjects()</h2>
	<div class="description">
		Public function that returns an array with all the tabObjs of currently open tabs.
	</div>
	<h2>getParent()</h2>
	<div class="description">
		Public function that returns the parentContainer of SASStudioTabs.
	</div>
	<h2>addChild(targetObject, targetParent)</h2>
	<div class="description">
		Public function that adds the targetObject.tab to the targetParent. Also adds the targetObject to the associated array of objects.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Contains tab contents data.</td>
        </tr>
        <tr>
            <td class="name"><code>targetParent</code></td>
            <td class="type">
			<span class="param-type">TabContainer</span>
            </td>
            <td class="description last">The tab container the target will be added to.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>saveTabPreferences()</h2>
	<div class="description">
		Persists open tabs.
	</div>
	<h2>setFocusedTab(tab)</h2>
	<div class="description">
		Public function that sets the focused tab object.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">Tab Widget</span>
            </td>
            <td class="description last">Tab widget is used to locate the tab object.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>getFocusedTab()</h2>
	<div class="description">
		Public function that returns the tab object of the currently focused tab.
	</div>
	<h2>getTabContainerSelectedTabObject(tabContainer)</h2>
	<div class="description">
		Public function that returns the tab object of the selected tab of the tabContainer passed in.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabContainer</code></td>
            <td class="type">
			<span class="param-type">Tab Container</span>
            </td>
            <td class="description last">Tab Container you wish to obtain the selected tab object from.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>findTab(title, uri, type, byTitleOnly)</h2>
	<div class="description">
		Public function that returns a tab widget or null if the tab doesn't exist.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>title</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Title that appears on the tab.</td>
        </tr>
        <tr>
            <td class="name"><code>uri</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">Location of the contents of the tab on the server.</td>
        </tr>
       	<tr>
            <td class="name"><code>type</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">The type of contents of the tab.</td>
        </tr>
       	<tr>
            <td class="name"><code>byTitleOnly</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to search for tab by title only.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>onSessionDisconnect()</h2>
	<div class="description">
		Public function that disable the buttons on tabs that contain an editor, task editor, task runtime, or table when the application loses connection to the server.
	</div>
	<h2>onSessionReconnect()</h2>
	<div class="description">
		Public function that enables the buttons on tabs that contain an editor, task editor, task runtime, or table when the application loses connection to the server. Also removes checks table tabs if they still exist on the server, if they don’t the tab is closed.
	</div>
	<h2>resetSessionId(id)</h2>
	<div class="description">
		Public function that resets the session Id to the new id passed in. Calls resetSessionId functions on tabs with editors or queryObjects.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>id</code></td>
            <td class="type">
			<span class="param-type">String</span>
            </td>
            <td class="description last">New session id.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>toggleTabContainer(byPass)</h2>
	<div class="description">
		Public function that either shows or hides the tab container based on the number open tabs.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>byPass</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">Flag to show the tab container even when there isn't any tabs.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>postDeadConnectionDialog(tab, editor)</h2>
	<div class="description">
		Public function that posts a dead connection dialog that asks if you want to discard changes of a tab with an editor and unsaved changes.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">Tab Widget</span>
            </td>
            <td class="description last">The tab. dijit.layout.BorderContainer/ContentPane</td>
        </tr>
        <tr>
            <td class="name"><code>editor</code></td>
            <td class="type">
			<span class="param-type">DMSEditor</span>
            </td>
            <td class="description last">DMSEditor object to determine if there are any unsaved changes.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>postFileCloseConfirmation(tab, editor)</h2>
	<div class="description">
		Public function that posts a file close confirmation dialog that asks if you want to save changes of a tab that is being closed with an editor and unsaved changes.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">Tab Widget</span>
            </td>
            <td class="description last">The tab. dijit.layout.BorderContainer/ContentPane</td>
        </tr>
        <tr>
            <td class="name"><code>editor</code></td>
            <td class="type">
			<span class="param-type">DMSEditor</span>
            </td>
            <td class="description last">DMSEditor object to determine if there are any unsaved changes.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>setDeletedTab(targetObject, closeTab)</h2>
	<div class="description">
		Public function that sets the isDeleted flag on the tab object and closes the tab if the closeTab parameter is true.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with indicative data of the object that was deleted.</td>
        </tr>
        <tr>
            <td class="name"><code>closeTab</code></td>
            <td class="type">
			<span class="param-type">Boolean</span>
            </td>
            <td class="description last">If true, the function also closes the tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>setMovedTab(targetObject)</h2>
	<div class="description">
		Public function that sets the uri tabObject to the newUri.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with indicative data of the object that was moved.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>setRenamedTab(targetObject)</h2>
	<div class="description">
		Public function that renames the tab as well as update the uri.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with indicative data of the object that was renamed.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>onParentDirectoryRenamed(targetObject)</h2>
	<div class="description">
		Public function that loops through open tabs and updates their URI's if they are in a directory that was renamed.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with the directory’s new and old uri.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>onParentDirectoryMoved(targetObject)</h2>
	<div class="description">
		Public function that loops through open tabs and updates their URI's if they are in a directory that was moved.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>targetObject</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with the directory’s new and old uri.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_makeTabContainerTips(tabContainer)</h2>
	<div class="description">
		"Private" function makes tips for left, right, and menu buttons for the tab container.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabContainer</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.TabContainer</span>
            </td>
            <td class="description last">The tab container</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>selectTab(tab)</h2>
	<div class="description">
		Public function that selects the tab thats passed in.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer/ContentPane</span>
            </td>
            <td class="description last">The tab</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>closeTab(tab)</h2>
	<div class="description">
		Public function that closes the passed in tab.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer</span>
            </td>
            <td class="description last">The tab.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>closeAllTabs()</h2>
	<div class="description">
		Public function that closes all tabs. The user will be prompted if any tabs have unsaved changes.
	</div>
	<h2>_insideDialog(event)</h2>
	<div class="description">
		"Private" function to determine if a keydown event occurred within a dialog. Returns a boolean.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>event</code></td>
            <td class="type">
			<span class="param-type">Event</span>
            </td>
            <td class="description last">The keydown event.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_getGridTarget(event)</h2>
	<div class="description">
		"Private" function to determine if a keydown event occurred within a grid. Returns the grid or null.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>event</code></td>
            <td class="type">
			<span class="param-type">Event</span>
            </td>
            <td class="description last">The keydown event.</td>
        </tr>
		</tbody>
		</table>
	</div>
	</article>
</div><!-- end Accordion Specific onDrop Functions Titlepane -->	

<div data-dojo-type="dijit/TitlePane" data-dojo-props="open:false" title="Event Functions">
	<article>
	<h2>onKeyDown(evt)</h2>
	<div class="description">
		Keydown event handler. Handles key strokes that deal with tabs or contents of tabs.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>evt</code></td>
            <td class="type">
			<span class="param-type">Event</span>
            </td>
            <td class="description last">The keydown event.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_onTabContainerFocus(tabContainer)</h2>
	<div class="description">
		"Private" function for onFocus events. Calls the setFocusedTab function.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabContainer</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.TabContainer</span>
            </td>
            <td class="description last">Tab Container that was focused.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_onTabSelect(tab)</h2>
	<div class="description">
		"Private" function for selectChild events.<br/>
		Persists the selected tab index, resizes and activates the editor if the tab contains an editor.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer/ContentPane</span>
            </td>
            <td class="description last">The tab the was selected.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_onTabRemove(tabContainer, tab)</h2>
	<div class="description">
		"Private" function for removeChild events for the passed in tab container.<br/>
		Calls toggleTabContainer function only when the tab is being closed and not moved.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
		<tr>
            <td class="name"><code>tabContainer</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.TabContainer</span>
            </td>
            <td class="description last">The tab container the tab was in.</td>
        </tr>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer/ContentPane</span>
            </td>
            <td class="description last">The tab that was removed.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_onTabAdd(tabContainer, tab)</h2>
	<div class="description">
		"Private" function for addChild events for the passed in tab container.<br/>
		Adds some DND indicators to the tab widget then calls toggleTabContainer function. 
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
		<tr>
            <td class="name"><code>tabContainer</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.TabContainer</span>
            </td>
            <td class="description last">The tab container the tab is being added to.</td>
        </tr>
        <tr>
            <td class="name"><code>tab</code></td>
            <td class="type">
			<span class="param-type">dijit.layout.BorderContainer/ContentPane</span>
            </td>
            <td class="description last">The tab that is being added.</td>
        </tr>
		</tbody>
		</table>
	</div>
	<h2>_onTabClose(tabObj)</h2>
	<div class="description">
		"Private" function for closeChild events.
		<h5>Parameters:</h5>
		<table class="params">
   		<thead>
			<tr>
				<th>Name</th>
				<th>Type</th>
				<th class="last">Description</th>
			</tr>
		</thead>
		<tbody>
        <tr>
            <td class="name"><code>tabObj</code></td>
            <td class="type">
			<span class="param-type">Object</span>
            </td>
            <td class="description last">Object with indicative data about the contents of the tab plus the tab widget.</td>
        </tr>
		</tbody>
		</table>
	</div>
	</article>
</div><!-- end Tab Event Functions Titlepane -->	

</div>


