@echo off

REM *************** THE NUMBER OF SECONDS TO WAIT FOR SAS TO START ***********
SET TIMOUT_SECONDS=90

REM *************** SET THE SAS PATH ***********

CD %USERPROFILE%

SET SASEXE=%1
SET SASCONFIG=%2
set SASOPTS=%~3
REM echo %SASOPTS%

SET SASCONFIGSWITCH=-noconfig

echo webdms > __t.tmp
if not exist __t.tmp echo ERROR: sasiom.cmd must be run in a directory where you have write permission.
if not exist __t.tmp pause
if not exist __t.tmp goto done

set badrc=-999

IF NOT EXIST %SASEXE% (
SET badrc=-404
GOTO BADPORT
)

IF EXIST %SASCONFIG% (
SET SASCONFIGSWITCH=-CONFIG %SASCONFIG%
)

REM *************** FIND AN OPEN PORT ***********

:scanports

SET /a i=16384

:portloop
IF %i%==32767 GOTO foundport
echo NOTE: Checking port availability of %i% for the object server.

netstat -an | findstr %i% > __t.tmp

FOR %%? IN (__t.tmp) DO (

	if %%~z?==0 goto foundport
)

del __t.tmp

SET /a i=%i%+1
GOTO portloop

:foundport
echo NOTE: Port %i% will be used for the object server.
set port=%i%

REM *************** INVOKE THE OBJECT SERVER ********

start "SAS Object Server : %port%" /B %SASEXE% %SASOPTS% -noautoexec -objectserver -rsasuser -objectserverparms "protocol=bridge port=%port% nosecurity" -memsize 0 -nosplash -noterminal %SASCONFIGSWITCH%

REM *************** WAIT FOR THE OBJECT SERVER TO START UP ********

SET /a i=0

:checkloop
IF %i%==%TIMOUT_SECONDS% GOTO badport
echo NOTE: Waiting for object server to become active on port %port%.

del __t.tmp
netstat -an | findstr %port% > __t.tmp

FOR %%? IN (__t.tmp) DO (

	if NOT %%~z?==0 goto running
)

SET /a i=%i%+1

REM This is the best method I have found so far to effectively sleep for 1 second on Windows.
@ping localhost -n 2 -w 1000 > NUL
GOTO checkloop


:running
echo NOTE: Object server is ready to accept connections on port %port%.

REM ************** OUTPUT PORT AS THE EXIT CODE *********

echo NOTE: Exiting object server start script.

del __t.tmp

exit %port%

:badport

echo NOTE: Object server failed to start.

del __t.tmp

exit %badrc%




