#!/bin/sh

# *************** SET THE SAS PATH ***********

cd $USERPROFILE

SASEXE=/usr/local/SASHome/SASFoundation/9.4/sas

echo webdms > /tmp/__t.tmp
if [ -w /tmp/__t.tmp  ]
then 
	:
else 
echo ERROR: sasiom.cmd must be run in a directory where you have write permission.
exit
fi

badrc=-999

if [ -x $SASEXE  ]
then
	:
else
badrc=-404
echo NOTE: Object server failed to start.
rm /tmp/__t.tmp
exit $badrc
fi


# *************** FIND AN OPEN PORT ***********

i=16384

while [ $i -lt 32767 ]
do
echo NOTE: Checking port availablility of $i for the object server.

netstat -an | grep $i > /tmp/__t.tmp

grep $i /tmp/__t.tmp
if [ $? ]
then
break
fi
rm /tmp/__t.tmp
i=`expr $i + 1`
done

echo NOTE: Port $i will be used for the object server.
port=$i

# *************** INVOKE THE OBJECT SERVER ********

#$SASEXE -objectserver -objectserverparms "protocol=bridge port=$port nosecurity" -memsize 0 -nosplash -noterminal &
$SASEXE -objectserver -objectserverparms "protocol=bridge port=$port nosecurity" -memsize 0 -noterminal &

# *************** WAIT FOR THE OBJECT SERVER TO START UP ********

i=0

while [ $i -lt 500 ]
do
echo NOTE: Waiting for object server to become active on port $port.

netstat -an | grep $i > /tmp/__t.tmp

grep $i /tmp/__t.tmp
if [ $? ]
then
break
fi
rm /tmp/__t.tmp

i=`expr $i + 1`
done

if [ $i -lt 500 ]
then
echo NOTE: Object server is ready to accept connections on port $port.

# ************** OUTPUT PORT AS THE EXIT CODE *********
echo NOTE: Exiting object server start script.
rm /tmp/__t.tmp
echo $port > $1
exit 0
else
echo NOTE: Object server failed to start.
rm /tmp/__t.tmp
exit $badrc
fi




